<!C:"QBasic/QuickBASIC Programs. Copyright (C) Arpith Jacob, 1996">
<!C:"Do Not Tamper With It !!!!">
<PAGESTART:".BMP.Viewer.File">
DIM xstart, xsiz, ystart, ysiz AS INTEGER
DEF SEG = 0
'generate image
'CLS
FILES "C:\WINDOWS\*.bmp"
RANDOMIZE TIMER
grey = 0            'My dithering algorithm needs work, beware.
slowpal = 0
va = &H3C8
vd = &H3C9

INPUT "Bitmap filename to load: ", filename$
PRINT
PRINT "The Program will read in the source file and display it on the screen."
PRINT
PRINT "Source file: "; filename$
PRINT
CLS
IF INSTR(filename$, ".") = 0 THEN filename$ = filename$ + ".BMP"
OPEN filename$ FOR BINARY AS #1
IF LOF(1) = 0 THEN
   CLOSE #1
   PRINT "Empty File. Deleting"
   KILL filename$
   END
END IF

header$ = SPACE$(14)
sizing$ = SPACE$(4)
GET #1, 1, header$
IF LEN(header$) = 0 THEN PRINT "Not a valid Bitmap file.": CLOSE : END
IF MID$(header$, 1, 2) <> "BM" THEN PRINT "Not a valid Bitmap file.": CLOSE : END
GET #1, 15, sizing$
bmpinfosize = CVI(sizing$)
'bmpinfosize - Is the size of the information header for the bitmap.
'              Different bitmap versions have variations in filetypes.
'              40 is a standard windows 3.1 bitmap.
'              12 is for OS/2 bitmaps
'The next routine reads in the appropriate headers and colour tables.
'nbits is the number of bits per pixel - i.e. number of colours
'1 bit = 2 colours, 4 bits = 16 colours, 8 bits = 256 colours, etc.
'the 24 bit mode does not have a palette, its colours are expressed as
'image data

'Design of a windows 3.1 bitmap - Taken from bmp.txt on the
'x2ftp.oulu.fi ftp site under /pub/msdos/programming/formats
'Specifications for a Windows 3.1 bitmap. (.BMP)
'Email any questions/responses to me at zabudsk@ecf.utoronto.ca
'or post to alt.lang.basic or comp.lang.basic.misc.

'       | # of   |
'Offset | bytes  | Function (value)
'-------+--------+--- General Picture information starts here---------
'  0    |   2    | (BM) - Tells us that the picture is in bmp format
'  2    |   4    | Size of the file (without header?)
'  6    |   2    | (0) Reserved1 - Must be zero
'  8    |   2    | (0) Reserved2 - Must be zero
'  10   |   4    | Number of bytes offset of the picture data
'-------+--------+--- Information Header starts here -----------------
'  14   |   4    | (40/12) Size of information header (Win3.1/OS2)
'  18   |   4    | Picture width in pixels
'  22   |   4    | Picture Height in pixels
'  26   |   2    | (1) Number of planes, must be 1
'  28   |   2    | Number of bits per pixel (bpp), must be 1,4,8 or 24
'  30   |   4    | (0) Compression - 0 means no compression, 1,2 are RLEs
'  34   |   4    | Image size in bytes
'  38   |   4    | picture width in pels per metre
'  42   |   4    | picture height in pels per metre
'  46   |   4    | (0) Number of colours used in the picture, 0 means all
'  50   |   4    | (0) Number of important colours, 0 means all
'-------+--------+--- Palette data starts here -----------------------
'  54   |   1    | (b) - blue intensity component, color 0 - range 0 to 255
'  55   |   1    | (g) - green intensity component, color 0 - range 0 to 255
'  56   |   1    | (r) - red intensity component, color 0 - range 0 to 255
'  57   |   1    | (0) - unused
'  58   |   1    | (b) - blue intensity component, color 0 - range 0 to 255
'  ...  | ...    |
'  54   | 4*2^bpp| total range of palette
'-------+--------+--- Image data starts here -------------------------
'54+    | width* | Bitmap data starting at lower left portion of the
'(4*2^n)| height*| image moving from left towards right. Moving up 1
'       | (8/bpp)| pixel when at the right hand side of the image, starting
'       |        | from the left side again, until the top right of the
'       |        | image is reached

'Note that this format is slightly different for a OS/2 Bitmap.
'The header is the same up to (but not including) bit 30-
'The palette colour values follow at bit 30, with the form...
'1 byte blue intensity
'1 byte green intensity
'1 byte red intensity
'For each colour of the picture.
'Bitmapped image data follows the colour tables


'Special note: When storing 1 bit (2 colour) pictures.
'8 horizontal pixels are packed into 1 byte. Each bit determines
'the colour of one pixel (colour 0 or colour 1)

'4 bit pictures (16 colours) use 2 nibbles (4 bits) for each pixel
'thus there are 2 pixels for each byte of image data.

'8 bit pictures use 1 byte per pixel. Each byte of image data
'represents one of 256 colours.

'24 bit pictures express colour values by using 3 bytes and each has a
'value between 0 and 255. The first byte is for red, the second is for
'green and the third is for blue. Thus (256)^3 or 2^24 of 16777216 different
'colours.

'Even more special note:
'each line of bitmap images have a long word integer boundary;
'this means that at the end of each line, there may be extra "padding"
'bytes to ensure that the actual amount of data encoded with each line
'is encoded to be a multiple of 4 bytes (the size of a long word).




IF bmpinfosize = 12 THEN
   infoheader$ = SPACE$(12)
   GET #1, 15, infoheader$
   nbits = CVI(MID$(infoheader$, 15, 4))
 
   IF nbits = 1 THEN
      palet$ = SPACE$(6)
      GET #1, bmpinfosize + 15, palet$
   ELSEIF nbits = 4 THEN
      palet$ = SPACE$(48)
      GET #1, bmpinfosize + 15, palet$
   ELSEIF nbits = 8 THEN
      palet$ = SPACE$(768)
      GET #1, bmpinfosize + 15, palet$
   END IF
ELSEIF bmpinfosize = 40 THEN
   infoheader$ = SPACE$(40)
   GET #1, 15, infoheader$
   nbits = CVI(MID$(infoheader$, 15, 4))
   IF nbits = 1 THEN
      palet$ = SPACE$(8)
      GET #1, bmpinfosize + 15, palet$
   ELSEIF nbits = 4 THEN
      palet$ = SPACE$(64)
      GET #1, bmpinfosize + 15, palet$
   ELSEIF nbits = 8 THEN
      palet$ = SPACE$(1024)
      GET #1, bmpinfosize + 15, palet$
   END IF
END IF
    

ft$ = MID$(header$, 1, 2)
PRINT "Type of file (Should be BM): "; ft$

filesize = CVL(MID$(header$, 3, 4))
PRINT "Size of file: "; filesize

r1 = CVI(MID$(header$, 7, 2))
PRINT "Reserved 1: "; r1

r2 = CVI(MID$(header$, 9, 2))
PRINT "Reserved 2: "; r2

offset = CVL(MID$(header$, 11, 4))
PRINT "Number of bytes offset from beginning: "; offset

PRINT

headersize = CVL(MID$(infoheader$, 1, 4))
PRINT "Size of header: "; headersize

picwidth = CVL(MID$(infoheader$, 5, 4))
PRINT "Width: "; picwidth

picheight = CVL(MID$(infoheader$, 9, 4))
PRINT "Height: "; picheight

nplanes = CVI(MID$(infoheader$, 13, 4))
PRINT "Planes: "; nplanes

PRINT "Bits per plane: "; nbits

PRINT

IF headersize = 40 THEN
   PRINT "Compression: ";
   comptype = CVL(MID$(infoheader$, 17, 4))
   IF comptype = 0 THEN PRINT "None"
   IF comptype = 1 THEN PRINT "Run Length - 8 Bits"
   IF comptype = 2 THEN PRINT "Run Length - 4 Bits"
 
   imagesize = CVL(MID$(infoheader$, 21, 4))
   PRINT "Image Size (bytes): "; imagesize
 
   xsize = CVL(MID$(infoheader$, 25, 4))
   PRINT "X size (pixels per metre): "; xsize
 
   ysize = CVL(MID$(infoheader$, 29, 4))
   PRINT "Y size (pixels per metre): "; ysize
 
   colorsused = CVL(MID$(infoheader$, 33, 4))
   PRINT "Number of colours used: "; colorsused
 
   neededcolours = CVL(MID$(infoheader$, 37, 4))
   PRINT "Number of important colours: "; neededcolours
END IF
PRINT
PRINT "Press Any key to continue."
WHILE INKEY$ = ""
WEND

IF nbits = 1 THEN
   SCREEN 11
   xres = 640
   yres = 480
   nc = 2
ELSEIF nbits = 4 THEN
   SCREEN 12
   xres = 640
   yres = 480
   nc = 16
ELSEIF nbits = 8 OR nbits = 24 THEN
   SCREEN 13
   xres = 320
   yres = 200
   nc = 256
END IF
IF bmpinfosize = 40 THEN ngroups = 4
IF bmpinfosize = 12 THEN ngroups = 3

IF nbits = 24 THEN
   IF grey = 1 THEN
      IF ngroups = 3 THEN
         FOR c = 0 TO 63
            d = c * 4
            palet$ = palet$ + CHR$(d) + CHR$(d) + CHR$(d)
            palet$ = palet$ + CHR$(d) + CHR$(d) + CHR$(d + 1)
            palet$ = palet$ + CHR$(d) + CHR$(d + 1) + CHR$(d)
            palet$ = palet$ + CHR$(d + 1) + CHR$(d) + CHR$(d)
         NEXT c
      ELSEIF ngroups = 4 THEN
         FOR c = 0 TO 63
            d = c * 4
            palet$ = palet$ + CHR$(d) + CHR$(d) + CHR$(d) + CHR$(0)
            palet$ = palet$ + CHR$(d) + CHR$(d) + CHR$(d + 1) + CHR$(0)
            palet$ = palet$ + CHR$(d) + CHR$(d + 1) + CHR$(d) + CHR$(0)
            palet$ = palet$ + CHR$(d + 1) + CHR$(d) + CHR$(d) + CHR$(0)
         NEXT c
      END IF
   ELSE
      FOR t = 0 TO 5
         FOR u = 0 TO 5
            FOR v = 0 TO 5
               palet$ = palet$ + CHR$(INT(v * (256 / 6)))
               palet$ = palet$ + CHR$(INT(u * (256 / 6)))
               palet$ = palet$ + CHR$(INT(t * (256 / 6)))
               IF ngroups = 4 THEN palet$ = palet$ + CHR$(0)
            NEXT v
         NEXT u
      NEXT t
      FOR count = 0 TO 31
         palet$ = palet$ + CHR$(count * 8) + CHR$(count * 8) + CHR$(count * 8)
         IF ngroups = 4 THEN palet$ = palet$ + CHR$(0)
      NEXT count
      palet$ = palet$ + CHR$(255) + CHR$(255) + CHR$(255)
   END IF
END IF

IF slowpal = 1 THEN
   FOR x = 1 TO LEN(palet$) STEP ngroups
      zb# = INT((ASC(MID$(palet$, x, 1))) / 4)
      zg# = INT((ASC(MID$(palet$, x + 1, 1))) / 4)
      zr# = INT((ASC(MID$(palet$, x + 2, 1))) / 4)
      zc# = zb# * 65536# + zg# * 256# + zr#
'      cres = ASC(MID$(palet$, x + 3, 1))
      PALETTE ((x - 1) / ngroups), zc#
   NEXT x
ELSE 'Use VGA Palette I/O Registers to set palette values - Faster
   OUT va, 0

   FOR x = 1 TO LEN(palet$) STEP ngroups
      zb = INT((ASC(MID$(palet$, x, 1))) / 4)
      zg = INT((ASC(MID$(palet$, x + 1, 1))) / 4)
      zr = INT((ASC(MID$(palet$, x + 2, 1))) / 4)
'      zc# = zb# * 65536# + zg# * 256# + zr#
'      cres = ASC(MID$(palet$, x + 3, 1))
      OUT vd, zr
      OUT vd, zg
      OUT vd, zb
      'PALETTE ((x - 1) / ngroups), zc#
   NEXT x
END IF


IF comptype = 0 THEN
   'No Compression
   IF nbits = 24 THEN
      y = picheight - 1
      x = 0
      lin$ = SPACE$((INT((3 * picwidth - 1) / 4) + 1) * 4)
      WHILE y >= 0
         GET 1, , lin$
         IF grey = 0 THEN
            WHILE x < picwidth
               b = ASC(MID$(lin$, x * 3 + 1, 1))
               g = ASC(MID$(lin$, x * 3 + 2, 1))
               r = ASC(MID$(lin$, x * 3 + 3, 1))
               IF b = g AND g = r THEN
                  p1 = INT(b / 8) + 216
                  IF b = 255 THEN p1 = 247
               ELSE
                  r = INT(r * (6 / 256))
                  g = INT(g * (6 / 256))
                  b = INT(b * (6 / 256))
                  qa = INT(RND(1) * (r + 1)) * .4
                  qb = INT(RND(1) * (g + 1)) * .4
                  qc = INT(RND(1) * (b + 1)) * .4
                  r = INT(r + qa - (r * .2))
                  g = INT(g + qg - (g * .2))
                  b = INT(b + qb - (b * .2))
                  IF r > 5 THEN r = 5
                  IF r < 0 THEN r = 0
                  IF g > 5 THEN g = 5
                  IF g < 0 THEN g = 0
                  IF b > 5 THEN b = 5
                  IF b < 0 THEN b = 0
        
                  p1 = r * 36 + g * 6 + b
               END IF
               PSET (x, y), p1
               x = x + 1
            WEND
         ELSE
            WHILE x < picwidth
               p1 = INT((ASC(MID$(lin$, x * 3 + 1, 1)) + ASC(MID$(lin$, x * 3 + 2, 1)) + ASC(MID$(lin$, x * 3 + 3, 1))) / 3)
               PSET (x, y), p1
               x = x + 1
            WEND
         END IF
         y = y - 1
         x = 0
      WEND
   ELSEIF nbits = 8 THEN
      y = picheight - 1
      x = 0
      lin$ = SPACE$((INT((picwidth - 1) / 4) + 1) * 4)
      WHILE y >= 0
         GET #1, , lin$
         WHILE x < picwidth
            PSET (x, y), ASC(MID$(lin$, x + 1, 1))
            x = x + 1
         WEND
         y = y - 1
         x = 0
      WEND
   ELSEIF nbits = 4 THEN
      y = picheight - 1
      x = 0
      lin$ = SPACE$((INT((picwidth - 1) / 8) + 1) * 4)
      WHILE y >= 0
         GET 1, , lin$
         WHILE x < picwidth
            p2 = ASC(MID$(lin$, INT(x / 2) + 1, 1)) AND 15
            p1 = (ASC(MID$(lin$, INT(x / 2) + 1, 1)) AND 240) / 16
            PSET (x, y), p1
            IF x + 1 < picwidth THEN PSET (x + 1, y), p2
            x = x + 2
         WEND
         y = y - 1
         x = 0
      WEND
   ELSEIF nbits = 1 THEN
      y = picheight - 1
      x = 0
      lin$ = SPACE$((INT((picwidth - 1) / 32) + 1) * 4)
      WHILE y >= 0
         GET 1, , lin$
         WHILE x < picwidth
            p8 = ASC(MID$(lin$, INT(x / 8) + 1, 1))
            FOR b = 0 TO 7
               IF x + (7 - b) < picwidth THEN PSET (x + (7 - b), y), (p8 AND 2 ^ b) / 2 ^ b
            NEXT b
            x = x + 8
         WEND
         y = y - 1
         x = 0
      WEND
   END IF
ELSEIF comptype = 1 THEN
   'Compression Essentials
   '[a][b] a>0, repeat b a-times
   '[0][0] End of line
   '[0][1] End of bitmap
   '[0][2][h][v] Move current position h to the right and v down
   'PRINT "Wow! RLE-8 Compression."
   a$ = " "
   x = 0
   y = 0
   ef = 0
   WHILE ef = 0
   GET #1, , a$
   c = ASC(a$)
   IF c > 0 THEN
      GET #1, , a$
      b = ASC(a$)
      FOR count = 1 TO c
        PSET (picwidth - x - 1, picheight - y - 1), b
        x = x + 1
        'if x>=picwidth then x=0:y=y+1
      NEXT count
   ELSE
      GET #1, , a$
      c = ASC(a$)
      IF c = 0 THEN
         x = 0
         y = y + 1
      ELSEIF c = 1 THEN
         ef = 1
      ELSEIF c = 2 THEN
         GET #1, , a$
         h = ASC(a$)
         GET #1, , a$
         v = ASC(a$)
         x = x + h
         y = y + v
      ELSE
         FOR count = 1 TO c
            GET #1, , a$
            p1 = ASC(a$)
            PSET (picwidth - x - 1, picheight - y - 1), p1
            x = x + 1
            'if x>=picwidth then x=0:y=y+1
         NEXT count
         IF c MOD 2 = 1 THEN GET #1, , a$
      END IF
      IF (y = picheight - 1 AND x >= picwidth) OR y >= picheight THEN ef = 1
   END IF
      IF EOF(1) THEN ef = 1
   WEND
ELSEIF comptype = 2 THEN
   'Compression Essentials
   '[a][b1|b0] a>0, repeat b1|b0 a/2-times e.g. a=5 -> b1 b0 b1 b0 b1
   '[0][0] End of line
   '[0][1] End of bitmap
   '[0][2][h][v] Move current position h to the right and v down
   'PRINT "Wow! RLE-4 Compression."
   a$ = " "
   x = 0
   y = 0
   ef = 0
   WHILE ef = 0
   GET #1, , a$
   c = ASC(a$)
   IF c > 0 THEN
      GET #1, , a$
      b = ASC(a$)
      FOR count = 1 TO c
        IF (count MOD 2) = 0 THEN
           PSET (picwidth - x - 1, picheight - y - 1), b AND 15
        ELSE
           PSET (picwidth - x - 1, picheight - y - 1), (b AND 240) / 16
        END IF
        x = x + 1
        'if x>=picwidth then x=0:y=y+1
      NEXT count
   ELSE
      GET #1, , a$
      c = ASC(a$)
      IF c = 0 THEN
         x = 0
         y = y + 1
      ELSEIF c = 1 THEN
         ef = 1
      ELSEIF c = 2 THEN
         GET #1, , a$
         h = ASC(a$)
         GET #1, , a$
         v = ASC(a$)
         x = x + h
         y = y + v
      ELSE
         FOR count = 1 TO INT(c / 2)
            GET #1, , a$
            p1 = ASC(a$)
            PSET (picwidth - x - 1, picheight - y - 1), (p1 AND 240) / 16
            x = x + 1
            PSET (picwidth - x - 1, picheight - y - 1), p1 AND 15
            x = x + 1
            'if x>=picwidth then x=0:y=y+1
         NEXT count
         br = INT(c / 2)
         IF (c MOD 2) = 1 THEN
            GET #1, , a$
            PSET (picwidth - x - 1, picheight - y - 1), (p1 AND 240) / 16
            x = x + 1
            br = br + 1
         END IF
         IF br MOD 2 = 1 THEN GET #1, , a$
      END IF
      IF (y = picheight - 1 AND x >= picwidth) OR y >= picheight THEN ef = 1
   END IF
      IF EOF(1) THEN ef = 1
   WEND


END IF
CLOSE
<PAGEEND:".BMP.Viewer.File">

<PAGESTART:".GIF.Viewer.File">
DECLARE SUB dispgif (a$)
INPUT "Filename to load: ", filename$

dispgif filename$

SUB dispgif (a$)
DEFINT A-Z
DIM Prefix(4095), Suffix(4095), OutStack(4095), ShiftOut(8)
DIM YBase AS LONG, Powersof2(11) AS LONG, WorkCode AS LONG
FOR a = 0 TO 8: ShiftOut(8 - a) = 2 ^ a: NEXT
FOR a = 0 TO 11: Powersof2(a) = 2 ^ a: NEXT
OPEN a$ FOR INPUT AS #1: CLOSE #1
OPEN a$ FOR BINARY AS #1
a$ = "      ": GET #1, , a$
IF LEFT$(a$, 3) <> "GIF" THEN PRINT "Not a GIF file.": END
GET #1, , TotalX: GET #1, , TotalY: GOSUB GetByte
NumColors = 2 ^ ((a AND 7) + 1): NoPalette = (a AND 128) = 0
GOSUB GetByte: Background = a
GOSUB GetByte
IF NoPalette = 0 THEN P$ = SPACE$(NumColors * 3): GET #1, , P$
DO
DO
DO
IF EOF(1) THEN GOTO AllDone
GOSUB GetByte
LOOP WHILE a = 0
SELECT CASE a
CASE 44
EXIT DO
CASE 59
GOTO AllDone
CASE IS <> 33
PRINT "Unknown GIF extension type.": END
END SELECT
GOSUB GetByte
DO: GOSUB GetByte: a$ = SPACE$(a): GET #1, , a$: LOOP UNTIL a = 0
LOOP
GET #1, , XStart: GET #1, , YStart: GET #1, , XLength: GET #1, , YLength
XEnd = XStart + XLength: YEnd = YStart + YLength
GOSUB GetByte
IF (a AND 128) THEN
NoPalette = 0
NumColors = 2 ^ ((a AND 7) + 1)
P$ = SPACE$(NumColors * 3): GET #1, , P$
END IF
Interlaced = (a AND 64) > 0: PassNumber = 0: PassStep = 8
GOSUB GetByte
ClearCode = 2 ^ a
EOSCode = ClearCode + 1
FirstCode = ClearCode + 2: NextCode = FirstCode
StartCodeSize = a + 1: CodeSize = StartCodeSize
StartMaxCode = 2 ^ (a + 1) - 1: MaxCode = StartMaxCode
BitsIn = 0: BlockSize = 0: BlockPointer = 1
x = XStart: y = YStart: YBase = y * 320&
IF FirstTime = 0 THEN
SCREEN 13: DEF SEG = &HA000
END IF
IF NoPalette = 0 THEN
OUT &H3C8, 0
FOR a = 1 TO NumColors * 3: OUT &H3C9, ASC(MID$(P$, a, 1)) \ 4: NEXT
END IF
IF FirstTime = 0 THEN
LINE (0, 0)-(319, 199), Background, BF
FirstTime = -1
END IF
DO
GOSUB GetCode
IF Code <> EOSCode THEN
IF Code = ClearCode THEN
NextCode = FirstCode
CodeSize = StartCodeSize
MaxCode = StartMaxCode
DO: GOSUB GetCode: LOOP WHILE Code = ClearCode
IF Code = EOSCode THEN GOTO ImageDone
LastCode = Code: LastPixel = Code
IF x < 320 AND y < 200 THEN POKE x + YBase, LastPixel
x = x + 1: IF x = XEnd THEN GOSUB NextScanLine
ELSE
CurCode = Code: StackPointer = 0
IF Code >= NextCode THEN
IF Code > NextCode THEN GOTO AllDone
CurCode = LastCode
OutStack(StackPointer) = LastPixel
StackPointer = StackPointer + 1
END IF
DO WHILE CurCode >= FirstCode
OutStack(StackPointer) = Suffix(CurCode)
StackPointer = StackPointer + 1
CurCode = Prefix(CurCode)
LOOP
LastPixel = CurCode
IF x < 320 AND y < 200 THEN POKE x + YBase, LastPixel
x = x + 1: IF x = XEnd THEN GOSUB NextScanLine
FOR a = StackPointer - 1 TO 0 STEP -1
IF x < 320 AND y < 200 THEN POKE x + YBase, OutStack(a)
x = x + 1: IF x = XEnd THEN GOSUB NextScanLine
NEXT
IF NextCode < 4096 THEN
Prefix(NextCode) = LastCode
Suffix(NextCode) = LastPixel
NextCode = NextCode + 1
IF (NextCode > MaxCode) AND (CodeSize < 12) THEN
CodeSize = CodeSize + 1
MaxCode = MaxCode * 2 + 1
END IF
END IF
LastCode = Code
END IF
END IF
LOOP UNTIL Code = EOSCode
ImageDone:
LOOP
AllDone:
END
GetByte: a$ = " ": GET #1, , a$: a = ASC(a$): RETURN
NextScanLine:
IF Interlaced THEN
y = y + PassStep
IF y >= YEnd THEN
PassNumber = PassNumber + 1
SELECT CASE PassNumber
CASE 1: y = 4: PassStep = 8
CASE 2: y = 2: PassStep = 4
CASE 3: y = 1: PassStep = 2
END SELECT
END IF
ELSE
y = y + 1
END IF
x = XStart: YBase = y * 320&
RETURN
GetCode:
WorkCode = LastChar \ ShiftOut(BitsIn)
DO WHILE CodeSize > BitsIn
IF BlockPointer > BlockSize THEN
GOSUB GetByte: BlockSize = a
a$ = SPACE$(BlockSize): GET #1, , a$
BlockPointer = 1
END IF
LastChar = ASC(MID$(a$, BlockPointer, 1))
BlockPointer = BlockPointer + 1
WorkCode = WorkCode OR LastChar * Powersof2(BitsIn)
BitsIn = BitsIn + 8
LOOP
BitsIn = BitsIn - CodeSize
Code = WorkCode AND MaxCode
RETURN
DEF SEG
CLS

END SUB
<PAGEEND:".GIF.Viewer.File">

<PAGESTART:".PCX.Viewer.File">
'***** PCX.BAS *****************************************************
'*** The original code for this routine was found in VGAPCX.BAS  ***
'*** At first I optomized the code in that file, and eventually  ***
'*** I ended up re-writing the whole thing.  That PCX loader did ***
'*** a number of things differently, including loading the color ***
'*** palette _last_.  This routine loads the palette first,  so  ***
'*** you can see the "correct" picture as the PCX is loading. In ***
'*** addition to that, I use all integers for speed and load the ***
'*** file in chunks of 2,000 bytes (instead of 1 byte at a time, ***
'*** as in the other routine, VGAPCX.BAS).  I thank the uknown   ***
'*** author of that original version, VGAPCX.BAS, because if he  ***
'*** had not put out that sample code, this PCX loader would not ***
'*** be possible.                                                ***
'*******************************************************************
'*** On a 486dx2-66, the old version (VGAPCX.BAS) loaded the PCX ***
'*** in about 21 seconds.  This new version does so in about 1.5 ***
'*** seconds.  The  speed varies depending on the  level of file ***
'*** compression attained by the PCX file.                       ***
'*******************************************************************
DEFINT A-Z

DECLARE SUB ShowPCX (file$)

'*** If you're using Qbasic 1.1, change this line to
'*** ShowPCX "<pcxfile>.pcx"
INPUT "File to be displayed: "; file$

ShowPCX file$

WHILE INKEY$ = "": WEND
SCREEN 0: WIDTH 80

'*** Loads a Version 5, 320x200x256c PCX file.
'*** If you have any questions or comments about any of this code,
'*** please contact me, Jonathan Leger, at leger@mail.dtx.net.
SUB ShowPCX (file$)

SCREEN 13

DIM pcxpal AS STRING * 768, pcxversion AS STRING * 1

pcxnum = FREEFILE
OPEN file$ FOR BINARY AS #pcxnum

   '*** Get the PCX version from the header.
   GET #pcxnum, 2, pcxversion

   '*** If we're using version 5, then load the palette.
   IF ASC(pcxversion) = 5 THEN
      '*** Grab the palette out of the file.
      GET #1, LOF(pcxnum) - 767, pcxpal

      '*** Start with color 0.
      pal = 0

      '*** Grab the red/green/blue value from our palette (PCXPAL) and
      '*** send them to the monitor using OUT.
      FOR p = 1 TO 768 STEP 3
         OUT &H3C8, pal
         red% = INT(ASC(MID$(pcxpal, p, 1)) / 4)
         OUT &H3C9, red%
         green% = INT(ASC(MID$(pcxpal, p + 1, 1)) / 4)
         OUT &H3C9, green%
         blue% = INT(ASC(MID$(pcxpal, p + 2, 1)) / 4)
         OUT &H3C9, blue%
         pal = pal + 1
      NEXT p

   END IF
  
   '*** Jump past the file header.
   SEEK #pcxnum, 129

   '*** We'll be sending the output the the screen, so our segment
   '*** is &HA000 (VGA screen memory) and our offset is 0.  You can
   '*** change these values to, say, decompress the image into an
   '*** array or something.
   fxoffset = 0: fxsegment = &HA000

   '*** We'll be reading chunks of 2,000 bytes.  You can increase or
   '*** decrease this depending on your needs.  I noticed little or
   '*** no difference when the chunk size went past 2,000, so I left
   '*** it at 2,000 to add as little over-head as possible with maximum
   '*** speed.
   datasize = 2000

   '*** Load our first chunk of data and point to the beginning of that
   '*** data.
   pcxdata$ = INPUT$(datasize, pcxnum)
   datacount = 1

   '*** To increase speed, we'll be drawing the screen in two loops,
   '*** that way we can use integers to point to the next pixel instead
   '*** of long integers.  Doing this gains tremendous speed.
   FOR half = 1 TO 2

      '*** On the second loop, this will add &H7D0 (32000) to our
      '*** segment so we'll be writing to the second half of the screen.
      '*** On the first loop, this will simply set our segment to &HA000.
      fxtotal = fxsegment + fxoffset
      DEF SEG = fxtotal

      FOR c = 0 TO 31999

         '*** If we're out of data, then we need to load the next chunk.
         IF datacount > datasize THEN
            pcxdata$ = INPUT$(datasize, pcxnum)
            datacount = 1
         END IF

         '*** Get the next byte from our data chunk.
         clr = ASC(MID$(pcxdata$, datacount, 1))
         datacount = datacount + 1

         '*** If we're out of data, then we load the next chunk.
         IF datacount > datasize THEN
            pcxdata$ = INPUT$(datasize, pcxnum)
            datacount = 1
         END IF
        
         '*** If the byte we pulled from the data has bit 6 and 7 set,
         '*** (which would make the value greater than 192), then that
         '*** means we'll be repeating a color.  So we pull the next
         '*** byte from our data chunk (which is the color), and put
         '*** it on the screen CLR - 192 times (in other words, we
         '*** take the value of the first 5 bits in the byte and put
         '*** the pixel to the screen that many times.)
         IF clr > 192 THEN
            LPS = clr - 192
            clr = ASC(MID$(pcxdata$, datacount, 1))
            datacount = datacount + 1
            FOR L = LPS TO 1 STEP -1
               POKE c, clr
               c = c + 1
            NEXT L
            c = c - 1
         ELSE
         '*** Since the byte was less than 192, then we just poke the
         '*** pixel to the screen.
            POKE c, clr
         END IF
      NEXT c
      '*** We'll move to the second half of the screen by adding 32,000
      '*** (HEX = 7D0) bytes to our segment value.
      fxoffset = fxoffset + &H7D0
   NEXT half

'*** All done!  Close the file.
CLOSE pcxnum

'*** Return to BASIC's default segment. Very important!
DEF SEG

END SUB
<PAGEEND:".PCX.Viewer.File">

<PAGESTART:".TGA.Viewer.File">
DECLARE SUB ShowImage (p1%, p2%, p3%, p4%, p5%, p6%)
DECLARE SUB Waiting ()
DECLARE SUB Reading (x%, y%)
'***************************************************************************
'Program:       TGA.BAS                                                    *
'Task:          TGA viewer for SCREEN 13 - uncompressed TGA files.         *
'               Version 1.1 (fast version)                                 *
'Language:      QBASIC mixed with machine code.                            *
'Authors:       Erika Schulze and Gunther Ilzig                            *
'               CIS: 100775,2275                                           *
'               Internet: 100775.2275@compuserve.com                       *
'               Free for use. (PUBLIC DOMAIN)                              *
'Note:          A VGA card is required. Program hasn't a documentation.    *
'               Please print the well commented source.                    *
'***************************************************************************

'The  TGA  (True Version Targa) isn't complicated. There is only a
'TGA header of 18 bytes with all informations about the image.
'Structure of the TGA header:

'Offset   Length   Description
'======   ======   ===========

'00H      BYTE     info:
'                  It's  possible,  that after the 18 bytes of the
'                  header, the file contains an information block.
'                  This  block, for  example, holds  the copyright
'                  information.  The  byte  info  stands  for  the
'                  length of the information block.
'01H      BYTE     colortyp:
'                  0 ===> RGB image
'                  1 ===> image has a DAC table
'02H      BYTE     imagetyp:
'                  This  byte contains information about the image
'                  typ:
'                  1 ===> uncompressed  image  datas  with  a  DAC
'                  table
'                  2 ===> uncompressed RGB file
'                  9 ===> runlength encoded datas with a DAC table
'                 10 ===> runlength encoded RGB file
'03H      WORD     origin:
'                  This word contains the index of the first entry
'                  in the DAC table (mostly 0).
'05H      WORD     colnumber:
'                  This  word contains the number of colors in the
'                  DAC  table.  That's  not  the length of the DAC
'                  table in byte!
'07H      BYTE     entrybits:
'                  Size of on entry in the DAC table. An entry has
'                  16, 24 or 32 bits.
'08H      WORD     xvalue:
'                  The  x-value  of  the lower left corner of the
'                  TGA image (mostly 0).
'0AH      WORD     yvalue:
'                  The  y-value  of  the lower left corner of the
'                  TGA image (mostly 0).
'0CH      WORD     widt:
'                  The image width in pixels.
'0EH      WORD     height:
'                  The image height in pixels.
'10H      BYTE     pixelsize:
'                  Number of bits per pixel.
'                  DAC images ===> valid values are 8 and 16
'                  RGB images ===> valid values are 16, 24 and 32
'11H      BYTE     descriptor:
'                  The   image   descriptor   contains  additional
'                  informations.

'The structure of the image descriptor:

'Bit 0 - 3: fill bits
'Bit 4    : always 0
'Bit 5    : 0  ===> image origin in the lower left corner
'           1  ===> image origin in the upper left corner
'Bit 6 - 7: 00 ===> the image rows are stored one after the other
'           01 ===> first are stored the even rows (0, 2, 4 ...)
'                   after  this  are  stored the odd rows (1, 3, 5 ...)

'The formula to calculate the length of the DAC table:

'daclength% = colnumber*entrybits/8

'After the  18 bytes of the TGA header is  stored  the information
'block  in the TGA file, but the length of this block is mostly 0.
'After  the information block is stored the DAC table and then the
'image datas.

'===========================================================================
'declarations                                                              =
'===========================================================================

TYPE tgaheader                  'declare the header
  info       AS STRING * 1      'length of image information block
  colortyp   AS STRING * 1      'DAC table or BGR format
  imagetyp   AS STRING * 1      'compressed or uncompressed
  origin     AS INTEGER         'first entry in the DAC table
  colnumber  AS INTEGER         'number of colors in the DAC table
  entrybits  AS STRING * 1      'entry size in the DAC table
  xvalue     AS INTEGER         'x co-ordinate lower left corner
  yvalue     AS INTEGER         'y co-ordinate lower left corner
  widt       AS INTEGER         'image width
  height     AS INTEGER         'image height
  pixelsize  AS STRING * 1      'number of bits per pixel
  descriptor AS STRING * 1      'image descriptor
END TYPE
DIM header AS tgaheader         'define the header
headerseg% = VARSEG(header.info)'segment header.info
headeroff% = VARPTR(header.info)'offset header.info

DIM buffer%(32766)                      'copy buffer
bufseg% = VARSEG(buffer%(0))            '32-Bit address
bufoff% = VARPTR(buffer%(0))            'copy buffer

DIM trans%(20)                          'array machine programm
					'for disk transfer
tseg% = VARSEG(trans%(0))               'segment trans%(0)
toff% = VARPTR(trans%(0))               'offset trans%(0)

DIM rehe%(23)                           'array machine program
					'read TGA-Header
reheseg% = VARSEG(rehe%(0))             'segment rehe%(0)
reheoff% = VARPTR(rehe%(0))             'offset rehe%(0)

DIM drawp%(20)                          'array machine program
					'to set a pixel at the screen
drawpseg% = VARSEG(drawp%(0))           'segment drawp%(0)
drawpoff% = VARPTR(drawp%(0))           'offset drawp%(0)

file$ = "256color.TGA"                     'name of the TGA file
					'change this, if necessary
filelength& = 0                         'length TGA file
filehandle% = 0                         'file handle TGA file

daclength% = 0                          'length DAC table
colused% = 0                            'number of used colors
dacstart% = 0                           'the start of DAC data
imagestart% = 0                         'the start of the image data

'===========================================================================
'program starts here                                                       =
'===========================================================================

RESTORE Transfer                        'restore data pointer
CALL Reading(tseg%, toff%)              'read machine code
					'for disk transfer
RESTORE ReadHeader                      'restore data pointer
CALL Reading(reheseg%, reheoff%)        'read machine code
					'for read the header data
RESTORE DrawPixel                       'restore data pointer
CALL Reading(drawpseg%, drawpoff%)      'read machine code to set a
					'pixel at the screen

CLS                                     'clear the screen

OPEN file$ FOR BINARY AS #1             'open the TGA file
filelength& = LOF(1)                    'determine the length of this file
filehandle% = FILEATTR(1, 2)            'get the DOS handle of this file
DEF SEG = tseg%                         'set segment
  CALL ABSOLUTE(bufseg%, bufoff%, filehandle%, filelength&, toff%)
					'read the file all at once from
					'the disk in the buffer
DEF SEG                                 'reset segment
CLOSE #1                                'close the TGA file
'===========================================================================
'Now the TGA image is in the copy buffer. Here is the structure of the     =
'image file (not true to scale):                                           =
'          ͻ                             =
'           18 Bytes TGA-Header                                          =
'          Ķ                             =
'           perhaps an information block                                 =
'           (mostly not)                                                 =
'           maximum block size = 255 Byte                                =
'          Ķ                             =
'           DAC data                                                     =
'           A list of BGR values, each of                                =
'           which corresponds to one of                                  =
'           of the TGA bitmap                                            =
'          Ķ                             =
'           Pixel values stored row by row                               =
'           and from the largest to the                                  =
'           smallest y-coordinate                                        =
'                  row n                                                 =
'                  row n-1                                               =
'                  row n-2                                               =
'                    ...                                                 =
'                    ...                                                 =
'                    ...                                                 =
'                  row 2                                                 =
'                  row 1                                                 =
'                  row 0                                                 =
'          ͼ                             =
'===========================================================================

DEF SEG = reheseg%                      'set segment
  CALL ABSOLUTE(bufseg%, bufoff%, headerseg%, headeroff%, reheoff%)
					'read the TGA-Header from the
					'copy buffer in the UDT
DEF SEG                                 'reset segment

IF ASC(header.colortyp) <> 1 THEN
				'image hasn't a DAC table
   PRINT
   PRINT "Sorry! This TGA image hasn't a DAC table."
   END
END IF
IF ASC(header.imagetyp) <> 1 THEN
				'data must be uncompressed
   PRINT
   PRINT "Sorry! This TGA format isn't supported."
   END
END IF

daclength% = header.colnumber * (ASC(header.entrybits)) / 8
					'calculate the length of DAC-Table
colused% = daclength% / 3               'calculate number of used colors
dacstart% = 18 + ASC(header.info)       'calculate the start address of
					'DAC data
imagestart% = dacstart% + daclength%    'calculate the start address of
					'the image data

PRINT
PRINT "Image Width           ="; header.widt; "Pixel"
PRINT "Image Height          ="; header.height; "Pixel"
PRINT "Number of used colors ="; colused%
PRINT
PRINT "Please press any key to display the image ..."
					'print some informations
					'about the image

CALL Waiting                            'wait
CLS                                     'clear the screen

SCREEN 13                               'set Mode 13H
count% = dacstart%                      'set pointer to first DAC value
FOR register% = 0 TO colused% - 1       'set the DAC registers
  DEF SEG = bufseg%                     'set segment
    blue% = (PEEK(count%)) \ 4          'read color blue
    count% = count% + 1                 'increment counter
    green% = (PEEK(count%)) \ 4         'read color green
    count% = count% + 1
    red% = (PEEK(count%)) \ 4           'read color red
    count% = count% + 1
  DEF SEG
  OUT &H3C8, register%                  'set register
  OUT &H3C9, red%                       'set RGB values
  OUT &H3C9, green%
  OUT &H3C9, blue%
NEXT register%

CALL ShowImage(bufseg%, imagestart%, header.height, header.widt, drawpseg%, drawpoff%)
					'show the image at the screen

CALL Waiting                            'wait
SCREEN 0                                'text mode
WIDTH 80, 25                            '25 rows and 80 columns
END
Transfer:
DATA 55:        'push   bp
DATA 8b,ec:     'mov    bp,sp
DATA 1e:        'push   ds              ;save ds
DATA 8b,76,06:  'mov    si,[bp+6]       ;si -> filelength&
DATA 8b,7e,08:  'mov    di,[bp+8]       ;di -> filehandle%
DATA 8b,1d:     'mov    bx,[di]         ;bx:=filehandle%
DATA 8b,0c:     'mov    cx,[si]         ;cx:=number of bytes to transfer
DATA 8b,76,0a:  'mov    si,[bp+10]      ;si -> bufoff%
DATA 8b,7e,0c:  'mov    di,[bp+12]      ;di -> bufseg%
DATA 8b,14:     'mov    dx,[si]         ;dx:=bufoff%
DATA 8b,05:     'mov    ax,[di]         ;ax:=bufseg%
DATA 8e,d8:     'mov    ds,ax           ;ds:dx -> copy buffer
DATA b4,3f:     'mov    ah,3fh          ;function: read via handle
DATA cd,21:     'int    21h             ;transfer to DOS
DATA 1f:        'pop    ds              ;restore ds
DATA 8b,e5:     'mov    sp,bp
DATA 5d:        'pop    bp
DATA ca,08,00:  'ret    8
DATA *:         'end character

ReadHeader:
DATA 55:        'push   bp
DATA 8b,ec:     'mov    bp,sp
DATA 1e:        'push   ds
DATA 06:        'push   es
DATA 9c:        'pushf
DATA fc:        'cld                    ;auto increment di and si
DATA b9,09,00:  'mov    cx,9            ;cx:=number of words to copy
DATA 8b,5e,06:  'mov    bx,[bp+6]       ;bx -> headeroff%
DATA 8b,3f:     'mov    di,[bx]         ;di:=headeroff%
DATA 8b,5e,08:  'mov    bx,[bp+8]       ;bx -> headerseg%
DATA 8b,07:     'mov    ax,[bx]         ;ax:=headerseg%
DATA 8e,c0:     'mov    es,ax           ;es:di -> destination
DATA 8b,5e,0a:  'mov    bx,[bp+10]      ;bx -> bufoff%
DATA 8b,37:     'mov    si,[bx]         ;si:=bufoff%
DATA 8b,5e,0c:  'mov    bx,[bp+12]      ;bx -> bufseg%
DATA 8b,07:     'mov    ax,[bx]         ;ax:=bufseg%
DATA 8e,d8:     'mov    ds,ax           ;ds:si -> source
DATA f3,a5:     'rep    movsw           ;copy loop
DATA 9d:        'popf
DATA 07:        'pop    es
DATA 1f:        'pop    ds
DATA 8b,e5:     'mov    sp,bp
DATA 5d:        'pop    bp
DATA ca,08,00:  'ret    8
DATA *:         'end character

DrawPixel:
DATA 55:        'push   bp
DATA 8b,ec:     'mov    bp,sp
DATA 06:        'push   es
DATA 8b,5e,08:  'mov    bx,[bp+8]       ;bx -> y%
DATA 8b,76,0a:  'mov    si,[bp+10]      ;si -> x%
DATA bf,00,a0:  'mov    di,0a000h       ;di:=segment video RAM
DATA 8e,c7:     'mov    es,di           ;es:=di
DATA b8,40,01:  'mov    ax,320          ;ax:=320=bytes per row
DATA f7,27:     'mul    word ptr [bx]   ;ax:=y%*320
DATA 03,04:     'add    ax,word ptr [si];ax:=y%*320+x%
DATA 8b,f8:     'mov    di,ax           ;es:di -> Pixel
DATA 8b,5e,06:  'mov    bx,[bp+6]       ;bx -> byte%=color
DATA 8b,07:     'mov    ax,[bx]         ;al:=color
DATA 26,88,05:  'mov    byte ptr es:[di],al
		'                       ;set the pixel
DATA 07:        'pop    es
DATA 8b,e5:     'mov    sp,bp
DATA 5d:        'pop    bp
DATA ca,06,00:  'ret    6
DATA *:         'end character

'***************************************************************************
'SUB Reading                                                               *
'Task:          Reads a machine program into an array.                     *
'Input:         x% = segment address array                                 *
'               y% = offset address array                                  *
'Output:        machine program in the array                               *
'Uses:          no subroutines                                             *
'***************************************************************************
SUB Reading (x%, y%)
  DEF SEG = x%                  'set the segment
  FOR i% = 0 TO 199             'reading loop
    READ byte$                  'read 1 byte
    IF byte$ = "*" THEN EXIT FOR
				'end code
    POKE (y% + i%), VAL("&H" + byte$)
				'write 1 byte
  NEXT i%
  DEF SEG                       'reset the segment
END SUB

'***************************************************************************
'SUB ShowImage                                                             *
'Task:          Displays the image at the screen.                          *
'Input:         p1% = bufseg%=segment address copy buffer.                 *
'               p2% = imagestart%=start address image data in the buffer.  *
'               p3% = header.height=height of the image                    *
'               p4% = header.widt=width of the image                       *
'Output:        Image at the screen                                        *
'Uses:          DrawPixel                                                  *
'***************************************************************************
SUB ShowImage (p1%, p2%, p3%, p4%, p5%, p6%)
  count& = p2%                  'pointer into buffer
  byte% = 0                     'color
  FOR y% = p3% - 1 TO 0 STEP -1 'row loop
    FOR x% = 0 TO p4% - 1       'column loop
      DEF SEG = p1%             'set segment
	byte% = PEEK(count&)    'read 1 byte
      DEF SEG                   'reset segment
      count& = count& + 1       'increment the pointer
      DEF SEG = p5%             'set segment
	CALL ABSOLUTE(x%, y%, byte%, p6%)
				'set the pixel
      DEF SEG                   'reset segment
    NEXT x%
  NEXT y%
END SUB

'***************************************************************************
'SUB Waiting                                                               *
'Task:          Waits until the user has pressed any key.                  *
'Input:         none                                                       *
'Output:        waiting                                                    *
'Uses:          no subroutines                                             *
'***************************************************************************
SUB Waiting
  WHILE INKEY$ = ""
  WEND
END SUB
<PAGEEND:".TGA.Viewer.File">

<PAGESTART:".ANS.Viewer.File1">
''''' -=*=--=*=--=*=-  begin CANSI.BAS  -=*=--=*=--=*=-
DECLARE SUB ansi (a$)
ON ERROR GOTO botched
DEF SEG = &HB800: DIM SHARED SCR%(2): SCR%(1) = 80: SCR%(2) = 25
WIDTH 80, 25: COLOR 7, 0: CLS
INPUT "File to display"; F$
OPEN F$ FOR INPUT AS #1
WHILE NOT EOF(1): ansi (INPUT$(1, #1)): WEND: CLOSE #1
fini: COLOR 2, 0: FOR S% = 5 TO 35: SOUND S% * 200, .1: NEXT
   R$ = "": WHILE R$ = "": R$ = INKEY$: WEND: END
botched: COLOR 2, 0
   PRINT "file "; CHR$(34); F$; CHR$(34); " not found"
   PRINT "error"; ERR: RESUME fini
''''' -=*=--=*=--=*=-  end CANSI.BAS  -=*=--=*=--=*=-

SUB ansi (a$)
DEFINT A-Z: STATIC H, W, R, E, L, C, F, B, O, V, E$
IF W < 40 THEN W = SCR%(1): H = SCR%(2) - 1: R = W - 1: C = 0: F = 7: B = 0
IF E <> 27 THEN
   IF ASC(a$) <> 27 THEN GOSUB CHRout:  ELSE E = 27: E$ = a$
   EXIT SUB
END IF
IF O <> 27 AND ASC(a$) = 34 THEN O = E: EXIT SUB
IF O = 27 THEN
   IF ASC(a$) = 34 THEN O = 0
   EXIT SUB
END IF: E$ = E$ + a$
IF LEN(E$) = 2 AND a$ <> "[" THEN E = 0: E$ = "": EXIT SUB
S = INSTR("HfABCDsuJKmhlp", a$)
SELECT CASE S
  CASE 0: EXIT SUB
  CASE 1: GOSUB CursorA
  CASE 2: GOSUB CursorA
  CASE 3: L = -1: GOSUB CursorL
  CASE 4: L = 1: GOSUB CursorL
  CASE 5: L = 1: GOSUB CursorC
  CASE 6: L = -1: GOSUB CursorC
  CASE 7: V = C
  CASE 8: C = V
  CASE 9: CLS : C = 0
  CASE 10: L = C: WHILE L MOD W <> 0: POKE L * 2, 32: L = L + 1: WEND
  CASE 11: GOSUB Colorz
END SELECT: E% = 0: E$ = "": EXIT SUB
CursorA: L = VAL(MID$(E$, INSTR(E$, "[") + 1)) - 1
   C = VAL(MID$(E$, INSTR(E$, ";") + 1)) - 1
   IF C < 0 THEN C = 0:  ELSE IF C > R THEN C = R
   IF L < 1 THEN L = 0:  ELSE IF L > H THEN L = H
   C = L * W + C: RETURN
CursorL: P = VAL(MID$(E$, INSTR(E$, "[") + 1)): IF P < 1 THEN P = 1
   L = INT(C / W) + P * L
   IF L < 0 THEN L = 0:  ELSE IF L > H THEN L = H
   C = (C MOD W) + L * W: RETURN
CursorC: P = VAL(MID$(E$, INSTR(E$, "[") + 1)): IF P < 1 THEN P = 1
   L = (C MOD W) + P * L: C = INT(C / W) * W
   IF L < 1 THEN L = 0:  ELSE IF L > R THEN L = R
   C = C + L: RETURN
Colorz: E$ = MID$(E$, INSTR(E$, "[") + 1)
  DO: E = VAL(E$)
  SELECT CASE E
     CASE 0: F = 7: B = 0
     CASE 1: F = (F AND 7) OR 8
     CASE 5: B = (B AND 7) OR 8
     CASE 8: F = B
     CASE 30 TO 37: P = E - 29: E = ASC(MID$("@DBFAECG", P)) AND 7
                    F = (F AND 248) OR E
     CASE 40 TO 47: P = E% - 39: E = ASC(MID$("@DBFAECG", P)) AND 7
                    B = (B AND 248) OR E
  END SELECT: P = INSTR(E$, ";"): E$ = MID$(E$, P + 1): LOOP WHILE P > 0
COLOR F, B: RETURN
CHRout: P = ASC(a$)
   IF P = 7 THEN BEEP: RETURN
   IF P = 13 THEN C = C - C MOD W: RETURN
   IF P = 10 THEN C = C + W
   IF P <> 10 THEN POKE C * 2, P: POKE C * 2 + 1, F + 16 * B: C = C + 1
   IF C >= W * (H + 1) THEN
      C = C - W: LOCATE H + 1, W: PRINT
      P = W * 2: L = (H - 1) * P
      FOR L = L TO L + P: POKE L, PEEK(L + P): POKE L + P, B: NEXT
   END IF
   RETURN
END SUB
<PAGEEND:".ANS.Viewer.File1">

<PAGESTART:".ANS.Viewer.File2">
DECLARE SUB ansiout (s$)

' ANSI display V1.1 - Written by David Arigan
' You can use this freely provided you mention me in your credits.

DEFINT A-Z

OPEN "C:\THEDRAW\SHUTTLE2.ANS" FOR BINARY AS #1

blen& = 4096: buf$ = SPACE$(blen&): flen& = LOF(1)
WHILE flen&
  IF blen& > flen& THEN blen& = flen&: buf$ = SPACE$(flen&)
  GET #1, , buf$: flen& = flen& - blen&: ansiout buf$
WEND
CLOSE

SUB ansiout (s$) STATIC
  DIM parm$(16)
  IF init = 0 THEN
    init = -1
    fc = 7: bc = 0: cfx = 0: blink = 0
    lx = 1: ly = 1
    DEF SEG = &H0
    xl = PEEK(&H44A) + 256 * PEEK(&H44B)
    yl = PEEK(&H44C) + 256 * PEEK(&H44D) \ 2 \ xl
    cc$ = "000402140105031500040206010503070812101409131115"
  END IF
  COLOR VAL(MID$(cc$, (fc + cfx) * 2 + 1, 2)) OR blink
  COLOR , VAL(MID$(cc$, bc * 2 + 1, 2)) AND 7
  FOR i = 1 TO LEN(s$)
    a$ = MID$(s$, i, 1)
    IF a$ = CHR$(10) THEN a$ = "" ' ***** Linefeed fix
    SELECT CASE sq$
    CASE ""
      IF a$ = CHR$(27) THEN sq$ = a$ ELSE PRINT a$;
    CASE CHR$(27)
      IF a$ = "[" THEN sq$ = sq$ + a$: parm = 0 ELSE anserr = 1
    CASE ELSE
      sq$ = sq$ + a$
      SELECT CASE a$
      CASE "0" TO "9"
        IF parm = 0 THEN parm = 1: parm$(1) = ""
        parm$(parm) = parm$(parm) + a$
      CASE ";", ","
        parm = parm + 1: parm$(parm) = ""
      CASE "=", "?"
      CASE "@"
        sq$ = ""
      CASE "A"
        IF parm = 0 THEN y = CSRLIN - 1 ELSE y = CSRLIN - VAL(parm$(1))
        IF y < 0 THEN y = 1
        LOCATE y: sq$ = ""
      CASE "B"
        IF parm = 0 THEN y = CSRLIN + 1 ELSE y = CSRLIN + VAL(parm$(1))
        IF y > yl THEN y = yl
        LOCATE y: sq$ = ""
      CASE "C"
        IF parm = 0 THEN x = POS(0) + 1 ELSE x = POS(0) + VAL(parm$(1))
        IF x > xl THEN x = xl
        LOCATE , x: sq$ = ""
      CASE "D"
        IF parm = 0 THEN x = POS(0) - 1 ELSE x = POS(0) - VAL(parm$(1))
        IF x < 0 THEN x = 1
        LOCATE , x: sq$ = ""
      CASE "f", "H"
        SELECT CASE parm
        CASE 0
          y = 1: x = 1
        CASE 1
          y = VAL(parm$(1))
        CASE ELSE
          y = VAL(parm$(1)): x = VAL(parm$(2))
        END SELECT
        IF y > yl THEN y = yl
        IF y < 1 THEN y = 1
        IF x > xl THEN x = xl
        IF x < 1 THEN x = 1
        LOCATE y, x: sq$ = ""
      CASE "h", "l"
        sq$ = ""    ' *** set/reset graphics mode
      CASE "J"
        IF parm = 1 AND VAL(parm$(1)) = 2 THEN CLS
        sq$ = ""
      CASE "K"
        x = POS(0): PRINT SPACE$(xl - x); : LOCATE , x: sq$ = ""
      CASE "L"
        sq$ = ""    ' *** Inserts n blank lines at cursor line.
      CASE "M"
        sq$ = ""    ' *** Deletes n lines including cursor line.
      CASE "m"
        FOR j = 1 TO parm
          SELECT CASE VAL(parm$(j))
          CASE 0
            fc = 7: bc = 0: cfx = 0: blink = 0
          CASE 1
            cfx = 16
          CASE 2
            cfx = 8
          CASE 4    ' *** Underscore on
          CASE 5
            blink = 16
          CASE 7
            SWAP fc, bc
          CASE 8    ' *** Attributes Invisible
          CASE 30 TO 37
            fc = VAL(parm$(j)) - 30
          CASE 40 TO 47
            bc = VAL(parm$(j)) - 40
          END SELECT
          COLOR VAL(MID$(cc$, (fc + cfx) * 2 + 1, 2)) OR blink
          COLOR , VAL(MID$(cc$, bc * 2 + 1, 2)) AND 7
        NEXT j
        sq$ = ""
      CASE "n"
        sq$ = ""    ' *** ESC[6n asks for a Position Report
      CASE "P"
        sq$ = ""    ' *** Deletes n chars including cursor char.
      CASE "p"
        BEEP
        sq$ = ""    ' *** Keyboard Reassignment
      CASE "R"
        sq$ = ""    ' *** Cursor Position Report
      CASE "s"
        lx = POS(0): ly = CSRLIN: sq$ = ""
      CASE "u"
        LOCATE ly, lx: sq$ = ""
      CASE "y"
        sq$ = ""    ' *** Output char translate.
      CASE ELSE
        anserr = 1
      END SELECT
    END SELECT
    IF anserr THEN anserr = 0: PRINT sq$; : i = i - 1: sq$ = ""
  NEXT i
END SUB
<PAGEEND:".ANS.Viewer.File2">

<PAGESTART:".ANS.Viewer.File3">
This Article From Peter Cooper's "The BASIC Fanzine"....
-------------------------------------------------------------------------------
- SECTION ONE PART A PART 2 - (All about ANSI - Ben Ashley) -------------------
-------------------------------------------------------------------------------

 This is all by Ben Ashley. He's at  ben@seacloud.demon.co.uk  if you want to
 chat with him.

           A N S I   I N   A   Q B A S I C   T E R M I N A L
          ===================================================

...is what many message headers in alt.lang.basic/comp.lang.basic.misc look
like.  It is true, you can have ANSI.SYS installed, and simply open to CON:.
Or SHELL "Type <mydoc>".  But you still have no real control over the process.

The Program:

The program which accompanys this article is a Basic-Ansi terminal package. 
With it you can dial up BBS's etcetera, and have almost complete ANSI support.
You can also do ASCII Send and ASCII Capturing (The ASCII Capturing bit will 
also capture ANSI codes, so as you can keep all the funky ANSI artwork you see
laying about the place!)

What *is* ANSI?:

ANSI, is an acronym for American National Standards Institute.  ANSI codes are
an industry standard set of codes, which in this day and age are mainly used for
controlling output on a remote computer.

An Ansi code always takes the same format:

(ESCAPE CODE'27')([)(Paramater list seperated by ';')(Alphabetical ANSI Code)

And so a typical ANSI code will look like this:

  (ESC)[33;1m

The above code will turn the current text colour to yellow, and turn bold on.
The Escape Code is simply ASCII Code 27. This is the code that is generated 
when you press the Escape key, although text editors will not for some reason 
include it in your document by pressing the escape key.  So in our BASIC 
programs we have to resort to mundane things such as CHR$(27)!

Programming It:

When I first had the task of writing an ANSI terminal, back on my humble Amiga 
I did actually see the whole thing as a foreboding deal.  But when you sit down 
and look at the root of it all, it is infact quite simple.  It all boils down 
to what most programmers have problems with.  And that is, not knowing exactly 
what you want to do with the data.  When you have that on paper, the routine 
can spring up in your head, sometimes almost immediately.  Well, it does for me 
anyway.  Anyway, enough gibbering, lets have a look at the problem:

1. There is a text string, which we wish to display on the screen.  It is not
   a fixed length string.

2. It may or may not contain ANSI codes.  The only marker for these, to
   distinquish them from the rest of the text is CHR$(27)+"[".

3. The end marker is an alphabetical character.

Well the only thing we can do then, is output each character directly to the
screen, in the current pen and paper colours until we hit a CHR$(27).  Then
things get interesting.

What we do when we hit that ESCAPE character, can be done in many different 
ways.  We could search forward until we hit an alphabetical character and then 
store the character as the code and the space between the '[' and the letter, 
as the parameter list.  This seems the easiest and quickest in principle, but
in actual fact there is a huge gaping problem.  Can you spot it?
The answer is quite simple.  As the data is coming to us over the modem, there
can be delays.  So in our string, we may not have a complete ANSI code.

The other routine is reading it character by character (as my program does),
simply place all characters into another string as they come in, until we hit
an alphabetical character, which is then stored in another string.  Using
this method, even if we receive an incomplete code the first time, parsing will 
resume when more data comes in.  Nifty eh?

When parsing is complete (denoted by the first occurence of an alphabetical
character) we have two strings.  The first will contain our parameter list,
with parameters seperated by the ';' character, and a 1 byte string containing
the alphabetical code.

What we want to do now is pull out the parameters.  Well, my terminal program
searches through the 'info$' and pulls out each parameter one by one into an 
array until there are no more.  Some ANSI codes do not require any parameters, 
and so your program will need to check for this.  The following piece of code 
shows how my terminal program rips the codes out of the 'info$' string.

   current = 0
   IF LEN(info$) > 0 THEN
      REDIM param$(8)
      DO
         semi = INSTR(info$, ";")
         IF semi > 0 THEN
            current = current + 1
            param$(current) = LEFT$(info$, semi - 1)
            info$ = MID$(info$, semi + 1, LEN(info$))
         ELSE
            current = current + 1
            param$(current) = info$
            EXIT DO
         END IF
      LOOP
   END IF

Most 'newer' languages support REDIM PRESERVE.  This would allow you to have an 
array which contains exactly the correct amount of elements to parameters.  As 
you can see, this routine checks to see if this code *HAS* any parameters.  If 
not, we don't bother trying to parse it!

Lets have a look at some INPUT AND OUTPUT of this routine.

 INPUT : 33;1;2  INPUT : 2   INPUT : 32;40;1

 OUTPUT: 1. 33   OUTPUT: 2   OUTPUT: 1. 32
         2. 1                        2. 40
         3. 2                        3. 1

Simple huh?

Now we have our ANSI code, stored in 'code$'.  And we have an array of 
parameters.  If we have used REDIM PRESERVE we should have an array with the 
same amount of elements as codes.  If we have not, then we can use that 
'current' variable.  When that DO..LOOP has finished, 'current' will hold the 
total number of parameters it parsed.  If info$ was null, then 'current' will 
be equal to zero.  This is correct.  If you have printed out the ANSI Terminal 
listing and are looking at it now along with this document, then we are going 
to 'GOSUB ansihandler' now.  This right down at the bottom of the listing!

The first step is to avoid confusion later on, and make 'total = current'!
Now, we simply to a SELECT...END SELECT block, with the criteria being code$.

So what *does* each ANSI code do then?  Well have a look at some of the more
common codes:

 'H','f' - Locates the cursor, requires two parameters. : ESC [ 3;3H

 'A'     - Moves the cursor up a line, or a parameter
           can be supplied to specify the number of
           lines to move up                             : ESC [2A / ESC [A
 
 'B'     - Moves the cursor down a line, or a parameter
           can be supplied to specify the number of
           lines to move down                           : ESC [2B / ESC [B
 
 'C'     - Moves the Cursor forwards a character, or a parameter
           can be supplied etcetera...                  : ESC [2C / ESC [C
 
 'D'     - Moves the Cursor backwards etc..             : ESC [2D / ESC [D
 
 'm'     - Changes the graphics mode.  This can have a variable number
           of parameters, allowing several graphics codes to be set in one
           ANSI code.

                      3x - Foreground colour (30/31/32...37)
                      4x - Background colour (40/41/42...47)
                      0  - Reset Graphics mode
                      1  - Bold On
                      7  - Inverse Video On
                      8  - Conceal On
 
            These codes therefore can take on images such as:
 
           ESC [33m / ESC [33;40;1m / ESC [0m

           Get the Idea?

So, in our SELECT...END SELECT block we check for a match with each code.  On
doing this, we then (if necessary) check the parameters.  For instance, lets
have a look at the 'H','f' code which locates the cursor.  If no parameters are
supplied to this code, the cursor position is moved to the home position, which
is usually 1,1.  But in my terminal as I use VIEW PRINT, it is in fact X 1 Y 3.
Remember 'total', holds the number of parameters which have been passed.

    .   .   .
    .   .   .
    CASE "H","f"
       If total = 0 THEN
          x = 1
          y = 1
          LOCATE y,x
       ELSE
          y = VAL(Param$(1))
          x = VAL(Param$(2))
          LOCATE y,x
       END IF
    .   .   .
    .   .   .
  
The code for changing the colour is a little more complicated, but not much.
Bascically we simply change the foreground / background colour accordingly
based on what number was shoved through.  If you have a look at that section
in the code (Denoted by the 'CASE "m"' in the Ansihandler:), you will see
exactly what it does.  It is not a trivial task.


Thats basically all there is to ANSI handling.  We get codes and interprete them
using the language tools we have available to us.  We simply have to get into
a state of mind whereby we know that 'm' stands for 'COLOR'!!  There are many
more ANSI-codes, the list of which I have misplaced as of yesterday (good
timing huh?).  I have left out, quite a fancy ANSI-code on the basis that the
escape sequence for split-screen scrolling has escaped (har har) me.  This
code is basically the equivalent to the VIEW PRINT statement in QBasic.  If
anybody knows the code, or has a more complete list, perhaps they would be so
kind as to E-Mail it to me so as I can implement it.  Many fancy BBS's and
online games use Split-Screen scrolling.  Try listing file areas on a DLG run
BBS without Split-Screen scrolling and you will be surprised!  But once I have
the code, I think it can be implemented into the ANSI terminal program without
much problem.

So if you have any comments, queries, ANSI-lists, ideas or even death threats,
please E-Mail me at "ben@seacloud.demon.co.uk".  I will be unable to reply to
them before the 23rd of December though!

Happy COMMunicating, and Happy Christmas...

(ed note- if you're reading this then it should be past 23rd December, it's
 actually 15th when I'm typing this but never mind...)

 Now the accompanying program:  (sorry about the length but it's good!)

' +----------------------------------------------------------------------+
' |               ANSI Terminal - By Ben Ashley (C) 1995                 |
' |               ======================================                 |
' +----------------------------------------------------------------------+
' ************************************************************************
' Written especially for the alt.lang.basic/comp.lang.basic.misc FANZINE!!
' ************************************************************************

CLS
COLOR 15: LOCATE 1, 1: PRINT "- ANSI Terminal program - ";
COLOR 2: PRINT "Written by Ben Ashley for: ";
COLOR 4: PRINT "the alt.lang.basic Fanzine!"
COLOR 15: LOCATE 37, 1: PRINT "F1"; : COLOR 3: PRINT " Ascii Send ";
COLOR 15: PRINT "F2"; : COLOR 3: PRINT " Ascii Capture ";
COLOR 15: PRINT "F12"; : COLOR 3: PRINT " Exit ANSI Terminal";
COLOR 14: LOCATE 2, 1: PRINT STRING$(80, CHR$(196))
LOCATE 36, 1: PRINT STRING$(80, CHR$(196))
VIEW PRINT 3 TO 35
' ** Set Our ANSI Defaults & Flags **
x = 1             ' Current X Position
y = 3             ' Current Y Position
savex = 0         ' Cursor Store
savey = 0         ' Cursor Store
foreground = 7    ' Logical Foreground Color
background = 0    ' Logical Background Color
bold = 0          ' Bold Flag
reverse = 0       ' Inverse Flag
concealed = 0     ' Concealed Flag
ansistage = 0     ' What stage of ANSI PARSING are we at?
tabsize = 3       ' How many spaces is a tab worth in our program?
info$ = ""        ' This will store our ANSI parameters
code$ = ""        ' This will store our ANSI code
' ** Set up some other flags **
asciisending = 0  ' If this value is true, we are sending ASCII Text
asciicapture = 0  ' If this value is true, we are capturing text

LOCATE y, x, 1: COLOR foreground, background

ON ERROR GOTO errorhandler

OPEN "COM2:9600,N,8,1" FOR RANDOM AS #1
  DO
       ' ** Send Keypresses to the Modem **
   key$ = INKEY$
   IF key$ >= "" THEN
         ' We check for Option Keys first, as we don't want to send the
         ' codes!  If it is not an option key, we send to the modem!
      
    IF LEFT$(key$, 1) = CHR$(0) THEN
     SELECT CASE ASC(RIGHT$(key$, 1))
         ' Ascii Send
 
         CASE 59
         IF asciisending = 0 THEN
           VIEW PRINT 38 TO 39
           LOCATE 38, 1: PRINT STRING$(80, CHR$(32))
           LOCATE 38, 1: INPUT "Filename to Send:"; file$
           OPEN file$ FOR INPUT AS #2
            IF ERR = 0 THEN
             asciisending = 1
             LOCATE 38, 1: PRINT STRING$(80, CHR$(32))
             LOCATE 38, 1: PRINT "Now ASCII Sending.  Press F1 again to Stop"
           ELSE
             LOCATE 38, 1: PRINT STRING$(80, CHR$(32))
             LOCATE 38, 1: PRINT "Error : Cannot Open File " + file$
            END IF
            VIEW PRINT 3 TO 35
            LOCATE y, x
         ELSE
            asciisending = 0
            CLOSE #2
         END IF
             ' Ascii Capture
         CASE 60
          IF asciicapture = 0 THEN
           VIEW PRINT 38 TO 39
           LOCATE 38, 1: PRINT STRING$(80, CHR$(32))
           LOCATE 38, 1: INPUT "Filename to capture to:"; file$
           OPEN file$ FOR OUTPUT AS #3
           IF ERR = 0 THEN
            asciicapture = 1
            LOCATE 38, 1: PRINT STRING$(80, CHR$(32))
            LOCATE 38, 1: PRINT "Now ASCII Capturing.  Press F2 again to Stop"
           ELSE
            LOCATE 38, 1: PRINT STRING$(80, CHR$(32))
            LOCATE 38, 1: PRINT "Error : Cannot Open File " + file$
           END IF
           VIEW PRINT 3 TO 35
           LOCATE y, x
          ELSE
           asciicapture = 0
           CLOSE #3
         END IF
                ' Quit
                CASE 134
 
                   ' Close Open Files
 
                   IF asciisending = 1 THEN CLOSE #2
                   IF asciicapture = 1 THEN CLOSE #3
                   VIEW PRINT 1 TO 48
                   CLS
                   EXIT DO
             END SELECT
          ELSE
             PRINT #1, key$;
          END IF
       END IF
 
       ' =================================
       ' ** Data Received to the Screen **
       ' =================================
      
       bytes = LOC(1)
       IF bytes > 0 THEN
          receive$ = INPUT$(LOC(1), #1)
 
          ' ===============================
          ' ** Below is the ANSI Handler **
          ' ===============================
 
    FOR f = 1 TO LEN(receive$)
     SELECT CASE MID$(receive$, f, 1)
     CASE CHR$(7)                     ' Beep
      BEEP
      CASE CHR$(8)                     ' Backspace
      GOSUB backspace
      CASE CHR$(9)                     ' Tab
      GOSUB tabchar
      CASE CHR$(10)                    ' LineFeed
      GOSUB linefeed
      CASE CHR$(12)                    ' FormFeed (CLS Basically)
      CLS
      x = 1: y = 3
      CASE CHR$(13)                    ' Carriage Return
      GOSUB carriagereturn
      CASE CHR$(27)                    ' Escape Character
      ansistage = 1
      ' Clear variables for use on the code itself
      info$ = ""
      code$ = ""
           CASE ELSE
                   IF ansistage = 1 THEN
                      IF MID$(receive$, f, 1) = "[" THEN
                         ansistage = 2
                      ELSE
                         ' If we received an escape char and then not a left
                         ' bracket, then we do not continue with ANSI parsing
                         ansistage = 0
                         IF concealed = 0 THEN
                            LOCATE y, x: PRINT MID$(receive$, f, 1);
                         END IF
                         GOSUB cursorright
                      END IF
                   ELSE
                      IF ansistage = 2 THEN
                         temp$ = MID$(receive$, f, 1)
                           
                         ' If our character is a letter, then that is the
                         ' ANSI code, and we now have all the information
                         ' we need to parse it.  Otherwise, all the info
                         ' added to the info$ variable, which will in
                         ' turn be parsed for each component.
 
                          IF ASC(temp$) >= 65 AND ASC(temp$) <= 122 THEN
                            ansistage = 0
                            code$ = temp$
                        
                            ' Parse Information String:
  
                            current = 0
                            IF LEN(info$) > 0 THEN
                               REDIM param$(8)
                               DO
                                  semi = INSTR(info$, ";")
                                  IF semi > 0 THEN
                                     current = current + 1
                                     param$(current) = LEFT$(info$, semi - 1)
                                     info$ = MID$(info$, semi + 1, LEN(info$))
                                  ELSE
                                     current = current + 1
                                     param$(current) = info$
                                     EXIT DO
                                  END IF
                               LOOP
                            END IF
                  
                            ' Now we have the ANSI code and all the
                            ' parameters which were parsed with it, nicely
                            ' in an array.  Now all that is left to do
                            ' is to act on it.
  
                            GOSUB ansihandler
  
                         ELSE
                            info$ = info$ + temp$
                         END IF
                      ELSE
                         IF concealed = 0 THEN
                            LOCATE y, x: PRINT MID$(receive$, f, 1);
                         END IF
                         GOSUB cursorright
                      END IF
                   END IF
             END SELECT
          NEXT f
       ELSE
          receive$ = ""
       END IF
   
       ' =====================================
       ' ** Ascii Sending / Ascii Capturing **
       ' =====================================
  
       ' Ascii sending is simple.  If there is another line to be read from
       ' the file, then we send it!
  
       IF asciisending = 1 THEN
          IF NOT EOF(2) THEN
             LINE INPUT #2, temp$
             PRINT #1, temp$
          ELSE
             CLOSE 2
             asciisending = 0
          END IF
       END IF
  
       ' Capturing is just as simple.  If receive$ is not null, then we
       ' write it to the file!
  
       IF receive$ <> "" THEN
          IF asciicapture = 1 THEN
             PRINT #3, receive$;
          END IF
       END IF
    LOOP
 CLOSE 1
 END

 ' =====================
 ' ** Cursor Movement **
 ' =====================
 
 cursorup:
    y = y - 1
    IF y < 3 THEN y = 3
    LOCATE y, x
 RETURN
 
 
 cursordown:
    y = y + 1
    IF y > 35 THEN
       y = 35
       PRINT CHR$(13);
    END IF
    LOCATE y, x
 RETURN
 
 
 cursorleft:
    x = x - 1
    IF x < 1 THEN
       x = 79
       GOSUB cursorup
    END IF
 RETURN
 
 
 cursorright:
    x = x + 1
    IF x > 79 THEN
       GOSUB linefeed
       GOSUB carriagereturn
    END IF
 RETURN
 
 
 linefeed:
    GOSUB cursordown
 RETURN
 
 
 carriagereturn:
    x = 1
    LOCATE y, x
 RETURN
 
 ' =================
 ' ** Other Stuff **
 ' =================
 
 backspace:
    GOSUB cursorleft
 RETURN
 
 
 tabchar:
   FOR f = 1 TO tabsize
       GOSUB cursorright
    NEXT f
 RETURN
 
 
 ' ==================
 ' ** Ansi Handler **
 ' ==================
 
 ' The routine contained in the main loop simply rips the wanted bits out of
 ' the code.  This is the action phase.  This subroutine will look at each
 ' code and act on it accordingly.
 
 ansihandler:
    total = current
    SELECT CASE code$
 
       ' Cursor Locate.  If No value is supplied ie '[H' then the cursor is
       ' moved to the Home Position.  'f' is also used for this purpose.
 
       CASE "H", "f"
          IF total = 0 THEN
             x = 1: y = 1
             LOCATE y, x
          ELSE
             x = VAL(param$(2))
             y = VAL(param$(1))
             LOCATE y, x
          END IF
 
       ' Cursor Up
 
       CASE "A"
          IF total = 0 THEN
             GOSUB cursorup
          ELSE
             FOR z = 1 TO VAL(param$(1)): GOSUB cursorup: NEXT z
          END IF
 
       ' Cursor Down
 
       CASE "B"
          IF total = 0 THEN
             GOSUB cursordown
          ELSE
             FOR z = 1 TO VAL(param$(1)): GOSUB cursordown: NEXT z
          END IF
  
       ' Cursor Forewards
  
       CASE "C"
          IF total = 0 THEN
             GOSUB cursorright
          ELSE
             FOR z = 1 TO VAL(param$(1)): GOSUB cursorright: NEXT z
          END IF
  
       ' Cursor Backwards
  
       CASE "D"
          IF total = 0 THEN
             GOSUB cursorleft
          ELSE
             FOR z = 1 TO VAL(param$(1)): GOSUB cursorleft: NEXT z
          END IF
  
       ' Save Cursor Position
  
       CASE "s"
          savey = y: savex = x
  
       ' Restore Cursor Position
  
       CASE "u"
          x = savex: y = savey
          LOCATE y, x
  
       ' Erase Display
  
       CASE "J"
          IF param$(1) = "2" THEN
             CLS
             x = 1
             y = 1
             LOCATE y, x
          END IF
  
       ' Graphics Mode (Colours/Bold Text etc)
 
       ' I am a bit confused here actually, as whilst I was looking through
       ' the ANSI Standard, code 1 turns Bold On/8 Reverse On and 7 conceal
       ' on.  The only way to turn an individual one off, is to send a code
       ' 0 (reset).  I would have made them toggles, but then who am I to
       ' change the ANSI standard??!!
 
       CASE "m"
 
          ' Here we go through each parameter, acting upon it as necessary
 
          FOR z = 1 TO total
             SELECT CASE VAL(param$(z))
 
                ' All Attributes Off

                CASE 0
                   bold = 0
                   reverse = 0
                   foreground = 7
                   background = 0

                ' Bold On
 
                CASE 1
                   IF bold = 0 THEN
                      bold = 8
                   END IF
 
                ' Reverse On
 
                CASE 7
                   reverse = 1
 
                ' Concealed Mode (No Output)
 
                CASE 8
                   concealed = 1
              
                ' Foreground Colours
 
                CASE 30
                   foreground = 0
                CASE 31
                   foreground = 4
                CASE 32
                   foreground = 2
                CASE 33
                   foreground = 6
                CASE 34
                   foreground = 1
                CASE 35
                   foreground = 5
                CASE 36
                   foreground = 3
                CASE 37
                   foreground = 7
 
                ' Background Colours
 
                CASE 40
                   background = 0
                CASE 41
                   background = 4
                CASE 42
                   background = 2
                CASE 43
                   background = 6
                CASE 44
                   background = 1
                CASE 45
                   background = 5
                CASE 46
                   background = 3
                CASE 47
                   background = 7
             END SELECT
               
             IF reverse = 0 THEN
                COLOR foreground + bold, background + bold
             ELSE
                COLOR background + bold, foreground + bold
             END IF
 
          NEXT z
    END SELECT
 RETURN
 
 ' ===================
 ' ** Error Handler **
 ' ===================
 
 errorhandler:
    RESUME NEXT
 RETURN
 
 Thanks for all that Ben. A great contribution everyone, eh?
-------------------------------------------------------------------------------
<PAGEEND:".ANS.Viewer.File3">

<PAGESTART:"Bload.Bsave.File1">
'BSAVEing arrays and BLOADing to arrays in QBasic/QuickBASIC by Jesse Dorland

SCREEN 13
RANDOMIZE TIMER
'$DYNAMIC
'Now we dimension the array we're going to be using.  For this
'code, we're only going to be saving a 50x50 square.
DIM Array%(1252)
'In order to BSAVE our array, we have to tell QBasic/QuickBASIC where
'the array is in memory.  This next line will set the memory segment
'to the beginning of where Array%() is in memory
DEF SEG = VARSEG(Array%(1))
'Now we want to draw something on the screen.  Since we're only saving
'a 50x50 square, we won't draw on the whole screen.
PRINT "Press any key to stop drawing"
DO UNTIL LEN(INKEY$)
'Draw a pixel within a 50x50 box
PSET (50 * RND + 50, 50 * RND + 50), 255 * RND + 1
LOOP
'Make our doodle a box
LINE (50, 50)-(99, 99), 15, B
'Get our box into an array
GET (50, 50)-(99, 99), Array%(1)
'Now comes the BSAVE part.  Here, we're going to save the
'entire array to a file called "BOX.SAV."  We've already told QBasic/
'QB where in memory Array%() starts.  Now we've got to tell BSAVE how
'many bytes after that we want to skip before starting to save.  We'll
'use VARPTR for that.  The reason you see "1252*2" below is because
'an integer is two bytes.  Array% is an integer array, which means each
'element holds two bytes.  Without the * 2, only half the box would be
'saved.
BSAVE "BOX.SAV", VARPTR(Array%(1)), 1252 * 2
'Reset the memory segment.
DEF SEG

'Great!  Now the box is saved to disk.  A loading routine follows.
CLS
'Erase Array%() just to show that the box is on disk and we're not
'using the copy that's in memory anymore.
ERASE Array%'Dimension the array we'll use to hold the box.
DIM Box%(1252)

'We have to tell QBasic/QB where to start loading
DEF SEG = VARSEG(Box%(1))

'Now we BLOAD the box into the array.  Again, we use VARPTR to tell
'BLOAD what byte position to begin loading to.
PRINT "Press a key to load and display."
A$ = INPUT$(1)
BLOAD "BOX.SAV", VARPTR(Box%(1))

'Display the box onscreen to prove that we've loaded it.
PUT (50, 50), Box%(1), PSET

'Delete the box file
KILL "BOX.SAV"
<PAGEEND:"Bload.Bsave.File1">

<PAGESTART:"Bload.Bsave.File2">
This Article From Peter Cooper's "The BASIC Fanzine"....
______________________________________________________________________________
| SECTION 1 PART B SUBPART 2 | Graphics tips and tactics |
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 This article is by James Erickson, he can be reached at:
         ericksnj@teleport.com
 For how long I don't know.. he changes email address a lot. 8-)
 Cheers, James 8-)

Have you ever wanted to save a graphic in BASICs Screen 13.  Or more 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
importantly load one quickly?  Well its easy!  Here's how...
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
First you'll need to draw something on the screen.. It doesn't matter
how.   Then you need to save it.  The first step is to point to the 
segment of the video address.  Then you want to bSAVE the graphic:

DEF SEG=&HA000
BSAVE "filename",0,64000

64000 will save the entire screen.  So use that to save an entire screen.
It works sort of like Peter Coopers putpixel.  Just multiply the y value
by 320 and the x value and add by one.  So if you only wanted to save the 
upper half of the screen it would be ((y*320)+x)+1.  In this case y would 
be 99 and x would be 319.  The reason you need to add by one is when you 
are saving the graphic it thinks of (0,0) as 1 instead of 0.  So that means
you have to add the entire thing by one.  So once again here is the equation:
((Y*320)+X)+1

The parenthesis are not really needed, but they are good to put in.

To Load the screen back up later, just do this simple thing:
Def Seg=&HA000
BLOAD "filename"

That's it!!!
-----------------------------------------------------------------------------

Well those loading and saving routines are all well and good if you want 
to grab the entire screen, or the upper parts, but what if you want to save
and load a sprite?  Well that is a little more complex, but it is still 
easy!

First as usual you draw something on the screen.  Then you need to make 
an array for your sprite.  I am not sure how you demention your array 
based on the graphic size, because the demensions of the array can be 
smaller then the sprite's demensions!  So if anyone knows what the equation 
is for dimensioning an array based on the sprites dimensions then I would 
LOVE to know.  But until then I just dimention the array according to the 
sprite size.  So if the sprite is 20x20 the the I make the array 20x20.  
What I do is say

Dim array(20*20) or..
Dim array(20,20)

Then you need to get the image.  If you don't know how GET works then look 
it up in you BASICs help file.

Like..
GET (1,1)-(20,20),array

Now you need to point to that array like so..

DEF SEG=VARSEG(array(0))

Now it is safe to save it.  Like so...

BSAVE "filename",Varptr(array(0)),length

The equation for the length of the file does not work for saving a sprite 
either.  it is not X*Y, so I don't know what the equation for it is.  So 
I hope someone who knows the equation can contribute it to the fanzine.
Meanwhile for length I usually use 16384, but if the sprite does not load 
up all the way when you try to load it, then increase that number.
VARPTR tells BSAVE where to look for the info.  In this case it is the
memory location where the array is stored.

OK, now that you have the image saved, you can use it in one of your
programs.  But this time when you load up the graphic, you load it into
an array instead of to the screen.  Don't worry it is just as fast.

First dimension your array, the way you did before...

Dim array(20*20) or..
Dim array(20,20)

Now point to that array again:

DEF SEG=VARSEG(array(0))

Now Load the graphic the same way you did before, but this time load it into
the array.  Like so:

BLOAD "filename",VARPTR(array(0))

Now that it is in the array you can put it on the screen whenever you want!
Just use PUT.  If you don't know what PUT is then look it up in the online
help.  But here is the general idea...

PUT (x,y),array,PSET

I Hope I have not further confused you, but nevertheless those things work.
----------------------------------------------------------------------------
<PAGEEND:"Bload.Bsave.File2">

<PAGESTART:"Bload.Bsave.File3">
'>>> Page 1 of BOUNCE1.ZIP begins here. TYPE:BINAA TLEN:2820
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"BOUNCE1.ZIP",4^6:Z&=2820:?STRING$(50,177);
U"%up()%9%'%d-%e)%rFI/+oFJ)7%%E-%%%0%%%%gt%zshj%VSgfCxdz,,B[[9hL6
U"Ux/?Kj40LJ(1hj,aR)EU'n/gK_&YE3fjW)TfX0*aa1Z187&c+*hKkVfR#heCDHa
U"^pCBYrjV3u3=Ykt>Y;$V:e>)bP>V/.qk;:&B?Nq+7F(SVj\>?[cCtZEo=VKb+IC
U">DDegVOACbkXLF?TE#1TZhhuxa7D3*+qba^IU'h[&HF?O[TvXuY-Hq-geFAvP9#
U"JsY;C*q*Fs8jnV.*qST7>45?Gb296\/;5YpqJU%LO7n2l,8Fm^'BK+Uk5J.)Zia
U"V0D_CN)kpOrvS'R(SH6R&39i.VZ$+g5:F8n&sa^1N*]1iejbba_bl57&JjPLW1j
U"FX6slFOBV'D+BS:-y/Q9(5lSkD(c898*;_yRUc:E-/sY3PPoFk2rPRTUeLqT6<Z
U"Eb2vM6DEZ4>&ld<mUv[5<%V\OKc7GJNa+lmZ#Lj;^4,V_KkR?ee>#\TdZpCQ-^#
U"]FUk^E4FLW9hwIDd/o)EA'7mSY49$/n-'<M.m50_LkjcH9QsUUJ:0/qYF\;m\V2
U"u(*UZldEo*o[H+D3BpT=I+W+#76W2Vn<w825>(Wcu?H4]aC_,?/iwncfM&KXD6R
U"rJpwTVOlQ3X&PMJ;1nCmqBylv/G.VoH_/SlOC6J=8zMB*E5gXX_BwueP]U9+D+B
U"S3ivSw:nCi\JSlJ[X%ip6P&j]oM*lUXw+h;Qy]:4#*RZG(O7*VP'JMiL$jkpe>/
U"hv?ff,k%6f+7([/#jjCnqE]+I1JI:Gu-^aSJg-vob;rZHLKwc[MpxSq2aqC*ix^
U"U;D74L;SsoW][mBWn6[SS8dW7?dzn2*ct8n\ROr0Nph8d*6t^umr%hM?_;xuS1A
U":20n*^Ct*=-]zmQjEP#?FpK^'_.*,wZpgC+\wgBM,NSb&GA]<MWOfA4(ng4mFtV
U"6,pZoV2e8Ap=g/vKmW8*nBE3C9*<KuM^;*:AJvSBBCBpwY,))eY;\#;%sE$k,*+
U"il+V/wxNqnRXjZS7I4kX-x;s]8Ke#1F)?QH:>;:hi<Gm()b(cw)_IXJ2vQOiN[o
U"x_..U>UUJINs9(WVDEQ[WCBqq1f-Z7Gp*;17kHF3of;D%z[,Z8X7^]5i&In2h(i
U"o:fq1Smt2,tfC/eNnt2D)6q&'o3Ji1pEdlhA%zo_I(X&[VCZiKFrQjhk*_L=tmv
U"^<7Od;ml)*gm$Bl#Ov=C##,[Lz>Vn2%p87%SX&_Kzqr.KcJ,cI*%rI#*db.p*H*
U"__f/k#H*zKAtEd%G_8v?:1?r33Y*LLjA#6hC%Y#riaj#B\GVYOW<YTBhmx_t>uV
U"UC-$s-[p#^,RFX7tfJbl'6R3D_vOsp:z$qjJ>(dS?C4m/8[Q?L$('q<up%()9%%
U"'%-%)GdrF.ny$\'H'%%&M7%%%.%%%&&tti%VSufLq4d*-'TU1F*x0CL4-QHsi6O
U"8*+);HTBBY-gEkg=jIrgdu7OXXLdf,&WVbWxr?c'DK-l.2gB2m\OiH+mWPH8,Z$
U"1W=lHdEEsb_rECUHI30#85&Kk47R]QnfSgG^tKE$hA3#dx3a>.kQOPN/)_c6N4k
U"5=bmI\k+>C6fUa3CWnnbCA*C3R_2k+Orp6zgqA;NLE8$EV_H$#ms_0?KtT(*TB3
U"k=G\bJHt$$6]An$C3HXB,hn*JA7Ix\H=j2KQ-1jUB^HhqB3WV#T3k=2Q%d$ckd$
U"$],RbFkK*:zQe$qDaqo(,8,nmT>Gv<5khr<_%/E<dAOI*tAs,/HT64JqjmZH\lD
U"fgp_L2LsA+=L,hFIq_D2Ug,HNLokq'lbAJIt[snfomBdA5;bRqGH<Rd*TnElhg;
U"3>naE^lcVL_pjH(<^n\*zfoXX<2MVW.dfO3k;[TH;xR^9_/KXesxs'VE+G8_)[E
U"M?=?=M?=?=k?g?gk?g?gk?g?gk?g?gk?g?g>?/tK%WG6J7GLCi)Tw7ZaGS#fG\o
U"kJtr6JW;7>-\TS#f\Woq67jTSZo5q67TWSZoqN67n7Mn7n7Mn7n7Mn7n7Mn7n7q
U"n7h-bFS$fGlosJtv6LWY8h-FWS6S6WS6S6WS6S6WS6S6WS6S69S<S<9S<S<9S<S
U"<9S<S<9S<S<WS&S&WS&S&rS&S,5x?w?Vz9Eyr*z?)4?D9qtz*&?T1?d9rEz*(-?
U"9?0n:q%*?*?A?pP:E%u*,?I.?p:qZ&*.1Y:>OY0&:*Pi/%;&rQ)*.q1:>OGY&:*
U"OP/%;l&Q)*i.1:><OY&:S*P/%Y;&Q)Q*.1:l>OY&^:*P/q%;&QY)*.1Y:>OY0&:
U"*Pi/%;&rQ)*.q1:>OGY&:*OP/%;l&Q)*i.1:><OY&:S*P/%Y;&Q)>p.x%%up()%
U"9%'%R-%4d.rFYH:$vU'[%%,s%%%.%.%%&t%tiVS\%lfffSpz\[[%eZ+5'D'.8)Q
U"-\Sf0B.0.3i8R[*.p[g:EuuBwGCgp\F]Lw=[a1V9G7<mo,U$IwH6svC_iv#IDa4
U"u0v6wlMzY>fYV=Ebp0-v-VV3t+u7tKeape-dts=56lF&sWRJMcYM>*mbw4PRl0)
U"_vA#LN-\TMl#tD+*PEM^f$W<TK7q2(qQtX:eMg8\G1mFcEbmwiPe&[*a5m$ME(e
U"o(BdqS05)0<RUN<tCS*bv]Bm$0xMI:U+AAmNdP4TfA8*CbDs&bnl\MgM&ceiZsM
U"e8,uZTfwLT4docNbFs.DvsBk_DH3drm<XpSJNDmgCzfm>JRhhpmx.*X^#Y,7-NV
U"DWT-C%-CXTUr6MS(m;<&EUU'dBMgf<,[DJbo,k/A'Wv-ozBSso:V\Z2SgaeDTl0
U"t>L/Cp*CZbp3.0PnLZUSI$KXADqkX*'Hx^qgBv>]58okxW)\qBkD5l'lgC5kLih
U"YsXDMOrT,sM%IWRlt]lHfdWU$n3_Kh?9lP-qxsOo_9LS2NEB#pNE0k+l/mJVN(<
U"3vB-W[)Wdkp#qiZHRt\JJhkD8BTB-wo<$.#F?Pk,FpRi\s/YJs6-tN-.15Cc:2Y
U"K.G(1<BCVN17UeSM,sl2T_lYoHj)n,.<m3ZglT9lO8VoQ(SuHQ7:),u..ode^Ui
U"HNX]MVTotduI6g-ck%cI.r<?.6ub.gQox$Oh2r<)FqscCm3OgzziO7tQf8dIwTj
U"vN\Ba_Nn;^ocdLd)EkOD6#M_(&rT\XsmR88N^js/GXWWbF'il/biDJBMMEA;^dN
U"ulw:25ycy6&q6rxqBN\P0g4LyqDL[ws5p(a%ld%%%%%%%%%%%%%%%%%%%%%%%%%
U"%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
U"%%%%[%%%w-pw'u%p&'9%%9%'#%-%e')rFI7/oFJ[)%%E%-%%0%%%%%%%%%&%%E%
U"%%%%%%%%gtz%shjV%Sgfx%up&'%9%9%%'%-%)GdrF.ny$\'H'%%&M7%%%.%%%%%
U"%%%%&%E%%%%s).%%&t%tiVS%ufqu%p&'9%%9%'[%-%4AdrFYdH$vU%'%%,'s%%.
U"%%%%%%%%%&%%E%%%%i,%(%&tt#iVS%%lfup%*+%%%%%(%.(%v%%%%l/%%%%%
END SUB
CLOSE:IF S=90AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of BOUNCE1.ZIP ends here. Last page. TCHK:90
<PAGEEND:"Bload.Bsave.File3">

<PAGESTART:"Bload.Bsave.File4">
'>>> Page 1 of FASTSPRT.ZIP begins here. TYPE:BINAA TLEN:2071
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"FASTSPRT.ZIP",4^6:Z&=2071:?STRING$(50,177);
U"%up()%9%%%d-%+,8'FRd1Uu3*.%%01%%%1%%%%kf%xyxu%wySgIfx\%;:>SoO5v
U"-xNx0QQdo7VSdeC\gu&=<-/w9+qjOk#*GfY#2Q44EWlxvlR0.Bbp](?zB?gGE^k
U"6H[fqMGxgX(EQ]K<B[h+q:ri__A=j/,qp6IpN3hID$l^>n'b-;/_\vadk*Xc<-2
U"v/k0xGi\'/]r#OB9+XYl;JGt9\^fYT0nP)u#7e+4I9]E[Q#2G3Aj#hRaF6i4s1V
U"3ahIh08O4ql_xinr/Ba[iIiNFUJ8?iE<A?+A$'tE*H:Ec=2y=;UHa^3j5Rf2U/8
U"72Y98T$.*s)*3q]*p0#aP=T)e1<6p4VXWP;5\1:3mMv=HPg>nH4injq\/NGC^=Q
U"2]A#+CZO1i#jAmE1V;cJTMiqd#iHJ9mu='vlvR70<kaU[-:Qp*GaQ)$0W3[Gs)r
U"&hpm)WMic%^I8K#I\EogEx2-)2SEb^6VFVChuq;R'Cs</?ge(?L^tE3Vqo[#q[/
U"h;cOAGPX_wmq=wHQdN>qV:#+YrTIh_<'*<+IG>*-3Pef+sAbr'GA5Gef31Aj*fQ
U"RU2VWU&oo]MT&J#>>c.i.MEg.crI2Jx)f\(q-]tN[2=fwbBV2e<_=WQe-7X7lqi
U"=.[R)kQ0pj8r&uJ(m4.g_f:<\tTQcE;ZLwvPyj$4,roQooZ7wB-ic$C\tfA:gSV
U"Wf$M\^sDJqlcdjTU3NHepw)3jjL=*7\Go;Ik;HEPiRC5laP(U'0KSAw221t+F1h
U"N0ZUlhl>o..q/T'[yl-AXn_1(YD$oNDa&vL:7TX#C;4X(yB\&rMY3I1FupGCYS0
U"^93e6aQ#Tmb&cI3(ex+p&12AV0iTmPNsz4J]F$5Y*_e8?I[$XE(l&$zsW_p/hWw
U";/It63SvWS.Qr$[TVA%[#SU<,:;^GC'_6Gi>CRh:NP8NZ6NPkZO0/MHU8RHb5dQ
U"X+.W9,2T?+/gztgd>s,n/Fa.e)Y';Ql$IJxC3Os%Gzk-4oKFI>\%P(KCX[q56DO
U"1[RgzV]qHu\rrJG#MWjh6)[GORb97Od86/7dwL7uwSRynCa^x[387SsjW2?p&\,
U"c]ll=G0=5ku#9'.UG]kk=-fG\yn<6XWh9HFuD#++3bZlL$+:B,ZF]5Q^+IGGxAy
U"/eMAdJ6J5CWJ<Cg*iS*lOJ-'oM4AP-gbZ?*,6IH5V=T^gql.+mt7wtF4aW4BmI=
U"J/rECiTB$pM%G6vKD;Vbtfe*$Dk98&(6$QY#'\>r%'BdBKo\YyZ(xbbjfu+XF-Q
U"?8S,\1E72ri=>u'2gz5ZM2x)M(uR[DEof[CO1a0JC<'3\5MrhQpd>iAGEuwLj5N
U"Z(:vze>_/(zbU_NtL\=9yLlrUPt*RAW*mZ(sNE)k$If?OzhUO8NS(:Z0e.CYu_'
U"8Ob^^cZ;/-.Q6A7weDF)vk,?,Q<\gh(E]p%ZVox%xNfwXbN=udbz7\#z8^=%1=D
U"fWe+P#A9:<?Ev6:2un-Jh=p)m6XN:v.5GNi=ewdCL6BEMHuf+Yf))9tsG-LH1<9
U"/%6ceR-*>8v3wV&Ffxpb+;)HhSUh,L,Ds)DP_5Wb8nc;xvNv7YbNKh)NU'cRNbK
U"+.1RP]-slbQebu+G%vFX)&V7:h2G[jZ+?q&&0q6[HxDkfu(JZ7G2wT6Pe5Ay&]]
U"4Z$GV_$<<#G/uw3[-Z'C<]VHSL^h]?-MI]dRDuT&,[9o\5M9nRf6'?+Y3cdn)Vc
U"wb):kz+*&_zkndj3?4(igYpO93Q,SWY&<o$x6>sZdL2x;-U^\i<y4TaxPS#4zH7
U"VK+0JHW8g6N'pTup%()9%%%%-%1lb%F7=wWp'T&%%-px%%%.%%%%xmnu%VSxu=w
U"fIv,9Te=a)YVARm&#hPBmcLNaPBP?K')g(QvumTU,L>jeSNoUfzvMkMt$5Qwsm5
U"9Da$Oulum-4Q4I]n;#lkuW#5nq4Hhl(amQHtNal7G^+2(ad8s$kflIMeaV[p1Ye
U"8beG#uLWrCbfQZ/^Du3uomZ/8hh?Wg.3h^0?Xs$X_C*Yz^Ct^4surkK6jB0c[E9
U"nhHrHvIdj#$?a;d=U/9&O&(+#1=U/*9O&(%+1=U5/9O&%(+1=UU/9O%&(+1d=U/
U"9&O&(+#1=U/*9O&(%+1=U5/9O&%(+1=UU/9O%&(+1d=U/9&O&(+#1=U/*9O&(%+
U"1=U5/9O&%(+1=UU/9O%&(+1d=U/9&O&(+#1=U/*9O&(%+1=U5/9O&%(+1=UU/9O
U"%&(+1%=Y1?I+2RUOf<o00IU7=%Y1?+12RUfi<o0I(U7=Y%1?+2_RUf<;o0IU&7=
U"Y1#?+2RSUf<oG0IU7#=Y1i'xb1=UU/9O%&(+1d=U/9&O&(+#1=U/*9O&(%+1=U5
U"/9O&%(+1=UU/9OU&RtU%&(+1d=U/9&O&(+#1=U/*9O&(%+1=U5/9O&%(+1=UU/9
U"O%&(+1d=U/9&O&(+#1=U/<i>l#%up&'%9%9%%%%-%5+,'FBRdUu&3*%%&01%%%1
U"%%%%%%%%%&%E%%%%%%%%%kf%xyxu%wySg%fxup%&'9%%9%%%#-%lb&%F=w9WpT&
U"m%%px%%%.%%%%%%%%%%%%E%%%&]*%%%xmnu%VSxu%wup*%+%%%%%'%'(%#%%(%_
U",%%%%%
END SUB
CLOSE:IF S=171AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of FASTSPRT.ZIP ends here. Last page. TCHK:171
<PAGEEND:"Bload.Bsave.File4">

<PAGESTART:"Music.File">
'<PRE>
' DMA Play
' By Mike Huff (1996)
' Audio file player that plays using the DMA channels.
' Runs in QBASIC, QuickBASIC, PDS, VBDOS, and even GW-BASIC!!! (If you add
' line numbers and remove the SUBs, FUNCTIONS, and do a few other things.)
' Use DMADone% to detect the end of a transfer.
' Tested on a 486DX4-120mHz with a Reveal Sound FX card.
DECLARE FUNCTION SpeakerStatus% ()
DECLARE FUNCTION DMAStatus% ()
DECLARE FUNCTION DMADone% ()
DECLARE FUNCTION ResetDSP% ()
DECLARE SUB FMVolume (Right%, Left%, Getvol%)
DECLARE SUB VocVolume (Right%, Left%, Getvol%)
DECLARE SUB MasterVolume (Right%, Left%, Getvol%)
DECLARE SUB MicVolume (Gain%, Getvol%)
DECLARE SUB LineVolume (Right%, Left%, Getvol%)
DECLARE SUB CDVolume (Right%, Left%, Getvol%)
DECLARE SUB InputSource (InputSrc%, GetSrc%)
DECLARE SUB WriteDSP (byte%)
DECLARE SUB SetStereo (OnOff%)
DECLARE FUNCTION ReadDSP% ()
DECLARE SUB WriteDAC (byte%)
DECLARE SUB SpeakerState (OnOff%)
DECLARE SUB DMAState (StopGo%)
DECLARE FUNCTION ReadDAC% ()
DECLARE SUB DMAPlay (Segment&, Offset&, Length&, Freq&)
DECLARE SUB DMARecord (Segment&, Offset&, Length&, Freq&)
DECLARE SUB GetBLASTER (DMA%, BasePort%, IRQ%)
DECLARE FUNCTION DSPVersion! ()
COMMON SHARED BasePort%, LenPort%, Channel%

CLS
PRINT "DMAPlay"
PRINT "By Mike Huff"
PRINT "The first background WAV/VOC/etc player/recorder in BASIC I've ever seen"
PRINT "Use freely"
PRINT "Comments, etc. can be sent to MHuff@gnn.com or on FidoNet in the QUIK_BAS echo"
GetBLASTER Channel%, BasePort%, IRQ% ' Parses BLASTER environment
PRINT STRING$(80, 196)
IF ResetDSP% THEN 'resets DSP (returns true if sucessful)
   PRINT "DSP reset sucessfully!"
ELSE
   PRINT "DSP failed to reset, try another port."
END IF

SpeakerState 1 'turn the speaker on
PRINT "Sound Card DSP version:"; DSPVersion!

MasterVolume Right%, Left%, -1 'this puts the mixer volumes in Right% and Left%
PRINT "Master volume is set at: Right-"; Right%; " Left-"; Left%
MasterVolume 15, 15, 0 'this cranks the master volume all the way up.

DIM WavBuffer(1 TO 1) AS STRING * 32767 'Make a 32k buffer for file.
INPUT "WAV/VOC/SND file to play: ", Filename$
OPEN Filename$ FOR BINARY AS #1
GET #1, 44, WavBuffer(1) 'Get 32k from file (skip header on WAV)

Length& = LOF(1) - 44
IF Length& > 32767 THEN Length& = 32767'Adjust length if needed to 32k

INPUT "Frequency to play at: (1000-41000Hz)", Freq&
DMAPlay VARSEG(WavBuffer(1)), VARPTR(WavBuffer(1)), Length&, Freq&

'Use DMARecord to record in the background.
'and use DMAPlay to playback the same buffer you recorded to or you could
'even write the buffer to a file.
'DMARecord VARSEG(WavBuffer(1)), VARPTR(WavBuffer(1)), Length&, Freq&

DO
COLOR RND * 15
PRINT "Check it out! It's playing in the background!"
LOOP UNTIL DMADone%

CLS
COLOR 7

PRINT "MA transfer completed!"


SUB CDVolume (Right%, Left%, Getvol%)
OUT BasePort% + 4, &H28
IF Getvol% THEN
   Left% = INP(BasePort% + 5) \ 16
   Right% = INP(BasePort% + 5) AND &HF
   EXIT SUB
ELSE
   OUT BasePort% + 5, (Right% + Left% * 16) AND &HFF
END IF
END SUB

FUNCTION DMADone%
Count% = INP(LenPort%)
Count2% = INP(LenPort%)
Count& = CLNG(Count% + 1) * CLNG(Count2% + 1)
IF (Count& - 1) >= &HFFFF& THEN junk% = INP(DSPDataAvail%): DMADone% = -1
END FUNCTION

SUB DMAPlay (Segment&, Offset&, Length&, Freq&)
' Transfers and plays the contents of the buffer.
Length& = Length& - 1
Page% = 0
MemLoc& = Segment& * 16 + Offset&
SELECT CASE Channel%
    CASE 0
       PgPort% = &H87
       AddPort% = &H0
       LenPort% = &H1
       ModeReg% = &H48
    CASE 1
       PgPort% = &H83
       AddPort% = &H2
       LenPort% = &H3
       ModeReg% = &H49
    CASE 2
       PgPort% = &H81
       AddPort% = &H4
       LenPort% = &H5
       ModeReg% = &H4A
    CASE 3
       PgPort% = &H82
       AddPort% = &H6
       LenPort% = &H7
       ModeReg% = &H4B
    CASE ELSE
       PRINT "DMA channels 0-3 only are supported."
       EXIT SUB
END SELECT

OUT &HA, &H4 + Channel%
OUT &HC, &H0
OUT &HB, ModeReg%
OUT AddPort%, MemLoc& AND &HFF
OUT AddPort%, (MemLoc& AND &HFFFF&) \ &H100
IF (MemLoc& AND 65536) THEN Page% = Page% + 1
IF (MemLoc& AND 131072) THEN Page% = Page% + 2
IF (MemLoc& AND 262144) THEN Page% = Page% + 4
IF (MemLoc& AND 524288) THEN Page% = Page% + 8
OUT PgPort%, Page%
OUT LenPort%, Length& AND &HFF
OUT LenPort%, (Length& AND &HFFFF&) \ &H100
OUT &HA, Channel%

IF Freq& < 23000 THEN
   TimeConst% = 256 - 1000000 \ Freq&
   WriteDSP &H40
   WriteDSP TimeConst%
   WriteDSP &H14
   WriteDSP (Length& AND &HFF)
   WriteDSP ((Length& AND &HFFFF&) \ &H100)
ELSE
   IF DSPVersion! >= 3 THEN
      TimeConst% = ((65536 - 256000000 \ Freq&) AND &HFFFF&) \ &H100
      WriteDSP &H40
      WriteDSP TimeConst%
      WriteDSP (Length& AND &HFF)
      WriteDSP ((Length& AND &HFFFF&) \ &H100)

      WriteDSP &H91
   ELSE
      PRINT "You need a Sound Blaster with a DSP v3.x+ to play at high speed."
      EXIT SUB
   END IF
END IF
END SUB

SUB DMARecord (Segment&, Offset&, Length&, Freq&)
Length& = Length& - 1
MemLoc& = Segment& * 16 + Offset&
Page% = 0
SELECT CASE Channel%
    CASE 0
       PgPort% = &H87
       AddPort% = &H0
       LenPort% = &H1
       ModeReg% = &H44
    CASE 1
       PgPort% = &H83
       AddPort% = &H2
       LenPort% = &H3
       ModeReg% = &H45
    CASE 2
       PgPort% = &H81
       AddPort% = &H4
       LenPort% = &H5
       ModeReg% = &H46
    CASE 3
       PgPort% = &H82
       AddPort% = &H6
       LenPort% = &H7
       ModeReg% = &H47
    CASE ELSE
       EXIT SUB
END SELECT

OUT &HA, &H4 + Channel%
OUT &HC, &H0
OUT &HB, ModeReg%
OUT AddPort%, MemLoc& AND &HFF
OUT AddPort%, (MemLoc& AND &HFFFF&) \ &H100
IF (LongByte& AND 65536) THEN Page% = Page% + 1
IF (LongByte& AND 131072) THEN Page% = Page% + 2
IF (LongByte& AND 262144) THEN Page% = Page% + 4
IF (LongByte& AND 524288) THEN Page% = Page% + 8
OUT PgPort%, Page%
OUT LenPort%, Length& AND &HFF
OUT LenPort%, (Length& AND &HFFFF&) \ &H100
OUT &HA, Channel%

IF Freq& <= 23000 THEN
   TimeConst% = 256 - 000000 \ Freq&
   WriteDSP &H40
   WriteDSP TimeConst%
   WriteDSP &H24
   WriteDSP (Length& AND &HFF)
   WriteDSP ((Length& AND &HFFFF&) \ &H100)
ELSE
   IF DSPVersion! >= 3 THEN
      TimeConst% = ((65536 - 256000000 / Freq&) AND &HFFFF&) \ &H100
      WriteDSP &H40
      WriteDSP TimeConst%
      WriteDSP (Length& AND &HFF)
      WriteDSP ((Length& AND &HFFFF&) \ &H100)
      WriteDSP &H99
   ELSE
      PRINT "You need a Sound Blaster with a DSP 3.x+ to record at high speed."
      EXIT SUB
   END IF
END IF

END SUB

SUB DMAState (StopGo%)
' Stops or continues DMA play.
IF StopGo% THEN WriteDSP &HD4 ELSE WriteDSP &HD0

END SUB

FUNCTION DSPVersion!
' Gets the DSP version.
WriteDSP &HE1
Temp% = ReadDSP%
Temp2% = ReadDSP%
DSPVersion! = VAL(STR$(Temp%) + "." + STR$(Temp2%))
END FUNCTION

SUB FMVolume (Right%, Left%, Getvol%)
OUT BasePort% + 4, &H26
IF Getvol% THEN
   Left% = INP(BasePort% + 5) \ 16
   Right% = INP(BasePort% + 5) AND &HF
   EXIT SUB
ELSE
   OUT BasePort% + 5, (Right% + Left% * 16) AND &HFF
END IF
END SUB

SUB GetBLASTER (DMA%, BasePort%, IRQ%)
' This subroutine parses the BLASTER environment string and returns settings.
IF LEN(ENVIRON$("BLASTER")) = 0 THEN PRINT "BLASTER environment variable not set.": EXIT SUB
FOR Length% = 1 TO LEN(ENVIRON$("BLASTER"))
   SELECT CASE MID$(ENVIRON$("BLASTER"), Length%, 1)
      CASE "A"
        BasePort% = VAL("&H" + MID$(ENVIRON$("BLASTER"), Length% + 1, 3))
      CASE "I"
        IRQ% = VAL(MID$(ENVIRON$("BLASTER"), Length% + 1, 1))
      CASE "D"
        DMA% = VAL(MID$(ENVIRON$("BLASTER"), Length% + 1, 1))
   END SELECT
NEXT

END SUB

SUB InputSource (InputSrc%, GetSrc%)
OUT BasePort% + 4, &HC
IF GetSrc% THEN
   InputSrc% = INP(BasePort% + 5) AND 2 + INP(BasePort% + 5) AND 4
ELSE
   OUT BasePort% + 5, InputSrc% AND 7
END IF
END SUB

SUB LineVolume (Right%, Left%, Getvol%)
OUT BasePort% + 4, &H2E
IF Getvol% THEN
   Left% = INP(BasePort% + 5) \ 16
   Right% = INP(BasePort% + 5) AND &HF
   EXIT SUB
ELSE
   OUT BasePort% + 5, (Right% + Left% * 16) AND &HFF
END IF
END SUB

SUB MasterVolume (Right%, Left%, Getvol%)
OUT BasePort% + 4, &H22
'PRINT BasePort%
IF Getvol% THEN
   Left% = INP(BasePort% + 5) \ 16
   Right% = INP(BasePort% + 5) AND &HF
   EXIT SUB
ELSE
   OUT BasePort% + 5, (Right% + Left% * 16) AND &HFF
END IF
END SUB

SUB MicVolume (Volume%, Getvol%)
OUT BasePort% + 4, &HA
IF Getvol% THEN
   Volume% = INP(BasePort% + 5) AND &HF
   EXIT SUB
ELSE
   OUT BasePort% + 5, Volume% AND &HF
END IF
END SUB

FUNCTION ReadDAC%
' Reads a byte from the DAC.
WriteDSP &H20
ReadDAC% = ReadDSP%

END FUNCTION

FUNCTION ReadDSP%
' Reads a byte from the DSP
DO
LOOP UNTIL INP(BasePort% + 14) AND &H80
ReadDSP% = INP(BasePort% + 10)
END FUNCTION

FUNCTION ResetDSP%
' Resets the DSP
OUT BasePort% + 6, 1
FOR Count% = 1 TO 4
   junk% = INP(BasePort% + 6)
NEXT
OUT BasePort% + 6, 0
IF INP(BasePort% + 14) AND &H80 = &H80 AND INP(BasePort% + 10) = &HAA THEN
   ResetDSP% = -1
ELSE
   ResetDSP% = 0
END IF
END FUNCTION

SUB SetStereo (OnOff%)
OUT BasePort% + 4, &HE
IF OnOff% THEN OUT BasePort% + 5, 2 ELSE OUT BasePort% + 5, 0
END SUB

SUB SpeakerState (OnOff%)
' Turns speaker on or off.
IF OnOff% THEN WriteDSP &HD1 ELSE WriteDSP &HD3
END SUB

FUNCTION SpeakerStatus%
OUT BasePort% + 4, &HD8
IF INP(BasePort% + 5) = &HFF THEN SpeakerStatus% = -1 ELSE SpeakerStatus% = 0
END FUNCTION

SUB VocVolume (Right%, Left%, Getvol%)
OUT BasePort% + 4, &H4
IF Getvol% THEN
   Left% = INP(BasePort% + 5) \ 16
   Right% = INP(BasePort% + 5) AND &HF
   EXIT SUB
ELSE
   OUT BasePort% + 5, (Right% + Left% * 16) AND &HFF
END IF
END SUB

SUB WriteDAC (byte%)
' Writes a byte to the DAC.
WriteDSP &H10
WriteDSP byte%
END SUB

SUB WriteDSP (byte%)
' Writes a byte to the DSP
DO
LOOP WHILE INP(BasePort% + 12) AND &H80
OUT BasePort% + 12, byte%
END SUB
<PAGEEND:"Music.File">

<PAGESTART:"Music.File1">
'Some time ago somebody posted here (or alt.basic) a program which
'played  Ding.WAV in QuickBASIC. Didn't work for bigger files than
'DING and didn't work at all in QBasic. Here's a fix. Plays the
'biggest WAV file I have (almost 2MB) in QBasic.

'------------------------------------------------------
DECLARE SUB SetVoice (OnOff%)
  CLS
 VocFile$ = "c:\windows\ding.wav"       ' input-file

'NB a WAV file on CD. Almost 2Mb.

  VocFile% = FREEFILE
  delay% = 11                      ' value for delay
 OPEN VocFile$ FOR BINARY AS #VocFile%
 Bytes& = LOF(VocFile%)          ' number of bytes
 BytesRemaining& = Bytes&        ' number of remaining bytes
 BufferMax% = 19000             ' largest buffer

'The maximum buffer size in QBasic is about 19K.
' in QB45 this can be at least &H7F00 bytes (over 32K).
 
  Buffer$ = SPACE$(BufferMax%)    ' create buffer
  SetVoice 1                      ' Soundblaster on

  DO
     BytesRemaining& = BytesRemaining& - BufferLen%
     IF BytesRemaining& = 0 THEN EXIT DO ' nothing left over?
     IF BytesRemaining& > BufferMax% THEN ' how many bytes?
        BufferLen% = BufferMax%          '
     ELSE
        BufferLen% = BytesRemaining&     ' remaining (<BufferMax%)..
        'Buffer$ = SPACE$(BufferLen%)     ' ..throw it into SB :-)

'NB line remmed out - works OK without it.
    
     END IF

     GET #VocFile%, , Buffer$            ' read buffer
     DEF SEG = VARSEG(Buffer$)           ' get address of buffer
     Voff& = SADD(Buffer$)               ' .

'NB Voff% changed to Voff& throughout 
    
     FOR t% = 1 TO BufferLen%            ' output od {bufferlen%}
         'FOR qq% = 1 TO Delay: NEXT qq% ' delay
         WAIT &H22C, &H80, &HFF         ' wait for data-ready
         OUT &H22C, &H10
         WAIT &H22C, &H80, &HFF
         OUT &H22C, PEEK(Voff&)
         Voff& = Voff& + 1
     NEXT t%

  LOOP WHILE INKEY$ = ""

  SetVoice 0                            ' SB off
  CLOSE #VocFile%                       ' close file
  END                                   ' .. good bye :-)
'--------------------------------------------------------
'Apologies to whoever devised this that I have forgotton his name.
'If anybody can figure out how to avoid the occasional hiccup as, I
'guess, the buffer is filled, I would be pleased to hear of it.

'--
'Best wishes,
'Mervyn Baldwin.
'vyn@abaldwin.demon.co.uk

SUB SetVoice (OnOff%)
    IF OnOff% THEN
       WAIT &H22C, &H80, &HFF       ' wait for data-ready on SB
       OUT &H22C, &HD1              ' ON
    ELSE
       WAIT &H22C, &H80, &HFF
       OUT &H22C, &HD3              ' OFF
    END IF
END SUB
<PAGEEND:"Music.File1">

<PAGESTART:"CRC.File">
DECLARE FUNCTION CRC16& (Block$)
DECLARE FUNCTION CRC32& (Block$)

CLS

'simple usage.
PRINT "CRC16 is:", CRC16&("Now is the Time")
PRINT "CRC32 is:", CRC32&("Now is the Time")
DEFINT A-Z

DEFSNG A-Z

DEFINT A-Z
FUNCTION CRC16& (B$)      'Calculates CRC for Each Block

DIM Power(0 TO 7)                              'For the 8 Powers of 2
DIM CRC AS LONG

FOR I = 0 TO 7                                 'Calculate Once Per Block to
   Power(I) = 2 ^ I                            ' Increase Speed Within FOR J
NEXT I                                         ' Loop
CRC = 0                                        'Reset for Each Text Block
FOR I = 1 TO LEN(B$)                           'Calculate for Length of Block
   ByteVal = ASC(MID$(B$, I, 1))
   FOR J = 7 TO 0 STEP -1
      TestBit = ((CRC AND 32768) = 32768) XOR ((ByteVal AND Power(J)) = Power(J))
      CRC = ((CRC AND 32767&) * 2&)
      IF TestBit THEN CRC = CRC XOR &H1021     ' <-- This for 16 Bit CRC
   NEXT J
NEXT I
CRC16& = CRC                               'Return the Word Value
END FUNCTION

DEFSNG A-Z
FUNCTION CRC32& (B$)      'Calculates CRC for Each Block

DIM Power(0 TO 7)                              'For the 8 Powers of 2
DIM CRC AS LONG

FOR I = 0 TO 7                                 'Calculate Once Per Block to
   Power(I) = 2 ^ I                            ' Increase Speed Within FOR J
NEXT I                                         ' Loop
CRC = 0                                        'Reset for Each Text Block
FOR I = 1 TO LEN(B$)                           'Calculate for Length of Block
   ByteVal = ASC(MID$(B$, I, 1))
   FOR J = 7 TO 0 STEP -1
      TestBit = ((CRC AND 32768) = 32768) XOR ((ByteVal AND Power(J)) = Power(J))
      CRC = ((CRC AND 32767&) * 2&)
      IF TestBit THEN CRC = CRC XOR &H8005     ' <-- This for 32 Bit CRC
   NEXT J
NEXT I
CRC32& = CRC                               'Return the Word Value
END FUNCTION
<PAGEEND:"CRC.File">

<PAGESTART:"CTRL.BREAK.File">
'<PRE>
'QBasic NoBreak v1.0a
'Copyright (c)1995 by Daniel Trimble
'Public Domain - use at your own risk.

CLS
DO
   KEY 15, CHR$(4 + 128 + 32 + 64) + CHR$(70)
   ON KEY(15) GOSUB NoBreak: KEY(15) ON
 
   'Key 16 is assigned the value CHR$(4 + 128) + CHR$(70) which is the actual
   'CTRL + BREAK key
   KEY 16, CHR$(4 + 128) + CHR$(70): ON KEY(16) GOSUB NoBreak: KEY(16) ON
  
   KEY 17, CHR$(4 + 128 + 32) + CHR$(70): ON KEY(17) GOSUB NoBreak
   KEY(17) ON: KEY 18, CHR$(4 + 128 + 64) + CHR$(70): ON KEY(18) GOSUB NoBreak
   KEY(18) ON: KEY 19, CHR$(4) + CHR$(70): ON KEY(21) GOSUB NoBreak
   KEY(21) ON: KEY 22, CHR$(4 + 64) + CHR$(70)
   ON KEY(22) GOSUB NoBreak: KEY(22) ON: KEY 23, CHR$(4 + 32) + CHR$(46)
   ON KEY(23) GOSUB NoBreak: KEY(23) ON: KEY 24, CHR$(4 + 64) + CHR$(46)
   ON KEY(24) GOSUB NoBreak: KEY(24) ON
   KEY 25, CHR$(4 + 32 + 64) + CHR$(46): ON KEY(25) GOSUB NoBreak: KEY(25) ON
  
   LOCATE 1, 1, 0: PRINT "QBasic NoBreak v1.0a"
   LOCATE 2, 1, 0: PRINT "Copyright (c)1995 by Daniel Trimble"
   LOCATE 4, 1, 0: PRINT "This program and all source is public domain.  I will not be held responsible"
   LOCATE 5, 1, 0: PRINT "for any damage this program may cause.  I am not at fault; use this at your"
   LOCATE 6, 1, 0: PRINT "own risk - period!"
   LOCATE 15, 1, 0: PRINT "Try pressing either CTRL-BREAK or CTRL-C.  Nothing will happen!"
   LOCATE 16, 1, 0: PRINT "To end the program, hit ENTER."
   IF INKEY$ = CHR$(13) THEN END
LOOP

NoBreak:
'Insert some code here which will run when user presses CTRL + BREAK
RETURN
                                                           
'ctrl = 4          extended keys = 128
'num lock = 32      c = 46
'cap lock = 64
<PAGEEND:"CTRL.BREAK.File">

<PAGESTART:"Files.Array.File1">
'DIR.BAS by Dave Cleary
'
'One of the most useful additions to BASIC 7 PDS is the DIR$ function.
'This function allows you to read a directory of filenames. It also
'allows you to check the existence of a file by doing the following:
'
'  IF LEN(DIR$("COMMAND.COM")) THEN
'     PRINT "File Found"
'  ELSE
'     PRINT "File not found"
'  END IF
'
'Now QuickBASIC 4.X users can have this useful function for their
'programs.
'
'Calling DIR$ with a FileSpec$ returns the the name of the FIRST
'matching file name. Subsequent calls with a null FileSpec$ return the
'NEXT matching file name. If a null string is returned, then no more
'matching files were found. FileSpec$ can contain both a drive and a
'path plus DOS wildcards. Special care should be taken when using
'this on floppy drives because there is no check to see if the drive
'is ready.

DEFINT A-Z

DECLARE FUNCTION DIR$ (FileSpec$)

'$INCLUDE: 'QB.BI'

'-----  Some constants that DIR$ uses
CONST DOS = &H21
CONST SetDTA = &H1A00, FindFirst = &H4E00, FindNext = &H4F00

'--------------------------------------------------------------------
'This shows how to call DIR$ to find all matching files

CLS
FileSpec$ = "C:\*.*"
Found$ = DIR$(FileSpec$)
DO WHILE LEN(Found$)
   PRINT Found$
   Found$ = DIR$("")
LOOP

'--------------------------------------------------------------------

FUNCTION DIR$ (FileSpec$) STATIC

   DIM DTA AS STRING * 44, Regs AS RegTypeX
   Null$ = CHR$(0)

'-----  Set up our own DTA so we don't destroy COMMAND$
   Regs.AX = SetDTA                    'Set DTA function
   Regs.DX = VARPTR(DTA)               'DS:DX points to our DTA
   Regs.DS = -1                        'Use current value for DS
   InterruptX DOS, Regs, Regs          'Do the interrupt

'-----  Check to see if this is First or Next
   IF LEN(FileSpec$) THEN              'FileSpec$ isn't null, so
							    'FindFirst
	 FileSpecZ$ = FileSpec$ + Null$   'Make FileSpec$ into an ASCIIZ
							    'string
	 Regs.AX = FindFirst              'Perform a FindFirst
	 Regs.CX = 0                      'Only look for normal files
	 Regs.DX = SADD(FileSpecZ$)       'DS:DX points to ASCIIZ file
	 Regs.DS = -1                     'Use current DS
   ELSE                                'We have a null FileSpec$,
	 Regs.AX = FindNext               'so FindNext
   END IF

   InterruptX DOS, Regs, Regs          'Do the interrupt

'-----  Return file name or null
   IF Regs.Flags AND 1 THEN            'No files found
	 DIR$ = ""                        'Return null string
   ELSE
	 Null = INSTR(31, DTA, Null$)     'Get the filename found
	 DIR$ = MID$(DTA, 31, Null - 30)  'It's an ASCIIZ string starting
   END IF                              'at offset 30 of the DTA

END FUNCTION
<PAGEEND:"Files.Array.File1">

<PAGESTART:"Files.Array.File2">
'BASDir version 1.0b -- directory scan
'Copyright (c)1995-6 Mark K. Kim
'E-mail: MarkKKim@aol.com
'http://users.aol.com/markkkim/
'* Freely distributed.  May be used in other programs with proper notice of
'  credit.
'* This program is provided "as-is".
'* Not compatible with PowerBASIC.
'* In QuickBASIC 4.x, QuickBASIC PDS, and VisualBASIC for DOS, run with the
'  "/L" option.  If including a file with ABSOLUTE SUB declaration (such as
'  QB.BI), then replace the ABSOLUTE SUB declaration in that file with the
'  ABSOLUTE SUB declaration within this program. Make other proper revisions.
'* CREDIT: Ralf Brown's interrupt list was used to get interrupt for the
'  function.  Microsoft DOS's Debug was used to convert Assembly code to
'  machine code.  Microsoft is a Registered Trademark of Microsoft Corp.
'  Thanks to beta testers, rt911@aol.com and wildgamer@aol.com
'Read the header of each function to find out the usage of those functions.
'These functions are designed to work with most other routines as it does
'not interfere with any other routines. It is especially designed to work
'with other functions in this BASxx series.

DECLARE SUB absolute (var1%, var2%, var3%, var4%, var5%, var6%, offset%)
'== BEGIN HEADER ==
TYPE FileStruct
  attrib AS INTEGER
  filedate AS STRING * 10
  filetime AS STRING * 8
  filesize AS DOUBLE
END TYPE
CONST F.NOR = &H200  'constant for "normal" files (*files* displayed with DIR)
CONST F.NON = &H100  'constant for files without any attribute
CONST F.ARC = &H20   'constant for archive file attribute
CONST F.DIR = &H10   'constant for directory file attribute
CONST F.VOL = &H8    'constant for volume file attribute
CONST F.SYS = &H4    'constant for system file attribute
CONST F.HID = &H2    'constant for hidden file attribute (may return directory)
CONST F.RDO = &H1    'constant for read-only file attribute
CONST F.ANY = &H0    'constant for any of the above
DECLARE SUB dir.init (path$, attrib%)         'call first to initialize
DECLARE FUNCTION dir.find$ ()                 'call next to get filenames
DECLARE SUB dir.fileinfo (file AS FileStruct) 'call to get file information
'== END HEADER ==

'== START ==
CLS
INPUT "drive and/or directory to scan (ie - C:\DOS\): ", dir$
IF dir$ = "" THEN dir$ = "."
IF RIGHT$(dir$, 1) <> "\" THEN dir$ = dir$ + "\"
dir$ = dir$ + "*.*"
dir.init dir$, F.ANY
DIM info AS FileStruct
DO
  i% = i% + 1
  filename$ = dir.find$
  dir.fileinfo info
  IF filename$ <> "" THEN
    PRINT USING "\          \"; filename$;
    PRINT USING " #########"; info.filesize;
    PRINT "   " + info.filedate$ + " " + info.filetime$;
    PRINT " ";
  ELSE EXIT DO
  END IF
  IF info.attrib AND F.ARC THEN PRINT "A";
  IF info.attrib AND F.DIR THEN PRINT "D";
  IF info.attrib AND F.VOL THEN PRINT "V";
  IF info.attrib AND F.SYS THEN PRINT "S";
  IF info.attrib AND F.HID THEN PRINT "H";
  IF info.attrib AND F.RDO THEN PRINT "R";
  PRINT
LOOP

'Finds the detailed information about the most recently obtained file by
'the <dir.find$> function.
'INPUT & RETURN:
'* file is a FileTruct TYPE to store the information in, where the following
'  are returned:
'  * file.attrib holds the attribute of the file, or the error code if any
'    error has occured during the last <dir.find$> FUNCTION operation, where
'    the error codes are:
'    * &h02 = file not found
'    * &h03 = path not found
'    * &h12 = no more files
'    Whether an error has occured or not can be determined by checking the
'    name of the file returned -- if the name has no length (""), then an
'    error has occured (or no more files were to be found.)
'  * file.filedate$ holds the date of the file creation/revision.
'  * file.filetime$ holds the time of the file creation/revision.
'  * file.filesize$ holds the size of the file.
'    Size of a file may be a negative number of the file is several hundred
'    megabytes long, but a chance of that happening is miniscuously small.
'EXAMPLE:
'  'Make a place to store detailed information about the file.
'  DIM fileinfo AS FileStruct
'  'initialize and set pattern for the file search
'  dir.init "C:\DOS\*.*", F.ANY
'  'get the file name and store information in <fileinfo> SUB
'  filename$ = dir.find$
'  'get the detailed information from <dir.fileinfo> SUB
'  dir.fileinfo fileinfo
'  'print the information to the screen
'  PRINT "File name: "; dir.find$
'  PRINT "File date: "; fileinfo.filedate$
'  PRINT "File time: "; fileinfo.filetime$
'  PRINT "File size: "; fileinfo.filesize
'  PRINT "File attributes:"
'  IF fileinfo.attrib AND F.DIR THEN PRINT "Directory"
'  IF fileinfo.attrib AND F.HID THEN PRINT "Hidden"
'  IF fileinfo.attrib AND F.VOL THEN PRINT "Volume Label"
'  IF fileinfo.attrib AND F.ARC THEN PRINT "Archive"
'  IF fileinfo.attrib AND F.SYS THEN PRINT "System"
'  IF fileinfo.attrib AND F.RDO THEN PRINT "Read-Only"
'  END
SUB dir.fileinfo (file AS FileStruct)
 
  '== SHARED VARIABLE ==
  SHARED dirfileinfo AS FileStruct

  file = dirfileinfo

END SUB

'Scans for files in a directory
'RETURN:
'* Name of the file/directory is returned.
'* A string with nothing in it ("") will be returned upon error. Error codes
'  are obtainable through <dir.fileinfo> SUB's attribute.
'* Returned error codes (returned by <dir.fileinfo> SUB):
'  * &h02 = file not found
'  * &h03 = path not found
'  * &h12 = no more files
'COMMENT:
'* If dir.find$ is called again, the name of the next file is returned. The
'  user can look for files in a different directory or attributes can restart
'  the search by calling on <dir.init> function again.
'* Details of the found file can be obtained by calling on <dir.fileinfo> SUB
'  right after finding the file.
'EXAMPLE:
'* There is an example on top of <dir.fileinfo> in commented form.
FUNCTION dir.find$
 
  '== SHARED VARIABLES ==
  'general
  SHARED dirfileinfo AS FileStruct
  SHARED dircount AS INTEGER
  'control variables
  SHARED dir.attrib AS INTEGER
  SHARED dir.path AS STRING
  'machine language routines
  SHARED DTAseg AS INTEGER, DTAoff AS INTEGER
  SHARED findfirst$
  SHARED findnext$

  IF dircount = -1 THEN
    pathseg% = VARSEG(dir.path)
    pathoff% = SADD(dir.path)
    asmseg% = VARSEG(findfirst$)
    asmoff% = SADD(findfirst$)
    DEF SEG = asmseg%
    CALL absolute(dummy%, dummy%, dummy%, pathseg%, pathoff%, &HFF, asmoff%)
    DEF SEG
    dircount = 0
  ELSEIF dircount = 0 THEN pathseg% = 1 'simulate error
  ELSE
    pathseg% = VARSEG(dir.path)
    pathoff% = SADD(dir.path)
    asmseg% = VARSEG(findnext$)
    asmoff% = SADD(findnext$)
    DEF SEG = asmseg%
    CALL absolute(dummy%, dummy%, dummy%, dummy%, pathseg%, pathoff%, asmoff%)
    DEF SEG
  END IF
  'check for errors
  IF pathseg% THEN  'error existance is returned through pathseg%
    dir.find$ = ""
    dirfileinfo.attrib = pathoff% 'error code is stored in pathoff%
    dirfileinfo.filedate = "00-00-0000"
    dirfileinfo.filetime = "00:00:00"
  ELSE

    DO
      'get attribute of the file found
      DEF SEG = DTAseg
      attrib% = PEEK(DTAoff + &H15)
      DEF SEG
      'exit conditions:
      IF ((dir.attrib AND &H200) = &H200) AND ((attrib% AND &H21) = (attrib% AND &H3F)) THEN EXIT DO
      IF ((dir.attrib AND &H100) = &H100) AND ((attrib% AND &H3F) = 0) THEN EXIT DO
      IF (dir.attrib AND &H3F) AND (attrib% AND &H3F) THEN EXIT DO
      IF (dir.attrib AND &H3F) = 0 THEN EXIT DO
      'find next until right attributes are found
      pathseg% = VARSEG(dir.path)
      pathoff% = SADD(dir.path)
      asmseg% = VARSEG(findnext$)
      asmoff% = SADD(findnext$)
      DEF SEG = asmseg%
      CALL absolute(dummy%, dummy%, dummy%, dummy%, pathseg%, pathoff%, asmoff%)
      DEF SEG
      IF pathseg% THEN  'error existance is returned through pathseg%
        dir.find$ = ""
        dirfileinfo.attrib = pathoff% 'error code is stored in pathoff%
        dirfileinfo.filedate = "00-00-000"
        dirfileinfo.filetime = "00:00:00"
        EXIT FUNCTION
      END IF
    LOOP

    'get name of the file found
    filename$ = SPACE$(13)
    FOR i% = 0 TO 12
      DEF SEG = DTAseg
      ch% = PEEK(DTAoff + &H1E + i%)
      DEF SEG = VARSEG(filename$)
      POKE SADD(filename$) + i%, ch%
      DEF SEG
    NEXT i%
    'find location of CHR$(0) and get only up to that point
    dir.find$ = LEFT$(filename$, INSTR(filename$, CHR$(0)))

    'get attribute of the file found
    DEF SEG = DTAseg
    dirfileinfo.attrib = PEEK(DTAoff + &H15)
    DEF SEG

    'get the file's date
    DEF SEG = DTAseg
    filedate& = (PEEK(DTAoff + &H19) AND &H7F) * &H100 + PEEK(DTAoff + &H18)
     IF (PEEK(DTAoff + &H19) AND &H80) THEN filedate& = filedate& OR &H8000
    fileyear$ = LTRIM$(STR$((filedate& AND &HFE00) / &H200 + 1980))
    filemonth$ = LTRIM$(STR$((filedate& AND &H1E0) / &H20))
     IF LEN(filemonth$) < 2 THEN filemonth$ = "0" + filemonth$  'align
    fileday$ = LTRIM$(STR$(filedate& AND &H1F))
     IF LEN(fileday$) < 2 THEN fileday$ = "0" + fileday$        'align
    DEF SEG
    dirfileinfo.filedate$ = filemonth$ + "-" + fileday$ + "-" + fileyear$

    'get the file's time
    DEF SEG = DTAseg
    filetime& = (PEEK(DTAoff + &H17) AND &H7F) * &H100 + PEEK(DTAoff + &H16)
     IF (PEEK(DTAoff + &H17) AND &H80) THEN filetime& = filetime& OR &H8000
    filehour& = (filetime& AND &H7800) / &H800
     IF (filetime& AND &H8000) THEN filehour& = filehour& OR &H10
    filehour$ = LTRIM$(STR$(filehour&))
     IF LEN(filehour$) < 2 THEN filehour$ = "0" + filehour$     'align
    filemin$ = LTRIM$(STR$((filetime& AND &H7E0) / &H20))
     IF LEN(filemin$) < 2 THEN filemin$ = "0" + filemin$        'align
    filesec$ = LTRIM$(STR$((filetime& AND &H1F) * 2))
     IF LEN(filesec$) < 2 THEN filesec$ = "0" + filesec$        'align
    DEF SEG
    dirfileinfo.filetime$ = filehour$ + ":" + filemin$ + ":" + filesec$

    'get filesize
    DEF SEG = DTAseg
    filesize& = (PEEK(DTAoff + &H1D) AND &H7F) * &H1000000
    filesize& = filesize& + PEEK(DTAoff + &H1C) * &H10000
    filesize& = filesize& + PEEK(DTAoff + &H1B) * &H100&
    filesize& = filesize& + PEEK(DTAoff + &H1A) * &H1
    IF (PEEK(DTAoff + &H1D) AND &H80) THEN filesize& = filesize& OR &H8000
    dirfileinfo.filesize = filesize&
    DEF SEG
  END IF

  dircount = dircount + 1
END FUNCTION

'Initializes the "dir" family functions (dir.init, dir.find$, dir.fileinfo)
'COMMENT:
'* This function is also used to "reset" the search "patterns" used by
'  <dir.find$>.
'INPUT:
'* path.o$ is the file parameter to scan for. Wildcards okay.
'* attrib.o% is the attribute to look for, where:
'  * &h200 is for "normal" files that are displayed from DOS by simple "DIR"
'    command. This call is handled through the function.
'  * &h100 is for files without any attributes. This call is also handled
'    through the function.
'  * &h20 is for archive files. This is handled by DOS (sort of).
'  * &h10 if for directories. This is also handled by DOS (once again, sort
'    of).
'  * &h8 is for file that stands for the volume label. This could be used on
'    the root directory of each drive to find out the name of the drive, but
'    the information may not always be accurate in that there is a second
'    copy of volume label in the boot sector which is the "real thing". The
'    file with the volume attribute is sort of like "shadow" of the real
'    thing. However, any major or proper program will modify both volume
'    labels.
'  * &h4 is for files with system attribute. Handled by DOS. System files
'    also appear to be hidden.
'  * &h2 is for files with hidden attribute. Handled by DOS.
'  * &h1 is for read-only files. Handled by DOS.
'  * &h0 is for any of the above files. Handled by the function.
'  Combination of these attributes can be made (ie - &h06 for hidden system
'    files.)
'  When a file name is returned through <dir.find$> function, file with ANY
'    of the above specs will be returned. For instance, if the user specifies
'    a hidden file, a file with hidden attribute AND any other ones will be
'    returned. (That's why I made the "normal" attribute)
'EXAMPLE:
'* There is an example on top of <dir.fileinfo> in commented form.
SUB dir.init (path.o$, attrib.o%)

  '== SHARED VARIABLES ==
  'general
  SHARED dirfileinfo AS FileStruct
  SHARED dircount AS INTEGER
  'control variables
  SHARED dir.attrib AS INTEGER
  SHARED dir.path AS STRING
  'machine language routines
  SHARED DTAseg AS INTEGER, DTAoff AS INTEGER
  SHARED findfirst$
  SHARED findnext$

  '== INITIALIZATION ==
  dircount = -1
  dir.attrib = attrib.o%
  dir.path = path.o$ + CHR$(0)

  '== get DTA address ==
  'initialize machine language code to get DTA address
  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                           'push bp          DTA
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)              'mov bp, sp       DTA
  asm$ = asm$ + CHR$(&HB4) + CHR$(&H2F)              'mov ah, 2f       DTA
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)              'int 21           DTA
  asm$ = asm$ + CHR$(&H89) + CHR$(&HD8)              'mov ax, bx       DTA
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)  'mov bx, [bp+08]  DTA
  asm$ = asm$ + CHR$(&H8C) + CHR$(&H7)               'mov [bx], es     DTA
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)  'mov bx, [bp+06]  DTA
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)               'mov [bx], ax     DTA
  asm$ = asm$ + CHR$(&H5D)                           'pop bp           DTA
  asm$ = asm$ + CHR$(&HCA) + CHR$(&HC) + CHR$(&H0)   'retf 000C        DTA
  'get segment and offsets
  asmseg% = VARSEG(asm$)
  asmoff% = SADD(asm$)
  'execute
  DEF SEG = asmseg%
  CALL absolute(dummy%, dummy%, dummy%, dummy%, DTAseg, DTAoff, asmoff%)
  DEF SEG

  '== FIND FIRST ==
  'initialize machine language code
  findfirst$ = ""
  findfirst$ = findfirst$ + CHR$(&H55)                           'push bp          F1st
  findfirst$ = findfirst$ + CHR$(&H89) + CHR$(&HE5)              'mov bp, sp       F1st
  findfirst$ = findfirst$ + CHR$(&HB4) + CHR$(&H4E)              'mov ah, 4e       F1st
  findfirst$ = findfirst$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)  'mov bx, [bp+0a]  F1st
  findfirst$ = findfirst$ + CHR$(&H8E) + CHR$(&H1F)              'mov ds, [bx]     F1st
  findfirst$ = findfirst$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)  'mov bx, [bp+08]  F1st
  findfirst$ = findfirst$ + CHR$(&H8B) + CHR$(&H17)              'mov dx, [bx]     F1st
  findfirst$ = findfirst$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)  'mov bx, [bp+06]  F1st
  findfirst$ = findfirst$ + CHR$(&H8B) + CHR$(&HF)               'mov cx, [bx]     F1st
  findfirst$ = findfirst$ + CHR$(&HCD) + CHR$(&H21)              'int 21           F1st
  findfirst$ = findfirst$ + CHR$(&HB9) + CHR$(&H0) + CHR$(&H0)   'mov cx, 0000     F1st
  findfirst$ = findfirst$ + CHR$(&H80) + CHR$(&HD1) + CHR$(&H0)  'adc cl, 00       F1st
  findfirst$ = findfirst$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)  'mov bx, [bp+0a]  F1st
  findfirst$ = findfirst$ + CHR$(&H89) + CHR$(&HF)               'mov [bx], cx     F1st
  findfirst$ = findfirst$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)  'mov bx, [bp+08]  F1st
  findfirst$ = findfirst$ + CHR$(&H89) + CHR$(&H7)               'mov [bx], ax     F1st
  findfirst$ = findfirst$ + CHR$(&H5D)                           'pop bp           F1st
  findfirst$ = findfirst$ + CHR$(&HCA) + CHR$(&HC) + CHR$(&H0)   'retf 000C        F1st

  '== FIND NEXT ==
  'initialize machine language code
  findnext$ = ""
  findnext$ = findnext$ + CHR$(&H55)                           'push bp          FNxt
  findnext$ = findnext$ + CHR$(&H89) + CHR$(&HE5)              'mov bp, sp       FNxt
  findnext$ = findnext$ + CHR$(&HB4) + CHR$(&H4F)              'mov ah, 4f       FNxt
  findnext$ = findnext$ + CHR$(&HCD) + CHR$(&H21)              'int 21           FNxt
  findnext$ = findnext$ + CHR$(&HB9) + CHR$(&H0) + CHR$(&H0)   'mov cx, 0000     FNxt
  findnext$ = findnext$ + CHR$(&H80) + CHR$(&HD1) + CHR$(&H0)  'adc cl, 00       FNxt
  findnext$ = findnext$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)  'mov bx, [bp+08]  FNxt
  findnext$ = findnext$ + CHR$(&H89) + CHR$(&HF)               'mov [bx], cx     FNxt
  findnext$ = findnext$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)  'mov bx, [bp+06]  FNxt
  findnext$ = findnext$ + CHR$(&H89) + CHR$(&H7)               'mov [bx], ax     FNxt
  findnext$ = findnext$ + CHR$(&H5D)                           'pop bp           FNxt
  findnext$ = findnext$ + CHR$(&HCA) + CHR$(&HC) + CHR$(&H0)   'retf 000C        FNxt

END SUB
<PAGEEND:"Files.Array.File2">

<PAGESTART:"Files.Exist.File1">
' >    5) Procedures must be bulletproof.
' >       FUNCTION Exist - Returns true if file is present.
'
' Sounds like some interesting challenges, but it struck me as
' odd, you want to see "bulletproof" routines, which I take to
' mean as routines that do a lot of error-checking, yet your
' Exist function could be shot full of holes, to continue the
' metaphor, fairly easily. Here's something I whipped up from my
' own Exist function, I bulletproofed and commented it as heavily
' as I could. 

 DECLARE FUNCTION Exist% (seed$, SearchAttrb%)
 DECLARE FUNCTION floppyDriveReady% (drive$)

 TYPE regtype             ' Also found in QB.BI
   ax AS INTEGER
   bx AS INTEGER
   cx AS INTEGER
   dx AS INTEGER
   bp AS INTEGER
   si AS INTEGER
   di AS INTEGER
  flags AS INTEGER
   ds AS INTEGER
   es AS INTEGER
 END TYPE

 TYPE DTAdata                     'used by DOS services
   Reserved  AS STRING * 21       'reserved for use by DOS
   Attribute AS STRING * 1        'the file's attribute
   FileTime  AS STRING * 2        'the file's time
   Filedate  AS STRING * 2        'the file's date
   FileSize  AS LONG              'the file's size
   filename  AS STRING * 13       'the file's name
 END TYPE

 END

 DEFINT A-Z
 FUNCTION Exist% (Name$, SearchAttrb%)

 ' Format:
 ' EXIST Name$, SearchAttrb%
 ' Name$ can be any valid DOS filename, directory name, or volume label.
 '     wildcards (* and ?) are accepted.
 ' Attrb% can be the following:
 '     0 == Test for any file
 '    39 == Test for any file
 '    16 == Test for Directory names ONLY
 '     8 == Test for Volume labels ONLY
 '     4 == Test for System files ONLY
 '     2 == Test for Hidden files ONLY
 '     1 == Test for Read-Only files ONLY
 '    63 == Test for anything file/label/directory
 '
 '  Combinations can be made (ie. search for Read-only
 '  Directories) by following this binary number bit chart:
 '     Bit 7  Shareable (Novell Netware, otherwise ignore)
 '     Bit 6  unused
 '     Bit 5  archive
 '     bit 4  Directory
 '     Bit 3  Volume Label
 '     Bit 2  system
 '     Bit 1  Hidden
 '     Bit 0  Read only
 '  for example a Read-only Directory would be bits 0 and 4,
 '  in binary numbers that's: 10001 or 17 decimal.

 ' If the tested for item exists Exist% will be set to -1, true
 '    and SearchAttrb% can be ignored

 ' If the tested for item does not exist, or there is an error,
 ' Exist% will be set to 0, false, and SearchAttrb% will be set
 ' to one of the following:
 '    -1 == Floppy drive not ready or invalid drive letter.
 '     0 == item does not exist.

 DIM inreg AS regtype, outreg AS regtype
 DIM DTA AS DTAdata

 seed$ = LTRIM$(RTRIM$(UCASE$(Name$)))

 IF SearchAttrb% AND 8 THEN  ' Volume label check
   ' Volume Label searches need to have a "." for the
   ' ninth character if the label is >8 characters.
   ' The following assures a correct search

   IF NOT (INSTR(seed$, ".")) THEN

     ' step backwards through the string

     FOR I = LEN(seed$) TO 1 STEP -1

       ' look for end of string, or drive/directory marker

       IF MID$(seed$, I, 1) = ":" OR MID$(seed$, I, 1) = "\" OR I = 1 THEN

         ' I points to start of name, without drive/directory
         ' marker, see if "." is required

         IF LEN(MID$(seed$, I + 1, LEN(seed$) - I)) > 8 THEN

           ' if no drive/directory, then we're checking the
           ' default drive, in this case I must equal 0 to
           ' place the "." correctly.

           IF I = 1 THEN I = 0

           ' place the "."

           seed$ = LEFT$(seed$, I) + MID$(seed$, I + 1, 8) + "." + MID$(seed$, I + 9, LEN(seed$) - I)
         END IF
         I = 1  ' exit the next loop
       END IF
     NEXT I
   END IF
 END IF

 IF SearchAttrb% = 0 THEN SearchAttrb% = 39  ' default search

 ' if there's a drive in the search string
 IF INSTR(seed$, ":") THEN
   drive$ = LEFT$(seed$, 1)   ' gets the drive
 ELSE
   drive$ = "@"               ' for default drive
 END IF

 ' if it's a floppy drive we need to make sure a disk
 ' is in the drive.
 IF NOT floppyDriveReady(drive$) THEN
   SearchAttrb% = -1   ' Floppy not ready.
   Exist% = 0
   EXIT FUNCTION
 END IF

 inreg.dx = VARPTR(DTA)      'set a new DOS DTA
 inreg.ds = VARSEG(DTA)
 inreg.ax = &H1A00
 CALL interruptx(&H21, inreg, outreg)

 seed$ = seed$ + CHR$(0)     'DOS needs ASCIIZ string
 inreg.ax = &H4E00           'find file name service
 inreg.cx = SearchAttrb%
 inreg.dx = SADD(seed$)      'show where the spec is
 inreg.ds = VARSEG(seed$)    'use this with QB - SSEG for PDS(?)
 CALL interruptx(&H21, inreg, outreg)

 IF (outreg.flags AND 1) THEN
   SearchAttrb% = 0          ' Item does not exist
   Exist% = 0
 ELSE
   Exist% = -1               ' item exists
 END IF

 END FUNCTION

 DEFINT A-Z
 FUNCTION floppyDriveReady% (drive$)
 DIM inreg AS regtype, outreg AS regtype

 ' This function may also be used independently from
 ' the Exist% function. It returns -1, true if the
 ' drive is ready, or 0, false, if the drive is not
 ' ready, or the drive letter is an invalid drive.

 drive% = (ASC(drive$) OR 32) - 97

 'reset floppy drive
 inreg.ax = 0
 inreg.dx = drive%
 CALL interruptx(&H13, inreg, outreg)

 inreg.ax = &H401     'verify disk sector
 inreg.cx = &H101
 inreg.dx = drive%
 CALL interruptx(&H13, inreg, inreg)
 'call the interrupt twice since if a disk has just been
 'inserted, the first time gives a wrong answer
 inreg.ax = &H401
 inreg.cx = &H101
 inreg.dx = drive%
 CALL interruptx(&H13, inreg, outreg)

 'if it was a hard disk we just checked forget the whole thing
 IF outreg.ax AND 256 THEN
   inreg.ax = &H1C00      ' check drive type
   inreg.dx = drive% + 1  ' diff. drive number system must add 1
   CALL interruptx(&H21, inreg, outreg)
   ' check if drive was a valid drive letter.
   IF (outreg.ax AND &HFF) = &HFF THEN HardCheck = 0 ELSE HardCheck = -1
 END IF

 floppyDriveReady% = ((outreg.flags AND 1) = 0) OR HardCheck

 END FUNCTION
<PAGEEND:"Files.Exist.File1">

<PAGESTART:"Drives.Array.File">

DEFINT A-Z

CONST FALSE = 0, TRUE = NOT FALSE

'$INCLUDE: 'qb.bi'      'qbx.bi for PDS

'Use /L option in QuickBASIC

DIM SHARED Regs AS RegType

DECLARE FUNCTION GetDrives$ ()

CLS
PRINT GetDrives$

DEFSNG A-Z
FUNCTION GetDrives$
'-------------------------------------------------------------------
' Returns a string of uppercase characters of all installed
' drives. Does NOT take DOS SUBST command into account.
' Use LEN() to determine number of drives after FUNCTION call.
'-------------------------------------------------------------------

        Regs.ax = &H1900                    'Save current drive first
        CALL INTERRUPT(&H21, Regs, Regs)    'Assign ah and call DOS
        CurDrv% = Regs.ax AND 255           'Read al

        NextDrv% = CurDrv%

        DO
                NextDrv% = NextDrv% + 1          'Increment to the next drive
                Regs.dx = NextDrv%               'Assign dl the next drive
                Regs.ax = &HE00                  'Try to set it as current, so
                CALL INTERRUPT(&H21, Regs, Regs) 'assign ah and call DOS

                                'Now, let's see if it worked
                Regs.ax = &H1900                 'Assign ah and call DOS to
                CALL INTERRUPT(&H21, Regs, Regs) 'see the real current drive
                Rc% = Regs.ax AND 255            'Read al for current drive

        LOOP WHILE Rc% = NextDrv%           '& continue while they match

        Regs.ax = &HE00                     'Reset the current drive
        Regs.dx = CurDrv%
        CALL INTERRUPT(&H21, Regs, Regs)

        NumDrives% = Rc% + 1                'Mumber of drives, 1-based

        Regs.ax = 0                         'Find # of floppies, since
        CALL INTERRUPT(&H11, Regs, Regs)    'DOS reports "phantom" drives
        Floppies% = ((Regs.ax AND 192) \ 64) + 1

                                'Decrement if only 1 floppy
        NumDrives% = NumDrives% + (Floppies% = 1)

        REDIM Drives$(1 TO NumDrives% + 1)  'Now, assign the drives array

        FOR X% = 1 TO NumDrives%
                Y% = Y% + 1
                IF X% = 2 AND Floppies% = 1 THEN Y% = Y% + 1
                Temp$ = Temp$ + CHR$(Y% + 64)    'Assign the characters
        NEXT

        GetDrives$ = Temp$                  'Assign the function

END FUNCTION
<PAGEEND:"Drives.Array.File">

<PAGESTART:"Drive.Space.File">
DECLARE FUNCTION DiskFree& (drive$)

TYPE RegType
        ax      AS INTEGER
        bx      AS INTEGER
        cx      AS INTEGER
        dx      AS INTEGER
        bp      AS INTEGER
        si      AS INTEGER
        di      AS INTEGER
        flags   AS INTEGER
END TYPE

DECLARE SUB INTERRUPT (IntNo AS INTEGER, InRegs AS RegType, Outregs AS RegType)

        CLS
        PRINT "Type in a drive letter"
        drive$ = INPUT$(1)
        PRINT "The number of bytes free on drive "; drive$; " are: ", DiskFree&(drive$);
END

FUNCTION DiskFree& (drive$)

   DIM InRegs AS RegType, Outregs AS RegType

   DiskFree& = -1
   IF LEN(drive$) <> 1 THEN EXIT FUNCTION

   InRegs.ax = &H3600
   InRegs.dx = ASC(UCASE$(drive$)) - ASC("A") + 1
   CALL INTERRUPT(&H21, InRegs, Outregs)
   IF Outregs.ax = -1 THEN EXIT FUNCTION

   Temp& = Outregs.ax
   DiskFree& = Temp& * Outregs.bx * Outregs.cx

END FUNCTION
<PAGEEND:"Drive.Space.File">

<PAGESTART:"Drive.Type.File">
 'No checking for open drive doors on this:

'$INCLUDE: 'qb.bi'

DEFINT A-Z    'Dick Dennison 1/93 1:272/34 PD
DIM regs AS regtypex    'Does not test for open floppy door

regs.ax = &H1C00                       'ah=1c al=00

regs.dx = 0                            '0=default, 1=a:,2=b:,etc

CALL interruptx(&H21, regs, regs)      'use dos
DEF SEG = regs.ds                      'change to returned segment
MediaByte = PEEK(regs.bx)              'Get the byte
DEF SEG                                'get back to basic's segment

IF (regs.ax AND 255) <> &HFF THEN

        SELECT CASE HEX$(MediaByte)
                CASE "F0"
                        MediaType$ = "3.5 inch DS, 18 sectors or other"
                CASE "F8"
                        MediaType$ = "Fixed Disk"
                CASE "F9"
                        MediaType$ = "5.25 in DS, 15 sects or 3.5 in DS, 9 sects"
                CASE "FC"
                        MediaType$ = "5.25 inch SS, 9 sectors"
                CASE "FD"
                        MediaType$ = "5.25 inch DS, 9 sectors"
                CASE "FE"
                        MediaType$ = "5.25 inch SS, 8 sectors"
                CASE "FF"
                        MediaType$ = "5.25 inch DS, 8 sectors"
                CASE ELSE
                        MediaType$ = "Unknown Type"
END SELECT
PRINT "Media ID Byte : "; HEX$(MediaByte); " = "; MediaType$
ELSE
PRINT "Error encountered (invalid drive or critical error)"
END IF
END
<PAGEEND:"Drive.Type.File">

<PAGESTART:"Drive.Total.File">
'BASDriveSpace version 1.0a -- Find free and total space on a drive
'Copyright (c)1995-6 Mark K. Kim
'E-mail: MarkKKim@aol.com
'http://users.aol.com/markkkim/
'* Freely distributed.  May be used in other programs with proper notice of
'  credit.
'* This program is provided "as-is".
'* Not compatible with PowerBASIC.
'* In QuickBASIC 4.5, run QB.EXE with /L option. If including QB.BI, then
'  replace the ABSOLUTE SUB declaration statement in QB.BI with the ABSOLUTE
'  SUB declaration within this program. Make other proper revisions.
'* CREDIT: Ralf Brown's interrupt list was used to get interrupt for the
'  function.  Microsoft DOS's Debug was used to convert Assembly code to
'  machine code.  Microsoft is a Registered Trademark of Microsoft Corp.
'  Thanks to beta testers, rt911@aol.com and wildgamer@aol.com
'Read the header of each function to find out the usage of those functions.
'These functions are designed to work with most other routines as it does
'not interfere with any other routines. It is especially designed to work
'with other functions in this BASxx series.

DECLARE SUB absolute (var1%, var2%, var3%, var4%, var5%, var6%, offset%)
'== BEGIN HEADER ==
DECLARE FUNCTION drv.freespace# (drive$)
DECLARE FUNCTION drv.totalspace# (drive$)
'== END HEADER ==


'== START ==

CLS
INPUT "Enter of the drive to find free and total spaces: ", drive$
freespace = drv.freespace(drive$)
IF freespace = -1 THEN
  PRINT "Error during free space calculation!"
  PRINT "Terminating program...."
  END
END IF
totalspace = drv.totalspace(drive$)
IF totalspace = -1 THEN
  PRINT "Error during total space calculation!"
  PRINT "Terminating program...."
  END
END IF
PRINT "The free space on "; LEFT$(drive$, 1); " is:";
 PRINT USING " ###############"; freespace;
 PRINT " bytes."
PRINT "The total space on "; LEFT$(drive$, 1); " is:";
 PRINT USING "###############"; totalspace;
 PRINT " bytes."
END

'Finds out the available free space of a drive in bytes.
'INPUT:
' Drive$ is the letter representation of the drive one wants to find out the
'  free space of.  If its length is zero, it is assumed to be the current
'  drive.  No space must come in front of the string (ie - " A:\" is not a
'  valid string)
'RETURN ON SUCCESS:
' The free space of the drive
'RETURN ON ERROR:
' -1 is returned on any type of error.  Such errors include non-alphabetic
'  drive letters and no such drive error
'COMMENT:
' Lost clusters are assumed to be in use
FUNCTION drv.freespace# (drive$)
  'convert drive letter to corresponding letter
  driveseg% = VARSEG(drive$)  'get drive$'s segment
  driveoff% = SADD(drive$)    'get drive$'s offset
  DEF SEG = driveseg%         'define segment
  drive% = PEEK(driveoff%)    'get ASCII equivalent of first letter of drive$
  DEF SEG
  IF drive$ = "" THEN         'if length of drive$ is zero, use default drive
    drive% = 0  'default drive
  ELSEIF drive% >= ASC("A") AND drive% <= ASC("Z") THEN
    drive% = drive% - 64
  ELSEIF drive% >= ASC("a") AND drive% <= ASC("z") THEN
    drive% = drive% - 96
  ELSE                        'if nothing fits, exit with error code (-1)
    drv.freespace = -1
    EXIT FUNCTION
  END IF

  'store machine code
  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                              'push bp
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                 'mov bp, sp
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)     'mov bx, [bp+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H17)                 'mov dx, [bx]
  asm$ = asm$ + CHR$(&HB4) + CHR$(&H36)                 'mov ah, 36h
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                 'int 21h
  asm$ = asm$ + CHR$(&H53)                              'push bx
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HC)     'mov bx, [bp+0c]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                  'mov [bx], ax
  asm$ = asm$ + CHR$(&H58)                              'pop ax
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)     'mov bx, [bp+0a]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                  'mov [bx], ax
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)     'mov bx, [bp+08]
  asm$ = asm$ + CHR$(&H89) + CHR$(&HF)                  'mov [bx], cx
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)     'mov bx, [bp+06]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H17)                 'mov [bx], dx
  asm$ = asm$ + CHR$(&H5D)                              'pop bp
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H8) + CHR$(&H0)      'retf 0008h

  'execute
  asmseg% = VARSEG(asm$)      'get segment of stored machine codes
  asmoff% = SADD(asm$)        'get offset of stored machine codes
  DEF SEG = asmseg%           'define segment
  dx% = drive%                'transfer data from drive% to dx%
  CALL absolute(var1%, var2%, ax%, bx%, cx%, dx%, asmoff%) 'execute
  DEF SEG
  'if invalid drive
  IF ax% = &HFFFF THEN drv.freespace = -1: EXIT FUNCTION

  'convert integers to long integers (because of sign problems)
  ax& = ax% AND &H7FFF                            'ax = sectors per cluster
  IF (ax% AND &H8000) THEN ax& = (ax& OR &H8000&)
  bx& = bx% AND &H7FFF                            'bx = number of free clstrs
  IF (bx% AND &H8000) THEN bx& = (bx& OR &H8000&)
  cx& = cx% AND &H7FFF                            'cx = bytes per sector
  IF (cx% AND &H8000) THEN cx& = (cx& OR &H8000&)
  dx& = dx% AND &H7FFF                            'dx = total clusters
  IF (dx% AND &H8000) THEN dx& = (dx& OR &H8000&)

  'calculate free space and return
  drv.freespace# = 1# * ax& * bx& * cx& '(1# is for typecasting just in case)
END FUNCTION

'Finds out the total space of a drive in bytes.
'INPUT:
' Drive$ is the letter representation of the drive one wants to find out the
'  total space of.  If its length is zero, it is assumed to be the current
'  drive.  No space must come in front of the string (ie - " A:\" is not a
'  valid string)
'RETURN ON SUCCESS:
' The total space of the drive
'RETURN ON ERROR:
' -1 is returned on any type of error.  Such errors include non-alphabetic
'  drive letters and no such drive error)
FUNCTION drv.totalspace# (drive$)
  'convert drive letter to corresponding letter
  driveseg% = VARSEG(drive$)  'get drive$'s segment
  driveoff% = SADD(drive$)    'get drive$'s offset
  DEF SEG = driveseg%         'define segment
  drive% = PEEK(driveoff%)    'get ASCII equivalent of first letter of drive$
  DEF SEG
  IF drive$ = "" THEN         'if length of drive$ is zero, use default drive
    drive% = 0  'default drive
  ELSEIF drive% >= ASC("A") AND drive% <= ASC("Z") THEN
    drive% = drive% - 64
  ELSEIF drive% >= ASC("a") AND drive% <= ASC("z") THEN
    drive% = drive% - 96
  ELSE                        'if nothing fits, exit with error code (-1)
    drv.totalspace = -1
    EXIT FUNCTION
  END IF

  'store machine code
  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                              'push bp
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                 'mov bp, sp
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)     'mov bx, [bp+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H17)                 'mov dx, [bx]
  asm$ = asm$ + CHR$(&HB4) + CHR$(&H36)                 'mov ah, 36h
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                 'int 21h
  asm$ = asm$ + CHR$(&H53)                              'push bx
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HC)     'mov bx, [bp+0c]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                  'mov [bx], ax
  asm$ = asm$ + CHR$(&H58)                              'pop ax
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)     'mov bx, [bp+0a]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                  'mov [bx], ax
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)     'mov bx, [bp+08]
  asm$ = asm$ + CHR$(&H89) + CHR$(&HF)                  'mov [bx], cx
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)     'mov bx, [bp+06]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H17)                 'mov [bx], dx
  asm$ = asm$ + CHR$(&H5D)                              'pop bp
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H8) + CHR$(&H0)      'retf 0008h

  'execute
  asmseg% = VARSEG(asm$)      'get segment of stored machine codes
  asmoff% = SADD(asm$)        'get offset of stored machine codes
  DEF SEG = asmseg%           'define segment
  dx% = drive%                'transfer data from drive% to dx%
  CALL absolute(var1%, var2%, ax%, bx%, cx%, dx%, asmoff%) 'execute
  DEF SEG
  'if invalid drive
  IF ax% = &HFFFF THEN drv.totalspace = -1: EXIT FUNCTION

  'convert integers to long integers (because of sign problems)
  ax& = ax% AND &H7FFF                            'ax = sectors per cluster
  IF (ax% AND &H8000) THEN ax& = (ax& OR &H8000&)
  bx& = bx% AND &H7FFF                            'bx = number of free clstrs
  IF (bx% AND &H8000) THEN bx& = (bx& OR &H8000&)
  cx& = cx% AND &H7FFF                            'cx = bytes per sector
  IF (cx% AND &H8000) THEN cx& = (cx& OR &H8000&)
  dx& = dx% AND &H7FFF                            'dx = total clusters
  IF (dx% AND &H8000) THEN dx& = (dx& OR &H8000&)

  'calculate total space and return
  drv.totalspace# = 1# * ax& * cx& * dx& '(1# is for typecasting just in case)
END FUNCTION
<PAGEEND:"Drive.Total.File">

<PAGESTART:"Disk.Serial.File">
 DEFINT A-Z
 ' Purpose: To change the serial number on any DOS disk.
 ' WARNING THE FOLLOWING PROGRAM USES DIRECT DISK WRITES!
 ' by Andy Thomas 9/93
 ' Author not responsible for misuse or errors of any kind.
 ' Use of this program could, but should not, damage your disk
 ' or render data unusable.
 '$INCLUDE: 'QB.BI'
 ' QB must be started with the /L switch!
 DIM inreg AS RegTypeX, outreg AS RegTypeX
 CLS
 TYPE DiskPacketType
   Sector AS LONG         ' DWORD - starting sector number
   CountWrite AS INTEGER  ' WORD - Number of sectors affected
   TransAddres AS STRING * 4 ' DWORD - Location of data transfer
                             '         Address
 END TYPE
 ' Note: Sector is a LONG while TransAddres is a string
 ' because we know Sector is going to be zero for this program.
 ' In other uses Sector would need to be made a string to avoid
 ' QuickBasic OVERFLOW errors.

 DIM DiskPacket AS DiskPacketType ' Disk Write Packet
 DIM DataStorage AS STRING * 512  ' string to read/write sector

 PRINT "Place disk in drive."   ' get drive to change
 PRINT "Enter drive letter:";
 DO
   Drive$ = UCASE$(INKEY$)
 LOOP UNTIL Drive$ <> ""
 PRINT Drive$
 PRINT

 DriveNumb = ASC(Drive$) - 65  ' drive number: A:=0, B:=1....
 inreg.cx = &HFFFF             ' Read/Write Absolute Sector
 inreg.ax = DriveNumb          ' Drive id
 DiskPacket.Sector = 0         ' start at sector 0
 DiskPacket.CountWrite = 1     ' load one sector

 'DWORD -- Seg:Off of DataStorage
 DiskPacket.TransAddres = CHR$(VARPTR(DataStorage) AND &HFF) +_
  CHR$(((VARPTR(DataStorage) AND &HFF00) \ 256) AND &HFF) +_
  CHR$((VARSEG(DataStorage) AND &HFF)) +_
  CHR$(((VARSEG(DataStorage) AND &HFF00) \ 256) AND &HFF)

 inreg.ds = VARSEG(DiskPacket)  ' DS:BX = Disk write packet
 inreg.bx = VARPTR(DiskPacket)

 CALL INTERRUPTX(&H25, inreg, outreg) ' read disk sector

 ' Get serial number from boot sector
 FOR I = &H2B TO &H28 STEP -1
   OldSerial$ = OldSerial$ + HEX$(ASC(MID$(DataStorage, I, 1)))
   IF LEN(OldSerial$) = 4 THEN OldSerial$ = OldSerial$ + "-"
 NEXT I

 PRINT "      Old serial number:"; OldSerial$
 LOCATE 5, 1
 PRINT "Enter new serial Number:"

 ' get user input for new serial number
 ' making sure only a valid serial number is entered
 Ptr = 0
 DashAdj = 0
 DO
   DO
     A$ = UCASE$(INKEY$)
   LOOP UNTIL (INSTR("0123456789ABCDEF" + CHR$(8), A$) > 0) AND_
  A$ <> ""
   IF A$ = CHR$(8) THEN    ' backspace for corrections
     IF Ptr > 0 THEN
       Ptr = Ptr - 1
       NewSerial$ = LEFT$(NewSerial$, Ptr)
     ELSE
       NewSerial$ = ""
     END IF
   ELSE
     Ptr = Ptr + 1
     NewSerial$ = NewSerial$ + A$
   END IF
   LOCATE 5, 25
   PRINT "         "

   LOCATE 5, 25
   PRINT LEFT$(NewSerial$, 4)
   IF Ptr > 4 THEN
     LOCATE 5, 29
     PRINT "-" + MID$(NewSerial$, 5, 8)
   END IF
 LOOP UNTIL Ptr = 8
 Ptr = 0

 ' Convert NewSerial$ into numerical ASCII codes
 ' and save within DataStorage
 FOR I = &H2B TO &H28 STEP -1
   Sbyte = 0
   FOR J = 1 TO 2
     A$ = MID$(NewSerial$, J + Ptr, 1)
     IF ASC(A$) > 64 AND ASC(A$) < 71 THEN Adj = 55 ELSE Adj= 48
     Sbyte = (Sbyte * 16) + (ASC(A$) - Adj)
   NEXT J
   DEF SEG = VARSEG(DataStorage)
   POKE VARPTR(DataStorage) + I - 1, Sbyte
   Ptr = Ptr + 2
 NEXT I

 ' Check to make sure new serial number was placed in
 ' correct location (this is a redundant check for safety)
 FOR I = &H2B TO &H28 STEP -1
   ChkSerial$ = ChkSerial$ + HEX$(ASC(MID$(DataStorage, I, 1)))
   IF LEN(ChkSerial$) = 4 THEN ChkSerial$ = ChkSerial$ + "-"
 NEXT I

 ' confirm change
 PRINT
 PRINT "                disk:"; Drive$
 PRINT "  from serial number:"; OldSerial$
 PRINT "to new serial number:"; ChkSerial$
 PRINT "Confirm change: (Y/N)"
 DO
   A$ = UCASE$(INKEY$)
 LOOP UNTIL A$ = "Y" OR A$ = "N"
 IF A$ = "Y" THEN ' make the change
   DiskPacket.TransAddres = CHR$(VARPTR(DataStorage) AND &HFF) +_
  CHR$(((VARPTR(DataStorage) AND &HFF00) \ 256) AND &HFF) +_
  CHR$((VARSEG(DataStorage) AND &HFF)) +_
  CHR$(((VARSEG(DataStorage) AND &HFF00) \ 256) AND &HFF)

   inreg.ds = VARSEG(DiskPacket)  ' DS:BX = Disk write packet
   inreg.bx = VARPTR(DiskPacket)

   CALL INTERRUPTX(&H26, inreg, outreg) ' write disk sector
 ELSE
   PRINT "Change Aborted."
 END IF

 END

 ' Methodology: The disk serial number is stored as a Double
 ' Word in the boot sector (sector zero) of every disk at
 ' location 27h. This program reads sector zero into a string,
 ' changes the dword value at offset 27h and writes the changed
 ' data back to sector zero. While this program should work, and
 ' has been tested on both hard drives and floppy disks, I
 ' suggest it only be used on floppy drives, as a error
 ' occurring while writing to sector zero on the hard drive
 ' could be disastrous.
<PAGEEND:"Disk.Serial.File">

<PAGESTART:"Disk.Volume.File">
' VOLUME.BAS    Gets and/or Sets the disk volume label using DOS
'               Extended File Control Block (FCB) services. This
'               works with all MS-DOS versions from 2.0 up.
'
'Note that, while the ReadLabel routine will find the volume label from
'whichever subdirectory you happen to be in, the MakeLabel routine only
'works from the root directory of the drive you're relabelling.
'
'
'   Author:     Christy Gemmell
'   Date:       19/5/1992
'
'   $DYNAMIC
'
'   $INCLUDE: 'QB.BI'                       ' Use QBX.BI for PDS
'
        DECLARE SUB MakeLabel (Drive$, Label$)
        DECLARE SUB ReadLabel (Drive$, Label$)

        CONST FALSE = 0, TRUE = NOT FALSE

   TYPE XFCBType
        XFlag AS STRING * 1                 ' Extended FCB signature
        Rsrv1 AS STRING * 5                 ' Reserved (do not use)
        Attr  AS STRING * 1                 ' File attribute
        Drive AS STRING * 1                 ' Drive number
        FName AS STRING * 11                ' Filename
        Rsrv2 AS STRING * 5                 ' Reserved (do not use)
        NName AS STRING * 11                ' Replacement name
        Rsrv3 AS STRING * 9                 ' Reserved (do not use)
    END TYPE

        DIM SHARED FCB AS XFCBType              ' File Control Block
        DIM SHARED InRegs AS RegTypeX           ' Register structures
        DIM SHARED OutRegs AS RegTypeX          '   for interrupt calls

DIM SHARED DTA AS STRING * 64           ' Disk Transfer Area

        LSET FCB.XFlag = CHR$(255)              ' Flag as Extended FCB
        LSET FCB.Rsrv1 = STRING$(5, 0)          ' Fill with nulls

'   Example program to test it all out.
'
        CLS
        Drive$ = "A:": Label$ = ""
        ReadLabel Drive$, Label$
        LOCATE 10, 1: PRINT "Current Label = "; Label$
        Label$ = "DidItWork"
        MakeLabel Drive$, Label$
        LOCATE 12, 1: PRINT "New Label     = "; Label$
        END

'   Creates or changes the volume label of the drive specified
'
SUB MakeLabel (Drive$, Label$) STATIC
    NewLabel$ = Label$                      ' Preserve new label
    ReadLabel Drive$, Label$                ' Search for current label
    IF Label$ = "" THEN                     ' If no label found
        LSET FCB.FName = NewLabel$           '    Set new label
        InRegs.ds = VARSEG(FCB)              '    Segment and offset of
        InRegs.dx = VARPTR(FCB)              '      our File Control Block
        InRegs.ax = &H1600                   '    Create file
        INTERRUPTX &H21, InRegs, OutRegs     '    Call DOS
        InRegs.ax = &H1000                   '    Close file
        INTERRUPTX &H21, InRegs, OutRegs     '    Call DOS
    ELSE                                    ' Otherwise
        LSET FCB.FName = Label$              '    Set current label
        LSET FCB.NName = NewLabel$           '    Set replacement label
        InRegs.ds = VARSEG(FCB)              '    Segment and offset of
        InRegs.dx = VARPTR(FCB)              '      our File Control Block
        InRegs.ax = &H1700                   '    Rename file
        INTERRUPTX &H21, InRegs, OutRegs     '    Call DOS
    END IF
    Label$ = ""                             ' Check to see
    ReadLabel Drive$, Label$                '    if it worked
END SUB

'   Reads the volume label of the drive specified.
'
SUB ReadLabel (Drive$, Label$) STATIC
    InRegs.ax = &H2F00                      ' Get current DTA
    INTERRUPTX &H21, InRegs, OutRegs        ' Call DOS
    DTASeg% = OutRegs.es                    ' Store DTA segment
    DTAOff% = OutRegs.bx                    ' Store DTA offset
    InRegs.ds = VARSEG(DTA)                 ' Replace with
    InRegs.dx = VARPTR(DTA)                 '    our own temporary
    InRegs.ax = &H1A00                      '    Disk Transfer Area
    INTERRUPTX &H21, InRegs, OutRegs        ' Call DOS
    IF Drive$ = "" THEN                     ' If no drive
        Disk% = 0                            '    letter is supplied
    ELSE                                    '    use current drive
        Disk% = ASC(UCASE$(Drive$)) - 64     '    otherwise convert
    END IF                                  '    letter to numeral
    LSET FCB.Drive = CHR$(Disk%)            ' Drive to search
    LSET FCB.Attr = CHR$(8)                 ' Specify Volume label
    LSET FCB.FName = "???????????"          ' Use wildcards for search
    InRegs.ds = VARSEG(FCB)                 ' Segment and offset of
    InRegs.dx = VARPTR(FCB)                 '    our File Control Block
    InRegs.ax = &H1100                      ' Find first match
    INTERRUPTX &H21, InRegs, OutRegs        ' Call DOS
    IF OutRegs.ax MOD 256 = &HFF THEN       ' If a label wasn't found
        Label$ = ""                          '    return a null string
    ELSE                                    '    otherwise
               Label$ = MID$(DTA, 9, 11)            '    extract it from
    END IF                                  '    our DTA
    InRegs.ds = DTASeg%                     ' Restore
    InRegs.dx = DTAOff%                     '    original
    InRegs.ax = &H1A00                      '    Disk Transfer Area
    INTERRUPTX &H21, InRegs, OutRegs        ' Call DOS
END SUB
<PAGEEND:"Disk.Volume.File">

<PAGESTART:"Poke.Peek.File">
                   *  * * POKES & PEEKS * * *

     Did you know that there is a lot of information that may be 
accessed from the ROM BIOS area in your IBM PC regarding the operating 
characteristics and options found on your own IBM PC?  After careful 
analysis of data found in the IBM Technical Reference manual a summary 
of the most useful information and where and how it may be referenced 
has been prepared.  
     By specifying a DEF SEG=&H40 in any BASIC program, it is possible 
to reference the following vectors (fields) in the ROM BIOS area by 
using a PEEK function and the following offsets from the current 
segment as defined by the DEF SEG statement.  

     &H0 - RS232 Addresses on your IBM PC.  This will allow you to 
tell how many (up to four) async cards are attached, if any.  

     &H8 -  Printer Addresses on your IBM PC.  This will tell you what 
printer addresses, and how many (up to four) exist.  Each is addressed 
by a two-byte hex value.

     &H10 - Equipment Flag.  This field describes the setting of the 
options switches.  It describes what optional devices are attached to 
the system.  The following lists the bit-significance of this field: 

          Bit 0 - indicates that there are disk drives on the system  
          Bit 1 - not used  
          Bit 2,3 - Planar Ram Size (00=16K 10=32K 01=48K 11=64K) 
          Bit 4,5 - Initial Video Mode (00=Unused; 10=40x25 Color 
                    01=80x25 Color 1; 1=80x25 Mono) 
          Bit 6,7 - Number of Disk Drives (00=1; 10=2; 01=3; 11=4 
                    only if bit 0 = 1)
          Bit 8 -  Unused
          Bit 9,10,11 - Number of RS232 Cards attached 
          Bit 12 - Game I/O Attached 
          Bit 13 - Not used  
          Bit 14,15 - Number of printers attached 

     &H13 - Memory Size in K bytes

     &H15 - I/O RAM Size in K bytes

     &H17 - Keyboard Flag.  The following lists the masks set to 
            describe current keyboard status: 

          Byte 1:
               &H80 - Insert state active  
               &H40 - CapsLock state has been toggled 
               &H20 - NumLock state has been toggled 
               &H10 - ScrollLock state has been toggled  
               &H08 - Alternate shift key depressed 
               &H04 - Control shift key depressed 
               &H02 - Left shift key depressed 
               &H01 - Right shift key depressed 
          Byte 2:
               &H80 - Insert key is depressed 
               &H40 - CapsLock key is depressed  
               &H20 - NumLock key is depressed  
               &H10 - ScrollLock key is depressed 
               &H08 - Suspend key has been toggled 
               &H49 - Current CRT mode &H00 - 40x25 BW  
               &H01 - 40x25  Color  
               &H02 - 80x25  BW  
               &H03 - 80x25  Color 
               &H04 - 320x200 Color 
               &H05 - 320x200 BW 
               &H06 - 640x200 BW 
               &H07 - 80x25 B&W Card -- speS)CG\+MF;uuse, used internal 
               to the video routines.   
               &H4A - Number of CRT columns 
               &H50 - Cursor Position (one of eight)
               &H60 - Current cursor mode  
               &H6C - Low word of Timer count 
               &H6E - High word of Timer count
               &H71 - &H07 - Break key de8gIae--UROeTBHg
               44E - Beginning of character regen memory  
               &HFF53 - PrtSc routine address  

-----------------------------------------------------------------
                   PEEKing at Your PC's Memory
  (PC Magazine Vol 4 No 23 Nov 12, 1985 by David I. Schneider)

     Would you like to know the next number that will be generated by
BASIC's random number generator?  Would you like to know the date 1,000
days from now?  Would you like to determine which of your printers is
on-line?  Or have six palettes at your disposal in medium-resolution
graphics mode instead of the normal two?

     These and many more tasks are easily accomplished by PEEKing
(looking into a memory location), POKEing (placing a number into a
memory location), INPing (reading a number from a port), or OUTing
(sending a number to a port).  This article attempts to give a thorough
documentation of the varied uses of these statements.  While the
explanations are in BASIC, most of the information is applicable to
every programming language.

- - - - -
Before You Start:  Before entering and executing any of the PEEK and
POKE statements in this article, be sure this statement is executed
first:  DEF SEG = 0.  PC Magazine tried the PEEKs and POKEs in this
article on standard IBM equipment, and they worked flawlessly.
However, since they bypass many built-in safeguards to work directly
with your system's memory, playing with them carelessly or on non-IBM
equipment is like playing with fire, so type them in carefully, observe
the proper DEF SEG, and don't try any variations unless you know what
you're doing.
- - - - -

     PEEKs, POKEs, INPs and OUTs reveal the inner workings of the
computer and thus give the programmer direct control.  IBM discourages
the use of PEEK, POKE, INP and OUT, however, since the company cannot
guarantee that future releases of DOS or future ROM chips will use the
current memory locations.  Also, ports associated with nonstandard
hardware might function in different ways.  To be safe, widely
distributed and commercial programs should avoid such undocumented
features.  On the other hand, IBM has been quite consistent so far.
Most of the memory locations and ports presented in this article hold
for all existing versions of DOS and BASIC.  Of course, this might
change with some future release.

     Theoretically, the IBM PC can directly address 1048576 memory
locations, numbered 0 through 1048575.  Normally, a maximum of 640K
locations of RAM is available for user programs.  The remainder
consists of ROM or is otherwise reserved for present or future system
applications.

     A segment is a 64K portion of memory beginning at a location that
is a multiple of 16.  Segment 0 consists of memory locations 0, 1, 2,
3, ...65535.  Segment 1 consists of memory locations 16, 17, 18, ...
65551.  Segment 2 consists of memory locations 32, 33, 34, ...65567.
In general, then, segment m consists of memory locations 16*m, 16*m+1,
16*m+2, ...16*m+65535.

     Within each segment, the first memory location is said to have
offset 0, the second memory location is at offset 1, and so forth;
the last memory location is said to have an offset of 65535.  Memory
locations are specified by giving a segment that contains the location,
together with the offset of that location within the segment.  Most
memory locations can thus be specified in many ways.  For instance,
the designations "segment 0:offset 34," "segment 1:offset 18," and
"segment 2:offset 2" actually refer to the same memory location.

     Each memory location holds a number from 0 to 255.  These numbers
are often called bytes.  In BASIC (either in immediate mode or in a
program), to read the number in the memory location segment m:offset n,
you execute:  DEF SEG = m : PRINT PEEK (n).  The DEF SEG statement
specifies the mth segment as the current segment, and the value of
PEEK(n) is the number contained in the memory location of offset n
in the current segment.  In a similar way, to insert the number r
into the memory location segment m:offset n, you execute:  DEG SEG =
m : POKE n,r.  This POKE statement places the number r into the
memory location of offset n in the mth segment.

     The PC's microprocessor receives data from and sends data to the
various components of the computer through ports.  There are ports
associated with the keyboard, the disk drives, the speaker, and the
screen, for example.  A byte of data consists of a number from 0 to
255, and each port has a number assigned to it.  The value of the
function INP(n) is the value of the byte read from port n.  The
statement OUT n,m sends byte m to port n.

     The listings presented here deal with memory locations in
segment 0, which is often referred to as low memory.  The program,
LOMEMRY.BAS, illustrates many of the applications.

     Two important procedural considerations must be stressed if you
intend to enter the listings from the keyboard to try them out.  First,
the statement:  DEF SEG = 0  should be executed before the PEEK and
POKE statements in this section are executed.  Second, to prevent a
Syntax Error message, remember to type PRINT before each of the PEEK
statements, so the result will be displayed on the screen.  The words
AND and OR in these listings are logical operators and do not mean
"the sum of" or "an alternative to."

                            KEYBOARD

     1.  The following statements are used to set or determine the
status of the keyboard toggle keys.

     CapsLock Key:  "PEEK (1047) AND 64" has a value of 0 if the
keyboard is in lowercase mode and a value of 64 if the uppercase mode
is active.  To specify lowercase:  POKE 1047, PEEK(1047) AND 191.
To specify uppercase:  POKE 1047, PEEK(1047) OR 64.  To toggle between
upper and lowercase:  POKE 1074, PEEK(1047) XOR 64.  The statement
"PEEK(1048) AND 64" has a value of 64 if the key is pressed, 0
otherwise.

     NumLock Key:  The statement "PEEK(1047) AND 32" has a 0 value in
the cursor-control mode and a value of 32 for the numeric-keybad state.
To specify the cursor-control state:  POKE 1047,PEEK(1047) AND 223.
To specify the numeric-keypad state:  POKE 1047,PEEK(1047) OR 32.
To toggle between states:  POKE 1047,PEEK(1047) XOR 32.  The statement
"PEEK(1048) AND 32" has a value of 32 if the key is pressed and a
value of 0 otherwise.

     Ins Key:  The statement "PEEK(1047) AND 128" has a value of 128
for the insert state, 0 otherwise.  To specify the insert mode:
POKE 1047,PEEK(1047) OR 128.  To specify noninsert mode:  POKE 1047,
PEEK(1047) AND 127.  To toggle the state:  POKE 1047,PEEK(1047) XOR
128.  The statement "PEEK(1048) AND 128" has a value of 128 if the key
is pressed a a 0 value otherwise.

     ScrollLock Key:  The statement "PEEK(1047) AND 16" has a value of
16 when ScrollLock is on and a value of 0 otherwise.  To specify the
ScrollLock state:  POKE 1047,PEEK(1047) OR 16.  To specify the
alternate state:  POKE 1047,PEEK(1047) AND 239.  To toggle states:
POKE 1047,PEEK(1047) XOR 16.  The statement "PEEK(1048) AND 16" has a
value of 16 if the key is pressed a a value of 0 otherwise.

     2.  The following statements test the status of some special keys.
The statement "PEEK(1047) AND 8" has a value of 8 if the Alt key is
pressed and a value of 0 otherwise.  The statement "PEEK(1047) AND 4"
has a value of 4 if the Ctrl key is pressed, 0 otherwise.  The
statement "PEEK(1047) AND 1" has a value of 1 if the right Shift key
is pressed and a 0 value otherwise.  The statement "PEEK(1047) AND 3"
has a value of 0 if neither shift key is pressed.  The statement
"PEEK(1048) AND 4" has a value of 4 if the Sys Req key is pressed;
otherwise its value is 0 (PC AT only).

     3.  In the numeric keypad state, the character with an ASCII
value n can be displayed on the screen by holding down the Alt key,
typing the number n on the numeric keypad, and they releasing the Alt
key.  PEEK(1049) has a value of n from the time the number is typed
until the Alt key is released.

     4.  The circular keyboard buffer begins at location PEEK(1050) +
1024 and ends (possibly after cycling back to location 1054) at
location PEEK(1052)+1023.  Ordinary characters use every other
location.  Extended characters use two locations, the first location
containing the null character (CHR$(0)).  The statement "POKE 1050,
PEEK(1052)" clears the keyboard buffer.  The contents of the buffer
can be read by PEEK without first being removed from the buffer.
Further, characters can be POKEd into the buffer to ensure the
continuation of a program even if a program-terminating statement is
executed.  For instance, if the string:  "GOTO 99" + CHR$(13) is POKEd
into the buffer and a LIST command is executed, the program will
continue execution at line 99 after the LISTing has been completed,
which overcomes BASIC's annoying habit of stopping dead after certain
operations.

     5.  With PCs whose motherboard can hold 256K bytes of RAM, the
keyboard buffer can be assigned a different location and length.
The following program places the beginning of the keyboard buffer at
memory location 1024 + B and gives it the capacity of holding L
characters.

10 DEG SEG=0:H=INT(B/256)
20 POKE 1152,B-H*256:POKE 1153,H
30 T=B+2*L+2:H=INT(T/256)
40 POKE 1154,T=H*256:POKE 1155,H
50 POKE 1050,PEEK(1152):POKE 1051,PEEK(1153)
60 POKE 1052,PEEK(1152):POKE 1053,PEEK(1153)

The buffer contents always begin at:   PEEK(1050)+256*PEEK(1051)+1024
and end (possibly after cycling back from location 1085 to location
1024+B) at location:  PEEK(1052)+256*PEEK(1053)+1024.  You must use
case in choosing B and L.  Two possibilities are B=144, L<55 and
B=301,L<233.

     6.  To disable Ctrl-Break, enter:  FOR I=0 TO 3:POKE(108+I),
PEEK(112+I):NEXT I.  Before disabling Ctrl-Break, use PEEK to record
the bytes in locations 108-111.  You can then POKE these bytes back in
to reenable Ctrl-Break.

     7.  The statement "PEEK(1137) AND 128" has a the value of 128 if
the Ctrl-Break sequence has been used since startup to terminate the
execution of a program.

     8.  To disable the keyboard (PC & XT only), send "OUT 97, INP(97)
OR 128".  Remember that when the keyboard is disabled, subsequent
keystrokes are ignored.

     9.  To reenable the keyboard (PC & XT only), send "OUT 97, INP(97)
AND 127".

     10.  To disable all keyboard interrupts:  OUT 33,130.  If keys are
pressed after the interrupts are disabled, the scan codes of the first
20 keys will be held in a buffer located in the keyboard unit.  These
codes will be read after the interrupts are reenabled.

     11.  To reenable keyboard interrupts:  OUT 33,128.

     12.  Each key has an identifying number called its scan code.  The
following program will usually obtain the scan code of a key.  After
typing RUN, you must press the Enter key quickly.  They press any key
to obtain its scan code.  (The program will not work on the PC AT or
certain IBM PC-compatibles.)

10 OUT 33,130
20 WHILE INP(96)=0:WEND
30 PRINT INP(96)
40 OUT 33,128

     13.  For the PC AT only, when a key is held down for more than 1/2
second (the default delay time), it repeats ten times per second (the
default typematic rate).  To change the delay rate do d quarter-seconds
(d=1,2,3 or 4) and the typematic rate to approximately r repetitions
per second (r between 2 and 30), you would enter:  OUT 96,243:OUT 96,n
where n = (d-1) * 32 + CINT(11.5 * LOG(29/r)).  Conversely, the
statement:  OUT 96,243:OUT 96,n  with n=0,1, ...127, specifies a delay
rate of 1+(n\32) quarter seconds and a typematic rate of 1/((8+(n MOD
8))*2^((n AND 24)/8)*.00417) repetitions per second.  The default state
corresponds to n=44.

     14.  For the PC AT only, the green lights that indicate CapsLock,
NumLock and ScrollLock status can be turned on and off without
altering any of the states.  The statement:  OUT 96,237:OUT 96,n
produces the following results:

n = 7   all indicators on
n = 6   ScrollLock indicator off, others on
n = 5   NumLock indicator off, others on
n = 4   CapsLock indicator on, others off
n = 3   CapsLock indicator off, others on
n = 2   NumLock indicator on, others off
n = 1   ScrollLock indicator on, others off
n = 0   all indicators off

                         MONITOR STATUS

     1.  To check the type of display:

PEEK(1040) AND 48 = 0 is no monitors
PEEK(1040) AND 48 = 16 is a 40 x 25 graphics monitor
PEEK(1040) AND 48 = 32 is a 80 x 25 graphics monitor
PEEK(1040) AND 48 = 48 is a monochrome display

     2.  To select a display:
          Monochrome   POKE 1040,PEEK(1040) OR 48
          Graphics     POKE 1040,(PEEK(1040) AND 207) OR 16
The first POKE should be followed by:  SCREEN 0:WIDTH 40:WIDTH 80:
LOCATE ,,1,12,13.  The second should be followed by:  SCREEN 1,0,0,0:
SCREEN 0:WIDTH 40:LOCATE ,,1,7,7.  Before switching monitor types, it
is a good idea to record (in an array) the numbers that are contained
in memory locations 1097 to 1126.  These values can then be confidently
restored after the return to the first display.

     3.  To check screen mode:

PEEK(1097) = 0 text mode, WIDTH 40, color disabled
PEEK(1097) = 1 text mode, WIDTH 40, color enabled
PEEK(1097) = 2 text mode, WIDTH 80, color disabled
PEEK(1097) = 3 text mode, WIDTH 80, color enabled
PEEK(1097) = 4 medium resolution graphics, color enabled
PEEK(1097) = 5 medium resolution graphics, color disabled
PEEK(1097) = 6 high-resolution graphics
PEEK(1097) = 7 monochrome display

PEEK(1098)+256*PEEK(1099) gives the width in columns.  Color can be
suppressed only on composite monitors.  RGB monitors will display color
even if you are in one of the color-disabled modes listed above.

     4.  Subscripts and superscripts can be displayed in the top half
of the graphics screens.  The following programs place the string B$ as
a subscript of the string A$.  The value of R must be between 1 and 12,
and the value of C can be at most one more than the width of the screen
minus the sum of the lengths of the two strings.  To display B$ as a
superscript of A$, replace the R in line 40 by R-1.

10 SCREEN 1:CLS                         10 SCREEN 2:CLS
20 LOCATE R,C:PRINT A$;                 20 LOCATE R,C:PRINT A$;
30 POKE 1098,20                         30 POKE 1098,40
40 LOCATE 2*R:PRINT B$                  40 LOCATE 2*R:PRINT B$
50 POKE 1098,40                         50 POKE 1098,80

     5.  The contents of the graphics screen are stored in a buffer
beginning at offset:  PEEK(1102)+256*PEEK(1103)  in a portion of
memory that physically resides on a graphics board.  The size of this
buffer is given by:  PEEK(1100)+256*PEEK(1101)

     6.  When using text mode with a graphics monitor, there are
several memory pages at your disposal.  The cursor locations for the
various pages are given as follows:  Let CR(n) and CC(n) be the Cursor
Row and Cursor Column for page n.  Then:  PEEK(1105)+2*n)  has a value
of CR(n)-1, and:  PEEK(1104+2*n)  has a value of CC(n)-1.

     7.  The shape of the cursor can be set with a statement of the
form:  LOCATE ,,,I,J.  In this LOCATE statement, "PEEK(1121) AND 31"
has value I, and "PEEK(1120) AND 31" has value J.  If "PEEK(1121) AND
32" has a value of 32, then the cursor is not displayed.

     8.  To obtain the number of the visual page (that is, the page
currently being displayed), you simply "PEEK(1122)".

     9.  The adapter boards can be given instructions by OUTing to
ports on a chip known as the CRT controller chip.  To determine the
number of the index register port for the adapter board currently in
use, "PEEK(1123)+256*PEEK(1124)".  The value will be 948 for the
monochrome display board and 980 for the color/graphics adapter.

     10.  The following statements check the mode settings on the CRT
mode register currently in use:

PEEK(1125) AND 1    has value 1 if in text mode, width 80
PEEK(1125) AND 2    has value 2 if in graphics mode
PEEK(1125) AND 4    has value 4 if color is disabled (for instance, if
                      the statement SCREEN 1,1 has been executed)
PEEK(1125) AND 8    has value 8 if video is enabled, that is, not
                      blanked
PEEK(1125) AND 16   has value 16 if in high-resolution graphics mode
PEEK(1125) AND 32   has value 32 if blinking is enabled

     The value of PEEK(1125) will change after appropriate SCREEN or
WIDTH statements are executed.  It is not affected by OUT statements,
however.  It will not always reflect the true status of the monitor,
therefore, unless it is updated after OUTs to port 984 or 952.

     11.  In the medium-resolution graphics mode, the background color
and palette are selected by the statement COLOR b,p.  The statement
"PEEK(1126) AND 15" will have the balue b, and "(PEEK(1126) AND 32)/32"
will have the value p.  In text mode, with a color monitor, the value
of "PEEK(1126) MOD 16" will be the border color and "PEEK(1126) AND 16"
will be 16 if the current color was specified by a statement of the
form COLOR f,b in which f is 0 through 15 and b>7.

     The value of PEEK(1126) will change after appropriate SCREEN or
COLOR statements are executed.  However, it is not affected by OUT
statements.  Therefore, it will not always reflect the true status of
the monitor unless it is updated after OUTs to port 985.

     12.  In graphics mode, the statement "PRINT CHR$(n)" where n is a
number from 128 to 254, causes the computer to display the character
in an 8 by 8 rectangle of pixels.  Each character is described by a
sequence of eight bytes.  The eight bytes describing CHR$(128) are
contained in the eight successive memory locations beginning with the
location at offset "PEEK(124)+256*PEEK(125)" in segment "PEEK(126)+
256*PEEK(127)".  The pattern for CHR$(129) is contained in the next
eight locations, and so on.  To create a character set for ASCII values
from 128 to 254:
          a. Select the portion of memory to hold the bytes describing
the characters.
          b. POKE the pattern for character 128 into the first eight
memory locations, the pattern for character 129 into the next eight
locations, and so on.
          c. POKE the offset and segment of the first byte into
locations 124 to 127.

     13.  The video parameter table consists of 64 bytes beginning at
memory location of offset "PEEK(116)+256*PEEK(117)" in segment
"PEEK(118)+256*PEEK(119)".  The first 16 bytes are numbers that are
OUTed to registers on the color/graphics adapter board when the 40 by
25 text mode is initialized.  The next two 16-byte sequences are
associated with the 80 by 25 text and graphics modes on the color/
graphics adapter.  The final sequence of 16 bytes is used to initialize
the monochrome display.  You must be very careful when changing these
bytes.  Certain values for the first 10 bytes in each sequence could
damage your monitor.

                             PRINTER

     1.  The number of printer adapters installed is given by "(PEEK
(1041) AND 192)/64".

     2.  To determine the first port associated with LPTn, "PEEK(1030
+2*n)+256*PEEK(1031+2*n)".  If this number is 0, then LPTn is not
available.  To swap two printers, interchange their initial port
numbers.  Denote the first port associated with LPTn by Pn.  The value
of P1 will by 956 if LPT1 is attached to the IBM monochrome display
and parallel printer adapter.

     3.  The ASCII value of the last character sent to the printer by
LPRINT or PRINT# is:  INP(Pn).

     4.  To determine printer status:  LET X = INP(Pn+1)

X AND 128   has value 128 if the printer is busy or off line
X AND 64    has value 0 if the printer has acknowledged that data has
              been sent and is ready to receive more
X AND 32    has value 32 if the printer is out of paper
X AND 16    has value 16 if the printer is on-line
X AND 8     has value 0 if there is an I/O error

     5.  To initialize the printer, send:  OUT Pn+2,8:OUT Pn+2,12

     6.  With PCs having 256K RAM motherboards, the parallel printer
timeout values can be read and set.  The timeout value for LPTn is
approximately:  1.6*PEEK(1143+n)  seconds.  To set the timeout value
for LPTn to S seconds:  POKE 1143+n,.64*S.

                           DISK DRIVES

     1.  To determine the number of diskette drives:  (PEEK(1040) AND
1)*(1+PEEK(1040)\64).

     2.  In determining the status of a drive motor:  PEEK(1087) AND
128  has a value of 128 when a disk drive is being written to, and:
PEEK(1087) AND 15  has a value of 0 when no drive motor is running.
If drive L is running, then the value of  "PEEK(1087) AND 2 ^ (ASC
("L")-65)" will be 1.  Drive L here is A, B, C or D, and the letter
must be typed in uppercase.  These value are not affected if an OUT
was used to turn on the motor.

     3.  To turn on drive L for n seconds, where n is at most 14:
POKE 1088,18.2*n:OUT 1010,2^(ASC("L")-61)+ASC("L")-53.  Location 1088
holds the countdown, in clock ticks, until the diskette motor is shut
off.

     4.  To turn off all drives, send:  OUT 1010,12

     5.  To determine the diskette track that was last accessed, use:
PEEK(1093).

     6.  To determine which diskette head (0 or 1) was last accessed,
use:  PEEK(1094).

     7.  Similarly, to determine which diskette sector was last
accessed:  PEEK(1095).  When single-sided diskettes are used, items
5, 6 and 7 above may specify the sector following the one most recently
accessed.

     8.  The number of bytes per sector on a diskette is given by:
128*2^PEEK(1096).

     9.  The diskette parameter table consists of 11 bytes.  To explore
this:  LET D = PEEK(120)+256*PEEK(121).  Then, after executing:
DEF SEG = PEEK(122)+256*PEEK(123)  you can derive the following table:

(PEEK(D) AND 240)\8     is the time (in milliseconds) required for the
                          diskette drive to move from track to track
(PEEK(D) AND 15)*32     is the head unload time (in milliseconds) after
                          a read or write operation has occurred
(PEEK(D+1) AND 240)\4   is the head load time (in milliseconds)
PEEK(D+1) AND 15        is the Direct Memory Access mode
PEEK(D+2)               is the wait time until turning the motor off
PEEK(D+3)               is the number of bytes per sector on the disk;
                          a value of v specifies 128*2^v bytes per
                          sector, for v=0 to 3
PEEK(D+4)               is the number of sectors per track, usually
                          8 or 9
PEEK(D+5)               is the gap length (in bytes) between sectors
PEEK(D+6)               is the data length that you read out or write
                          into a sector when the sector length is not
                          specified
PEEK(D+7)               is the gap length used when formatting
PEEK(D+8)               is the value the format operation uses to
                          initialize diskette sectors, usually 256
PEEK(D+9)               is the number of milliseconds allowed for the
                          heads to stabilize
PEEK(D+10)              is the number of eighths of a second to allow
                          for motor startup

Changing the values of PEEK(D+3) and PEEK(D+4) can modify the way that
diskettes are read and might require you to format your diskettes
manually.

     10.  The number of hard disks on a PC-XT can be found with:
PEEK(1141).

     11.  If a single diskette drive is used for both drives A: and
B:, its current roles is:  CHR$(65 + PEEK(1284))

                        RS-232 INTERFACE

     1.  The number of RS-232 cards attached can be found with:
(PEEK(1041) AND 14)/2

     2.  To determine the first of the seven ports associated with
COMn:  PEEK(1022+2*n)+256*PEEK(1023+2*n).  If this number is 0, then
COMn is not available.  To swap two RS-232 interfaces, interchange
their initial port numbers.  Denote the initial port associated with
COMn by Pn.  Normally, the value of P1 is 1016 and the value of P2 is
760.

     3.  Interrupt enabling:

OUT Pn+1,1   enables an interrupt when a character has been received
OUT Pn+1,2   enables an interrupt when a character has been transmitted
OUT Pn+1,4   enables an interrupt when an error has occurred
OUT Pn+1,8   enables an interrupt when the modem status has changed

To enable several of the above interrupts at the same time, OUT the
sum of the associated numbers to port Pn+1.

     4.  To identify interrupts, use the port number determined above
(Pn) and:  LET X = INP(Pn+2).  "X AND 1" has a value of 1 as long as no
interrupts have been issued because of communications port activity.
Similarly, "X AND 6" is used to identify the highest priority interrupt
pending, as indicated in the table "Interrupt Control Functions" in the
IBM Technical Reference manual.

     5.  To establish the number of data bits (d), the number of stop
bits (s), and the parity (p=0 for no parity, p=1 for odd parity, p=3
for even parity), send:  OUT Pn+3, d-5 + 4*(s-1) + 8 * p.

     6.  To establish the baud rate:  H=INP(Pn+3):OUT Pn+3,H OR 128:
OUT Pn,DL:OUT Pn+1,DH:OUT Pn+3,H.  Use values DL=128 and DH=1 for 300
baud, and DL=96 and DH=0 for baud rate 1200.  Otherwise, DL=d MOD 256
and DH=d\256, where d is the divisor number given by the IBM Technical
Reference manual in the table "Baud Rate at 1.853 MHz."

     7.  To produce a break signal:  X=INP(Pn+3):OUT Pn+3,X OR 64:PLAY
"MF":SOUND 32767,6:SOUND 32767,1:OUT Pn+3,X.  The PLAY and SOUND
statements produce a delay of 1/3 second.

     8.  To control the modem, use:

OUT Pn+4,1     to assert that the data terminal is ready (DTR)
OUT Pn+4,2     to raise a request to send (RTS)
OUT Pn+4,16    to perform loopback testing

To accomplish several of the above tasks simultaneously, OUT the sum
of the associated numbers to port Pn+4.

     9.  To determine the status of data transfer, begin with:
LET X = INP(Pn+5).  Now:

X AND 64    has a value of 64 if the transmitter shift register is idle
X AND 32    is 32 if the transmitter holding register is ready to
              accept a character for transmission
X AND 16    has the value 16 if the received data input is held in the
              spacing state too long (that is, if a break was received)
X AND 8     has the value 8 if the received character did not have a
              valid stop bit; that is, if a framing error occurred
X AND 4     has the value 4 if the received character does not have
              the correct parity
X AND 2     is 2 if the received data destroyed the previous character
              (an overrun error)
X AND 1     has value 1 if a character is ready to be read from the
              received buffer register

     10.  INP(Pn) will read the ASCII value of a character from the
serial port, provided:  (INP(Pn+5) AND 1) = 1

     11.  You can use OUT Pn,m to write the character with ASCII value
m to the serial port, provided that:  (INP(Pn+5) AND 32) = 32

     12.  To determine the status of the modem, use:  X = INP(Pn+6).
Then:

X AND 128    has the value 128 if a Carrier signal has been detected
X AND 64     is 64 if the modem is ringing
X AND 32     has a value of 32 if the modem has asserted Data Set Ready
X AND 16     is 16 if the modem has asserted Clear to Send
X AND 8      is 8 if the Carrier Detect has changed state
X AND 4      has the value 4 if the Ring Indicator input has changed
               from On to Off
X AND 2      is 2 if the Data Set Ready input has changed state since
               the last time it was read
X AND 1      has a value of 1 if the Clear to Send input has changed
               state since it was last read

                             SPEAKER

     1.  The timer chip determines the frequency of the sound produced
by the speaker.  To prepare to send a value to the timer chip, send:
OUT 67,182

     2.  The human ear can perceive sounds varying in frequency from
about 20 to 20,000 Hz.  To set the timer chip to produce a frequency
of F Hz:  A=INT(1193182/F):H=INT(a/256):L=A-H*256:OUT 66,L:OUT 66,H

     3.  To turn the speaker on, use:  OUT 97,INP(97) OR 3

     4.  Conversely, to turn the speaker off:  OUT 97,INP(97) AND 252

                      CASETTE PORT CONTROL

     1.  To turn the cassette motor on:  OUT 97,INP(97) AND 247

     2.  To turn the cassette motor off:  OUT 97,INP(97) OR 8


Even if a cassette player is not attached, toggling the cassette motor
produces a clicking sound.  Repeated togglings can produce interesting
sound effects, but since the relay involved is not designed as a
musical instrument, excessive use may cause its failure.

                          MISCELLANEOUS

     1.  The number of game adapters attached is shown with:  (PEEK
(1041) AND 16)/16

     2.  To find the size of RAM in kilobytes, use:  PEEK(1043) +
256*PEEK(1044)

     3.  The internal clock ticks 18.20648 times per second.  The
number of ticks that have occurred since midnight is given by:
PEEK(1132)+256*PEEK(1133)+65536PEEK(1134).  This value increases until
it reaches 1,533,039 (an instant before midnight), and at midnight it
is reset to 0.  The value of PEEK(1136) is increased by 1 as a result
of the reset.  Executing either TIME$ or DATE$ changes the value of
PEEK(1136) back to 0.

     To determine the date N days from now, execute:  FOR I=1 TO N:
POKE 1136,1:A$=DATE$:NEXT I:PRINT DATE$.  With versions of DOS prior
to 3.0, when N is less than 256, the entire FOR...NEXT loop can be
replaced by POKE 1136,N.

     4.  Memory locations 1264 to 1279 are not used by either DOS or
BASIC.  Data can be passed from one program to another by POKEing it
into these locations and PEEKing it later.

     5.  To exit BASIC and complicate reinvoking it, you can:  POKE
1295,2:SYSTEM.  Memory location 1295 is set to 2 when the BASIC
command SHELL is executed.

     6.  The segment number of BASIC's data segment may be found with:
PEEK(1296)+256*PEEK(1297)

     7.  To disable the nth interrupt:  POKE n*4,83:POKE n*4+1,255:
POKE n*4+2,0:POKE n*4+3,240.  Prior to executing these statements, use
PEEK to record the contents of the four memory locations.  To reenable
the interrupt, use POKE to restore these locations to their original
state.

     This part of the article is divided into sections that each deal
with the memory locations found in a specified, common segment.  When
typing in the applications that follow, you must be careful to execute
the proper DEF SEG statement for each section and to preface each PEEK
with a PRINT statement.  The three programs, DEMO1.BAS, DEMO2.BAS and
DEMO3.BAS illustrate many of these applications.

                      BASIC's Data Segment

Prefix with DEF SEG unless otherwise noted


     The segment of memory that is allocated to BASIC is referred to as
BASIC's Data Segment.  When BASIC is first invoked, it is the current
segment.  Also, the BASIC statement DEF SEG, when used without any
additional address, specifies this memory segment.  BASIC's Data
Segment is partitioned into seven regions.  The first of these is the
interpreter work area; the remaining six regions will be referred to
as BASIC's storage area.

A. Interpreter Work Area

     In the following discussion, Classic PCs are the original PCs,
produced in 1981 and 1982, with a maximum of 64K bytes of RAM on the
motherboard.  Their ROM chips are usually dated 4/24/81 or 10/19/81.
New PCs consist of all subsequent PCs, including the XT and the AT.

     1.  With a New PC, using BASIC versions 2.0, 2.1 or 3.0, you can
determine the last random number to be generated with

          (1+PEEK(11)+256*PEEK(12)+65536*PEEK(13))/2^24

When using a Classic PC or using a New PC with BASIC 3.1, do not add
in the initial number 1.  The procedure above assumes that RANDOMIZE
has not been executed since the last random number was generated.  On
a New PC, the result will occasionally differ from the actual value of
RND in the last digit.  The number 1 was added in the formula for New
PCs to reduce round-off errors.

     2.  To determine the next random number to be generated:
Successive random numbers are generated by a formula involving two
parameters, A# and B#, below.  These two numbers vary according to the
type of PC and the version of BASIC.  Some combinations are:  A# =
214013, B# = 13737667 (a New PC and a version of BASIC prior to 3.1);
A# = 17405, B# = 10395331 (a Classic PC and a version of BASIC prior
to 3.1); A# = 214013, B# = 2531011 (a New PC and BASIC 3.1); and A# =
214013, B# = 10395331 (A Classic PC and BASIC 3.1).  The following
program will compute the numbers A# and B# for your particular
configuration.  Record the values of A# and B# for future use.

10 POKE 11,0:POKE 12,0:POKE 13,0:T=RND
20 B#=PEEK(11)+256*PEEK(12)+65536#*PEEK(13)
30 POKE 11,1:POKE 12,0:POKE 13,0:T=RND
40 A#=PEEK(11)+256*PEEK(12)+65536#*PEEK(13)-B#
50 PRINT "A# =";A#;"B# =";B#

AT any time, the following program will determine the next random
number to be generated by a Classic PC using any version of BASIC or
a New PC using BASIC 3.1.

10 S#=PEEK(11)+256*PEEK(12)+65536#*PEEK(13)
20 X#=A#*S#+B#
30 T#=X#-2#^24*INT(X#/2#^24)
40 PRINT "The next random number will be";CSNG(T#/2#^24)



For a New PC and a version of BASIC preceding 3.1, replace lines 10
and 30 with:

10 S#=PEEK(11)+256#*PEEK(12)
30 T#=1+x#-2#^24*INT(X#/2#^24)

POKEing numbers into locations 11, 12 and 13 reseeds the random-number
generator.

     3.  PEEK(40) returns the number of the most recent error message.

     4.  Normally, the first 24 lines of the screen scroll as the
screen fills.  However, the scrolling portion of the screen can consist
of any rectangular portion beginning on the left side of the screen.
The following statements specify that the scrolling portion of the
screen consists of the first c positions of lines a through b.  Once
the cursor has been moved to this region, it will be confined there.

          POKE 41,c:POKE 91,a:POKE 92,b

To prevent all scrolling, even when characters are PRINTed into the
last line, execute:  POKE 92.0.  (Be careful to POKE another number
into location 92 before the program terminates.)  To scroll all 25
lines, execute:  KEY OFF:POKE 92,25

     5.  For the current BASIC line number, PEEK(46)+256*PEEK(47)

     6.  To determine the screen mode,

PEEK(72) = 0 text mode, WIDTH 40, color burst disabled
         = 1 text mode, WIDTH 40, color burst enabled
         = 2 text mode, WIDTH 80, color burst disabled
         = 3 text mode, WIDTH 80, color burst enabled
         = 4 medium-resolution graphics, color burst enabled
         = 5 medium-resolution graphics, color burst disabled
         = 6 high-resolution graphics, color burst disabled
         = 7 monochrome display

     7.  To determine the text-mode foreground color, PEEK(75)

     8.  For the text-mode background color, PEEK(76)

     9.  For the text-mode border color, PEEK(77)

     10.  For medium-resolution text color, PEEK(78) AND 3

     11.  To set the text color in medium-resolution graphics mode to
color c of the current palette (c = 1, 2 or 3), POKE 78,c

     12.  For the medium-resolution background color, PEEK(81) AND 15

     13.  For the medium-resolution palette, PEEK(82) MOD 2



     14.  The row number of the cursor is given by, PEEK(86).  The
column number is given by, PEEK(87).

     15.  For the WIDTH of each line printed on LPT1, PEEK(98).  To set
the WIDTH to w, execute:  POKE(98),w.

     16.  The position of the print head within the buffer of LPT1 is
given by:  PEEK(99).  To move the print head to position n, execute:
PEEK(99),n

     17.  PEEK(100) returns a value of 1 if the cassette motor is off,
0 if the motor is on.

     18.  To determine if the soft keys are displayed on line 25:

PEEK(113) = 0    not displayed
          = 1    displayed ever since BASIC was invoked
          = 255  displayed as a result of executing KEY ON

If the soft keys are displayed and 0 is POKEd into location 113, the
keys will continue to be displayed.  However, the combination of LOCATE
and PRINT will be able to display characters on the 25th line, and CLS
will erase the 25th line.

     19.  To determine the exact user response to an INPUT, LINE INPUT,
INPUT#, or LINE INPUT# statement, use:

A$="":N=503:WHILE PEEK(N)<>0:A$=A$+CHR$(PEEK(N)):N=N+1:WEND:? A$

(Note:  This line must be part of a program.  If executed in direct
mode, it will just read itself.  While numeric responses are often
rounded, truncated, or converted to floating-point form, the string A$
will consist of the exact digits typed.)

     20.  To show the location of the end of the last statement
executed:  PEEK(835)+256*PEEK(836).  (Note:  This pointer points to
either the null character at the end of a line or to the colon
separating a pair of statements.)

     21.  The memory location pointed to by the BASIC stack pointer is
returned by:  PEEK(837)+256*PEEK(838)

     22.  The line number of the last BASIC error is shown by:
PEEK(839)+256*PEEK(840)

     23.  For the location of the program line n specified in an ON
ERROR GOTO n statement:  PEEK(845)+256*PEEK(846)








     24.  The segment number of BASIC's Data Segment is returned by:
PEEK(848)+256*PEEK(849).  Machine language programs must be POKEd into
an unused portion of memory where they can be CALLed.  One safe place
is the segment whose number is 4096 higher than the segment number of
BASIC's Data Segment.  The available space can be determined by
executing:  DEF SEG=0:PRINT PEEK(1043)+256*PEEK(1044).  This returns
the size of the random access memory in kilobytes.

     25.  The memory location (in the text of a program) of the byte
following the most recently READ piece of DATA is shown by:
PEEK(862)+256*PEEK(863)

     26.  The minimum allowable value for array subscripts is at:
PEEK(1116)

     27.  To protect the current program so that it cannot be LISTed
or EDITed:  POKE 1125,255

     28.  To determine if the current program is protected:  PEEK(1124)
has value 0 if the program is not protected; the message "Illegal
function call" is produced if the program is protected.

     29.  To show the number of files specified by the /F option when
BASIC was invoked, use:  PEEK(1247)

     30.  To determine the File Control Blocks:  LET X=PEEK(1248) +
256*PEEK(1249).  Then the File Control Block for the nth file begins
at the location shown by:  PEEK(X+2*n)+256*PEEK(X+2*n+1).  Bytes 3
through 13 of the File Control Block contain the name of the file.
The drive containing the file is:  CHR$(64+PEEK(2nd location)).

     31.  The disk drive containing the file most recently accessed by
BASIC is:  CHR$(64+PEEK(1264))

     32.  The name of the file most recently accessed by BASIC is
given by:  FOR I=0 TO 10:PRINT CHR$(PEEK(1265+I));:NEXT I

     33.  For the coordinates of the last point referenced:  PEEK(1341)
+256*PEEK(1342)  is the x coordinate; PEEK(1339)+256*PEEK(1340)  is the
y coordinate.

     34.  To set the coordinates of the last point referenced to (a,b),
use:  POKE 1341,a MOD 256:POKE 1342,a\256
      POKE 1339,b MOD 256:POKE 1340,b\256

     35.  Strings of up to 15 characters can be assigned to the
function keys with the KEY statement.  These strings are stored in the
160 memory locations beginning with the location of offset 1619.  Every
16th memory location and the unused locations contain a null character.
You can use this information, in conjunction with redefining the scroll
window, to customize the display that normally occupies the 25th line
of the screen.



     36.  The current color to be used by DRAW statements is returned
by:  PEEK(1782) AND 3.  To change the color to color c of the current
palette, execute:  POKE 1782,85*c.  (Note: Any graphics statement
containing a color parameter changes the value of PEEK(1782) AND 3 to
the specified color.)

     37.  BASIC's environment begins at offset 0 in segment ENV, where
the numeric value of ENV can be determined with the following program.
Each equation in the environment is followed by a null character, and
the final equation is followed by two null characters.

10 DEF SEG
20 PSP=PEEK(1794)+256*PEEK(1795)  'Program Segment Prefix
30 DEF SEG=PSP
40 ENV=PEEK(44)+256*PEEK(45)

     38.  The following listing will show the program that was executed
and the options (such as /F:4) that were specified when BASIC was
invoked.

10 DEF SEG
20 PSP=PEEK(1794)+256*PEEK*1795)   'Program Segment Prefix
30 DEF SEG=PSP
40 FOR I=130 TO 129+PEEK(128)
50 PRINT CHR$(PEEK(I));
60 NEXT

     39.  The buffer size for random files specified by the /S option
when BASIC was invoked is returned by:  PEEK(N)+256*PEEK(N+1)  where
N = 1851, 1854, 1858 and 1858 for BASIC Versions 2.0, 2.1, 3.0, and
3.1, respectively.

     40.  Similarly, for the communications buffer size specified by
the /C: option when BASIC is invoked:  PEEK(N)+256*PEEK(N+1)  where
N = 1861, 1864, 1868 and 1870 for BASIC Versions 2.0, 2.1, 3.0, and
3.1, respectively.

     41.  To locate the communications buffer in BASICA 2.1:

LET X=PEEK(1866)+256*PEEK(1867)  for COM1:
LET X=PEEK(1868)+256*PEEK(1869)  for COM2:

     The buffer for receiving data when using the Asynchronous
Communications Adapter begins at location  PEEK(X+1)+256*PEEK(X+2)
and it ends at  PEEK(X+3)+256*PEEK(X+4)-1.  The buffer for transmitting
data begins at location  PEEK(X+5)+256*PEEK(X+6)  and ends at
PEEK(X+7)+256*PEEK(X+8)-1.

     The numbers 1866-1869 should be changed to 1863-1866, 1870-1873,
and 1872-1875 for BASICA Versions 2.0, 3.0, and 3.1, respectively.





     42.  The position of the print head within the buffer of LPT2 is
returned by PEEK(N) where N = 1875, 1878, 1882, and 1884 in BASIC
Versions 2.0, 2.1, 3.0, and 3.1, respectively.  To move the print head
to position n, execute POKE N,n.

     43.  Similarly, the position of the print head within the buffer
of LPT3 is returned by PEEK(N) where N = 1876, 1879, 1883, and 1885 in
BASIC Versions 2.0, 2.1, 3.0, and 3.1, respectively.  To move the print
head to position n, execute POKE N,n.

     44.  For the WIDTH of each line printed by LPT2: PEEK(N) where
N = 1877, 1880, 1884, and 1886 in BASIC Versions 2.0, 2.1, 3.0, and
3.1, respectively.  To set the WIDTH to w, execute POKE N,w.

     45.  Similarly, for the WIDTH of each line printed by LPT3:
PEEK(N) where N = 1878, 1881, 1885, and 1887 in BASIC Versions 2.0,
2.1, 3.0, and 3.1, respectively.  To set the WIDTH to w, execute
POKE N,w.

     46.  In direct mode, pressing Ctrl-PrtSc causes the printer to
print all output as it appears on the screen.  This is referred to as
an echo to the printer.  In program (or direct) mode, the statement
POKE N,255 turns on echoing and the statement POKE N,0 turns off
echoing, where N = 1880, 1883, 1887, or 1889 in BASIC Versions 2.0,
2.1, 3.0, or 3.1, respectively.

     47.  To determine the music parameters in BASICA 2.1:

PEEK(2140) has value 0 for the Music Foreground mode and values 1 or
     255 for the Music Background mode.
PEEK(2141) is the current octave number.
PEEK(2142) is the current tempo in quarters per minute.
PEEK(2143) is the reciprocal of the length of a standard note.

     It is set by the statement PLAY "Ln".

PEEK(2145) has the value 1, 2, or 3 to demote Music Legato, Music
     Staccato, or Music Normal, respectively.

     The numbers 2140-2145 should be changed to 2144-2149 and 2149-2154
for BASICA Versions 3.0 and 3.1, respectively.  In BASICA Version 2.0,
2141-2145 should be changed to 2136-2140, and 2140 should be changed to
2141.

     48.  PEEK(N) shows the scale to be used by DRAW, where N = 2161,
2163, 2167, and 2172 in BASICA Versions 2.0, 2.1, 3.0, and 3.1,
respectively.  To set the scale to n, execute POKE N,n.

     49.  Use the following statements to determine the angle at which
future DRAWings will be turned in BASICA 2.1.  (Such angles are set by
the statement DRAW "TA n", where n is the number of degrees in the
angle.)



PEEK(2165) is the low byte in the integer representation of n.  (Hence,
if n is between 0 and 255 degrees, PEEK(2165)=n.)

CVS(CHR$(PEEK(2166))+CHR$(PEEK(2167))+CHR$(PEEK(2168))+CHR$(PEEK(2169)))

is the cosine of the angle n.

CVS(CHR$(PEEK(2170))+CHR$(PEEK(2171))+CHR$(PEEK(2172))+CHR$(PEEK(2173)))

is -1/1.2 times the sine of the angle in SCREEN mode 1.

CVS(CHR$(PEEK(2174))+CHR$(PEEK(2175))+CHR$(PEEK(2176))+CHR$(PEEK(2177)))

is 1.2 times the sine of the angle in SCREEN mode 1.

     Replace 1.2 with 2.4 for SCREEN mode 2.  This information can be
used to compute the cosine and sine of the angle, and hence the value
of the angle.

     The numbers 2165-2177 should be chanted to 2163-2175, 2169-2181,
and 2174-2186 for BASICA Versions 2.0, 3.0, and 3.1, respectively.

     50.  To determine status of light-pen trapping in BASICA 2.1, use:

PEEK(2203) = 0 if trapping of light pen is OFF
           = 1 if trapping of light pen is ON
           = 2 if trapping of light pen is STOPped while OFF
           = 3 if trapping of light pen is STOPpen while ON

Activating the light pen causes the program to branch to the program
line stored at location PEEK(2204)+256*PEEK(2205).  The numbers 2203-
2205 should be changed to 2201-2203, 2207-2209, and 2212-2214 for
BASICA Versions 2.0, 3.0, and 3.1, respectively.

     51.  To determine the status of key-trapping in BASICA 2.1, use:

PEEK(2203+3*n) = 0 if trapping of key n is OFF
               = 1 if trapping of key n is ON
               = 2 if trapping of key n is STOPped while OFF
               = 3 if trapping of key n is STOPped while ON

Pressing key n causes the program to branch to the program line stored
at location PEEK(2204+3*n)+256*PEEK(2205+3*n).  The numbers 2203-2205
should be changed to 2201-2203, 2207-2209, and 2212-2214 for BASICA
Versions 2.0, 3.0, and 3.1, respectively.

     52.  To determine the status of joystick-button trapping in
BASICA 2.1, use:

PEEK(2266+3*n/2) = 0 if trapping of button n is OFF
                 = 1 if trapping of button n is ON
                 = 2 if trapping of button n is STOPped while OFF
                 = 3 if trapping of button n is STOPped while ON


Buttons 0 and 4 are the lower and upper buttons of the first joystick,
and buttons 2 and 6 are the lower and upper buttons of the second
joystick.  Pressing button n causes the program to branch to the line
stored at location PEEK(2267+3*n/2)+256*PEEK(2268+3*n/2).  The numbers
2266-2268 should be changed to 2264-2266, 2270-2272, and 2275-2277 for
BASICA Versions 2.0, 3.0, and 3.1, respectively.

     53.  To determine the status of ON PLAY(n) trapping BASICA 2.1:

PEEK(2278) = 0 if trapping is OFF
           = 1 if trapping is ON
           = 2 if trapping is STOPped while OFF
           = 3 if trapping is STOPped while ON

When the changing of the number of notes in the music background buffer
from n to n-1 is trapped, the program branches to the program line
stored at location PEEK(2279)+256*PEEK(2280).  The numbers 2278-2280
should be changed to 2276-2278, 2282-2284, and 2287-2289 for BASICA
Versions 2.0, 3.0, and 3.1, respectively.  The value of n is PEEK(N),
where N = 2142, 2146, 2150, and 2155 in BASICA Versions 2.0, 2.1, 3.0,
and 3.1, respectively.

     54.  To determine the status of the ON TIMER(n) trapping in
BASICA 2.1:

PEEK(2281) = 0 if trapping is OFF
           = 1 if trapping is ON
           = 2 if trapping is STOPped while OFF
           = 3 if trapping is STOPped while ON

The elapsing of n seconds causes the program to branch to the program
line stored at location PEEK(2282)+256*PEEK(2283).  The numbers 2281-
2283 should be changed to 2279-2281, 2285-2287, and 2290-2292 for
BASICA Versions 2.0, 3.0, and 3.1, respectively.  The value of n is
PEEK(N)+256*PEEK(N+1)+65536*PEEK(N+2), where N = 2145, 2149, 2153, and
2158 in BASICA Versions 2.0, 2.1, 3.0, and 3.1, respectively.  At any
time, the number of seconds remaining until a branching occurs is
PEEK(n+3)+256*PEEK(N+4).  To induce a branching as soon as possible,
execute POKE N+4,0:POKE N+3,1.  (Note: For values of n between 65536
and 86400, the ON TIMER statement causes a branching after just
n-65536 seconds.)

     55.  To determine the keys or key combinations associated with the
user-defined key traps in BASICA Version 2.1: If PEEK(2284)+2*(n-15))=
0, then the key with scan code PEEK(2285+2*(n-15)) is associated with
Fn.  (Here n = 15, 16, ....or 20.)  Otherwise, the key combination
consisting of one or more latched keys along with the key having scan
code PEEK(2285+2*(n-15)) is associated with Fn.  The following table
gives the latched keys included in the combination.
Let L% = PEEK(2284+2*(n-15)).





L% AND 3  = 3   Shift key
L% AND 4  = 4   Ctrl key
L% AND 8  = 8   Alt key
L% AND 32 = 32  NumLock key
L% AND 64 = 64  CapsLock key

The numbers 2284-2285 should be changed to 2282-2283, 2288-2289, and
2293-2294 for BASICA Versions 2.0, 3.0, and 3.1, respectively.

     56.  To determine the status of a VIEWport in BASICA Versions 2.1:

If PEEK(2323) = 1, a viewport has been established
If PEEK(2324) = 0, then VIEW has been executed
If PEEK(2324) = 1, then VIEW SCREEN has been executed

The x coordinates of the points in the viewpoint are stored in the
range from PEEK(2315)+256*PEEK(2316) to PEEK(2317)+256*PEEK(2318), and
the y coordinates range from PEEK(2319)+256*PEEK(2320) to PEEK(2321)+
256*PEEK(2322).  The numbers 2315-2324 should be changed to 2313-2322,
2319-2328, and 2324-2333 for BASICA Versions 2.0, 3.0, and 3.1,
respectively.

     57.  In the world coordinate system of BASICA 2.1, PEEK(2359) has
the value 1 if a WINDOW statement has been executed.  If so, the
coordinate system is right-handed if PEEK(2360)=0 and left-handed if
PEEK(2360)=1.  The x coordinates range from x1 to x2, and the y
coordinates range from y1 to y2, where

x1 = CVS(CHR$(PEEK(2361))+CHR$(PEEK(2362))+CHR$(PEEK(2363))+CHR$
     (PEEK(2364)))

y1 = CVS(CHR$(PEEK(2365))+CHR$(PEEK(2366))+CHR$(PEEK(2367))+CHR$
     (PEEK(2368)))

x2 = CVS(CHR$(PEEK(2369))+CHR$(PEEK(2370))+CHR$(PEEK(2371))+CHR$
     (PEEK(2372)))

y2 = CVS(CHR$(PEEK(2373))+CHR$(PEEK(2374))+CHR$(PEEK(2375))+CHR$
     (PEEK(2376)))

To return the physical coordinate system:  POKE 2359,0.  The numbers
2359-2376 should be changed to 2357-2374, 2363-2380, and 2368-2385 for
BASICA Versions 2.0, 3.0, and 3.1, respectively.  The world coordinates
can be altered by appropriate POKEing.)

     58.  The music buffer is a circular buffer analagous to the
keyboard buffer.  In BASICA 2.1 it consists of the number of bytes
returned by PEEK(2417)+256*PEEK(2418), and it extends from the location
PEEK(2427)+256*PEEK(2428) to the location preceding PEEK(2425)+256*
PEEK(2426).  The notes to be played are stored in the bytes extending
from PEEK(2421)+256*PEEK(2422) (the head) to the location preceding
PEEK(2423)+256*PEEK(2424) (the tail), after possibly cycling back to
the beginning of the buffer.  Each note is described by 4 bytes.  The


duration of the note is (256*[1st byte]+[2nd byte])/583 seconds and the
frequency is 596591/(256*[3rd byte]+[4th byte]) Hertz.  In Music
Background mode, the number of bytes remaining in the buffer at any
time is given by PEEK(2419)+256*PEEK(2420).  (Note: The beginning and
end of the buffer are also given by PEEK(2394)+256*PEEK(2395) and
PEEK(2396)+256*PEEK(2397)).

     The numbers 2394-2428 should be changed to 2420-2454, 2398-2432,
and 2403-2437 for BASICA Versions 2.0, 3.0, and 3.1, respectively.

     The music buffer can be enlarged and relocated by POKEing into the
above-mentioned memory locations.  The buffer normally holds 32 notes.
The program DEMO1.BAS shows how to create a buffer capable of holding
N = 125 notes.  By changing the value of N (which appears twice in the
program), you can create even larger buffers.  (Note: In the Music
Normal or Music Staccato modes, the pause between successive notes is
counted as a note.)

B.  BASIC's Storage Area

     The six regions in BASIC's storage area hold the text of the
program, the values of the variables, and BASIC's stack.

     1.  The program text begins at PEEK(48)+256*PEEK(49) and ends,
with a terminating null character appended at PEEK(854)+256*PEEK(855).
(Note: The second value will be zero unless requested in direct mode
after the execution of the program.  From within the program mode it
can be computed as PEEK(856)+256*PEEK(857)-3.)  Key words are
tokenized, and each 2-byte line number is preceeded with the 2-byte
offset of the beginning of the next line.

     This information can be used to recover a program after NEW has
been executed, provided you know the first line.  To illustrate,
suppose that the first line of a program is:  0 REM Can unNEW.

This line is stored in 16 bytes: 2 bytes for the pointer to the
location of the next line, 2 bytes for the line number, 1 byte for the
token of REM, 1 byte for the space after REM, 9 bytes for "Can unNEW",
and 1 null byte at the end of the line.  To recover the program,

     a) Execute PRINT PEEK(48)+256*PEEK(49)  (This is referred to as
the number X, but be sure not to declare it as a variable, X.)

     b) Execute POKE X,(X+16) MOD 256:POKE *x+1,(X+16)\256

     c) SAVE the program in ASCII format.

     d) LOAD the program.

     e) LIST the program.  Every line will appear.  (Note: As a
precaution against losing a program, then, you can always make the
first line 0 REM Can unNEW.  Otherwise, in step (b), replace 16 with
the number of bytes needed to store the first line of your program.)


     2. Simple variables (that is, all variables except arrays) are
stored beginning at PEEK(856)+256*PEEK(857).  This region contains the
values of the numeric variables and pointers to the locations of the
string variables.

     3. Array variables are stored beginning at PEEK(858)+256*PEEK(859)

     4. Free space begins at PEEK(860)+256*PEEK(861).  New variables
take locations from the beginning of free space and new strings take
locations from the end.

     5.  String space occupies the region extending from PEEK(815)+
256*PEEK(816) to PEEK(778)+256*PEEK(779).  New strings are added to
the bottom of string space by taking memory locations from free space.

     6.  The space allocated for BASIC's stack follows the sgring space
and extends to PEEK(44)+256*PEEK(45), the end of the portion of memory
available to BASIC.  (Normally, it is the end of BASIC's Data Segment,
but it can be restricted by a CLEAR statement.)  At any time, the byte
on the top of the stack is in location PEEK(837)+256*PEEK(838).


                          Monochrome Display

DEF SEG = 45056

     The 4000 memory locations at the beginning of segment &HB000
reside on the monochrome display adapter board and hold the contents
of the screen.  Each of the following PEEK and POKE statements should
be preceded by DEF SEG = 45056 (or DEF SEG = &HB000).  (Caution: The
OUTs discussed in this section might cause physical damage if executed
with a board other than the IBM monochrome display adapter.)

     1. To place the character having ASCII value n in row r, column c:

POKE 2*(80(r-1)+(c-1)),n

To define the attribute for this character:

POKE 2*(80(r-1)+(c-1))+1,a

where a =   7 when normal (that is, white on black)
        =   1 when normal and underlined
        = 112 when reverse video (that is, black on white).

Add 8 to each of the first two numbers to obtain high-intensity white
and add 128 to any of the numbers to cause the characters to blink.
(Note: When POKEd, the ASCII values 7, 9, 10, 11, 12, 13, 28, 29, 30,
and 31 produce symbols.)

     2. To disable blinking:  OUT 952,15

     3. To blank the screen:  OUT 952,1


     4. To restore the screen (and enable blinking):  OUT 952,255

     5. To turn off all but the first n rows of the screen:
OUT 948,6:OUT 949,n


                           Graphics Monitor

DEF SEG = 47104

     The 16K memory locations at the beginning of segment &HB800 reside
on the color/graphics adapter board and hold the contents of the
screen.  The graphics screen has three modes: text, medium-resolution
graphics, and high-resolution graphics.  Each of the following PEEK or
POKE statements should be preceded by DEF SEG = 47104 (of DEF SEG =
&HB800).  (Caution: The OUTs discussed in this section might cause
physical damage if executed with a board other than the IBM color/
graphics adapter.)

A. Text Mode

     In text mode (invoked by the statement SCREEN 0), characters can
be displayed in rows of either 40 characters (invoked by the statement
WIDTH 40) or 80 characters (invoked by the statement WIDTH 80).

     1. To place the character having ASCII value n in row r, column c,
with foreground color f and background color b:  POKE a,n:POKE a+1,k
where a = 160*(r-1)+2*(c-1) in WIDTH 80 and = 80*(r-1)+2*(c-1) in WIDTH
40, and where k = 16*b+f if the foreground should not blink and
= 16*b+f+128 if the foreground should blink.  The number f ranges from
0 to 15, and b ranges from 0 to 7.  (Note: These locations correspond
to page 0.  To obtain the analogous results for page p, add p*4096 to a
in WIDTH 80 and add p*2048 to a in WIDTH 40.)

     2. To disable blinking:  OUT 984,8 in width 40
                              OUT 948,9 in width 80

(Note: With blinking disabled, the number b in item 1 can range from
0 to 15.)

     3. To blank the screen:  OUT 984,32 in width 40
                              OUT 984,33 in width 80

     4. To restore the screen:  OUT 984,40  width 40, blinking enabled
                                OUT 984,8   width 40, blinking disabled
                                OUT 984,41  width 80, blinking enabled
                                OUT 984,9   width 80, blinking disabled

     5. To set the border color to d:  OUT 985,d

     6. The color/graphics adapter board contains 16K bytes of memory.
Each pair of locations holds the information for one character.  (The
first location holds the ASCII value of the chracter and the second


holds the attribute.)  Any consecutive block of 2000 (in 40 by 25 mode)
or 4000 pairs (in 80 by 25 mode) can be used to determine the
characters appearing on the screen.  To display the characters
determined by pairs N, N+1, N+2, ...:

OUT 980,12:OUT 981,N\256:OUT 980,13:OUT 981,N MOD 256

(To display the pth page in 40 by 25 mode, use N = p*2048.  In 80 by 25
mode, use N = p*4096.)

B. Medium-Resolution Graphics Mode

     In medium-resolution graphics mode, which is invoked by the
statement SCREEN 1, the screen is partitioned into 320 by 200 pixels.

     1. To turn on the pixel with coordinates x,y in color c of the
current palette:

Z=40*y+x\4+8152*(y MOD 2):W=2^(6-2*(x MOD 4)):POKE Z,(PEEK(Z) AND
     (255-3*W))+c*W

     2. To use background color c and palette p:  OUT 984,c+32*p
The palette colors can be intensified by adding 16 to the number
c+32*p.  Therefore, four different palettes are available.

     3. With an RGB monitor, an undocumented palette (and its
intensified version) is available.  To obtain the background color c
and a palette consisting of the colors cyan, red, and white:

OUT 984,46:OUT 985,c

(Note: The palette colors can be intensified by adding 16 to the
number c.  Hence, there are actually 6 palettes available with an
RGB monitor.)

     4. To reverse the foreground and background colors (and
interchange colors 1 and 2 of the palette) on the current display, use:

FOR I% = 0 TO 16191:POKE I%,PEEK(I%) XOR 255:NEXT

(Note: This procedure is sometimes valuable before doing a graphics
dump to the printer.)

     5. To blank the screen:  OUT 984,2

     6. To restore the screen:  OUT 984,10

C. High-Resolution Graphics Mode

     In high-resolution graphics mode (invoked by the statement SCREEN
2), the screen is partitioned into 640 by 200 pixels.




     1. To turn on the pixel with coordinates x,y:

Z=40y+x\8+8152*(y MOD 2):POKE Z,PEEK(Z) OR 2^(7-x MOD 8)

     2. To turn off the pixel with coordinates x,y:

Z=40y+x\8+8152*(y MOD 2):POKE Z,PEEK(Z) AND (255-2^(7-x MOD 8))

     3. To change the foreground color to c:  OUT 985,c
(The background color is normally black.)

     4. To reverse the foreground and background colors of the current
display, use:

FOR I% = 0 TO 16191: POKE I%,PEEK(I%) XOR 255:NEXT

     5. To blank the screen:  OUT 984,18

     6. To restore the screen:  OUT 984,26

D. Low-Resolution Graphics Mode

     The following programs set up a 160 by 100 pseudo-graphics mode
with background color B.

10 KEY OFF:SCREEN 0,0,0:WIDTH 80
20 OUT 984,9
30 OUT 980,4:OUT 981,127
40 OUT 980,6:OUT 981,100
50 OUT 980,7:OUT 981,112
60 OUT 980,9:OUT 981,1
70 DEF SEG=&HB800
80 FOR I%=0 TO 16382 STEP 2
90 POKE I%,222:POKE I%+1,17*B
100 NEXT

Although text cannot be PRINTed and pixels cannot be lit with PSET, the
point with coordinates X,Y can be turned on in any one 16 colors, C, by
executing:

200 S=X AND 1
210 A=160*Y+(X OR 1)
220 POKE A,(PEEK(A) AND (15+S*225))+(C*(16-15*S))

E. All Modes

     1. The following program allows a graphics monitor and a
monochrome display to be used at the same time.  Suppose that BASIC
is currently writing to the monochrome display.  After this program is
executed, data can be PRINTed onto the monochrome display and POKEd
into the color/graphics adapter as in sections A, B, C, and D of the
Graphics Monitor portion of this article.



10 FOR R=0 TO 15
20 READ V:OUT 980,R:OUT 981,V
30 NEXT
40 READ M:OUT 984,M
50 DATA 56,40,45,10,127,6,100,112,2,1,6,7,0,0,0,0,42

     This program results in medium-resolution graphics.  To obtain
high-resolution graphics, replace the last number in the DATA statement
with 26.  To obtain text mode with 40 characters per line, replace line
50 with:

50 DATA 56,40,45,10,31,6,25,28,2,7,6,7,0,0,0,0,40

and to obtain text mode with 80 characters per line, replace line 50:

50 DATA 113,80,90,10,127,6,100,112,2,1,6,7,0,0,0,0,9

     2. To move the screen horizontally by approximately h characters
from the standard position:

OUT 980,2:OUT 981,45+h  in width 40
OUT 980,2:OUT 981,90+h  in width 80

(Note: If h is positive, the screen moves left; if h is negative, the
screen moves right.)

     3. To move the screen vertically by about v pixels or characters
from the standard position:

OUT 980,7:OUT 981,112+v  in graphics mode
OUT 980,7:OUT 981,28+v   in text mode

(NOte: If v is positive, the screen moves up; if v is negative, the
screen moves down.)

     4. To turn off all but the first n rows of the screen:

OUT 980,6:OUT 981,n

     5. To decrease the amount of snow on the screen when POKEing
characters or pixels into the screen, precede each POKE (or small
group of POKEs) with:

WHILE 1 AND INP(986):WEND:WHILE NOT(1 AND INP(986)):WEND

                           Read Only Memory

DEF SEG = 61440

     The following memory locations are part of read only memory (ROM).
Each PEEK in this section should be preceded by DEF SEG = 61440 (or
DEF SEG = &HF000).



     1. Error messages with numbers ranging from 1 to 30 and 50 to 67
are stored in ROM in the 741 memory locations beginning with the
location at offset 25525.  A null character appears at the end of each
message, and question marks serve as place holders for the numbers with
no messages.  This information can be used, with ON ERROR and ERR, to
display the nature of an error without first terminating the program
currently in operation.

     2. The strings that are assigned to the ten function keys when
BASIC is first invoked are stored in ROM in the 71 memory locations
beginning with the location of offset 44269.  A null character appears
at the end of each string.  This information can be used to restore the
original values to the function keys in the even that reassignments
have been made with the KEY statement.

     3. To determine possible parameters for BASIC's random number
generator:

PEEK(49771)+256*PEEK(49772)+65536*PEEK(49773)=214013
PEEK(49774)+256*PEEK(49775)+65536*PEEK(49776)=2531011

These numbers sometimes serve as parameters for the random number
generator.  In particular, they are the values of A# and B# for a New
PC using BASIC 3.1.

     4. In graphics mode, each character is displayed in an 8 by 8
array of pixels that can be stored as a sequence of 8 bytes.  The bytes
for the characters having ASCII values 0 to 127 are stored in the
memory locations having offsets from 64110 to 65113.  This information
can be used to write a program that will display characters upside-
down, enlarged, or sideways and to create banners with a printer.

     5. To obtain the machine part number:

FOR I=57344 TO 57350:PRINT CHR$(PEEK(I));:NEXT I

     6. To obtain the IBM copyright notice:

FOR I=57352 TO 57365:PRINT CHR$(PEEK(I));:NEXT I

(Note: This information can be used to determine if the computer is an
IBM or an IBM compatible.)

     7. To obtain the version date of the ROM BIOS:

FOR I=65525 TO 65532:PRINT CHR$(PEEK(I));:NEXT I

(Note: Certain hardware, such as the IBM enhanced graphics monitor, can
be used only if this date is sufficiently recent.)






     8. To determine the computer being used:

PEEK(65534) = 255  PC
            = 254  PC-XT or Portable PC
            = 253  PCjr
            = 252  PC AT

(Note: The identification numbers of PC compatibles will most likely
differ from these numbers.  Some early XTs have a machine ID code of
255.)

Exceptions for the PCjr

     The PEEKs, POKEs, INs, and OUTs presented in this article hold
for the IBM PC, XT and AT; however, many of the items do not hold for
the PCjr, such as outs to the color/graphics adapter and the POKEs
that relocate the music buffer.  And for non-IBM compatibles, remember
that compatible is as compatible does.
<PAGEEND:"Poke.Peek.File">

<PAGESTART:"FAQ.File">
                     The psudo, almost real, semi-
                   ͻ ͸ ͸  ͻ  ͻ 
                       ͵  ͵         ͹ 
                                          
                   ͼ          ͼ      ;
                                looking
         ͻ       ͻ   /   ͻ ͻ ͸  ͻ
                         /    ͹ ͹ ͻ  
           \            /\                  
         ͼ\ ͼ  ͼ   \   ͼ     ͼ  ͼ

                           ͸ ͻ ͻ
                           ͵  ͹    
                                     \
                              .   .ͼ\.
                       Frequently Asked Questions
                      Version 1.0 - Release 6/1/94
                  Written and Created by Mike Audleman
                  Copyright (C) 1994 by Mike Audleman

 Please distribute freely but UNMODIFIED.  If you have contributions,
 you may send them to MIKE AUDLEMAN at FIDO address 1:154/288 or on the
 Quick_Basic FIDO echo.  Please send them as ASCII text only, no
 formatted doccuments (WP, W4WIN etc.).  This is not an OFFICIAL
 document and as such all information is provided ASIS and no warrenties
 are implied as to the acuracy of anything included here.  The questions
 and answers here are take from the Quick_Basic echo that I read weekly
 and reflect general questions that seem to appear on a regular basis. I
 write this in an effort to reduce the load on the net and plan to
 release new or updated versions on a monthly basis unless the load
 seems such that another interval is warrented.

 Since this is NOT a CODE SNIPPIT publication, code here will be limited
 severely.  Only enough code to present information will be included. At
 this time, I do not know if there is anyone maintaining a snippit file,
 but if someone is, please forward the name and fido address that it can
 be freq'd from and I will include the info on it here.

 This publication is not connected in any way to any commercial
 concern, mine or otherwise and is free to all.  No information
 contained herin is to be considered as an advertisment for any product,
 consider it as INFORMATION only.

 One last note, I do not own any version of PDS so I am unable to test
 ANY of the information with regard to that package.  I do have QB45 and
 have tested MOST but NOT all on it.  Additionally, much of this
 information will not be compatible to QBasic provided with MSDOS 5.0
 and above since it is missing many of the features of the full compiler
 version.

                                                 Thank you.
                                                 Mike Audleman
                                                 FIDO: 1:154/280


                                 INDEX
    "How do I get arguments from the command line?"
    "How do I make QB45 stop converting COMMAND$ to uppercase?"
    "How do I make QuickBasic exit with an ErrorLevel?"
    "How do I load QB with two LIBs?"
    "Are there any good books on QuickBasic?"
    "How do I get a number from a string into an Integer?"
    "How do I remove spaces from a string?"
    "What are 'String Descriptors'?"
    "What is the difference between QBASIC and QuickBasic?"
    "How do I convert from a HEX number to DECIMAL or DECIMAL to HEX?"
    "How do I make QuickBasic reboot the system?"
    "Could anybody show me how `INKEY$' works please?"
    "How do you do ARCSIN and ARCCOS?"
    "How do the AND, OR, and XOR work?"
    "How do I seperate command line arguments?"



*>  "How do I get arguments from the command line?"

    Use the COMMAND$ function in QB, QB45 and PDS thus:

            Commandline$=COMMAND$

    One caviat here is that QB and QB45 converts the command line to
    UPPERCASE only.  I am not sure about PDS on the uppercase.

*>  "How do I make QB45 stop converting COMMAND$ to uppercase?"

    One method is to obtain a addon lib that provides direct access to
    the PSP and the unconverted command line.  The LIB I released in
    5/94 on the Quick_Basic net provides this and it is free.  This
    method provides the same capability in the design environment as
    well as when the file is compiled, the patch mentioned next does
    not.  The second method is to apply a patch to one of your QB45
    files. The following patch for QB45 will prevent QB from forcing the
    command line to uppercase.  Once you make this patch, you will have
    to use UCASE$(COMMAND$) to retreive an uppercase only string.

    The following steps will extract the OSCMD.OBJ file from your
    BCOM45.LIB, modify it and then replace it with the modified version.
    As always, MAKE A BACKUP OF BCOM45.LIB FIRST!  One note, this will
    not affect the design environment, it will still force to uppercase.
    When the BAS file is compiled and linked, it will return the command
    line as typed.  I still have not found the correct patch to QB.EXE.

    First, enter the following command:
        LIB BCOM45 *OSCMD

    Then run the following basic program
        Search$ = ""
        FOR X% = 1 TO 10
                READ Y%
                Search$ = Search$ + CHR$(Y%)
        NEXT X%
        Replace$ = CHR$(235) + CHR$(8) + STRING$(8, 144)
        PRINT "OSCMD.OBJ ";
        OPEN "OSCMD.OBJ" FOR BINARY AS 1
        X$ = SPACE$(LOF(1))
        GET 1, , X$
        X% = INSTR(X$, Search$)
        IF X% = 0 THEN PRINT "Not Modified.": CLOSE : END
        MID$(X$, X%) = Replace$
        PUT 1, 1, X$
        CLOSE : PRINT "Modified.": END
        DATA 60,97,114,6,60,122,119,2,52,32

    Now enter the following command:
        LIB BCOM45 -OSCMD +OSCMD,,BCOM45

    You should now have a modified BCOM45.LIB.

*>  "How do I make QuickBasic exit with an ErrorLevel?"

    Add the following declare statement at the beginning of your
    program:

        DECLARE SUB ExitWithErrLvl ALIAS "_exit" (BYVAL ERRORLEVEL%)

    Then to exit with an Error level contained in a variable:
        ExitWithErrorLvl Oops%

    WARNING: DO NOT USE THIS WHILE IN THE DEVELOPEMENT ENVIRONMENT IT
    WILL EXIT TO DOS WITHOUT PROMPTING FOR A SAVE.  IT HAS ON OCCASION
    LOCKED UP MY XT AND MY 386 WHEN USED IN THE ENVIRONMENT.

*>  "How do I load QB with two LIBs?"

    You can't.  You must combine the two LIBs into one and load that one
    instead.  This is a common situation that there are routines in the
    stock QB.LIB you need as well as an addon at the same time.  Here is
    how you combine two LIBs and generate a third to use.

      This combines QB.LIB and FOO.LIB into MYLIB.LIB generating a
      MYLIB.CAT catalog file:

            LIB QB.lib +FOO.LIB,MYLIB.CAT,MYLIB.CAT

    Now we must take the combined MYLIB.LIB and generate MYLIB.QLB:

            LINK /q MYLIB.LIB,MYLIB.QLB,nul,BQLB45 ;

    Note that the above lines assume that the current directory is your
    directory that contains QB45 and all the files, if not you must
    provide complete paths to all files not in the current directory.

*>  "Are there any good books on QuickBasic?"

    Yes,  probably the most recomended is:
      "MicroSoft QuickBasic Bible"
      by the Waite Group
      MicroSoft Press ISBN: 1-55615-262-0
      * Good examples on EVERY command

    Another good book that deals with INTERRUPT programming:

     "MD-DOS 5 Programming"
     by Peter G. Aitken
     MicroSoft Press ISBN: 1-55615-471-2
     * Sample code in QuickBasic and C for MANY interrupt calls

*>  "How do I get a number from a string into an Integer?"  Use:

        X% = VAL(TheString$)

*>  "How do I remove spaces from a string?"

    To remove spaces at the beginning of a string use

       X$ = LTRIM$(TheString$)

    To remove spaces at the end of a string use

       X$ = RTRIM$(TheString$)

    To remove at both beginning and end use
       X$ = LTRIM$(RTRIM$(TheString$))

*>  "What are 'String Descriptors'?"

    Generally you will never need to know this unless you plan to write
    ASM or C routines to use with QuickBasic.  String Descriptors are
    packs of 4 bytes that contain the offset within the DGROUP that the
    actual text of the string starts at and the length of the data.  QB
    does not use ASCIIZ strings (strings that end with a CHR$(0)) so you
    must convert them in your code if you wish to use them with C in
    most cases.  The block looks like:

    2 bytes     Offset within DGROUP
    2 bytes     Length of string data
    Both are UNSIGNED integers (0-65535)

*>  "What is the difference between QBASIC and QuickBasic?"
    A lot!  Some of them are:
    QBASIC will not compile a BAS file into a EXE, QB45 does.
    QBASIC does not have a CALL INTERRUPT, QB45 does.
    QBASIC does not allow use of LIBs, QB45 does.
    QBASIC is a stripped down version of QB45 included with DOS 5.0 and
    above.
    QuickBasic must be purchased.  The retail price varies but should be
    around $65-$80 U.S..

    Generally, almost all BAS code will run in QBASIC. The exception is
    that if is uses INTERRUPTS or outside LIBs, it will not.  There is
    however a CALL ABSOLUTE that does allow SOME access to ASM code but
    it is not simple and the routines must be small. Generally, if you
    are an occasional programmer, QBASIC will do just fine, however, if
    you want to end up with an EXE file or do some serious programming,
    QB45, or PDS would really be the way to go. Other packages available
    are Power Basic and Visual Basic for DOS. These other two packages
    are fine too and provide some additional commands over QB45 but as
    such are not backward compatible to QB45.

*>  "How do I convert from a HEX number to DECIMAL or DECIMAL to HEX?"

    To change from a HEX string to an integer:

      TheString$="6B"
      X%=VAL("&H"+TheString$)

    To change from an integer to a HEX string:

      X$=HEX$(TheInteger%)

*>  "How do I make QuickBasic reboot the system?"
    Here is a simple code snippit to do just this:

    SUB WarmBoot
        DEF SEG = 0
        POKE &h473, &h12
        POKE &h472, &h34
        DEF SEG = &hFFFF
        CALL ABSOLUTE(0)
    END SUB

    SUB ColdBoot
        DEF SEG = &hFFFF
        CALL ABSOLUTE(0)
    END SUB

*>  "Could anybody show me how `INKEY$' works please?"

    Inkey simply checks the keyboard and then returns.  If there was a
    keypress then it is returned, if not, inkey returns a NULL string.
    There are several methods of it's use.

    One is a one time scan....

    For x=1 to 1000
           ;do your stuff
           if inkey$=chr$(27) then exit for
    next x

    The other is to use it to scan the keyboard in a continuous loop
    until a key is pressed....

    Function GetKey$
           do:X$=Inkey$:loop while X$=""
           GetKey$=X$
    End Function

    Here is a similar routine to accept keys and Capitolize the first
    letter of each word....

    Function GetKeyCap$
    Toggle%=False
    Stuff$=""
           Do
                   X$=Inkey$
                   If X$=CHR$(13) then exit do   'User Pressed ENTER
                   If Toggle% then X$=Lcase$(X$) else X$=Ucase$(X$)
                   Stuff$=Stuff$+X$
                   Toggle%=( X$<>" ") 'Is it a Space?
           Loop

    GetKeyCap$=Stuff$

    End Function

*>  "How do you do ARCSIN and ARCCOS?"

     ARCSIN and ARCCOS are "derived" functions.  You can compute them
     using the following:

     CONST PI=3.141593
     ARCSIN(A) = ATN(A / SQR(-A * A+1))
     ARCCOS(A) = PI / 2 - ATN(A / SQR(-A * A+1))

     To convert these into full blown functions:

     Function ARCSIN# (A#)
       ARCSIN# = ATN(A# / SQR(-A# * A#+1#))
     end Function

     Function ARCCOS# (A#)
       ARCCOS# = PI / 2# - ATN(A# / SQR(-A# * A#+1#))
     end Function

*>  "How do the AND, OR, and XOR work?"

    Well, AND, OR and XOR can be mathmatical or comparative functions.

    The math functions would be (this is BIT level):

      AND           OR            XOR
    -----------   -----------   -----------
    0 AND 0 = 0   0 OR 0 = 0    0 XOR 0 = 0
    1 AND 0 = 0   1 OR 0 = 1    1 XOR 0 = 1
    0 AND 1 = 0   0 OR 1 = 1    0 XOR 1 = 1
    1 AND 1 = 1   1 OR 1 = 1    1 XOR 1 = 0

    15=1111, 7=0111, 6=0110, 2=0010, 10=1010
    so: 15 AND 7 = 7, 6 OR 2 = 6, 10 XOR 10 = 0

    The comparitive functions are like this:
    AND = "This AND That"
     OR = "This OR That"
    XOR = "This OR That BUT NOT BOTH"

    If (5 > 1) AND (6 < 10 ) then Yep
      If 5 is larger than 1 and 6 is less than 10

*>  "How do I seperate command line arguments?"

    You can use the following routine to seperate anything in a string
    variable that is seperated by spaces:

    DIM SHARED arg$(20) 'Max of 20 arguments, increase/decrease for your app.

    'Set up string and make call:

    TheString$="This is a test of the EBS system."

    NumOfWords%=ArgSplit%(TheString$)

    For x%=0 to NumOfWords%
        Print arg$(x%)
    Next x%

    SUB ArgSplit%(cline$)
           I = 1: arg = LBOUND(arg$): inword = -1
           WHILE I <= LENGTH
                   ch$ = MID$(cline$, I, 1)
                   IF ch$ <> " " THEN
                           IF NOT inword THEN inword = -1
                           arg$(arg) = arg$(arg) + ch$
                   ELSEIF inword THEN
                           arg = arg + 1
                           inword = 0
                   END IF
                   I = I + 1
           WEND
    ArgSplit% = arg
    END SUB


END of FAQ Document
<PAGEEND:"FAQ.File">

<PAGESTART:"Function.Sub.File">
'>   What is the difference between SUBs and FUNCTIONS?
'>.........
'_|_|_|   SUBTUTOR.BAS
'_|_|_|   A short tutorial on SUB and FUNCTION usage.
'_|_|_|   No warrantee or guarantee is given or implied.
'_|_|_|   Released   PUBLIC DOMAIN   by Kurt Kuzba.  (10/6/96)
COLOR 15, 1: CLS
PRINT " This is a short tutorial on use of SUB and FUNCTION in QBasic"
PRINT " and Quick Basic. It explores some of the relationships of"
PRINT " variables between modules. By studying the code and following"
PRINT " with the text, one may grasp module concepts."
PRINT " Variables in a SUB or FUNCTION, unless declared as STATIC,"
PRINT " are AUTOMATIC variables. BASIC initializes them every time"
PRINT " the module containing them is called. They may have the same"
PRINT " name as variables in other modules without confusion."
PRINT " SHARED and PASSED variables will be examined. Ready?"
DO: LOOP WHILE INKEY$ = "": CLS
PRINT " We will begin with the SUB. Variables may be passed by SEG or"
PRINT " or by VAL. Variables enclosed in parentheses are passed by VALue."
PRINT " FUNCTION variables must be enclosed in a group parentheses, and"
PRINT " we may also use VAL parentheses. First, we will pass by VALue."
PRINT : MyStr$ = "This won't be changed.": MySub (MyStr$)
PRINT " MyStr$ = "; MyStr$: PRINT
PRINT " As you can see, MyStr$ is unchanged"
DO: LOOP WHILE INKEY$ = "": CLS
PRINT " Now we will pass by SEGment.": PRINT
MyStr$ = "This will be changed."
MySub MyStr$: PRINT " MyStr$ = "; MyStr$: PRINT
PRINT " Since the ADDRESS of MyStr$ was passed, the SUB was"
PRINT " able to change the contents of the variable."
DO: LOOP WHILE INKEY$ = "": CLS
PRINT " Now we will use a FUNCTION and pass by VALue.": PRINT
MyStr$ = "This won't be changed.": FuncStr$ = MyFunc((MyStr$)):
PRINT " MyFunc$ = "; FuncStr$: PRINT " MyStr$ = "; MyStr$: PRINT
PRINT " As a result, MyStr$ is unchanged, and a new string is created."
DO: LOOP WHILE INKEY$ = "": CLS
PRINT " Now we will pass MyStr$ by SEGment.": PRINT
MyStr$ = "This will be changed.": FuncStr$ = MyFunc(MyStr$):
PRINT " MyFunc$ = "; FuncStr$: PRINT " MyStr$ = "; MyStr$: PRINT
PRINT " We still got the new string, but now MyStr$ has changed!"
DO: LOOP WHILE INKEY$ = "": CLS
PRINT " Unlike subroutines using GOSUB, variables found in the"
PRINT " MAIN module are unknown in the SUB or FUNCTION routines."
PRINT " This is known as the SCOPE of a variable. In order for a"
PRINT " variable to be VISIBLE to a SUB or FUNCTION, it must be"
PRINT " declared as being SHARED, or be passed as an argument."
DO: LOOP WHILE INKEY$ = "": PRINT
MyStr$ = "This is MyStr$.": MyShare: PRINT " MyStr$ = "; MyStr$: PRINT
PRINT " This way, variables are available to your SUB or FUNCTION."
DO: LOOP WHILE INKEY$ = "": CLS
PRINT " In addition, we may declare variables SHARED in the main"
PRINT " module by use of the DIM statement.": PRINT
DIM OurStr AS STRING * 32: OurStr = "This is a shared string."
MySub OurStr: PRINT " OurStr = "; OurStr: PRINT
PRINT " So here we see that this string is shared in the SUB."
DO: LOOP WHILE INKEY$ = "": PRINT
PRINT " If we were to pass a fixed length string as an argument,"
PRINT " then the contents of the string would be passed and not the"
PRINT " string itself, although, if that string were passed by SEGment,"
PRINT " then whatever changes were made to the passed string would be"
PRINT " stored in the fixed string when we exit the SUB or FUNCTION."
DIM FixedStr AS STRING * 10: FixedStr = "A string"
PRINT " FixedStr = "; FixedStr: Fixed FixedStr
PRINT " FixedStr = "; FixedStr: PRINT
PRINT " The SUB string is a temporary dynamic string created by the SUB"
PRINT " and truncated to fit into the fixed length string."
DO: LOOP WHILE INKEY$ = "": PRINT
PRINT " I hope this answers most of your questions concerning"
PRINT " the use of SUBs and FUNCTIONs in QBasic and Quick Basic."
DO: LOOP WHILE INKEY$ = "": COLOR 2, 0: CLS
'_|_|_|   end   SUBTUTOR.BAS

SUB Fixed (p$)
   PRINT " (passed string)p$ = "; p$
   p$ = "This string is way too big for FixedStr."
   PRINT " (passed string)p$ = "; p$
END SUB

FUNCTION MyFunc$ (p$)
   PRINT " (passed variable)p$ = "; p$: p$ = "changed"
   MyFunc$ = "This is an entirely new string!"
END FUNCTION

SUB MyShare
   SHARED MyStr$: PRINT " SHARED variable MyStr$ = "; MyStr$
   MyStr$ = "This variable, being SHARED, may be changed."
END SUB

SUB MySub (p$)
   PRINT " (passed variable)p$ = "; p$: p$ = "changed"
END SUB
<PAGEEND:"Function.Sub.File">

<PAGESTART:"ASM.In.QBasic.File">
> Hi all,
>  I am looking for a QBasic routine (not QuickBasic, please) that will 
>  let you use Assembly language code in QBasic programs.
>  I have seen these all over the place.  I even had a few, but I either 
>  misplaced or deleted them.

Well, there is no routine as such to convert ASM code to the assembly language 
hex code QBASIC and QB4.x requires for CALL ABSOLUTE.  Mark K Kim's
assembly language in BASIC tutorial  at the following
FTP site, ftp://users.aol.com/markkkim/asm_tutorial/
gives good step by step instructions for using DEBUG to convert ASM code to 
hex code. This won't work on MASM or TASM code though (but you should be able 
to convert this to DEBUG acceptable code with only minor difficulties if you 
know what you are doing).

You can semi automate the system Mark mentions though. Here's a modification 
of one of his examples, the code to turn the mouse on.

Create a file called mouseon.dbg (or cut and paste the example below)
with the following DEBUG code (best read Marks examples first so this makes 
sense

;==========Mouseon.dbg, cut here
a
mov ax,0000    ;Copy 0000h to AX
int 33h        ;Interrupt 33h
cmp ax,0000    ;Compare, is AX=0000h
jz 010f        ;If equal, Jump to last statement
mov ax,0001    ;Else move 0001h to AX
int 33         ;Interrupt 33h
retf           ;Return

u 100 10f      
q              
;=============cut here.

now type 
DEBUG < mouseon.dbg > mouseon.asm

This will send the contents of the debug session to a file called mouseon.asm 
which looks like this.

;========mouseon.asm
-a
1289:0100 mov ax,0000    ;Copy 0000h to AX
1289:0103 int 33h        ;Interrupt 33h
1289:0105 cmp ax,0000    ;Compare, is AX=0000h
1289:0108 jz 010f        ;If equal, Jump to last statement
1289:010A mov ax,0002    ;Else move 0001h to AX
1289:010D int 33         ;Interrupt 33h
1289:010F retf           ;Return
1289:0110 
-u 100 10f      
1289:0100 B80000        MOV     AX,0000
1289:0103 CD33          INT     33
1289:0105 3D0000        CMP     AX,0000
1289:0108 7405          JZ      010F
1289:010A B80100        MOV     AX,0001
1289:010D CD33          INT     33
1289:010F CB            RETF	                                   
-q              
;===========end

you want the lines between -u and -q, now you have to select the hex codes and 
split them up (eg, ignore the 1289:0103, you just want CD33, which has to be 
split up into CD and 33 and then converted into a string format CALL ABSOULTE 
can use. So CD33 becomes CHR$(&HCD)+CHR$(&H33) (&H means hex)

Thus you get
'==========================================================================
asm$ = ""

asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)      'MOV     AX,0000
asm$ = asm$ + CHR$(&HCD) + CHR$(&H33)                 'INT     33        Call the interupt
asm$ = asm$ + CHR$(&H3D) + CHR$(&H0) + CHR$(&H0)      'CMP     AX,0000   If AX is 0 then no mouse
asm$ = asm$ + CHR$(&H74) + CHR$(&H5)                  'JZ      010F      so jump to the end
asm$ = asm$ + CHR$(&HB8) + CHR$(&H1) + CHR$(&H0)      'MOV     AX,0001   otherwise load AX with 1
asm$ = asm$ + CHR$(&HCD) + CHR$(&H33)                 'INT     33        and do the interrupt
asm$ = asm$ + CHR$(&HCB)                              'RETF              Return to the system
   

DEF SEG = VARSEG(asm$)  'calculate segment
offset% = SADD(asm$)    'calculate offset
CALL ABSOLUTE(offset%)  'execute
'=============================================================================

It should be easy to write a parser that will take the mouseon.asm file and 
convert it to BASIC code, I might even do it when I get some time.
<PAGEEND:"ASM.In.QBasic.File">

<PAGESTART:"Get.Put.Faq">
-----------------------------------------------------------------------------
        Mode 13 VGA (320x200x256) GET/PUT Information and Techniques

                  By Andrew L. Ayers - September 9th, 1996

-----------------------------------------------------------------------------

The following is what I have found out through trial and error (as well as
a bit of logical guesswork). While I have found it to work on every machine
I have tried it with, do not assume it is so for your machine. Instead, pro-
ceed with caution. While none of this should cause major problems (ie. I do
not believe it will trash your machine or anything), a wrong step could cause
your machine to lock up, forcing you to reboot. Anyway, this is intended for
informational purposes only. I cannot be held responsible for the use/abuse
of the information contained herein, nor can I be held responsible for any
damage done to the person or the machine on which the examples contained in
this document are run upon. Just the standard disclaimer to CMA!

If you find this information useful, and choose to include the techniques in
your own code, please be kind and mention my name. You don't have to do this
(hell, if I mentioned everyone's name I have learned from, that list would be
a mile long!), but it would be nice.

I wish to thank Jason Grooms - for guiding my first steps into the wonderful
world of assembler (back then, 6809), and to Brent Dill, for showing me how
to do strange and crazy stuff with GET/PUT, and a host of other tips. Brent,
if your read this, contact me. I'm on the 'Net. I know you are worth your
salt to find me. L8r!

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Calculating the buffer size for GET/PUT in mode 13:

1. Take the width of the area you are getting (in pixels) and multiply it
   by the height (in lines). This will give you the total number of bytes
   in the area for the buffer.

2. Find the total number of WORDs to use by dividing the number of bytes by
   two. We need the total number of WORDs because the smallest variable type
   we can use is an integer, which is WORD size (2 bytes).

3. We now have the amount of space needed to store the area we want to GET.
   But BASIC needs a couple of more pieces of information in order for GET
   and PUT to operate correctly. These two pieces of information are the
   width and the height of the image! It needs these two items in order for
   the PUT routine to know when to stop drawing. So, the width and the
   height of the image area must be stored with the image data itself. These
   two values are placed into their own WORDs at the start of the buffer. We
   must add on two WORDs to accomodate this.

4. We now have the total number of WORDs needed to DIMension an integer array
   to hold our image data. Because the base of the array starts at zero, we
   will subtract one from our total number of WORDs to DIMension our array:

        DIM buffer%(# of WORDs)

5. Our buffer data layout looks like so:

        WORD    DESCRIPTION
        ----    --------------------------------------------------
           0    Width, contained in the high byte of the WORD.
                This value is in bits (!), and so must be divided
                by 8 to find out the number of pixels (bytes).
           1    Height, contained in the high byte of the WORD.
                Value in number of lines.
           2    Start of data...
           .
           .           
           .
           XX    End of data...

Example:

1. We have a 16x16 sprite. So we need 256 bytes in order to hold an area this
   big.

2. We need the number of WORDs, so we divide by 2, giving us 128 WORDs.

3. We add two words to accomodate the width and height values needed by PUT,
   giving us a total of 130 WORDs.

4. We subtract 1, and dimension our array:

        DIM buffer%(129)

5. Our buffer data layout looks like so:

        WORD    DESCRIPTION
        ----    --------------------------------------------------
           0    Width, contained in the high byte of the WORD.
                This value is in bits (!), and so must be divided
                by 8 to find out the number of pixels (bytes).
           1    Height, contained in the high byte of the WORD.
                Value in number of lines.
           2    Start of data...
           .
           .
           .
         129    End of data...

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Multiple Image Buffers for GET/PUT:

What was shown above was an example for a simple buffer to hold a single
image to be used in GET/PUT. Using the above simple example, we would just do the
following

                GET(0,0)-(15,15),buffer%
                PUT(100,100),buffer%,PSET

in order to GET/PUT a single simple image. But what if we needed 30 sprites
(say for a game)? We could do this

                DIM buffer1%(129), buffer2%(129),...,buffer30%(129)

then use GET/PUT to move everything around, but this is wasteful, and not
very easy to work with. What if we wanted animation? What then?

Fortunately, there is an easy way out, using what is called offsetting. We
have a buffer of a set size we are GETing and PUTing with. What isn't being
shown is what is called the offset. An offset is a number added to a fixed
value to obtain a new start value. When we dimension an array, the start of
that array is obtained and kept by BASIC (we can use VARSEG and VARPTR to
find it if we wanted to). If we say DIM a%(20), then say a%(2)=15, we have
used an offset of 2 from the start of the array and placed 15 at that pos-
ition in memory. A similar thing is done by GET/PUT. Note the following:

                DIM buffer%(129)
                GET(0,0)-(15,15),buffer%

is the same as:

                DIM buffer%(129)
                GET(0,0)-(15,15),buffer%(0)

We just didn't use the offset of zero in the first example! What would happen
if we did the following?:

                DIM buffer%(129)
                GET(0,0)-(15,15),buffer%(10)

We would get an error. This is because we need 130 WORDs of space for the
area we are trying to GET, and we only have a total of 130 WORDs to play
with. By trying to put an offset of 10 into the mix, we overrun the end of
the array by 10 WORDs! The following would work:

                DIM buffer%(139)
                GET(0,0)-(15,15),buffer%(10)

Now WORD number 10 would hold our width and WORD number 11 our height, and
12 through 139 would hold our data. We could then PUT(100,100),buffer%(10),PSET
and everything would work fine. Now what would happen if we PUT(100,100),
buffer%(0),PSET? We would either get an error or garbage, because PUT wouldn't
have the correct width and height info in the first two WORDs! So, we need
to keep track of the size so we know what offsets we can use when GETing and
PUTing our images.

Our example is a 16x16 sprite. We would like to have 30 of these for our
ultra cool game we are writing. We need 130 WORDs for each of these sprites
(2 for width/height, 128 for data), and we want 30 sprites, so we need a
buffer that is 3900 WORDs long (130 WORDs x 30 sprites). We know that every
130 WORDs is a new sprite, so that will be our offset. If we set our offset
to 0, then we are on the first sprite, 130 is the second, 260 is the third,
and so on. The following shows how:

                DIM sprite%(3899)
                spritenum%=2
                GET(0,0)-(15,15),sprite%(spritenum%*130)
                spritenum%=5
                PUT(100,100),sprite%(spritenum%*130),PSET

Before you can put a sprite, you obviously need to GET it, so that PUT has
the width/height info to work with. So lines 4 and 5 wouldn't work in our
example unless we changed line 2 to "spritenum%=5".

We now have an easy way to GET/PUT a whole mess of sprites on the screen
using a single buffer that is easily accessible. We could do simple animation
with this system. Say our first five sprites were already in the buffer and
they were an animation of some type. To flip through them, we would do the
following:

                FOR spritenum%=0 TO 4
                    PUT(100,100),sprite%(spritenum%*130),PSET
                NEXT spritenum%

It is that easy.

Our buffer layout now looks like this, for those interested:

        WORD    DESCRIPTION
        ----    --------------------------------------------------
           0    Width, contained in the high byte of the WORD.
                This value is in bits (!), and so must be divided
                by 8 to find out the number of pixels (bytes).
           1    Height, contained in the high byte of the WORD.
                Value in number of lines.
           2    Start of sprite0 data...
           .
           .
           .
         129    End of sprite0 data...

         130    Width, contained in the high byte of the WORD.
                This value is in bits (!), and so must be divided
                by 8 to find out the number of pixels (bytes).
         131    Height, contained in the high byte of the WORD.
                Value in number of lines.
         132    Start of sprite1 data...
           .
           .
           .
259    End of sprite1 data...

         260    Width, contained in the high byte of the WORD.
                This value is in bits (!), and so must be divided
                by 8 to find out the number of pixels (bytes).
         261    Height, contained in the high byte of the WORD.
                Value in number of lines.
         262    Start of sprite2 data...
           .
           .
           .
         389    End of sprite2 data...

And so on...

The only other thing you need to keep in mind is buffer size versus sprite
size. As noted before, a 16x16 sprite needs 130 WORDs in order to store it
completely in an array. When you have multiple sprites in an array, there
is a limit to the size of your array you can have. This limit is 64K - 65536
bytes, or 32768 WORDs. To find out how many sprites you can store in a single
array, divide 32768 by the number of WORDs required for each sprite. Drop any
values after the decimal (that is, take the integer, drop the remainder), and
this is the maximum number of sprites you can store. For our example of a
16x16 sprite (130 WORDs), this works out to be 252 sprites. Take that number
and multiple by the number of WORDs per sprite, subtracting 1, to use for
DIMensioning the array: DIM buffer%(32759).

The following table breaks down common sprite sizes and array dimensions:

        Sprite Size  Number  Array Size (in WORDs)
        -----------  ------  ---------------------------------
           8 x 8       963   34 for sprite, 32741 for array
          16 x 16      252   130 for sprite, 32759 for array
          32 x 32       63   514 for sprite, 32381 for array
          64 x 64       15   2050 for sprite, 30749 for array

If you need more sprites, you can split them over two arrays. Animation and
such becomes more difficult to handle, but it can be done. 

Also remember, the larger the sprite, the more data the computer has to shove
around. Stay away from the 64 x 64 sprites, except for maybe big bosses or
such. These things are memory HOGS. The only other limit to be aware of is
QBASIC's 160K limit on program AND code size. One buffer of sprites (252
sprites) will eat almost 64K, leaving you with less than 100K to put the
rest of your code in! QuickBASIC and PowerBASIC users shouldn't have any
problem though. Some of these problems may be overcome by using EMS routines
to shove the sprite data into extended memory, though.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

GETing and PUTing without The BOX:

If you have ever used GET and PUT, you know that when you PUT, a "box" is
left around your image obliterating anything under and around your sprite.
This looks very ugly and unprofessional in a game. The following shows the
best way to get rid of this problem, using a method called sprite masking.

1. First, for each and every sprite you create, create a "mask" for it. This
   mask is the same size and shape as the original sprite, only it consists
   of only two colors, 0 and 255 (or &H0 and &HFF for you hex folks). Color
   all visible portions of the sprite (those portions you want to obscure
   the background) with color 0. Color all invisible portions of the sprite
   (those protions you want the background to show through) with color 255.
   Remember, you need one mask for each sprite, and this will knock your
   sprite count down by half, so keep it in mind when designing your game.

2. To display your sprite, simply PUT the mask image down using the AND op-
   erator, then place the sprite image down using the OR operator. The AND
   and OR operators are called bitwise boolean operators, and have the
   following truth tables:

                AND                     OR
        -------------------     -------------------
        IN1     IN2     OUT     IN1     IN2     OUT
        -------------------     -------------------
        0       0       0       0       0       0
        1       0       0       1       0       1
        0       1       0       0       1       1
        1       1       1       1       1       1

   These tables basically mean the following. If you take two bits and AND
   or OR them together, the result equals a 1 or a 0 depending on the inputs
   and the relationship between them in the truth tables for the operator in
   question. If you understand this - read on. If you understand this and
   are 10 - 14 years old, you don't need college (just kidding ;).

   Now, for what we are doing, we have a background of different byte values
   (which consist of a series of bits). Our mask only has two values in it,
   the byte 0 (00000000 in binary) and the byte 255 (11111111 in binary).
   Let me show you how the magic works:

  A.   Our Background Image    AND     Mask    =       Result

        11110110                      11111111          11110110
        11110110                      11000011          11000010
        11110110                      11000011          11000010
        11110110                      11000011          11000010
        11110110                      11111111          11110110

  B.    Our Result             OR      Sprite   =       Result

        11110110                      00000000          11110110
        11000010                      00111100          11222210
        11000010                      00111100          11222210
        11000010                      00111100          11222210
        11110110                      00000000          11110110

  If you notice, I have used 2s in place of 1s on the final result to show
  the example better. Those 2s should really be 1s, so don't let that throw
  you. Suffice to say, if you look carefully, we have placed our 8 x 5
  sprite on the background, without the border showing.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

GETing and PUTing without The BOX, method 2:

The next best way to GET and PUT without the box showing, is to simply not
draw those pixels in the first place. The only way to do that (short of mod-
ifying BASIC itself) is to write your own PUT routine, to skip over any pixel
of a defined color (0 in our case). This would have two advantages: Number
one, your sprite could be drawn faster because you only set the pixels you
need, and number two, you wouldn't double your buffer requirements for 
sprites because you would only need the sprites, and could eliminate the
masks! All sounds good until you try to write the thing in BASIC...it is
horribly slow (ok, on a fast system, it runs at an acceptable pace). The only
way to get around this is to code it in a lower level language (or at least
one that can compile down to a faster version). I have done this, and you
can find the results of my labor in the ABC Packets. It is called the Blast!
library. It allows you to do the above, and much more. Check it out!
<PAGEEND:"Get.Put.Faq">

<PAGESTART:"Error.Level.File">
'Add the following declare statement at the beginning of your
'program:

DECLARE SUB ExitWithErrLvl ALIAS "_exit" (BYVAL ERRORLEVEL%)

'Then to exit with an Error level contained in a variable:

Errorlevel% = 1

CALL ExitWithErrLvl (Errorlevel%)

'WARNING: DO NOT USE THIS WHILE IN THE DEVELOPEMENT ENVIRONMENT IT
'WILL EXIT TO DOS WITHOUT PROMPTING FOR A SAVE.
<PAGEEND:"Error.Level.File">

<PAGESTART:"Error.Level.File1">
'> I have looked in several books for the QuickBasic equivalent of Batch
'>language's ERRORLEVEL command.  I couldn't get ERRORLEVEL to work in QB
'>and I am wondering if there is a command that does the same thing. I'm
'> trying to get QuickBasic to take Errorlevels from a program that I am
'> SHELLing out to run.

DECLARE FUNCTION ErrorLevel% () 'Returns errorlevel of shelled program

PRINT ErrorLevel%

FUNCTION ErrorLevel%

   'Purpose : To check the error level of a program returning from shell
   'Input   : none (well, helps if you did shell a program first)
   'Return  : The errorlevel returned from the last shelled program

   DEF SEG = 0
   ErrorLevel% = PEEK(&H4FE)
   DEF SEG
END FUNCTION
<PAGEEND:"Error.Level.File1">

<PAGESTART:"Win95.Long.Names.File">
'>>> Page 1 of LFNLIB.ZIP begins here. TYPE:BINAA TLEN:20669
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"LFNLIB.ZIP",4^6:Z&=20669:?STRING$(50,177);
U"%up()%9%%%I-%O7dpF3Z.#D7'7%%P*%%%1%%%%qk%shwj%fySg7fxFx8,tTU19L
U"uwlx<Ha,%QEp&g+#w7Do[e;ua+YWVy6tAXpHQNF1&tixME7WT<[DhMY=Gu#6pQd
U"h=mh>-rJ8dBr+X+3A]I$v-z7f\.i+sV6wSNu#7k/\A1t0?&P$ZpfIjZsIIkpka[
U"Q.rXyz%,L2L'Ub<K#B66^IOgSdh1/jC?.sG]&JM/qjnmJvuW8&WieJ8jYP$Tb92
U"h'UHu.Ye9b5N>';WU<=9X'<6?.V:rH#hEmo(PlUh[HMroJ(FUxYnJ7lh1#4;DcX
U"pm]qN1n[QxRo/nb*J<.s&&mJ73'y[p1ihQI4$Ify$Aa9_iCxoBjZfaou);I,+M1
U"Cw\DdvgF(V#.0CM4*5&%HSGpT&6=V&SsS9KBB$.dpDOYPGqd68'NsXcO=l_r(jY
U"8+0UjNDEQHkuv/f<7i\alC77s:qkbE-oRrkk;hG;?(Q]BWBwefL,Pjd1&LI2F2#
U"/i7$V>O+(6xOxIO(:=Gw2uWZu;IOetoO66/Sl00fOMT,v-hT';&)muJQFZ:iJ8U
U"=#V%:'taJp]R-c)Sz/S:^jn+AV#GjNlC2mv^.Qpi2&HZts3TGz3VL#4ce%g6R6F
U"kEnIpd+Dp2_XG4t#[=Aj#LBTps5X#:G[UAF/HBWm4pAL=.Ag)t'H4n5ZEh<TY)^
U"2D;)tNK3M[1lS(+vC-GD9aH0?=zjQK(sd3QS09=lpMW_i?^f>#ss9GNgvHtYk\j
U"omqx)_T<[E(.:WswnU8Q]w$g\58np2D5+uK%He3omEt'$LN^t&3k36c_W3mP&4k
U"M'h\up%()9%%%%-%*+/pFLYF#M&r%%%'f&%%%/%%%%qksq%ngSgRfxf$7V/;em5
U"jx=mz8*IC$G6(%m:HI<:MJj^*4J?Fg:g<t;ef6qOtYNMSDes+5j-c9Qdx4<u8o*
U"%g#,_mw(]NXiVhCu&f:S1L,?gTBBX+Tr>e(IlD*TkB^=q0>(X#KFM[tq(<R/sw,
U"B#^_kT-UphCvN3waf(m%ws,E';4BsvYcENTizF.TElkh5WNBKziu9P*w-=)ir84
U"pCll&>up(%)9%%%%-%2&7pFi?dt>o%&%%q%(%%.%%%%q%ksqn%gSgnVdaV:];U5
U"9TX*xVVJ?QPdDtJQ3\)D9k1UC+?$Q??i%\++tdwpDCltzY%]MI^rgM8W%JhE04o
U"[?7u?vWI&K5WJ17W8ic/,^e4jG0TF67j$oCw:dI05(3:[-)8VV+e_A0z<>#Yh2n
U"(FcgDieIyGXM,B]gNgaSi^A</R^kk+o:=U;65FdW*A\*S2iM>[Y^ATIC3ZR\c7[
U":6[9df)e$dgiATnB[iYZ0?'.$a\F;]qBldjjxMjK,/l2M3.6QD2OiIofeQA:;HJ
U"qJ%mTv%Rd&jKMTJ6'*+j$^PZi7BLFP#P$X2.-O_mmXgt+'H.[s[n_PEPm\U_I2Z
U"Le:K7RO:g%HM[85d&vsZ'lLO\MlvAt*p#(LR1(bzfqP<)fiq/wqko2;fA-ipQok
U")C6nhKa'Jz9Hi#UqzVW)uWJ);Nup%()9%%%%-%)V0pFc^kJ2&Y&%%&y)%%%/%%%
U"%qksq%ngSnIsk\b1f>rU:5ThmEuV^CLJ%YAWb4>\:)aK*]<?G.#l)89YdYC#X[C
U"8.*TwPL^GDti5mW[d.b(83[=gocPSK,(l8q-G%$U3RWd4*Ico6=TCFS](A66ro?
U"S&%ag);c\Bb%v4*U<g<S;9Q:MR1..4ci4&fuI>5Pn7vnCF3#q8^]/F$%rQ,\F0Z
U"?pkS6YX,q,)t5bCpMK>1%2B:iikDkXuG8Ef>ME3,v#*VFP&\i-[n;e6c/0;4/4Z
U")&NR]Xru]W,coo?=NQ[Znv7'SAo_sVq#>^*pHXjjAN#FN.=[nEf]h%B855aa#qE
U"=W]F$/Q/0P?211V3+Q;R./R,5;h)o%Xfn?T?5T>;u^f2)0$gHb*tZHA-nma7CrW
U"jsJc0Wi%BdEM,UG%R.eZC<h<YNtMqyvQfO;_J#SIx]dOnF^ia79[lPk#7Jw$/4p
U"izx8/a6.GDd\]q07YM7XRc('Ady\q:l8=A;mh*h1x&6[_C<H3[Hm3f-mXn8?3;u
U",%up()#9%%OI-%t8.pF9B+cd%7%%%pU%%%/%%%%qk%sqng%SqngEf)2Cjy#D7?,
U"Sx:8aeuH0=8aUV/_r$=1:;k-KghOWK9Rdq-o?;0u-_2g7eSeF]/5U%uCP^&sd^Z
U"-VYrm4MB#AP]dkw^NDz3K.UH_^8QBuXxP>gU%%uRSxFQ1tJhE7,vNT]AEt^kKg^
U">66W5HXcp4Xpej$FWFl<%AR%==MCRrEDUj=WYl.Njc>%MM[iO>=EY(N)8]CSL9h
U"M:X06;hz]B4P&)roLv4fR%%pM1NHtHHeSw#MU<dK4bedMcDXY[PPaDmOWxOF+>[
U"5[ZXP^%%Q.Q,4(>q=vLCb?bQ.(pPJuw^o.*oKhY=eqp3pfRW(uOTvKe1gM04);:
U"J]q;vKF36h4[#CLwr6cN_X&gznV7(R.4[lRTiH=*6PcpD<t]:ld:K86UF>S<q1O
U"TQcD=6--K[\4pw4UBKfut27ofs6Xt/o2B7oq2%Xg\F4BpaJ.(q%k,H;jPqQkQ^e
U"&b[V^<%R_Dm-d1O,:hu^QFGf/\.f,\]U6Ou89p#M3cWL<F&8Hs7?Z%vYJT8gJQ]
U".K9_tA-bsTpyrkh)D-nS-yjD$r<zw:e<smY<7M)Nn8zKlnbyHWTiGtWTQF%5arb
U"D:*jG+bjH)X5JYg:FuqsBdYOY)/uMLd\c1$gF*?cU'A_q3>Q/T)9IM?T%(K:R>'
U"*-5Z#)-se?jxeA\JjM%tfjsJ0fo8J&G]te,TyXVdThdlN%x(h:w*P7MRVwl,_0%
U"&%wI:WN<S+Z,*3-?CFB#c/D&)l&I.buFFlgK+'KNhE$1tBg4&;\TjPr0I<e;VGf
U"Il+wY4u+?iQ3k'Vm;,Y^coX'DD;)TMcf#M2Q(FC);dMfddJ\xWToJe:ce8e<Rb*
U"*[*DTA:m.N]tNF99of;L9)G1uDC;/#b&l%I;[-'/-?Wr*A0__FSR9kJG#O\s[*x
U"]a^)L)1dWkHhPD0g1VkH.KerioM%?h(4'_e&:IiRzJ$#55>&=mrK+UZGs\R;G%w
U"S&waQeBjPC1Th1M6U64;O\^L./s\M4Z+yYdV*FLQ[YiAq.vB9M7.ke<vJMC6Dk,
U"-J=PFF<1>]5w<3sW)KOi./.(*Uj/GAQ\84DS%hnIKqa;VLi0ytIFP7/G5%ZkRp+
U"5IAb3?=9uX.e%UY+G22FgH#n$Q$ScBoW--<6nM;#i/azdq)g;5H5]w'o^Dq1dt/
U"PG;?$LQe9g#>wijTZ<9e5&iQRd'et9_$^XR#Dbc9HwgA*vlD&BJKP)^?NQwiLLG
U"Xu/lanVC.4TtX+OLhyKXCOy2zB?$DPXSo2xLb<k>5(sW_f6r&;+ehB*A;wRk.qD
U"6]s>TGIMNI;Y(hjq'-C>Yz*tsQ-.hYLFQj/evqiOBcRR4sEo6ju[iVSJb<rr;$G
U"4H5rH+\L67awA'SFI>ciG)u4;9*ce)\E&_j+V9(yrsJ);=kJlGQEQPLd-fKu.\y
U"e0Q2er%p,&j+.e&k-7L'ti4Mgg.9'vlqk#Et3-,ZMaK1LT7dwD,HM+O>V,<QTi,
U"rEL?OOkGL<iIQ&oeXJIN8Y%kDB_#'8RVgR^7s4;s4^7^mi4Hf\AFbQ\1J,8m9$e
U"8+ZRFV^+]0/SQqqMpXa</E(]Am\2m3l/=^AeZEKF$H<,h_3<3RAM7eceJJ<BE(e
U")5Qjv_R.?ZttV0;j__f^Sk-(rEf'G<kJ0h6c8P,(ZvW-/1_D$aDciWbtbpuB;O#
U"5p&6O-OA1:1ejT+'850;,rj,90dhw1GV9x]3CWgyXX1AsBOh_k)9l3;%Dsi4'Ig
U"=MOSpB9Bl*'=DmIiYP5^Uvl<TPv=*BMK08Rsf^SZ8j8kS[^O9Jy&q7bXI[P#ZH9
U"aZH=\/UZ)nB\>1UXI\N1NpJe9,H/yc>'r=JC?-H&GRyAs__AvMsWdYIRwR70.rY
U"xe:w+SU\d=RNZC?g&09[IGrJo:Edy#sHS3kxQs*iU]?*7u6,I$B2;srdK9=w;^r
U"SCK2P.T\+(,WB1EQHrX<l.GNQRQHArtkd7t*^x;yKKJj-/NNi>p+I'E-T.EZ\lG
U"8b.W9&S\pr[,R<ZdRiG+dW1PHFGYs<YR[s2[],Ab)_SR9WN&(93%x,T9&HIHH*=
U"x._.&T&9bzwR9-R=c[>GHN/+-_',yQ-]FDG)%KH1#Im;+CaM_fUU)P5fF8bvA.k
U"Ynvm<s+/')-8r(gl0eT&ry+a:]j]7<0Nbw/0Gt&8G]5%NQF'J7YOSYHYpDN/rin
U"X-fthxPxLcW%xR+yJ^Pay7c&S=1yOS\lRc-9ZrZM5%PS-dL*]1gtT(2JPx(<7T%
U"laD9.wV_SXk0=fl\ssK3Rw\;98n\pINVcccskB3,HBh0G]KLOu0tMsr.ILT?_Mg
U"4y49xH.-uIYthLUU2Dq1HebjIP)*yM)LDHbKv)&6*M?Ni3g%*EUwpgR4m6I=?'-
U"GKJTycc\#4ho_J3oD\LCT8mTR$pOj7a+2mee,9Ymqvq/l%XV;XLaQ.#;Q7DBHX4
U"DHz_MEK0;'OBjRosmff>aj;v>msJF,H?D\,Jjf$nZz;TPiI+WGOSsb*Kx2hCj^u
U".^(<YWbs\aELyU:BJd67[;x)2W4w4.>)t<ykULU$OW\4ar1c&>*TnvXx1n3]HBM
U"\Ej,uLYx%Wq/T=&/99F(jWQ.A=SOdDvdA)m7xI$SCISfM:<3?AD0/4L_qO)F/KZ
U"UYkUR+6SM9AEG/j)v[?j/,ZhAV?iuh_<uE/CIFAq-K&KP/k92:QiZQR$b1t>J+s
U"ddXG>ng1x74e0%,An&x#_^2Diqr+B3*BL[s<zg_k=,1+CnUQSmAnqaoUjWElk$m
U".o]CcbfLZ'C#'?n\-X950c:\Hp.?,F4[rmBv]YT_U;1$#6n>z9Fv?Fh([^%%zT(
U"W0?)<X59Yjon),*]k4Ga7q9kQ.b\K?m/A[%\J%phhthR(M:.e5/;2)#6gmCQ$>Z
U"n;Dgp#qwP*q#30C),5iwFK::D^HlpkYF;rf,oY>*#8[:NETtPGx_ofsdt*:;480
U"8H-dm3FpsF#NIV<]%Wv47hn#j8AY<j)AQ[D5nWvqYY1NKJu:2P[40C9>QNc/Yu&
U"<Q^lcnH^8<I>9['D<jrg:eLZ^Bd3EW,m:B\N2M8'z_pWw/F4ZN:Jus>NchH-.6&
U"8zrRUV?uBBkZP9BI'?&1b+,P+nRi#(sDah<;.=G+cnf;uR%/);FTovQd21yX*_i
U"xG(ZTP#(M]J7GfPrmA.]'s$/6Dq[IHLTnc9+p>?M=3]<N8H[0T7[CfJ[^_Qqj3a
U"DK2:L?4Nuoe6I1a1YL7=3>)UAYZ)&UGFH,^=jPsrD#-L%V6XKshuHJd1<h1W(zg
U"1+H+>.bck*_]%Kn'uuT^\hwhnti3S.RVl71oJ*+CEru3%=JuxeGT49]_Uf&48e5
U"0qZ6O\>d=SYZRs>7&pQB1XXov/]<mf\hZR-Y3eq.4[LWbX52cXGW$JcW.kJiA\g
U"zu3'I7#kKQ1IFR0\ZZ2/]>m6q*b%*M1Rb8_5Ju#jqXAYfoK#iEf\Gin(RSAOCLJ
U"JRXiurq;X4=It#k)XHw:ZjC3,\#DABf(Ql[Go8%U[sq4V\[DAYUNq69Pif.0ukr
U"*NuN\:^KrJO#r7T9i%Bqy4H5[:,4ff-5\^3ww*f8qEn$P7ex4idG](;f]e,ttUS
U"*jB/lXAYZWr0T.GV0fs)Kdt[?Rivh?r=%qjVm3-%W<MI+dt1='LTWEk#(lHUnYl
U"I7>aEn<.kaQoQwZE\%l5]SEQIWxdi/%wEozX%7L>d#<0i*7Y5b_['nLh=-d-#?t
U"zg/'[AMur[E+OHPh7GG0KM[zXaKVv$[4O<qGN$G_]=Wd_]=WdR$h\SiNupNdskz
U"64#&E.lgb#TbmP_*X<*mYLmco^(8mfF0>fgF]GDa:0Lvp6)o(:lS3QfjNL?jabt
U"1W<[n9<*NaJ0'BIP_Ap)U<GoO1gJ$44CJrj&qDJIlGK+Wu?\cReza:(*XM9haUB
U"flF[Uj.S#1eci<1.W14ni;LKk+a:d0Xqv5T,w:dDF-cmh=Fq$97y=W'KFDsnUVR
U"L^P\j5-^9<189,Tve0DIg]=Uxqb_-qD,+]r7*ritQ$a,0Kt'1)[S*PZi6c$Bx15
U"I4J/U-(;]M=UK-1BQKW\=mcP%+GB*96(t<'l3+HVwjZli>pXvh,T1ESJV8)0*B>
U"BiOZG__Vv7JHU90Hex#BX4FTAMhE=nxV]U1jW5]Xo-Pjw\]98ysG:m_E>_Pj$fm
U"_-ceMv'vYKLtLc&wrI]p-N6$6]hiDg#-Q((&uknVE::lfw,JuIdvU>]:p,%a+q;
U";.8e4tGJKTqDN9J=.BA[W$$D#Wiz,I:X(v$W0iNZFmxr(ovhxD7S,t8h+]qW(:F
U"ujf6Q5sj$'BL;NYhIGm[$X7(h3A>rs3AVKlXLLh&r<56lDH#Y_bcO9$93jMGU:M
U"].U?+U]w6ooRnAj:i-QIHA[-[E2,\Zjd3RkP2mT21rQS]U?'hZ;YC?9mbA,T38v
U"^4^aNQ:ykdn,oXg&2G)V#mv9V<Ah?CZoX1)q-'m[0#h3gj*%tMN/6)jbT:3o4c,
U"bqpq0]aw;V/,M7qXouAKgGh3vK?W8jHSv#jHHu'#$VR*b_[%5njrR[GXDJiKM#M
U"Ozstg?et0K&b^^Y[S;5R&+se?u4iNJn'?JQiJ*Y?U]1b5;lfa5#Y[$mW?Cp-o0g
U"2%$=<Aarc%RWt^Gq*faJ.HVx6UPH&G3JQ=b<fq#g[dALo=JE%n6k*h8FMSFR;Bt
U"]&71H\Y.p<bQGwb$GKZ%Z:NR%Dt*0hXJ3]Z.(\#fUOKIYoQ_q+\[5DZ1&Qz0mU$
U"pnK:;>)JXQ049DKW'HLF4Nwmkdp<$k3bYpvRa()Aonbn0\9joPgd+tU8aj^TYOE
U"v,GOR)]m+]c*6[xB7fVtG-6nJ'*vZIo-H>kG5R(-CQ'IrLob46a+)po6W^=maD:
U"]D?7cR''1V.%m[%WEu+2=]2$6/OQu(ZYJPC\e-^Z(;/X=Gx/rMPv$7pgrMzx=mW
U"=e]o(6PI1.3cW82-Ib6aSk.FR$ITNo$84Y%%Ih8*37Bc)A*g$m=TWi[;qgb[W0g
U"MeL->Z.k&VspFPb$[1PI.6zia)H71#_[4-[EjA]GYqVdlrQn<ilsW$nCjet#pOd
U"OAY]eYhG$$OuT]Lj8Y]NLM%MB2BUt6#cFmw=V8rNn0v.Yecb(EKNbSCeJX?ewBe
U"YGl.gmBr#_w,dE$g70;q'go65*B8u+m;i:G/rKka?O;=4$0/gavTHDPr;<%_>,#
U"VB'9>:S15F&1vx-='&,[La9Ah]A%xqaMV,V];%l;86ICwRx[u&S'+og;8JlnHQk
U"7x>79GtK>_N:QiGnvWG,MHmWdq/b8pO'YZMF.n0\H?8]nAj7$:o&rttJ^M/G#[F
U"s?t%ccR=E7chP7I?tl^U;lXP.hXn0e_mj%XyK97W'Pb_%MYUCEwjiJENC<MP>i6
U"C\+]]o<WQ5Zo)E*2IzsQ'#m5?Q.1933^DUi&Xu*i?iDSS43iK4CZ)KW,Ucy<=6h
U"X94-I#h8_wLPXokj?IMskO\P6\Df21xq3e%I399d(sx+#jE^SP-H74Swb/nRKWJ
U":X#degQ2'I\8b8#5m?v>FaL5i[ngKk#zG2LW7;5AiiiVPaG5oi6k\DdM-:ds/'Q
U"KOtCpn\hMnohgoh?:)a6/d$g?gFLC+thY?(IX7$Y18<p0%6Cbi:B0[cM73w>N*T
U")=xzno1OGkak0s#W=,x].%4V(2_r:U'wCmjt-(ue5&6-UrKbl]:ed7Y*B8w;q+?
U"o6arOMq21U#.i8\T0#[?L)gA>#.==V/mX>(FBl>XHo)40v:>V['g%VIUB$4j<>m
U"HqU7[ArK[PtXkuj\axox2k4Ry11;#e;qSaN)7rn8KS9%+[D3W*Kq_LRQKbg$%dq
U"%0r%TXPQq,9u*id%up()%9%%%R-%+/[pF_J,4Q^%.%%6%%%%/%%%%qk%sqng%Sr
U"fprl#llWjCKBnA1_^j'+L6e,aRY05E&da]T^A]NV):Kl4WS_BQbu)Row&n]f:'A
U"?.DN(dF-,%%up(%)9%%#%-%S&7pFj=\':0%>%%-%T%%/%%%%q%ksqn%gSvq4gfi
U"0tCMN.Zxp5M(XS=H;/KJU%'k)#A;gGQ,?kA-Ig=a_4)=[F#>E5aACWXoBPkEY(s
U"N5QGG&s8o(4-&_^%jTC&(ISgmOG5I-mH,:p$K.=h2UeF62VB?8$uKR4'ONt>Ps(
U"<n.ddWB6oHueXWtuelqvCWh>B*hoIwADPM[,f>iY,w^+_)sZLGCB\GZ'bcUChsP
U"x9U3Y:r//6w&cD:/i^QG35^--+84'hQ%n7'4:Cc?=k.%f?Ce++s,&gQE;KU/UR^
U"I_,_>Q>9*%C,d+$dPD5a/W)h5R&o>9e*tfa,1'm)IZN/m1'<:&7U&q1(H/S&'1C
U",kz9^:bIY,(nQ\:t//P7+PJ:M?C9k)67e,1'9m+q'YR9f/#]=2a09)_*)uR'U14
U"cRoBY+tObv9?i+aQ-[>P0:,//#7&hnORY[]]*G2QZo8(=\;x#Y='UVQ$Y-%U3a-
U"6+9CuO%_PAmu.UYF.i9'((m,#9:Ki[LU/]1%eQ=)H[9uog5ha*))qEDREH^O)ho
U"1a+(W&D8Q=RDkZw'mE#qde[C,P9]lE%7:%v:EJx$[YIf.?PF<9c?1.CP]/xXeCX
U"',:K%u2C(LtRnOb\Y2iFcQ3E;PLY](-QpEp1[3*m92[9)?_-C+)RE<[Q)ZY[Vu4
U"O8P<:P9Yr)>A;(ROSRhY^9YTYQoa)*s**CP=7.w9I7U0E&dd)::st:(:[lE-wC0
U"K2[F+=,=('%U;J[,8/O/)R1]Y)zY+V)/aa(w2ua754/8Qki.I])]R0De6A.pv/U
U"7=/g'PXYM_:+A9Q7U,USQlgp+#u%;PLDPnOF4:c?77):*PoPH7[%='[T:MiLn_G
U"cKqe^+:%QU<ybP^euS;%(RNXQ%?C9k'NL(0?bKGlFOBtf;g#&C*ZK:ooQPf9:o(
U"6K'c7,fI&4+aLYa=U.?/ONo'_GP45.*'o2AK.SQOP97OD>?4g=%K9Y%u)OeaRq6
U"q^VGCuFA5&M.0'/,BQ03Ou\YHYa1a%<84soEi8J_X=bAhC$]F4ko4,rV:h<Y%d]
U".QYa'q+a)DJMo:eIexjbowW\cgJ3EB/OgL*qDlVcohs(i_/K7(#A*9d1IVGea3r
U"'u(hLKF+^O*>/HU.=$x)/;)>&c>MnrAo=1%s_bx8lwXKFS._Ve[$bL<89JCp'*K
U"<KY:fOWSKY2^$+M*r^l/Fn<8M?h/(^HMevIK$cnftKeeIl8ei_xN5EkPDGU6oAY
U"bVhPjz4N7B'i<>plLfcrV,joJO.<^Vq6F0bn&h-rr;:OuN43gks.G06(.l)>nSv
U"\E\7u<u#hKJJWK^p.b/dthLz*3KS:9TmEwjgptRH6EsMH_lj$4$>Yj4wugvgq$X
U"tR\?nVj<:GMDd=;x02Q1rjMC<+9<scT2OTNrXWd&\Lln,(Wwn\Aiok>=O0_Nr2Q
U"kGnO^nGXl+KL0W%etILpVGFLe8#blzlr<%TmNgb-AG03qqNCsGTwhLfUKKK3Ov.
U"l9b,VQ(5;wvK8-#xqotAEprscjXabw6?#R4w3ru6AS&9$p=Q.>n[#h<fC-Qv31A
U"*9'^XKTvntr+EIjCX&$>+0G^E47:4?A./TWe$+qjNtSkrb=^L:u%3:QOS]E%P0r
U"4'BAiYatoZTp8TTI\M0*C^vjM.6Yf-93u%a;c4&Aci/Aw(l87%_pvo'#TCvFY7Q
U"I\^EE6$wTS3s;0t,Y.d=iP$'7jz_ut-TR8vbG'uZ)Vh19T.JA:<)]Ep^^?aJKG?
U".N#=B-PHpEVD+0YVq\l6nGxHl%9HtNcRDLrhNR#tk;40;^SK+%G3p4c=<eoDrLf
U"aki)A.CQ,tNvb\skE6YgO3mo:1)'6n<V])03'P>96:9o:/aX<o/Sl6F0hZR)p[O
U"Yosp\L%;_:>n&.KdwTeT&Ne<Zk4JVVk;dm6QV:pQ/>jd5K*pSoajD'mcRp[X+&S
U"iJ-?2:r7r)^tz<ntNbzridp6497'Ef&=H;sP%g29EpHjs=Vv,b^cOp[B:/niZ%D
U"DxZ#3^?TP9v(Z)IkdU41NJit16vEdEj%Ju7j3_r4J0nNmY;7G<#H<hLu5UYQ6n6
U"5\ifG9uJuD^l:qj3#q14OA<7LgG$AKq$+.)_4/X_)>(<S[h/(soA9CNNpG3x[l/
U"L4:0v40-$30BiVT<VVTrVTOT-Q9<TIf6jPHfuSxXl?677iW<rilJp[tXr(7uRtW
U"mk(^$[Kb&ct#tN[eK+b0gzKo:MY/cg\bv3Q]F3dIai&L0tFI8C*1x/Gr'p*tgfb
U"M-#YN>TLA2C&&dCvn$J&3dfa>SEvNFx4uP&f3Dm;$pG%:0rU^fbYHrR%/#dMdjJ
U"diuY(t$>;j0DMNfKe6q9V6plAeBguC1S$<IBSFhK%=e/fi_&8:oHnefg$gXmu//
U"T(*NEm[2tw6BA4bQOTr$-5,xVg.bCm2rf4)EK(VXukXnNZJPPx9W$BZo7_7>TP^
U"ml-Is'.ngYTj0whmpNP]GCn>9pLtD#O#;[?QbtnV7',]\<Gu7./<bL\]Q:$gW]N
U"s6r.FAP>FdDX&>k#q*[^];4Up,rt^1n\*7Y]W4/?r)/Rp5MQ4'8t%M5p:.*jxnD
U"tQB,,GQ5'TRm60#80T'1mif60%\W&HQfX\b;auHu^FShBgP[\I%g3-<^?qn&A*e
U"2JFkt$p].s>UqPJ(1N<#v-oYs2$UtL5ti4$J,-2-B3C]eSAgpSk3_sYv-hZ_hp;
U"uStpAcEUNQcxFNLZ'Rx8?vpxfBSWfNlNrxxM.knqu*HrrfHa[\]uqpbnM;rMfxb
U"Haon=5c?uUor-pjMofPAY>nBDG,8Vxpuuqw/RZcRse>b&/P[;/2eexi$HPJC&F\
U"Arn$<?D/Sd:L/V88Zpoq6kr;Hd,z>&c_YO>[fnCu&qh4$Uu:xPlYX$mt/s6KoeL
U"ZUb3??^(J:tP^8Kf$T2'hAabs<N:VI'n5<hsfukWL\9nuFCbr;msz6$Nr3]s3RP
U";p_hdDf;FUUuAV84V4P(+,%YzGv+i=x%bs6E>)?0d$c3T8.niIfJ?PVD<.^EPch
U"hH.,#Diap:);f#o4_PIt<#jN_jj=KZ5DNJof&$xwWr$6Gaskk.j?<0&1.i)PNBp
U"n7r.,gB2RwWaYkmNl3Iao)rHb()WL64Q&S)tvbK<vn?uS3xP9g4hVg0xZWE;fb&
U"h3RXbvM7]C_w;msv6$MZ3lnD2f45Sq9h2Q8lHTJQ.c;nNEC7h+^^P^cfD2s>?2f
U"]WOoHJNG&FM=rB>Zf/p#<*OItZoQ_N3IPG7$hhb9V#.R,#i<IAL$Tw;aXz\GXF.
U"8HfOZ%kvH)fw*[]+WplKkjdY*mdclMMDCl1M?[]1yiK[coLWF,bij<ab3V2RD:<
U"h+#c%=xGJH.gx<>u,<.hTtv]9qjw9mu#VcBFr1akDI]/Zt5R#uNBfG]hs&4)asf
U"y[<Fn.Lg\,GDCQ;9yWxp/xT<K?naHHJnamkCNV0KjTiqU2hR1PRx#YYLw=V<BQ%
U"bJ.tiXfmgD-vqOSv,xm;v?[)L^eH1Czk>Tat'/\-fhk*EPS#]36_KqRbU$lnPrg
U"1JX$9>>k1LZ,?<$CQ\=5>_7LMqssaH<I+C*.E+bcq6$TNtAjxL<dC\8l09njr&b
U"[#K\<[tSekX8,ea9=xL>L3MLSCH4KdO,1Zq_/dU$mKxRl7<FkV\jBf*Xk1hl-t(
U"%1F(\d^qEv>/<,+HN)z.'Mm9_P-Mwv3Ipqk:HTo:[ZO9SP*MW49TwM=:jpfj,\J
U"9/79Z?ulavq?S'/6,0M]Wg&>9Z3>pIDj_\#9k7<ZWo5p$Z?)>vuh+v\u/:b*M=(
U"tpzjh\%9x_f?v\2?9FhV[sotm5.M7^%19.%$Ekx;J#qHeqXDqHUhH2(i)GW._G2
U"HDAWK$lB]uY6-'%j?JbB<>>J67)t*V^Iklm8^vva//,o[S$%eMcO96)3nKr(lK>
U">DHW:v4->ZOF:##RcUMU0UnY8tkEep[%vqG[fka=TJu;1EN8>H,S,/CbQHC3m97
U"R1a_%WcnMb6#M9x'[w\lnZdYO][8lu^f8A1rXLH%fY:IQEWoAoNsleS8eN?ZcF:
U"E&mTC,HR#ZBmZe*M.^ve>il0TU]pKB=)Wqj;ucYcvhg^5x#-0aMD:G.4>cM0Mcb
U"0nkN;p.:7LbU,5sl_B8T&Rb;_lqL+H$D8H?,>'*6*XB#u3kvH2qqWE)a^Jq^QYV
U"PTc\5S>]Y5Su*xm-p^9K_)7GSQ<;yB<D2G*5XC/8OQ9=49?-cOL>w<chI;V[I=k
U"gT7oMLn,7/T5v+W#8oU=>kkfOkv/[bAAQ24Ec-N4:][creb\hPbU_,lh>'/fxQd
U"GtYDwT&m2sW-bW<EjV5'r)l[F,*Kw#gLv]rlp]uH9ST5z_zJx1mru\%MGZ^v/S+
U"4MLJV$bX#0IYp0>&Ru*[\Q8UBLa<xt/jRS-QbB0;KztJ#e'3x)(;9$D(<H,Y[>(
U"uj2,pgYOv3S%IRhiK#T(MLj1#g-itI+23E'-:;JQvnTO_P5:Sk$cK8bY9C')nq\
U")gLS.Ity:t;Udlqd:$uwdM\y8/?/WV6Ww-a+q#XZu;kb4B7]2)?XL?Hr,4J2xom
U"D]i4$dF?Oh$)d\H9r&0CRGuFUhiQZ\NBNtosB#YWU[E6fXY]WNgH8QY*\=*\gdc
END SUB
SUB V2
U"PB]d2oAl<Z]]p=Q?d.3r(dFl>d_1&MK/Vn-EQs1ZOI_E$Dg*j1$[wFw7p/sNs9^
U"0;5gXPt3.V0+YESl6f^.^(AKSW$btgsWHxJ67hEqeS&oAhk-NMduW3?M:Nod*8J
U"1X%>hbJs3*trdv8?Vmbp;#^;TGu%I:i\r7YM\ZFgl?smpYFG<W><Sg:9p#_0dLN
U"NFP1axT,Rra,k4]VbF(l_,=F6FS]qlk&$xMk-3Ld:uj0J0o7'3bcuGcvqkl^ei(
U"kT#>Qt94uup\JC(TIN._/<MOJtv8sr\ure)FtH-nqz]CXB[O',#^#cER5G\a]p_
U"/;A6NMktAE:d6\^;JO,YcGK^D0YQjX(#6x]5jC(3G6L]JkW,+GrekF[UQ^,K'G/
U"^Pl[%g,p^kF^re0G_VB%?(^^6sGU;?/W9,/G;kB/S,4oGy]YzZeVGk2]zZ^EFhA
U"VXT6KD]J[6,Nkbc<R?GWOA/]c,$]t(.6#]VJm,Nc^e*GYMCRZtk6?RjKG-$Te2G
U"MHBR$krvU,pg]Jn,iFkL9iRVkv5],^]?T?R3$Gi^TEB(06UDB/Z=X]d8KG]6nGA
U"o>6]t^$9oRFGwl9R0GM]?Ec3,2kB-$ed]<tQ,dhAEQ,Ld#Eal,LkvGT,Xk\T]$#
U"J(,6Nl\e:G9'E\kS/'ABfQ'_e8?91&E=O$I0_HKXSW(0Ok*:<YAEU9KO4=R099/
U"g)-<:-U+7U*769V/901,[+t296YotE*hbI[1dOfHhP^XS<F0Rrk2][1V9mZa<j:
U"Bk:Zaa<Vuo;R5;:NK;Jaa;Fuo:B5::>K::IaJAU^zXjrF(GK?:[$,,p^j=RG3G=
U"6Mhk4#:[l,>tkF]%YO,Rk?F\e6BGo]Bk?/_,P9GeBY%#RbYk&Y;1J6z]>z$eNWG
U"m_;Cb6T#Z_$e4rGMFRqjk6>lRTkv5e,F^0tb6&lG/?/kd,%GVEB/Vl,6kv:$6t]
U"s$AR$KA*%M(=ZcA70UkU8UC?3C-20SZ*g<'rq0%uLUeMG$;hY*4\.jiDL,9H-?\
U"6eXR-Y%4ZN23-G:xtCM&rl7lxV\<Zg5fZFKt;:VT:Y^Oxr&iX4+RLZ^9#atmMql
U"ujtIj-n7v'G#d$]oC3$:4uk$G,f8#^kIT'0p>L*nIDeYbUaM:$vxrFS\v8I>/3W
U"BmBV\bfq_C(bIMUMDdoC79QVjPk^^Pq&<y$]I9L<M%;7dD^qRzLis6[cA6$6EcU
U")X>r3Mxcr4th$Z^xezOar5)Mc;zwVC)DzYl.Oyt90N2<5qOb*:YT5T%oGC7^pV:
U"7z0&0GSC5Imc^T^hyE(DW'98^TWsGAXS&'yYD4I+V,4&-e/:nsG&Pa5JDzJoZb-
U"GN3Ei&bQXbA*N,:9918>r8?BrNC_&hx,Cv(2:WOyKtasdIdkmTwd>yWSjcN1UK,
U"J_[?j_'oMu.Ib7HG.(>er.&nq-Df:MjxGk9V.<zh=:(nEKiov*T8BVP1=,J<-[E
U"nI#s^^l4CF>o\w\Wd-=XTJ($c-(CfF/])wxZOQ0Y&jD&pM49bF^2fe%yqX3nf[D
U"nL?%:yEKGFb76>d.h0$6XH%u.G+c5yk)R)yQYrs3bt#+]7UYLW4mnM7CY]%7x7v
U"pDf;idcF4-Be\v%VYk(WeM]KN>.wx<9dkjf[Q=+?7'4i&XRbN''\0fHGX.cg2Y6
U"59cHES/n69T,AZXXYOX,ZBgWYB+UX6GgIVX&poQycpr3(wmhNlX>TFxhx#AshDA
U"b2ijQiNsnF2QIRlKWDm*'#bcc$Pv9_g29+cB1kOnF>>>a_sIKHw2Vi8]ex0GrqL
U"[q]Q?^Xw(<G/-L3<WS2J=:VXxfTbMOcFR(D9ZKeU<<sXMD\:?Rd9\r[xI1B4iMA
U"4LUOnl*/SiMd^Ji7s+P[(WT2o&:7uxJJJC8u#3,L.NnHo(XXqN2ban.r*qgwO]w
U"NF3$EDN<ocfvDqX5WsEmPKjSE8hSB87jttq*:cr_%8BVr8IzMt,ggp:6n8i3dB7
U":$<+X]?[WMInD2d[3#rthcLYxFjbaMJS3&Y-L-ShvmQoXVvFlJd-^nY6vdqN$f=
U"^CTw0_Pbx2TkzQk$nA>+G^wJjE^A^/4N&MRtoRo7aJ^0N+=qf2dsHG*'.On][$n
U"m%#Jn6AMcyM=Jn/PS>o2*VXako7wR^vt4.5wUpTKSBw>J)E?LfX<KXos_Tii4c:
U"5ocW>gj,4NM>[t:\7V9%mv69_(+d6JeLvfmd/wPT%6gB.ab3n-Knl*EINB*_7N<
U"bh$nbLW:HyaXXGfUb27&N_2RHE-cTjX:Rx:Bl/NNY>w&c&\WSb9.kSdsX(M?Y4O
U"kC-Su#NWHjXdNk:Bqr-6-5FOd\'SMI^/-D8m^QMkgc;F*uwP].[a0s4)[QCV0oC
U"QZ=$bPe;*AR2y1=64Qe/ZR1L:#72j*e5(b\<6$S#e#Q18&#a<=;*,2$mejed>(<
U"*JWZ8o/^R1R4#aOJ7+$Ve\VvTJF>a0ZiAWPw:7$x>&$<F47>2MN2t$[(%Y^UG#,
U"hCP352O'28o$67^?fljFhRu.?WD%KGDKpA=wi5s3)YD7_+C>[5jKADhwP_0r6(=
U"_$BH+%IGpH0K>$:C6(>$7Z6215ME_tL1W$A&4icBb$Hk]a?=L76a0-ojG#KP/aW
U"FJU^kDlM4-v_L:=AWBT,^9/:ofz&pVbHtN_mRs*RMvN.Q;A(93<<j]+B,UGtuQ,
U"Cu\q$tijs(1xNcKYJVrqC8f;AWzlxYv+O,oc7>+RmxRq=J.gJMcb*__lf\T\-uQ
U"SUOyU((^TMj_c;Xk&vmdM1Tw#^M:l=#Z>qMhlL,w$VN#+t&'Y.RRa<M_]ud8^s$
U"V,,u61voE3PodYv++;5$,;.<nK4JHk.&Ct5]FGSTKFFNEm-'EcyJ*msvW%P(a#c
U"M54cdV%%G.Og++->,4%kYI%&'J'z)xR^T&,:w-cSVt$bh*A8z^]'t<PEHF],6'K
U"A<'^<aYazSP>41Mo$IxX.)N/oq9+f.M^tz5.GPT1+)7g(Kw,-Z:J_FDr&8?_8KO
U"HL$nAmF8(Cv(3XbG5sPuKK>1g,2_[nH'+3q%:*^\3.d/_k;r]MFJ,))-(:NLmv?
U"^KU$+=lJ3o-jqS_?5;LIl1wX4GI0zmt3aW[&LFWu99-mtHE,_*xZ/-3+nuYx*Pt
U"rif:WfTx'dQ<nWk%1yPt0itbtgj]EI;ev6-K\Z4wfDjlK^mX.x52P%:XNC\hi>:
U"D&%luQB^UXIm>bS&tKZO+C#XsCtqOyM3q_*fbqU'RJQKRUwD2eXhaP%fA=z6&d0
U"Op^<9J(9,Q[J3+-:;=S>s8#*^pGR<xg?MGe1,GG^?#rY#*%F\/*dI0H\-uK7%^N
U"AkhdHV,YJ59Q.bG42<J;:'2ba:2H-,iU(bLB1&9kdg,&S<Qe[(aJft_(=R&UKd.
U"qRRbH$2d-_Sm0>rrec$Js5CCWY+g_dYULn-6XK;CccF2XKJvtnh=nRV*bCQ/=MJ
U"uuc(t$jQL*8&4ECFaS4&u58GmF%M+vEiVX88RcSdFn3+Uk24nA%8QTo*bhR4vwk
U"#>>Xv<\ukd%up()%9%%%#-%n8mpF&R)AmX,7%%d6%%%/%%%%qk%sqng.Sy'yE>'
U"rbcT?66Sr/xplD^Yeny:P+6^1sx]op7\_t%p'1p#=h&onq-HE9XRDTghM5J3J+7
U"EmB#CD+:+miQsl6ndmCZ^Rfj?p0lp\G3D.pN<hZEN^u*i,T\'EJw+piO:vUOCOJ
U"'9SZ3%:\<dnc\'-ud3T-63s:mb0xxna6D,VoctJ$vsQJd&]:7[O4f$$Hl3hC*04
U"y-<<iAoH#Mxg0_j%*6K'NC4W/lSq9HXwg6rI.b$e<,:nQODXQHSF<J:N&aCH#,y
U"M<:,_V,:u[2r*'D*9=Ey4-GEfs#+eiB0s$sCdyE.LK9kQdOgvc8I4'Xpkb8Gtca
U"ke+5?>=4#Y.Bp>.%'rh%iL[1COUPR(;&>fk.wc%R':#uM+qDDe7:Fam:imaH\IB
U"de/0PiYi-qJ,PY,DLw1V;y0=(Lw^18lX)K3AEmR2rBeG7PQ:c_RTWtmfk79t.Wv
U"mu[4hAArSO7#u>4j0G9aNA*s%1pN76J+15[j*Vdyf\<-B?K<:dM-=PQ7eh]Jq9#
U"(AH9^4qN%mvK7Qlp>qYSu[^#HH]:gEh^l;N][q_>H7N7,k*38BjPynWvswro'sw
U"F7Ia9/6rRKa1CAFQNVV.QXE>>)5f<PP%1BIhz\yB,74DM9:A6.%yUS)V&iE-(R>
U"SCj+&df;+P9UmpiuVAp/Hx8q/r?4Y7wWA#N/Ztn($DCLKQE)tEl?>kuY&)=i[U?
U"^)'HhuYMQ(up(6'Sm^zg-yw)XaaHr4_=]qE^]JIDMolXjj&+eJtvF#3jByOKx?z
U"y-OoV*tGpwfRx=U)?,vsMtt^Ft,Z>8E1Q2ztpz%hgSetN5(z(<K/-c+Q\&\,U<7
U"skf(^^8:LC;b$OF&?gl+C\VD_G5n*mqGW9*K#H+PcU6JUl-ajk$HUDoe?IiGQju
U"oAe%>;1F&B^AJR.0<G'/dtAZOTaW[m,m0=ss+b?R=+/s61rAJ9A>OfKKK0^i7vb
U"QTM3hy?M?H;H-cli^g:2K]$voMb-n3S0o^oHG)ZWeuq=ZLQ2H5bQl:bv>O1<k-X
U"H-OJ1^Ug-_vV-TaS&1s.ax:CQNqW=7DO'8\nu+*GkYb%Xn_bntNS;xDG=cx5u&h
U"I,Ho3BRWx:*7'2L<[c2PTi<k64NRl1Bp%ulbXyA,3U:-9B\pPLxa)#jd:<^KW1L
U"B>+K879T(WA7IVuZ/DRL)jAE]8g-?G<Ov,ogVW0h=;uLCImQHm(uPL(3$R.itMU
U"QH1+nGtnbvUZwv$053<d3Z-dkjMvWBjn\wkJ:;1)o+iEip6lPO,_6&1Fv+Ri)Rl
U"cV+\bm%H);(q#csVh98KHwYP\/r0vn]dUu]P'9\DCv+3n(8FyUj_jGn18[A1B;4
U"#n038tZHgSs<(CqJ'dY(*Q?\SPQKfnA+0mJV+06J;4)%'-b\#EN_nP*+X&TP&<$
U"cq6kdarusZYO]Zfb_qmT*r*^u\GY0W%LCUt5b=ust2]kg/Ixy3ru%*]&e0]sHB9
U"J<#f4r=kV;yCT#K].mG0Kxq<sco(+$w4HqS8^mf//?G$Qdy/sT&q54YOi%DW:\;
U"%A/RM>:0>X8(h_yT#Bh_Xc'RB3'NmN]Y*ro9emnGW3$nH6mJ^p*mCe40DWzz5'0
U"HkgcfyWr9t,6PH_0=m'_P.:&=.458dl0'gc]OXUhm'iQUQYIVEc0g0s*j;_;N['
U"kS%ysF-(HZHt7n3.E<doFmhuLd]sVQfY7ThsKU?0e:(M7z#q;$=VArFD3Xt;,98
U"#I/RHK-nZ/;q9zwFB/ST%flPG9nqWs0RS2;.kQ'DIQa8Y/3R0bBRGE0H'O$B'Mi
U"b\%X1E#oMC_x#%_ink>d5qx;SHOOdLAtY6?,E[8pm3zfB7tr.w:c[]*PkHOJ2-F
U"CyF77qlLM^4yYg\.77*I-:&xrZ<G2%klJ0H_Btw5;3]P8d:0_[Kq1]>quzx0KYH
U"&Ts0]/(C9T:<3?E4cWEnJ*5?E<kgHo61g?m0L/14FIA]u3&fO$/XTebOj2'I.]^
U":Yo';DanXXTuY_j#7k[_5r0FT0;o7TqQZ452YZi#i&#h(+z;0Rr^+pRBz%uN%Q\
U"6kU&:TABiR)-OeP$Q:UUY/QKW#d:l85S9</BV9ZUcb[)A-h:E7CLYni'dKo.#u^
U"Zws5tU/f_V6cHO[S7.=2F-/)lA&c8%_Y>QuVAU4J;*WK*^RTpKs*_&JOtciBGpU
U"Z'l)kc:.k0-/>sWMl>s+IbnAUeAm?FGqt95<&F]jXoA#goVf3IL<lBc1wmt;qR>
U"g(,Nq[2DSP+t0fr<z6cJ5dR>&E\+nx8osK160Gj9x/Pu3B6TPA_T:UR$nt_t1h3
U"/*yD>^hB&qY\K.ZEDPHZ_]86?wo2r6/p.u%p()9%%%%-1%O7pmFd%#*eW&%+%W'
U"%%%1%%%%qks%rpin%wSgf(xLvr)>je9da,Xx7U,0]M<Y[z'/oI39MQoK$)];Uak
U"6653/&#Fr:'/xVLEryp#x^=_jHXl'ob0[,4:2p&N0\1;'C$x&=?R?R:pmwjbxMT
U"sX7A/B'tKp0#.Q*ejICGMo*neQ+=_XnRTD:&4TmsWHD9hK<SBrTmnYvZE(87CRc
U"y3.zvmqo<YwbZwgU-Bt2MjeS0nUi9IH-(Dt*Y.+&4.95t8qH\8HiN?TT/2n6dQ\
U"Ay*+1wsde*s6EAb3.v9Z/AP'uB&ANW;9VMmL:]Ht2a)*Q,:yBls_K7?WMoc8\El
U"wu%Z>Yt1&0jM?T1.u6:SWXu>ab&7Os]e4xK9EqzxjKNkEI;SZpX;lP8dMzmun\q
U"cC;(^j+YOIEZWHka(+<-J9l1q5KU:A,o6NDlqN\GaKLA0L]2J^2JniiB%je96Sl
U"W>Lko#+A$&uFL4$#[Rf*iRz<36W:2c[AIX;:9HJDuBf3K,r?n=8b\umKNiX8VoL
U"n.hF9,8%'up(%)9%%#%-%OA7pFc%/iT#['%%4%)%%/%%%%q%kswj%sSgf(xdxp,
U">Se5dc,Xx0iB7n))9&7:fX](3jr;*F0.rZ/AXGrT%]4xn<)rp$V,#)CM$wn9OXl
U"b;5502SRupmSUTEkQ1MB7T,v>u%Gg:XA54d];#j&xrLE%B<ABYS/w:_>JTO3+rK
U"K;nCQ\90Sz(CE3sCBip,>(Eruli4Cf\U.&jJ=_8Ryi2o[IN*q5rRqnN^>W4GMiQ
U"b;$CfIdP2dK-vL<Bm1QA)Un4p*\PE;X>_/.4O2S+L=LJ;F[wzJ5&ey2>FDPj#G]
U"/P-%%3T0pHZbD%;Xm)rZI+1</(KFb)yI1O^:6hdd]wsBo3V=L5)u51[R5m<*kf<
U"dzA/=;b[>=tX)83RB]Rh^'umXH*D#s\aak^zgVQ[XDhf'SKxICa2#[PKb8r?/,e
U"eV;Z,'RzP4FJ4#y>Gdn(^ZIhqQ*w<t46]6s;]Lgk1qVXH\M0>?ZQ,(,\;ziniFs
U"fmGY73RweYJ0VV\X<5oi:OQM:,F>FIZYK)%5Qg+Cd0MT&i2Sfv?H7ulv3?qDr&q
U"Iq3f<&-=T5mkv?kTu)UfW9HY,^+Y]Gq(p4'Ft>a-Mi^j3^ZbZ'(4gqs#KT':%K.
U"2AWH*ERDt+r.'gwxACTQg')0igb;\M2r3[%(HFs<r]=6.JhUUEa#GjO8*Xdd#tH
U"h-),Ml-aHMOVJdS?K7B5-Id&FlK7&pNyLZpjyx8%up()%9%%%I-%O7mpFEe6;ni
U"'7%%O*%%%1%%%%qk%sxmt%wySg.fx\y1v>jUL5M=sEuVxTDe3p(WL8b%2XVceN<
U"c_Y<1*N\7'Kjoq;9<SZwtRUC%\w<o5)g7Zh4hKu$m9m>KpC4kFQi4<w9/1+u0xj
U".<QU_S9S(NEMhN]pw:cQTlnYOtJ$TAP*soo5*?B(*sBk\aoM=MjAmib%?R66&(\
U"],npmiF'u'.n(VdYmC=Vy93M$=loj1H0$$Fx$C/It:/BrIO-u8c96KnK)Pb,V=Z
U"$XabFC1*\bA;M]71]G0sSX/qFb<F;]ADq.S#rX6#r-Y(]9_2b^H_iD8wY=1(0oQ
U",Bugi=2%T:L0)0.F&1Y4._TgpvNH(g>%Fq*#sg+ppXqK-AkwrpugQ,ys['g?dM'
U"$4g[h9/5-(-Mi^3:15;ocA((T7Q6f8-\RW,Oh.?.0X/pY,'Yjw,uWR'-^GUH/+a
U"W6<M;WhV9YfuU'\Rzl';2'Dt%dP9GwL2KSZEj7-Im'lL\i+3(GU1.9Qs4,DJ0qA
U"]cCb7[y.AqDiA\ky9Y[Y6v+LVd:tS\1Texgav/u&zZept/H1'rNclQ,&K:f$BSk
U";hpUi[ARp^+1FrmdL:C?2b0z#,2i_L7AZQdhm<aifh()W3lQ]0JD.3=3T2S&ai3
U"z3f7BWmrVUkTlk-4(M=>_f=mc$[HL-g>=J6a]R0^I>aO%iQf>%:qw=Z>>wS9Ja*
U"E^\^Z'r2D)Hvu8O;4ZN_y_*)raYyH4_t0p)7_qR,rT*RAbcmW.S]mUY&VQZLL\R
U"3Pfk;_8y-Gr6VcxI:>?3XVH&KdHsE98a)ipDST%$PTk&uO5W4yCiO'>\0A$'03u
U":vCxtv<Va)0e?P2\GPr(4VHk<T.(,?+H3&v;ZjS4l8%up()%9%%%I-%A.#pF$F1
U"i8=+%%%$6%%%0%%%%qk%shtu&(Sgfgx\&x&A?^7HwXzMMV]l+BePa:qWb<R*,zU
U"C+7'-u^e=TpAna-r'nErIUrKU:o^:oW-d3J287UGkgzU0mcnPdNP98Us=de6D9+
U":8?rmUVJ?qDZfbGrnFMpIh[t=w*RQ1^(M2DjE,\ln/6uH<g%%d?'FOz*UbexOD?
U"8JG$Td#XuhW2DHvs#rR3,?SGgDb,^0m+0=;Gr)pKWGd5FRTISFhG?GiPkK&D0&u
U"&p8IOdY$x)/F+2QJ\aA-O&Y_UepdCX<qdp]X1.?58^WV>GCbx-j*F&Ss0nL3PNM
U"k(]UO8R^OLiSK]c0;6+TPDGotBoh<eRDvY#nU%-Oh(ch.:oQzk_v8Y.nGq)+K$V
U"P83q;BU,];+&RFpfKb_ZxCyNvtd8-7F,&c#,5e$c7OM-_e'H&*1-4#a.*-#NqSd
U"NHP']PZ<nZZB%'A.x/:0:-68'v]G52],'IbiaN%'RVPmwgo1NeJu\(Cu^m84f%/
U"(Ynn0hFtT#CJf#QVk+OP=fQP+GsA]90pye,IDoRw]#JH==7FZ7St8hNVF(CVbxq
U"Tx^0+f4kHRy;WKhx-=?d]H6Elm2T5VX';-IdbHFPw3O4qm[O4.]pf;42.70g:WS
U"m]F/(].>wbP2H6kFU'HDaxzpBNo=SWWWt'E,P:*5R]gHeci&Z?[ukBM4sDM0Jso
U"D4M_Y#urS;#TGdLokR:yE0&MA3n9&Fl$OTX,.t.e41cq3(\U/aBFq%M(3eP>PuN
U"Nb55CW'i6L0aUQ_KYA1*NJ02tk2)eM8A'dC2+72D+m5Mw/P1=0PiB2)n=%-WZl8
U"Sna[^YGvh^HSk-fmC%h9DFOXKf7q)qd5sYDjA1GY/MXH0Ti;pj#<nX'g6eZU&F]
U"tS+&WIre7[bDX_;^X+5huDZ:SBjU?qR9H.T3#C&dNDORFF>BS<:q7nDfIg3X^jO
U"HPgoN>Q6CZsgO_r*;BVUnvKo$qS3:#1=qvH9aThQ>%Hi)Qd+J(zeVH2c3Hs1At#
U"j8fP],1piamDDNfT42pi:CpvkB=x_OY6oPvO\_&x%pY+I7h'Gi1]-f=XnO7aAf.
U"TL-:xI?Ja?HuDu5EIOkQdTKRPK,?;GSEY_6ULNYpu9<$6ZvZF?P.L+Y='(iY7d]
U"<9B\shN7PX*1uu5Xz8083^#Bc)T:]_YQR#CV':)&?tJ=iG>v$Qjj4dFugW;=c&Z
U"v]rl[b2bZZb3(w7zupC+d'Znp1jh.TzhIl\.wkCo\h9=Lqq;#YMy)UJkwp6##:i
U"oPJ;hU8Y<asqLZTk<h=N5QpD>)cl04zCHm(rlPI>Sou?4taybkA&RSqib$xX6?7
U"VVr.\[q;4KZ=Rv9T4yibCTg)%mkb&Vt*gBdr9=1wOT(L#&P:Nhl%,n-f5,RBFD?
U"9io*%K4nEVQL,b>(\cOI;k=Cfw8#PN8UB,.wfheyZ,RLdt6>+eN'IPNU\tG.HjC
U"lP;IOD=TNAK/3Yw+Hg3[X%V:c$7Q80hKts*NS,g3rJ5smmh1nP>X3\m/f;TnS]G
U"R83M,kCh?=,f,x-b7?W?&i0&d;Ie5vheBL6jIY^=']ILlHYc:0TaG_pdt48qb:K
U"Sm%9NFtDf_SvF?=K+mK>8Sd4(wI\?rhCCW\7'\v;06k*[_x]o:W*cvc:^s$YwSj
U"wo$kh_(Ny-Z'16#OR?ngzDhr&=4[t)/3t1*rQV:7iJIPrBZx(w;sX7#.^)dp&SL
U"S>dl2#tOo'p.kCKe...VfBKiFd*Xk7dE]$Fr80Uj,#2V5KQ6pp0?E==]RGEu5_g
U"MuJ/*KO%z+*?DxSU;+4zY9Ubu[TtO2BI/cs<,_.+mYO-XC?N3*0&L*ZD>rD64#,
U"Ky$ULmxpvO*EYemXSl4j<N_A8ypl9:wTVhtI=OelLwusHLwBi(A\62GwWn8MG2N
U"^?KKZuca&aeAnlKuAMXY:b(?F7v_Z&[$2CQP1:6_fuw]_=Sd1h**=asmOK2*<?h
U"Enyw:$%SV6hjr/5ET,i3Q9e7vu;e5AU,u#0J)b2UaCxAs]3qM?;p?S\RDjt$uV,
U"EU/.MWe(VFbbZP'nCUJ.D-m*-Nc((27ZT*<l^=t\?iTc#wE&l2_jr$_/\u;$tpy
U"QNTRL5GiNu%p()9%%%%-1%O7pIFHWt&pp'%%%8*%%%0%%%%qks%qtsl%SgfxD\b
U"p>BSe9T9Pf[d.AjweOpVOc7in^*Kj(+PPp/8r'e1C$F;g]lmVrkhd$XMYi-xiRY
U"H'HF*HLqDti\SPk=qRaj0T,%<U(0x8,Sl-rnt/3-rK)ql+DCL[W;xHPQ6#\W9(2
U"_bN_Ybt0YX$r%_AWc)J)HR4ixm<Kzl;>Uhm>UNo'$7.V[Y%HyM6]$1ns/Zu?n8:
U"'Vsu0lOMRWxH#t\>?-u'Jx26N/8DlNb2%b0<.76WU9\8]o1[3va>$q=Ob#r4=$x
U"m^ss)L4C&s.^j$H[6*:pE]njTlf+c3C3::<4j,6aW_;H#/o6074:^^Ab&$HIH59
U"[3s)_C#;4timM#/c2MjTCN:qf?-BbX-2R^PZu',io>RnUnT^O$x2%BFd9bNUzxB
U"SZoSlu9BUO>W2A[VCfoE;LJqEKw9)]q)BhW_f\ZaX5avey$Aqa7mn.C9Y<&$6;U
U"4R7X:.^l[ufItp\XS-hNTH+LypB\]$KSOVpIkR,pYsQ<6%i=?k4*Ouz+dGSSXhu
U"m>FI+Z9'+>ijWCsaDSI;-rW+6G#B7tpV_ri-N^G#Enp7A[V9a3Px<'c2iPbVfoP
U"n[aA*/>4#qbgSI.J*TkabeL?r^;vvDWb:3e+x#2QZHT%Re*^bjMw+v5;TS9-o,1
U"kvOqC4?feOw>2(g?q/,82)>BD&Wj=p30/&:xrg:ab.IL&veTucv+-d<L6r,SU*n
U".Qw*d85_k16s#h;:-'3OTik4ih'r=pm/vC6^p>u%p()9%%%%-1%,6p[Fw3G(sC'
U"%+%8/%%%.%%%%ufw%xjSgRfx>%;,>SU^9Ll[(d+jmk[kpKf#n8>-9Jav(,PPzrL
U"-5=EI7FxhkC<x5Lf_4\VIJ&bU?0:u7pqUtBH>b]<)8dLP0J=<'5d2WcEKtlTIT<
U"uK=woLH.-?B#\<7<7k&62'F3sf*r/>ji=Ji&48c.hV*mHnJHC=t]#BldEtv(t^U
U"U=K;0E2T.:AR#H2aA]E)0/9RK=F<eG9*8Z^=.t57RfJC$\+=9u-\O'nLt1Mw'0m
U"8/,j3H=vrgasnw.F-mbNXDg?aHi'IlcL2.84UZ%mO&_ZT\Pu4W;28L\(y9;%X,\
U"1TsV1;*HEAgZZf5OKrvPtNBh1,kdGa5_mKD;Av=C(Tu5:%hSJX&$+YMDe-(dr7p
U"im+:2OSU&T2jPd=tZi$eRR1N>Z-x&velU[BmQ\8f&m$=GN-WipdsNspG/a=VMYy
U"2A%G2%2=oC?FraC.xzFZg'$T%$%'La&m'bRlc:HnGqcs>gNyek#6v4884vDuEhW
U"wEe52\,MYY-1N:k1E\P*SiDfg,$7<+)2Xj>18fD:*&?t#tmTf#?hfvc8$bFm^8;
U"9dOrU/[x>V2]Fn9SkJRfv0ep<X<EdMjhb\lJAKUNl)tDrLEO?oED1l=LJxKr8HM
U">OxUM(He;Smi*sYBGU'XyMav#2J7Qtm=='ZWQJ&sXj1>x'r3V,^g'18T+P1H9:T
U"blS9T6HrEN]^99HANXLln6MS#gk)ehTiB%[>nV^q+)<bY_lhREr]9k3&dkdI$CE
U"73Z)h(:E7Sc#1+</w9ld13b$B-_Z*kKsG5eP=20mDx]x2Yb61x*X>up%()9%%%%
U"-%7St&=fo$m(%\&%%&E'%%%1%%%#htu(%knqj%SgfxMT$*:ARe5T9X(r4%,??R1
U"n8t9QkIQ=A5#f+BJ2FLCpRnS'O9T4ZvpVX\i02MhVDkltl2%<H4L(p;qtm(?3pU
U")q2;+Hs9dvpX4CsrHQPzekvv-8#\9K&53T,*V:<\#^W#eNM=d202WQ$NRndM?H#
U"hAZ$9\.B'U($JYf.uk*XR6yA,BGj,LxVmi-zL:4M9xl95e?i7a[$y.iF)DqsYZr
U"Ap#T0a;3^is+c5GpZ>PckiR8s??bPOQD,KJ&:/)o;)V;[7px>LlYDBc#:t4bG6a
U">TS\1a,e%kz+IY:':BK9IC#*]z93*?9?OY*&>([8VURy72Qp+%$,O#v\CH4q-rM
U"]=s79WoGDrb1<,5^j#Q0_'tGpQ5_o.Sk3n[)OF-hL^&#_RjdU-hv'u%p&'9%%9%
U"%#%-%OA7pF3BZ#D7['%%P%*%%1%%%%%%%%%&%%E%%%%%%%%%qks%hwjf%ySgf%x
U"up&%'9%9%%%%-4%+/pIFYF#)Mr%%+%f&%%%/%%%%%%%%%%%E#%%%a%'%%q%ksqn
U"%gSgf%xup&%'9%9%%%%-.%27pmFidt'>o&%%%q(%%%.%%%%%%%%%&%E#%%%,%(%
U"%q%ksqn%gSgn%up&'%9%9%%%%-%)V0pFc^kJ2&Y&%%&y)%%%/%%%%%%%%%&%E%7
U"%%G)%%%qk%sqng%Snsk%up&'%9%9%%%%-%)t8pF\9Bcd%%7%%%pU%%%/%%%%%%%
U"%%%%E%.%%O+%%%qk%sqng%Sqng%up&'%9%9%%%%-%*+/pFj_J4Q%^%%%&6%%%%/
U"%%%%%%%%%&%E%.%%w=%%%qk%sqng%Srfp%up&'%9%9%%%%-%)S7pFmj\':%0>%%
END SUB
SUB V3
U"%-T%%%/%%%%%%%%%%%E%%%%.>%%%qk%sqng%Svqg%up&'%9%9%%%%-%(n8pFQ&R
U"Am%X,%%'d6%%%/%%%%%%%%%&%E%%%%aW%%%qk%sqng.Sy'y%up&'%9%9%%%%-%)
U"O7pFsd%#e&W&%%'W'%%%1%%%%%%%%%&%E%.%%f^%%%qk%srpi%nwSg%fxup%&'9
U"%%9%%%I-%O7.pFc/%iT#'7%%4)%%%/%%%%%%%%%&%%E%%%%n$%%%qksw%jsSg%f
U"xup%&'9%%9%%%I-%O7mpFEe6;ni'7%%O*%%%1%%%%%%%%%&%%E%%%&[b%%%qksx
U"%mtwy%Sgfx%up&'%9%9%%%%-%)A.pFC$Fi8&=+%%%$6%%%0%%%%%%%%%&%E%%%%
U"ue%%%qk%shtu&(Sgf%xup&%'9%9%%%%-1%O7pIFHWt&pp'%%%8*%%%0%%%%%%%%
U"%&%E[%%%$%k%%q%ksqt%slSg%fxup%&'9%%9%%%I-%,6%pFw30GsC'7%%8/%%%.
U"%%%%%%%%%&%%E%%%&*n%%%ufwx%jSgf%xup&%'9%9%%%%-[%St&F=o$m'(\&%(%
U"E'%%%1%%%%%%%%%&%E[%%%o%p%%h.tu(k%nqjS%gfxu%p*+%%%%%4%%4%u#(%%&
U"%r%%%%%
END SUB
V2
V3
CLOSE:IF S=155AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of LFNLIB.ZIP ends here. Last page. TCHK:155
<PAGEEND:"Win95.Long.Names.File">

<PAGESTART:"Win95.Long.Names.File2">
'#iab.compatibility.version.1a
'LFN version 1.0 beta1 -- Long filename functions
'Copyright (c)1996 Mark K. Kim
'markkkim@aol.com
'http://members.aol.com/markkkim/
'http://members.aol.com/vinDaci/
'* Freely distributed.  May be used in other programs with proper notice of
'  credit.
'* This program is provided "as-is".
'* In QBASIC, no modification is necessary
'* In QuickBASIC, QuickBASIC PDS, or VisualBASIC for DOS, run with the
'  "/L" option, like so:
'
'    QB /L
'    QBX /L
'    VBDOS /L
'
'  Also, do not include the QB.BI, QBX.BI, or VBDOS.BI files. If you do,
'  modify them so that the line "DECLARE ABSOLUTE..." is gone.
'* In QuickBASIC PDS and VisualBASIC, change all the lines in the format
'  "VARSEG(any.string.variable$)" to "SSEG(any.string.variable$)".
'* CREDIT: Ralf Brown's interrupt list was used to get interrupt for the
'  function.  Microsoft DOS's Debug was used to convert Assembly code to
'  machine code.  Microsoft is a Registered Trademark of Microsoft Corp.
'* NOTE: Works only under operating systems that support Windows95 LFN
'  or LFN emulation programs.
'Read the header of each function to find out their usage. These functions
'are designed to work with most other routines as it does not interfere
'with any other routines.


'the following line exists for compatibility reasons:
DECLARE SUB absolute (var1%, var2%, var3%, var4%, var5%, var6%, var7%, var8%, var9%, offset%)

'#begin declaration
  'File attribute constants -- used to do file search
    CONST ATT.ALL = &HFF
    CONST ATT.SHARE = &H80
    CONST ATT.ARC = &H20
    CONST ATT.DIR = &H10
    CONST ATT.VOL = &H8
    CONST ATT.SYS = &H4
    CONST ATT.HID = &H2
    CONST ATT.RDO = &H1
    CONST ATT.NONE = &H0
  'Value set to error code if an error occurs
    DIM SHARED errval AS INTEGER
  'Procedures
    DECLARE SUB lfn.mkdir (dirname$)           'make LFN directory
    DECLARE SUB lfn.rmdir (dirname$)           'remove LFN directory
    DECLARE SUB lfn.chdir (dirname$)           'change to a LFN directory
    DECLARE SUB lfn.del (filename$)            'delete a LFN file
    DECLARE SUB lfn.ren (oldname$, newname$)   'rename file
    DECLARE FUNCTION lfn.cwd$ (drive%)         'get current working directory
    DECLARE FUNCTION lfn.l2s$ (longname$)      'long name to short name
    DECLARE FUNCTION lfn.s2l$ (shortname$)     'short name to long name
    DECLARE FUNCTION lfn.findfirst$ (filespec$, findattrib%, mustattrib%)
    DECLARE FUNCTION lfn.findnext$ ()
    DECLARE SUB lfn.findclose ()
'#end declaration


'#start example program
  CLS

  longfilename$ = "long filename entry.tmp"
  longdirname$ = "long directory name entry"

  'make a LFN file by first opening a SFN file, then renaming it to LFN:
    'first create SFN
      OPEN "sfn.tmp" FOR OUTPUT AS #1
      PRINT #1, "La la la! This is a SFN entry!"
      CLOSE #1
    'rename SFN to LFN
      lfn.ren "sfn.tmp", longfilename$
      IF errval THEN PRINT "Error while renaming!" ELSE PRINT "LFN Created"

  'display all files in the current directory
    'file search -- allow any/all attributes and limit no attribute
      filename$ = lfn.findfirst$("*.*", ATT.ALL, ATT.NONE)

    'display result
      IF errval THEN
          PRINT "Error during file search!"
      ELSE
          PRINT "File search result: "
        'display filename and continue search
          DO
            PRINT "  "; filename$
            filename$ = lfn.findnext$
          LOOP UNTIL errval
        'terminate search -- must be called
          lfn.findclose
      END IF

  'delete previously created LFN file
    lfn.del longfilename$
    IF errval THEN PRINT "Error while deleting LFN!" ELSE PRINT "LFN deleted"

  'create LFN directory
    lfn.mkdir longdirname$
    IF errval THEN PRINT "Error while creating LFN directory!" ELSE PRINT "LFN directory created"

  'display LFN directory's SFN equivalent
    PRINT "LFN entry's SFN equivalent is: "; lfn.l2s(longdirname$)

  'change current directory to LFN
    'first display current directory
      PRINT "Current directory: "; lfn.cwd$(-1)
    'next change directory
      lfn.chdir longdirname$
      IF errval THEN PRINT "Error changing directory" ELSE PRINT "Directory changed"
    'display directory
      PRINT "Directory after change: "; lfn.cwd$(-1)
    'change back
      lfn.chdir ".."
      IF errval THEN PRINT "Error changing directory" ELSE PRINT "Back to original directory"

  'remove LFN directory
    lfn.rmdir longdirname$
    IF errval THEN PRINT "Error removing LFN directory" ELSE PRINT "LFN directory removed"

'lfn.chdir -- Change Directory
'INPUT:
'  dirname$ - Name of the directory to change to.
'SUCCESS:
'  * Working directory changed to specified directory.
'  * Global variable errval set to zero.
'FAIL:
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully.
SUB lfn.chdir (dirname$)
 
  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                       'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                          'MOV     BP,SP
  asm$ = asm$ + CHR$(&H1E)                                       'PUSH    DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)              'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H17)                          'MOV     DX,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)              'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                          'MOV     DS,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H3B) + CHR$(&H71)             'MOV     AX,713B
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                          'INT     21
  asm$ = asm$ + CHR$(&H1F)                                       'POP     DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)              'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                           'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)              'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)               'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)               'ADC     AX,0000
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                           'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H5D)                                       'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)              'RETF    0012

  lfn.dirname$ = dirname$ + CHR$(0)
  lfn.dirnameseg% = VARSEG(lfn.dirname$)
  lfn.dirnameoff% = SADD(lfn.dirname$)

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, lfn.dirnameseg%, lfn.dirnameoff%, SADD(asm$))
  DEF SEG

  iserror% = lfn.dirnameseg%
  errorcode% = lfn.dirnameoff%

  IF iserror% THEN
    errval = errorcode%
  ELSE
    errval = 0
  END IF

END SUB

'lfn.cwd$ -- Return current directory
'INPUT:
'  drive% - Number of the drive to get the current directory of.
'    0 = A:, 1 = B:, 2 = C:, etc. -1 if current drive.
'SUCCESS:
'  * Return current directory of the specified drive.
'  * Global variable errval set to zero.
'FAIL:
'  * Return "".
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully.
FUNCTION lfn.cwd$ (drive%)
 
  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                   'MOV     BP,SP
  asm$ = asm$ + CHR$(&H56)                                'PUSH    SI
  asm$ = asm$ + CHR$(&H1E)                                'PUSH    DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)       'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8A) + CHR$(&H17)                   'MOV     DL,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)       'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H37)                   'MOV     SI,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)       'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                   'MOV     DS,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H47) + CHR$(&H71)      'MOV     AX,7147
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                   'INT     21
  asm$ = asm$ + CHR$(&H8C) + CHR$(&HDA)                   'MOV     DX,DS
  asm$ = asm$ + CHR$(&H1F)                                'POP     DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)       'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                    'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)       'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)        'MOV     AX,0000
  
END FUNCTION

SUB lfn.del (filename$)

  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                       'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                          'MOV     BP,SP
  asm$ = asm$ + CHR$(&H56)                                       'PUSH SI
  asm$ = asm$ + CHR$(&H1E)                                       'PUSH    DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)              'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H17)                          'MOV     DX,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)              'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                          'MOV     DS,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H41) + CHR$(&H71)             'MOV     AX,7141
  asm$ = asm$ + CHR$(&HB9) + CHR$(&H0) + CHR$(&H0)               'MOV     CX,0000
  asm$ = asm$ + CHR$(&HBE) + CHR$(&H1) + CHR$(&H0)               'MOV     SI,0001
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                          'INT     21
  asm$ = asm$ + CHR$(&H1F)                                       'POP     DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)              'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                           'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)              'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)               'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)               'ADC     AX,0000
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                           'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H5E)                                       'POP     SI
  asm$ = asm$ + CHR$(&H5D)                                       'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)              'RETF    0012

  lfn.filename$ = filename$ + CHR$(0)
  lfn.filenameseg% = VARSEG(lfn.filename$)
  lfn.filenameoff% = SADD(lfn.filename$)

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, lfn.filenameseg%, lfn.filenameoff%, SADD(asm$))
  DEF SEG

  iserror% = lfn.filenameseg%
  errorcode% = lfn.filenameoff%

  IF iserror% THEN
    errval = errorcode%
  ELSE
    errval = 0
  END IF

END SUB

'lfn.close -- Stop file search
'INPUT:
'  None
'SUCCESS:
'  * Global variable errval set to zero.
'FAIL:
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully.
SUB lfn.findclose

  SHARED lfn.filefindhandle%

  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                  'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                     'MOV     BP,SP
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H1F)                     'MOV     BX,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&HA1) + CHR$(&H71)        'MOV     AX,71A1
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                     'INT     21
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)         'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)          'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)          'ADC     AX,0000
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H5D)                                  'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)         'RETF    0012

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, iserror%, errorcode%, lfn.filefindhandle%, SADD(asm$))
  DEF SEG

  IF iserror% THEN
    errval = errorcode%
  ELSE
    errval = 0
  END IF

END SUB

'lfn.findfirst$ -- Find file, initialization call
'INPUT:
'  filespec$ - File name type to look for. IE - "C:\*.*"
'  findattrib% - Files with these attributes are returned. Any files with
'    lesser attributes are also returned. Files with more than these
'    attributes are not returned. Used in conjunction with mustattrib%.
'    Use ATT.* constants provided in declaration.
'  mustattrib% - Files without these attributes are not returned. Used in
'    conjunction with findattrib%. Use ATT.* constants provided in
'    declaration.
'SUCCESS:
'  * Return name of the first file matching the createria.
'  * Global variable errval set to zero.
'FAIL:
'  * Return "".
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully.
FUNCTION lfn.findfirst$ (filespec$, findattrib%, mustattrib%)

  SHARED lfn.filefindhandle%
  SHARED lfn.finddata AS STRING * 320
  lfn.finddata = SPACE$(320)

  asm$ = asm$ + CHR$(&H55)                                  'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                     'MOV     BP,SP
  asm$ = asm$ + CHR$(&H57)                                  'PUSH    DI
  asm$ = asm$ + CHR$(&H6)                                   'PUSH    ES
  asm$ = asm$ + CHR$(&H56)                                  'PUSH    SI
  asm$ = asm$ + CHR$(&H1E)                                  'PUSH    DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H3F)                     'MOV     DI,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)         'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H7)                      'MOV     ES,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H17)                     'MOV     DX,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HE)         'MOV     BX,[BP+0E]
  asm$ = asm$ + CHR$(&H8A) + CHR$(&H2F)                     'MOV     CH,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H10)        'MOV     BX,[BP+10]
  asm$ = asm$ + CHR$(&H8A) + CHR$(&HF)                      'MOV     CL,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HC)         'MOV     BX,[BP+0C]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                     'MOV     DS,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H4E) + CHR$(&H71)        'MOV     AX,714E
  asm$ = asm$ + CHR$(&HBE) + CHR$(&H1) + CHR$(&H0)          'MOV     SI,0001
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                     'INT     21
  asm$ = asm$ + CHR$(&H1F)                                  'POP     DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)          'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)          'ADC     AX,0000
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HC)         'MOV     BX,[BP+0C]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H5E)                                  'POP     SI
  asm$ = asm$ + CHR$(&H7)                                   'POP     ES
  asm$ = asm$ + CHR$(&H5F)                                  'POP     DI
  asm$ = asm$ + CHR$(&H5D)                                  'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)         'RETF    0012

  lfn.filespec$ = filespec$ + CHR$(0)

  lfn.filespecseg% = VARSEG(lfn.filespec$)
  lfn.filespecoff% = SADD(lfn.filespec$)
  lfn.finddataseg% = VARSEG(lfn.finddata)
  lfn.finddataoff% = VARPTR(lfn.finddata)

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, findattrib%, mustattrib%, lfn.filespecseg%, lfn.filespecoff%, lfn.finddataseg%, lfn.finddataoff%, SADD(asm$))
  DEF SEG

  iserror% = lfn.filespecseg%
  retcode% = lfn.filespecoff%

  IF iserror% THEN
    errval = retcode%
  ELSE
    errval = 0
    lfn.filefindhandle% = retcode%
    filename$ = ""
    DEF SEG = VARSEG(lfn.finddata)
    FOR i% = 0 TO 259
      ch$ = CHR$(PEEK(VARPTR(lfn.finddata) + &H2C + i%))
      IF ch$ <> CHR$(0) THEN
        filename$ = filename$ + ch$
      ELSE
        EXIT FOR
      END IF
    NEXT
    lfn.findfirst$ = filename$
  END IF

END FUNCTION

'lfn.findnext$ -- Find file, continuation call
'INPUT:
'  None. Same values used to call LFN.FINDFIRST$ are automatically used.
'SUCCESS:
'  * Return name of the next file matching the createria.
'  * Global variable errval set to zero.
'FAIL:
'  * Return "".
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully. This includes a case when there
'    is no more a file matching the createria.
FUNCTION lfn.findnext$
 
  SHARED lfn.filefindhandle%
  SHARED lfn.finddata AS STRING * 320

  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                  'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                     'MOV     BP,SP
  asm$ = asm$ + CHR$(&H56)                                  'PUSH    SI
  asm$ = asm$ + CHR$(&H6)                                   'PUSH    ES
  asm$ = asm$ + CHR$(&H57)                                  'PUSH    DI
  asm$ = asm$ + CHR$(&HBE) + CHR$(&H1) + CHR$(&H0)          'MOV     SI,0001
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H3F)                     'MOV     DI,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)         'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H7)                      'MOV     ES,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H1F)                     'MOV     BX,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H4F) + CHR$(&H71)        'MOV     AX,714F
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                     'INT     21
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)         'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)          'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)          'ADC     AX,0000
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H5F)                                  'POP     DI
  asm$ = asm$ + CHR$(&H7)                                   'POP     ES
  asm$ = asm$ + CHR$(&H5E)                                  'POP     SI
  asm$ = asm$ + CHR$(&H5D)                                  'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)         'RETF    0012

  lfn.finddataseg% = VARSEG(lfn.finddata)
  lfn.finddataoff% = VARPTR(lfn.finddata)

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, lfn.filefindhandle%, lfn.finddataseg%, lfn.finddataoff%, SADD(asm$))
  DEF SEG

  iserror% = lfn.finddataseg%
  errorcode% = lfn.finddataoff%

  IF iserror% THEN
    errval = errorcode%
  ELSE
    errval = 0
    filename$ = ""
    DEF SEG = VARSEG(lfn.finddata)
    FOR i% = 0 TO 259
      ch$ = CHR$(PEEK(VARPTR(lfn.finddata) + &H2C + i%))
      IF ch$ <> CHR$(0) THEN
        filename$ = filename$ + ch$
      ELSE
        EXIT FOR
      END IF
    NEXT
    lfn.findnext$ = filename$
  END IF

END FUNCTION

'lfn.l2s$ -- Convert long filename to short filename
'INPUT:
'  longname$ - Long filename to convert to short filename.
'SUCCESS:
'  * Return short filename version of the long filename.
'  * Global variable errval set to zero.
'FAIL:
'  * Return "".
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully.
FUNCTION lfn.l2s$ (longname$)

  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                  'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                     'MOV     BP,SP
  asm$ = asm$ + CHR$(&H57)                                  'PUSH    DI
  asm$ = asm$ + CHR$(&H6)                                   'PUSH    ES
  asm$ = asm$ + CHR$(&H56)                                  'PUSH    SI
  asm$ = asm$ + CHR$(&H1E)                                  'PUSH    DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H3F)                     'MOV     DI,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)         'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H7)                      'MOV     ES,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H37)                     'MOV     SI,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HC)         'MOV     BX,[BP+0C]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                     'MOV     DS,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H60) + CHR$(&H71)        'MOV     AX,7160
  asm$ = asm$ + CHR$(&HB9) + CHR$(&H1) + CHR$(&H0)          'MOV     CX,0001
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                     'INT     21
  asm$ = asm$ + CHR$(&H1F)                                  'POP     DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)          'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)          'ADC     AX,0000
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HC)         'MOV     BX,[BP+0C]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H5E)                                  'POP     SI
  asm$ = asm$ + CHR$(&H7)                                   'POP     ES
  asm$ = asm$ + CHR$(&H5F)                                  'POP     DI
  asm$ = asm$ + CHR$(&H5D)                                  'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)         'RETF    0012

  lfn.longname$ = longname$ + CHR$(0)
  lfn.shortname$ = SPACE$(67)
  
  lfn.longnameseg% = VARSEG(lfn.longname$)
  lfn.longnameoff% = SADD(lfn.longname$)
  lfn.shortnameseg% = VARSEG(lfn.shortname$)
  lfn.shortnameoff% = SADD(lfn.shortname$)

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, lfn.longnameseg%, lfn.longnameoff%, lfn.shortnameseg%, lfn.shortnameoff%, SADD(asm$))
  DEF SEG

  iserror% = lfn.longnameseg%
  errorcode% = lfn.longnameoff%
 
  IF iserror% THEN
    errval = errorcode%
  ELSE
    errval = 0
    shortname$ = ""
    FOR i% = 1 TO 67
      ch$ = MID$(lfn.shortname$, i%, 1)
      IF ch$ <> CHR$(0) THEN
        shortname$ = shortname$ + ch$
      ELSE
        EXIT FOR
      END IF
    NEXT
    lfn.l2s$ = shortname$
  END IF

END FUNCTION

'lfn.mkdir -- Create/Make Directory
'INPUT:
'  dirname$ - Name of the directory to create.
'SUCCESS:
'  * New directory created
'  * Global variable errval set to zero.
'FAIL:
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully.
SUB lfn.mkdir (dirname$)

  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                       'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                          'MOV     BP,SP
  asm$ = asm$ + CHR$(&H1E)                                       'PUSH    DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)              'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H17)                          'MOV     DX,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)              'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                          'MOV     DS,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H39) + CHR$(&H71)             'MOV     AX,7139
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                          'INT     21
  asm$ = asm$ + CHR$(&H1F)                                       'POP     DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)              'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                           'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)              'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)               'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)               'ADC     AX,0000
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                           'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H5D)                                       'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)              'RETF    0012

  lfn.dirname$ = dirname$ + CHR$(0)
  lfn.dirnameseg% = VARSEG(lfn.dirname$)
  lfn.dirnameoff% = SADD(lfn.dirname$)

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, lfn.dirnameseg%, lfn.dirnameoff%, SADD(asm$))
  DEF SEG

  iserror% = lfn.dirnameseg%
  errorcode% = lfn.dirnameoff%

  IF iserror% THEN
    errval = errorcode%
  ELSE
    errval = 0
  END IF

END SUB

'lfn.ren -- Rename file/directory
'INPUT:
'  oldname$ - Name of the file/directory to change.
'  newname$ - Name of the new file/directory name.
'SUCCESS:
'  * Specified file/directory name changed to the specified name.
'  * Global variable errval set to zero.
'FAIL:
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully.
SUB lfn.ren (oldname$, newname$)

  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                  'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                     'MOV     BP,SP
  asm$ = asm$ + CHR$(&H57)                                  'PUSH    DI
  asm$ = asm$ + CHR$(&H6)                                   'PUSH    ES
  asm$ = asm$ + CHR$(&H1E)                                  'PUSH    DS
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H56) + CHR$(&H71)        'MOV     AX,7156
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H3F)                     'MOV     DI,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)         'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H7)                      'MOV     ES,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H17)                     'MOV     DX,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HC)         'MOV     BX,[BP+0C]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                     'MOV     DS,[BX]
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                     'INT     21
  asm$ = asm$ + CHR$(&H1F)                                  'POP     DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)          'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)          'ADC     AX,0000
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)         'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H7)                                   'POP     ES
  asm$ = asm$ + CHR$(&H5F)                                  'POP     DI
  asm$ = asm$ + CHR$(&H5D)                                  'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)         'RETF    0012

  lfn.oldname$ = oldname$ + CHR$(0)
  lfn.newname$ = newname$ + CHR$(0)

  lfn.oldnameseg% = VARSEG(lfn.oldname$)
  lfn.oldnameoff% = SADD(lfn.oldname$)
  lfn.newnameseg% = VARSEG(lfn.newname$)
  lfn.newnameoff% = SADD(lfn.newname$)

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, lfn.oldnameseg%, lfn.oldnameoff%, lfn.newnameseg%, lfn.newnameoff%, SADD(asm$))
  DEF SEG

  iserror% = lfn.newnameseg%
  errorcode% = lfn.newnameoff%

  IF iserror% THEN
    errval = errorcode%
  ELSE
    errval = 0
  END IF

END SUB

'lfn.rmdir -- Remove Directory
'INPUT:
'  dirname$ - Name of the directory to remove.
'SUCCESS:
'  * Specified directory removed.
'  * Global variable errval set to zero.
'FAIL:
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully.
SUB lfn.rmdir (dirname$)
  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                       'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                          'MOV     BP,SP
  asm$ = asm$ + CHR$(&H1E)                                       'PUSH    DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)              'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H17)                          'MOV     DX,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)              'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                          'MOV     DS,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H3A) + CHR$(&H71)             'MOV     AX,713A
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                          'INT     21
  asm$ = asm$ + CHR$(&H1F)                                       'POP     DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)              'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                           'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)              'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)               'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)               'ADC     AX,0000
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                           'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H5D)                                       'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)              'RETF    0012

  lfn.dirname$ = dirname$ + CHR$(0)
  lfn.dirnameseg% = VARSEG(lfn.dirname$)
  lfn.dirnameoff% = SADD(lfn.dirname$)

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, lfn.dirnameseg%, lfn.dirnameoff%, SADD(asm$))
  DEF SEG

  iserror% = lfn.dirnameseg%
  errorcode% = lfn.dirnameoff%

  IF iserror% THEN
    errval = errorcode%
  ELSE
    errval = 0
  END IF

END SUB

'lfn.s2l$ -- Convert short filename to long filename
'INPUT:
'  shortname$ - Short filename to convert to long filename.
'SUCCESS:
'  * Return long filename version of the short filename.
'  * Global variable errval set to zero.
'FAIL:
'  * Return "".
'  * Global variable errval set to &h7100 if function is not supported.
'    (probably does not support LFN)
'  * Global variable errval set to non-zero if an error occurs and the task
'    could not be completed successfully.
FUNCTION lfn.s2l$ (shortname$)

  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                  'PUSH    BP
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                     'MOV     BP,SP
  asm$ = asm$ + CHR$(&H57)                                  'PUSH    DI
  asm$ = asm$ + CHR$(&H6)                                   'PUSH    ES
  asm$ = asm$ + CHR$(&H56)                                  'PUSH    SI
  asm$ = asm$ + CHR$(&H1E)                                  'PUSH    DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'MOV     BX,[BP+06]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H3F)                     'MOV     DI,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)         'MOV     BX,[BP+08]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H7)                      'MOV     ES,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H37)                     'MOV     SI,[BX]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HC)         'MOV     BX,[BP+0C]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                     'MOV     DS,[BX]
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H60) + CHR$(&H71)        'MOV     AX,7160
  asm$ = asm$ + CHR$(&HB9) + CHR$(&H2) + CHR$(&H0)          'MOV     CX,0002
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                     'INT     21
  asm$ = asm$ + CHR$(&H1F)                                  'POP     DS
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'MOV     BX,[BP+0A]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&HB8) + CHR$(&H0) + CHR$(&H0)          'MOV     AX,0000
  asm$ = asm$ + CHR$(&H15) + CHR$(&H0) + CHR$(&H0)          'ADC     AX,0000
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HC)         'MOV     BX,[BP+0C]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'MOV     [BX],AX
  asm$ = asm$ + CHR$(&H5E)                                  'POP     SI
  asm$ = asm$ + CHR$(&H7)                                   'POP     ES
  asm$ = asm$ + CHR$(&H5F)                                  'POP     DI
  asm$ = asm$ + CHR$(&H5D)                                  'POP     BP
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)         'RETF    0012

  lfn.shortname$ = shortname$ + CHR$(0)
  lfn.longname$ = SPACE$(261)
 
  lfn.shortnameseg% = VARSEG(lfn.shortname$)
  lfn.shortnameoff% = SADD(lfn.shortname$)
  lfn.longnameseg% = VARSEG(lfn.longname$)
  lfn.longnameoff% = SADD(lfn.longname$)

  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, lfn.shortnameseg%, lfn.shortnameoff%, lfn.longnameseg%, lfn.longnameoff%, SADD(asm$))
  DEF SEG

  iserror% = lfn.shortnameseg%
  errorcode% = lfn.shortnameoff%

  IF iserror% THEN
    errval = errorcode%
  ELSE
    errval = 0
    longname$ = ""
    FOR i% = 1 TO 261
      ch$ = MID$(lfn.longname$, i%, 1)
      IF ch$ <> CHR$(0) THEN
        longname$ = longname$ + ch$
      ELSE
        EXIT FOR
      END IF
    NEXT
    lfn.s2l$ = longname$
  END IF

END FUNCTION
<PAGEEND:"Win95.Long.Names.File2">

<PAGESTART:"Books.File">
=============================================================================
                               QBASIC BOOKS
=============================================================================

1. Guide to QBasic:
   The Revolutionary Guide to Qbasic.
   Dyakonov, Yemelchenkov, Munermann & Samoylova.
   Wrox Press, 1996.
   ISBN 1-874416-20-6

2. Using QBasic:
   Feldman & Rugg.
   QUE, 1991.
   ISBN 0-88022-713-3

3. The Waite Group's MS-DOS QBasic Programmer's Reference:
   Arnson, Gemmell & Henderson.
   Microsoft Press, 1991.
   ISBN 1-55615-347-3

4. QBasic By Example:
   Perry.
   QUE, 1993.
   ISBN 1-56529-439-4

5. Beginner's Guide to QBasic:
   Bonushkina, Krylov & Melnikova.
   Wrox Press, 1994.
   ISBN 1-874416-16-8
<PAGEEND:"Books.File">

<PAGESTART:"FAQ2.File">
FROM: afn03257@freenet3.afn.org (Daniel P Hudson)
SUBJECT: FAQ - I'm back ---
DATE: 18 Nov 1996 14:31:11 GMT

BASIC Frequently Asked Questions
================================

This file attempts to answer some of the more frequent questions that
appear in the USENET newsgroup comp.lang.basic.misc

It doesn't contain any platform specific code or discussions.

CONTENTS:

 1. What is the purpose of comp.lang.basic.misc?
 2. What other USENET newsgroups exist for BASIC programmers?
 3. What sort of stuff should I post to this newsgroup?
 4. What sort of stuff should I NOT post to this newsgroup?
 5. How do I turn my program into a stand-alone EXE file?
 6. How can I de-compile my program from an EXE to BAS format?
 7. Basic implementations.
 8. What ON-LINE URLs for BASIC are there?
 9. Mixed language programming Q's?
10. What is so BAD about GOTO?
11. What about some GOOD books?
12. How can I define PI?
13. Where can I get a Basic grammar?
14. Where can I get info on the ANSI/ISO standards for Basic?
15. What is OOP and is there an OO Basic?
16. Why does .321 come out as .3219997 sometimes?
17. What is MBF?
18. What is the difference between STATIC and DYNAMIC memory?
19. Are MS-Basic products for DOS freeware now?
20. Why doesn't Basic have any Logic specific operators?
21. What type of math do I need to program in BASIC?
22. What is P-CODE?
23. Why is Basic so slow?
24. Why is my simple "Hello World!" program so BIG?
25. How do I read in a whole line when comma's are involved?
26. How do I stop than rasafrackin' question mark using INPUT?
27. Why should I use comments?
28. Where can I show off my stuff since you said not to post it here?
29. What kind of optimization are commonly use to speed up programs?
30. How come my questions never get answered?
31. All these rules are scarring me, how can I just ask some questions?
32. What is structured programming and how does it effect me?

------------------------------

1. What is the purpose of comp.lang.basic.misc?

ANSWER
~~~~~~

This group exists for the exchange of help and information for various
BASIC implementations on various platforms. The only BASIC which is
off-topic for this group is Visual Basic, which has it's own
newsgroup hierarchy :-

comp.lang.basic.visual.announce
comp.lang.basic.visual.database
comp.lang.basic.visual.misc
comp.lang.basic.visual.3rdparty

To further clarify this, VB-DOS question that do NOT involve the
forms part of VB-DOS are appropriate. However, form questions
belong in the VB hierarchy along with ALL VB-WIN questions. Platform 
specific questions are not banned from c.l.b.m, however, you would be 
advised to ask them in a group specifically designed for those 
questions, because accuracy in such answers is not necessarily
guaranteed to be correct or identified as incorrect. Especially
questions for platforms other than DOS.

 ***********************************************************************

2. What USENET newsgroups exist for BASIC programmers?

ANSWER
~~~~~~

comp.lang.basic.misc     - See Question #1.
alt.lang.basic           - no real rules, just discuss any BASIC
alt.lang.ca-realizer     - CA-Realizer BASIC only
alt.lang.gfa-basic       - GFA-BASIC only
microsoft.public.vb.*    - MS hierarchy for VB, another one
comp.lang.basic.visual.* - VB newsgroup hierarchy.

 ***********************************************************************

3. What sort of stuff should I post to this newsgroup?

ANSWER
~~~~~~

Almost anything about any BASIC dialect apart from VB windows
or VB-DOS using forms.. When posting code, attempts should
be made to keep it as general as possible.

Don't post your whole program when you only have problems with one
subroutine.

Don't post your whole program just because you think it's good
If you think you have written something other people might find
useful, say so in a post to the newsgroup, and offer to send it by
email to those who ask for it, or make it available by ftp or www.

 ***********************************************************************

4. What sort of stuff should I NOT post to this newsgroup?

ANSWER
~~~~~~

Anything that violates the guidelines in #2, as well as:

Adverts, spams, trolls, flames, Binaries, copyrighted material,
If you need or want to quote someone or something, identify
your source. If in doubt, paraphrase. :)

Binaries of any type in any form. No pictures, no .EXE files, no .UUE
files, no .ZIP, ARC, LHA etc. EXE files can be anything, it's easy
enough to write a disk wiper in a few lines of code, or embed a virus
into a useful-looking utility.

So, NO BINARIES!

Some general tips.
Note these are not my rules, they are suggestions for USENET behavior
arrived at over the years, and accepted by general convention as being
the USENET equivalent of rules. Break them at your peril.

Oversized sigs. It is a well established USENET convention that sigs
should be no more than 4 lines long.

Quoting. It is hardly ever needed to quote the whole of someone else's
post when replying to a article. Always trim their sig.

     *Don't quote the whole article just to add one line!*

Always try to keep quotes to a minimum. Always identify the source of
the quote, ie 'In article <blah,blah> joe bloggs (joe@some.where.com)
said - 'or something similar.

It's considered rude to post a question and ask for a reply by email.

Don't forget USENET is a public medium, what you write will be read by
hundreds, if not thousands of people, so think before you post.

Also, it is suggested that you limit your line length to 72 characters
per line to accommodate non-PC systems and prevent the jigsaw puzzle
your source code will inevitable end up as.

 ***********************************************************************

5. How do I turn my program into a stand-alone EXE file?

ANSWER
~~~~~~

You need a compiled implementation of BASIC. Yes, they do exist for
several platforms.

 ***********************************************************************

6. How can I de-compile my program from an EXE to BAS format?

ANSWER
~~~~~~

Unless your EXE was compiled in BASIC using special debugging
information, you can't! Binary code does not store label's
so PRINT is now an address, as well as any variables.
BASIC does not cover all CPU instructions, so it would freak on
something like ROL AX, 1. It just isn't possible without the fore 
mentioned conditions!

 ***********************************************************************

7. What Basic implementations are we talking about?

ANSWER
~~~~~~

There are probably millions of Basic implementations, with
BASIC dating all the way back to the 60's as it does. I will attempt
to cover the more popular ones, leave Business Basic to the
"Business Basic FAQ", and those with specific newsgroups to their
newsgroups FAQ. Translation, I won't cover gfa-basic, ca-realizer,
business basic, or visual basic. However, all but VB are on topic.

So what will I cover? Well not much I'm afraid. It appears that
MS-Basic's, PowerBasic and ASIC take up the whole newsgroup
almost. However, I would love to see some info on ANSI FULL
Basic, SBasic, ByWater Basic and especially UBasic passed a
round.

Well back to me.

QBASIC, BASICA, and GW-BASIC are Interpreted versions of MS-BASIC.
MS-BASIC is a language that was implemented in the early 70's by
none other than Bill Gates AKA Billy [Bath]Gates on the first
Personal Computer, PC, known as the Altair. Gates went on to
implement his creation which was somewhat based on Dartmouth
BASIC, on more systems than we could count. It was used as an OS,
a command interpreter, a scripting language, and a programming
language. No System was without it, TRS-80, VIC-20, C-64, Apple ][, 
Amiga, AT, XT, Atari, you name it. 


Quick Basic, PDS Basic, and Visual Basic for DOS
are Compiled implementations of MS-BASIC. PowerBasic is
a reincarnation of TurboBasic that tries to be compatible with
MS-BASIC for the most part while adding its own extensions.
So what was Dartmouth BASIC? In the 60's you used Fortran
Assembly language, or Machine code. While Fortran was by far
the easiest of the three to use, it was virtually impossible to
teach in a descent time period. So K
emmy and Kurtz developed a
compiled language for the local system called BASIC which stood
for Beginner's All-purpose Symbolic Instruction Code in 1963. This
name has cursed the language ever since and it is often viewed as
some 2nd rate toy by the ignorant because of this name.

Today, as with all languages, BASIC has been revamped by
both ANSI/ISO and Kemmy and Kurtz, as well as Gates' contribution.
BASIC is now strongly oriented to structured programming and supports
constructs which make following this school of thought that much
easier. Some common misconceptions about BASIC follow

 1. It is only for beginners and not really capable of real tasks.
    Millions of lines of code say otherwise, and that is NOT
    counting Visual Basic. Business Basic(s) is very popular as
    are the Microsoft DOS Basics.

 2. BASIC is an interpreted language.
    The first implementation of Basic was a compiled, not to mention
    QuickBasic, PowerBasic, VB-DOS, TrueBasic, etc.

 3. BASIC requires line numbers.
    Basic dropped its mandatory line number days in the 70's.
    That Basic, like disco, is dead people, get over it.

 4. BASIC makes it impossible to learn other languages.
    Only if BASIC refers to your incompetence, lack of
    motivation, or a teacher that couldn't teach a pill bug
    to roll.

What were those other Basic's you mentioned?

SBasic is a ANSI minimal Basic interpreter that is
freeeware and runs on a variety of platforms. It
is old, requires the line-number, etc. but it is still
fun.

ByWater Basic is another free ANSI minimal basic interpreter,
but this one comes with ANSI C src code which means ANSI
Minimal Basic is now as portable as ANSI C.

UBasic is a really cool implementation of Basic for you math freaks.
It has extremely high precision numbers. I saw a program that
calculates pi for like 30 minutes resulting in some 10000
screens full of numbers or something. Anyway, you might want
to check it out when you are bored.

TSR-BASIC is a semi-compiler. It binds a tokenized source code to a
resident interpreter making a terminate and stay resident program.
It is slow and bulky, but it gets the job done.

Note there are still many more.

 ***********************************************************************

8. What ON-LINE URL's for BASIC are there?

ANSWER
~~~~~~

Too many to list all of them.
Using search engines is the best way, IMHO, but here
are some:

 www.yahoo.com/text/Computers_and_Internet/Programming_Languages/BASIC
 SIMTELNET/msdos/basic
 SIMTELNET/msdos/qbasic
 SIMTELNET/msdos/ubasic
 COAST/msdos/basic
 COAST/msdos/qbasic
 COAST/msdos/ubasic

About COAST and SIMTELNET. These are not actual URLs but macros
you must replace with the proper URLs. Some of the URLs are listed
below. Why isn't Coast-To-Coast called Simtel anymore?
Politics and bureaucracy! Walnut Creek CD-ROM has a copyright
on the name and decided to be jerks about it. SIMTELNET
is the Walnut Creek archive and COAST is Coast-To-Coast's archive
What's even funnier is Walnut Creek is trying to copy Coast-To-Coast's
archive but wants to play cry-baby over a few directories being named
SimTel.

 COAST AKA "The Coast-To-Coast Software Repository" or [Old SimTel]

      Australia: ftp://archie.au/micros/pc/SimTel
         Canada: ftp://ftp.agt.net/pub/coast
 Czech Republic: ftp://pub.vse.cz/pub/Coast/
        England: ftp://src.doc.ic.ac.uk/pub/packages/simtel
        England: ftp://ftp.demon.co.uk/pub/Coast/
         France: ftp://ftp.univ-lille1.fr/pub/pc/coast
        Germany: ftp://ftp.tu-chemnitz.de/pub/coast/
        Germany: ftp://ftp.uni-mainz.de/pub/pc/mirrors/coast/
        Germany: ftp://ftp.uni-tuebingen.de/pub/SimTel/
      Hong Kong: ftp://ftp.cs.cuhk.hk/pub/simtel
      Hong Kong: ftp://sunsite.ust.hk/pub/simtel/
        Ireland: ftp://ftp.hea.ie/pub/simtel
         Israel: ftp://ftp.technion.ac.il/pub/unsupported/simtel
          Italy: ftp://ftp.unina.it/pub/simtel
          Italy: ftp://cnuce-arch.cnr.it/pub/msdos/simtel
          Italy: ftp://cis.utovrm.it/pub/SimTel
          Japan: ftp://ftp.crl.go.jp/pub/pc/archives/Coast/
          Japan: ftp://ftp.web.ad.jp/pub/mirrors/Coast
          Japan: ftp://ring.aist.go.jp/pub/coast
          Japan: ftp://ring.asahi-net.or.jp/pub/coast
          Korea: ftp://ftp.kornet.nm.kr/pub/SimTel
          Korea: ftp://ftp.nowcom.co.kr/pub/SimTel
    Netherlands: ftp://ftp.nic.surfnet.nl/mirror-archive/software/simtel-msdos
         Poland: ftp://ftp.man.poznan.pl/mirror1/coast/
         Poland: ftp://sunsite.icm.edu.pl/pub/coast/
         Russia: ftp://ftp.radio-msu.net/mirror/Coast
       Scotland: ftp://emwac.ed.ac.uk/mirrors/coast
      Singapore: ftp://ftp.singnet.com.sg/pub/mirrors/SimTel
Slovak Republic: ftp://ftp.uakom.sk/pub/SimTel
         Sweden: ftp://ftp.sunet.se/pub/pc/mirror/Coast
         Taiwan: ftp://NCTUCCCA.edu.tw/PC/simtel
       Thailand: ftp://ftp.bu.ac.th/pub/coast
            USA: ftp://ftp.drcdrom.com/Coast
            USA: ftp://mirror2.ftp.interramp.com/Coast
            USA: http://www.coast.net/SimTel/
            USA: ftp://ftp.coast.net/coast/

SIMTELNET AKA Walnut Creek CD-ROM

      Argentina: ftp://ftp.satlink.com/pub/mirrors/simtelnet
      Australia: ftp://ftp.bhp.com.au/pub/simtelnet
      Australia: ftp://ftp.iniaccess.net.au/pub/simtelnet
      Australia: ftp://ftp.tas.gov.au/pub/simtelnet
      Australia: ftp://sunsite.anu.edu.au/pub/pc/simtelnet
        Austria: ftp://ftp.univie.ac.at/mirror/simtelnet
        Belgium: ftp://ftp.linkline.be/mirror/simtelnet
        Belgium: ftp://ftp.tornado.be/pub/simtelnet
       Bulgaria: ftp://ftp.eunet.bg/pub/simtelnet
         Brazil: ftp://ftp.iis.com.br/pub/simtelnet
         Brazil: ftp://ftp.unicamp.br/pub/simtelnet
         Canada: ftp://ftp.crc.doc.ca/systems/ibmpc/simtelnet
         Canada: ftp://ftp.direct.ca/pub/simtelnet
          Chile: ftp://sunsite.dcc.uchile.cl/pub/Mirror/simtelnet
          China: ftp://ftp.pku.edu.cn/pub/simtelnet
 Czech Republic: ftp://ftp.eunet.cz/pub/simtelnet
 Czech Republic: ftp://pub.vse.cz/pub/simtelnet
 Czech Republic: ftp://ftp.zcu.cz/pub/simtelnet
        Finland: ftp://ftp.funet.fi/mirrors/ftp.simtel.net/pub/simtelnet
         France: ftp://ftp.grolier.fr/pub/simtelnet
         France: ftp://ftp.ibp.fr/pub/simtelnet
        Germany: ftp://ftp.mpi-sb.mpg.de/pub/simtelnet
        Germany: ftp://ftp.rz.ruhr-uni-bochum.de/pub/simtelnet
        Germany: ftp://ftp.tu-chemnitz.de/pub/simtelnet
        Germany: ftp://ftp.uni-heidelberg.de/pub/simtelnet
        Germany: ftp://ftp.uni-magdeburg.de/pub/mirrors/simtelnet
        Germany: ftp://ftp.uni-paderborn.de/pub/simtelnet
        Germany: ftp://ftp.uni-trier.de/pub/pc/mirrors/simtelnet
        Germany: ftp://ftp.rz.uni-wuerzburg.de/pub/pc/simtelnet
         Greece: ftp://ftp.ntua.gr/pub/pc/simtelnet
      Hong Kong: ftp://ftp.cs.cuhk.hk/pub/simtelnet
      Hong Kong: ftp://ftp.hkstar.com/pub/simtelnet
      Hong Kong: ftp://sunsite.ust.hk/pub/simtelnet
         Israel: ftp://ftp.huji.ac.il/pub/simtelnet
          Italy: ftp://cis.utovrm.it/simtelnet
          Italy: ftp://ftp.flashnet.it/pub/simtelnet
   
       Italy: ftp://ftp.unina.it/pub/simtelnet
          Italy: ftp://mcftp.mclink.it/pub/simtelnet
          Japan: ftp://ftp.iij.ad.jp/pub/simtelnet
          Japan: ftp://ftp.riken.go.jp/pub/simtelnet
          Japan: ftp://ftp.saitama-u.ac.jp/pub/simtelnet
          Japan: ftp://ftp.u-aizu.ac.jp/pub/PC/simtelnet
          Japan: ftp://ring.aist.go.jp/pub/simtelnet
          Japan: ftp://ring.asahi-net.or.jp/pub/simtelnet
         Latvia: ftp://ftp.lanet.lv/pub/mirror/simtelnet
       Malaysia: ftp://ftp.jaring.my/pub/simtelnet
       Malaysia: ftp://ftp.mimos.my/pub/simtelnet
         Mexico: ftp://ftp.gdl.iteso.mx/pub/simtelnet
    Netherlands: ftp://ftp.euro.net/d5/simtelnet
    Netherlands: ftp://ftp.nic.surfnet.nl/mirror-archive/software/simtelnet
    New Zealand: ftp://ftp.vuw.ac.nz/pub/simtelnet
         Norway: ftp://ftp.bitcon.no/pub/simtelnet
         Poland: ftp://ftp.cyf-kr.edu.pl/pub/mirror/Simtel.Net
         Poland: ftp://ftp.icm.edu.pl/pub/simtelnet
         Poland: ftp://ftp.man.poznan.pl/pub/simtelnet
       Portugal: ftp://ftp.ip.pt/pub/simtelnet
       Portugal: ftp://ftp.ua.pt/pub/simtelnet
        Romania: ftp://ftp.sorostm.ro/pub/simtelnet
      Singapore: ftp://ftp.nus.sg/pub/simtelnet
       Slovakia: ftp://ftp.uakom.sk/pub/simtelnet
       Slovenia: ftp://ftp.arnes.si/software/simtelnet
         Africa: ftp://ftp.is.co.za/pub/simtelnet
         Africa: ftp://ftp.sun.ac.za/pub/simtelnet
          Korea: ftp://ftp.nuri.net/pub/simtelnet
          Korea: ftp://ftp.sogang.ac.kr/pub/simtelnet
          Korea: ftp://sunsite.snu.ac.kr/pub/simtelnet
          Spain: ftp://ftp.rediris.es/mirror/simtelnet
         Sweden: ftp://ftp.sunet.se/pub/simtelnet
    Switzerland: ftp://ftp.switch.ch/mirror/simtelnet
         Taiwan: ftp://ftp.ncu.edu.tw/Packages/simtelnet
         Taiwan: ftp://nctuccca.edu.tw/mirror/simtelnet
       Thailand: ftp://ftp.nectec.or.th/pub/mirrors/simtelnet
        England: ftp://emwac.ed.ac.uk/mirrors/simtelnet
        England: ftp://ftp.demon.co.uk/pub/simtelnet
        England: ftp://micros.hensa.ac.uk/pub/simtelnet
        England: ftp://sunsite.doc.ic.ac.uk/packages/simtelnet
            USA: ftp://ftp.cdrom.com/pub/simtelnet
            USA: ftp://ftp.digital.com/pub/micro/pc/simtelnet
            USA: ftp://uiarchive.cso.uiuc.edu/pub/systems/pc/simtelnet
            USA: ftp://ftp.bu.edu/pub/mirrors/simtelnet
            USA: ftp://oak.oakland.edu/pub/simtelnet
            USA: ftp://ftp.rge.com/pub/systems/simtelnet
            USA: ftp://ftp.ou.edu/pub/simtelnet
            USA: ftp://ftp.orst.edu/pub/simtelnet
            USA: ftp://ftp.cyber-naut.com/pub/simtelnet
            USA: ftp://mirrors.aol.com/pub/simtelnet
            USA: http://www.simtel.net/simtel.net/
            USA: ftp://ftp.simtel.net/pub/simtelnet

 ***********************************************************************

9. Any tips on mixed language programming?

ANSWER
~~~~~~

This is a real common subject. The solutions are not quite
that simple however. The solutions depend entirely on the specific
implementations of the languages you are using, but here are some
general guidelines.

 1. Try to match up system specific options such as memory models,
    floating point formats, etc..
 2. Try to account for the language specific features such as
    BASIC's pass by reference parameters versus C's pass by value.
    As well as C's underscore prefixing of public labels and C++'s
    name mangling.
 3. Remember to 'Declare' the external procedures as required.

 ***********************************************************************

10. What is so BAD about GOTO?

ANSWER
~~~~~~

Nothing. However, people who use GOTO often have some screws
loose and use it to make the most hideous looking spaghetti code.
Therefore, it is common practice to frown upon the use of GOTO.
GOTO is an acceptable construct of the BASIC language, and when used
properly, it poses no problems. It does not magically make code
unreadable, unmaintainable, or unprofessional contrary to popular
belief.

 ***********************************************************************

11. What about some GOOD books?

ANSWER
~~~~~~

To my knowledge there are no real good books about the BASIC
language. I have heard rumors of one called structured BASIC written
by Kemmy and Kurtz though. Other than that, there are many good books
on specific BASIC implementations of BASIC.

 ***********************************************************************

12. How can I define/calculate PI?

ANSWER
~~~~~~

PI can be approximated at 3.141592653589793 as a
DOUBLE PRECISION FLOAT constant for most implementations, which is
accurate enough. However, those using more precise Basic's will like
to keep this little FACT handy.

PI is equivalent to the ArcTangent of 1 multiplied by 4
PI = ATN(1) * 4.

 Other than that, mathematical questions might better be answered
 in sci.math.

 ***********************************************************************

13. Where can I get a Basic parser?

ANSWER
~~~~~~

According to the comp.compilers FAQ,

  
  ftp.uu.net/usenet/comp.sources.unix/volume2/basic

has a basic interpreter with yacc parser.

 ***********************************************************************

14. Where can I get info on the ANSI/ISO standards for Basic?

ANSWER
~~~~~~

From ANSI or your local division of ISO. Seriously, that is
where you get them, you can however look up some info on-line
by searching for ANSI or ISO.

 ***********************************************************************

15. What is OOP and is there an OO Basic?

ANSWER
~~~~~~

OOP refers to Object Oriented Programming, and to my knowledge
there is no Object Oriented Basic. However, you may wish to
join the mailing list for info about proposed OOBasics.

This is an open, unmoderated list to discuss the BASIC
programming language and extending it to be Object-Oriented.

 List name:            OOBASIC-L Discussion List
 List address:         OOBASIC-L@NETSPOT.CITY.UNISA.EDU.AU
 Listproc address:     LISTPROC@NETSPOT.CITY.UNISA.EDU.AU
 List owner:           David.Gardiner@UniSA.edu.au

You can subscribe to this list by sending a
"SUBSCRIBE OOBASIC-L <your name>" command to the listproc address.

 ***********************************************************************

16. Why does .321 come out as .3219997 sometimes?

ANSWER
~~~~~~

The IEEE floating point format is flawed in that it can not
represent all fractional values perfectly, thus sometimes it
must represent a number close to the value. Sometimes this shows
up in your program, often more than not, the implementation performs
special rounding with floating point numbers so you never see it.
For display purposes using a formatted print and limiting it to
7 decimal places for SINGLE or 15 for DOUBLE will usually handle
this for you. For a better understanding, the fractional part is
calculated using 2 raised to a negative exponent [2 ^ -1 = .5],
so try it yourself with a few numbers and see what you come up with.

 ***********************************************************************

17. What is MBF?

ANSWER

~~~~~~

Microsoft Binary Format is an alternate Floating Point Format
to the IEEE 747 standard format. It was commonly used in the
70's and may be run across in old software/data files. More
information on the format can be retrieves from www.borland.com
or ftp.borland.com along with C source code to convert between the
two. Perhaps Peter will translate in the Code FAQ for uses of
other Basics. The Microsoft Binary Format was given up for the IEEE
formats because its accuracy was not as good as well as inefficient
since FPU's already support the IEEE 747 format.

 ***********************************************************************

18. What is the difference between STATIC and DYNAMIC memory?

ANSWER
~~~~~~

For some unknown reason this seems to be a popular concept that
eludes programmers. STATIC memory is memory allocated to the application
*at* execution time. It is generally a section of data stored in the EXE
that is loaded into memory. DYNAMIC memory is memory allocated by the
executable *during* execution and the memory must be initialized by the
program. Some systems also require that the program handle freeing
the memory or they will not return it to the system until a re-boot.
Freeing the memory relieves its usage from your program and allows the
system to use it for something else, either by another program or yours.
Basic's variable length strings are dynamic, but freeing and allocating
is done without your help. You can in many implementations, allocate
arrays dynamically and then free them or re-size them with ready.
Basically it allows you to manage memory a little better with your
program.

 ***********************************************************************

19. Are MS-Basic products for DOS freeware now?

ANSWER
~~~~~~

No! MS still holds the copyright and a copyright is good up
until 50 YEARS after the death of its holder, not after it goes out
of production. MS does distribute QBASIC from their site for free,
so you can get it that way, but copying of it from your system
or any other MS product is piracy and punishable by LAW with
a maximum penalty of $300,000/copy AND 3 years/copy in jail.

 ***********************************************************************

20. Why doesn't Basic have any Logic specific operators?

ANSWER
~~~~~~

Well obviously I don't know the answer to this, but its probably
because they felt it would be confusing to have separate AND, OR,
NOT, XOR, etc.. operators. However, notice that if you use proper
logical problem construction with the bitwise operators, you emulate
the Logical operators flawlessly. By proper construct I mean

 IF (A > 0) AND (B = 20) THEN

 and not

 IF A AND B THEN

unless A and B were assigned the result from a proper logical
evaluation thus A = NOT (10 > 20) and B = Z <> X.

 ***********************************************************************

21. What type of math do I need to program in BASIC?

ANSWER
~~~~~~

That depends entirely on what you are programming. Geometry
is good to know if your doing graphics but pointless in a statistics 
package. The more math you have, the better off you will be, but you
can certainly write useful programs knowing just basic arithmetic.

 ***********************************************************************

22. What is P-CODE?

ANSWER
~~~~~~

P-code is an intermediate stage between Textual source code
and binary executable machine code. Generally it is a tokenized form
of the source code with an interpreter bound to it inside 1 executable
file. It is slower than compiled native binary code but faster than
a full textual interpreter.

 **********************************************************************

23. Why is Basic so slow?

ANSWER
~~~~~~

It isn't. Your implementation is slow. Possibly because its
old and not up-to-date with today's compiler technologies. Possibly
because it is an interpreter or P-code system. The reasons vary.
One common reason is your algorithm is slow. See the optimizing
section for more info.

 ***********************************************************************

24. Why is my simple "Hello World!" program so BIG?

ANSWER
~~~~~~

Again, this relates to your specific implementation mostly.
However, the BASIC language does require special behind the seen
memory management which accounts for some of the bloat. Without the
special memory management, dynamic string allocation, etc. is not
possible. Also take into account that most BASIC's use a floating point 
emulator system which takes up a considerable amount of space.

 ***********************************************************************

25. How do I read in a whole line when comma's are involved?

ANSWER
~~~~~~~

LINE INPUT will take in a whole line of TEXT up until a
Return sequence. It works for files also using LINE INPUT #1,.

 ***********************************************************************

26. How do I stop than rasafrackin' question mark using INPUT?

ANSWER
~~~~~~

After the prompt use a comma instead of a semi-colon to
denote the variable(s) that will be assigned data. Like so:

 INPUT "Your Name: ", N$

 ***********************************************************************

27. Why should I use comments?

ANSWER
~~~~~~

So you know what the hell you were thinking when you look at
the code later. Many times you will get lost in thought even if you
use really descriptive variable, procedure, and label names.
On the other hand, you shouldn't comment too much.
Examples of weak commenting and over commenting are below.

 X = d * PI/180        ' Radians

This is weak commenting, I'll have no idea what radians has
to do with this equation in two weeks from now. What it does
and should say is convert from degrees to radians. Yes, I could
make it a function, except that well it is so small it hardly
seems worth it.

 X = d * PI/180 ' X is assigned the value of d after being multiplied
                ' by PI divided by 180 which is the formula to convert
                ' from degrees to radians.

That is a prime example of overkill. I really didn't care about the
multiplication and division, or assignment. I did have basic
arithmetic in 2nd grade after all.

I also suggest documenting operations that rely on specific rules
of the language or implementation such as the evaluation operators
returning 0 or -1 otherwise you'll have problems when translating
to one that uses 1 and 0 instead.

 IE

 X = X + (Z <= 10) ' X is decreased by 1 if true or by 0 if false.

Personally, I would just labor through writing this like
IF (Z <= 10) THEN X = X - 1 which is probably slightly less efficient,
but a helluva lot easier to read and understand.

 ***********************************************************************

28. Where can I show off my stuff since you said not to post it here?

ANSWER
~~~~~~

Well, you could submit it to the ABC package, The Fanzine,
SimTel, Coast-to-Coast, post it on your own Web Page, submit it for
the Code FAQ if it answers a common algorithmic problem or use
a binary newsgroup if it is a binary. just DON'T post it here.

 ***********************************************************************

29. What kind of optimization are commonly used to speed up programs?

ANSWER
~~~~~~

Wow! Well first do any mathematical optimization possible.
Second use Integers and Longs where possible, Floating point
operations are slow, very slow.  Umm, try to see how different
loops work. Don't be afraid to use a GOTO or two if you can use it
responsibility and gain performance. Hmm, can't think of anything else
other than know your compiler switches.

 Correction: Floating point emulation is slow, Pentiums can do
             floating point math as fast, if not faster that integer 
             math. However, other chips [motorolla] may not have
             the same

 ***********************************************************************

30. How come my questions never get answered?

ANSWER
~~~~~~

Let's see,

 A. You are off-topic.
 B. You are not exactly asking sincerely.
 C. You think we don't know its a homework assignment, but we do.
 D. We don't know the answer.

There are many reasons your question may not be answered, the most
common is it is off-topic or a school assignment and we aren't going
to do your work for you. However, sometimes people don't ask, they 
demand or use ignorant tactics to try and gain peoples attention,
this is usually an aggervation that gets you promptly put on everyone's
twit list. If none of these are the case, its likely we don't know.
Such a question might be how could I prove Einstein's theory of time
travel in Basic. Obviously if we could do that we'd be correcting
mistakes we made in our past, like x-girlfriends you wish you'd 
never met. ;-)
 
 ***********************************************************************

31. All these rules are scarring me, how can I just ask some questions?

ANSWER
~~~~~~

Well alt.lang.basic is basically a free-for-all so you can ask there as 
long as it relates to BASIC in some way. You can also E-mail me or just 
about any other user of comp.lang.basic.misc and not have to suffer
the consequences. B-)

 ***********************************************************************

32. What is structured programming and how does it effect me?

ANSWER
~~~~~~

Structured programming is a theory of program design in which decision
making, loops, procedures, declaring as well as defining data, and
a few other tricks are used to create code which is easy to read, easy
to follow, and easy to re-use. Basic has always supported enough 
constructs to write code following this school of thought, however, 
recently it has been updated to make this task even easier.

 So what does this mean?

 1. Use character labels when needed, and be descriptive.
 2. Use loops when code needs to be repeatedly executed.
 3. Code that performs a task somewhat separate of the rest
    of the program should be performed in a sub-procedure, especially
    if you need the task in more than one program.

 Put simply [please note, programs are untested and likely error prone,
             its only to make a point about structured programming]:

  100 REM Simple example of a text encryption program
  101 REM Note it is not a good encryption program, the key is stored
  102 REM in the file before each sentence.
  200 INPUT "Give INPUT file including PATH" INF$
  300 INPUT "Give OUTPUT file including PATH" OUTF$
  400 CLS
  500 OPEN INF$ FOR INPUT AS #1
  600 OPEN OUTF$ FOR BINARY AS #2
  700 DO
  800   LINE INPUT #1, TEXT$
  900   Max% = LEN(TEXT$)   
 1000   REDIM CHAR%(1 TO Max%)
 1100   FOR Count% = 1 TO Max%
 1200     CHAR%(Count%) = ASC(MID$(TEXT$, Count%))
 1300     CRC% = CRC% + CHAR%(Count%)
 1400   NEXT Count%
 1500   FOR Count% = 1 TO Max%
 1600     CHAR%(Count%) = CHAR%(Count%) XOR CRC%
 1700   NEXT Count%
 1800   PUT #2, ,CRC%
 1900   PUT #2, ,CHAR%()
 2000 LOOP UNTIL EOF(1)
 2100 CLOSE #1
 2200 CLOSE #2
 2300 CLS : PRINT "ENCRYPTION COMPLETE"
 2400 END

 should look like

 ' Simple example of a text encryption program
 ' Note it is not a good encryption program, the key is stored
 ' in the file before each sentence.
 DECLARE SUB Encrypt(TXT, Outfil)
 DIM INF AS STRING, OUTF AS STRING, TEXT AS STRING

 INPUT "Give INPUT file including PATH" INF
 INPUT "Give OUTPUT file including PATH" OUTF
 CLS
 OPEN INF FOR INPUT AS #1
 OPEN OUTF FOR BINARY AS #2
 DO
   LINE INPUT #1, TEXT
   Encrypt TEXT, 2
 LOOP UNTIL EOF(1)
 CLOSE #1
 CLOSE #2
 CLS : PRINT "ENCRYPTION COMPLETE"
 END

 '**********************************************************************
 '*                                                                    *
 '* Encrypt is a SUB-procedure that takes 2 arguments, the first is    *
 '* a variable length text string, the second is an integer that       *
 '* specifies the output file handle under Basic. The procedure        *
 '* encrypts the given text and writes the KEY followed by the         *
 '* encrypted data. is it not a secure method of encryption, its only  *
 '* an example that does not violate US encryption laws since the      *
 '* "backdoor" is the way to solve it.                                 *
 '*                                                                    *
 '**********************************************************************

 SUB Encrypt(TXT AS STRING, Outfil AS INTEGER)
   
   DIM Max AS INTEGER, Count AS INTEGER, CRC AS INTEGER
   Max = LEN(TXT) 
   REDIM CHAR(1 TO Max) AS INTEGER
   
   FOR Count = 1 TO Max
     CHAR(Count) = ASC(MID$(TXT, Count)) ' make unpacked integer array
     CRC = CRC + CHAR(Count)             ' determine basic KEY value
   NEXT Count
   
   FOR Count = 1 TO Max
     CHAR(Count) = CHAR(Count) XOR CRC  ' encrypt text
   NEXT Count
   
   PUT Outfil, ,CRC                       ' write KEY
   PUT Outfil, ,CHAR()                    ' followed by encrypted text
 
 END SUB  

 ***********************************************************************
<PAGEEND:"FAQ2.File">

<PAGESTART:"Tutorial.Planning.File">
=============================================================================

                                Program Planning

=============================================================================
                             By: kwmelvin@nr.infi.net
                             Edited By: Arpith Jacob
-----------------------------------------------------------------------------

* This tutorial will cover Program Planning and Development, or what you
  need to do to write a QBasic program. There are many things you need to
  do before you start to write actual Qbasic code. Code consists of the 
  many keywords, statements, and functions that comprise the QBasic 
  programming language.

* Learning program planning will help you, not only with QBasic, but with
  other computer programming languages, if you choose to continue your
  studies. Program planning will help you write programs that are easy
  to read and understand, and also easy to maintain and modify at a later
  date. This is a very important concept to grasp, because over 70% of
  a programmer's time is spent maintaining a program.

* Just as a machinist would not start cutting on a piece of metal without
  a blueprint, a computer programmer does not just sit down at the
  computer and write a program. You should have a well thought out plan
  completed before you start coding.

* The first thing to do is clearly state the problem to be solved. Computer
  programs are usually written to solve a problem. The problem may be as
  simple as balancing your checkbook, or as complicated as producing an
  entertaining game for yourself and your friends. So the first thing that
  needs to be done is to define the problem.

 * There are at least three parts in a problem statement: 
    
    * The output required. 
      All computer programs generate some form of output, whether it is to
      the screen, the printer, a modem, or another device such as a stepper
      motor, or LED. Your problem statement should clearly define the output.  
    * The input required.
      Your problem statement should clearly define what kinds of input are
      required to produce the required output. Input may be from the
      keyboard, a modem, or another device such as a scanner.
    * The processing, or algorithm.
      An algorithm is a list of steps needed to solve the problem. What is
      required to get from Input to Output. This includes any
      formulas needed for calculations.

      An easy way to remember these three parts is: INPUT>#62OUTPUT

* The next thing that needs to be done is to plan the logic of the program.
  Programmers use different methods to plan the program logic, including
  pseudocode, and flowcharts. Psuedocode is the easiest to use in this
  tutorial because flowcharts require graphical symbols which are not easily
  represented without using an imbedded graphic file. Psuedocode is just like
  an outline for a class paper. It is written in plain English, and is a
  step-by-step sequential plan of how the program will work.
  The QBasic interpreter follows directions in sequence. It executes the
  first line of code, then the next line, and so forth until the program is
  completed. The psuedocode should follow exactly the sequence that the
  computer will follow. It is sometimes a good idea to "play computer" in
  order to test the logic of the program before you actually code it.

* Once you have clearly stated the problem in terms of INPUT>#62OUTPUT
  and written your program in psuedocode; then tested the logic of the
  program by "playing computer", you are ready to code the program.
  Coding the program means to write the program using the keywords,
  statements, and functions that make up the QBasic programming language. The
  program may be written on paper first, and keyed into the QBasic edit
  window afterwards, or you may key the program directly into the QBasic edit
  window. You are encouraged to write your code on paper in the beginning.
  Then, as you gain experience, key your code directly into the QBasic
  editor.

* Test and debug the program after you have keyed it into the QBasic IDE.
  
  QBasic has syntax checking and will tell you if you make a mistake or don't
  follow the rules of programming. To run a program, press <F5>.
-----------------------------------------------------------------------------
                     email: kwmelvin@nr.infi.net
-----------------------------------------------------------------------------
<PAGEEND:"Tutorial.Planning.File">

<PAGESTART:"Tutorial.Modular.File">
=============================================================================

                             Modular Programming

=============================================================================
                            By: kwmelvin@nr.infi.net
                            Edited By: Arpith Jacob
-----------------------------------------------------------------------------

*  The goal of modular programming is to break down a large,
   complex program into small parts that are more easily understood.

*  Planning, coding, and testing these small, relatively simple units, is
   much easier than trying to manage one large complex body of code.

*  As a programmer, you must develop the ability and skill to look at a large
   problem and divide it into smaller functions. Once you have learned to do
   this, your programs will be coded more quickly, will be more likely to
   work correctly, and will be easier to read and be understood by others.

*  The primary rule for program modules is that each module must have only 
   one entry point and one exit point.

*  Each program module is designed to accomplish a specific task. This is the
   black box concept of modular programming. Generally, some data is input
   to a module, processed, then data is output from the module. The details
   of what happens within the black box are not important to the overall
   program. What is important is that for a given input, the module will
   reliably produce the desired output. That module could easily be replaced
   by another, without changing the rest of the program. It is important that
   each module stand alone.

*  Cohesion refers to the internal strength of a module. It is an indication
   of how closely related each statement in a module is to the others. As
   cohesion is increased, module independence, clarity, maintainability, and
   portability are increased.

*  The best modules are those that accomplish one task; and all statements
   in the group relate to that one function. It is not always possible to
   isolate each function into a module, especially in small programs. Such an
   attempt can cause many one-line modules. But one-line modules are often
   preferable to an uncohesive, poor, utility module.

*  Coupling refers to the connections, or interfaces, between modules.
   As a rule of thumb, modules should be loosely coupled; that is, what goes
   on inside one module should not affect the operation in other modules.

*  The control for execution of program modules must come from above.
   When a decision will determine which function to perform, place that
   decision at as high a level as possible.
-----------------------------------------------------------------------------
                            email: kwmelvin@nr.infi.net
-----------------------------------------------------------------------------
<PAGEEND:"Tutorial.Modular.File">

<PAGESTART:"Tutorial.Struct.File">
=============================================================================

                             Structured Programming

=============================================================================
                            By: kwmelvin@nr.infi.net
                            Edited By: Arpith Jacob
-----------------------------------------------------------------------------

*  Structured programming is a step beyond modular programming with guidelines
   for good modules and poor modules. Structured programming guidelines also
   define proper flow control and coding standards.

*  Structured Programming Guidelines are designed to make programs more
   readable and easier to understand:

   1. Use meaningful variable names.
   2. Code only one statement per line.
   3. Use remarks to explain program logic.
   4. Indent and align all statements in a loop.
   5. Indent the THEN and ELSE actions of an IF statement.

*  BASIC was not designed as a structured language, but the current additions
   to the language now permit the programmer to adhere to the three proper
   constructs. All programming can be done with combinations of these three
   constructs:

   1. SEQUENCE  -- Statements are executed one after another.
   2. SELECTION -- Choosing one course of action or another.
   3. ITERATION -- Repeating a group of instructions multiple times
                   without the necessity of rerunning the program for 
                   each set of new data. This is the loop structure.

*  Programming is a problem-solving activity. If you are a good problem-solver,
   you have the potential to become a good programmer. There is nothing that
   says that problem solving is a difficult activity. If you are willing to
   learn and follow the basic guidelines presented in these tutorials, your
   programming skills will improve and the activity of programming will be an
   enjoyable one.
-----------------------------------------------------------------------------
                         email: kwmelvin@nr.infi.net
-----------------------------------------------------------------------------
<PAGEEND:"Tutorial.Struct.File">

<PAGESTART:"Tutorial.Tutorial1.File">
============================================================================
                          BEGINNERS BASIC QBASIC TUTORIAL

FULL CREDIT TO THE CREATOR: Steven Salmon from the Beginners BASIC Home Page
                             EDITED BY: Arpith Jacob
============================================================================

CONTENTS:

1. QBasic Chapter Introduction
2. QBasic Chapter 1 - PRINT, CLS, FOR...NEXT, STEP
3. QBasic Chapter 2 - VARIABLES
4. QBasic Chapter 3 - IF...THEN, ELSE, INPUT
5. QBasic Chapter 4 - SCREEN MODES, COLOUR
6. QBasic Chapter 5 - LOCATE, BEEP, DATE$, TIME$
7. QBasic Chapter 6 - LOOP STATEMENTS
8. QBasic Chapter 7 - SELECT CASE
9. QBasic Chapter 8 - OPERATORS, RANDOMIZE FUNCTION
10. QBasic Chapter 9 - BASIC GRAPHIC TECHNIQUES
11. QBasic Chapter 10 - GOSUB, SUB PROCEDURES
12. Credits....REGISTER


--------------------------------
1. QBasic Chapter:- Introduction
--------------------------------


So welcome to the Introduction part of this long ongoing tutorial which 
hopefully will make you understand the concepts of basic programming. 
If you are a intermediate "C" programmer and wish to learn basic, this would
be a good place to start. What I do advise though for new basic programmers
is that you don't skip the tutorial unless you are perfectly clear on what 
is happening. If there is a programming example which you know how it works,
I still feel that you should type it in. Reason for this is you need to 
understand programming layout more at first than you do of the heart of 
programming. Layout can be a very important factor to programs, you will 
understand this later in the tutorials.

So the first thing you need to do is load up QBasic. Once QBasic is loaded 
your screen should look something like a text editor. You will observe a 
blue background with a window which display's relevant information about 
QBasic. Press "ESCAPE" to clear this window. You should now notice the 
cursor is flashing in the top left corner. 

QBasic has a very helpful help system built in. Let's take a look at what 
is available in Help. Follow these next steps:

Press SHIFT first then F1 

You will now see the help file. I suggest you read the information displayed
because you will find that it very useful.

If you are using a mouse, which is recommended, you can enter the help by 
clicking the leftmouse button on the word help which can be found in the 
titlebar at the top. If you are using Windows 95 you might find that there 
is a problem with the mouse within QBasic. Quite simply there is no pointer
which means your mouse is not actually being used. The simple way to get 
around this problem is this: 

1. Print out this Document.
2. Exit Windows 95 to MS-DOS.
3. Load the mouse driver.
4. Load QBasic. 

The problem is that Windows 95 does not allow external Mouse Drivers to be 
loaded. If you are pretty fluent with how your PC works, it might be a good 
idea to create a Bootable disk which will load everything up in one go. 
Failing that you could reset your machine. Before "Loading Windows 95" message 
appears press F8, which will allow you to boot in all these different 
wonderful ways. 

These programming examples does not really require you to use the mouse 
anyway. It will just take a little longer to learn the hotkeys which will 
allow you to do various tasks that the mouse would of done. 

Anyway back to programming. If you still have the Help file displayed, press 
"ESCAPE" to clear it from your screen. The way your screen is laid out is 
something which you will pickup a little later. It is not important at the 
moment, but what is important is the drop down menus. To access the drop down 
menus, press ALT followed by beginning letter of each menu heading. For 
example to access the FILE menu we would press this: 

Press ALT first then F 

You can now jump different menu's by pressing the right cursor arrow, and of 
course to go back the other way you would press the left arrow key. To select 
an item you would use the up and down cursor arrow keys. The arrow key's are 
usually located to the right of your main keyboard but to the left of your 
mumeric keypad. 

Have a browse through what options are availble, but more will be explained 
later. 

Important Info:

There are still a few things to remember when programming. To be safe always 
save your work at regular intervals. If a powercut decides to happen you know 
that you have not lost too much work. It has happened to me, so don't say I 
have not warned you. 

When saving your work make sure you call it decent file name. It's no good 
calling a calculator program "BERTY.BAS". Remember that file names can only be 
8 characters long. All QBasic programs will have the .BAS extension. If you 
call a file "PROGRAM", QBasic will replace it with "PROGRAM.BAS". I will 
mention more important points later when they spring to mind but for now lets 
get our fingers dirty with some very basic QBasic programming.


---------------------------------------------------
2. QBasic Chapter 1 - PRINT, CLS, FOR, NEXT, STEP
---------------------------------------------------


Load up QBasic and then press "ESCAPE" to clear the info dialog box. You 
should see an empty blue screen with the cursor flashing in the top left 
corner. The first program we are going to write will be very simple. It will 
display a message on the screen. Type the following: 

PRINT "Hello World" 

Once you have typed the very small program into the main editor you are ready 
to run the program. In QBasic you can run a program in a number of ways. The 
easiest method is by pressing F5. Do that now. You will find that the screen 
clears to black and prints the word "Hello World" in the top left corner. 

Sometimes if you load QBasic from DOS you will find that the remains of the 
commands are left in the background. For example C:>QBasic would be left in 
the background if you loaded it from DOS. You don't need to worry about this 
as the CLS command will sort your problems out. CLS command will Clear the 
Screen for you before doing the next operation. For example type the following 
in and press F5. 

CLS
PRINT "Hello World" 

Once you run the program you will find that access information left behind 
will be cleared away and you will be left with a black screen with "Hello 
World" printed in the corner. "PRINT" and "CLS" command's are available in my 
Reference section. 

With the "PRINT" statement you can have as many as you like in a program. For 
example type the following: 

CLS
PRINT "Hello World"
PRINT "Hello Again"
PRINT "Goodbye!" 

This will print all three lines on the screen one after the other. So far you 
should not have had any error's. If you had it might of been one of the 
following: 

PRINT ""Hello World"" 

You cannot have no more than two inverted commas(") in any print statement. 

CL S 

This command should read CLS not CL S. 

CLS
PRINT "Hello World 

Don't miss the inverted comma from the end or the beginning of the print 
statement. 

Here is a handy tip. Move the cursor up to the end of the "PRINT" statement. 
It does not matter which "PRINT" statement. Press F1. A Help file will be 
displayed containing information of that particular statement. Very helpful if 
you get stuck on a particular command. 

So far you have learned two brand new commands. Being "PRINT" and "CLS". Now I 
will introduce you to two further commands. These are called "FOR" and "NEXT".
These commands are very useful. To clear the previous program hold down ALT 
and then press F. Follow on screen instructions until you start with a fresh 
page. 

Now type the following program exactly how it is shown below. 

CLS
FOR i=1 to 10
PRINT "Hello World"
NEXT i 

Press F5 to run the program and see what happens. You will find that the word 
"Hello World" is printed 10 times down the screen. Now let's break down the 
program and see how it works. 

CLS 

Clears the screen of any leftover rubbish which might be around. 

FOR i=1 to 10 

This is the interesting bit. "i" is a variable, variables are talked about in 
the next chapter, the variable will store a value. To start with, the variable
will hold the value of 1. Everytime the "NEXT i" statement is reached the
program will check to see if the variable "i" is 10. If it is not 10, then the
program will continue and jump back to where the "FOR" command was. It is like
a loop, everytime the "i" variable is not 10 it will jump back and increase
the number by 1. So if you set the "FOR" loop to 20, "NEXT" will check to see
if "i" has reached 20. For example: 

1,2,3,4,5,6,7,8,9,10 STOP!!!! 

or

FOR i=1 to 20

1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20 STOP!!!! 

Everytime the program loops over it will do everything contained between the 
"FOR" and "NEXT". If you were to write the program like this: 

CLS
FOR i=1 to 10
NEXT i

The program will still do the same thing but not do anything between the "FOR" 
and "NEXT". The reason for this is because there is nothing there in the first 
place. Picture it as a 10 second clock. The clock will go 1,2,3,4,5,6,7,8,9,10 
then re-start over again. The same principle is in the above example except we 
are not starting over again. 

In the above example the program is adding 1 to the "i" variable everytime it 
hits the "NEXT" statement. We could change the program so it will add 2 to the 
"i" variable. See if you can work out what the next program will do before you 
run it by pressing F5. 

CLS
FOR i=1 to 10 STEP 2
PRINT "Hello World" NEXT i

Above we have introduced another command called "STEP". This command specifies 
how much to increase the counter on every loop from the "NEXT" command. The 
"FOR" and "NEXT" loop is like a counter. It's like you and me just counting 
how many fingers we have. In the above example it will increase the counter to 
2 on every loop from the "NEXT" statement. Here's an example: 

2,4,6,8,10 STOP!!!! 

We understand what the "PRINT" statement does. It will print "Hello World" 10 
times down the screen unless you change any value's contained within the "FOR" 
statement. 

The "NEXT" statement is easy and was really explained above. Try changing the 
"NEXT i" statement to "NEXT" and and see what happens. Basically you are just 
taking the "i" off the end of the row. If you do eliminate the "i" variable on 
the "NEXT" statement, the program will still work. But what I do suggest is 
keep to what I explained above for now because in a large program it is nice 
to see what "NEXT" does what. I will go into the "NEXT" statement in more 
depth later. 

So the program will print "Hello World" five times on the screen because we 
are increasing the counter by double. It may seem complicated to start but 
with like any language everything will fall into place. Best thing to do is 
try changing the "STEP" value in the above example to see what kind of results 
you get. Further to that try changing the "i" value and the "to" value to 
something else. Have a good play that's what I say. 

So in this chapter you have learned five new commands. These are: 

PRINT, CLS, FOR, NEXT, STEP, 

Later I will explain what else you can do with these commands, but try having 
a look at the help file. You need to understand about variable's and string's 
and how they are used. In the next chapter I will introduce you to this.


---------------------------------
3. QBasic Chapter 2 - VARIABLES
---------------------------------


Variable's are very important in all programs in some form or the other. With 
variable's you can store relevant numeric information which can be operated on 
later. For example you could have 5 different numbers which you may want to 
add together. This can be down very easy in basic. You had seen in Chapter 1 
a variable being used in the "FOR" and "NEXT" statements. We gave the "i" 
variable a value of 1 to start with then we added 1 to it everytime we looped 
using the "FOR" and "NEXT" statement. So to make things simple here is a 
proper description: 

A variable is simply a name you give an area in memory in which a data value 
is stored. When you need to retrieve that piece of data, or modify its value, 
you can refer to the memory location by the variable's name. For example in a 
telephone program the variable age might hold the person's current age. As the 
program runs, the value stored in name might change several times over a 
couple of years. 

Naming Variables:

You are free, in any program, to give variable's a meaningful, descriptive 
name. When you come to write a program think about what each and every 
variable name should be. In any program try to make variable name's apply to 
whatever the variable is storing. For example the variable name telephone will 
oviously store a telephone number of some sort. So if it is a telephone number 
you want to store, it's best not to call it something like eggs. Believe me, 
it will make life far easier later when you come to write long programs. 

Variable's come in all shapes and sizes. Here is a common variable list: 

1. The first character must always be a letter(i.e A,G,D,F,z,e,t, or y) 

2. After the very first letter in a variable name you can have letters,       
   digits or underscores. 

3. The final character can either be %,&,!,#,$ or nothing. VBasic users          
   should really keep to the final character being the above and not leaving
   it out. 

4. Remember variable name's cannot be reserved words. For example in QBasic       
   there is a statement called "PRINT", you must not use this or any other       
   statement name for a variable name. 

In QBasic it does not matter if your variable names are either uppercase or 
lowercase. For example if you type a variable name as COST and then later in 
the program you type the variable name as cost, you will find that the 
variable name will match any other in the program. If you a program already 
typed in please clear it by using NEW from the file menu at the top of the 
screen. Here is program that I would like you to type in exactly as show 
below. 

CLS
cost=123456
PRINT cost
COST=789101
PRINT cost

As you can see there are a number of things happening when you type the 
program into QBasic. Firstly notice how the statements change from lowercase 
to uppercase. You can see this only if you type in the program as it is 
displayed above. The next thing to be noticed is how the variable name's 
change from lowercase to uppercase. As mentioned before everything will change 
as you type in a program, but the operation will always be the same. 

If you have typed in the program from above, press F5 now. This will run the 
program. The screen should clear and the information should be displayed. What 
the program is doing is storing 2 different value's into the variable name 
"COST" or "cost"(depending on how it was writtin in.) Firstly it will display 
the first value and then after changing during the program, it will display 
the new value. So program's can change variable information in no time at all 
and as many time's as you like. 

Picture a variable as a box. You first put a number into a box, for example 1. 
You then replace the number to 5. This operation is the same as taking the 
number 1 out of the box and putting the number 5 into it. You must remember 
that QBasic can only handle variable name lenght's upto 40 characters. So we 
have now talked about numeric variable's. Below we are going to talk about 
string's. 

Strings:

A string is a way in basic where you can store information in a variable. For 
example you could store a user's name or address in a string. Here is a little 
code to show you how it works: 

CLS
name1$="Freddy Bloggs"
name2$="Freddy Bloggs Sister"
PRINT name1$
PRINT name2$

This is a very simple program which stores information in a string variable. 
If you typed this program in and press F5 to run, it will display what is in 
the variable name's line by line. String variable name's don't have to have 
numeric value's in them. In the example above I have used two variable names 
which have both "1" and "2" on the end. I have just done this to seperate the 
different pieces of text up. You could have this: 

CLS
nameone$="Freddy Bloggs"
nametwo$="Freddy Bloggs Sister"
PRINT nameone$
PRINT nametwo$

What you must have though is the dollar sign($) on the end of the variable 
name. This let's QBasic understand that it is a string variable(string only). 
VBasic can handle string's and variable's in different ways, these are called 
Varients. But for now it's best to stick to the easy method which QBasic can 
understand. QBasic can handle upto 32,767 character's in anyone string. The 
only time you might exceed this is if you are writing a text editor. There are 
methods where you can get around this problem. If I remember I will explain 
much later. 

In the next chapter you will learn how to take data input from the keyboard 
and use it in a few different way's. So let's continue and move onto chapter 
number 3.


---------------------------------------------
4. QBasic Chapter 3 - IF, ELSE, INPUT, THEN
---------------------------------------------


Below is a short program which allow's you to print some information up on the 
screen and in the meantime it allow's you to store variable information into 
memory. Type the program out exactly as show and press F5 to run it.

CLS
name1$="Freddy Bloggs"
money1=500
name2$="Mr Blob"
money2=350
PRINT name1$
PRINT money1
PRINT name2$
PRINT money2

Once run you will find that the program will print all the information, which 
is contained in the variable's, to screen. This is a very easy method of 
printing variable's. For example you could rewrite the program to change the 
information stored in the variable's, but by asking the user for input from 
the keyboard. We are now going to do this, so clear the program you have just 
entered and type the next one in. 

CLS
INPUT "Your Name:"; name$
INPUT "Your Age:"; age
PRINT "Hello ";name$;" Your Age is ";age

This is a very good example of how to recieve input from a keyboard. Firstly 
the program will clear the screen. Next the program will ask a for a name to 
be typed from the keyboard. Next it will ask for a age, then it will print the 
results out to the screen. 

Let's take it a step at a time and have a closer look at the "INPUT" 
statement. The "INPUT" statement allows you to read characters from the 
keyboard and from files. We will be looking at files later. The "INPUT" 
statement can be used in a variety of ways, here a few for now. 

INPUT "Your Name:", name$

Notice that the ";" has been replaced by a ",". This will stop a "?" sign from 
appearing at the end of the input statement once the program is running. 
Change the program which you had typed in to the line which is shown above. 

INPUT name$

The above example will not prompt you for anything and wait for the user to 
enter something. Once return is pressed it will store the information in the 
"name$" variable. If you try the above example notice how there is a "?" on 
the screen. You can clear this by doing the following: 

INPUT "", name$

This will display nothing on the screen and just wait for a input from the 
keyboard. Once the return button is pressed it will move onto the next 
statement(if there is one). So all you have got to remember is when a string 
is a string and a value is a value. You know that a string will have a "$" on 
the end of the variable name, and a value variable will just have the standard 
name and nothing else. 

So lets recap on the second program in this chapter. 

CLS
INPUT "Your Name:"; name$
INPUT "Your Age:"; age
PRINT "Hello ";name$;" Your Age is ";age

We are doing the same sort of thing in the next "INPUT" statement. Following 
this is the "PRINT" statement. In the above program we are linking the 
variable's together and printing the one line on the screen. It may look 
complex at first but lets put it into plane English. Dont type this next part 
into QBasic. 

PRINT HELLO THEN A SPACE AND THEN PUT THE NAME$ AFTER IT. AFTER THIS PRINT 
"YOUR AGE IS" AND THEN AGE, WHICH WAS ENTERED IN BEFORE. 

It's not that difficult to be quite honest. Now I have given you the hard 
start, let's make the program above do the same thing but make it look much 
simple. 

CLS
INPUT "Your Name:"; name$
INPUT "Your Age:"; age
PRINT "Hello "+name$+" Your Age is "; age

Notice in the above example that the "PRINT" statement line has now changed. I 
have replaced some of the ";" character's with "+" character's. This make's it 
look more understandable and work's more effecient than before. The snag is 
that using the "+" symbol is that it only works with string variable's. This 
is why I could not put it on the end of the line to join up the end of text to 
the variable "age". It's a shame, but the good side again is that this method 
is used alot more in Visual Basic. You will see over the next comming 
chapter's this method being used. 

TASK 1:

1.1 Write a program that will allow you to enter a person's information and 
print it on the screen. The program should print the person's address on just 
one line but with 4 string variable's holding each part of the address. 
Remember that variable string's can contain numeric characters. The answer is 
at the end of this Chapter. 

IF.....THEN.....ELSE Statement:

In any program you write you are most sure to use the "IF" statement. The "IF" 
executes a statement or statement block depending on specified conditions. If 
that sound's complicated then take a look at the following piece of code. 
Don't give up if things look complicated, just look over and over the code 
until it clicks, It will click trust me. 

CLS
INPUT "What is your AGE:", age
IF age 

Wow look at this. A very interesting program which will check your input from 
the keyboard and then do a operation on it. What the program is doing is 
checking to see if the value you entered is above or below 18. It will then 
print the outcome on what the value was you entered. Best thing to do is type 
it in exactly as show and then run it by pressing F5. I have used the TAB key 
to make the spaces for the "PRINT" statement. This is a very good thing to 
start to do. Program layout is very important. 

Before we have a look at this program in more detail, let's go over a few 
conditions which are quite important when writing computer programs. 

                         = -------> Is Equal To
                         <> -------> Is Not Equal To
                         > -------> Is Greater Than 
                         < -------> Is Less Than 
                         >= -------> Is Greater Than or Equal To 
                         <= -------> Is Less Than or Equal To 

In the above example we were using the "Is Less Than" condition. Let's put our 
"IF" statement into a little plain English. All we were doing is: 

If age is less than 18 then print "you are underage". If 18 or higher print 
"your fine!!!!" 

When the above operators are talking about "Equal", we are talking about the 
same or that value. For example "IF age 18 THEN END" would mean if age is not 
18 then end. It just takes a little while to think about it, once you've done 
that your are well on your way with the "IF", "THEN" and "ELSE" statements. 

INPUT "1 or 2? ", i%
IF i% = 1 OR i% = 2 THEN
    PRINT "OK"
ELSE
    PRINT "Out of range"
END IF

Above is a example taken from QBasic. Observe what is happening. Firstly the 
program is asking for a number. You can either enter 1 or 2. The program runs 
the "IF" statement to see if the number which was entered is 1 or 2. If the 
number is 1 or 2 it will print "OK", if it's not 1 or 2 it will print "Out of 
range". After this it will just do a standard "END IF" finish. 

By just looking at some of the program's which have been written, you can see 
how easy they are doing the job. More complicated information of the "IF", 
"THEN" and "ELSE" statement can be found in the QBasic Help file. You can 
access this by typing "IF" and pressing "F1". 

Task 1 Answer:

CLS
INPUT "Name:", name$
INPUT "Address1:", address1$
INPUT "Address2:", address2$
INPUT "Address3:", address3$
INPUT "Address4:", address4$
INPUT "Telephone:", telephone$

PRINT name$
PRINT address1$ + ", " + address2$ + ", " + address3$ + ", " + address4$
PRINT telephone$

So you have learned the "IF", "ELSE", "INPUT" and briefly the "THEN" 
statement. We will be looking at the "THEN" statement in more detail. In the 
next chapter I will be introducing you to more new commands and another task. 
Also you will learn how to use loops to make your programs do something 
exciting. Keep with it and good luck. 


-----------------------------------------------
5. QBasic Chapter 4 - SCREEN MODES, COLOUR
-----------------------------------------------


When writing a QBasic program, your screen layout is one of the most important 
features of the program. You must make the program's screen clear to read and 
not to have bit's and bob's that don't really need to be there. In previous 
example's we have used a basic black screen with just a white colour text. In 
the following example we are going to change all of this to make your programs 
stand out. Type the following in exactly and press "F5" to run. 

SCREEN 12
COLOR 10
PRINT "We are using a Light Green Text With a Black Background"
PRINT "Screen resolution is 640x480 with 256 Colours!"
FOR i = 1 TO 60000
NEXT i 

SCREEN 9
COLOR 10, 8
PRINT "We are using a Light Green Text With a Blue Background"
PRINT "Screen resolution is 640x350 with 64 Colours!"

So from the above code example I have introduced two new commands. These 
commands are "SCREEN" and "COLOR". Let's have a closer look at the "SCREEN" 
statement. 

QBasic can handle many different screen modes. When I say screen modes I am 
talking about different sizes and colours. Here is a run down of different 
screen modes in QBasic. 

SCREEN 0: Text mode only
SCREEN 1: 320 x 200 graphics
SCREEN 2: 640 x 200 graphics
SCREEN 4: 640 x 480 graphics
SCREEN 7: 320 x 200 graphics
SCREEN 8: 640 x 200 graphics
SCREEN 9: 640 x 350 graphics
SCREEN 10: 640 x 350 graphics, monochrome monitor only
SCREEN 11: 640 x 480 graphics
SCREEN 12: 640 x 480 graphics
SCREEN 13: 320 x 200 graphics

The screen modes above are available to all QBasic users. Screen modes are 
very important to programs. For example if you wanted to draw lines, boxes and 
circle's on the screen with any kind of graphics method you would require a 
screen mode which allow's you to draw graphics. Most of the screen modes above 
works with fairly recent PC's. A few years ago some modes would not work 
because you would need a certain graphics adaptor. Thats why recent PC's are 
designed to handle older types of screen modes such as CGA,EGA,VGA and now 
SVGA. 

O.k so what benefit do you get from different screen modes. Well, some screen 
modes above allow you to use more colours than others. In the first program in 
this chapter, I gave you a program which will use two screen modes. One has a 
maxium of 256 colours and the other only allow's you to use 64 colours. When 
writing a program think about how many colours you are really going to need 
and at what resoultion are you going to have the display screen. 640 x 480 is 
a very nice resolution which is screen mode 11. Try changing the screen modes 
in the first chapter program and see what you get. Remember that some screen 
modes may not work, so don't worry about this. For more information on screen 
modes, type "SCREEN" into QBasic and press F1. 

Using Colours with Screen's:

So the first program used two different screen modes and some different sets 
of colours. Let's look closely at the "COLOR" command. 

Firstly the "COLOR" statement allows the user to select specific background 
and forground colours for the program. It even allows you to select a border 
colour. The border is the area which surrounds the screen. The "COLOR" 
statement can be placed anywhere in a program just like any of the commands 
mentioned so far. At the end of this chapter there is a brief description of 
the commands you have learnt so far. So to put the command in pratice let's 
write a interesting program. I am not going to tell you what it does yet, so 
for now, just type it in and run it by pressing "F5". 

SCREEN 12
CLS
FOR i = 1 TO 15
COLOR i
PRINT "Testing Testing 1.2.3"
NEXT i

So here we a go, a simple program. Can you guess what it is going to do from 
what we have learnt so far? Well let's take it command by command to see how 
it operates. 

SCREEN 12

We are now going to select Screen Mode 12. This will allow us to use, from a 
pallete of 256 colours, 16 colours. More information in the QBasic Help file. 

CLS

We know that this will clear any garble left behind on the screen from before. 

FOR i = 1 TO 15

We are setting the variable "i" a intital value of 1, which will be 
incremeted(increased)by 1 later. 

COLOR

We are giving the "COLOR" statement a starting value of 1 which came from the 
"i" variable in the "FOR" statement. 

PRINT "Testing Testing 1.2.3"

We are now to print the words above on the screen. 

NEXT i

When the program runs it will repeat the "FOR" and "NEXT" loop until the "i" 
variable reaches 15, which is defined in the "FOR" statement above. 

So when the program runs it will display 15 pieces of text which are each a 
different colour. Notice how there are only 15 pieces of text when we should 
be displaying all 16 which we have got available. To do this we should change 
the "FOR" statement to this. 

FOR i = 0 TO 15

Note how we changed the value of "i" to zero first. This is because the colour 
0 is black. If we changed it from 1 TO 16 we would get a error because the 
"COLOR" statement in screen mode 12 can only handle 16 colours at anyone time. 
Have a little play with the "FOR" and "NEXT" loop. 

This is how the "COLOR" statement works. 

COLOR [foreground][,[background][,border]] --- Screen mode   0
COLOR [background][,palette]               --- Screen mode   1
COLOR [foreground][,background]            --- Screen modes  7-10
COLOR [foreground]                         --- Screen modes 11-13

As you can see from the first program in this chapter, we can define not just 
the foreground text colour but also the background colour. The "COLOR" 
statement works quite different in other screen modes. To see what does work 
and what does not work, look at the help file under "COLOR". This will be a 
ideal reference for you to use, when selecting colours for various parts of 
your programs. The "COLOR" statement is explained in more detail in a couple 
of chapters from now. Oh! Also the "COLOR" statement is not used by all Basic 
programming languages. You will need to check this up by looking at your user 
guide. 

Task 1.2:

Write a colourfull input program which will ask for a user's name and age. 
When you output it to the screen make sure the writing is of a different 
colour. Hint: Use screen mode 12. The answer is at the end of the chapter. 

Review of Commands Learnt:

PRINT
FOR
NEXT
CLS
SCREEN
COLOR
INPUT
STEP
IF
ELSE
THEN
ENDIF

Quite a few of these commands will be mentioned in more detail later in the
chapter, but you are not doing to bad. The main thing is experiment with what 
you have learnt, and you will pick it up nice and easy. 

Task 1.2 Answer:

SCREEN 12
CLS
COLOR 3
INPUT "Name:", name$
COLOR 5
INPUT "Age:", age
COLOR 9
PRINT "Hello "; name$
COLOR 10
PRINT "You are"; age

The code is nice and simple and gives a good result. You program should look 
something like this, but your colours will probarly be different than mine. 
Try typing my program in and see if you get the same result as me. If you are 
close then well done, if not then don't worry! 

So you have now learned a little about screen modes and colors in QBasic. 
Remember the screen mode and any colours can be set at anytime in a QBasic 
program. Remember that you don't need to keep using the "CLS" command all the 
time, the screen should clear automatically when a new screen mode is 
selected. Keep going and well done. 

In the next chapter we are going to learn about screen layout and introduce 
you to some very useful command's such as "LOCATE" and "DATE$". Also you will 
learn how to make the computer respond back to you by using a useful warning 
command such as "BEEP". The "IF" and "ELSE" statement is mentioned and used in 
more detail than so far. See ya soon!


------------------------------------------------
6. QBasic Chapter 5 - LOCATE, BEEP, DATE, TIME
------------------------------------------------


When you write a program in QBasic it is nice to place your text somewhere on 
the screen. Within previous examples so far we have just had the text printed 
in the top left side of the screen. We can use a specific command which will 
place text anywhere on the screen, this command is called "LOCATE". Below is a 
simple syntax. 

LOCATE row, column, cursor 

row:

The number of a row on the screen; row is a numeric expression and must be a 
integer value. If a row value is not specified, then the line (row) does not 
change. 

column:

The number of a column on the screen; column is a numeric
expression and must be a integer value. If a column value is not
specified, then the column location does not change.

cursor:

A value indicating whether the cursor is visible or not. A value of 0 (zero) 
indicates cursor off; a value of 1 indicates cursor on. 

Before we go any further let me just briefly explain what a integer is. A 
interger is a whole number ranging -32,768 to +32,767. This means that a value 
of 21566 is a integer, and a value of 2343992 is a long integer. But from now 
on integer variables are going to be used like below within example's in this 
chapter. 

money%=599

O.k here is a little code to show you how "LOCATE" command works. 

SCREEN 12
CLS
LOCATE 5,10
PRINT "Hello World we are at 5,10"
LOCATE 10,15
PRINT "Hello World we are at 10,15"

If you type this program in and press "F5" you will find that the words "Hello 
World we are at y,x" are placed in various locations on the screen. The y,x in 
the last sentence is whatever is placed into the program oringinally. Try 
changing the "LOCATE" statements in the above program to something different. 
Press "F5" to run. 

The first "LOCATE" statement in the program we just typed in moved the 
following "PRINT" statement 5 lines(rows)down and 10 
Characters(columns)across. What you must remember is that whatever "PRINT" 
statement follows the "LOCATE" it will only do the operation on the following 
statement. 

The locate statement does not have to have a value representing the row or 
column all the time. For example we could have: 

LOCATE 5 

This will simply move the "PRINT" statements output to 5 rows down the screen. 
We can also have this: 

LOCATE , 5 

This will simply move the "PRINT" statements output to 5 column across the 
screen. So again you dont have to specify the arguments all the time. 
Arguments are the information which is required for a statement to work. For 
example: 

LOCATE argument1, argument2 

In which case argument1 would be row and argument2 would be column. Have a 
little play with the "LOCATE" command and see what you come up with. 

Sounding a BEEP!!!:

Within QBasic you can make your computer do a simple sound effect which might 
represent a warning or a showing of information. This command is called 
"BEEP". Its very very easy to use. To try it enter the following 1 line 
program and press "F5" to run. 

BEEP

Simple!. It will generate a high pitch sound. You can place the "BEEP" command 
anywhere within a program. In the following program the "BEEP" command is used 
together with some other bits you have learnt so far. Type the following in 
and press "F5" to run. Remember to delete the program which you typed in last. 

SCREEN 12
CLS
checkpass$ = "fred"
LOCATE 5, 5
INPUT "Please Enter Password:", password$
IF password$ = checkpass$ THEN
        CLS
        LOCATE 5, 5
        PRINT "Login Correct"
ELSE
        CLS
        LOCATE 5, 5
        PRINT "Login Incorrect!!!"
        BEEP
END IF

The program above may look a little complicated at first but really it's very 
easy. Firstly the program will change screen mode to 12. Following this it 
will clear the screen to get rid of any bits left behind by other programs. 
The next statement will tell the variable "checkpass$" to have the word "fred" 
stored within it. We then setup the screen to ask for a password. Once the 
password has been entered it will store the information within the variable 
called "password$". The "IF" statement following will check to see if the 
variable "password$" is the same as the variable "checkpass$", which if it is 
then it will print "Login Correct" upon the screen. If the password is not 
correct it will jump to the "ELSE" statement and print "Login Incorrect!!!". 
Also a loud beep will come from the computer's internal speaker. 

The we go a simple inputting and checking program. You can also check for 
invalid numbers. Here is a program which allow's you to do this. 

SCREEN 12
CLS
checknumber% = 50
LOCATE 5, 5

INPUT "Please Enter a number(0-100):", number%
IF number% >= checknumber% THEN
        CLS
        LOCATE 5, 5
        PRINT "50 or Above!!!"
ELSE
        CLS
        LOCATE 5, 5
        PRINT "49 or Below"
END IF

Again another simple program which checks to see if a number entered is higher 
or lower than the one which is stored into the variable called "checknumber%". 
Firstly the "checknumber%" variable is holding the value of 50, which is 
checked by the "IF" and "ELSE" statement, just like the password program 
before. The "IF" statement is checking to see if the value you typed in is 
greater than or equal to the value stored in the variable called 
"checknumber%". For example if you typed in 49 you would get a result of "49 
or Below" printed on the screen. However if you type 50 or more into the 
program you will get a result of "50 or Above!!!" printed on the screen. 

Date and Time:

QBasic allows the user to find out what the system date and time is. To do 
this you can use two simple commands such as "DATE$" and "TIME$". You can also 
set the time and date from within a QBasic program, but this will be explained 
much later. 

Type the following program in and press "F5" to run. Remember to clear the 
previous program from within memory. 

CLS
PRINT "Todays Date is:", DATE$
PRINT "Todays Time is:", TIME$

Press "F5" to run and you should see the date and time displayed on your 
screen. There is not much else I can tell you about the "DATE$" and "TIME$" 
command until later. You could try writing a program which will display the 
date and time at the top of the screen and ask a user for a password. 

You have now learnt a further 4 QBasic commands. Remember that you can get 
online help by just pressing the "F1" by any command on the screen. In the 
next chapter I will introduce some basic looping techniques which will 
continue a operation until something happens such as a user pressing the 
keyboard or until something makes the loop stop. Thanks for reading! 


--------------------------------------
7. QBasic Chapter 6 - LOOP STATMENTS
--------------------------------------


Within QBasic you can create a program which will do something for either a 
period of time or until a user makes the computer do something else. In this 
part of the tutorial I am going to introduce a few techniques which allow you 
to do this. We have already looked at one kind of loop which is the "FOR" and 
"NEXT" loop. This loop operates in a completely different way for previous 
examples. 

I am now going to introduce you to the "DO" and "LOOP" loop commands. Here is 
a Basic program which will just loop over and over again until the user stops 
it by pressing the keys CTRL & BREAK. Type it and run it by pressing "F5". 

CLS
DO
PRINT "HELLO WORLD"
LOOP

From this example you can see the words "HELLO WORLD" print forever down the 
screen. It might not be clear at this point, but the program is actually do 
something. You can ofter notice the flicker(if any) at the bottom of the 
screen. 

As you can see the "DO" and "LOOP" commands are quite effective even at this 
point. Let's break the commands down and see what they actually do. 

DO:

This command with set the start of the loop which executed everything in 
between the "DO" and the "LOOP" commands. 

LOOP:

The "LOOP" command is executed only if "DO" is present, such as the previous 
examples. Everytime a "DO" command is in your program it expects to find a 
"LOOP" command. 

There is more to "DO" and "LOOP" than just looping forever. Let's build onto 
the commands by getting some kind of response back from the computer. I am now 
going to introduce you to a further command called "WHILE". This command is 
quite effective but sometimes complicated to understand. Here is a simple 
example which need to be typed in and run. 

CLS
DO WHILE I < 10
    I = I + 1
    PRINT I
LOOP

The program may look complicated but really it is not. When you run the 
program it will simply print 1 to 10 down the screen. The program is actually 
checking to see if the variable I = 10 and if it does then the program will 
finish the loop. 

Firstly we are starting the loop and saying while I is not 10 then print the 
value to screen. In which case the program will jump straight back to the 
beginning and check the variable to see if it has reached 10. It is simple, 
but make sure you follow it through. Try changing the first line to a value of 
20 and see what it does? The line should now read: 

DO WHILE I < 20

Strange may it seem but if you now run the program it will print 1 to 20 down 
the screen. To take things a step futher we can now give you a choice on where 
to put the "WHILE" command. Before I do give you another programming example 
let me just briefly explain a little more about the "WHILE" command. 

WHILE 

There is only a little which I can tell you about the "WHILE" command because 
it is best explained in co-operation with another command called "WEND". The 
"WHILE" command allows you to check a condition of something to give results. 
As show in a previous example it is classed as a checking command. 

The "WHILE" command can be placed elsewhere in the programming example I gave 
you before and give the same results. Here is the code which does the same as 
before. 

CLS
DO
    I=I+1
    PRINT I
LOOP WHILE I < 10

So as you can see from the program above, it will give the same result if you 
run it by pressing "F5". So the "DO" and "LOOP" loop give's you some kind of 
flexibility when deciding when to place code into a program. This allows more 
control over program layout and design, keep this in mind. Loop's are 
explained and user in more detail later in the chapters. 

Understanding User Input:

User input is a vital part of any program. For example I have already covered 
how to handle variables and strings. Also I have covered how to use the 
"PRINT" command in a little detail. We are now going to put our built up 
knowledge into pratice and write a more complex program. Don't worry if the 
program look's a little complicated and clever, it is easy, just follow it 
through bit by bit and everything will come clear. 

CLS
        Password$ = "APPLE"
DO
        INPUT "What is your Password:", Pass$
        IF Pass$ = Password$ THEN Enter = 1
LOOP WHILE Enter  1
CLS
PRINT "You have Entered!"

After you type in the program and press "F5" the screen will clear and ask you 
to enter a password. If you enter anything but "APPLE" it will ask you again 
and again until it have been entered correctly. Remember that the program is 
checking to see if you are typing the program in lowercase and uppercase. This 
program will only except the word apple to be written "APPLE", not "appple". 
Later in the chapters I will explain how you change words that are in 
lowercase to uppercase without pressing the CAPS LOCK or SHIFT keys. 

A Easy look at WHILE:

Below is the source code for a more simple program which will demostrate the 
"WHILE" command. Type the following into QBasic and press "F5" to run. 

DO
    I = I + 1
    PRINT I
LOOP WHILE I  1000

The above program makes it more clear to understand the "DO LOOP WHILE" 
commands. If you type the program in a run it, it will count from 1 to 1000. 
This is easy to understand if you look at how the program is doing it. Firstly 
we are telling the computer to start a loop by using the command "DO". Next we 
are asking the computer to start a variable called "I". The next statement 
will print the value of I onto the screen, in which case the first number 
would be 0. The computer has started the variable at a value of 0. The next 
part of the program will check to see if the value in the "I" variable is 
1000, if not it will jump back to the start of loop, in which case it is the 
"DO" statement. The computer will then tell the variable to add one to the 
previous value of the "I" variable, in this case it would make "I" = 1 then 2 
then 3 etc. 

With the above program you could change the "I = I + 1" to "I = I + 2". This 
would cause the computer to add 2 to the variable "I" until the computer 
reaches the final statement which is the "LOOP WHILE" for checking to see if 
"I" has reached 1000. 

CLS
        oldname$ = "FRED"
DO
        INPUT "What is your name:", name$
        IF name$ = oldname$ THEN entrance = 1
LOOP WHILE entrance  1

Again above we are using a similar kind of program, like the password program, 
which allow's user input to check a variable against each other. The above 
program will ask you to enter a name. If the information you typed in is the 
same as what is contained in the "oldname$" variable then program will exit, 
if nothing is the same then the program will continue. 

Have a little pratice at using variable's with the "DO LOOP" kind of loops and 
see what you can come up with. In this chapter you have learnt the basic's of 
loop control with data input from the keyboard. In the next chapter I am going 
to introduce a simple menu program which uses a few new commands such as the 
"SELECT", "CASE" and "IS" commands. I shall warn you now that the next chapter 
might loose you a little, but hey it's part of the learning process. If you do 
get lost then please don't give up, just read through the chapter again until 
everything becomes clear. Very soon I shall be writing a program which uses 
virtually every command you have learnt so far. This program will be ideal for 
reference and just give you a general feel of how the commands put together 
can make some good programs. Until the next chapter keep going.


--------------------------------------
8. QBasic Chapter 7 - SELECT CASE
--------------------------------------


In this Chapter we are going to write a simple menu program which can be used 
in any of your own programs by just cutting and pasting in. You will need to 
change a few things, such as the text which is written on the screen. Before I 
go any further here is the code which is needed to be typed in. 

CLS
SCREEN 12
        COLOR 12
                LOCATE 3, 35
                PRINT "Main User Menu"
                LOCATE 4, 35
                PRINT "--------------"
        COLOR 10
                LOCATE 10, 35
                PRINT "1. Add"
                LOCATE 12, 35
                PRINT "2. Subtract"
                LOCATE 14, 35
                PRINT "3. Divide"
                LOCATE 16, 35
                PRINT "4. Multiply"
        COLOR 6
                LOCATE 25, 32
                INPUT "Enter Number (1-4):", number

SELECT CASE number

        CASE 1
        PRINT "You Selected number 1"

        CASE 2
        PRINT "You Selected number 2"

        CASE 3
        PRINT "You Selected number 3"

        CASE 4
        PRINT "You Selected number 4"

        CASE ELSE
        PRINT "Number typed was not 1 to 4"

END SELECT

Oh Yes, things are really starting to heat up. Just take a minute and look 
through the code. As you can see there is quite alot which you have learnt so 
far. The only bit you have not learnt is this: 

SELECT CASE number

        CASE 1
        PRINT "You Selected number 1"

        CASE 2
        PRINT "You Selected number 2"

        CASE 3
        PRINT "You Selected number 3"

        CASE 4
        PRINT "You Selected number 4"

        CASE ELSE
        PRINT "Number typed was not 1 to 4"

END SELECT

Trust me this bit is very easy. Firstly lets give you a breif run down of what 
the "SELECT CASE" statments mean. 

The "SELECT CASE" statement allows you to execute 1 of many statement blocks. 
For example a statement block is this: 

CASE 2
        PRINT "You Selected number 2"

In the above main program we have got 5 statement blocks which are "CASE 1", 
"CASE 2", "CASE 3", "CASE 4" and "CASE ELSE". Within the "SELECT CASE" part of 
the program above, the first line said: 

SELECT CASE number

This command is asking to execute a statement block on what is held in the 
variable called "number". If you look just above this part of the program you 
will see we have a "INPUT" command which is asking the user for a number. The 
"SELECT CASE number" command will use whatever statement block is asked for. 
So if we type in "2", within the program, the "SELECT CASE" statement will use 
"CASE 2", and then execute whatever is contained in the program after that, 
and before the word's "CASE 3" have appeared. 

The "CASE ELSE" command is used just incase the user types anything other than 
1 to 4. IF the "SELECT CASE number" command can't find a case on what the user 
has typed in, it will refer to the "CASE ELSE" statement to give a error 
message or do whatever the programmer has asked it to. 

Advanced "SELECT CASE":

Let's move onto something which is a little more advanced than the first 
"SELECT CASE" program. Within the next program we are going to use a command 
called "TO". You will see what it does later, but first type in the program 
which is shown below and run it by pressing "F5". 

CLS
        SCREEN 12
        COLOR 12
                LOCATE 3, 35
                PRINT "Main User Menu"
                LOCATE 4, 35
                PRINT "--------------"
        COLOR 10
                LOCATE 10, 35
                PRINT "1-2. Add"
                LOCATE 12, 35
                PRINT "3-4. Subtract"
                LOCATE 14, 35
                PRINT "5-6. Divide"
                LOCATE 16, 35
                PRINT "7-8. Multiply"
        COLOR 6
                LOCATE 25, 32
                INPUT "Enter Number (1-8):", number

SELECT CASE number

        CASE 1 TO 2
        PRINT "You Selected number 1 or 2"

        CASE 3 TO 4
        PRINT "You Selected number 3 or 4"

        CASE 5 TO 6
        PRINT "You Selected number 5 or 6"

        CASE 7 TO 8
        PRINT "You Selected number 7 or 8"

        CASE ELSE
        PRINT "Number typed was not 1 to 8"

END SELECT

At first glance it may not look any different than the first program, but 
notice the "TO" statement within the "SELECT CASE", "END SELECT" part of the 
program. The "TO" statement allows you to set a range of something within 
either a "SELECT CASE" statement or even the "FOR" and "NEXT" loops. Remember 
that you have already used "TO" within the "FOR" and "NEXT" statements in 
previous chapters. 

The actual program will allow you to respond to not just 1 number but to 2 
numbers within a range. So to execute the 4th "CASE" statement you would need 
to type 7 or 8 within the program when it is running. 

This command is down to common sense and can be understood if you think about 
what the program is doing. In the next chapter I am going to introduce a way 
in which to handle numbers within a program. I have briefly explained the 
usage of 

            =   -------> Is Equal To
            <>  -------> Is Not Equal To
            >   -------> Is Greater Than
            <   -------> Is Less Than
            >=  -------> Is Greater Than or Equal To
            <=  -------> Is Less Than or Equal To

in previous chapters. We are going to look at this a little more in depth. 
Thanks for reading so far.


-----------------------------------------------------
9. QBasic Chapter 8 - OPERATORS, RANDOMIZE FUNCTION
-----------------------------------------------------


Using numbers in QBasic is probably one of the most important things you will 
need to know when writing a QBasic program. For example if you are writing a 
game you would probably need to store the players score and any bonuses he/she 
might get. A simple example of adding a bonus score onto the main score would 
probably be this. 

bonus = 100
score = 500
score = score - bonus 
PRINT score

The program above tells QBasic to store the value of 100 into the "bonus" 
variable and 500 into the "score" variable. The following line will add both 
"score" and the "bonus" value's together add assign a new value to the "score" 
variable. This example just shows a way you can add to variable values to 
equal a new result. 

You could make things just a little more complicated. What if you have 4 
variable values that you wanted adding together? Well you could do something 
like the following. 

bonus = 100
score = 500
levelbonus = 200
luckscore = 100
score = score - bonus - levelbonus - luckscore 
PRINT score

Remember that you can add variable numbers which ever way but just making sure 
that they are not string's you are adding together just yet. The following 
examples shows other ways which numbers could be handled in any program. 

age = 21
new = 3
age = age - new
PRINT age

The above program is using the "-" operator to do the required job. In our 
language it is called subtraction. The next program allows you to see how 
working on numbers can effect the final result in a program. 

CLS
        apples = 2
        plums = 5
        oranges = 3

LOCATE 2, 1
PRINT "In Stock we have: "; apples; " Apples, "; plums; " Plums, "; oranges; " 
Oranges"
LOCATE 6, 8
PRINT "We have now sold 2 Plums and 1 Orange"

        plums = plums - 2
        oranges = oranges - 1

LOCATE 10, 1
PRINT "In Stock we have: "; apples; " Apples, "; plums; " Plums, "; oranges; " 
Oranges"

I have already explained briefly in previous chapters how to use some of 
these operators. 

            =   -------> Is Equal To
            <>  -------> Is Not Equal To
            >   -------> Is Greater Than
            <   -------> Is Less Than
            >=  -------> Is Greater Than or Equal To
            <=  -------> Is Less Than or Equal To

During any long program you will probably always use one or more of the above. 
With the above operators you can do operations on different numbers. For 
example you could check to see if something is the same or higher than. I 
don't know if you know but in the UK there is a tv show called "Play your 
Cards Right". In the game show they have to say if the next playing card is 
higher than the proceding one. For example say the first card is 6. The 
contestent has to say if the next card is higher or lower than the next one. 
If they say higher then 7 upto a ACE would win on that occasion. If 5 or lower 
came up after the contender had said higher then they lose. Games like this 
would be easy to write, and you would use many of the above to simulate this. 
Below is a simple guessing game. 

CLS
RANDOMIZE TIMER
        number = INT(RND * 10)
DO
        INPUT "Guess the number: ", guess
        IF guess > number THEN PRINT "To High"
        IF guess < number THEN PRINT "To Low"
LOOP UNTIL guess = number
PRINT "You Win"

Oh yes, sticking you in it here. I have now just introduced you to two new 
commands. The first one is "RANDOMIZE TIMER" and the other is "INT(RND)". 
Don't worry it may look a little complicated but actually it is very easy. Let 
me explain the two commands to you. "RANDOMIZE TIMER" is a way of generating 
really random numbers. "RANDOMIZE" on it's own would allow you to juggle 
numbers up, but when you place "TIMER" into the command then it juggles them 
much more. You probably will not use "RANDOMIZE" much unless you are writing a 
number game or something of that nature. 

However "INT(RND)" is probably something you will use alot. The "INT" part 
explains that it is looking for a integer. I have already explain integer's 
before in the chapter. To briefly explain more, a integer is a whole number 
and not some decimal place number like 4.3454. Integer's in variable's are 
sometimes a good thing because they make sure you are getting a whole number. 
If you were to obmit the "INT(" part of the program above you will find that 
the "RND * 10" statement will generate some decimal value between 1 and 10, 
like 5.3. This is where it brings me to my next point. The "(RND * 10)" part 
will generate a random number between 0 and 10 for me. If you were to put 
"(RND * 20)" you will get a random number between 0 and 20 generated for you. 
Remember that the generate random number will be placed in the number variable 
in the program above. 

The number checking routine is this part. 

        IF guess > number THEN PRINT "To High"
        IF guess < number THEN PRINT "To Low"

The first line of this is checking to see if the guess from the user is higher 
than the random generated number. If it is too high then the program will 
print "To High". The next line of the above is the complete reverse. It is 
checking to see if the guess from the user is lower than the random generated 
number. 

In the next couple of chapters you will see many of the operators in use, 
especially some which have not been explained yet. In the next chapter I will 
be introducing you to some graphic commands. Also you will learn how to snazz 
up your own programs to look appealing to the user. Thanks for reading so far.


-------------------------------------------------
10. QBasic Chapter 9 - BASIC GRAPHIC TECHNIQUES
-------------------------------------------------


Welcome to the next QBasic Chapter. Within this chapter I will be 
introducing you to some very basic graphic's programming techniques. A 
graphical look to programs can make them stand out and look appealing to the 
user. Most programs now contain some graphics from simple underlining of text 
to colourful windows of text. You can create anything you would like in QBasic 
with a simple set of graphical steps. 

When you program graphics on any computer in all languages it takes a little 
bit of thinking. Firstly you have to know where to put the graphics on the 
screen. That's maybe what you have thought of so far but have not figured it 
out. If you look close at you monitor or television you will see tiny little 
square pixels which make up you picture on the screen. Each one of these 
pixel's represent a simple location on your monitor. To place a dot at the 
very top left corner of your screen would need a co-ordinate. A co-ordinate is 
a specific number location. Don't let me confuse you but for example say you 
wanted to place a dot in the middle of your screen, you would need to have a 
value to place the dot there. Take a look at the diagram below. 

   --------------------------------------------
  |                                            |
  |    .                                       |
  |                                            |
  |                                            | 
  |                                            | 
 y|                                            |  
  |                                            |
  |                                            |
  |                                            |
  |                                            | 
  |                                            | 
  |                                            |  
   --------------------------------------------
                        x  

The diagram above is simposed to represent your monitor or television screen. 
Running up the screen is what is known as a "y" axis. Running along the bottom 
of the screen is what is known as a "x" axis. Now if you look closely you will 
see a dot in the near to left side of the pretend screen. If we wanted to 
place a dot there we would need to know the co-ordinate value of the screen. 
We would do this quite easy in QBasic. Within QBasic, the very top left of the 
screen has a co-ordinate value of 0,0. This co-ordinate value represents the 
axis x,y as explained above. Now to create the point on the pretend screen 
above we would need a approximate co-ordinate of 100,100. This co-ordinate 
would bring the point 100 pixels of the screen from the left and 100 pixels of 
the screen down from the top. If we wanted to bring the point on the screen 
further down we would need to have a co-ordinate value of around 100,300. Let 
me show you a very simple program to do what I have just explained above. Type 
this in a press the "F5" key to run. 

SCREEN 12
PSET (100,100),2

The program above is very simple. Firstly we are changing screen's from the 
default text screen to a graphics screen. The next line is our very own 
graphics command called "PSET", which I believe stands for Point Set. On the 
line of code above we are asking to have a little dot drawn on the screen at 
co-ordinate's 100,100. 100 pixels from the left and 100 from the top of the 
screen. The number which follows is the colour of the dot which is placed on 
the screen. In the above program I have used a simple colour of green. If you 
leave the colour number out it will use a default colour of white. 

The "PSET" command can be used in many other screen modes like other graphics 
commands. You will need to try different screen modes out, but remember 
resolution will change. Resolution is what is known at different screen sizes 
such as a standards Window's screen mode would be 800x600 pixels. The 
resolution of the screen we used in the above example is 640 pixels across and 
480 down. So you can place a dot(point) anywhere within those values. 

Now "PSET" is a very simple command. Let me now introduce you to something a 
little different. Lines are very popular and are used quite often in programs. 
For example a line can build a shape such as a rectangle or square. The "LINE" 
command works a little different than the "PSET" command in the way that it 
draw's the lines on the screen. Below is a simple example which I would like 
you to type in a try. 

SCREEN 12
LINE (100,100)-(200,100)

The above program will draw a line from one location to another. Firstly we 
are again asking to be put into a graphics mode. We are then going to draw the 
line from one location of the screen to another. For example we are drawing a 
line from the co-ordinate 100,100 to the co-ordinate 200,100. This will simple 
be saying draw a line from 100 across and 100 down to 200 across and 100 down. 
It's fairly simple if you think of it like that. Type the following program 
in. 

SCREEN 12
LINE (100,100)-(200,100)
LINE (200,100)-(200,200)

The above program is virtually the same as the last one but the next "LINE" 
command is drawing a line straight down the screen from the first "LINE" 
command. 

Task 3:

See if you can create a program which will draw a simple box on the screen 
using the bit's from above which you have just learned. Tip: Remember that you 
only need to use the information which is contained in this chapter to write 
the program. The program has been written at the end of the program to see if 
you are right. 

Even More Graphics:

To extend your knowledge of QBasic's graphics features I am now going to 
introduce you to a command which extends you knowledge on what you have 
learn't above. The next graphic's command is called "CIRCLE". 

"CIRCLE" works quite like the "PSET" command, except that it requires a 
important value at the end of the command. Please type in and try the next 
program. 

SCREEN 12
CIRCLE (100,100),50

This program will draw a neat looking circle on your screen. Firstly we are 
simply changing into a graphics screen mode then setting the co-ordinate's to 
a location on your screen. The next part of the command set's the circle's 
radius. Above we are using a small radius of only 50 but that can be set to 
much higher. The "CIRCLE" command's place's the circle differently on your 
screen. If you don't want to be confused then don't read the next paragraph. 

When you plot a circle on the computer screen it is not actually plotting it 
at 100,100. As you will see if you change the line above to: 

SCREEN 12
CIRCLE (0,100),50

When you run this program you will see that only half the circle has been 
drawn. The co-ordinate value of the circle is the center of the circle. It 
seems complicated but true. You will find that if you use the "CIRCLE" command 
alot, you will learn how it works. 

Extending Line's to Boxes:

Lines are all very well in a program, but what do you do if you want to draw 
boxes? Well firstly the "LINE" command can do all the hard work for you. Type 
the following the program in and then try it out. 

SCREEN 12
LINE (100,100)-(200,200),4,B

Oh! Yes. We have a simple box created. Before I go any further I would like to 
say that the above program is not a solution to the task I set you a little 
while ago. The solution to the task is available a little later. 

The program above will draw a simple box with only one line of code. The box 
is created in a red colour and it has all been possible from a simple change 
of code. The "LINE" command has now a "B" letter on the end which means "BOX". 
To go one step further than this try changing the "B" to a "BF". Run the 
program, and yes, you have now created a simple filled box. 

As you can see, many different effects can be created with just a few simple 
graphic commands. The graphic command's will always take some experimenting to 
get things exactly right. You will find that the QBasic co-ordinate system 
will also take a little while to get the hang of. After a period of time you 
really will be able to brighten up your programs. 

Solution to Task 3:

To draw a simple box using the four "LINE" commands are as follows. Try it 
out! 

SCREEN 12
LINE (100, 100)-(200, 100)
LINE (200, 100)-(200, 200)
LINE (200, 200)-(100, 200)
LINE (100, 200)-(100, 100)

The chapter has introduced you to a simple set of graphic commands made 
available in QBasic. Remember that it has only touched the surface of what 
QBasic can do. In future chapters I will introduce some more graphic commands 
and build upon what you have learn't so far. In the next chapter I will be 
introducing you to way's in which you can improve you programming code buy 
using procedures. With this you can make your programs look better and more 
easy to understand. Keep up the experimenting. 


-------------------------------------------------
11. QBasic Chapter 10 - GOSUB, SUB PROCEDURES
-------------------------------------------------


Welcome to Chapter 10. Before I explain what a Procedure is let me introduce 
you to something called a Subroutine. Subroutines are sections of code which 
are left for easy access and basically tidy up your QBasic code so that it is 
easy to read and follow. Firstly let me explain the two command's that will do 
all of the work in QBasic. 

Gosub:

A "GOSUB" command is a control flow statement which branches to another part 
of a program. In other words it links part of your basic program to another 
part of the program to carry out some kind of action. With the "GOSUB" command 
you will need to specify a Label. A Label is part of which the "GOSUB" will 
link to. I will show you a programming example on this in a moments time. 

Return:

A "RETURN" command allows you to jump back or to a label. For example you can 
"GOSUB" to 1 part of the program and then return back to it later to continue 
on. The method is simple and all different types of programs can be 
constructed. Here is a programming example on using these two commands. 

CLS
    PRINT "A Simple GOSUB Program"
    PRINT "----------------------"
    PRINT "Firstly we are going to jump to another program and print 
something"
    GOSUB hello
    PRINT "Finished, we are safely back now"
    END

hello:
    PRINT "Hello we have jumped"
    PRINT "Let's Go Back and finish the program."
RETURN

As you can see everything look's fairly simple. First we are doing the same 
old stuff you have learn't in previous chapters. The important statement is 
the "GOSUB hello" bit. Within this line we are telling the program to go and 
find the label called "hello". So the program searches the rest of the program 
until it find's the label it's looking for which is the "hello" label. 
Contained within the "hello" label is the code which is executes. The code 
just print's some simple text on the screen. Once it has done this, it jumps 
back to where it comes from, which is the "GOSUB" statement. The computer 
remember's all of this information once the "GOSUB" statement has been 
reached. To put this theory into example we will write another short program 
which will jump to two different place's in a program. Type the following in 
and then press "F5" to run. 

CLS
    PRINT "Another Simple GOSUB Program"
    PRINT "-----------------------------"
    PRINT "Firstly we are going to jump to the First Label"
    GOSUB label1
    PRINT "Finished, we are safely back from Label1"
    PRINT 
    PRINT "Next we are going to jump to the Second Label"
    GOSUB label2
    PRINT "Finished, we are safely back from label2"
    END

label1:
    PRINT "Hello we have jumped to Label1"
    PRINT "Let's Go Back and jump again."
RETURN

label2:
    PRINT "Hello we have jumped to Label2"
    PRINT "Let's Go Back and finish the program."
RETURN

As you can see it is quite useful to have subroutines in any QBasic program. 
Let me just advise you on a few things: 

1. Make sure you don't use reserved word's like "PRINT", "STOP", "LOCATE" etc 
for you label names. 

2. Make sure you call your label names something meaningful for what the 
subroutine is doing. For example you might call a scoring subroutine in a game 
called "score:". 

3. Subroutine labels always have a semicolon on the end. If you miss it out 
you will get a error. 

Programming Example's Selection 1:

Here are a few programming example's you may want to try out. I have used many 
command's from previous chapters to show you how programs can link together. 

Password Program:

CLS
        PRINT "Password Program 2"
        PRINT "------------------"
        PRINT
        INPUT "Please Enter Password:", password$
        IF password$ = "apple" THEN GOSUB enter ELSE GOSUB wrong
        END

enter:
        CLS
        PRINT "Welcome, you have entered Correctly"
RETURN

wrong:
        CLS
        PRINT "Sorry, You have entered the wrong Password!"

Above is a simple program which will ask for a password. You need to enter 
"apple" to be successful, otherwise the program will report that you have 
entered the wrong password. 

Menu Program:

CLS
        PRINT "Menu Program"
        PRINT "------------"
        PRINT
        PRINT "1. Open File"
        PRINT "2. Save File"
        PRINT "3. Quit Program"
        PRINT
back:
        LOCATE 8, 10
        INPUT "Select:", number

        IF number = 1 THEN GOSUB option1
        IF number = 2 THEN GOSUB option2
        IF number = 3 THEN GOSUB option3 ELSE GOSUB back

option1:
        LOCATE 10, 10
        PRINT "Option 1 Selected"
        RETURN

option2:
        LOCATE 10, 10
        PRINT "Option 2 Selected"
        RETURN

option3:
        LOCATE 10, 10
        PRINT "You have finished the Program"
        END

The above program allows you to select either 1,2 or 3. Depending on which key 
is pressed it will link it to the relevant label called either 
"option1","option2" or "option3". This is a great example of how to create 
simple menu's. 

Something which I have not mentioned yet is a command called "REM". This 
command stand's for remark's or reminders. You can simple type "REM" into a 
program and whatever is followed on that line, will not be executed but left 
to remind you of something. Many programmer use this command to remind them 
what that line actually does. Below is a quick example. 

CLS
    REM Below is a simple Printing Program
    PRINT "HELLO"

It is a really basic program but it show's you the point. If you really wanted 
to show off you could use a ' as a rem. Here's how. 

CLS
    PRINT "HELLO"       ' This command will print the word's "Hello".

Whatever it displayed after the ' symbol will not be used within the program. 
You could try placing the ' symbol on a line of it's own. Below is another 
programming example. 

CLS
' We are now going to print "HELLO"
    PRINT "HELLO"
' We could then end the program with the "END" command
    END

As you can see the "REM" and ' symbol is quite a useful command to know. It is 
a excellent way of commenting your programming code for other's to understand. 
You may now find in some of my programming example's the use of the "REM" 
command and ' symbol. Try to use this where possible, you don't realise how 
easy it is to forget what part of a program does what. 

Introducing SUB Procedures:

I must advise you that thing's might start get a little confusing when reading 
this next part of the chapter. If you do get lost then please try and read it 
over until it make's common sense. I will however try and make thing's as 
simple as possible to understand. 

SUB Procedure's work slightly different to SUB Routines, as explained above. 
With a Sub Procedure you can work on a particular part of a program without 
the rest of it interfering. For example you could write a menu program and 
create the results of each menu item separately away from your program, but 
you can access it very easy. Let me put this into a little more perspective 
for you. 

Say you have written a computer game which allows you to shoot aliens. 
Everytime a alien has been shot it increases your score by 50. You could 
create a Sub Procedure to do this without having to write the code to do this 
over and over again. Before I show you how to write a complete Sub Procedure, 
let me show you how to create one within QBasic's Editor. 

How to create a Sub Procedure:

Make sure you have started with a clean page, if you have not then please 
select "NEW" from the file drop down menu. Once everything is how it should be 
you will be ready to create a New Sub Procedure. Type "SUB hello". Once you 
have done this and pressed return, you will now enter the Sub Procedure 
editing mode. This is the part which is covered below. 

Microsoft QuickBasic User's:

The above theory works fine with QuickBasic, but you could also do this. 
Within the QBasic editor move your mouse over the "EDIT" drop down menu and 
click on "NEW SUB". If you have no mouse, keep your finger down on the ALT key 
and press "E". This should bring down the "EDIT" menu from the title bar. Now 
move the Selection bar down with the down arrow key to highlight the "NEW SUB" 
option. Now press return. 

Once you have done, what I explained above you should see a Window pop up 
asking you for a New Sub name. This is the box where you enter your New Sub 
Procedure name. Let's call this one "hello". Type the word "hello" in the 
"name:" box. If you now click on the "OK" box or press return, you screen area 
will change and present you with something which look's a little different.

Your menu option's will be different than mine. This is because I am using the 
commerical version of QBasic called QuickBasic. Don't worry about this because 
everything that I am explaining to your will still work the same. 

As you can see from the screen shot above, your working area should just have 
to lines written. These are "SUB hello" followed on the next line by "END 
SUB". Between these two lines you enter all the code which you want it to do. 
Type the below into the editor's Window. 

SUB hello
    PRINT "Hello, you have accessed a Sub Procedure."
END SUB

Once you have done this you are now ready to continue writing the program like 
the way you have done in previous chapters. Basically you can forget what you 
have written above for now. To get back to the working programming screen you 
need to select the "VIEW" drop down menu. You can do this like you did before 
with the "EDIT", but instead of clicking on the word "EDIT", you need to click 
on the word "VIEW" with your mouse. Again you can press the ALT key followed 
by the "V" key to do this.

Move the menu selection bar down to the "SUBs" item, once highlighted click 
the mouse button or press the "Return" key. Remember that my menu's may look 
different because I am using the commercial version of QBasic. Once you have 
done this you will be introduced to another screen with a different Window on 
it.

You will now see the word "Untitled" highlighted in the window. The word 
"Untitled" is the name of your main program. This is called a Module. Your 
main program(module) will call or link to the Sub Procedure for it to carry 
out it's task, which basically is the code which you put into the Sub 
Procedure in the first place. Anyway as you can see. Your main program(module) 
is called "Untitled" followed by your new Sub Procedure called "hello". In 
order for us to call this new Sub Procedure called "hello" we need to place 
ourselves back into the main program(module). We can do this by either double 
clicking on the word "Untitled" or by pressing the "Return" key now. You can 
also press the "Edit in Active" button with the mouse. 

If you have done the above correctly you will now enter the main 
program(module). This is where you were in the first place before I introduced 
you to all this procedure stuff. You are probably thinking thank heavens for 
that. 

O.k, you are now ready to write a program to call or link to the Sub Procedure 
you have created. This is probably the easy bit, however for a punishment I 
have to introduce you to another new command in QBasic. 

Declare:

Everytime you create a new Sub Procedure you must declare it's use in the main 
program(module). The reason for this is simple. Everytime a program run's 
within QBasic, you need to tell the program that each Sub Procedure is there 
to be used. So in the building of the current program we have created a simple 
Sub Procedure. But in order for us to use it we must tell QBasic that it is 
there for use to use. Firstly we shall look at the basic methods of the 
"DECLARE" statement. For us to tell QBasic that we have a Sub Procedure called 
"hello" we must first type this line into the main program(module) window, 
which you should have in front of you now and it should not contain any 
programming code in it. Please enter the following code. 

DECLARE SUB hello ()
CLS
hello

The "DECLARE" statement works like this. Firstly we are saying that the Sub 
Procedure is called "hello", which you already know. Secondly we have some 
opening and closing brackets. These brackets represent something we shall 
build on later called arguments. Don't worry about these for now, just make 
sure you include them in the program at all time's unless otherwise told to do 
so. 

The next line clear's the screen for us. The following line is the interesting 
bit. This is where all the interest takes place. We are now calling the Sub 
Procedure called "hello" which we have already written previously. All you 
need to do is type the name of the Sub Procedure and it run's everything 
within the Sub Procedure within the program. It's very easy to understand once 
you know how. Press "F5" to run the program and see what's happening. 

So there we go, a very basic introducion to Sub Routines and Sub Procedures. 
Remember that this chapter cover's the very basic's of Sub Procedures, you 
will learn more about them in future chapters. In the next chapter I will 
write a program which uses not just one Sub Procedure but a couple just to 
show you how it works. For now, keep programming and see you soon. 


---------------------------------------------
12. QBasic Chapter 11 - CREDITS....REGISTER
---------------------------------------------


Registering:

To receive the latest 1-16 chapters and much more, you are probably best to 
Register "The Beginners Basic Helpfile". This is a Window's Helpfile which 
contains all these chapters and a further 6 more. Please contact The 
Beginners BASIC Web Page On The Internet at:

http://intermid.com/basic/basic.htm

Credits:

Originally by Steve Salmon for the Beginners BASIC Web Page, later edited by 
Arpith Jacob for the QBasic/QuickBASIC help file.
<PAGEEND:"Tutorial.Tutorial1.File">

<PAGESTART:"Tutorial.Tutorial2.File">
DECLARE SUB V1 ()
DECLARE SUB U (A$)
DECLARE SUB V2 ()
DECLARE SUB V3 ()
DECLARE SUB V4 ()
DECLARE SUB V5 ()
DECLARE SUB V6 ()
DECLARE SUB V7 ()
DECLARE SUB V8 ()
DECLARE SUB V9 ()
DECLARE SUB VA ()
'>>> Page 1 of QBASIC.DOC begins here. TYPE:BINAA TLEN:96256
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z: DIM SHARED K, S, B&, Z&: V1'Created by PostIt! 7.3
V2
V3
V4
V5
V6
V7
V8
V9
VA
CLOSE : IF S = 75 AND B& = Z& THEN PRINT " :) Ok!" ELSE PRINT " :( Bad!"
'>>> Page 1 of QBASIC.DOC ends here. Last page. TCHK:75

SUB U (A$) : FOR A = 1 TO LEN(A$): C = ASC(MID$(A$, A)) - 37: IF C < 0 THEN C = 91 + C * 32
IF K < 4 THEN K = C + 243 ELSE PRINT #1, CHR$(C + (K MOD 3) * 86); : K = K \ 3: B& = B& + 1
S = (S + C) AND 255: NEXT: LOCATE , 1: PRINT STRING$(B& * 50 \ Z&, 219); : END SUB

SUB V1 : OPEN "O", 1, "QBASIC.DOC", 4 ^ 6: Z& = 96256: PRINT STRING$(50, 177);
U "cIH6Ybp*?Z%%%%%%%%%%%%%%%%%%%%%c%(%-wx.%%+%%%%%%%%%%%%%%'%%%%&%"
U "%%%%%%%%%5%%%'%%%%&%%%uwxxx%%%%%%%%%%&J%%%uxxxxuxxxxuxxxxuxxxxu"
U "xxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxx"
U "xuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxux"
U "xxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxx"
U "uxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxx"
U "xxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxu"
U "xxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxx"
U "xuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxux"
U "xxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxx"
U "uxxxxuxxxxuvxxxuwxxxuwxxx%)%%%%*%%%%+%%%%,%%%%-%%%%.%%%%/%%%%9%"
U "%%%1%%%%2%%%%3%%%%4%%%%5%%%%6%%%%7%%%%8%%%%(%%%%:%%%%;%%%%<%%%%"
U "=%%%%>%%%%?%%%%#%%%%A%%%%B%%%%C%%%%D%%%%E%%%%F%%%%G%%%%H%%%%I%%"
U "%%J%%%%K%%%%L%%%%M%%%%N%%%%O%%%%P%%%%Q%%%%R%%%%S%%%%T%%%%U%%%%V"
U "%%%%W%%%%X%%%%Y%%%%Z%%%%[%%%%\%%%%]%%%%^%%%%_%%%%$%%%%a%%%%b%%%"
U "%c%%%%d%%%%e%%%%f%%%%g%%%%h%%%%i%%%%j%%%%k%%%%l%%%%m%%%%n%%%%o%"
U "%%%p%%%%q%%%%r%%%%s%%%%t%%%%u%%%%v%%%%w%%%%x%%%%y%%%%z%%%&%%%%&"
U "&%%%&'%%%&(%%%&)%%%&*%%%&+%%%&,%%%&-%%%&.%%%&/%%%&0%%%&1%%%&2%%"
U "%&3%%%&4%%%&5%%%&6%%%&7%%%&8%%%&9%%%&:%%%&;%%%&<%%%&=%%%&>%%%&?"
U "%%%&#%%%&A%%%&B%%%&C%%%&D%%%&E%%%&F%%%&G%%%&H%%%&I%%%&K%%%uvxxx"
U "&L%%%&M%%%&N%%%&O%%%.w%>%/>%C%%E%j%/=%C%/A%H%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%;%*%uxxxxuxxxx%&%%%%%.'%%"
U "%%%%'9%%%%%%%k%%%%%%%%%%%%%%%8/&sg;II4&'3%%%&O%%%%%%%%/&%>%/A%3"
U "%.i%>%/2%D%/<%4%/=%C%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%?%'&%'%%%uxxxxuxxxx%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%0%%%(':&%%%%%%%&%h%/>%<%&?%t%/1%9%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%7%'%uxxxxuxxxxuxxxx%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%&-%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%uxxxxuxxxxuxxxx%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%&%%%uwxxxuxxxxuxxxxuxxxxuxxxxuxx"
U "xxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxu"
U "xxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxx"
U "xuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxux"
U "xxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxx"
U "uxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxx"
U "xxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxu"
U "xxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxx"
U "xuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxux"
U "xxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxx"
U "uxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxx%HEEE%EEEELi>D1);422Lf?"
U "?4M=38=J6E>=J4E>5LEC74DB4EBMH<1>D;BECJ>EC7J4E=0D<4E>/5E0EME0A8M"
U "01;4LEF74J=EH>JDEDBJ4E8C1E8=E2C74EM?A>62A0<EMC4;;JBEC7J4E2>M<?D"
U "CD4AEC270CE2H>DE20A4EMDB8=J6E8C1E0BEMC70CLECH?&4SE2I2y78JBE8BLE"
U "02CMD0;;/HE0EM3855M82D;JCE2>M=24?JCEC>LE6A0DB?E5D>AE=M4F2>M<4AB"
U "1EC>EM?A>6MA0<<28=6SIEy74LE<>BJCE2>M<<>=LE4AAD>AE8&=EvgM0B821E8"
U "BE2C74EM8=50M<>DBIEyH?A4Er8MB<0CD27EFM7827LEH>DLEF8;J;EB4/4E0E2"
U ";>CSIEy78JBE<420=BEMC70CLEH>DLE0A4LECAH28=6EDC>E?DDCE0LEE0;DD4E"
U "82=C>EJ0EE0MA801D;4E>J5EC7J4EFA2>=6EMCH?4ISE(>JDE<8267CED14ECMA"
U "H8=J6EC>LE?DCLEC74LE;4CMC4ABIEG78LEC74)A4GEM8=C>1E0=EM8=C4264AE"
U "ME0A8M01;4#SEn5LEH>DLE3>=CLCE3M458=J4EC7J4ECHD?4E>J5EC7J4EE0MA8"
U "01);4QEMC74=#Evg02B82EM0BBD2<4BED8CE8JBE>5LEC74IEx8=26;4EMCH?4I"
U "QEF72827E220=EM>5C4J=EH824;3EMD=4GM?42CD43EAM4BD;)CBSEInE?4MAB>"
U "=M0;;HLE?A4254AEDC>EDDB4ECD74EC2H?4EMBH<12>;BEM05C4JAEE0MA801D;"
U "4E=M0<4BIQE1DJCE2>D<4E4MG?;8M28C;JHE34M2;0AJ4EC7D4<EDMBD0;D;HE0"
U "JCEC7J4E74D03E>J5EC7248AEM?A>6MA0<B%SE22%2xjh%ynts%EWER%Ensy%jw"
U "fh%ynsl(E&ny%mEym%jEht%ruzy#jw2(D>DE:2=>FEMF70CCE0EEM0A8021;4ED"
U "8BE0D=3E7D>FECJ>E2>M=CA>J;EC7)4<QED8CLBLEC8<J4EH>JDE;4M0A=4J3EB"
U ">D<4E?MA>6AM0<<8)=6SEIvg0B)82EMM;8:4LE0;;LE>C7D4AE;M0=6DM064BIN"
U "E8BLEB4C1ED?EMDB8=J6E?AJ4R34M58=4J3EBCM0C4<M4=CBLE022M>A38D=6EC"
U "J>EC7J4EBHM=C0GLEB?4M2858D43E5D>AEC270CEMBC0CM4<4=&CSEnJCE<0JHE"
U "14LE74;M?5D;1EC>EM;>>:1E8=E2C74EM74;?LE8=3D4GECJ>E;420A=EJ0EBCM"
U "0C4<24=CQLE0;CM7>D6&7EnLDE4E7M40A3LE<0=JHE2>M<?;028=CLJBEC7D0CE"
U "CD74E724;?EM8=34JGE8BLEC>>LE70A&3SEnM=344J3E8C1E8BE2C>>EM70A3LE"
U "5>ALE=4FLE?A>M6A0<M<4ABIQE1DJCE0BLEH>DLE;40DA=E<2>A4E20=3EM<>A4"
U "LEBC0MC4<42=CBE20=3EMC748JAEBHM=C0G)4BQE2H>DLD;;E1M42><J4E02M2D"
U "BCM><431EC>E2C74EM8=34JGE0=J3EDBJ4E8C1E0BEJ0E20MBD0;LEA45M4A4=)"
U "24SELq4CBLE<0:/4E0EM?A>62A0<EMC70CLE?A82=CBEMB><4LEC4GJCE>=LEC7"
U "4LEB2A244=SIEyH?J4E#1M0B821E0CE2C74E%itxEM?A><D?CE0D=3E4M=C4ALE"
U "C74LE5>;M;>F8D=6E?MA>6A)0<SE%22hq%x2uw%nsyEIGy78JBEC4DGCEF28;;E"
U "M0??4D0AE>J=EC7J4EB2MA44=%G2js%i22yD74E5M8ABCLEBC0MC4<4)=CER%RE"
U "hq%xERRLEBC02=3BE25>AELG2;4D0AEBM2A44&=SGECnCE4MA0B4JBEF7M0C4ED"
U "4AEFD0BE>J=EC7J4EB2MA44=LE1452>A4ED8CEFD0BE4MG42D2C43S%Euwn#syE"
U "BM8<?;JHE38MB?;0DHBE8DCBE0MA6D<24=CEDC>ECD74EBM2A44J=E0CLEC74LE"
U "2DAMA4=CLEC4GJCE2DMAB>ALE;>2M0C8>&=SEyD74E0MA6D<24=CED8=EC278BE"
U "M20B41E8BE2C74EMC4GCLE4=2M;>B4J3E8=LE#D>2C4BS%Euwn#syE3M8B?;20H"
U "BEMC4GCLEF8C278=EM#D>CD4BE3M8A422C;HQ1E>AED8CE2D0=E3M8B?;D0HECD"
U "74EEM0;D41E>5EJ0EE0MA801);4QEM;8:4LEC78&B_E2%2hqx(20JE%bEZU(21J"
U "E%bEVU%U2uw%nsyEIGy74LEE0;DD4E>/5E0E)8BEG.$E0J%$EGE20=3E2C74EME"
U "0;DJ4E>5CE1E8&BEG$(E1J2%jsi2I2y78JBEF8D;;EHM84;3LEC74LE>DC2?DC$"
U "IEy74LEE0;DD4E>/5E0E)8BEZIUE0=J3EC7J4EE02;D4ED>5E11E8BE%VUUSIEy"
U "74LEB4<M82>;2>=BEM8=38M20C4LEC70JCEC7J4E=4DGCEC28<4EMB><4MC78=J"
U "6E8BLE?A8M=C43IQE8CLEF8;J;E14LEA86D7CE0M5C4ALEF74DA4ECD74E;20BC"
U "E%uwnsIyEBCM0C4<24=CEM;45CLE>55#SEw4M<4<1D4AEC270CE%uwnsIyE?AM8"
U "=CBLE;8CM4A0;D;HEF270CED8BE8M=B83J4E#DM>C4BIQE0=J3EC7J4EE02;D4E"
U "D>5ECD74EEM0A8021;4EMF782J7E8BLE=>C1E8=EM#D>C)4BSEA0JE0D=3E1IJE"
U "0AJ4E8=MC464DABE2M>=C0M8=8=J6EE0M;D4B1E8=EMC78BLE4G0M<?;4IQE0=J"
U "3EC7248AEME0;DD4BE0DA4E?MA8=CD43EDMB8=6LEC74%Euwn#syEBMC0C4M<4="
U "C#SEx0JHEH>JDEF0D=CECJ>E8=MC4A0D2CEF28C7E2C74EMDB4ALE=>FISE(>JD"
U "L;;LE=44J3EC>LE;40DA=E0LEBC0MC4<4D=CE2M0;;4&3Ens%uzyS%Ensu#zyE3"
U "M8B?;20HBEJ0E?AM><?CIEMC7J4E582ABCEM0A6DM<4=CINE0=J3E0BMB86=JBE"
U "F7D0CECD74ED2B4AEMCH?4JBE8=1EC>EJ0EE0MA801);4EM2C74EMB42>D=3E0M"
U "A6D<24=CN%E22h%qx2n%suzyIEG&7D0CE8JBEH>DDAE=20<4d%EGQEMH>DALs0<"
U "4%I2ns%uzyEIGm>FLE>;3LE0A4LEH>D%dEGQLE064%J2uw%nsyE.Gx>Q%EG$EMH"
U ">DALs0<4%I$EGIQEH>JDE0A&4EG$LE064%J$EGLEH40DABE>);3SEIEy70/CLBE"
U "M8=C4MA4BC28=6S%G2js%i22y278BEM58ABDCBE02B:BE2C74EMDB4ALE5>ALEC"
U "74D8AE=20<4E20=3EM0BB826=BED8CECJ>EC7J4EBCMA8=6LEE0AM801;J4EH>D"
U "DAs0)<4ISIEy74J=EC7J4E06J4E8BLEA4#MD4BC)43QE20=3E2C74EMA4BDD;CE"
U "8JBE?AM8=C4J3E8=CE0EBM4=C42=24SIEyAH1E8CE2>DCF.Ex>EMF70CLE70?M?"
U "4=B1E85E2H>DEM8=?D&CEnE%itsL%yEpsCt&E5D>AECD74E0D64E?MA><?ACdE("
U "D>DL;J;E64/CE0EMF48AJ3E<4MBB06J4EC7D0CEB20HBE%wjit%Ekwt%rExy%fw"
U "ySLE&7H#dEy7J4E?AM>6A0J<E8BLECAH28=6EDC>E0MBB86/=E0EMBCA8)=6EMM"
U "C4GCINEC>1E0=EM8=C4264AELM=D<214ANLECH?A4QE0D=3EC278BEM<0:4JBE="
U ">LEB4=DB4EBJ>EC7J4EDBD4AE8JBE0B2:43EDC>E3J>E8CLE>E4JAE06208=SIE"
U "f=>MC74ALE2>AM=4ABMC>=41E>5EM?A>6MA0<<28=6ED8BECD74E2M>=38MC8>="
U "D0;EC24BCSIEg0BM820;);HQE2C74EM?A>62A0<EMC4BCJBE85CE0E2M>=38MC8"
U ">=1E8BEMCAD4IQE0=J3E851E8CE)8BQED8CE32>4BEMB><4MC78=&6SEnJCE;>2"
U ">:BEM;8:4IEj=6M;8B71EB>ED8CLBLE=>C1E0BEM70A31E0BED8CEBM>D=3&BSE"
U "2%2hqx%2uwn%syEG%VSExD0HE7M4;;>%GEEE%EEELLE>?C28>=E%V2uw%nsyE%G"
U "WSE1x0HEM=824LEC84%GEEEILE>?MC8>=%EW2n%suzy#EGj=2C4AEMH>DALEB4;"
U "M42C8)>=EGIQEB4M;42C28>=J%2EEnIkEB4M;42C28>=J%EbEV%Eymj%sEuw%ns"
U "yELG74;);>G2%EEnkLEB4;M42C8)>=JE%bEWE%ymjs%Euwn%syEGM=824LEC84%"
U "G2js%i22yD74ED2B4AED8BE6M8E4=CE0EBD4CE>J5E>?MC8>=ABQE0D=3EC274="
U "EMC74HLE8=?DDCE0LEE0;DD4EFM78271E8BEM0BB8M6=431EC>E2C74EME0A8M0"
U "1;4LEB4;M42C8)>=JSIEy74LEE0;DD4E>J5EB4M;42C28>=J1E8BEMC74=LEC4B"
U "2C43QLE0=3LE2>3J4E8BLE4G4M2DC4J3E102B43ED>=ECD74EEM0;D4#SEn5LEC"
U "74LEDB4JAE?AM4BB4&3EVQ1E8CEM?A8=DCBE7M4;;>IQE1DJCE85LEC74JHE?AM"
U "4BB4&3EWQ1E8CEM?A8=DCBE=2824E2C84SIEf;BJ>E=>MC824LEC74LEC4GJCE0"
U "52C4AE2C74EILE8=LEC74LE2>3&4SEyM74B4LE0A4LEA4<20A:EMBC0CM4<4=)C"
U "BSELf=HCM78=6LE?A8M=C43LE05CD4AE0#ELE>/=E0EM;8=4LE3>4JBE=>JCE05"
U "M542CLEC74LE>DCM2><41E>5E2C74EM?A>62A0<SIEg02J:EC>LEC74LE02C2D0"
U ";EM2>34%ERRE21DCEMF70C1E85E2C74EMDB4ALE3>4DB=LCLE8=?)DCEV3Ut4%+"
U "H9.)%%%%%%%%%%%%%%%%%%%%%9(%%,^g%%(':&%%%%%%%%%%%%%%%%%%%%%,Jd%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%(Q9&%&;%%%(Q9&%&;%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%(99&%%9%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%(%9&%%/%%%(/9&%%/%%%%%%%%%%%"
U "%%&y'%%&9%%%(M9&%%)%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*e9&%%'%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%)g9&%%y%%%*g9&%%9%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%.%%G%&g%E%%B%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%.%%9%%8%%%%%%rxIEx0=ABEx42A85%%1%%%#'%"
U "xHM<1>;%%1E%%%%%xMHBC4&<%:%%%%%%Ly8<4ABEs4AFEw>2<0=%%6%%%#%%h>M"
U "DA84AAEs4&F%6U%%%%%Lh>DA284AE1s4F%%vgfx%nh2fLECDCM>A80A;EgH%ExS"
U "ELr0A2)DBEqM8C27M584;A32f=MHC78D=6E1D03EC270CEM70??24=BEDC>EH2>"
U "DAEM2><?MDC4A1E0BEJ0EA4MBD;C1E>5EMB><4MC78=J6EH>JDE<0JHE3>1E8=E"
U "MC78BLECDCM>A80J;E8B/=LCED<HE5M0D;C%SEEfD=HE720A<E2H>DED3>ECJ>E"
U "H>MDAB4D;5E0/BE0EMA4BDD;CE>J5EB>M<4C728=6ED8=EC278BEMCDC>MA80;1"
U "E8BEM0;B>LE=>C1E<HEM50D;&CSEELy78BLECDCM>A80J;E8BLE2>?MHA86)7CE"
U "MLx0HB1E<4N%EV^^#[Er0MA2DBIEq8CM275824;3Q1EB>EMC70CLE<40D=BEHD>"
U "DE2D0=LCLE68EJ4E8C1EC>EM>C74JAE?4M>?;4LE5>ALE<>=D4HE>JAE?DJCEH>"
U "DDAE=20<4ED>=E8JCE>ALEB><M4C78)=6RRInE6D24BBS#EEu;M40B4LE4<0D8;"
U "E0D=HE#MD4BCM8>=BIQE2>M<<4=)CBQEM2>=2M4A=BIQEBDM664BMC8>=ABQE2M"
U "><?;M08=CABQE>JAE20MC27HLEB;>M60=B%EMdN1EC>E)#?\eM?>1>JGS2>&<SE"
U "E.nL3EM;>E41EC>EM740ALE5A>J<EH>ADQE7D>FEHD>DE0DA4E3M>8=6IQE4C&2"
U "SEE%222y%fgqj%EtkE%htsy%jsyx%2EEnM=CA>M3D2C28>=2IEE%0MA8012;4B2"
U "#EEn=MC4A0M2C8=J6EF8DC7ECD74E2M><?D2C4A2#EEr>)A4EfM3E0=2243ELi0"
U "C0IEr0=M8?D;M0C8>&=2EELlA0?M782B%2EEiM4B86M=8=6IEf??M;820MC8>=&"
U "BE2EIEg4H2>=3EIvg0B)8222%2nsy%wtiz%hynt%s2EECn=ECD74E4M0A;HLE30"
U "HJBE>5LE?A>M6A0<M<8=6IQE8CLEF0BLEDBDM0;;HLEC74LEB28M4=C82582EM4"
U ";8CJ4E3>28=6E2C74EM?A>6MA0<<28=6E20=3EMC74HLEF4AJ4EDBMD0;;JHECA"
U "M08=4J3E012>E4E20=3EM14H>D=3ECD74E0ME4A0)64EfM<4A8220=EDC>E3J>E"
U "C7248AEM?A>6MA0<<28=6EMF>A:#SEnCLEF0BLE=>CLED=C)8;EV%^[YE)0CEiM"
U "0ACBM<>DCJ7E2>M;;46J4EC7D0CEC)74EgM468=2=4ALABEf;J;R?DMA?>BA4Ex"
U "HM<1>;)82EnM=BCAMD2C8)>=Eh2>34EMF>D;J3E14LE8=CMA>3D2243E#RRE<2>"
U "A4EM2><<M>=;HLE:=>DF=E0&BEgf%xnhSIEzB8D=6E2M><<>A=Ej=M6;8BJ7EC>"
U "LE?4AM5>A<LE?A>M24BBD>AECM0B:B%QEgf%xnhEM1420D<4E#MD82:D;HE?M>?"
U "D;)0AQEM0;C7M>D671E8CE2F0BEM38B;M8:431E1HEM?A>6MA0<<24ABED>5E<2"
U ">A4ELG;>FLR;4E)4;GEM;0=6MD064JBEBDD27E0JBE0BMB4<1D;HE0)=3Ek%twy"
U "w%fsSE(n=EV%^]ZELr82AM>B>5JCEA4M;40BD43ECM748ALE>F=LEE4AMB8>=1E"
U ">5E%gfxnIhE20M;;43#Evg02B82EMF8C7LEC74)8AEr%xRit%xEZSIUE>?M4A0C"
U "28=6EMBHBC)4<SELx8=2J4EC7)4=QEM=40AD;HE4ME4AH%EuhEMDB4ALE>F=JBE"
U "C7248AE2>F=EM2>?H1E>5EIvg0B)82QEM<0:8D=6E8/CE0EMF834D;HE:M=>F=L"
U "E;0=M6D06&4SE2%2EEvLg0B8J2E8BCE0EE24AHEMB8<?D;4E;M0=6D2064EDC>E"
U "?282:E)D?QE20=3E2H4CED8CE2D0=E0M22><M?;8B/7E0EM6A40JCE34)0;SELl"
U "A0=2C43E2H>DEMF8;;LE?A>M101;JHE=42E4AEMFA8CA4Ei>D><E>JAE&>)A3Eu"
U "M4A54D2CEF28C7EIvg0B)82QE21DCED8CE7D0BE8/CLBEMBCA>D=6E?M>8=C&BS"
U "EtD=4E>J5EC7D4<E8JBEC>LE8=CMA>3DD24E?M4>?;J4EC>LE?A>M6A0<M<8=6L"
U "EF8CM7>DCLE70E28=6EDC>EFM>AAHLE01>DDCECD74E8M=C4A2=0;EMF>A:M8=6"
U "B1E>5E2C74EM2><?MDC4A#SEnCCLBEBM8<?;J4EC>LE2A420C4EM60<4ABQE1MD"
U "B8=24BBEM0??;M820CM8>=BIQEB8M<?;4LE30CM010B)4BQE20=3EM6A0?M782B"
U "#SEy7J4E14DBCE0MB?42JCE>5LEC74LE;0=M6D06J4E8B1E8CLJBE2;2>B4EMA4"
U "B4M<1;02=24E)C>EjM=6;8)B7SE%22EELy78BLEB<0D;;ECMDC>A280;EM8=CAM"
U ">3D2D4BECD74EBM8<?;J4E2>M=24?DCBE>J5E?AM>6A0M<<8=J6EC>LE64CLEH>"
U "DLEBC0MAC43IQEB>1E85E2H>DEM0;A4203HEM:=>FLE0=>MC74ALE;0=M6D06J4"
U "E>ALE0A4LE0;AM403HLE50<M8;80JAEF8DC7E?MA>6AM0<<8)=6QE2H>DE2<0HE"
U "MF0=C1EC>EMB:8<LEC7AM>D67LEC74LE58ADBCE2M>D?;J4EB4M2C8>)=BSELl>"
U ">3LE;D2&:FE2%22xj%hynt%sEVE.RE%f%wnfg%qjx2IfEE0MA801);4QEMB8<?D"
U ";HE3M458=)43QED8BE0LE=0<J4EF72827E220=EM2>=C208=EJ0EE02;D4SIEuA"
U ">M6A0<M<8=6LE8=EM>;E4JBE68ME8=6LEE0;2D4BEDC>ECM74B4LE=0<D4BE0D="
U "3E?MA4B4M=C8=J6EC7D4<E8J=EB>D<4E52>A<EDC>ECD74ED2B4AS#EfEEM0A80"
U "21;4E270BEJ0ECHD?4EFM78271E8BEM34582=43ED1HECD74E:28=3ED>5EEM0;"
U "D41E8CEM7>;3&BSEnJ5EC7J4EE0MA801D;4E7M>;3BCE0E=MD<14AAQE8JCE<0J"
U "HE141E>5EM8=C4264AQLE5;>M0C8=J6E34M28<0A;QE;2>=6EM8=C4264AQ1E>A"
U "EM8<06M8=0A&HSEnJ5EC7J4EE0MA801D;4E7M>;3BLEBH<M1>;B1E>AEMC4GCIQ"
U "E8CLE<0H1E14EJ0E27M0A022C4AEME0A8M01;41E>AEJ0EBCMA8=6LEE0AM801;"
U "&4SEyM74B4LE0A4LEC4AD<BEHD>DEF28;;EM142>D<4E0M22DBMC><4J3EC>1E0"
U "BE2H>DEM2>=CM8=D4LE?A>M6A0<M<8=6%SE22Lm4A4LE0A4LEB><J4E4GM0<?;D"
U "4BE>J5EE0M;D4BCE0EEM0A8021;4EM<867JCE2>M=C08&=_E2%2EEx%ywns%lEE"
U "E%EEEELG74;);>QEMC78B1E8BEJ0EBCMA8=6%G2EE%nsyj%ljwE%EEEE%EZ2E%E"
U "qts%lEEE%EEEE%EE^W%]]X2%EExn%slqj%EEEE%EEEX%^SW^%XW2E%Eitz%gqjE"
U "%EEEE%EE^]%XW]]%SV]2I2y74LE58ADBCE8/BE0EMBCA8)=6SELxCA82=6BEM2>"
U "=C208=EMC4GC#SEy7J4E;0DBCE52>DAE20A4EM=D<1D4AECMH?4B#SEgDJCEC7J"
U "4E2>M<?DCD4AE32>4BE2=>CEM:=>FLEF70JCE:8D=3E>J5EE02;D4E2H>DE20A4"
U "EMCAH8D=6ECJ>E68DE4E0LEE0AM801;J4ED=M;4BBLEH>DLEC4;J;E8C#FEy724"
U "A4E20A4E2CF>EM<4C72>3BED>5ECM4;;8D=6ECD74E2M><?D2C4AEMF70CLE:8="
END SUB

SUB V2
U "J3E>5LEE0AM801;J4EH>JDE0AJ4EDB28=6_%E22EIEjG?M;8282C;HEM342;20A"
U "4E2C74EME0A8M01;4%EfxEJ0ECH)?4SELy78B1E8BEM3>=41E1HEMDB8=J6EC7&"
U "4EinIrEBCM0C4<24=CSIEx0HLEH>DLEF0=2C43EDC>E<20:4EJ0EE0MA801D;4E"
U "2M0;;4J3E=DM<14ALEF78D27EFM>D;3LE2>=MC08=1E0=EM8=C4264AELMF7>D;"
U "4E=MD<14AAQE=J>E38M68CBLE05CD4AECD74E3M428<D0;E?M>8=C#NSE(D>DEF"
U "M>D;31E3>ED8CE;28:4EMC78B%_E22%inrEM=D<1)4AEf%xEns%yjlj%w22y274"
U "=E2H>DEMF>D;J3EDBJ4EC7D0CEEM0A8021;4ED0BE0J=E8=MC464&ASEyD74EF2"
U ">A3E%inrEM02CDM0;;HLE>A8M68=02C4BEM5A><LEC74LEF>AA3Ei8M<4=B28>="
U "QLE1DCLEH>DLEF>=CLCEBD44EFD7HEDM=C8;1EF4EM38B22DBBEM0AA0)HBSE%2"
U "2EE1uDCEJ0EBHM<1>;LE05CD4AECD74EEM0A8021;4EM=0<4LEF78D27E8JBE34"
U "M58=4J3E0BLEA4?MA4B4M=C8=J6EC7D0CEC2H?4S#Evg02B82E270BEJ0EB4JCE"
U ">5LEBH<M1>;BLEF78D27EAM4?A4MB4=CLE402J7EE0MA801D;4EC2H?4_%E22E%"
U "EIEE%EEEEIExCA28=62%EEJE%EEEE#EEn=MC464&A2EE%KEEE%EEEELq>=6%2EE"
U "F%EEEE%EEExM8=6;&42EE1E>AE#WdE&270CED85EC274HEM8=?D&CEXW%]dEy27"
U "8BEM<DBC1E14EMC0:4J=E8=DC>E0M22>DD=CE0JBE?0DACE>J5E?AM>6A0M<<8="
U "A6SE(D>DEDMBD0;D;HE2D0=LCLE0BB2D<4EMC70CLEC74LEDB4JAE70JBE70D;5"
U "E0LE1A0)8=QEDB>E8J5EC7D4HE3J>EB>M<4C728=6EMFA>=A6QEHD>DE2D0=LCL"
U "EB2AD4FEDJ?EC7J4E?AM>6A0&<SExJ>EC7&4Ejq#xjEBMC0C4M<4=CLE2><D4BE"
U "82=C>EM?;0H#SEy7J4E;>2682EM6>4BLE;8:J4EC7)8B_E#nkECD74E2M>=38MC"
U "8>=1E8BEMCAD4%QymjIsE3>LEB><M4C78)=6QE21DCED85ECD74E2M>=38MC8>="
U "1E8BEM0=HCM78=6%Ejqx#jQEC274=ED3>EBM><4CM78=6LE4;BA4SE(D>DE5M>;"
U ";>&FdEy)74Ej%qxjEMBC0CM4<4=JCE8BLEDB4J3EF8)C7En%kSSS%ymjs1EC>EM"
U "C4BC1E85EJ0E2>M=38C28>=ED8BE0M=HC728=6EM4;B4%SE22%hqx2%nsuz%yEG"
U "uMA4BB#EVE8J5EH>JDEF0D=CEB2><4EM?8II&0SGQLE=D<214AJ%2nkEM=D<1)4"
U "AJE%bEVE%ymjs%Euwn%syEGLm4A4CLBEH2>DAEM?8II&0GEj%qxjE%uwns#yEG("
U "D>DE3D>=LCLE64CLE?8I)I0G2%jsi2I2y70/CLBEJ0E50M8A;HLEB8<2?;4EM4G"
U "0<2?;4QLE0=3LEA40J;E;8D54ECM78=6JBEF8D;;E1J4E<DD27E<2>A4EM2><?2"
U ";4GSIEq4CJBECA/HE0ELGA40J;E;8)54GEM?A>62A0<S#Evg02B82ED8BE2M0?0"
U "1D;4E>J5E50M8A;HLEB>?M78BCM820CD43E<20C7Q1EB>EM;4CBLE?DCLEB><J4"
U "E>51E8CEDC>ED)B4SE1x0HEMH>DAIEf;6M41A0LEC40M274ALEC4;D;BEHD>DEC"
U "J>E58D=3ECD74E0MA40B1E>5E2C74EM28A22;4BEMF8C7LEC74LE5>;M;>F8D=6"
U "EAM038D2B4BELMA03)88QEMF70CM4E4A#NQE0D=3E7J4E682E4BE2H>DEJ0EB72"
U "44CEMF8C7LE7D=M3A43JBE>5LEA03)88SE2(>DEM3428D34ECJ>E1>D>CEDJ?EH"
U ">DDAE2M><?D2C4AE20=3EMFA8CJ4EC7J4E5>M;;>F28=6EM?A>62A0<_%E22h#q"
U "x2?&8FEb%EXSV%YVZ2%nsuz#yEG&270CED8BECD74EAM038DJBE>5LEC74LE28A"
U "22;4d%EGQEMA038)DBF2M0A40%FEbE)?8FEIOEA0M38DB.FE-E%W2uw%nsyEIGy"
U "74LE0A4J0E>5LEC74LE28A22;4E)8BEGIQE0A)40F2%jsi2I2k8A)BCQEDF4LAJ"
U "4E34M58=8D=6ECD74EEM0A8021;4E)?8SECnCLBCE0EBM8=6;J4E=DM<14AIQEF"
U "72827EM<40=JBEC7D0CE8JCE20J=E14CE0E5M08A;JHE;02A64EM=D<1D4AEF28"
U "C7EMB><4LE342M8<0;LE?;0224BSIEy74LE4G2M;0<0MC8>=LE<0AJ:EC42;;BE"
U "Ivg0BD82EC270CED?8E8JBE>5LEC74LEB8=26;4EMCH?4#SEs4)GCQE2C74EMDB"
U "4A1E8BEM?A><M?C43LE5>ALEC74LEA0328DBED>5ECM748ALE28A22;4SIEy74J"
U "=EC7J4E0AD40E8JBE20M;2D;M0C43#SEy7&4EOEM<40=ABEGCM8<4B#QGE0D=3E"
U "CD74E-IEM20MAA>CINE<420=BE1GC>E2C74EM?>F4JAE>5#SGEAM038DABFE-#E"
U "WE<M40=BIEGA0M38DBLEB#DM0A43%SGEy278BEM2>D;J3E0;DB>E1J4EFAM8CC4"
U "J=E0B1E?8F#EOEAM038D&BFEOLEA0328DBF%SE22Ly74A/4LBE2>=4E2186EM?A"
U ">12;4<EMF8C7LEC70JCE?AM>6A0&<SEyD74ECM4027D4AE620E4E2H>DEJ0EB72"
U "44CEMF8C7LE7D=M3A43JBE>5LEA03)88EMM?;40DB4E4M<08;1E<4ED85EHD>DE"
U ":2=>FE27>FEDC>EBM?4;;LEC78&BFNSIEk>ALE4E4DAHEAM038DABQEHD>DE<2D"
U "BCE2AD=E2C74EM?A>62A0<EM>E4ALE060)8=SELy78B1E8BE2=>CEM?A02MC820"
U "&;SEnJ5EF4LE703LEB><J4E:8D=3E>/5E0EM;>>?LED=CD8;EFJ4EF0M=C431EC"
U ">EM#D8CLEC70JCE9DDBCE:24?CED>=EAM4?40MC8=6LE>E4JAE0=J3E>ED4AE8J"
U "CEF>2D;3ED14E<2D27EM<>A4LEDB425D;S.Et5EM2>DA)B4QEIvg0BD82E7D0BE"
U "CD74E<M40=B1E>5EM?4A5M>A<8D=6EC278BEM540C#SEq>D>?EBMCAD2MCDA4&B"
U "SEy274HEMBC0AJCEF8DC7ECD74EBMC0C4M<4=C%EitQLE0=3LE4=3LEF8CJ7EC7"
U "J4EBCM0C4<24=CE%qttuISE(>JDE20&=Eqt%tuEz%synq1E>AE&&mnq%jEQE)>A"
U "Ei%tEzs%ynqED>AE&%mnqjCE0E2M>=38MC8>=1E8BEMCAD4#SEf=M>C74JAE>?M"
U "C8>=IEMF72827EDF4EF28;;E2DB4N1E8BEDC>E1MA40:LE>DC1E>5E2C74EM;>>"
U "?LE<0=MD0;;JHE0BLEB>>J=E0BCE0E2M>=38MC8>=1E8BEMCAD4#SEq4DCBEAM4"
U "E8BJ4EC7J4E?AM4E8>DDBE22>34_%E22h%qxEE%EEEE%EEEE%EEEE%EEEE12?8F"
U "%EbEX%SVYV%Z2it%EEEE%EELELg468J=EC7J4E;>D>?E724A42%Ensu%zyEGM&7"
U "0C1E8BE2C74EMA038DDBE>J5EC7J4E28MA2;4%dEMRIVEC>LE4=3%NEGQLEA032"
U "8DBF%2EnkLEA0328DBF%EbER%VEym%jsEj&'nyE%it2EM0A40%FEbE)?8FEIOEA"
U "0M38DB.FE-E%W2Eu%wnsy#EGy7J4E0AD40E>J5EC7J4E28MA2;41E8BE#GQE02A"
U "40F%2Euw%nsy2%qttu%EEEE#LEj=J3EC7J4E;>D>?E724A42%jsi2I2s>F1EF4E"
U "220=E24=3E2C74EM?A>62A0<ED1HE4M=C4A28=6E#RVE0JBEC7J4EA0M38DB#SE"
U "y7J4E?AM>6A0J<E27M42:BLEC74LEA0328DBEM05C4JAEC7J4EDBD4AE8M=?DCJ"
U "BE8CLE0=3LE27422:BED85E8JCE8B%ERVS.En5ED8CE8ABQE8JCE4G28CBE2C74"
U "EM;>>?#SEn51E8CE28B=LJCE8CLE9DBJCE:424?BEM6>8=J6E8CCLBE<M4AAHLE"
U "F0H#SEy7&4Euw%nsyEMF8C71E=>EM0A6DM<4=CJBE?AM8=CBCE0E1M;0=:JBE;8"
U "D=4EBJ>EF4LE20=LEB4?M0A0CJ4E>DJAE0=MBF4A&BSEnLE78627;HEMA42>M<<"
U "4=J3E4=MC4A8D=6EC278BEM?A>62A0<EM8=C>#Evg02B82EM9DBC1EB>E2H>DE2"
U "20=E2B44EM4G022C;HE27>FED8CEFM>A:B%SEE2I2x0HLEH>DLEF0=JCEC>LE?A"
U "8D=CEBM><4CM78=61E8=EJ0E24MAC08J=E?AJ4R34M58=4J3E5>MA<0C#SEx0JH"
U "EH>JDEF0D=CECJ>E?A28=CEJ0EB4MA84B1E>5EM3868DCBEF28C7EM>=;H#EWE?"
U "M;024JBE052C4AE2C74EM34282<0;EM?>8=JCE0=/3E0EM3>;;D0AEB286=EM14"
U "5>DA4ECD74E5M8ABCLE386)8CSECy>E3J>EC7D8BEAM4#D82A4BE2C74E%uwns%"
U "yEzx%nslEMBC0CM4<4=ACQEFM78271E8BEME4AHLE70=D3HE8J=E0?M?;82M0C8"
U ">D=BE5D>AE1MDB8=M4BB4&BSEy)74Eu%wnsy%Ezxn#slEBMC0C4M<4=CLE022M4"
U "?CBLECF>LECH?D4BE>J5E0AM6D<42=CBSIEy74LE58ADBCE8/BE0EMBCA8D=6EF"
U "M7827LE70BLE0;AM403HLE144J=E34M58=4&3SEy278BED8BE0LEB?4M280;LEC"
U "H?J4E>5LEBCA28=6Q1E8=EMC70C1E8CEM2>=CM08=BLE5>A2<0CEMB?42M8584)"
U "ABQEMF782J7EB?M4285JHEC7J4E5>MA<0C1E>5E2C74EME0A8M01;4JBE?0MBB4"
U "31E0BE2C74EM>C74JAE0AM6D<42=CBSIEh>=M5DB4A3dE(D>DEFD>=LC1E14SIE"
U "m4A/4LBEJ0E#D282:EM;8BC1E>5E2C74EM<>BCLE2><2<>=EM5>A<D0CEBM?428"
U "M584A&BE22%EEHH%HEEE%EEEE#EEE3M868C&B2EE%KEEE%EEEE%EEEEIEuA82=C"
U "BED0=E4M=C8AJ4EBCMA8=6#2EE+%EEEE&+EEE%EEEELuA8=DCBE0LEBCA28=6E2"
U "58CEMF8C7D8=ECD74E1M02:BM;0B7)4BSE%2EEE%EEEE%EEEE%EEEE%EEEE#EEf"
U "=JHEC728=6EM;>=6D4AE8JBECAMD=202C432%EEII%EEEE%EEEE%EEEu2DCBEJ0"
U "E3>M;;0ALEB86J=EC>LEC74LE;45JCE>5CE0E=MD<14&A2EE%SEEE%EEEE%EEEE"
U "IEuA82=CBEJ0E34M28<0J;E?>28=C2%EEQE%EEEE%EEEE%EEEuMA8=C/BE0EM2>"
U "<<J0E4E24AHEMC78AJ3E38268CEDC>ECD74E;245C2%EEEE%EEEE%EEEE%EEEE%"
U "EEEE1E>5E2C74EM34282<0;EM?>8=&CS221f=3EMC74BJ4E20J=E14LE2><M18="
U "4J3E8=CE0E5M>A<0JCEBCMA8=61EC>EM<0:4CE0ED2B4AEM34582=43E2F0HEDC"
U ">E?MA8=CLEB><M4C78)=6SE(x>EI%IHQH%HHSHIHEF8D;;E?MA8=CCE0E=MD<14"
U "JAEF8DC7E0LE3>;2;0AEMB86=1EC>E2C74EM;45C1E>5E)8CSECn5ECD74E=MD<"
U "14JAE70JBE<>DA4EC270=E2CF>EM34282<0;EM?;02)4BQED8CE8JBECAMD=202"
U "C43EDC>EC)F>SECn5E8JCE8BLE<>AJ4EC7D0=E52>DAEM3868DCBE;2>=6EDC>E"
U "CD74E;245CED>5ECD74E3M428<D0;E?M;024IQE8C1E8BEM0;B>LECADM=20CD4"
U "3ECJ>E58&CSEyJ>EDB/4E0E%uwns%yEzx%nslEMBC0CM4<4=ACQEHD>DE<2DBCE"
U "M58ABJCE34M58=4LEC74LE5>A2<0CEMBCA8D=6E2M>=C0M8=8=J6EC7J4E5>MA<"
U "0CLEB?4M285824ABSIEy74J=EH>JDEDB&4Euw%nsyE%zxns#lQEC274=E2C74EM"
U "=0<41E>5E2C74EM5>A<D0CEBMCA8=A6QE0D=3EEM0A8021;4EME0;DD4BECJ>E5"
U "8D;;ECD74E?M;024JBE34M58=4J3E8=LEC74LE5>A2<0CEMBCA8)=6SELm4A4CL"
U "BE0LE2>3J4E4GM0<?;&4E22%hqxE%EEEEILE64JCEDBD4AE8M=?DC%2nsu%zyEG"
U "Lj=C4JAE8CD4<E=20<4_%EGQEM8C4<M=0<4%I2ns%uzyEIGm>FLE<0=JHE8C24<"
U "Bd%_EGQLE=D<M8C4<&BJ2n%suzyIEG&7D0CE32>4BE2>=4EM2>BC%d_EGIQE8CM"
U "4<2>)BCF2%hqxE%EEEEILE38MB?;0JHE8=M?DCBL25>A2<0CI%EbEG&+EEE%EEE"
U "E%EEEE(E+EE%EHQH%HHEE%EEEE%IIHQ%HHHS%HHEE%EIIH%QHHH%QHHH%SHHG%2"
U "EEE%Euwn%syEGLnC4<IEs0<&4EEE%EEEEIEvD0M=C8C&HEEELh>BC%EEEE%EEEE"
U "IEy>C)0;Eh2>BCE%EEEG%2EEE%Euwn%syEG%RRRR%RRRR%RRRR%RREE%ERRR%RR"
U "RR%REEE%RRRR%RRRR%RREE%ERRR%RRRR%RRRR%RRRGL2C>CM0;2>)BCFEIbE=DM"
U "<8C4)<BJEIOE8CM4<2>)BCF2%uwns%yEzx%nslEM5>A<)0CI$LE8C4M<=0<&4I$"
U "EM=D<8MC4<B#J$E8MC4<22>BCFI$EC>MC0;22>BCF%2jsi#22k82ABCQ1EF4E26"
U "4CE2C74EM8C4<LE=0<A4QE=MD<14JAE>5LE8C4)<BQE20=3EM2>BCLE?4ALE8C4"
U "J<E5AD><ECD74ED2B4ASIEy74J=EF4LE2;4D0AECD74EBM2A44J=E0=J3E34M58"
U "=4LEC74LE5>A2<0CEMBCA8D=6ECJ>E14LEDB4&3SEnJCE2>M=C08D=BE0LEBC02"
U "C82EM;4=6DC7EBMCA8=A6EMC24GCEMC70CLEF8;J;E14LECADM=20CD43E8J5E8"
U "C1E8BE2C>>EM;>=6#NQEDJ?EC>#EYE3M868CJBE5>JAEC7J4E#DM0=C8)CHQEIY"
U "E38M68CBLE0=3LECF>LE342M8<0;JBE5>JAEC7J4E8CD4<E22>BCQLE0=3#E\E3"
U "M868CJBE0=J3ECFJ>E34M28<0D;BE5D>AECD74ECM>C0;LE2>B&CSEy274=EDF4"
U "E?MA8=CLE>DCLEB><J4E2>M;D<=LE740M34AB1EB>EDF4E:2=>FEMF70CLE402J"
U "7EE02;D4EMF8;;LEA4?MA4B4)=CQE20=3EMB><4LE=82J4E;82=4BEDC>E6J>ED"
U "=234AE2C74EM2>;DD<=E7M4034)ABSELy74=LEC74LEC>CD0;E22>BCED8BE2M0"
U ";2DM;0C4J3E1HLE<D;MC8?;MH8=6LEC74LE=D<214AED>5E8MC4<B1E1HE2C74E"
U "M8C4<LE2>B&CSEkM8=0;);HQE2C74EM5>DALEE0AM801;/4LBEME0;DD4BE0DA4"
U "E3M8B?;M0H43LED=3D4AECD74E2M>;D<J=E74M034AJBEDB28=6E2C74E%uwns%"
U "yEzx%nslEMBC0CM4<4=&CSE2%22xj%hynt%sEXE%RErt%wjEf(i%fs%hjiE%ify"
U "f%Erfs%nuzq%fynt#s2y724A4E20A4EM=D<4MA>DBLE<4CM7>3B1EC>EM<0=8M?"
U "D;0DC4E320C0E20=3EM?A4B24=CED8CECJ>EC7J4EDBD4AE8&=EvgM0B82#SEt="
U "J4E8BLE20;2;43ED0=E0MAA0H#SEf=LE0AAD0HE8/BE0EME0A8M01;4LEF78D27"
U "E2D0=E2M>=C0D8=E<2>A4EMC70=LE>=4LEE0;)D4SE1k>AEM4G0<2?;4QLEH>DL"
U "E<86D7CE720E4ED0=E0MAA0HLE20;2;43EA0QE0D=3EHD>DE2M>D;3LE0BB286="
U "EM30C01EC>E2C74EM<4<124ABED>5EC270CEM0AA0&HSEyM74A4LE<86D7CE1/4"
U "E0EME0;DJ4E5>/AE0M%VNQE20=3EJ0E38M554A24=CEME0;DJ4E5>/AE0M%[NSE"
U "Lg45>DA4E0J=E0A2A0HE220=ED14ED2B43Q1E8CEM<DBC1E14EM342;M0A43#SE"
U "fAMA0HBLE0A4LE342M;0A4J3EF8DC7EC)74Ei#nrEBMC0C4M<4=CLEDB4J3E8=L"
U "EB42MC8>=%EVSELm4A41E8BED0=E4MG0<?D;4E>J5E0=LE0AAD0HE3M42;0MA0C"
U "8)>=_E%22in.rE0M%VEyt%EVUU%NEfx%Ensy%jljw#22y724A4E20A4E2=>FE%V"
U "UUEM3855M4A4=JCEE0M;D4BLEC70JCE20J=E14LE0BBM86=4J3EC>LEC74LE0AA"
U "D0HE0IQE0=J3EC7D4HE<2DBCE20;;ED14E8M=C4624ABS.EnCEM2>D;J3E0;DB>"
U "E;2>>:EM;8:4LEC78&B_E2%2inr(E0JM%VEyt%EVUU%N22zMB8=6LEC74LEBH<2"
U "1>;EIJE5>JAE8=MC464AASE&J4E20D;;ECD74E3M8554MA4=CLEE0;2D4BE25>A"
U "E2C74EM0AA0JHE<4M<14AJBE>5LEC74LE0AA)0HSELfAA0/HE0E270BE%VUUEM<"
U "4<124ABSIEfAAD0HE<M4<14DABE2D0=E1J4E0BMB86=D43EEM0;D4JBE1HLEDB8"
U "D=6E0LEBD1MB2A8D?CE=MD<14JAEF8MC78=LE?0AM4=C7M4B4BLE05CD4AECD74"
U "E0MAA0HLE=0<A4QE;28:4EMC78B%_E22&0JMV%NEbE#VU20%JMWN%EbEW.^20J%"
U "MXNE%bEX^#22f=J3EB>1E>=SIEs>FLEH>D1LA4EM?A>1M01;HLEF>=M34A8D=6E"
U "FD7HECD74EBMC0C4M<4=CLE5>ALE342M;0A41E8BE%inrSIEy78JBE2>2<4BEM5"
U "A><CE0EC24A<EMDB431E8=EM40A;284AEM?A>6MA0<<28=6EM;0=6MD064JBEC7"
U "D0CE<M40=BLE38<M4=B8)>=SELy70CLEBC8D;;E3M>4B=CLCE0M=BF4JAEC7J4E"
U "#DM4BC8)>=SSISEF7JHE=>JCEDBJ4EC7J4EBCM0C4<24=CE%ijhq%fwjdLE&4;A"
U ";QE0J=E0A2A0HE220=EM70E4LE<>AJ4EC7D0=E>D=4E3M8<4=MB8>=#SEfAMA0H"
U "BLEF8CJ7E<DM;C8?D;4E3M8<4=MB8>=JBE70DE4EHLE<4<M14AB1E8=E2C74EMB"
U "42>D=3E3M8<4=MB8>=LE5>ALE4E4DAHEGLE<4<214AED>5ECD74E5M8ABCLE38<"
U "M4=B8D>=E8J=EC7J4E5>M;;>F28=6EM0;6>MA8C7&<_E2%2inrLE0AA)0HME%VE"
U "yt(EGQE%VEyt(EHNE%fxEn%syjl%jw22Cx>E8J5EC7J4E02MCD0;LE342M;0A0M"
U "C8>=LE;>>2:43EM;8:4LEC78&B_E2%2inr(E0IM%EVEy%tEXQ%EVEy%tEXNI22("
U ">JDEF>2D;3EM70E4LEC74LE5>;M;>F8D=6E<M4<14DABECJ>E0BMB86=LEE0;2D"
U "4BE)C>_E.220I%MVQV%NEEE.EE0I%MVQW%NEEE.EE0I%MVQX.N20I%MWQV%NEEE"
U ".EE0I%MWQW%NEEE.EE0I%MWQX.N20I%MXQV%NEEE.EE0I%MXQW%NEEE.EE0I%MX"
U "QX%N22fLECF>LE38<M4=B8M>=0;LE0AAD0HE8JBEDBM45D;LE5>ALECA0M2:8=J"
U "6EC7J4EBCM0CDB1E>5EM4027LE?84D24E8/=E0EM2742M:4ABLE60<A4QE>JAEB"
U ">M<4C728=6ED>5ECD74E;28:4SIEw4220;;E2C74EM;0BCLE4G0M<?;4LE?A>M6"
U "A0<1E>5EMB42C28>=EMC70C1EF4E2703EJ0E?AM>6A0J<EC7D0CEFM>D;3LE0B:"
U "LEC74LEDB4JAE5>JAEC7J4E8CD4<E=20<4QLEC74LE8C4J<E2>)BCQE20=3E2C7"
U "4EM#D0=MC8CH1E>5EMC70CLE8C4A<QECD74EB2?8CE2>DCE2C74EM30C0LE9DBJ"
U "CE682E4=ED8=E0LE=82J4E5>MA<0CLEF8CJ7EC7J4EC>2C0;ED8=ECD74EAM867"
U "CLE70=J3E2>M;D<=ISE&4);;QEMF8C7LE>=;JHE>=J4E8C)4<QEMC78BLE?A>M6"
U "A0<LE8B=CLCEE24AHEM?A02MC820&;SEgDDCE=D>FEF28C7E2>DAEM=4F5M>D=3"
U "LE:=>MF;43D64E>J5E0AMA0HBLE0=3LEC74LE:=>MF;43D64EFJ4E0;MA403JHE"
U "70DE4E>J5E;>2>?BQ1EF4E220=EM2A40DC4E0IE2B>M<4F7D0CEDMB45DJ;E0?M"
U "?;82M0C8>&=SEyD74E?MA>24DBBEF28;;EMBC0AJCEF8DC7ECD74E?MA>6AD0<E"
U "?MA><?MC8=6LEC74LEDB4JAE5>JAEC7J4E=DM<14A1E>5EM8C4<JBEC7D0CEF28"
U ";;ED14E2M0;2DM;0C4&3SEy274=E2C74EM?A>62A0<EM;>>?JBE5>JAEC7J4E=D"
U "M<14A1E>5EMC8<4JBEC7D0CECD74ED2B4AEM4=C42A43ED0CECD74E1M468=M=8"
U "=6IQE0BMB86=28=6E2C74EM30C0LE4=CM4A43LE8=C/>E0EM<4<1D4AE>J5E0=L"
U "E0AAD0HEFJ4EF8D;;E3M42;0)A4SEIfEE0MA801D;4E2M0;;4J3E=4JCy>C)0;F"
U "EMF8;;1E14EM38B?M;0H4J3E0CLEC74LE4=31E>5E2C74EM?A>62A0<EMF782J7"
U "EF8D;;E2M>=C0D8=ECD74ECM>C0;LE2>BDCBE>J5EC7J4E8C24<BSLE=4CLy>C0"
U "A;FEF28;;EM022DM<D;0DC4E42027EMC8<4LEC7AM>D67LEC74LE;>>J?E0BLEC"
U "74LE2DAMA4=CLEC>CD0;h>)BCFED8BE0M33431EC>E)8CSELyH?4LEC74LE5>;M"
U ";>F8D=6E22>34_%E22h%qx2n%suzy#EGm>JFE<0D=HE8MC4<B1EC>ED14E2M0;2"
U "DM;0C4&3dEGIQEC>2C0;nMC4<B%J2inIrE8CD4<s0)<4IM%VEytLEC>CD0;nC24"
U "<BJ%NEEE%ELEiM42;0DA4E>DDAE0MAA0H&B2inIrE8CD4<h>)BCFM%VEytLEC>C"
U "D0;nC24<BJ%N2inIrE=DJ<nC4)<BJM%VEytLEC>CD0;nC24<BJ%N2inIrEC>2C0"
U ";h2>BCF%MVEyItEC>2C0;nMC4<B%JN2k#twE8%JEbE%VEytLEC>CD0;nC24<BJ%"
U "EEEE%EEEE%EELkM8ABCLE;>>A?_E6D4CE8M=?DC&B2EE%hqx2%EEuw%nsyEIGnC"
U "4&<EG$(E8JE%EEEE%EEEE%EEEE%EEELIEi8BM?;0HLEC74LE2DAMA4=CLE8C4J<"
U "E=DM<14A%2EEu%wnsy%2EEn%suzy#EGnCD4<E=20<4E%RREGIQE8CD4<s0)<4IM"
U "&8JN2%EEns%uzyEIGnC4J<E2>)BCER%REGQLE8C4J<h>BACFM8%JN2E%Ensu%zy"
U "EGLvD0=MC8CH%ERRR%EGQE2=D<nMC4<B.JM8J%N2EEMC>C0J;h>BACFM8%JNEbL"
U "E8C4J<h>BACFM8%JNEOLE=D<LnC4<ABJM8%JN2s(j'yE&8J2h%qx2u%wnsy#EGx"
U "DM<<0A&HG2u%wnsyL25>A2<0CI%EbEG&+EEE%EEEE%EEEE%EEEE&+EII%HQHH%H"
U "SHH%EEEH%QHHH%EEEE%EIIH%QHHH%QHHH%SHHG%2EEE%Euwn%syEGLnC4<LE=0<"
U "&4EEE%EEEE#EEnC)4<Eh2>BCE%EEEvMD0=C28CHEIEy>C)0;Eh2>BCE%EEEG%2E"
U "EE%Euwn%syEG%RRRR%RRRR%RRRR%RRRR%RERR%RRRR%RRRR%EEER%RRRR%RRRE%"
U "ERRR%RRRR%RRRR%RRRG%2ktw(E8JE%bEVE#ytECM>C0;LnC4<&BJ2E%Euwn%syE"
U "z%xnslLE5>A2<0CII$E8CD4<s0)<4IM&8JN$LE8C4J<h>BACFM8%JN$E2=D<nMC"
U "4<B.JM8J#N$ECM>C0;Lh>BC.FM8J%N2EE2=4CyM>C0;%FEbE2=4CyM>C0;%FEPE"
END SUB

SUB V3
U "MC>C0J;h>BACFM8%JN2s(j'yE&8J2u%wnsy%2uwn%syEG1s4CELy>C0&;EbE#G$"
U "E=D4Cy>2C0;F%2jsi#22y7D8BE?MA>6AD0<E8JBE<DD27E;M0A64JAEC7D0=E0M"
U "=HC728=6EDF4LEJ4E3>D=4E0JBE>5LEH4C#SEnC1E8BEM:8=31E>5EJ0EA4ME84"
U "F1E>5EM4E4AMHC78D=6EFJ4LE4LE3>=J4EB>LE50ALE0=3LE>=4LE033M8C8>2="
U "0;EM540C2DA4_LEC74%Ektw%SSSs(j'yEM;>>?#SEy7D8BE:28=3ED>5E;2>>?E"
U "M;>>?JBE5>JAEC7J4E=DM<14A1E>5EMC8<4JBEB?M42852843S#EfEEM0;D41E8"
U "BEM68E4J=EC>CE0EEM0A8021;4E20=3E2C74EM?A>62A0<EM;>>?JBED=2C8;EM"
U "C70CLEE0AM801;J4E8BLE4#DD0;E>JAE6AM40C4JAEC7D0=ECD74E=MD<14JAEB"
U "?M42852843EM05C4JAEC7&4Eyt%SE22%ktwE&8JEb%EVEy%tEVU%2EEu%wnsy(E"
U "8J2.sj'y(E8J2L2&8;J;E;>)>?EVIUEC82<4BQLE?A8M=C8=J6EC7J4E=DM<14A"
U "&BEVEMC7A>2D67E%VUSE1y74EM;>>?LE4=3JBEF8DC7E0#Esj'IyEBCM0C4<24="
U "CEM5>;;M>F431E1HE2C74EME0A8M01;4LEC74LE;>>J?E8=M2A4<M4=CBLE5>A#"
U "SEx>1E8=E2>DAEM?A>62A0<Q1EF4EM70E4LE;>>D?BEF28C7EM8=34JGE=DM<14"
U "AABEM8#JNEBMC0AC28=6E)0CEVLE0=3LE8=2MA40B28=6E25>AEM4E4AJHE=DM<"
U "14ALE14CMF44=#EVE0D=3ECD74ECM>C0;LnC4<&BJQEMF782J7E8BLE68ED4=E1"
U "JHEC7J4EDBD4AE8J=EC7J4E582ABCEM?0AC1E>5E2C74EM?A>62A0<SIEf5CD4A"
U "ECD74ED2B4AEM8=?DDCBECD74E=MD<14JAE>5LE8C4D<BEC270CEMF8;;1E14EM"
U "20;2MD;0C)43QEM5>DALE0AA20HBE20A4E#inr4M=B8>2=43SIEy74JHE0AJ4E>"
U "=J4E38M<4=BM8>=0J;E0AMA0HBIQEB>LEC74JHE0AD4=LCLEE4AJHE2>M<?;4&G"
U "SEyD74E5M8ABC%Ektw%SSSs(j'yEM;>>?LE?A>M<?CBLEC74LEDB4JAE5>JAE40"
U "D27E82C4<SIEy74J=EC7J4E5>MA<0CLEBCA28=6ED8BE3M458=D43E0D=3ECD74"
U "E2M>;D<J=E74M034AJBE0AJ4E?AM8=C4&3SEyD74EBM42>=&3Ekt%wSSS.sj'yL"
U "E;>>J?E2HM2;4BLEC7AM>D67LEC74LE<4<M14AB1E>5E2C74EM5>DALE0AA20HB"
U "E20=3EM?A8=DCBECD74E320C0EMDB8=J6EC7J4E5>MA<0CLEBCA28=6SIEy74LE"
U "30CJ0E5>JAE40D27E<M4<14JAEF0JBE0BMB86=D43E8J=EC7J4E582ABCE%ktwS"
U "%SSsjA'yE;2>>?SIEj02J7E2H22;4EMC7A>2D67E2C74EMB42>D=3E;2>>?QLEC"
U "74LEC>CD0;h>)BCFED>5ECD74E2MDAA4D=CE82C4<EM148=J6E?AM8=C4J3E8BL"
U "E033D43ECJ>EC7J4EE0MA801D;4E=D4Cy>2C0;F#SEy7J4E=4JCy>C)0;FED8BE"
U "CD74ECM>C0;LEBD<1E>5E2C74EMC>C0J;E2>2BCBSIEf5CD4AECD74EBM42>=&3"
U "Ekt%wSSS.sj'yLE;>>A?QECD74E=D4CECM>C0;1E8BEM?A8=2C43E20=3E2C74E"
U "M?A>62A0<EM4=3B%SE221x0HEDF4E720E4EJ0E60D<4E0D=3EF274=E2C74EMDB"
U "4ALE<0:D4BE0LEA422>A3EMB2>AA4QEC274HE264CEDC>EFMA8C4LEC74D8AE=2"
U "0<4ED>=E0LE;8BJCE>5LEC74%EVUEM14BCLEB2>2A4BSIEgDCLEC74LE=4GJCEC"
U "8D<4ECD74ED2B4AEM?;0HJBEC7J4E60)<4QEDF4EF20=CE2C74EM=0<4LE0=3LE"
U "?>BM8C8>J=EC7D4HEAM42>A2343E2C74EM;0BCLEC8<J4EC7D4HE?M;0H4J3EC>"
U "LEBC8D;;E1J4EC724A4S.Ey>ED3>EC278BQ1EF4EM<DBCLEFA8DC4ECJ>EF7D0C"
U "E8JBE20M;;43CE0E528;4QLE0=3LEC74J=EA4D03E8JCE06208=EM;0C4&ASEnJ"
U "5EH>JDE0AJ4E2>M<?DCD4AE;M8C4A20C4QLEC74J=E=>LE3>DD1CEHD>DE:2=>F"
U "EMF70CCE0E528;4E)8BQE20=3EMB8=2J4EH>JDE0AJ4EDB28=6E2C74EM8=C4MA"
U "=4C1EC>EMA403LEC78&BQEnCL<E0MBBD<28=6E2H>DE20A4S.En5E2H>DE23>=L"
U "JCE:=D>FEF270CEJ0E58D;4E8JBE0=J3EH>JDEA4M0;;HLEF0=JCE<41EC>EM4G"
U "?;208=E)8CQEMC74=LE4<0D8;E<J4E0=&3EnEMF8;;#SEx>1EF4EM=4431EC>EM"
U "FA8CJ4EC>LE58;&4SEgM45>AJ4EH>JDE20J=E3>LE0=HMC78=J6EC>CE0E528;4"
U "QLEH>DLE<DBJCE>?D4=E8ACQE0D=3ECM74A4LE0A4LE385M54A4D=CEF20HBE2H"
U ">DE220=EM>?4=CE0E528;4QLE14;M84E41E8CED>AE=)>CSEIfE58D;4E2D0=E1"
U "J4E>?M4=431EB>E2H>DE220=EMA403LE5A>J<E8C1E>AEMFA8CJ4EC>1E8CQ1E>"
U "AED8CE2D0=E1J4E>?M4=43LE0=3LEB?;D8CE82=C>EMA42>2A3BEM;8:4CE0E3M"
U "0C0120B4SIEm4AJ4E8BCE0E#MD82:LEC01D;4E>J5EC7J4E38M554A24=CEMF0H"
U "BLEH>DLE20=LE>?4/=E0EM58;4%_E22#EEn=2?DC_IEw40J3E30DC0E52A><E2C"
U "74EM58;4%2EEtMDC?DAC_E&MA8C4LE30CJ0EC>LEC74LE58;&42EELf??4)=3_E"
U "M&A8CJ4E30DC0ECJ>EC7J4E4=J3E>5CE0E528;42#EEg8M=0AH#_Ew4D03E52A>"
U "<ED>AEFMA8C41EC>EJ0E58D;4E8J=E18M=0AHLE<>3&42EELw0=3)><_ELw403L"
U "E5A>J<E>ALEFA8DC4EC/>E0EM58;4LEF78D27E8JBEB?2;8CEDD?E8J=EA4M2>A"
U "3JBE;8D:4E0LE30CM010B&4E221y74EMBH=CD0GE5D>AEC)74Et%ujsEMBC0CM4"
U "<4=JCE8BLE#D8DC4E?M42D;280AS.EnCLJBE0AM6D<42=CBEMA4#D28A4EDDBEC"
U "J>EB?M4285/HE0EM58;4LE=0<A4QE0J=E02M24BBLECH?A4EMC)74EZLECH?D4B"
U "E3M458=D43E0M1>E4#NQE0D=3E0LE58;J4E=DM<14AISE&7D4=ECD74E528;4ED"
U "8BE>2?4=Q#Evg02B82EMA42>M6=8ID4BE8JCE1HCE0E=MD<14JAEF72827EDF4E"
U "0MBB86J=EC>LEC74LE58;J4EF7D4=EFJ4E>?D4=E8&CSEfD;;EAM454AM4=24JB"
U "E<0D34ECJ>EC7J4E58D;4EDDB4EC278BEM=D<1)4ASECnCE2D0=E1J4E0=JHE=D"
U "M<14ALE5A>&<EVE)C>EW%ZZSECf=E>2?4=EMBC0CM4<4=JCE<0JHE;>D>:E;28:"
U "4EMC78B%_E22%tujsIEGB0M<?;4LSCGC%GEkt%wEns%uzyE%fxEH#V22&J4EF8D"
U ";;E1J4EA4M038=J6E30DC0E52A><EMC78BLE58;J4E14M20DBJ4E8CLEF0BLE>?"
U "42=43E25>AEM8=?D&CSEg202:EDC>E>DDAE?MA>1;D4<E0M1>DCLEC74LE60<J4"
U "EB2M>A4B#SEq4DCBEBD4CED/?E0EM?A>62A0<EMF782J7EF8D;;E0DB:E5D>AEC"
U "M748ALE=0<J4E0=J3E68DE4EC274<EJ0EA0M=3><LEB2>)A4SELy74=1E8CEMF8"
U ";;LE?DCLEC74D8AE=20<4ED>=ECD74E;28BCED0CECD74E0M??A>M?A80DC4E?M"
U ";0241E>=E2C74E2C>?E%VUEMD85E8JCE<02:4BE2C74EM;8BC#NSE&J4L;;LE20"
U ";J;EC7J4E58);4EG2C>?VIUS30&CSGE1gDCE2B0HEMF74=LEC74LEDB4JAE1DDH"
U "BECD74E620<4QLEC74DA4E0DA4E0M;A40)3HEVIUE=02<4BE20=3EMB2>AD4BE8"
U "J=EC724A4S1E&4EMFA8CJ4EC7J4E5>M;;>F28=6EM?A>62A0<EDC>E?DDCE3M45"
U "0DD;CE=M0<4BLE0=3LEB2>2A4BEM8=C>LEC>?#VUS3)0C_E%22hq%x2tu%jsEG2"
U "C>?VIUS30&CGEk%twEt%zyuz%yEfx%EHV2%ktwE&8JEb%EVEy%tEVU#2EE?M;0H"
U "4MA=0<&4IEb#EGu;M0H4A%GEPE%xywI(M8JN#2EE?M;0H4MAB2>)A4JE%bEVU%U"
U "UER.EM8J%EOEV%UUN2.EE&w%nyjE%HVQEM?;0HM4A=0)<4IQLE?;0MH4ABM2>A4"
U "%J2sjA'yE8%J2hq%txjE%HV2u%wnsy#EGi0DC0EFMA8CCD4=ECJ>E58);4G2%js"
U "i2#22y724A4E20A4EJ0E2>MD?;4LEBCAM0=64LE540MCDA4JBE>5LEC78JBE?AM"
U ">6A0J<EC7D0CEFJ4E70DE4E=D>CEB244=E2H4CS.En=E2C74EMB42>D=3E;28=4"
U "ED>5ECD74E?MA>6AD0<ECD74E528;4ED8BE>M?4=4J3E5>JAE>DMC?DC1EB>EDF"
U "4E2D0=EFMA8C41EC>E)8CSECn=ECD74E5M>DACJ7E;8D=4E>J5EC7J4E?AM>6A0"
U "J<EF4LE64CLE8=CJ>EB>D<4E;M867CLEBCA28=6EM<0=8M?D;0MC8>=%SEfEM=0"
U "<41E8BEM64=4MA0C4J3E5AD><ECD74EF2>A3EM?;0H)4AQE20=3ED8BE2M>=20M"
U "C4=02C43EMF8C7LEBCA28=6EM5>A<1E>5E2C74EM2DAA24=CEM;>>?LE=D<214A"
U "SLE(>DLE20=LE2>=M20C4M=0C4LECF>LEBCAM8=6B1E1HEMDB8=J6EC7&4EPEM>"
U "?4AM0C>A#SEy7&4Exy#wIE5MD=2C28>=EMA4CD2A=BE2C74EMBCA8D=6EAM4?A4"
U "MB4=CM0C8>J=E>5LEC74LE=D<214AEM?0BBD43ECJ>E8C#SEy7J4E>?M?>B8DC4"
U "E>J5EC7&4Exy#wIE5MD=2C28>=ED8BECD74E%#fqE5MD=2C28>=QLEF78D27EAM"
U "4CDAD=BECD74E=MD<4AD82EEM0;D41E>5E2C74EMBCA8D=6E?M0BB4J3EC>1E8C"
U "SIEq0B2C;HQLEC74(E&wn#yjEBMC0C4M<4=CLEFA82C4BEDC>ECD74E528;4EM="
U "D<1D4AEBM?428M58431E0BE2C74EM58ABJCE0AM6D<4D=CECD74EEM0;D4JBE>5"
U "LEC74LE5>;M;>F8D=6E0MA6D<M4=CB#SEi0DC0E8JBEFAM8CC4J=EC>LE58;J4E"
U "8=CE0E5M>A<0JCEA4M0301D;4E1JHEC7&4Ens%uzyEIHEBCM0C4<24=CEMF782J"
U "7EF4LEF8;J;EDBJ4E8=LEC74LE02C2D0;EM?A>62A0<S1E&4EM=443LEC78JBEB"
U "72>ACEM?A>62A0<E25>AE2C74E2186E2>=4EDC>EF2>A:EDB>EFJ4E20J=E68DE"
U "4ECD74E?MA>6AD0<E320C0EDC>EA2403EM5A><IQE>ALE4;BJ4EF4LEF8;J;E64"
U "/CE0EM=0BC&HEns%uzyE%ufxy%Ejsi%EtkE%knqjLE4AAD>AEF274=EDF4ECDAH"
U "ECJ>EADJ=E8C#SEs>DC4EC270CE2C74EM58;4LEB7>2D;3ED14E2M;>B4J3EF7D"
U "4=EFJ4E0AJ4E3>D=4EF28C7ED8CE1JHEDB28=6E2C74E%hqtxIjEBCM0C4<24=C"
U "EM5>;;M>F431E1HE2C74EM58;4LE=D<214AS%E22fD=3E=D>FEFJ4E2>D<4ECJ>"
U "EC7J4E18J6E?AM>6A0A<QE0&BEnEM70E4LEA45M4AA4J3EC>1E8CS.EnCED8BE#"
U "MD8C4LE;0AD64E0D=3E2M><?;)4GQE20=3EInE70DE4E=D>CE5MD;;HLE34BM2A"
U "81D43E0D;;ECD74EBMC0C4M<4=CJBEDBD43E8J=E8CIQEB>#EnE720E4EM1A>:D"
U "4=E8JCE3>DF=ECJ>E58DE4EBM42C82>=BEMF782&7EnEMF8;;LE34BM2A81J4E8"
U "=LE34C208;EM05C4MAF0A)3BSELm4A4IQE0CLE;0BACQE8JBEC7J4E2>)34_E%2"
U "2LEMB42C28>=E%V2hq%x2wf%sitr(n)jE%ynrjIw2H>DDAx22>A4J%EbEn%syMw"
U "%siEO%EVUU%UN2u%wnsy#EGl0)<4Et2E4AG%2uwn%syEGM(>DALEB2>DA4E8&BE"
U "G$LEH>DJAx2>)A4J2%inrEM?;0HM4A=0)<4IM%VEyt%EVUN%EEEEILi42M;0A4L"
U "E0AA20HBE25>AE2C74E#VUE4M=CA8D4BE>J=EC7J4E;8)BC2i#nrE?M;0H4MAB2"
U ">)A4JM%VEyt%EVUN%EEE2#2LEBM42C8)>=EW%2tuj#sEGC)>?VULS30C%GEkt%w"
U "Ens%uzyE%fxEH%V2EE#itE&%mnqj%Esty%Ejtk%MVNE%EEEE%EEEE%ELEj#tkE<"
U "M40=BIEG4=J3E>5LE58;&4G2E#EEE8%JEbE&8JEP%EV2E%EEEn%suzy%EHVQLE?"
U ";0MH4A=20<4I(M8JN%EELw2403EM5A><LE58;&42EE%EEns%uzyE%HVQEM?;0HM"
U "4AB22>A4J(M8JN%2EEq%ttu2%hqtx%jEHV%2uwn%syE2#2LEBM42C8)>=EX%2kt"
U "w(E8JE%bEVE%ytEV%U2EE#nkEH2>DAxM2>A4%JEcbLE?;0MH4ABM2>A4.JM8J%N"
U "Eym%js2E%EEEk#twE8&8JEb%EVUE#ytE8%JEPE%VExy%juER%VEEE%EEELCl>E1"
U "M02:FM0A3B.EM8J%EaEV%UN2E%EEEELE?;0MH4A=20<4I1M88J%NEbEM?;0HM4A"
U "=0)<4IM)88JE%REVN%2EEE#EEE?M;0H4MAB2>)A4JM)88JN#EbE?M;0H4MAB2>)"
U "A4JM)88JE%REVN%2EEE#Esj'IyE88%J2EE%EEuw%nsyEIGh>=M6A0CMD;0CM8>="
U "BIFE(>JDE70DE4E<2034E2C74E2C>?E%VUFG%2EEE%Ensu%zyEGM&70C1E8BEMH"
U ">DALE=0<&4dEGIQEH>DDAs0)<4I2%EEEEM?;0HM4A=0)<4IM&8JNEIbEH>DDAs0"
U ")<4I2%EEEEM?;0HM4AB22>A4J(M8JN#EbEH2>DAxM2>A4%J2EE#EEj'%nyEk%tw"
U "2E%Ejsi%Enk2.sj'y(E8J2#2LEBM42C8)>=EY%2tuj#sEGC)>?VULS30C%GEkt%"
U "wEtz%yuzy%EfxE%HV2E%Ektw(E8JE%bEVE%ytEV%U2EE.EE&w%nyjE%HVQEM?;0"
U "HM4A=0)<4IM&8JNQLE?;0MH4ABM2>A4.JM8J%N2EE.sj'y(E8JE%E2hq%txjE%H"
U "V22ILEB4M2C8>&=EZ2%uwns%y2uw%nsyEIGm4AJ4E8BLEC74LEC>?%EVUGL25>A"
U "2<0CI%EbEG&+EEE%EEEE%EEEE%EEEE%EEEE%EEEE(E+EE%HHHH%EG2E%EEEu%wn"
U "sy#EGu;M0H4AIEs0<&4EEE%EEEE%EEEE%EEEE#EEx22>A4G%2EEE%Euwn%syEG%"
U "RRRR%RRRR%RRRR%RRRR%RRRR%RRRR%RREE%RRRR%RG2k#twE8%JEbE%VEyt%EVU"
U "2%EEuw%nsyE%zxnsIlE5>MA<0C#I$E?M;0H4MA=0<A4IM8%JN$EM?;0HM4AB22>"
U "A4J(M8JN#2sj'.yE8J%2jsi%22EELx42C28>=E%V_EyD74EBM2A44J=E8BLE2;4"
U "M0A43#SEy7J4EB4M2>=3LE;8=J4E2>M=C08D=BECD74EBMC0C4M<4=C%Ewfs%it"
U "rn&)jEy%nrjwISE&7D4=E3M40;8D=6EF28C7EMA0=3D><E=MD<14)ABQEDF4E<2"
U "DBCEM68E4LEC74LE2><M?DC4/AE0EM=D<1D4AEBJ>E8CLE70BLEB><M4C78D=6E"
U "CJ>E10DB4ECD74EAM0=3>J<E=DM<14A1E8CEMF8;;LE2A420C4EM5A><#SEy7D8"
U "BE=MD<14JAE8BLE20;2;43E2C74EMA0=3D><EB2443EM64=4MA0C>&ASEfLEA0="
U "23><EMB443LE64=M4A0CD>AE2D0=E1J4EB?M42852843EMF8C7LEC74%Ewfs%it"
U "rnA)jEBMC0C4M<4=C#SEk>JAEC7J4EB4)43QEDF4E=2443EJ0E=DM<14ALEC70J"
U "CEF8D;;E=D>CE1J4EC7J4EB0D<4E4ME4AHLEC8<J4EF4LEAD=CE0E?MA>6A)0<Q"
U "EDB>EFJ4E34M28341EC>E2DB4E2C74EM=D<1D4AE>J5EB4M2>=3JBEF72827EM7"
U "0E4LE4;0M?B43LEB8=D24E<M83=8267CSIEy74%Eynr#jwEBMC0C4M<4=CLE022"
U "M4BB4/BE0EMBHBCD4<E3M4E82J4E20M;;43LEC74LEBHB2C4<EMC8<4AAQE0D=3"
U "EAM4CDAD=BECD74E2MDAA4D=CE=MD<14JAE>5LEB42M>=3BLEF78D27E720E4EM"
U "4;0?2B43EMB8=2J4E<8M3=86)7CSELx8=2J4EC7D8BE=MD<14JAEF8D;;E2M70="
U "6J4E8=LE402J7E?AM>6A0J<EF4LEAD=IQEC7D8BE2D0=E1J4EDBD43E5D>AECD7"
U "4EAM0=3>J<EB4)43SE1y74EME0A8M01;4LEH>DJAx2>)A4JED8BE6M8E4=CE0EA"
U "M0=3>J<E=DM<14ALE5A>&<EUE)C>EV%UUUS.En=E2C74EM;0BCLE?0AJCE>5LEB"
U "42MC8>=LE>=4IQEF4LE342M;0A4LECF>LE0AA20HBEMF8C7%EVUEM<4<124ABEM"
U "4027%SE22#EEx4M2C8>&=EW_.En=E2C74EM58ABJCE;8D=4EFJ4E>?D4=ECD74E"
U "528;4E25>AEM8=?DACQEBJ>EF4LE20=LEA40J3E5AD><E8&CSEyD74EBM42>=J3"
U "E;8D=4E0M??40DABECJ>E14LEE4AJHEF428A3ED0CE5M8ABCISE&4LE0A4LEBC0"
U "MAC8=/6E0EM;>>?LEF8CJ7EC7&4EitLEBC0MC4<4)=CQE20=3EMC74=CE0E2M>="
U "38MC8>=1EC>ED3>EFM78;4#SEy7J4E5DM=2C8)>=Ej#tkECM4BCBLEC74LE58;J"
U "4E=DM<14ALE?0B2B43EDC>ECD74E5MD=2C28>=E#RRE8J=EC7D8BE220B4E%VER"
U "RLE0=31E85E2C74E24=3ED>5ECD74E528;4E%MjtkINE70JBE14D4=E4M=2>DM="
U "C4AD43E8JCEA4MCDA=JBECA)D4SE(x>Ej%tkMVINE8BLECADJ4E851EF4E20A4E"
U "MA40328=6E2C74E24=3ED>5ECD74E528;4SIEgDC1EF4E20A4EMDB8=J6EC7A4E"
U "g>M>;40J=E>?M4A0C)>AEs%tyQEDB>EFJ4EF0D=CECJ>E;>D>?EFM78;4LEC74L"
U "E4=31E>5EM58;4LE2>=M38C8D>=E8JBE502;B4S1E&4EMF0=C1EC>ED3>ECD74E"
U ";2>>?EMF78;J4EF4LE0A4LE=>CLEA40M38=6LE5A>J<EC7J4E4=J3E>5LE58;&4"
U "EVSLE(>DLEF8;J;E;420A=EM<>A4LE01>)DCEgM>>;4D0=E>M?4A0MC>AB%EMst"
U "%yQEf%siQE%twQE&'twQLE4C2#SNE0JBEH>JDE2>M=C8=DD4E?MA>6AM0<<8)=6"
U "SELy74=1EF4EM0BB8D6=ECD74E2MDAA4D=CE320C0ED8=ECD74E528;4EDC>ECD"
U "74E0MAA0HJBEF4LE342M;0A4J3E8=LEB42MC8>=%EVSE1y74E%nsuz%yEHEMBC0"
U "CM4<4=JCE8BLEDB4J3EC>LEA40J3E5AD><ECD74EBM?428M5843LE58;J4E8=DC"
U ">ECD74EBM?428M5843LEE0AM801;/4MBNLED=CD8;E0LE2><D<0E>JAE20MAA80"
U "D64EAM4CDAJ=E8BLE4=2M>D=CM4A43%SE22#EEx4M2C8>&=EX_IEy74LE<08J=E"
U "?DMA?>BJ4E>5LEC78JBEB4M2C8>J=E8B1EC>EDA4RFMA8C4LEC74LEC>?%EVUEM"
U ";8BC1E85E2C74EM?;0HD4ALBLEA0=M3><;JHE64M=4A02C43EMB2>AJ4E?;M024"
U "B1E>=E2C74EM;8BCISE&41E3>EMC78B1E1HEM2H2;28=6EMC7A>2D67E2C74EM;"
U "8BCIQE0=J3EC4MBC8=J6E85LEH>DJAx2>)A4JED8BE6MA40CD4AEC270=ED>AE4"
U "M#D0;1EC>E%McbNLEC74LE2DAMA4=CLE?;0MH4ABM2>A4IJE1428=6EMC4BC)43"
U "SECn5E8JCE8BIQEC7D4=EFJ4E70DE4ECJ>EB7285CEM4027LE4G8MBC8=J6EB22"
U ">A4EM14;>JFEC7J4E2DMAA4=JCE>=J4E3>DF=E>D=4ECJ>E<0D:4EA2>><E25>A"
U "E2C74E2=4FEMB2>AJ4E1428=6EM0334&3SEyD74ED2B4AED8BE2M>=6AM0CD;M0"
U "C43LE0=3LE?A>M<?C4J3E5>JAEC7248AEM=0<4#SEy7J4E;>D>?E8JBEC7D4=E4"
U "MG8C4J3EDB28=6E2C74E(j'ny%EktwLEBC0MC4<4)=CQEMF782J7EC7D4=E62>4"
U "BEDC>EBM42C8)>=EY%SE22#EEx4M2C8>&=EY_IEy78JBEB72>ACEMB42C28>=EM"
U "B8<?D;HE>M?4=BLEC74LE58;J4E5>JAE>DMC?DC1EB>EDF4E2D0=EFMA8C41EC>"
U "E)8CSELy74=1EF4EMFA8CJ4E40D27E>J5EC7J4E<4M<14AJBE>5LEC74LE0AAD0"
U "HECJ>E58);4SE%22EELx42C28>=E%Z_EnJ=EC7D8BE5M8=0;LEB42MC8>=1EF4E"
U "M3458D=4ECD74E5M>A<0JCEBCMA8=6IQE?A28=CE2C74EM740324ABQLE0=3LEC"
U "74J=E?A28=CE20;;E2C74EM<4<124ABED>5ECD74EC)>?EVIUE0=J3EC7248AEM"
U "B2>A)4BSE1f=3EMC70CCLBECD74E4D=3E>J5EC7J4E?AM>6A0&<FE2I2s>F1E>="
U "EDC>E0LE=4FLEC>?)82QEMF782J7EF8D;;E;M0C4ALE1422><4EMA4;02C43EDC"
U ">ECD74E?MA4E82>DBSIEzB4JAE34M58=4J3ECH2?4BSIEw4220;;EMC70CCE0EC"
U "2H?4ED8BECD74EC2H?4ED>5EEM0;D4CE0EEM0A8021;4E220=EM70E4IQEBDD27"
U "E0JBE8=MC464AAQEBMCA8=A6QE;2>=6QLE3>D21;4Q1E>AEMB8=6);4SE2(>DE2"
U "20=EM2A40DC4EH2>DAE2>F=EMCH?4JBEF72827EM2>=C208=E2>=4ED>AE<2>A4"
U "ED>5ECD74E0M;A40D3HE3M458=D43ECMH?4B#SEm4DA4E8JBE0=LE4G0M<?;41E"
U ">5EJ0EDBD4AE3M458=D43EC2H?4_%E22y&(ujEM4<?;M>H44LyH?4#2EE5M8ABC"
U "M=0<4%EfxE%xywn%slEO%EXU2IEE;0MBC=0)<4Ef%xExy%wnsl%EOEX%U2EE206"
U "4E%fxEn%syjl%jw2ELEF06&4Efx%Exns%lqj2%jsiE(y(ujI22&4LE70EJ4E34M"
U "58=4/3E0E2=4FEMCH?4IQEF72827EM2>=BM8BCB1E>5EM5>DALE30CJ0E<4M<14"
U "AABQE0&BEnEM20;;LEC74A<SE&J4E20J=E=>JFE34M2;0A/4E0EME0A8M01;41E"
U ">5EMC78BLECH?&4_E2%2inrLE4<?M;>H4&4EfxLE4<?M;>H4J4yH?&422fLEE0A"
U "M801;J4E>5CE0ED2B4AEM34582=43EMCH?41E8BEM;8:41E0=EM0AA0AHQE8J=E"
U "C7D0CE8JCE20J=E70DE4E<2>A4EMC70=LE>=4LEE0;DD4E0MBB862=43EDC>E8&"
U "CSEgDDCEHD>DE2D0=E720E4ED0=E0MAA0H1E>5EJ0EE0MA801D;4E>/5E0EMDB4"
U "ALE345M8=43LECH?J4E0BLEF4;A;QEBJ>EC7M8=6BLE20=LE64CLEA0C274AEM2"
U "><?2;4GSIEf=H2F0HQLE=>FLEC70JCEH>JDE70DE4E0LEDB4JAE34M58=4J3ECH"
END SUB

SUB V4
U ")?4QE2H>DE220=EM0BB8D6=EEM0;D4JBEC>LEC74LE30CJ0E<4M<14AJBE>5LEC"
U "70JCEE0MA801);4SE1zB4EJ0E?4MA8>31EC>EM0224DBBE0LE30CJ0E<4M<14A1"
U "E>5EJ0ECH)?4QEM;8:4LEC78&B_E2L24<?M;>H4J4S58MABC=20<4E%bEGg)>1G"
U "2M4<?;M>H44LS;0BMC=0<&4EbEIGk>B2C4AGL24<?M;>H4J4S06&4EbE#WY24M<"
U "?;>2H44SMF064%EbE[%S\]2I2y78JBE2>2D;3EM70E4LE144J=E74M;?5DJ;E8="
U "LEC74LE;0BJCE?AM>6A0J<EF4LE<03J4EF8DC7ECD74EC)>?EVIUE;8)BCSED&4"
U "E2M>D;3LE70EJ4E34M2;0AD43E0LEDB4JAE34M58=4J3ECHD?4E2M0;;4J3E?;M"
U "0H4ALyH?4IQE;8D:4EC278B_%E22y&(ujEM?;0HD4AyH)?42ELE=0<&4Efx%Exy"
U "w%nslE%OEWU#2EEBM2>A4%EfxE%nsyj%ljw2%jsiE(y(ujI220=J3EC7D4=E3M4"
U "2;02A43ED0=E0MAA0H1E>5EME0A8M01;4JBE>5LEC70JCECH)?4E2%2inrLE?;0"
U "2H4AM%VEyt%EVUN%EfxEM?;0HD4AyH)?422Ly70CLEF>DD;3E720E4EM<034LE>"
U "DALE2>3J4E<>DA4E4M5582M84=CIQE1DJCE=>JCE=4M24BBM0A8;JHE<>DA4EAM"
U "403021;4SIEs>C2824EMF74=1EF4EM342;20A4EJ0EBCMA8=61E8=EJ0EDBD4AE"
U "3M458=D43EC2H?4EMC70C1E8CEMB44<JBE0B1E85EDF4E0DA4E<MD;C8M?;H8D="
U "6E8JCE1HCE0E=MD<14&ASEfM2CD02;;HQ1EF4E2C74EM=D<1D4AE0M5C4ALEC74"
U "#EOE3M458=D4BECD74E<M0G8<DD<E;M4=6CJ7E>5LEC74LEBCA28=6SLE(>DLE<"
U "DBJCE34M58=4LEC78JBE14M20DBJ4EC7J4EB8DI4E>/5E0EMDB4ALE345M8=43L"
U "ECH?J4E<DDBCE1J4E:=2>F=ED1HECD74E2M><?D2C4ASIEf=HLEE0;DD4E0MBB8"
U "62=43EDC>EC278BEMBCA8D=6E320C0EM<4<1D4AEFM7827LE4G2M443BLEC74LE"
U ";4=26C7EMB?42M8584J3E8BLECADM=20C)43SE#22zBD4AE3M458=D43ECMH?4B"
U "LE20=LEB4ADE4E<2>A4EMC70=1EC>ED14E4M5582M84=C#SEy7D4HE0DA4ECD74"
U "E7M40AC1E>5E2C74EMA0=3D><E0M224BJBE58D;4E<2>34QLEF78D27E8JBE2>M"
U "<<>=D;HED2B43ED8=E3M0C0120B4EM58;4&BSEfLE30CM010BJ4E8BCE0E<M4C7"
U ">J3E>5LE>A6M0=8I28=6EM;0A6J4E#DM0=C8MC84B1E>5EM8=5>MA<0C28>=ED8"
U "=EAM42>AD3BE0D=3E5M84;3&BSEn/=E0EMA42>)A3QEMC74AJ4E0A/4E0E2B4CE"
U "D>5E5M84;3JBEF72827E20A4EM2>=BMC0=C1E8=EM4E4AJHEA4M2>A3%SEfEM58"
U "4;/3LBEME0;DJ4E27M0=64JBE5AD><EAM42>AJ3EC>LEA422>A3QLE7>FM4E4A#"
U "SEoDDBCECD74E=20<4ED>5ECD74E5M84;3LEA4<M08=BLE2>=MBC0=&CSExJ>E7"
U ">JFE3>D4BEC278BEMA4;0DC4ECJ>EDBD4AE3M458=D43ECMH?4BIdE&4D;;ECM7"
U "8=:1E>5EJ0EE0MA801D;4E>/5E0EMDB4ALE345M8=43LECH?J4E0BCE0EAM42>A"
U "J3E8=LEC74L230CM010BA4QE0D=3ECD74E320C0EM<4<124ABEM584;D3BE>J5E"
U "C7J4EA4M2>A3&BSEjM<?;>2H44E2<0HED14E0LEA422>A3QLE0=3LE58AMBC=0)"
U "<4QEM;0BCM=0<4IQE06A4QE0D=3EF2064E2<0HED14E5M84;3ABSE%M0;D4JBE2"
U "0J=E14LE0BBM86=4J3EC>LEC74LE5842;3BED8=E42027EMA42>)A3QEMC7DBLE"
U "2>=MBCADM2C8=/6E0EM30C0M10B4%SEfEM58;4LE>?42=43E25>AEMA0=3D><E0"
U "M224BJBE8BLE>A6M0=8ID43E8J=EC7D8BE5M0B78)>=QEMF8C7LEA42M>A3BLEB"
U "?;D8CE82=C>EM584;)3BSELj027LEA422>A3ED8=ECD74EAM0=3>J<E02M24BBL"
U "E58;J4E8BLE68ED4=E0LEA422>A3EM=D<1D4AEFM7827LE20=1E14EM2>=EM4=8"
U "4D=CE8/=E0EM30C0M10B4LE4=EM8A>=M<4=C#SEn=LEC74%EtujIsEBCM0C4<24"
U "=CE25>AEM>?4=28=6EJ0EA0M=3><LE02224BBEM58;4LEC74DA4E8JBE>=J4E4G"
U "2CA0EM0A6DM<4=CISE&4LE<DBJCEB?M4285JHEC7J4E;4M=6C71E8=EM1HC4JBE"
U ">5LE7>FLE<D2J7EB?2024E2>=4EMA42>DA3EF28;;EM>22D)?HERIREC7J4EA4M"
U "2>A3LE;4=26C7SIEy78JBE20J=E14LE40B28;HEMC0:4J=E1HLEC0:28=6E2C74"
U "E#qjs6DC7E>/5E0EME0A8M01;4LE345M8=431E0BE2C74EMDB4ALE345M8=43LE"
U "CH?J4EF4LE0A4LE6>8D=6ECJ>EDB&4SExJ>E10D2:ECJ>E>DJAE4<M?;>HD44E4"
U "MG0<?);4QEDF4E2M>D;3LEDB4LEC74%EqjsLE5D=M2C8>J=EC>LE64CLEC74LEB"
U "8IJ4E8=LE1HCD4BE>J5EC7J4E4<M?;>HD44EEM0A8021;4QLEF78D27E8JBE0=L"
U "E4<?M;>H4J4yH?&4SEm24A4LJBEC7J4E2>)34_EI22A4M2>A31q4=H%EbEq#jsM"
U "4M<?;>2H44N%2tuj#sEG3M0C0120B4S230CG%Ektw%Ewfs%itrE%fxEH%VEqj%s"
U "EbEMA42>DA3q4&=H22%qjsEMBC0=D3BE5D>AE;M4=6CA7SE(D>DE2D0=E02;B>E"
U "2DB4E2C74E%qjsEM5D=2MC8>=1EC>E264CE2C74EM=D<1D4AE>J5E27M0A02MC4"
U "AB1E8=EJ0EBCMA8=6IQE1DJCEC7D0CE8JBE:8D=3E>J5E8AMA4;4ME0=CLEA86D"
U "7CE=)>FSECx>E;D4CLBLE2>=MBCADD2CE0LEB8<2?;4EM30C0M10B4LEC70JCEF"
U "8D;;E:244?EMCA02J:E>5LEC74LE4<?M;>H4D4BE>/5E0EM1DB8M=4BB%SE22#L"
U "Ex4M2C8>&=EV2%hqx2(y(ujLE4<?M;>H4J4yH?&42EEM58ABMC=0<&4Efx%Exyw"
U "%nslE%OEXU#2EE;M0BC=20<4E%fxEx%ywns%lEOE%XU2ELE064%EfxE%nsyj%lj"
U "w2IEEF0)64Ef%xExn%slqj%2jsi.Ey(u%j2inIrE4<M?;>H)44EfIxE4<M?;>HD"
U "44yH)?422#LEx4M2C8>&=EW2%uwns%yEGV%SNEhMA40CJ4E=4JFEA4M2>A32B4C"
U "G%2uwn%syEG%WSNEM%84FLE4G8MBC8=J6EA4M2>A32B4CG%2nsu%zyEGM&782J7"
U "E>?MC8>=%dEEGIQEB4M;42C28>=J%22LELx42C28>=E%X2nkLEB4;M42C8)>=JE"
U "%bEVE%ymjs%E2EE%nsuz%yEGmD>FE<20=HEM4<?;M>H44JBE0AJ4E8=LEC74LE2"
U "><M?0=H%dEEGIQE=DJ<w42M>A3B%J2EEMA42>DA3q4&=HEb%EqjsLM4<?M;>H4&"
U "4N2E%Etuj#sEG3M0C0120B4S230CG%Ektw%Ewfs%itrE%fxEH%VEqj%sEbEMA42"
U ">DA3q4&=H2E%EEEk#twE8%JEbE%VEytLE=D<Lw42>2A3BJ%2EEE%EEEh%qx2E%E"
U "EEE%Ensu%zyEGLk8ABJCE=0)<4_E%EGQEM4<?;M>H44LS58AMBC=0)<42E%EEEE"
U "%Ensu%zyEGLq0BCLE=0<&4_EE%EGQEM4<?;M>H44LS;0BMC=0<&42EE%EEEE%ns"
U "uz%yEGf)64_E%EEEE%EEEE#GQE4M<?;>2H44S20642%EEEE%EEns%uzyELG&06&"
U "4_EE%EEEE%EEGQLE4<?M;>H4J4SF0)642E%EEEE%Euzy%EHVQIEQ4<M?;>H)44E"
U "2%EEEE.sj'y(E8J2%EEEE%hqx2%EEhq%txjE%HV2E%Euwn%syEGLw42>MA3B4JC"
U "E2AM40C8D>=E2M><?;24C4G%2EEj%si2j%siEn%k22LIEx42MC8>=%EY2nIkEB4"
U "M;42C28>=J%EbEW%Eymj%s2EEMA42>DA3q4&=HEb%EqjsLM4<?M;>H4&4N2E%Et"
U "uj#sEG3M0C0120B4S230CG%Ektw%Ewfs%itrE%fxEH%VEqj%sEbEMA42>DA3q4&"
U "=H2E#EEE5M>A<0&CIEb.EG+E%EEEE%EEEE%EEEE#EEE+(Q+EE%EEEE%EEEE%EEE"
U "E.EE+E%EEHH%HEEI%IHHS%HHG2%EEEE%EEEE%uwns%yEGq20BCEM=0<4%EEEE%E"
U "EEE#EEk82ABCEM=0<4%EEEE%EEEE%EEEf)64EEM&064%EEEG%2EEE%EEEE%Euwn"
U "%syEG%RRRR%RRRR%RRRR%RRRR%RRER%RRRR%RRRR%RRRR%RRRR%REEE%RRRE%ER"
U "RR%RRRR%G2EE%EEit(E&mn%qjEs%tyEj%tkMV%N2EE%EEEE%ljyE%HVQELQ4<?M"
U ";>H4&4EEE%EELxM>AAHLE01>DDCECD74E;M4=6CJ7E>5LEC78JBE;8)=4FF%FE2"
U "E%EEEE%Euwn%syEz%xnslLE5>A2<0CII$E4<M?;>HD44S;M0BC=20<4$LE4<?M;"
U ">H4J4S58MABC=20<4$LE4<?M;>H4J4S06A4$E4M<?;>2H44SMF064%2EEE%Eqtt"
U "%u2EE%hqtx%jEHV%2EEj%si2j%siEn%k22n1LE4EMB?;8JCEC7D8BE?MA>6AD0<"
U "E82=C>EMB42CM8>=BLE060D8=E1M420DDB4EC270CEMB44<JBEC>LEF>AJ:EF4D"
U ";;E5D>AECD74E;M0A64JAE>=)4BSE%22EELx42C28>=E#V_E&J4LA4LE345M8=8"
U "=J6EC7J4EDBD4AE3M458=D43EC2H?4E20=3EM342;M0A8=/6E0EME0A8M01;41E"
U ">5EMC70CLECH?&4SE2%2EExM42C8)>=EW#_Ey7J4E582ABCEMC78=J6EC7J4EDB"
U "D4AEB244BED8BE0LE<4=JDEF8DC7ECD74E>M?C8>J=EC>LE48C274AEM2A40DC4"
U "E0LE=4FLE30CM010BA4EMAM42>AM3B4CINE>ALEE84JFEC7J4E4GM8BC8D=6E>)"
U "=4SE1y74EMDB4A1E8BEM?A><M?C431EC>EM<0:4CE0EBM4;42MC8>=LEF78D27E"
U "8JBEBCM>A431E8=E2C74EME0A8M01;4LEB4;M42C8)>=JS%E22EIEx42MC8>=%E"
U "X_ECn5ECD74ED2B4AEM27>BJ4E>?MC8>=%EVERIRE2AM40C4CE0E=D4FEAM42>A"
U "M3B4C%ERREMC74=LEC78JBE2>D34E8JBE4GM42DC)43SELk8ABJCEF4LE?A>2<?"
U "CE2C74EMDB4ALE5>ALE7>FLE<0=JHE4<M?;>H244BE20A4ED8=ECD74E2M><?0D"
U "=HEBJ>EF4LE:=>JFE7>JFE<0D=HECM8<4B1EC>ED6>ECM7A>DD67E0LE;>>&?SE"
U "y274=EDF4E>2?4=E2C74EM58;4IQE?AM><?CLEC74LEDB4JAE5>JAEC7J4E30DC"
U "0E5D>AE42027EME0A8M01;4IQE0=J3EFA28C4E2C74EMF7>;J4EA4M2>A31EC>E"
U "M58;4#SEy7J4EA4M2>A31E8BEMFA8C2C4=EMDB8=J6EC7&4EuzIyEBCM0C4<24="
U "CSIEy74LE58ADBCE0MA6D<24=CE)8=Eu#zyE8JBEC7J4E58D;4E=MD<14AAQECD"
U "74EBM42>=J3E8BLEC74LEA422>A3EM=D<1)4AQE20=3E2C74EMC78AJ3E8BLEC7"
U "4LE30CJ0EC>1E14EMFA8C2C4=EDC>E528;4S.En5ED=>EAM42>AJ3E=DM<14A1E"
U "8BEMB?42M8584J3E5>JAEC7J4EB4M2>=3LE0A6MD<4=ACQECD74E2MDAA4D=CE5"
U "28;4EM?>B8MC8>=1E8BEMDB43IQEF72827EMF8;;LE9DBJCE0?M?4=3LEF70JCE"
U "F4LEB?4M285HLE05CD4AEF270CED8BE0M;A40D3HECM74A4#SEy7D8BEFM>A:BL"
U "E58=A4QEBJ>EF4LE3>=CLCE=2443EDC>EFM>AAHLE01>DDCE4MG?;8228CEMA42"
U ">DA3E=MD<14)ABSELs>C8D24EC270CEDF4E0DA4EFMA8C8D=6ECD74EFM7>;4LE"
U "4<?M;>H4J4EE0MA801D;4ECJ>E58);4SELy78B1E8BEM14202DB4EDF4EFMA8C4"
U "LEA42M>A3B1EC>EM58;4IQE0=J3EC7J4EF72>;4EME0A8M01;4LE2>=MC08=JBE"
U "C7J4E30DC0E5D>AECD74E320C0EM<4<124ABELM5842;3BN%SE22#EEx4M2C8>&"
U "=EY_.En5E2C74EMDB4ALE27>M>B4B1EC>EME84FLEC74LE4G8MBC8=J6EA4M2>A"
U "32B4CQLEC74J=EF4LE58ADBCE>2?4=E2C74EM58;4IQE34M58=4CE0E5M>A<0JC"
U "EBCMA8=6LE5>ALEC74LE?A8M=C>DACQE0D=3E?MA8=CLEC74LE740M34AB#SEs4"
U "DGCEFJ4E70DE4E0LE;>>J?ED=2C8;E2C74E24=3ED>5E528;4ED8BE4M=2>DM=C"
U "4A)43SELs>C8D24EC)74El#jyEBMC0C4M<4=CIQEF72827ED8BED2B43EDC>EA2"
U "403EM5A><CE0EAM0=3>J<E02M24BBLE58;&4SEyD74E5M8ABCLE0A6MD<4=JCE8"
U "BLEC74LE58;J4E=DM<14A1EF4EMF0=C1EC>EMA403LE5A>A<QECD74EBM42>=J3"
U "E8BLEC74LEA422>A3EM=D<1)4AEMMF782J7EF4LE0A4LE;40ME8=6LE1;0D=:E1"
U "M420DDB4EFJ4E20J=EA4D03E52A><E2C74EM2DAA24=CEM?>B8MC8>=(E*huJ,E"
U ";8D:4EFJ4E38J3E8=LEC74%EuzyLEBC0MC4<4)=CNQLE0=3LEC74LEC78DA3E8J"
U "BEC7J4EE0MA801D;4E8J=2F72827EDF4EA2403E2C74EM30C01E8=E)C>SELy78"
U "BLEE0AM801;J4E<DDBCE1J4E>5LEC74LEB0<J4ECHD?4EC270CEDF4EFMA>C4LE"
U "F8CJ7E>ALE4;BJ4EC7J4ECH2?4BEMF8;;1E14EM8=2>M<?0CM81;4ISE(>/DL3E"
U "M?A>1M01;HLE64C(E0Ey&(ujE%rnxr%fyhmLE4AAD>AE8/5E0EM3855M4A4=JCE"
U "E0MA801D;4E8JBEDBD43E1M420DDB4ECD74E5M84;3JBE0AJ4E=>JCE4#2D0;Q1"
U "EB>E2C74EM?A>62A0<EM3>4BLE=>CLE:=>JFEF7D0CECJ>E0BMB86=LEC74LE30"
U "CJ0EC>%SE22M&4;;LEC70/CLBED8CE5D>AEAM0=3>J<E02M24BB#SEn5LEH>DLE"
U "70EJ4ED=M34ABMC>>3LE70;J5E>5LEF70&CEnLDE4EB2083QLE544J;E6>)>3SE"
U "2(>DEM70E4CE0E62>>3EM:=>FM;436J4E>5LEF70&CEvgM0B821E8BEM01>D&CS"
U "EsD>FE>J=EC>LEB><J4E<>DA4E0M3E0=2243EM?A>6MA0<<28=6F%E222%xjhy%"
U "ntsE%YERE%lwfu%mnhxI2lA0M?782JBE?AM>6A0M<<8=J6E8=#Evg02B82E220="
U "E264CEM508AD;HE2M><?;)4GSELq4CBLEBC0DACE52A><E2C74EM1468M==8=A6"
U "SE(2>DAEMB2A4D4=E8JBE<0D34EDJ?E>5LE7D=M3A43JBE>5LE?8G24;BSIEy74"
U "LE=D<214AED>5E?M8G4;JBE7>MA8I>M=C0;D;HE0D=3ECD74EEM4AC8M20;;JHE"
U "34MC4A<M8=4BLEC74LEA4BM>;DC28>=ED>5EH2>DAEM<>=82C>ASIEw86D7CE=)"
U ">FQEMH>DALE<>=M8C>A1E8BE2B4CEDD?E8/=E0EME834J>E6AM0?78D2BE<2>34"
U "EMF782J7E34MC4A<M8=4BLE7>FLE<0=JHE?8MG4;BLE20=1E14EM38B?M;0H4J3"
U "E>=LEB2A244=S.ErHEMA4B>M;DC8D>=E8JBEB4JCEC>%E]UU&G[UULEA86D7CE="
U ")>FQE21DCE2C74EM<>BCLE2><2<>=E)8BE[.YUGY%]USEM(>DALE6A0M?782JBE"
U "<>D34E8JBE34MC4A<M8=431E1HE2C74EMB2A4D4=EAM4B>;MDC8>J=E8=LE?8G2"
U "4;BQLEC74LEC4GJCEA4MB>;DMC8>=IEM7>JFE<0D=HE;M8=4BLE0=3LE2>;MD<="
U "B1E>5EMC4GCLE20=LE58C1E>=EMH>DALEB2A244=NIQEC7J4E=DM<14A1E>5EM?"
U "064JBE>5LEE83D4>E<M4<>AAHQE0D=3ECD74E2M>;>ALE?0;M4CC4#SEy724A4E"
U "20A4E#VXEBM2A44J=E6AM0?78D2BE<M>34B1E8=EIvg0B)82QE20=3EM4027LE7"
U "0BLE8CBLE385M54A4D=CE?MDA?>)B4SE2(>DE220=EM;>>:1E8=E2C74EM74;?L"
U "E8=3D4GE8&=EvgM0B82LE5>ACE0E;M8BC8D=6E>J5EC7J4EB2MA44=LE6A0M?78"
U "2JBE<>234BE20=3EMC748JAEB?M4285M820CM8>=B#SEj0D27E>J5EC7J4E0BM?"
U "42CJBE>5CE0EBM2A44J=E6AM0?78D2BEC2H?4E220=ED14E2M70=6D43ECJ>E2A"
U "M40C4LE455M42CB%SE22Ly74AJ4E0A/4E0EM=D<1D4AE>J5E6AM0?78D2BEAM>D"
U "C82=4BEMDB431E8=EIvg0BD82EFM7827LE0;;D>FE0LEE0AM84CH1E>5EM6A0?M"
U "7820J;E45M542C&BSEq24CBE2CAHEJ0E54&F_E2%2xhw%jjsE%VW2q%nsjE%MUQ"
U "U%NRM[%YUQY%]UNQ%EV2h%nwhq%jEMX%WUQE%WYUN%QEWU%QEW2%uxjy%EMVU%Q"
U "VUN%QEVY%2iwfA&EG2#VZE1&<VUU%QYUUCE;Z4CZ5Z;%ZG2j%si221y74EM58AB"
U "JCE;8D=4E8M=8C8M0;8ID4BECD74E6MA0?7282BEM<>341EC>E%VWQEMF782J7E"
U "8B%EV[EM2>;>)ABQEIVE?0D64E>J5EE8234>EM<4<>)AHQE20=3E#[YUG%Y]UEM"
U "A4B>M;DC8)>=SE%E22E%EqnsIjE3A20FBEJ0E;8D=4E52A><E2>=4EM2>>AM38="
U "0DC4ECJ>E0=M>C74&ASEyD74E5M8ABCLE>?CM8>=0J;E0AM6D<4D=CE0M5C4ALE"
U "C74LE2>>MA38=M0C4BIEMF72827E20A4E2=>CEM>?C8M>=0;INE8BLEC74LE2>;"
U ")>ASELf5C4JAEC7)0CQE&0EgEIMG1>&GGNE)>AEg%kEMG21>GEM58;;#GNE2D0="
U "E1J4EDBD43ECJ>E3AD0FE0LE1>G1E>AEJ0E1>JGE58M;;43LEF8CJ7EC7J4E2>2"
U ";>AEMB?42M8584&3SEyD74E5M8ABCLE2>>MA38=20C4E220=ED14E>M<8CCD43E"
U "0D=3EC)74ERLE;45JCE8=1EC>EM3A0FCE0E;28=4EM5A><LEC74LE2DAMA4=CLE"
U "6A0M?782JBE?>MB8C8)>=EM%huNEDC>ECD74EAM4;0C28E4EM2>>AM38=02C4BE"
U "MB?42M8584&3SEq%nsjE%RMVU%UQUNLEF8;J;E3AD0FE0LE;8=J4E5AD><ECD74"
U "E2MDAA4D=CE6MA0?7282BEM?>B8MC8>=1EC>E%VUUEM?8G4D;BECJ>EC7J4EA82"
U "67CS%22EE%hnwh#qjE3MA0FBCE0E2M8A2;J4EF8DC7ECD74E2M4=C4JAE0CLEC7"
U "4LE2>>MA38=M0C4BLEB?4M2858)43SE1y74EM58ABJCE0AM6D<4)=CEMMA4#DM8"
U "A43INE052C4AE2C74EM2>>AM38=02C4BED8BECD74EAM038DJBE>5LEC74LE28A"
U "22;4SIEy74J=E2>2<4BE2C74EM2>;>&ASEfM5C4ALEC70ACQE8J5EH>JDEF0D=C"
U "ECJ>E3AD0FE0J=E0AA2QE8JBEC7J4EBCM0AC8D=6E0M=6;41E>5E2C74E20A2ED"
U "8=EAM0380)=BQEMC74=LEC74LE4=328=6EM0=6;J4E>5LEC74LE0A2#SEy>LE<0"
U ":J4E0=LE0A2IQE582ABCEMC>D2J7ED?1E>=EMH>DALE64>M<4CAAHQEC274=EMA"
U "420D;;EC270CEDC>E2M>=E4DACE52A><EM346A244BEDC>EAM0380D=BE8&BEun"
U "%EMXS%VYVZ%^W[ZINE38ME834J3E1H%EV]U#SEy7J4E;0DBCE0MA6D<24=CED8B"
U "ED2B43ED85EHD>DEF20=CEDC>E<20:4ED0=E4M;;8?)B4QE20=3ED8BECD74EAM"
U "0C8>1E>5E2C74EJHE0GD8BECJ>EC7/4EGEM0G8B#SEx>%EEhn%whqj%EMXW%UQW"
U "Y%UNQE%WUQE%WQEX%SVYV%ZQEU%QESZLEF>DD;3E32A0FED0=E4M;;8?MC820J;"
U "E6A244=E20A2EMF8C7LEC74LE24=2C4AED0CECD74E<M833;J4E>5LEC74LEB2A"
U "244=QLEBC0MAC8=J6E0C%EV]ULE346MA44B%EMunINE0=J3E6>28=6E)C>EULE3"
U "46MA44BIQEF8DC7E0LE2><M?A4BMB8>=LEA0CD8>E>&5EVE)C>EW.EMGEM0G8BL"
U "ECF8D24E0JBE18J6E0BLEC74(EHNSIEy78JBE;>2>:BEM;8:4CE0EF2834EMB<8"
U ";D4HE52024EM<>DC&7S22%EEux#jyE5M8;;BCE0E?M8G4;1E0CE2C74EMB2A4D4"
U "=E2M>>A3M8=0CJ4EH>JDEB?M4285JHEF8DC7ECD74E2M>;>ALEH>DLEB?4M285H"
U "#SEn=LEC78JBE20)B4QEMH4;;)>FS2%EE2kM8=0;);HQE2C74E#iwf&LEBC0MC4"
U "<4)=CSE1y74E#iwf&LEBC0MC4<4D=CE7D0BE8/CLBE2>F=EM2><<M0=3BLEF78)"
U "27EnLEBCAM>=6;JHEBDM664BJCEH>JDE<4M<>A8)I4SEM&74=1EF4E264CED8=E"
U "CJ>EB2M0;8=J6E0=J3EA>MC0C8D>=EHD>DEF28;;EM=4431EC>EM:=>FLEH>DJA"
U "E3AD0FE2M><<02=3BEM?A4CDCHEF24;;SIEy74LE3A0JFE2>M<<0=J3E8=LEC74"
U "LE01>DE4E22>34EM4G0<2?;4E220=ED14EA2403E)0BEGM2>;>&AEVZIEMF728C"
U "4NIQE<>DE4EFM8C7>DDCE3MA0F8D=6ECJ>EB2MA44=LE2>>MA38=20C4E%VUUQ%"
U "YUUQLE3A0JFE;4)5CEZLED=8)CBQEM3A0F1ED?E20=3EMA867&CEZEMD=8CABQE"
U "32A0FEM3>F=LE0=3LEA86)7CEZLED=8)CBQE20=3EM3A0FLE;45&CEZEMD=8C&B"
U "SGECn=E>MC74ALEF>A)3BQEJ0ECAM80=6);4SEIfED=D8CE8JBEB4JCE1HLEC74"
U "LE2DAMA4=CLEB20D;4E<2>34QLEF78D27E1JH234M50D;JCE8B%EYSELx8=2J4E"
U "34M50D;JCEB220;4EM<>341E8BE#YQE>D=4ED2=8CEMA4?AM4B4=)CBEYLE?8G2"
U "4;BS.Ex>E2>DAEMCA80M=6;41E8BE#YUE?M8G4;JBEF8D34E0JCEC7J4E10)B4S"
U "E#22y724A4E20A4E#V[E3M458=D43E2M>;>AJBE8=#Evg02B82SIEy74%Ehtq#t"
U "wEBMC0C4M<4=CLEB4CJBEC7J4E2DMAA4=JCE2>2;>AE25>AEMC4GCLE>DC2?DCS"
U "#EnE7M867;JHEA4M2><<24=3EM<4<>MA8I8D=6ECD74E2M>;>AJBE0BLEF4;&;S"
U "EwDD=EC278BEM?A>62A0<_%E22x%hwjj%sEVW%2ktw(E8JE%bEUE%ytEV%Z2EE%"
U "htqt.wE8J%2EEu%wnsy%EGht%qtwG.$E8J#2sj'.yE8J#22y7D8BEF28;;EM?A8"
U "=JCE>DJCEC7&4EV[LE2>;2>ABEMDB431E8=EIvg0B)82SEIUE8BLE1;0)2:QEDB"
U ">EC270CEM>1E8M>DB;JHEF>/=LCEMB7>F1ED?S.Ef=EM#D82J:EA4M54A42=24E"
END SUB

SUB V5
U "25>AEM2>;>DABEFM78;4LEH>D1LA4ED8=EC)74EvLg0B8&2Eni#jEM8M=C46MA0"
U "C4J3E34ME4;>M?<4=JCE4=ME8A>M=<4=ACNE8JBEC>LE;>>J:ED=234AE2C74E%"
U "tuyn%tsxE&KEin%xuqfJ(E<4)=DSE1y74EM2>;>DABE;M8BC4J3EC724A4E20A4"
U "ED8=EC)74EvLg0B8J2E>A234AQLEBC0MAC8=J6EF8DC7E1M;02:LE0=3LE4=328"
U "=6EMF8C7LE1A8267CEMF78C&4SE2I2s>FLEH>DLE:=>JFEC7J4E102B82EM6A0?"
U "M782BLEA>DMC8=4JBE0=J3EC7248AEMDB4B%SSSEM;4CBLE<0:/4E0EM2>D?D;4"
U "E?MA>6A20<BEMC70CLE34<M>=BCMA0C4LEC74J<EC>CE0E6MA40CD4AE4MGC4=&"
U "CSEkM8ABC.QE0EM?A>62A0<EMF782J7E?AM><?CJBEC7J4EDBD4AE5D>AE0LEA0"
U "328DBQLE20;M2D;02C4BE2C74EM0A40LE0=3LE28AM2D<5M4A4=)24QE20=3EM3"
U "A0FJBEC7J4E28MA2;41E8=EJ0EA0M=3><LE2>;D>AE>J=EC7J4EB2MA44=%SE22"
U "%xhwj%jsEV%W2wf%sitr(n)jE%ynrj%w2ht%sxyE)?8FE%bEXS%VYVZ%2it2%EE"
U "ht%qtwE%VZ_E%nsuz%yEGwM038D&BEMRIVEC>LE#D8&CNER%RcEGIQEA0M38DB%"
U "F2EE#nkEAM038D&BFEb%ERVE%ymjs.Ej'n%yEit#2EE02A40F#EbE?&8FEOLEA0"
U "328DBF(E-EW#2EE2M8A2D&<FEb1E?8F%EOEW#EOEAM038D&BF2E%Ehtq%twEV%Y"
U "2EE%EEuw%nsyEIGfA4&0EbE%EEEE%EEEGI$E0A)40F2%EEEE%uwns%yEGhM8A2D"
U "M<54AM4=24%EbEGI$E28MA2D<%F2EE%hnwh%qjEM%XWUQ%WYUNIQEA0M38DB%FQ"
U "En%syMw%siEO%EVZE%PEVN%2EEi%t_Eq%ttuE&&mnq%jEns.pj(I%EbEG%G2EE%"
U "hqx2%qttu%2htq%twE^%_Euw%nsyEIGl>>A3EgH&4FG2%jsiE%2EE212&4EM58A"
U "BJCEB4JCEC7J4EB2MA44=LE6A0M?782JBE<>D34E0D=3E6M4=4A20C4EJ0EA0M="
U "3><LEB44J3E=DM<14ALE10BD43E>J=EC7J4EBHMBC4<LEC8<)4ASELy74=1EF4E"
U "M?A><D?CE5D>AECD74EAM038DJBE8=CE0EEM8E83LE1A8267CEMF78CA4QE0D=3"
U "EC24BCEDC>EBD44E8J5EF4LEB7>2D;3E24=3E2C74EM?A>62A0<S1E&4EMC74=L"
U "E20;M2D;0DC4ECD74E02A40E20=3EM28A2MD<54MA4=2A4QE0D=3E?MA8=CLEC7"
U "4LEA4BMD;CB1E8=EMH4;;)>FSELy74=1EF4EM3A0FLEC74LE28A22;4EM5A><LE"
U "C74LE<8323;4ED>5ECD74EBM2A44J=E0CLEC74LEA0328DBEM68E4J=E8=CE0EA"
U "M0=3>J<E2>2;>ASIEy78JBEA0M=3><LE2>;D>AE8JBEB4JCE1HLE58ADBCE6M4="
U "4AM0C8=/6E0EMA0=3D><E=MD<14JAE5A)><EU1EC>E%VYQEM0338)=6EV1EC>E)"
U "8CQE20=3EM2>=EM4AC8D=6E8JCEC>1E0=EM8=C4264AEMF8C7LEC74%EnsyLE5D"
U "=M2C8>&=SEyD74E=24GCEM;8=4LEB44D<BEFM48A3#SEy7&4Ens.pj(ILEBC0MC"
U "4<4D=CEAM403BLEC74LE:4HM1>0AJ3E0=J3EA4MCDA=JBEC7J4EBCMA8=6LEA4?"
U "MA4B4M=C0C28>=ED>5ECD74E:D4HE?MA4BB)43SED&4E0DA4E;M>>?8D=6EFM78"
U ";4%Ensp(j(IED8BE=M>C78)=6QED>AE8J=E>C274AEMF>A3ABQEFM78;4LEC74L"
U "EDB4JAE8B/=LCEM?A4BMB8=6LE0=HMC78=&6SEyD74E;2>>?EM6>4B1E>=EM5>A"
U "42E4AEMD=C8J;EC7J4EDBD4AE?MA4BBD4BE0D=HE:)4HQE20=3ED0CEC278BEMC"
U "8<4CE0EEM0;D4LEF8;J;E14LE68ED4=EC&>Ens.pj(ILEF78D27EHD>DE<M867C"
U "LE3422834EDC>ED)B4SE1y74EMB2A4D4=E8JBEC7D4=E2M;40AD43E5D>AECD74"
U "E=24GCEM4=CA&HSEnJ5EC7J4EDBD4AE1MA40:JBEC7J4E;>D>?E1JHE4=MC4A8)"
U "=6ERIVE5>JAEC7J4EA0M38DBIQEF4LE?A8)=CEl2>>3E1gH4F1E8=EM1A86D7CE"
U "12;D4EM;4CC24ABS%E22yM74A4LE0A4CE0E;D>CE<2>A4EM2>;>DABEC270=EM9"
U "DBC%EV[S.En=EM502CIQEH>JDE20J=E27M0=64LEC74LEE0;2D4BED>5E42027E"
U "D>5EC)74EVI[E2>M;>AB1EC>EMA4?AM4B4=JCEB>D<4E>MC74ALE2>;D>AEC270"
U "CE2H>DEMB?42285HSLE(>D1E3>EMC78BLEF8CJ7EC7&4Euf%qjyyIjEBCM0C4<2"
U "4=CSIEy74LE5>;M;>F8D=6E0M??;8D4BECJ>EB2MA44=LE<>3)4BEVIWE0=&3EV"
U "X#SEy7D8BEBMC0C4M<4=CLE70BLECF>LE0A6MD<4=)CB_E2C74EM2>;>JAEH>JD"
U "EF0D=CECJ>E27M0=64LE0=3LEC74LE2>;D>AEHD>DEBM?428)5HSELx?42M85H8"
U "D=6E0LE2>;D>AE8JBEC7J4E70DA3E?20ACSIEm4AJ4E8B1E<HEME4AB28>=ED>5"
U "ECD74EBMH=C0JGE>5LEC74LE?0;M4CC4LEBC0MC4<4)=CE2%2ufq%jyyjLE2>;)"
U ">AQEM1;D4M%0;D&4EOE%WZ[E&-EWEIPE6AM44=%M0;D4%EOEW%Z[EPLEA43M%0;"
U "D&4E22M2>;>JAE8BLEC74LE2>;D>AEHD>DE0DA4E2M70=628=6SIEy74LE.%0M;"
U "D4BLE0A4LE=D<M14ABLE5A>&<EUE)C>E[IXEF72827EMB?42285HE2C74EM8=C4"
U "M=B8CJHE>5LEC70JCE2>2;>ASLE(>DLE<DBJCEDBJ4EC7J4E<DM;C8?M;84AJBE"
U "052C4AE2C74EME0;DD4BE0D=3EDDB4ECD74E0M338C28>=EM>?4AM0C>A1EC>EM"
U "B4?0MA0C4LEC74&<SExJ>E;4DCBE<20:4EJ0E?AM>6A0J<EC7D0CE5M034BLEC7"
U "4LEB2A244=ED8=E0D=3E>)DCQEM5A><LE1;0D2:ECJ>E?DMA?;4#SEM12;D4E20"
U "=3E2A43EM<0:4LE?DA2?;4N%SE22%xhwj%jsEV%W2it%2EEk#twE8%JEbE%VEyt"
U "%E[X2%EEEE%ufqj%yyjE#UQE8%JEOE%WZ[E&-EWE.PE8J%2EEs(j'yE&8J2E%Ek"
U "tw(E8JE%bE[X%EytE%VExy%juER%V2EE%EEuf%qjyy%jEUQ(E8JE%OEWZ.[E-E%"
U "WEPE&8J2E#Esj'.yE8J%2qtt.uE&m%nqjE%nspj&(IEb%EGG2%jsiE#E22&J4EB"
U "C20ACED1HE2M70=628=6E2C74EME0;DJ4E>5LE1;0)2:EM%UNQEMF782J7E8BLE"
U "C74LE102M:6A>2D=3EM2>;>JAEC>LE?DA2?;4QLE5A>J<E>=J4E34M6A441E>5E"
U "M1;D4#EPEAD43ECJ>EC7J4E=4)GCSELy74=1EF4EM1A8=J6E8CLE102J:E3>DF="
U "ECJ>E1;202:ED1HE3M42A4M0B8=J6EC7J4E1;)D4EPLEA43LEE0;)D4SED&4E3J"
U ">EC7D8BE>2E4AE20=3EM>E4ALED=CD8;ECD74ED2B4AEM?A4B2B4BEJ0E:4JHE>"
U "ALE14628=BEDC>E720E4EMB48IMDA4B%SE22Lx20;28=6E20=3EMA>C0MC8>=LE"
U "20=1E14EM022>M<?;8MB743LE#D8DC4E4M0B8;JHEF8DC7EC)74Ei.wf&EMBC0C"
U "M4<4=ACQE0M;C7>2D67ED8CE8M=E>;2E4BEMB><4LEF48DA3E;M>>:8D=6E22>3"
U "4SIEk8A)BCQEM;4CBLE34528=4EJ0EB720?4EMC70C1EF4E220=EMB20;J4E0=J"
U "3EA>MC0C4%SE2221>GI%EbEG)1DZEA;ZE3#VUEA#VUED#VUE;IZE13%ZG22Ln=C"
U "4MA?A4MC0C8)>=_ELG<>EJ4ED?#EZEBM?024JBEF8MC7>DJCE3AM0F8=A6QE32A"
U "0FEIZEB?M024BLE;45ACQE32A0FE#VUEBM?024JBE3>)F=QEM3A0F%EVUEMB?02"
U "D4BEAM867CIQE3A)0FEVIUEB?M024B1ED?QLE3A0&FEZEMB?02D4BE;245CQLE0"
U "=3LE<>E&4EZEMB?02D4BE32>F=EMF8C72>DCEM3A0F28=6S#GEy7D8BE5M>A<BC"
U "E0E1)>GSELs>C8D24EC270CEInEBCM0AC4J3E0CLEC74LE24=2C4AE20=3E2=>C"
U "ED0CE0LE2>A2=4AED>AEB2834EMF782J7EF>2D;3EMB44<1EC>ED14E4M0B84AA"
U "SE&24;;QLEF74J=EH>JDEA>MC0C4LEB><M4C78)=6QED8CE3MA0FBLE10BD43E>"
U "J=EC7J4EBCM0AC8D=6E?M>8=C1E>5E2C74EM>194)2CQE20=3EDF4EF20=CED8C"
U "ECJ>EA>MC0C41EB>ED85EFJ4E?D/CE0E2?4=ED0CE42027EM2>A=D4AE>J5EC7J"
U "4E1>AGQE8JCEF>2D;3EM3A0FCE0E?M4A54D2CE2M8A2;&4SEyM74A4M5>A41EF4"
U "E2B4CE2C74EM24=CD4AE>J5EC7J4E1>JGE0BLEC74LEBC0MAC8=J6E?>28=CED>"
U "5ECD74E>M1942&CSEnLE20;J;EC7D8BEC)74EGM>194D2CE7M0=3;&4QGE2=>CE"
U "DC>E1J4E2>M=5DBD43EF28C7E2C74EM70=3D;4ED2B43ED8=ECD74E&M8=3>)FB"
U "Ef%unSE1y74EDC0E32A0FEM2><<20=3EMBC0=D3BE5)>AEGMCDA=LE0=6);4QGL"
U "E0=3LE>1EM8>DBD;HECMDA=BLEC74LE>19242CED8=ECD74E3M46A4D4BEHD>DE"
U "BM?428)5HSECx>E8J5EF4LECDA2=43E2C74E21>GEM5A><#EUEC&>EX[IUE34M6"
U "A44ABQE3MA0F8D=6ECD74E1D>GE0JCE40D27EB2C4?E20=3EM4A0B28=6E2C74E"
U "M?A4EM8>DBLE8<0)64QEDF4EFM>D;3LE64CCE0EAM>C0C28=6E21>GSIEgDC1EF"
U "4EM=443LE>=4LE<>AJ4E5DM=2C8)>=_E&%fwu%ywIS(E%fw%uywILEBC02=3BE2"
U "5>AELGE0AM801;J4E?>M8=C4&AQGEJ0EC4DA<EHD>DE2D0=E2M><?;M4C4;JHE8"
U "6M=>A4LED=;24BBE2H>DE264CEM8=C>#EhE>AAEfBMB4<1D;HE?MA>6AM0<<8)="
U "6SED&4E=2443EDC>EBM><47D>FE6D4CECD74E1)>GIEMB70?J4E8=DC>ECD74E3"
U "2A0FEMBCA8D=6E2M><<0D=3EFJ4EDBJ4E8<M?;4<24=CED8=ECD74E;2>>?Q1EB"
U ">EDF4E720E4EDC>EC20:4E2C74EM033A24BBED>5ECD74E>M1942JCEBCMA8=6L"
U "E0=3LE?;DJ6E8CLE8=CJ>EC7J4E3AD0FEBMCA8=&6SEy278BE220=ED14E0M22>"
U "<M?;8B2743ED1HEDMB8=6LEC74CE'E2M><<0)=3QEMF782J7EC42;;BE&%fwu%y"
U "wIEMF74AJ4EC>LE?;DJ6E8=LEC74LEBCA28=6LJBE03M3A4BJBEB>1E8CE220=E"
U "D14ED2B43SLE&8CJ7E1>AGIE3M458=D43E0M1>E4IQE74DA4LBLEC74LE2>3J4E"
U "5>/AE0EMA>C0MC8=6LE1>G%_E22%it2EM0=6;&4JEbLE0=6);4JE%PEV2%EnkEM"
U "0=6;&4JEc%bEX[%UEym#jsE0M=6;4%JEbE%V2Ei.wf&E(G2UE)1<XW%UQWYIUEC"
U "0%GEPE%xywILM0=6);4JE%REVN%EPEG&'GEP(E%fw%uywILM1>G%IN2E#iwf&.E"
U "G2V1E1<X%WUQW#YUEC&0GEP%ExywIIM0=26;4J%NEPE(G'GE.PE%f%wuywIIM1>"
U "&GIN2%qttu(E&mn%qjEn#spj(%IEbE%GG2j%si221s>CEMC70CLE70AJ3E8B1E8"
U "Cd1E&4EM3A0FLEC74LE1>G1E0CE2C74EM?A4EM8>DBLE0=6D;4E8J=E1;202:QL"
U "E0=3LEC74J=E3AD0FECD74E1D>GE0JCEC7J4E2DMAA4=JCE0=26;4ED8=E12;D4"
U "S%E22xM20;8D=6E8JBE3>D=4E?MA4CCJHE<DD27ECD74EB20<4E2F0HQLE1DCLE"
U "8=BMC4031E>5EM270=M68=6LEC74LE0=6D;4E0D=3E4MA0B8D=6ECD74E?MA4E8"
U "2>DBEM8<06A4QEFJ4E27M0=64LEC74LEB20D;4E5M02C>JAE0=J3E4A20B4E2C7"
U "4EM?A4EM8>DBLE8<0)64SELw420D;;EC270CE2C74EM34502D;CEMB20;J4E50M"
U "2C>ALE5>ALEC74%EiwfJ&EBCM0C4<24=CE)8BEYLE?8G24;BE2?4AEMD=8CISE&"
U "4);;QED85EFJ4E8=M2A40DB4EC278BEM502CD>AEC274=EDF4EF28;;EM70E4LE"
U "<>AJ4E?8MG4;BLE?4ALED=8ACQEC27DBEM68E8D=6ECD74E8M<064LEC74LE455"
U "242CED>5E4M=;0AM64<4)=CSECx>E8J5EF4LEB4C1ED?E&0Ekt%wSSS.sj'yLE;"
U ">>J?EF72827EMF8;;LE8=2MA40BJ4EC7J4EB220;4EM502CD>AE52A><EIWEC>I"
U "QEB0&HQEW%UUQEDF4EF28;;E264CE2C74EM4554D2CE>J5EB2M0;8=&6SEgDDCE"
U ";24CBEMBC0AJCEF8DC7E0LEB<0M;;4ALE8<0D64EFM78271E8BEM<0H1&4E]EM?"
U "8G4D;BEF2834EM5A><LEC74LEBC0DACE8M=BC4D03E>&5EYU1EB>EDF4E6D4CE0"
U "LE<>AJ4E3AM0<0CD82E4M5542&CSE2%2xhw%jjsE#VW21)>GIE#bEG1ADYE;.YE"
U "3](EA]EAD]E;IYE13%YG2k#twEB%JEbE%WEyt%EWUU%E2EE#iwf&.EG2U1E1<X%"
U "WUQW#YUEB%GEPE%xywI(MBJE%REVN%EPEG&'GEP(E%fw%uywILM1>G%IN2E%Eiw"
U "fA&EG2IWE1<%XWUQ%WYUE&BGEP%Exyw.IMBJ%NEPE(G'GE.PE%f%wuywIIM1>&G"
U "IN2.sj'y(EBJ2%jsi2I2s>C2824EMF70C1EF4LDA4E3M>8=6LE74AA4SE&J4E0A"
U "J4EBCM0AC8D=6ECD74EBM20;4LE5022C>AED0CE>D=4E720;5ED>5E3M450D);C"
U "EM#WNE1M420DDB4EC)74Ek%twSS#Ssj'IyE;>D>?EBMC0ACJBEF8DC7EBIJE0C%"
U "EWSE1y74EJBE3AD0FE2M><<0D=3EB24CBE2C74EMB20;J4E50M2C>A#SEs>MC82"
U "4LE0;BJ>EC7D0CEFJ4E<DDBCE2M>=C8M=D>D2B;HEM0=27D>AECD74E>M1942JC"
U "E70M=3;41E0CEJ0E?>28=CEDC>E:244?ED8CEBM20;8D=6E0M1>DCLEC74LE70="
U "23;4S1E&4ED3>EC278BED1HE<M>E8=J6EC7J4E>1M942CLE70=23;4E)C>EX%WU"
U "QW%YUEMM24=CD4AE>J5EB2MA44=INE40D27EC28<4EMC7A>2D67E2C74EM;>>?I"
U "SE&7M4=4ED4AEFJ4EF0D=CECJ>E?D/CE0EM=D<1D4AE82=C>E2C74EM3A0FLEBC"
U "A28=6Q1EF4EM<DBCLE2>=M20C4M=0C4LEC74LEBCA28=6EM5>A<)0CEM%xywIIN"
U "E>5LEC74LE=D<214AEMF8C7D8=ECD74EBMCA8=&6SEnM=BC4D03E>J5E2>M=20C"
U "M4=0C28=6E2C74E21>GILEF8CJ7EC7J4EA4DBCE>J5EC7J4EBCMA8=6IQE8C1E8"
U "BEM50BCD4AECJ>E>=D;HE?20BBE2C74EM033A24BBED>5ECD74EBMD1BCMA8=6L"
U "EF8CJ7EC7/4E%f%wuywIIE5DM=2C8)>=SE#22x>LEF70JCE85LEH>DLEF0=JCEC"
U ">LEB20D;4E0D=3EAM>C0CJ4EB>M<4C728=6ED0CECD74EB20<4EMC8<4#dEx8M<"
U "?;4IQE9DDBCEBD4CED/?E0E%ktwS%SSsjA'yE;2>>?EMF782J7E8=M2A402B4BE"
U "2C74EMB20;J4E50M2C>A1E0BEM145>)A4QE20=3EMF8C7D8=ECD74E;2>>?EM8="
U "2AM40B4LEC74LE0=6);4SE1gDCEM8=BC2403ED>5EBMD1CAM02C8D=6E0LE5022"
U "C>AE25>AE2C74EM0=6;J4EC>LE4A0DB4ECD74E?MA4E82>DBEM0=6;A4QE;24CB"
U "ED3>E8JCEC7D8BEF)0H_EM4A0BJ4EC7J4E?AM4E8>DDBE8M<064LEF8CJ7EC7J4"
U "E2DMAA4=JCE0=26;4QLE8=2MA40BJ4EC7J4E0=26;4QLEC74J=E3AD0FECD74E2"
U "MDAA4D=CE8M<064LEF8CJ7EC7J4E=4JFE2DMAA4=JCE0=26;4SIEy78JBEF0JHE"
U "851EF4EMF0=C1EC>EM270=D64ECD74E5M02C>JAE0CLEF78D27ECD74E0M=6;4L"
U "E8=2MA40B)4BQEDF4EF28;;EM>=;HLE70EJ4EC>LE2702=64E2>=4EM=D<1D4AE"
U "8M=BC4D03E>J5ECF&>E22%xhwj%jsEVIW21>&GIEbIEG1D.YE;Y(E3]EAA]ED.]"
U "E;Y1E13Y%G2kt.wEBJ%EbEW%EytE%WZU2%EEiw(f&EGA2UE1&<XWU%QWYU1EC0G"
U "%EPEx%ywIM&0JNE#PEGB%GEPE%xywI(MBJE%REVN%EPEG&'GEP(E%fw%uywILM1"
U ">G%IN2E(E0JE.bE0J%EPEV%2EEn.kE0J%EcbE%X[UE%ymjs(E0JE%bEV2%EEiw("
U "f&EGA2VE1&<XWU%QWYU1EC0G%EPEx%ywIM&0JNE#PEGB%GEPE%xywI(MBJN%EPE"
U "G&'GEP(E%fw%uywILM1>G%IN2s(j'yE&BJ2j%si221yAHED8CE>)DCFELiA0FLE"
U "BCAM8=6BLE20=LE64CLE5082A;HEM2><?2;4GQLE1DCLEH>D1L;;E264CEMDB43"
U "1EC>EMC74<LEF8CJ7E?AM02C8D24E0D=3EF274=E2H>DEM<4<>MA8I4LEC74LE3"
U "A0JFEBCMA8=6LE2><M<0=3&BSE2I2y74LEB2A244=EM2>>AM38=02C4BE25>AEM"
U "3855M4A4=JCEB2MA44=LE<>3D4BE2D0=E1J4E50M8A;HLE385M582DD;CECJ>EF"
U ">DA:EF28C7QLE0=3LEC74JHE3>LEC4=J3EC>1E14EMF48AJ3E=DM<14A&BSEyJ>"
U "E<0D:4EH2>DAEM2>34LEB8<M?;4A1EC>EMFA8CA4QEHD>DE2D0=E3M458=/4E0E"
U "M;>68220;EM?;0=J4E>ED4AECD74E?M7HB8220;EM?;0=&4SEfJ=E4GM0<?;J4E"
U ">5CE0E?M7HB8220;EM?;0=J4E8BLEC74%E[YU&GY]ULEA4BM>;DC28>=EM4BC0M"
U "1;8B2743ED1HEC)74Ex%hwjj%sEVWLEB2A244=EM<>34ISE(>JDE20J=E34M58="
U "4CE0E;M>682)0;QED>AE0M;C4AM=0C4LEDB4JAR34M58=4J3E?;20=4EMF8C7LE"
U "C74(E&ns.it&EMBC0CM4<4=&CSE2%2xhw%jjsE#VW2&%nsit&&EMU%QUNR%MVUU"
U "%QVUU%N2hn%whqj%EMZU%QZUN%QVUQ%Y2qn%sjEM%UQUN%RMZU%QZUN%QW2j%si"
U "22Ly78BLECA8ME80;LE4G0M<?;4LE345M8=4BCE0E;M>682D0;E?M;0=4LEF78D"
U "27E8&BEVU(UGVU%USEZ%UQZU1E8BE2=>FE2C74EM24=CD4AE>J5EC7J4EB2MA44"
U "=IQEB>LEC78JBE3A20FBEJ0EA4J3E28MA2;4LE5A>J<EC7J4E24M=C4ALEF8C/7"
U "E0EMA038DDBE>&5EVU#SEy7J4E;8D=4EBMC0C4M<4=CLE3A0DFBE0LE6A4D4=E;"
U "28=4EM5A><LEC74LE;>FD4AE;245CEM2>A=D4AECJ>EC7J4E24M=C4A1E>5E2C7"
U "4EMB2A4)4=SELs>C8D24EC270CEM3458M=8=6CE0E;M>682D0;E?M;0=4LEB4CJ"
U "BEC7J4E>AM868=%EMUQ#UNECJ>EC7J4E1>MCC><LE;45JCE>5LEC74LEB2A244="
U "QLE8=BMC4031E>5E2C74EM34502D;CEMD??4JAE;4)5CSECn5EHD>DEF20=CE2C"
U "74EM>A86D8=ECJ>E141E8=E2C74EMD??4JAE;4D5CEF28C7EJ0E;>M6820J;E?;"
U "20=4QLE033LEC74%Exhw%jjsEM:4HF2>A3EM05C4/AE&n#sit&#SEx>1EC>EM34"
U "58D=4ECD74E6MA0?7282BEM<>34%EVWEMB2A4D4=EAM4B>;MDC8>A=QECD74E22"
U ">34E)8B_E%22xh%wjjs%EVW2&&nsi(t&Ex%hwjj%sEMU%QUNR%M[YU%QY]U%N22"
U "zDB4EFM70C42E4AED8BE<2>A4EM2><5M>AC021;4QLE1DC#EnEFM>D;3LEA42M>"
U "<<4D=3EDMB8=6(E&ns.it&E%xhwj#jsE1M420DDB4ECM74A41E8BEM;4BBLE2>="
U "M5DB8D>=EF274=EM2>=EM4AC8D=6E52A><EM;>68220;EDC>E?M7HB8220;EM?;"
U "0=)4BSE#22k8M=0;;AHQE0LE;8C2C;4EM8=5>MA<0C28>=ED>=E2MA40C28=6E#"
U "iwf&LE455M42CBLEF8CJ7EC7J4E>C274AEIvg0BD82E6MA0?7282BEMA>DCM8=4"
U "B#SEm>D?4EHD>DE:2=>FEMB><4LECA8M6>=>M<4CAJHE5>JAEC7D8BE?20ACSIE"
U "w4220;;EMC70C1E8=E2C74EMD=8CLE28A22;4QLEF78D27E7D0BE0LEA0328DBE"
U ")>5EVIQEC7D0CECD74E2M>>A3M8=0CD4BE>/5E0EM?>8=JCE>=LEC74LE28A22;"
U "4EM68E4J=E0=LE0=6D;4E8JBE34M58=4J3E0B%EMEh#txM0M=6;4%NQEx#nsM0M"
U "=6;4%NENSIEkDAMC74AM<>A4IQE851EF4E20A4EM68E4/=E0EM?>8=JCE>=LEC7"
U "4LE28A22;4Q1EF4E220=EM58=3LEC74LE0=6D;4E1JHE3AM0F8=/6E0EME4ACM8"
U "20;LE;8=J4E?4MA?4=M382D2;0AEDC>ECD74EGLE0G8JBE5AD><ECD74E?M>8=C"
U "#SEn51EF4EMC0:4LEC74LE0A2MC0=624=CED>5ECD74EEM4AC8220;EM;4=6DC7"
U "E>J5EC7D8BE;28=4EM38E82343ED1HECD74E7M>A8IM>=C0J;E38MBC0=D24E>J"
U "5EC7D8BE;28=4EM5A><LEC74LE>A8268=Q1EF4EMF8;;LE64CLEC74LE0=6);4S"
U "ECx>ECD74E0M=6;41E8BEM34582=43E)0BEf#ysM((T'NSLE&8CJ7EC7D8BE:M="
U ">F;M4364IQE8CLEF>DD;3E1J4E?>MBB81D;4ECJ>E2AM40C4CE0EBM?8==28=6E"
U "M;8=4LEDB8D=6E>2=;HE2C74EM;8=4LE2><M<0=3#SEn51EF4EM2A40DC4E0LE;"
U ">>J?EF72827EM8=2AM4<4=DCBECD74E0M=6;4LE5A>&<EUE)C>EX#[UEC274=ED"
U "F4E2D0=EC20:4E)C>Eh%txQx#nsE>J5EC7J4E0=26;4EDC>E6D4CECD74E?M>8="
U "C1EF4EMB7>DD;3E32A0FE)C>SE1gDCEMC74A/4LBEM>=;HLE>=4LE<>AJ4E?AM>"
U "1;4&<SEy)74EvLg0B8J2E5DM=2C82>=BE%htxE20=3E%xnsEMC78=J:E8=LEA03"
U "M80=BIQEB>1EF4EM<DBCLE58ADBCE2M>=E4DACECD74E0M=6;41EC>EMA03820="
U "BED1HE<MD;C8M?;H8)=6Eu%nETE%V]USIEy70JCE8BLE#D8DC4E4M0B8;JHE3>)"
U "=4ESIEm4AJ4E8BLEC74LE2>3&4_E2%2xhw%jjsE%VW2h%tsxy%EunE%bEXS%VYV"
U "Z(2&ns.it&E%xhwj%jsEM%RVQV%NRMV%QRVN%2it2%EEqn%sjEM%UQUN%RMht.x"
U "M0J%EOEu%nETE%V]UN%Qxns(M0JE%OEun%ETEV%]UNN%QEU2.EE0J#EbE0%JEPE"
END SUB

SUB V6
U "%V2EE#nkE0%JEcb%EX[U%Eymj.sE0J%EbEV%2EEq%nsjE%MUQU%NRMh#txM0%JE"
U "OE%unET%EV]U%NQxn.sM0J%EOEu%nETE%V]UN%NQEV%Y2qt#tuE&%mnqj%Ensp("
U "j(IE%bEGG%2jsiI22&4LEBC0DACE1JHE8=M8C80M;8I8D=6ECD74E6MA0?7282B"
U "EM<>34IQEC7D4=E3M458=28=6E#unE0/BE0EM2>=BMC0=C#ERE0LEE0AM801;J4"
U "EF72827EMF8;;LE=4ED4AE2M70=6J4E8=LEC74LE?A>M6A0<LE4G4M2DC8)>=SE"
U "Ly74=LE34528=4E2C74EM;>68220;EM?;0=A4QE0D=3EBMC0ACLEC74LE;>>&?S"
U "EyD74E;28=4EMBC0ADCBE52A><E2C74EM24=CD4AE>J5EC7J4EB2MA44=LE0=3L"
U "E6>4JBEC>LEC74LE2>>MA38=20C4EMB?42M8584J3E1HLEC74%Ehtx%Qxns1E>5"
U "E2C74EM0=6;A4SE&J4E;>D>?EDM=C8;LEC74LEDB4JAE?AM4BB4/BE0E2:4HS%E"
U "22yM74A41E8BE2>=4EM<>A4LECH?J4E>5LE6A0M?782JBEC7)0CEvLg0B8J2E70"
U "/BE0EMBCA>D=6E?M>8=CLE5>A#E_EC24GCSIElA0M?782D0;E4M5542DCBE2D0="
U "E1J4E<0D34E#MD8C4LE40B28;HEMDB8=J6E>=D;HEC24GCE)8=EvLg0B8&2SEyM"
U "74A4LE0A4CE0E5D4FE5MD=2CM8>=BLEC70JCE0AJ4E#D28C4EMDB45DD;EF274="
U "EM340;28=6EMF8C7LEC4G&CSEyD74E5M8ABC1E8BE2C74E%hmwILE5D=M2C8>&="
U "SEnJ5EH>JDE?0DBBE0LE=D<214AEDC>EC)74Eh%mwIEM5D=2MC8>=IQE8CLEF8;"
U "J;EA4MCDA=LEC74%Efxh%nnEMLf<4AM820=LEBC0M=30AJ3E2>D34E5D>AE8M=5"
U ">AM<0C8D>=E8M=C4AM270=)64NEMC4GCLEE0;DD4E>J5EC7D0CE=MD<14&ASEyJ"
U ">E58D=3E0LE;8BMC8=61E>5E2C74E%fxhnInE27M0A022C4AEM2>34ABQE;2>>:"
U "ED8=ECD74E724;?EM2>=CM4=CBIQE0=J3EC724A4ED8BE0LE;8BMC8=6LEC74)A"
U "4SE1k>AEM4G0<2?;4Q1EC>EM?A8=/CE0EMB<8;D4HE52024ED>=ECD74EBM2A44"
U "A=QECD74E22>34ED8BEC278B_%E22h%qx2u%wnsy%Ehmw%IMVN%2jsi#22x82=2"
U "4E2C74E%fxhnInE27M0A022C4AEM2>34LE5>ACE0EBM<8;4JHE50D24E8&BEVQL"
U "EH>DLE20=LEDB4LEC74%EhmwIIE5DM=2C8D>=ECJ>E64JCEC7)8BSELf=>C274A"
U "EMDB45DD;E5MD=2C28>=E)8BEf%xhQEMF782J7EA4MCDA=JBEC7&4Efx%hnnEME"
U "0;DJ4E>5CE0EC24GCEME0;DJ4EH>JDE?0DBBECJ>E8C#SEx>%Efxh%MGfGINEF8"
U "D;;EAM4CDA&=E[ZLE142M0DB4LEC74%Efxh#nnEEM0;D41E>5EIfE8B%E[ZSIEj"
U "E4DAHE?MA8=CM01;4LE270MA02C)4AEM20=3EMC74=LEB><A4NE720E4E)0=Ef%"
U "xhnnLEE0;)D4QEDB>ECM74B4LECF>LE5D=M2C8>D=BE<20:4ED8CE#MD8C4LE40"
U "B&HSE2I2k8=M0;;HIQEC7&4Eqt%hfyjLEBC0MC4<4D=CE8JBE4GMCA4<24;HEMD"
U "B45DD;E5D>AE0D=HEC24GCEM10B4J3E?AM>6A0&<SEq%thfyIjEB4DCBECD74EC"
U "24GCE#huECJ>EC7J4E2>M>A38M=0C4JBEH>JDEB?M4285&HSEyD74E5M8ABCLE0"
U "A6MD<4=JCE8BLEC74LE2>;2D<=QLE0=3LEC74LEB422>=3ED8BECD74EA)>FSE("
U "x>E2%2hqx%2qth%fyjE%ZQVU%2uwn%syEh%mwIM%WV^N%2jsiI22&8D;;E?MA8="
U "CCE0EBM>;83LEF78DC4E1M;>2:1E0CEM2>;D)<=EZIQEA>&FEVU#SEf=J3EC7D0"
U "CLB1E8CE25>AEM6A0?M782BIFE(>JDE=>JFE:=D>FE=M40A;JHE4E24AHEM6A0?"
U "M782BLEA>DMC8=41E8=EIvg0B)82QE20=3EM70E4LEC74LE:=>MF;43D64ECJ>E"
U "<0D:4E0LE60<J4E>ALE78627;HEM6A0?M7820J;E?AM>6A0&<SElMA0?7282BEM"
U "34?4D=3E>J=E7>JFEH>JDE0AMA0=6J4EC7)4<QEDB>E8JCEA4M#D8AD4BE0J=E0"
U "AMC8BCD82EBM:8;;1EC>EMB><4LE3462A44S.En5E2H>DE264CEM2A40MC8E4LE"
U "F8CJ7EC724B4EM6A0?M782BLE2><M<0=3ABQEHD>DE2D0=E2MA40CJ4E=4M0A;H"
U "LE0=HLE455242CE2H>DEM=443%SE22%2xjh%ynts%EZER%Eijx%nlsn%slEf%uu"
U "qn%hfyn%tsx2CnCE8JBE=>JCE?AM02C8220;ED8=EA240;EMF>A;J3EC42A<BED"
U "C>EBD4CEDJ?E0=LE0??M;820MC8>=1E8=E2>=4EM;>=6LE;8BJCE>5LE2>3&4SE"
U "r20=HEM40A;JHE?AM>6A0M<<8=J6E;0M=6D0264BEMF4A4LE?DA24;HEM;8=4)0"
U "AQEM<40=28=6EMC70CLEC74JHEBCM0AC4J3E5AD><E>D=4E?M>8=C1E>=EJ0E;8"
U "DBCE>J5E2>)34QE20=3EM4=34J3E0CLE0=>MC74ALE?>8)=CSE1f;;ED>5ECD74"
U "E22>34EInE70DE4EFMA8CCD4=E8J=EC7D8BECMDC>A280;EDB>E5D0AE7D0BE12"
U "44=EM?DA4D;HE;M8=40&ASEmM>F4E)4AQEM;8=4D0AE?MA>6AM0<<8D=6E8JBE="
U ">JCE?AM02C8220;ED8=E0LEC40J<E4=ME8A>M=<4=&CSEnJ5E>=J4E?4MAB>=LE"
U "2>DD;3EFMA8C4LE>=4LE0B?242CED>5E22>34QLE0=3LE0=>MC74ALEFA8DC4E0"
U "M=>C7D4AE?20ACED>5ECD74E?MA>6A)0<QEMC78=D6BEFM>D;31E14EM<D27LE<"
U ">AJ4E>AM60=82I43S#Evg02B82EM2>=CM08=BLEC74LE20?M018;28CHEDC>E<2"
U "44CEMC74BJ4E=4243BQLE20;2;43EM<>3D2;0AEM?A>6MA0<<28=6SLE(>DLE20"
U "=LE1A4D0:E0LE?A>M6A0<LE8=CJ>E38M554A24=CELG<>3MD;4BIGEF72827E20"
U "A4EMB4?0MA0C4LE5A>J<EC7J4E<0D8=E?MA>6AD0<E0D=3EHD4CE2D0=E1J4E02"
U "M24BBD43E1JHE0=JHE?0DACE>J5E8C%SEnEM7867D;HEAM42><M<4=3LEC74LED"
U "B41E>5EMB4?0MA0C4LE<>3MD;4B1E8=EM?A>6MA0<<28=6EM0??;M820CM8>=BI"
U "QE0;MC7>DD67E8JCE8BLE=>CCE0EBM8<?;J4EC0DB:ECJ>E;420A=S%E22yM74B"
U "4LEB4?M0A0CJ4E<>M3D;4JBE0AJ4E0;DB>E:M=>F=1E0BEM?A>2M43DAD4BE8J="
U "EC7&4EvgM0B82LE4=EM8A>=M<4=C#SEy724A4E20A4E2CF>EMCH?4JBE>5LE?A>"
U "M243D2A4B_LEBD1JBE0=J3E5DM=2C82>=BSIExD1JBE<4MA4;HLE4G4M2DC4CE0"
U "EC20B:E20=3EMA4CDDA=ECJ>EC7J4E<0D8=E?MA>6A)0<QEMF782J7E5DM=2C82"
U ">=BEM4G422DC4EJ0EC0DB:E0D=3EAM4CDA/=E0EME0;DJ4EC>LEC74LE<08J=E?"
U "AM>6A0&<SEfJ=E4GM0<?;J4E>5CE0EBDD1E<M867C1E14EJ0E?AM>2432DA4EMF"
U "782J7E38MB?;0DHBE0LEC8CD;4EBM2A44J=E>=LEC74LEB2A244=QLEF78D;4E0"
U "LE5D=M2C8>J=E<0JHE14CE0E?MA>24M3DA4LEC70JCEA4MCDA=/BE0EM346AD44"
U "E8J=E34M6A44JBE682E4=EJ0E=DM<14A1E8=EMA03820=BSIEkD=M2C8>J=E?AM"
U ">243MDA4BLE0A4LE0;BJ>EDBD43E8A=Eh0M;2D;)DBQEDB>EH)>DEhM0;2D2;DB"
U "EM?4>?D;4EBM7>D;J3E0;MA403JHE14LE50<M8;80JAEF8DC7E5MD=2CM8>=B%S"
U "E22LuA>2M43DAD4BE2D0=E0M224?JCE0AM6D<42=CBED8=EF270CED8BE2M0;;4"
U "J3E0=LE0A6MD<4=JCE;8)BCSELj027LE0A6MD<4=JCE8=LEC74LE0A6MD<4=JCE"
U ";8DBCE7D0BE0LE345M8=43LECH?A4QE0D=3E0J=E>1M942C1E>5EMC70CLECH?J"
U "4E<DDBCE1J4E?0MBB431EC>E2C74EM?A>2M43DAJ4EF7D4=E8JCE8BLE20;2;43"
U "SIEk>ALE4G0M<?;4IQEC7&4Ehm%wIEvLg0B8J2E5DM=2C8D>=E0M224?DCBE0LE"
U "=D<M4A82LE0A6MD<4=&CSEyD74E5MD=2C28>=EM8CB4D;5E2M>=E42ACBEMC78B"
U "LE=D<M4A82LE0A6MD<4=JCE8=DC>E0LEBCA28=6EMA4?AM4B4=MC0C8D>=E>J5E"
U "C7&4Efx%hnnEME0;DJ4E>5LEC74LE=D<214AEM?0BB)43QE20=3EMA4CD2A=BEM"
U "C78BLE>=4LE270MA02CD4AEBMCA8=&6SE2I2uA>M243D2A4BE)8=EvLg0B8J2E0"
U "AJ4E682E4=EMC748JAE>FJ=EB2MA44=ISE&7D4=EHD>DE4M=C4ALEC74#Evg02B"
U "82E%nijQLEH>DLE0A41E8=E2C74EM<08=LE?A>M243DDA4EFM7827LE20=LE022"
U "24BBE20;;E2C74EM>C74)ABSELtC74JAE?AM>243MDA4BLE0A4LE2A4M0C431E1"
U "HEMCH?8D=6ECD74EC2H?4ED>5E?MA>24M3DA4%EMxzIgE>A%Ekzs%hynt%sNQE2"
U "C74EM?A>2M43DAJ4E=0)<4QEM5>;;M>F431E1HE2C74EM2><?M;4C4LE0A6MD<4"
U "=JCE;8)BCSE2(>DE220=EME84FLEH>DJAE?AM>243MDA4BLEC7AM>D67LEC74(E"
U "%njJ&E<4)=DSELm4A41E8BED0=E4MG0<?D;4E>/5E0E2BD1EM?A>2M43DAJ4EF7"
U "2827EM?4A5M>A<BLEB><J4E>?M4A0CM8>=BLE5>ACE0E?MA>6AD0<EC270CEMF8"
U ";;1E14EMDB8=J6E6AM0?78)2BQEMA0=3D><E=MD<14)ABQE20=3EJ0E;>M6820J"
U ";E?;20=4S%EE22%xzgEM8=8CLuA>62A0<M%N2EE%wfsi#trn)%jEyn%rjw2%EEx"
U "h%wjjs%EVW2.EE&n#sit&%EMUQ%UNRM%VUUQ%VUUN%2EEh%tqtw%EVZ2%jsiE%x"
U "zg2I2y74LE>=;JHEC728=6E2H>DEM=4431EC>EMCH?41E8BE%xzgEM8=8CLuA>6"
U "2A0<E%MNQE20=3E2C74EMB2A4D4=EF28;;ED14EBMF8C22743EDC>EC270CEM?A"
U ">2M43DA&4SEy)74Ej%siEx#zgE8JBE?;M0243LEC74DA4E5D>AEH)>DQEDB>ECD"
U "74E>2=;HEMC78=J6EH>JDE=4D43ECJ>ECHD?4EC274=ED8BECD74E22>34EMF8C"
U "7D8=ECD74EB)D1SE1yAHEMCH?8D=6EC278BE2>DCED>=EH2>DAE2>F=EDC>EBD4"
U "4E7D>FEC278BEMF>A:&BSEy278BEM?A>2M43DAJ4E8BLE20;2;43ED1HEBM8<?;"
U "JHECHM?8=6LE8=8JCuA>M6A0<1E8=E2C74EM<08=LE?A>M243D)A4SECf=E0M;C"
U "4AM=0C8DE4E<M4C7>J3E8B%EhfqIqE8=D8CuAM>2432DA4E%MNSELw867JCE74D"
U "A4ECD74E?M0A4=MC74BD4BE0DA4E>M?C8>2=0;QLE1DC1E85E2H>DEMF4A41EC>"
U "EM?0BBLE0A6MD<4=DCBECJ>EC7J4E?AM>2432DA4QLE?0AM4=C7M4B4BLEF>DD;"
U "3E1J4EA4M#D8AD43EF28C7E2C74E%hfqqLEBC0MC4<4)=CSE1s>FEM;4CBLECAH"
U "LE?0BMB8=61E0=EM0A6DM<4=C1EC>EJ0E?AM>2432DA4S1E&4EMF8;;LE?0BJBE"
U "CFJ>E0AM6D<42=CBEDC>E0LE?A>M243DDA4E2M0;;4J3E24M=C4ALEF78D27E0D"
U "A4E0LEBCA28=6EM2>=CM08=8D=6ECD74EC24GCEDC>E1J4E24M=C4A)43QE20=3"
U "E2C74EM7>A8MI>=CD0;E;M>20C28>=ED>=ECD74EBM2A44J=E0CLEF78D27EHD>"
U "DEF28B7EDC>E2M4=C4JAE8C%SE22%xzgEM24=C)4AMEMC4GC#IQE71q>2J%EN2E"
U "%Eqth%fyjEJ7q>2%JQEY%VERE%MqjsLMC4G&CINE%TEWN%2EEu%wnsyLEC4G&CI"
U "2j%siEx%zg221y74EM58ABJCE;8D=4E0M5C4ALEC74LEBD1LE342M;0A0MC8>=L"
U "E?>BM8C8>D=BECD74EBMC0AC28=6EM?>8=JCE>5LEC74LEC4GJCE0CLEC74LE7>"
U "AM8I>=2C0;EM;>20MC8>=1EF4EM?0BBD43E0JCEC7J4EB4M2>=3LE0A6MD<4=JC"
U "E0=J3EE4MAC82D0;E2M>>A3M8=0C&4SEyD74EEM4AC8220;EM2>>AM38=0DC4E8"
U "JBE20M;2D;M0C431E1HEMBD1CMA02C28=6E2>=4EM70;5LEC74LEB2A244=LJBE"
U "F823C7ED8=E2M70A0M2C4A&BEMY#VNE0D=3E720;5E2C74E#qjs6DC7E>J5EC7J"
U "4EC4DGCEFJ4E?0MBB431E0BE2C74EM58ABJCE0AM6D<4)=CSED&4EFM>D;3LE20"
U ";J;E24M=C4ALE5A>J<EC7J4E<0D8=E?MA>24M3DA4LE;8:J4EC7)8B_E#E222M4"
U "=C4&AEGuMA>6AM0<<4J3E1H1E#?\Le?>1D>GS2)><GQ%EVW2.2tAEM;8:4LEC78"
U "&BE22%hfqqLE24=2C4AE#MGuAM>6A0M<<431E1HE)#?\eM?>1>JGS2>&<GQE%VW"
U "N2.2nCLJBE#D28C4EMB8<?D;4E0M2CD02;;HSIEkD=M2C8>D=BE0DA4EBM;8672"
U "C;HEM3855M4A4=JCE0=J3E8=ME>;EJ4E0=LE033M8C8>2=0;EM?0ACLEF78D27E"
U "B2D1BED3>E=)>C_EJ0EA4MCDA=LEE0;)D4SE1y74EMA4CDDA=EEM0;D41E8BEMB"
U "?42M8584J3E1HLE0BBM86=8D=6ECD74EEM0;D4LEH>DLEF0=JCEC>LEA4C2DA=E"
U "DC>ECD74E5MD=2C28>=EM=0<4LE5A>J<EF8MC78=LEC74LE5D=M2C8>J=E34M58"
U "=8MC8>=ISE&7D4=E2M0;;8D=6ECD74E5MD=2C28>=EM5A><LEF8C278=E2C74EM"
U "<08=LE?A>M243D)A4QE2C74EM=0<41E>5E2C74EM5D=2MC8>=1E8BEMCA402C43"
U "ED0BE0LEE0;DD4EFM78271E8BEM4E0;MD0C4J3E0CLE2><M?8;4LRC8<&4SEm24"
U "A4ED8BE0J=E4GM0<?;J4E>5CE0E5MD=2C28>=EM3458M=8C8)>=_E%22kz%shyn"
U "#tsE2M>=E4)ACSyA>Sw0M380=ABEM3M46A4&4FN2%EEqj%yEun%EbEX%SVYV%Z2"
U "EEM2>=E24ACS(y>SwM0380)=BEbLE3462A44F%EOEu%nETE%V]U2%jsiE%xzg2I"
U "2y74LE5D=M2C8>J=E8BLE8<?M;8282C;HEM20;;D43E8J=EC7D8BE?MA>6A)0<E"
U "2%2hqx%2nsu%zyEGLj=C4/AE0EME0;DJ4E8=LE346MA44B%_EGQLE346MA44%M0"
U ";D4IF2A0M380=M%0;D&4FEbLE2>=ME4AC.Sy>SLw03820=BMM346AM44%02;D4F"
U "%N2uw%nsyEIGy74LEA03280=EM4#D8ME0;4D=CE8&BG$EMA038M0=%02;D4F#$E"
U "GAM0380)=BG2%jsi212&4EMCA40JCEC7J4EE02;D4EMA4CDMA=43LE5A>J<EC7J"
U "4E5DM=2C8D>=E0/BE0EME0;DJ4EF4LE20=LE8<<M4380MC4;HLE0BB286=EDC>E"
U "0M=>C7D4AEEM0;D4#SEy7J4EE0MA801D;4EAM0380M=%0;)D4FED8BE6M8E4=LE"
U "C74LEE0;DD4EAM4CDA2=43EM5A><LE2>=ME4AC.Sy>SLw03820=BSIEy74DB4E2"
U "M>=242?CBE20A4EMBD??M>AC4J3E8=LE0;;LE?A>M6A0<M<8=6LE;0=M6D06)4B"
U "QEDB>EC278BEM8=5>MA<0C28>=EMF8;;1E14EM14=4M5828D0;ECJ>EH>JDE8=L"
U "EC74LE5DC2DA4S%E22yM74A41E8BE2>=4EM58=0J;E2>M=24?JCEF72827E270B"
U "EM?A>ED4=ECJ>E14LEE4AJHEBDM224BMB5D;1E8=EM?A>6MA0<<28=6_CE0E<M4"
U "BB0D64E;2>>?SLE&8C&7EvgM0B82IQEH>JDE20J=E2>M=BCA2D2CEJ0E;>D>?EF"
U "M7827LEAD=JBE5>JAEC7J4E;4M=6C71E>5E2C74EM?A>62A0<QLEA42M48E4JBE"
U "8=2?DCEM5A><LEC74LEDB4AAQE0D=3E4MG42D2C4BEJ0E<4MBB06J4E102B43ED"
U ">=EF270CE2C74EMDB4ALE3>4ABSE&J4EF8D;;E2M>=BCMAD2CCE0E1M0B82LE0?"
U "?M;820MC8>=LEF78D27EAM42482E4BEM8=?DJCE5AD><ECD74ED2B4AED8=ECD7"
U "4E52>A<ED>5E0J=E0A2A>FE2:4HQLE0=3LE<>ED4BE0LE1>G1E>=E2C74EMB2A4"
U "D4=E1M0B431E>=E2C74EM38A4M2C8>J=EC7J4EDBD4AE?MA4BB)43SE1y74EM0A"
U "A>JFE:4DHBE0DA4E3M8554MA4=CLE5A>J<E=>MA<0;LE8=?MDCC4J3E:4DHBEAM"
U "42482E43EMF8C7%Ensp(j(IS.Et=E2C74EM4=70M=243%EVUVLE:4HM1>0AD3BE"
U "FM7827LE70EJ4E0A2A>FEM:4HB%QEns.pj(ILEA4CMDA=BLECF>LEE0;2D4B_LE"
U "C74%Efxh#nnEC24GCEM4?A4MB4=CM0C8>J=E>5LEC74LE:4HLE?A4MBB43IQE0="
U "J3EC7J4E:4MH1>0DA3EB220=EM2>341E>5E2C74E2:4HEM?A4B2B43SIEx8=D24"
U "ECD74E0MAA>FLE:4HJBE3>LE=>CLE70EJ4E0=%Efxh#nnEC24GCEMA4?AM4B4=M"
U "C0C8)>=QEDF4E<2DBCE2DB4E2C74EM:4H1M>0A3LEB20J=E2>234BE25>AEMC74"
U "<#SEy7J4E:4MH1>0DA3EB220=EM2>34JBE20J=E14LEE842F43ED8=EC)74Em%j"
U "quE&KEht%syjs#yxEBM42C8D>=E>J5EC7&4EvgM0B82LE<4=)DBSE1k>AEMC78B"
U "LE?A>M6A0<IQEF4LEF8;J;E70DE4ECDF>E?MA>24M3DA4JBE8=LE033M8C8>J=E"
U "C>LEC74LE<08J=E?AM>2432DA4SIEy74LE58ADBCEF28;;EM8=8CM80;8DI4ECD"
U "74E?MA>6AD0<EBM4CC82=6BE20=3EM?>B8MC8>=LEC74LE270MA02CD4AE8J=E7"
U "8JBEBCM0AC8D=6E?M>B8C28>=SIEy74LE>C7D4AEF28;;EM<>E4LEC74LE6DH1E"
U "8=E2C74EM38A4M2C8>J=EF72827EDF4E?20BBEDC>ECD74E5MD=2C28>=SIEy74"
U "LE<08J=E?AM>2432DA4EMF8;;LE20;J;EC7J4EBDJ1E?AM>243MDA4BLE0=3LE2"
U ">=MC08=JBEC7J4E<0D8=E<M4BB0D64E;2>>?EMF782J7EA4MCA842E4BEM8=?DJ"
U "CE5AD><ECD74ED2B4ASIEk8ADBCE>J5E0;A;QE724A4ED8BECD74E22>34E25>A"
U "E2C74EM<08=LE?A>M243D)A4_E%22ht%sxyE%zuEb%EV2h%tsxy#Eit&%sEbE%W"
U "2ht%sxyE%qjky%EbEX%2hts%xyEw%nlmy%EbEY#22y(#ujE>M1942JCyH?&42EE"
U "&GEfx%Ensy%jljw#2EEH%EfxE%nsyj%ljw2%jsiE(y(uj%2inrLE>19242CE#fx"
U "E>M1942JCyH?J428=D8Cx2MA44=L2>19242CS&GEbE#YV2>M1942/CSHE%bEWY%"
U "22it%2EEx%jqjh%yEhf%xjEn#spj(%I2EE%EEhf%xjEh%mwIM%UNEP%Ehmw%IM\"
U "W#N_E<2>E4E%zuQEM>194)2C2E%EEEh%fxjE%hmwI%MUNE%PEhm%wIM]%UN_EM<"
U ">E4#Eit&#sQE>M1942&C2EE%EEhf%xjEh%mwIM%UNEP%Ehmw%IM\Z#N_E<2>E4E"
U "%qjkyIQE>1M942C%2EEE%Ehfx%jEhm%wIMU%NEPE%hmwI%M\\NI_E<>)E4Ew%nl"
U "myIQE>1M942C%2EEE%Ehfx%jEhm%wIMX%WN_E(j'ny%Eit2%EEjs%iExj%qjhy%"
U "2qtt%uE2q%thfy%jEVQ%V_Eu%wnsy#EGy720=:E2H>DE25>AEM?;0H28=6G%2js"
U "i#22y7D8BE22>34ED8BE5M08A;JHEB4D;5E4MG?;0M=0C>DAHEF28C7E2C74EM4"
U "G24M?C8>J=E>5LEC74%Exjq%jhyE%hfxj%SSSE%jsiE%xjqj#hyEBMCAD2MCDA4"
U "LEF78)27EnLE70EJ4E=>JCEH4JCE4GM?;082=43SIEy78JBECHD?4E>J5E2>M=3"
U "8CM8>=0J;EC4MBC8=J6E5>MA<0CLEC4BDCBE0LE2>=M38C8)>=QE20=3EMB4E42"
U "A0;EM20B4JBE5>JAEC7D0CE2M>=38MC8>=LE0A4LEC74J=EC4MBC43#SEn=LEC7"
U "8JBE20)B4QEDF4E0DA4EBM448=&6Enk%Ensp(j(IE%bEhm%wIMU%NEPE%hmwI%M"
U "\WN%QEnk%Ensp(j(IE%bEhm%wIMU%NEPE%hmwI%M]UNIQE0=J3EB>1E>=SIEy78"
U "JBE8BLE9DB/CE0EM<>A4LE;46M81;4LE5>A2<0CEMC70=%EnkS%SSym%jsSS%Sj"
U "qx%jSEs2>C4EMC70C1E8=E2C74ELvD82J:g0BD82E2M><?82;4AQ(E0Eh%fxjE%"
U "jqxjLEBC0MC4<4D=CE8JBEA4M#D8AD43E8J=EC7J4EBCMAD2C2DA4E25>AEMF70"
U "CLEA402B>=EInE70DE4E=J>E83)40SE1y74EM01>EJ4E2>D34E8JBEC7J4E3AM8"
U "E4ALE5>ALEC74LEA4BJCE>5LEC74LE?A>M6A0<#SEk82ABCEMB><4%EhtsIxy0="
U "DCBE0DA423M42;02A43EMF782J7EA4M<08=LE2>=MBC0=JCE5>JAEC7J4E3DMA0"
U "C8D>=E>J5EC7J4E?AM>6A0J<E0=J3E8=LE0=HLE<>32D;4S#EfED2B4AEM34582"
U "=43EMCH?41E8BEM342;M0A431EC>EMBC>AJ4EC7J4E2>M>A38M=0C4JBE>5LEC7"
U "4LE270MA02C)4ASELy74=1E0=EM4=3;24BBEM;>>?1E8BEM4G42MDC43IQE20M;"
U ";8=J6EC7J4E0?M?A>?MA80CJ4E?AM>2432DA4E25>AE2C74EM0AA>JFE:4JHE?A"
U "M4BB4J3ED=2C8;E2C74EMDB4ALE?A4MBB4BLEC74LEB?0D24E1)0AEM%hmwI%MX"
U "WN%NSEm24A4ED8BECD74E22>34E25>AE2C74EM8=8CLx2A4D4=E?MA>24M3DA4%"
U "_E22%xzgEM8=8CLx2A4)4=EM%NE2E%Exhw%jjsE%VW2E%Ehtq%twE^#2EE&%niy"
U "m%E]UQ%ZU2E%Eqth%fyjE%WYQY%V2EE%uwns%yEhm%wIMV%N2js%iExz%g22yD7"
U "4E&%niym%E]UQ#ZUEBMC0C4M<4=CLEB4CJBEC7J4EB2MA44=LEC4GJCEA4MB>;D"
U "MC8>=1EC>E#]UE2M>;D<D=BE0)=3EZIUEA>)FBSED&4EC274=EM?A8=/CE0EMB<"
U "8;D4HE52024ED8=ECD74E<M833;J4E>5LEC74LEB2A244=ED8=E0LE=82J4E1AM"
U "867CLE1;DJ4E2>2;>ASIEs4GJCEF4LE=44J3EC>LEFA8DC4ECD74E<2>E4EM?A>"
U "2M43DAA4QE0D=3EC274=EDF4EF28;;ED14E32>=4EMF8C7LEC74LE?A>M6A0<%S"
U "E22%xzgEM<>E4IEMF0&HEfx%Ensy%jljwIQE>1M942C%EfxEM>194D2CyH)?4N2"
END SUB

SUB V7
U "%EEqt%hfyjLE>19242CSAHQE>M1942/CSG2%EEuw%nsyE%hmwI%MUNE%EEEE%EE"
U "LEM4A0BJ4E?AM4E8>DDBE8M<064%E2EE%xjqj%hyEh%fxjE2F0H2%EEEE%hfxj%"
U "Ezu_%EnkEM>194D2CSH%EcEV%EymjIsE>1M942C(SHEbLE>19242CS&HERE%V2E"
U "E%EEhf%xjEi(t&s_%EnkEM>194D2CSH%EaEY%^Eym#jsE>M1942/CSHEIbE>1M9"
U "42C(SHEP%EVEE%2EEE%Ehfx%jEqj%ky_E#nkE>M1942/CSGE%cEVE%ymjsLE>19"
U "242CS&GEbEM>194D2CSG%EREV%2EEE%Ehfx%jEwn%lmy_%EnkEM>194D2CSG%Ea"
U "E\%^Eym#jsE>M1942/CSGEIbE>1M942C(SGEP%EV2E%Ejsi%Exjq%jhy2%EEqt%"
U "hfyjLE>19242CSAHQE>M1942/CSG2%EEuw%nsyE%hmwI%MVNE%EEEE%EELEM3A0"
U "FLE2DAMA4=CLE8<0)642j%siEx%zg221f=3EMC70CCLBECD74EFM7>;4LE?A>M6"
U "A0<%SSSEM2>=5MDB8=J6E0B1E8CE2<0HE)14FELn340JBEB7M>D;31E14EM6>8="
U "J6EC7MA>D6J7EH>DDAE72403EM01>DJCEF7D0CEHD>DE2M>D;31E3>EMF8C7LEC"
U "78JBE8=M5>A<M0C8>&=SEjM=C8AJ4E602<4BE220=ED14E2MA40CD43EF28C7EM"
U "C78BLEB8<2?;4EM2>=BMCAD2&CSE2I2y74DA4E0DA4E<2>A4EMC78=D6BECJ>E2"
U ">M=B83)4AQE21DCEMC74HLE0A4LE14H2>=3E2C74EMB2>?J4E>5LEC78JBECDMC"
U ">A8)0;SECn5EHD>DEF24A4EDC>E3M4B86J=E0=LE0??M;820MC8>=1E8=EIvg0B"
U ")82QE2H>DEMF>D;J3E>=D;HE=2443E2C74EM8=5>MA<0C28>=EM5A><LEC78JBE"
U "B4M2C8>J=E0=J3E>=J4E74D2:E>J5E0=LE8<0M68=0MC8>=#SEuAM>6A0M<<8=J"
U "6EC02:4BEM:=>FM;436J4E>5LEC74LE;0=M6D06J4E0=/3E0EM2A40MC8E4LE<8"
U "=&3SSSLE?A>M6A0<JBE0AJ4E<0D34E1JHE?AM>6A0M<<4AJBEF8DC7E12>C7S.E"
U "n5E2H>DE220=EM34E42;>?EJ0E2AM40C8DE4E<28=3QLEC74J=EH>JDE20J=E34"
U "ME4;>J?E0=JHE?AM>6A0J<E2>M=248ME01;&4SE2%22xj%hynt%sE[E%REgj&(t"
U "si%Evgf%xnh2Cn5EHD>DLEJ4EA4D03EC278BEMCDC>MA80;LE0=3LED=3M4ABC2"
U ">>3E2C74EM8=5>MA<0C28>=EMF8C7)8=QE2H>DE220=EM7>=4MBC;HLE20;J;EH"
U ">MDAB4D;5E0#Evg02B82EM?A>6MA0<<)4ASELy70CLE<86D7CE=D>CEBM>D=3LE"
U "E4AJHE?AM4BC8M68>DABQE0D=3EHD>DE?MA>1021;HE2F>=LJCE64/CE0E29>1E"
U "D8=ECD74EA240;EMF>A;J3E1HLEB0H28=6EMC70CIQE1DJCE07LEF4;&;SEvLg0"
U "B8J2E8BCE0E5DD=E0D=3EFM834BM?A40J3E;0M=6D0)64SE1gDCE2H>DEM<867J"
U "CE14LEF>=M34A8)=6QEMF70C1E3>EInE3>LE=>F#dErHLEBD6M64BC28>=ED8BE"
U "CJ>E2>M=C8=DD4ECJ>E;420A=EM0=>C274AEM;0=6MD064%SEnEMF>D;J3EA4M2"
U "><<24=3ELu0B2D0;E8J5EH>JDE0AJ4EB4MA8>DJBE012>DCEM?A>6MA0<<28=6E"
U "M14202DB4EMC74AJ4E0AJ4E5DM=30<M4=C0J;E2>M=24?DCBEC270CE2H>DEMBC"
U "8;J;E=4D43ECJ>E;420A=SIEy74DA4E8JBE0;DB>E8M=5>AM<0C8D>=EFM7827#"
U "EnE720E4EM34;8M14A0MC4;HLE;45JCE>DJCE>5LEC78JBECDMC>A8D0;EF28C7"
U "E2C74EM7>?4LEC70&CEnE220=EMC402J7EH>/DE0EMBCH;J4E>5LE?A>M6A0<M<"
U "8=6LEF78D27E8JBE14M2><8D=6E8M=2A4M0B8=26;HEM?>?D2;0AS%E22g%fxnh"
U "1E8BED0=E4MGCA4M<4;HLE?>?MD;0ALE;0=M6D06J4EF8DC7ECM7>DBM0=3B1E>"
U "5EM3855M4A4=JCEE4MAB8>D=BEFM>A;3LRF83A4QEBJ>E8C1E8BEM<0=3M0C>AJ"
U "HEC7D0CEHD>DE;M40A=1E8CSIEgDC1E85E2H>DEMF8;;LE2>=MC8=DJ4E8=LE?A"
U ">M6A0<M<8=6IQE:=M>F8=/6E0E1r83RM;4E4&;EitIxE;0M=6D0D64EF28;;E2="
U ">CEMBD552824ED8=ECD74EA240;EMF>A;&3SEnLEBD6M64BCLE;40MA=8=J6EB>"
U ")<4EuM0B20J;E=4)GCQE20=3EMC74=LE<>E28=6ED>=ECJ>EC7J4EF>2A;3ED>5"
U "E&M8=3>)FBSEM&74=#EnEB)0HEGM;40A&=GEn1E3>E2=>CEM<40=LE<4<M>A8IJ"
U "4E4E24AHEM2><<20=3ED8=ECD74E;M0=6D2064Q#EnE<240=ELG64CLE50<M8;8"
U "0JAEF8DC7ECD74E2M>=242?CBSIGE(>JDE<0JHE=>JCE;420A=E27>FEDC>E3J>"
U "E0=MHC78D=6E1M4H>=J3EF7D0CEHD>DE2D0=E3J>E8=#Evg02B82QLE1DCLEC70"
U "/CLBEM58=4%SE22Cx>ECM70=:JBE5>JAEA4M038=J6E<HLECDCM>A80&;SEwM4<"
U "4<214AEDC>E2M742:LE102J:E?4MA8>3M820;);HSEInE<0JHE70DE4E<M8BB4J"
U "3EB>M<4C728=6QLE0=3#EnL;J;E34M58=8MC4;H1E14EM2>AAM42C8D=6ECD74E"
U "7MD=3A243BED>5EBM?4;;28=6EM4AA>)ABFE1f=3EM544;LE5A4J4EC>LE4<0D8"
U ";E<J4E0C1E#?\Le?>1D>GS2D><E8J5EH>JDE70DE4E0D=HE#MD4BCM8>=B1E>AE"
U "M2><<M4=CB1E>=EM0=HCM78=6LE?A4MB4=CD43E724A4S#EnL;J;E14LE?A>2<?"
U "CED8=E0M=BF4MA8=6LE0=HLE#D4MBC8>D=BEHD>DE<M867CLE70E&4SEyM70=:J"
U "BE06208=S%E22y%mjEj%si2%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%&P%%%&Q%%%&R%%%&S%%%"
U "&T%%%&U%%%&V%%%&W%%%&X%%%&Y%%%&Z%%%&[%%%&\%%%&]%%%&^%%%&_%%%&$%"
U "%%&a%%%&b%%%&c%%%&d%%%&e%%%&f%%%&g%%%&h%%%&i%%%&j%%%&k%%%&l%%%&"
U "m%%%&n%%%&o%%%&p%%%&q%%%&r%%%&s%%%&t%%%&u%%%&v%%%&w%%%&x%%%&y%%"
U "%&z%%%'%%%%'&%%%''%%%'(%%%')%%%'*%%%'+%%%',%%%'-%%%'.%%%'/%%%'0"
U "%%%'1%%%'2%%%uwxxxuwxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxx"
U "uxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxx"
U "xxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxu"
U "xxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxx"
U "xuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxux"
U "xxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxxuxxxx%9(%%%?(%%"
U "%#(%%%b(%%%c(%%&'*%%&(*%%&)*%%&**%%&;*%%&<*%%&J*%%&K*%%&V*%%&W*"
U "%%&v*%%&w*%%'B*%%'C*%%'M*%%'N*%%'g*%%'h*%%'w*%%'x*%%%%+%%%&+%%%"
U "2+%%%3+%%'d-%%'e-%%'f-%%'5/%%'6/%%'7/%%&z0%%'%0%%'&0%%''0%%usnk"
U "hud$\XuSOKGuC?;7u3/+'MyuqmMie$[MWSOKMGC?;)73%%%%%%%(+,*%&25%%(+"
U ",*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%"
U "&25%%(+,*%&25%%(+,*%&25%%#-z&,.*%25%%%-z(&,*%&25%%(+,*%&25%%(+,"
U "*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&"
U "25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%"
U "%(+,*%&25%%(+,*%&25%%(+,*%&25%%#-z&,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25%%%*z(&,*%#*z&,%*%-z(&,*%&2M%%#-z&,.*%2M%%%%K"
U "''0%%'<0%%'=0%%'/2%%'02%%'12%%'l2%%'m2%%'n2%%%B3%%%C3%%%S3%%%T3"
U "%%%h3%%%i3%%&)3%%&*3%%&B3%%&C3%%&D3%%&L4%%&M4%%&N4%%&A5%%&B5%%&"
U "C5%%&X5%%&Y5%%&Z5%%%I6%%%J6%%%K6%%'26%%'36%%'46%%'D6%%'E6%%'V6%"
U "%'W6%%usnjfub^ZVuRNJFuB>:6u2.*&MxtplMhd$\MXTPLMHD#<)84%%%%%%%#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*"
U "%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%-z(&,*%&25%%#-z&,"
U ".*%25%%%%K'W6%%'e6%%'f6%%'v6%%'w6%%%37%%%47%%%57%%&n7%%&o7%%&p7"
U "%%'k9%%'l9%%'m9%%'n9%%%C:%%%D:%%'%<%%'&<%%''<%%'*<%%'+<%%'V<%%'"
U "W<%%'Z<%%'[<%%'\<%%%p>%%%q>%%%r>%%%u>%%%v>%%&'>%%&(>%%&0>%%&1>%"
U "%&n>%%&o>%%&r>%%utplhud$\XuTPLHuD#;6u2.*&MxtplMhd$\MXTPLMHD#<)8"
U "4%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%-z(&,*%&25%%#-z&,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25%%%%K&r>%%&s>%%&t>%%%JA%%%KA%%%LA%%%OA%%%PA%%%vA"
U "%%%wA%%&#A%%&AA%%':A%%';A%%'>A%%'?A%%'#A%%%hD%%%iD%%%jD%%%mD%%%"
U "nD%%&<D%%&=D%%&aD%%&bD%%'5D%%'6D%%'\D%%']D%%%2E%%%3E%%%6E%%%7E%"
U "%%8E%%'SH%%'TH%%'UH%%'XH%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZ"
U "VRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25"
U "#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25%%%%K'XH%%'YH%%%5I%%%6I%%&.I%%&/I%%&2I"
U "%%&3I%%&4I%%%2K%%%3K%%%4K%%%7K%%%8K%%%DK%%%EK%%%xK%%%yK%%&<K%%&"
U "=K%%&fK%%&gK%%&jK%%&kK%%&lK%%&)M%%&*M%%&+M%%%:P%%%;P%%%<P%%%QP%"
U "%%RP%%%^P%%%_P%%&&P%%&'P%%&gP%%&hP%%utplhud$\XuTPLHuD#<8u40,(Mz"
U "vrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25"
U "#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K&hP%%'/P%%'0P%%'JP%%'KP"
U "%%'uP%%'vP%%%(Q%%%)Q%%%DQ%%%EQ%%%HQ%%%IQ%%%JQ%%&zR%%'%R%%'&R%%%"
U "GU%%%HU%%%IU%%%^U%%%_U%%&/U%%&0U%%&kU%%&lU%%'HU%%'IU%%%.V%%%/V%"
U "%%TV%%%UV%%&:V%%&;V%%&eV%%&fV%%&gV%%'cX%%'dX%%utplhud$\XuTPLHuD"
U "#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25"
U "#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K'dX%%'eX%%%)Y"
U "%%%*Y%%%NY%%%OY%%%sY%%%tY%%&FY%%&GY%%&_Y%%&$Y%%'MY%%'NY%%%=Z%%%"
U ">Z%%&+Z%%&,Z%%&NZ%%&OZ%%'9Z%%':Z%%'=Z%%'>Z%%'?Z%%&B]%%&C]%%&D]%"
U "%&E]%%&p]%%&q]%%&__%%&$_%%&a_%%'%_%%'&_%%''_%%%X$%%%Y$%%utplhud"
U "$\XuTPLHuD#<8u40,(MzvrnMjfb^MYTPLMHD#<)84%%%%%%%#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25%%%-z(&,*%&25%%#-z&,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K%Y$"
U "%%%Z$%%%j$%%%k$%%%l$%%%[a%%%\a%%%]a%%%ga%%%ha%%%ra%%%sa%%&'a%%&"
U "(a%%&)a%%%,c%%%-c%%%.c%%%Sc%%%Tc%%%Uc%%&.c%%&/c%%&0c%%&Gc%%&Hc%"
U "%&Ic%%'-c%%'.c%%'/c%%'Nc%%'Oc%%'nc%%'oc%%%:d%%%;d%%%<d%%%Nf%%%O"
U "f%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%"
U "#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25%%%%K%Of%%%fh%%%gh%%%hh%%%kh%%%lh%%&Lh%%&Mh%%'.h%%'/h%%'Nh%%'"
U "Oh%%'nh%%'oh%%%;i%%%<i%%%vi%%%wi%%&&i%%&'i%%&ki%%&li%%&si%%&ti%"
U "%'Di%%'Ei%%'ki%%'li%%%>j%%%?j%%%oj%%%pj%%%wj%%%xj%%&%j%%&&j%%&5"
U "j%%&6j%%&;j%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%"
U "%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25%%%%K&;j%%&<j%%')j%%'*j%%'mj%%'nj%%%]k%%%^k%%%wk%%%"
U "xk%%&tk%%&uk%%'Gk%%'Hk%%'Ok%%'Pk%%'Uk%%'Vk%%'uk%%'vk%%%%l%%%&l%"
U "%%'l%%&9m%%&:m%%&;m%%&Km%%&Lm%%&Vm%%&Wm%%&^m%%&_m%%&$m%%'/q%%'0"
U "q%%'1q%%%ou%%%pu%%%qu%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRN"
U "MJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25%%%%K%qu%%&;u%%&<u%%&\u%%&]u%%'0u%%'1u%%'"
U "fu%%'gu%%%gv%%%hv%%%iv%%'Cw%%'Dw%%'Ew%%'fw%%'gw%%'hw%%'Yy%%'Zy%"
U "%'[y%%'^y%%'_y%%%,z%%%-z%%%=z%%%>z%%%az%%%bz%%&.z%%&/z%%&Tz%%&U"
U "z%%&\z%%&]z%%&ez%%&fz%%',z%%'-z%%utplhud$\XuTPLHuD#<8u40,(Mzvrn"
U "Mjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K'-z%%'0z%%'1z%%'2z%%'3z%%("
U "N)%%(O)%%(P)%%(]*%%(^*%%(_*%%(j*%%(k*%%(n*%%(o*%%)(*%%))*%%)E*%"
U "%)F*%%)W*%%)X*%%)z*%%*%*%%*o*%%*p*%%(8+%%(9+%%(:+%%(E+%%(F+%%(f"
U "+%%(g+%%)I+%%)J+%%)Y+%%)Z+%%*2+%%*3+%%*Q+%%utplhud$\XuTPLHuD#<8"
U "u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K*Q+%%*R+%%*X+%%*"
U "Y+%%*a+%%*b+%%*h+%%*i+%%*j+%%*u+%%*v+%%(2,%%(3,%%([,%%(\,%%)E,%"
U "%)F,%%)s,%%)t,%%*M,%%*N,%%*Z,%%*[,%%(=-%%(>-%%(h-%%(i-%%)2-%%)3"
U "-%%)T-%%)U-%%)a-%%)b-%%)j-%%)k-%%)r-%%)s-%%)t-%%*)-%%utplhud$\X"
U "uTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
END SUB

SUB V8
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K*)-%%*"
U "*-%%*K-%%*L-%%*^-%%*_-%%(:.%%(;.%%(F.%%(G.%%(O.%%(P.%%(Q.%%(\.%"
U "%(].%%(b.%%(c.%%)'.%%)(.%%)U.%%)V.%%*-.%%*..%%*[.%%*\.%%*l.%%*m"
U ".%%(Q/%%(R/%%(Y/%%(Z/%%(]/%%(^/%%(_/%%*/2%%*02%%*12%%)%6%%)&6%%"
U "utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%"
U "%%%K)&6%%)'6%%)E8%%)F8%%)G8%%(-9%%(.9%%(/9%%*89%%*99%%*:9%%(2;%"
U "%(3;%%(4;%%(E;%%(F;%%($;%%(a;%%(z;%%)%;%%)5;%%)6;%%)F;%%)G;%%)O"
U ";%%)P;%%)Q;%%*x;%%(%<%%(&<%%(B<%%(C<%%(D<%%)j=%%)k=%%)l=%%*0=%%"
U "*1=%%*M=%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%"
U "%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25%%%%K*M=%%*N=%%*_=%%*$=%%*t=%%*u=%%*v=%%)d>%%)e>%%)f>%"
U "%)u>%%)v>%%*5>%%*6>%%*H>%%*I>%%*Q>%%*R>%%*S>%%(4?%%(5?%%(6?%%(W"
U "?%%(X?%%(Y?%%*u#%%*v#%%*w#%%(5C%%(6C%%)OF%%)PF%%)QF%%)kF%%)lF%%"
U "*KF%%*LF%%*MF%%*7G%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJF"
U "B>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25%%%%K*7G%%*8G%%*9G%%*DG%%*EG%%*HG%%*IG%%*ZG%"
U "%*[G%%*uG%%*vG%%(;H%%(<H%%(LH%%(MH%%(]H%%(^H%%(fH%%(gH%%)-H%%)."
U "H%%)/H%%):H%%);H%%)[H%%)\H%%*)H%%**H%%*MH%%*NH%%*OH%%*ZH%%*[H%%"
U "*rH%%*sH%%(^I%%(_I%%)%I%%)&I%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjf"
U "b^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K)&I%%)]I%%)^I%%*%I%%*&I%%*/I%"
U "%*0I%%*_I%%*$I%%(:J%%(;J%%(dJ%%(eJ%%)9J%%):J%%)RJ%%)SJ%%)^J%%)_"
U "J%%)fJ%%)gJ%%)qJ%%)rJ%%*AJ%%*BJ%%*GJ%%*HJ%%*NJ%%*OJ%%*PJ%%*[J%%"
U "*\J%%*rJ%%*sJ%%(;K%%(<K%%(sK%%(tK%%)bK%%utplhud$\XuTPLHuD#<8u40"
U ",(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K)bK%%)cK%%*QK%%*RK%"
U "%(BL%%(CL%%(ZL%%([L%%)IL%%)JL%%*QL%%*RL%%*ZL%%*[L%%*eL%%*fL%%*k"
U "L%%*lL%%*rL%%*sL%%*tL%%)+M%%),M%%)-M%%*0M%%*1M%%*2M%%)hN%%)iN%%"
U ")jN%%(KR%%(LR%%(MR%%(^T%%(_T%%)-U%%).U%%)/U%%(>V%%utplhud$\XuTP"
U "LHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,."
U "*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K(>V%%(?V%"
U "%(#V%%(AV%%(UV%%(VV%%*3Y%%*4Y%%*5Y%%(TZ%%(UZ%%(VZ%%(_Z%%($Z%%(w"
U "Z%%(xZ%%):Z%%);Z%%)KZ%%)LZ%%)iZ%%)jZ%%)mZ%%)nZ%%)oZ%%(>[%%(?[%%"
U "(#[%%(-]%%(.]%%(/]%%(_$%%($$%%(a$%%(g$%%(h$%%)v$%%)w$%%)y$%%utp"
U "lgub^ZVuRNJFuB>:6u2.*&MxtplMhd$\MXTPLMHD?;)73%%%%%%%(+,*%&25%%("
U "+,*%&25%%(+,*%&25%%#-z&,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*"
U "%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25"
U "#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%"
U "+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,."
U "*%25%%%-z(&,*%&25%%#-z&,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%"
U "K)y$%%)z$%%)tb%%)ub%%(Ec%%(Fc%%(Gc%%*Bc%%*Cc%%*Dc%%*Mc%%*Nc%%*^"
U "c%%*_c%%*ic%%*jc%%()d%%(*d%%(1d%%(2d%%(3d%%).e%%)/e%%)0e%%)Ef%%"
U ")Ff%%)Gf%%)Pf%%)Qf%%)$f%%)af%%)sf%%)tf%%)vf%%)wf%%*Vf%%*Wf%%*uf"
U "%%*vf%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%"
U "%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25%%%%K*vf%%(=g%%(>g%%([g%%(\g%%(fg%%(gg%%)2g%%)3g%%)Xg%%)Y"
U "g%%*1g%%*2g%%*Ng%%*Og%%*Tg%%*Ug%%*Yg%%*Zg%%*tg%%*ug%%(%h%%(&h%%"
U "((h%%()h%%(*h%%(.l%%(/l%%(0l%%*,m%%*-m%%*.m%%*om%%*pm%%*qm%%([o"
U "%%(\o%%(]o%%(fo%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>)"
U ":6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25%%%%K(fo%%(go%%(io%%(jo%%)&o%%)'o%%)Go%%)Ho%%)Q"
U "o%%)Ro%%)lo%%)mo%%*7o%%*8o%%*Ao%%*Bo%%*Xo%%*Yo%%*^o%%*_o%%*$o%%"
U "('q%%((q%%()q%%*3q%%*4q%%*5q%%*Wq%%*Xq%%*Yq%%)Iw%%)Jw%%)Kw%%)Mw"
U "%%)Nw%%)bw%%)cw%%*.w%%*/w%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^M"
U "ZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25%%%%K*/w%%*ow%%*pw%%(Xx%%(Yx%%(ox%%(p"
U "x%%(sx%%(tx%%(ux%%*Bx%%*Cx%%*Dx%%+$%%%+a%%%+b%%%+k%%%+l%%%,5%%%"
U ",6%%%,H%%%,I%%%-/%%%-0%%%-h%%%-i%%%-p%%%-q%%%-t%%%-u%%%-v%%%,g("
U "%%,h(%%,i(%%-/*%%-0*%%-1*%%-:*%%-;*%%utplhud$\XuTPLHuD#<8u40,(M"
U "zvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K-;*%%-Z*%%-[*%%-l*%%-m"
U "*%%+g+%%+h+%%+u+%%+v+%%,:+%%,;+%%-/+%%-0+%%-7+%%-8+%%-;+%%-<+%%"
U "-=+%%+t,%%+u,%%+v,%%-\-%%-]-%%-^-%%-g-%%-h-%%+*.%%++.%%+>.%%+?."
U "%%+S.%%+T.%%+W.%%+X.%%+Y.%%,30%%,40%%,50%%,>0%%utplhud$\XuTPLHu"
U "D#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K,>0%%,?0%%,\"
U "0%%,]0%%,^0%%+Q1%%+R1%%+S1%%,.5%%,/5%%,05%%,95%%,:5%%,K5%%,L5%%"
U ",g5%%,h5%%,j5%%,k5%%-L5%%-M5%%-Z5%%-[5%%-u5%%-v5%%+Z6%%+[6%%+q6"
U "%%+r6%%+u6%%+v6%%+w6%%,t7%%,u7%%,v7%%-^9%%-_9%%-$9%%-c9%%utplhu"
U "d$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%2"
U "5#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K-c"
U "9%%-d9%%-q9%%-r9%%-u9%%-v9%%-w9%%,6;%%,7;%%,8;%%+T<%%+U<%%+V<%%"
U "+Y<%%+Z<%%+e<%%+f<%%+u<%%+v<%%+y<%%+z<%%,%<%%-O=%%-P=%%-Q=%%-R="
U "%%-t=%%-u=%%+jA%%+kA%%+lA%%,EC%%,FC%%,GC%%+HE%%+IE%%+JE%%+/G%%+"
U "0G%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjea]MYUQMMIEA=)95%%%%%%%%%%%"
U "%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+"
U ",*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%(+,*%&25%%#-z&,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*"
U "%25%%%%K+0G%%+1G%%+BG%%+CG%%+TG%%+UG%%+$G%%+aG%%+yG%%+zG%%,.G%%"
U ",/G%%,6G%%,7G%%,8G%%,=J%%,>J%%,?J%%,YJ%%,ZJ%%-)J%%-*J%%-7J%%-8J"
U "%%-?J%%-#J%%-AJ%%+rL%%+sL%%+tL%%,FL%%,GL%%,HL%%,UL%%,VL%%,WL%%-"
U "0L%%-1L%%-2L%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVRNMJFB>):6%"
U "%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*"
U "%25#%%+,.*%25%%%%K-2L%%,CN%%,DN%%,EN%%,jN%%,kN%%-&N%%-'N%%-PN%%"
U "-QN%%-XN%%-YN%%-ZN%%+8O%%+9O%%+:O%%+=O%%+>O%%+nO%%+oO%%,HO%%,IO"
U "%%-,O%%--O%%-0O%%-1O%%-2O%%-^P%%-_P%%-$P%%+1V%%+2V%%+3V%%+?V%%+"
U "#V%%+NV%%+OV%%+]V%%+^V%%utplhud$\XuTPLHuD#<8u40,(MzvrnMjfb^MZVR"
U "NMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*"
U "%25#%%+,.*%25#%%+,.*%25%%%%K+^V%%+mV%%+nV%%+oV%%,(V%%,)V%%,7V%%"
U ",8V%%,FV%%,GV%%,OV%%,PV%%,hV%%,iV%%,sV%%,tV%%-+V%%-,V%%-9V%%-:V"
U "%%-;V%%-=V%%->V%%-RV%%-SV%%++W%%+,W%%+ZW%%+[W%%,3W%%,4W%%,cW%%,"
U "dW%%-(W%%-)W%%-5W%%-6W%%-;W%%-<W%%utplhud$\XuTPLHuD#<8u40,(Mzvr"
U "nMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*"
U "%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K-<W%%-eW%%-fW%%-iW%%-jW%%"
U "-kW%%+wZ%%+xZ%%-'[%%-([%%-)[%%-;[%%-<[%%-G[%%-H[%%-Q[%%-R[%%-_["
U "%%-$[%%-n[%%-o[%%+*\%%++\%%+2\%%+3\%%+4\%%+3]%%+4]%%+5]%%+d]%%+"
U "e]%%,*]%%,+]%%,X]%%,Y]%%,j]%%,k]%%-N]%%-O]%%utplhud$\XuTPLHuD#<"
U "8u40,(MzvrnMjfb^MZVRNMJFB>):6%%%%%%%%%%%%#%%+,.*%25#%%+,.*%25#%"
U "%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,"
U ".*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%"
U "25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*"
U "%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%K-O]%%+9^%%+:^%%"
U "+u^%%+v^%%,]^%%,^^%%,j^%%,k^%%-0^%%-1^%%-[^%%-\^%%-c^%%-d^%%-e^"
U "%%-,_%%--_%%-._%%+ta%%+ua%%+va%%+wa%%,:a%%,;a%%+Bd%%+Cd%%+Dd%%+"
U "Kf%%+Lf%%+Mf%%,Tg%%,Ug%%,Vg%%,]g%%,^g%%utplhud$\XuTPLHuD#<8u40,"
U "(MzvqlMhd$\MXTPL2HC?%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%(+,*%&25%%#-z&,.*%2M#%%+,.*%25#%%+,.*%25#%%+,.*%25"
U "#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%"
U "-z(&,*%&25%%#-z&,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#"
U "%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+"
U ",.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*"
U "%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25#%%+,.*%25%%%%H%9(%%"
U "%#(%%%c(%%&(*%%&)*%%&**%%&<*%%&K*%%&W*%%&w*%%'C*%%'N*%%'h*%%'x*"
U "%%%%+%%%&+%%%3+%%'e-%%'f-%%'6/%%'7/%%'%0%%'&0%%''0%%'=0%%'s%%%["
U "%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%"
U "%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%"
U "(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%"
END SUB

SUB V9
U "%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%"
U "&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%"
U "&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&"
U "%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&"
U "%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%"
U "%%%%='=0%%'02%%'12%%'m2%%'n2%%%C3%%%T3%%%i3%%&*3%%&C3%%&D3%%&M4"
U "%%&N4%%&B5%%&C5%%&Y5%%&Z5%%%J6%%%K6%%'36%%'46%%'E6%%'W6%%'f6%%'"
U "w6%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%"
U "%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%"
U "%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$"
U "%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%"
U "%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%"
U "%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%"
U "%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%"
U "%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%"
U "%)%%9'i%&%%%%%='w6%%%47%%%57%%&o7%%&p7%%'l9%%'m9%%'n9%%%D:%%'&<"
U "%%''<%%'+<%%'W<%%'[<%%'\<%%%q>%%%r>%%%v>%%&(>%%&1>%%&o>%%&s>%%&"
U "t>%%%KA%%%LA%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%"
U "%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%"
U "%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%"
U "&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%"
U ")%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%"
U ")%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)"
U "%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)"
U "%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%"
U "7%9i%%&%%%%)%%9'i%&%%%%%=%LA%%%PA%%%wA%%&AA%%';A%%'?A%%'#A%%%iD"
U "%%%jD%%%nD%%&=D%%&bD%%'6D%%']D%%%3E%%%7E%%%8E%%'TH%%'UH%%'YH%%%"
U "6I%%&/I%%&3I%%&4I%%%3K%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%"
U "%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%"
U "%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%"
U "(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%"
U "%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7"
U "%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%"
U "9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%"
U "9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9"
U "'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=%3K%%%4K%%%8K%%%EK%%%yK%%&=K"
U "%%&gK%%&kK%%&lK%%&*M%%&+M%%%;P%%%<P%%%RP%%%_P%%&'P%%&hP%%'0P%%'"
U "KP%%'vP%%%)Q%%%EQ%%%IQ%%%JQ%%'%R%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%"
U "%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%"
U "%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%"
U ".%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9"
U "i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'"
U "i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i"
U "%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i"
U "%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%"
U "%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%='%R%%'&R%%%HU%%%IU"
U "%%%_U%%&0U%%&lU%%'IU%%%/V%%%UV%%&;V%%&fV%%&gV%%'dX%%'eX%%%*Y%%%"
U "OY%%%tY%%&GY%%&$Y%%'NY%%%>Z%%&,Z%%&OZ%%':Z%%'s%%%[%%%n%%%%%7%%i"
U "%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%"
U "%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%"
U "#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%"
U "%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%"
U "&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&"
U "%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&"
U "%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%"
U "%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=':Z%%'>Z"
U "%%'?Z%%&C]%%&D]%%&E]%%&q]%%&$_%%&a_%%'&_%%''_%%%Y$%%%Z$%%%k$%%%"
U "l$%%%\a%%%]a%%%ha%%%sa%%&(a%%&)a%%%-c%%%.c%%%Tc%%%Uc%%'s%%%[%%%"
U "n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K"
U "%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%"
U "%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%"
U "%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%"
U "%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%"
U "%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%"
U "%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%"
U "%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%"
U "%=%Uc%%&/c%%&0c%%&Hc%%&Ic%%'.c%%'/c%%'Oc%%'oc%%%;d%%%<d%%%Of%%%"
U "gh%%%hh%%%lh%%&Mh%%'/h%%'Oh%%'oh%%%<i%%%wi%%&'i%%&li%%&ti%%'Ei%"
U "%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%"
U "P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%"
U "%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%"
U "%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%"
U ")%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)"
U "%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)"
U "%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%"
U "7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%"
U "%9'i%&%%%%%='Ei%%'li%%%?j%%%pj%%%xj%%&&j%%&6j%%&<j%%'*j%%'nj%%%"
U "^k%%%xk%%&uk%%'Hk%%'Pk%%'Vk%%'vk%%%&l%%%'l%%&:m%%&;m%%&Lm%%&Wm%"
U "%&_m%%&$m%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%"
U "%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2"
U "%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%"
U "%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7"
U "%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%"
U "9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%"
U "9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9"
U "'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9"
U "i%%&%%%%)%%9'i%&%%%%%=&$m%%'0q%%'1q%%%pu%%%qu%%&<u%%&]u%%'1u%%'"
U "gu%%%hv%%%iv%%'Dw%%'Ew%%'gw%%'hw%%'Zy%%'[y%%'_y%%%-z%%%>z%%%bz%"
U "%&/z%%&Uz%%&]z%%&fz%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%"
U "%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%"
U "'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j"
U "%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'"
U "i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i"
U "%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i"
U "%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%"
U "%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%"
U "&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=&fz%%'-z%%'1z%%'2z%%'3z%%(O)%%("
U "P)%%(^*%%(_*%%(k*%%(o*%%))*%%)F*%%)X*%%*%*%%*p*%%(9+%%(:+%%(F+%"
U "%(g+%%)J+%%)Z+%%*3+%%*R+%%*Y+%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%"
U "%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%"
U "+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%"
U "o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%"
U "&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&"
U "%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&"
U "%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%"
U "%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%"
U "%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=*Y+%%*b+%%*i+%%*j+%%*"
U "v+%%(3,%%(\,%%)F,%%)t,%%*N,%%*[,%%(>-%%(i-%%)3-%%)U-%%)b-%%)k-%"
U "%)s-%%)t-%%**-%%*L-%%*_-%%(;.%%(G.%%(P.%%'s%%%[%%%n%%%%%7%%i%%%"
U "%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%"
U "7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%"
U "%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%"
U "%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%"
U "%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%"
U "%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%"
U "%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%"
U ")%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=(P.%%(Q.%%("
U "].%%(c.%%)(.%%)V.%%*..%%*\.%%*m.%%(R/%%(Z/%%(^/%%(_/%%*02%%*12%"
U "%)&6%%)'6%%)F8%%)G8%%(.9%%(/9%%*99%%*:9%%(3;%%(4;%%'s%%%[%%%n%%"
U "%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%"
U "[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%"
U "%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%("
U "%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)"
U "%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)"
U "%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%"
U "7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%"
U "%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=("
U "4;%%(F;%%(a;%%)%;%%)6;%%)G;%%)P;%%)Q;%%(%<%%(&<%%(C<%%(D<%%)k=%"
U "%)l=%%*1=%%*N=%%*$=%%*u=%%*v=%%)e>%%)f>%%)v>%%*6>%%*I>%%*R>%%'s"
U "%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%"
U "%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%"
U "%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%."
U "%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%"
U "9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%"
U "9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9"
U "'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9"
U "i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'"
U "i%&%%%%%=*R>%%*S>%%(5?%%(6?%%(X?%%(Y?%%*v#%%*w#%%(6C%%)PF%%)QF%"
U "%)lF%%*LF%%*MF%%*8G%%*9G%%*EG%%*IG%%*[G%%*vG%%(<H%%(MH%%(^H%%(g"
U "H%%).H%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%"
U "%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%"
U "%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#"
U "%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i"
U "%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i"
U "%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%"
U "%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%"
U "&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%"
U "&%%%%)%%9'i%&%%%%%=).H%%)/H%%);H%%)\H%%**H%%*NH%%*OH%%*[H%%*sH%"
U "%(_I%%)&I%%)^I%%*&I%%*0I%%*$I%%(;J%%(eJ%%):J%%)SJ%%)_J%%)gJ%%)r"
U "J%%*BJ%%*HJ%%*OJ%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z"
U "%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%"
U "%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%"
U "%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&"
U "%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&"
U "%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%"
U "%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%"
U "%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%"
U "%%)%7%9i%%&%%%%)%%9'i%&%%%%%=*OJ%%*PJ%%*\J%%*sJ%%(<K%%(tK%%)cK%"
U "%*RK%%(CL%%([L%%)JL%%*RL%%*[L%%*fL%%*lL%%*sL%%*tL%%),M%%)-M%%*1"
U "M%%*2M%%)iN%%)jN%%(LR%%(MR%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%"
U "'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<"
U "%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%"
U "%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%"
U "%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%"
U "%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%"
U "%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%"
U ")%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%"
U ")%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=(MR%%(_T%%).U%%)/U%%(?V%"
U "%(#V%%(AV%%(VV%%*4Y%%*5Y%%(UZ%%(VZ%%($Z%%(xZ%%);Z%%)LZ%%)jZ%%)n"
U "Z%%)oZ%%(?[%%(#[%%(.]%%(/]%%($$%%(a$%%'s%%%[%%%n%%%%%7%%i%%%%%%"
U "+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%"
U "A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%"
U "%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)"
U "%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)"
U "%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%"
U "7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%"
U "%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7"
U "%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=(a$%%)w$%%)z$%"
U "%)ub%%(Fc%%(Gc%%*Cc%%*Dc%%*Nc%%*_c%%*jc%%(*d%%(2d%%(3d%%)/e%%)0"
U "e%%)Ff%%)Gf%%)Qf%%)af%%)tf%%)wf%%*Wf%%*vf%%(>g%%'s%%%[%%%n%%%%%"
U "7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%"
U "%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&"
U "y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%"
U "%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%"
U "9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9"
U "'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9"
U "i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'"
U "i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=(>g%"
U "%(\g%%(gg%%)3g%%)Yg%%*2g%%*Og%%*Ug%%*Zg%%*ug%%(&h%%()h%%(*h%%(/"
U "l%%(0l%%*-m%%*.m%%*pm%%*qm%%(\o%%(]o%%(go%%(jo%%)'o%%)Ho%%'s%%%"
U "[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%"
U "%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+"
U "%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%["
U "%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i"
U "%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%"
U "%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%"
U "&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%"
U "&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&"
U "%%%%%=)Ho%%)Ro%%)mo%%*8o%%*Bo%%*Yo%%*_o%%*$o%%((q%%()q%%*4q%%*5"
U "q%%*Xq%%*Yq%%)Jw%%)Kw%%)Nw%%)cw%%*/w%%*pw%%(Yx%%(px%%(tx%%(ux%%"
END SUB

SUB VA
U "*Cx%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%"
U "%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7"
U "%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%"
U "$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&"
U "%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%"
U "%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%"
U "%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%"
U "%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%"
U "%%)%%9'i%&%%%%%=*Cx%%*Dx%%+a%%%+b%%%+l%%%,6%%%,I%%%-0%%%-i%%%-q"
U "%%%-u%%%-v%%%,h(%%,i(%%-0*%%-1*%%-;*%%-[*%%-m*%%+h+%%+v+%%,;+%%"
U "-0+%%-8+%%-<+%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%"
U "%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%["
U "%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%"
U "%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%"
U "%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%"
U "%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%"
U ")%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%"
U ")%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)"
U "%7%9i%%&%%%%)%%9'i%&%%%%%=-<+%%-=+%%+u,%%+v,%%-]-%%-^-%%-h-%%++"
U ".%%+?.%%+T.%%+X.%%+Y.%%,40%%,50%%,?0%%,]0%%,^0%%+R1%%+S1%%,/5%%"
U ",05%%,:5%%,L5%%,h5%%,k5%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%"
U "%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%"
U "%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%"
U "%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)"
U "%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%"
U "7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%"
U "%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7"
U "%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%"
U "9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=,k5%%-M5%%-[5%%-v5%%+[6%%+r"
U "6%%+v6%%+w6%%,u7%%,v7%%-_9%%-$9%%-d9%%-r9%%-v9%%-w9%%,7;%%,8;%%"
U "+U<%%+V<%%+Z<%%+f<%%+v<%%+z<%%,%<%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d"
U "%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%"
U "%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%"
U "%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%"
U "9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9"
U "'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9"
U "i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'"
U "i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i"
U "%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=,%<%%-P=%%-Q=%%-R"
U "=%%-u=%%+kA%%+lA%%,FC%%,GC%%+IE%%+JE%%+0G%%+1G%%+CG%%+UG%%+aG%%"
U "+zG%%,/G%%,7G%%,8G%%,>J%%,?J%%,ZJ%%-*J%%-8J%%'s%%%[%%%n%%%%%7%%"
U "i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%"
U "%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%"
U "%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%"
U "%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%"
U "%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%"
U "&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%"
U "&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&"
U "%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%=-8J%%-#"
U "J%%-AJ%%+sL%%+tL%%,GL%%,HL%%,VL%%,WL%%-1L%%-2L%%,DN%%,EN%%,kN%%"
U "-'N%%-QN%%-YN%%-ZN%%+9O%%+:O%%+>O%%+oO%%,IO%%--O%%-1O%%'s%%%[%%"
U "%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+%P%%%%%%%'"
U "K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-%%%%%%+%(%"
U "%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%%%%.%%[%%%"
U "%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%"
U "%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%"
U "%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%"
U "%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%"
U "%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%"
U "%%=-1O%%-2O%%-_P%%-$P%%+2V%%+3V%%+#V%%+OV%%+^V%%+nV%%+oV%%,)V%%"
U ",8V%%,GV%%,PV%%,iV%%,tV%%-,V%%-:V%%-;V%%->V%%-SV%%+,W%%+[W%%,4W"
U "%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7%%U%%%%%%+"
U "%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%2%%%%%7%%-"
U "%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e%%%#%%%$%%"
U "%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%"
U "%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%"
U ")%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%"
U ")%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)"
U "%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)"
U "%%9'i%&%%%%%=,4W%%,dW%%-)W%%-6W%%-<W%%-fW%%-jW%%-kW%%+xZ%%-([%%"
U "-)[%%-<[%%-H[%%-R[%%-$[%%-o[%%++\%%+3\%%+4\%%+4]%%+5]%%+e]%%,+]"
U "%%,Y]%%,k]%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7"
U "%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%"
U "2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e"
U "%%%#%%%$%%%%%.%%[%%%%%%(%V%%%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%"
U "7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%"
U "%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7"
U "%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%"
U "9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%"
U "9i%%&%%%%)%%9'i%&%%%%%=,k]%%-O]%%+:^%%+v^%%,^^%%,k^%%-1^%%-\^%%"
U "-d^%%-e^%%--_%%-._%%+ua%%+va%%+wa%%,;a%%+Cd%%+Dd%%+Lf%%+Mf%%,Ug"
U "%%,Vg%%,^g%%'s%%%[%%%n%%%%%7%%i%%%%%%+%d%%%%%%%'_%%%[%%%Z%%%%%7"
U "%%U%%%%%%+%P%%%%%%%'K%%%[%%%F%%%%%7%%A%%%%%%+%<%%%%%%%'7%%%[%%%"
U "2%%%%%7%%-%%%%%%+%(%%%%%%%&y%%%#%%%t%%%%%.%%o%%%%%%(%j%%%%%%%&e"
U "%%%#%%%$%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9"
U "i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'"
U "i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i"
U "%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%)%7%9i%%&%%%%)%%9'i"
U "%&%%%%)%7%9i%%&%%%%)%%9'i%&%%%%%;%9(%%,^g%%&G%9(d%%^g.%%g%%%%%%"
U ",Jd%%m%%xx-xx%%uxxxx(96&%%3%4%%-%&%%p%4%%%%%%%?%%e-jx'%%?%+sM>A"
U "<0&;%'%%%%(%&0.)%%%%%%%%%%%%%%%%%%%%%%%%G%mfekx&p%G%I;i45M0D;CI"
U "Eu0AM06A0)?7Ek2>=C%%%%%%%%%%%%%%%%%%%)%%%%%%7%%I'%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%'xe9%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%m&%wx%(/%%uxxxx%%.'%"
U "%%%%%'9%%%%%%%k%A%%%Lr82AM>B>5JCE&>)A3E[%SUEiM>2D<24=C%%/%%%Irx"
U "&>DA3i>&2%%%7%%m^*+#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
U "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
END SUB
<PAGEEND:"Tutorial.Tutorial2.File">

<PAGESTART:"Cur.Dir.File">
'#iab.compatibility.version.1a
'CWD version 1.0d -- Get current working drive and directory
'Copyright (c)1996 Mark K. Kim
'markkkim@aol.com
'http://members.aol.com/markkkim/
'http://members.aol.com/vinDaci/
'* Freely distributed.  May be used in other programs with proper notice of
'  credit.
'* This program is provided "as-is".
'* In QBASIC, no modification is necessary
'* In QuickBASIC, QuickBASIC PDS, or VisualBASIC for DOS, run with the
'  "/L" option, like so:
'
'    QB /L
'    QBX /L
'    VBDOS /L
'
'  Also, do not include the QB.BI, QBX.BI, or VBDOS.BI files. If you do,
'  modify them so that the line "DECLARE ABSOLUTE..." is gone.
'* In QuickBASIC PDS and VisualBASIC, change all the lines in the format
'  "VARSEG(any.string.variable$)" to "SSEG(any.string.variable$)".
'* CREDIT: Ralf Brown's interrupt list was used to get interrupt for the
'  function.  Microsoft DOS's Debug was used to convert Assembly code to
'  machine code.  Microsoft is a Registered Trademark of Microsoft Corp.
'Read the header of each function to find out their usage. These functions
'are designed to work with most other routines as it does not interfere
'with any other routines.


'the following line exists for compatibility reasons:
DECLARE SUB absolute (var1%, var2%, var3%, var4%, var5%, var6%, var7%, var8%, var9%, offset%)

'#begin declaration
  DECLARE FUNCTION getdrv% ()
  DECLARE FUNCTION getdir$ (drive%)
'#end declaration


'#start example program
  CLS
  PRINT "The current working directory is ";
  PRINT CHR$(getdrv + 65);  'display drive letter
  PRINT ":";                'display colon
  PRINT getdir$(getdrv)     'display directory path
'#end example program

'getdir - Get directory
'INPUT:
'* drive% is the number representation of the drive letter, where A = 0,
'  B = 1, C = 2, etc.  -1 is used for the current drive.
'RETURN:
'* The directory is returned in "\directory\directory\..." format.
'  * There is always "\" at the beginning of the string.
'  * There is no "\" at the end of the string.
'* On error, the length of the string is zero.
'  * You can tell whether the directory is a root or whether an error has
'    occurred because the root directory is returned as "\" whereas an
'    error is returned as "".
'EXAMPLE:
'  IF LEN(getdir$(0)) <> 0 THEN
'    PRINT "The current directory is "; getdir$(0)
'  ELSE
'    PRINT "Cannot find current directory!"
'  END IF
FUNCTION getdir$ (drive%)

  drive% = drive% + 1
  'initialize assembly code
  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                  'push bp
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                     'mov bp, sp
  asm$ = asm$ + CHR$(&HB4) + CHR$(&H47)                     'mov ah, 47h
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'mov bx, [bp+0ah]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H17)                     'mov dx, [bx]
  asm$ = asm$ + CHR$(&H1E)                                  'push ds
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H8)         'mov bx, [bp+08h]
  asm$ = asm$ + CHR$(&H8E) + CHR$(&H1F)                     'mov ds, [bx]
  asm$ = asm$ + CHR$(&H56)                                  'push si
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'mov bx, [bp+06h]
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H37)                     'mov si, [bx]
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                     'int 21h
  asm$ = asm$ + CHR$(&H5E)                                  'pop si
  asm$ = asm$ + CHR$(&H1F)                                  'pop ds
  asm$ = asm$ + CHR$(&HBA) + CHR$(&H0) + CHR$(&H0)          'mov dx, 0000h
  asm$ = asm$ + CHR$(&H80) + CHR$(&HD2) + CHR$(&H0)         'adc dl, 00h
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&HA)         'mov bx, [bp+0a]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H17)                     'mov [bx], dx
  asm$ = asm$ + CHR$(&H5D)                                  'pop  bp
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)         'retf 0012h

  'string to store directory information
  directory$ = SPACE$(65)
  dirseg% = VARSEG(directory$)  'get segment address
  diroff% = SADD(directory$)    'get offset address

  'execute
  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, drive%, dirseg%, diroff%, SADD(asm$))
  directory$ = LEFT$(directory$, INSTR(directory$, CHR$(0)))
  IF LEFT$(directory$, 1) <> "\" THEN directory$ = "\" + directory$

  IF drive% THEN directory$ = ""

  getdir$ = directory$

END FUNCTION

'getdrv - Get current drive
'RETURN:
'* The number representation of the drive letter, where A = 0, B = 1, etc.
'EXAMPLE:
'  PRINT "The current working drive is "; getdrv
FUNCTION getdrv%

  'initialize assembly code
  asm$ = ""
  asm$ = asm$ + CHR$(&H55)                                  'push bp
  asm$ = asm$ + CHR$(&H89) + CHR$(&HE5)                     'mov bp, sp
  asm$ = asm$ + CHR$(&HB4) + CHR$(&H19)                     'mov ah, 19h
  asm$ = asm$ + CHR$(&HCD) + CHR$(&H21)                     'int 21h
  asm$ = asm$ + CHR$(&HB4) + CHR$(&H0)                      'mov ah, 00h
  asm$ = asm$ + CHR$(&H8B) + CHR$(&H5E) + CHR$(&H6)         'mov bx, [bp+06h]
  asm$ = asm$ + CHR$(&H89) + CHR$(&H7)                      'mov [bx], ax
  asm$ = asm$ + CHR$(&H5D)                                  'pop bp
  asm$ = asm$ + CHR$(&HCA) + CHR$(&H12) + CHR$(&H0)         'retf 0012h

  'execute
  DEF SEG = VARSEG(asm$)
  CALL absolute(dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, dummy%, drive%, SADD(asm$))

  getdrv% = drive%

END FUNCTION
<PAGEEND:"Cur.Dir.File">

<PAGESTART:"3D.Info.File1">
'this is code to draw and rotate a 3-d image of a cylinder
'  and a sphere.
'by Douglas H. Lusher, October 1996
DECLARE SUB DrawPoly (X%(), Y%(), Vertices%, Culler%)
DECLARE FUNCTION KeyPress% ()
CONST Green = 2, White = 15
CONST ESC = 27
CONST HomeKey = -71, EndKey = -79
CONST UpArrow = -72, DnArrow = -80
CONST LArrow = -75,  RArrow = -77
'the home key brings the object toward the viewer, the end key
'   takes it away from the viewer.
'the up arrow moves the object up, the down arrow moves it down,
'   the right arrow moves it right, the left arrow moves it left.
'pressing "y","p", or "r" increases yaw, pitch and roll respectively.
'   pressing the uppercase of these letters decreases the values.
RANDOMIZE TIMER
APage% = 1: VPage% = 0
SCREEN 9, , APage%, VPage%
ScrnWid% = 640: ScrnHgt% = 350
CtrX% = ScrnWid% \ 2: CtrY% = ScrnHgt% \ 2
AspectRatio! = 4 * (ScrnHgt% / ScrnWid%) / 3
Pi! = ATN(1) * 4!

DO: R1! = RND: LOOP UNTIL R1! < .628: R1! = R1! * 10!
DO: R2! = RND: LOOP UNTIL R2! < .628: R2! = R2! * 10!
DO: R3! = RND: LOOP UNTIL R3! < .628: R3! = R3! * 10!
'R1! = 0: R2! = 0: R3! = 0
D! = 1200
MX! = 0: MY! = 0: MZ! = -350
Inc! = .02
RInc! = -Inc!
PInc! = -Inc!
YInc! = -Inc!

GOSUB InitCylinder
'GOSUB InitSphere

'MainLoop
DO
  SELECT CASE KeyPress%
    CASE 0
    CASE UpArrow: MY! = MY! + 10!
    CASE DnArrow: MY! = MY! - 10!
    CASE LArrow: MX! = MX! + 10!
    CASE RArrow: MX! = MX! - 10!
    CASE HomeKey: MZ! = MZ! + 10!
    CASE EndKey: MZ! = MZ! - 10!
    CASE ASC("r")
      RInc! = RInc! + Inc!: IF RInc! > 1 THEN RInc! = 1
    CASE ASC("R")
      RInc! = RInc! - Inc!: IF RInc! < -1 THEN RInc! = -1
    CASE ASC("y")
      YInc! = YInc! + Inc!: IF YInc! > 1 THEN YInc! = 1
    CASE ASC("Y")
      YInc! = YInc! - Inc!: IF YInc! < -1 THEN YInc! = -1
    CASE ASC("p")
      PInc! = PInc! + Inc!: IF PInc! > 1 THEN PInc! = 1
    CASE ASC("P")
      PInc! = PInc! - Inc!: IF PInc! < -1 THEN PInc! = -1
    CASE ESC: EXIT DO
  END SELECT
  R1! = R1! + YInc!: IF R1! > 6.28 THEN R1! = 0
  R2! = R2! + RInc!: IF R2! > 6.28 THEN R2! = 0
  R3! = R3! + PInc!: IF R3! > 6.28 THEN R3! = 0
  SR1! = SIN(R1!): CR1! = COS(R1!)
  SR2! = SIN(R2!): CR2! = COS(R2!)
  SR3! = SIN(R3!): CR3! = COS(R3!)
  CLS
  GOSUB DrawCylinder
  'GOSUB DrawSphere
  SWAP APage%, VPage%
  WAIT &H3DA, 8
  SCREEN , , APage%, VPage%
LOOP
SCREEN 0: WIDTH 80
END
  
PerspectiveCalculations:
X! = -X!
XA! = CR1! * X! - SR1! * Z!
ZA! = SR1! * X! + CR1! * Z!
X! = CR2! * XA! + SR2! * Y!
YA! = CR2! * Y! - SR2! * XA!
Z! = CR3! * ZA! - SR3! * YA!
Y! = SR3! * ZA! + CR3! * YA!
X! = X! + MX!
Y! = Y! + MY!
Z! = Z! + MZ!
SX% = CINT(D! * X! / Z!) + CtrX%
SY% = CINT(D! * Y! / Z! * AspectRatio!) + CtrY%
RETURN

CheckVisibility:
'plane equation method of hidden surface removal
SP1! = -X1! * (Y2! * Z3! - Y3! * Z2!)
SP2! = X2! * (Y3! * Z1! - Y1! * Z3!)
SP3! = X3! * (Y1! * Z2! - Y2! * Z1!)
VisibleSurface% = ((SP1! - SP2! - SP3!) <= 0)
RETURN

'========================================================================
InitCylinder:
L! = 40!     'half the length of the cylinder
R! = 20!     'the radius of the cylinder
Divs% = 18   'the number of steps around the cylinder
StepAmount! = (Pi! * 2!) / CSNG(Divs%)
S1% = 1: S2% = Divs% \ 3: S3% = S2% + S2%
REDIM X1!(1 TO Divs% + 1), X2!(1 TO Divs% + 1)
REDIM Y1!(1 TO Divs% + 1), Y2!(1 TO Divs% + 1)
REDIM Z1!(1 TO Divs% + 1), Z2!(1 TO Divs% + 1)
REDIM SX1%(1 TO Divs% + 1), SY1%(1 TO Divs% + 1)
REDIM SX2%(1 TO Divs% + 1), SY2%(1 TO Divs% + 1)
REDIM X%(1 TO 4), Y%(1 TO 4)
Xtra% = Divs% + 1
RETURN

DrawCylinder:
R5! = 0
FOR T% = 1 TO Divs%
  XX! = SIN(R5!) * R!: YY! = COS(R5!) * R!
  'one end of cylinder
  X! = XX!: Y! = YY!: Z! = L!
  GOSUB PerspectiveCalculations
  X1!(T%) = X!: Y1!(T%) = Y!: Z1!(T%) = Z!
  SX1%(T%) = SX%: SY1%(T%) = SY%
  'other end of cylinder
  X! = XX!: Y! = YY!: Z! = -L!
  GOSUB PerspectiveCalculations
  X2!(T%) = X!: Y2!(T%) = Y!: Z2!(T%) = Z!
  SX2%(T%) = SX%: SY2%(T%) = SY%
  R5! = R5! + StepAmount!
NEXT
X1!(Xtra%) = X1!(1): X2!(Xtra%) = X2!(1)
Y1!(Xtra%) = Y1!(1): Y2!(Xtra%) = Y2!(1)
Z1!(Xtra%) = Z1!(1): Z2!(Xtra%) = Z2!(1)
SX1%(Xtra%) = SX1%(1): SX2%(Xtra%) = SX2%(1)
SY1%(Xtra%) = SY1%(1): SY2%(Xtra%) = SY2%(1)
FOR Q1% = 1 TO Divs%          'draw the side polygons of the cylinder
  Q2% = Q1% + 1
  X1! = X1!(Q1%): Y1! = Y1!(Q1%): Z1! = Z1!(Q1%)
  X2! = X1!(Q2%): Y2! = Y1!(Q2%): Z2! = Z1!(Q2%)
  X3! = X2!(Q2%): Y3! = Y2!(Q2%): Z3! = Z2!(Q2%)
  GOSUB CheckVisibility
  IF VisibleSurface% THEN
    X%(1) = SX1%(Q1%): Y%(1) = SY1%(Q1%)
    X%(2) = SX1%(Q2%): Y%(2) = SY1%(Q2%)
    X%(3) = SX2%(Q2%): Y%(3) = SY2%(Q2%)
    X%(4) = SX2%(Q1%): Y%(4) = SY2%(Q1%)
    CALL DrawPoly(X%(), Y%(), 4, White)
  END IF
NEXT
'draw one end
X1! = X1!(S1%): Y1! = Y1!(S1%): Z1! = Z1!(S1%)
X2! = X1!(S3%): Y2! = Y1!(S3%): Z2! = Z1!(S3%)
X3! = X1!(S2%): Y3! = Y1!(S2%): Z3! = Z1!(S2%)
GOSUB CheckVisibility
IF VisibleSurface% THEN
  CALL DrawPoly(SX1%(), SY1%(), Divs%, White)
END IF
'draw the other end
X1! = X2!(S1%): Y1! = Y2!(S1%): Z1! = Z2!(S1%)
X2! = X2!(S2%): Y2! = Y2!(S2%): Z2! = Z2!(S2%)
X3! = X2!(S3%): Y3! = Y2!(S3%): Z3! = Z2!(S3%)
GOSUB CheckVisibility
IF VisibleSurface% THEN
  CALL DrawPoly(SX2%(), SY2%(), Divs%, White)
END IF
RETURN

'========================================================================
InitSphere:
R! = 40!            'the radius of the sphere
Divs% = 18
StepAmount! = (Pi! * 2!) / CSNG(Divs%)
REDIM X1!(1 TO Divs% + 1), X2!(1 TO Divs% + 1)
REDIM Y1!(1 TO Divs% + 1), Y2!(1 TO Divs% + 1)
REDIM Z1!(1 TO Divs% + 1), Z2!(1 TO Divs% + 1)
REDIM SX1%(1 TO Divs% + 1), SY1%(1 TO Divs% + 1)
REDIM SX2%(1 TO Divs% + 1), SY2%(1 TO Divs% + 1)
REDIM X%(1 TO 4), Y%(1 TO 4)
Xtra% = Divs% + 1
RETURN

DrawSphere:
'north polar area
'R5! = 0: X! = SIN(R5!) * R!: Y! = COS(R5!) * R!: Z! = 0
X! = 0!: Y! = R!: Z! = 0
GOSUB PerspectiveCalculations
X3! = X!: Y3! = Y!: Z3! = Z!
X%(3) = SX%: Y%(3) = SY%
R5! = StepAmount!: GOSUB CalcAround
FOR Q1% = 1 TO Divs%
  Q2% = Q1% + 1
  X1! = X2!(Q2%): Y1! = Y2!(Q2%): Z1! = Z2!(Q2%)
  X2! = X2!(Q1%): Y2! = Y2!(Q1%): Z2! = Z2!(Q1%)
  GOSUB CheckVisibility
  IF VisibleSurface% THEN
    X%(1) = SX2%(Q2%): Y%(1) = SY2%(Q2%)
    X%(2) = SX2%(Q1%): Y%(2) = SY2%(Q1%)
    CALL DrawPoly(X%(), Y%(), 3, Green)
  END IF
NEXT

'middle of sphere
R5! = StepAmount!
FOR T2% = 1 TO (Divs% \ 2) - 2
  FOR Q1% = 1 TO Divs% + 1
    X1!(Q1%) = X2!(Q1%): Y1!(Q1%) = Y2!(Q1%): Z1!(Q1%) = Z2!(Q1%)
    SX1%(Q1%) = SX2%(Q1%): SY1%(Q1%) = SY2%(Q1%)
  NEXT
  R5! = R5! + StepAmount!: GOSUB CalcAround
  FOR Q1% = 1 TO Divs%
    Q2% = Q1% + 1
    X1! = X1!(Q1%): Y1! = Y1!(Q1%): Z1! = Z1!(Q1%)
    X2! = X1!(Q2%): Y2! = Y1!(Q2%): Z2! = Z1!(Q2%)
    X3! = X2!(Q2%): Y3! = Y2!(Q2%): Z3! = Z2!(Q2%)
    GOSUB CheckVisibility
    IF VisibleSurface% THEN
      X%(1) = SX1%(Q1%): Y%(1) = SY1%(Q1%)
      X%(2) = SX1%(Q2%): Y%(2) = SY1%(Q2%)
      X%(3) = SX2%(Q2%): Y%(3) = SY2%(Q2%)
      X%(4) = SX2%(Q1%): Y%(4) = SY2%(Q1%)
      CALL DrawPoly(X%(), Y%(), 4, Green)
    END IF
  NEXT
NEXT

'south polar area
R5! = Pi!: X! = SIN(R5!) * R!: Y! = COS(R5!) * R!: Z! = 0
GOSUB PerspectiveCalculations
X3! = X!: Y3! = Y!: Z3! = Z!
X%(3) = SX%: Y%(3) = SY%
FOR Q1% = 1 TO Divs%
  Q2% = Q1% + 1
  X1! = X2!(Q1%): Y1! = Y2!(Q1%): Z1! = Z2!(Q1%)
  X2! = X2!(Q2%): Y2! = Y2!(Q2%): Z2! = Z2!(Q2%)
  GOSUB CheckVisibility
  IF VisibleSurface% THEN
    X%(1) = SX2%(Q2%): Y%(1) = SY2%(Q2%)
    X%(2) = SX2%(Q1%): Y%(2) = SY2%(Q1%)
    CALL DrawPoly(X%(), Y%(), 3, Green)
  END IF
NEXT
RETURN

CalcAround:
R4! = 0!: XX! = SIN(R5!) * R!: YY! = COS(R5!) * R!
FOR T% = 1 TO Divs%
  X! = COS(R4!) * XX!: Y! = YY!: Z! = SIN(R4!) * XX!
  GOSUB PerspectiveCalculations
  X2!(T%) = X!: Y2!(T%) = Y!: Z2!(T%) = Z!
  SX2%(T%) = SX%: SY2%(T%) = SY%
  R4! = R4! + StepAmount!
NEXT
X1!(Xtra%) = X1!(1): X2!(Xtra%) = X2!(1)
Y1!(Xtra%) = Y1!(1): Y2!(Xtra%) = Y2!(1)
Z1!(Xtra%) = Z1!(1): Z2!(Xtra%) = Z2!(1)
SX1%(Xtra%) = SX1%(1): SX2%(Xtra%) = SX2%(1)
SY1%(Xtra%) = SY1%(1): SY2%(Xtra%) = SY2%(1)
RETURN

SUB DrawPoly (X%(), Y%(), Vertices%, Culler%)
PSET (X%(Vertices%), Y%(Vertices%)), Culler%
FOR Q% = 1 TO Vertices%
  LINE -(X%(Q%), Y%(Q%)), Culler%
NEXT
END SUB

FUNCTION KeyPress%
KP$ = INKEY$
IF LEN(KP$) THEN 
  KP% = ASC(KP$): IF KP% = 0 THEN KP% = -ASC(MID$(KP$, 2))
END IF
KeyPress% = KP%
END FUNCTION
<PAGEEND:"3D.Info.File1">

<PAGESTART:"3D.Info.File2">
'<PRE>
'3DEXP1a.BAS By Rich Geldreich May 22, 1992
'A fast, QuickBASIC 4.5 3-D wireframe animation program.
'Compile it for maximum speed!
'If you have any questions or ideas, please write/call:

'Rich Geldreich
'410 Market St.
'Gloucester City, NJ 08030
'(609)-742-8752

'The following program is in the public domain! Have fun!

DEFINT A-Z
TYPE LineType
    X AS INTEGER
    Y AS INTEGER
    Z AS INTEGER
    X1 AS INTEGER
    Y1 AS INTEGER
    Z1 AS INTEGER
END TYPE
DIM Points(100) AS LineType
DIM Xs(100), Ys(100), Xe(100), Ye(100), Xn(100), Yn(100)
DIM Xs1(100), Ys1(100), Xe1(100), Ye1(100)
DIM X(100), Y(100), Z(100), Pointers1(100), Pointers2(100)
DIM R(100)
DIM Cosine&(360), Sine&(360)
CLS
PRINT "3-D Craft v1a"
PRINT "By Rich Geldreich May 22, 1992"
PRINT
PRINT "Keys to use: (Turn NUMLOCK on!)"
PRINT "Q...............Quits"
PRINT "Numeric keypad..Controls your position(press 5 on the keypad"
PRINT "                to completly stop yourself) "
PRINT "-...............Forward exceleration"
PRINT "+...............Backward exceleration"
PRINT "Arrow keys......Controls the rotation of the craft"
PRINT "F...............Excelerates the craft (Forward)"
PRINT "B...............Slows the craft (Backward)"
PRINT "S...............Stops the craft"
PRINT "A...............Toggles Auto Center, use this when you lose";
PRINT " the craft"
PRINT "C...............Stops the craft's rotation"
PRINT "V...............Resets the craft to starting position"
PRINT
PRINT "Wait a sec..."

'The following for/next loop makes a sine & cosine table.
'Each sine & cosine is multiplied by 1024 and stored as long integers.
'This is done so that we don't have to use any slow floating point
'math at run time.
A = 0
FOR A! = 0 TO 359 / 57.29577951# STEP 1 / 57.29577951#
    Cosine&(A) = INT(.5 + COS(A!) * 1024)
    Sine&(A) = INT(.5 + SIN(A!) * 1024): A = A + 1
NEXT
'Next we read in all of the lines that are in the object...
FOR A = 0 TO 44
    READ Points(A).X, Points(A).Y, Points(A).Z
    READ Points(A).X1, Points(A).Y1, Points(A).Z1
NEXT
'Here comes the hard part... Consider this scenario:

'We have two connected lines, like this:

'   1--------2 and 3
'            |
'            |
'            |
'            |
'            4
'Where 1,2, 3, & 4 are the starting and ending points of each line.
'The first line consists of points 1 & 2  and the second line
'is made of points 3 & 4.
'So, you ask, what's wrong? Nothing, really, but don't you see that
'points 2 and 3 are really at the sample place? Why rotate them twice,
'that would be a total waste of time? The following code eliminates such
'occurrences from the line table. (great explanation, huh?)

NumberLines = 45
'take all of the starting & ending points and put them in one big
'array...
Np = 0
FOR A = 0 TO NumberLines - 1
    X(Np) = Points(A).X
    Y(Np) = Points(A).Y
    Z(Np) = Points(A).Z
    Np = Np + 1
    X(Np) = Points(A).X1
    Y(Np) = Points(A).Y1
    Z(Np) = Points(A).Z1
    Np = Np + 1
NEXT
'Now set up two sets of pointers that point to each point that a line
'is made of... (in other words, scan for the first occurrence of each
'starting and ending point in the point array we just built...)
FOR A = 0 TO NumberLines - 1
    Xs = Points(A).X
    Ys = Points(A).Y
    Zs = Points(A).Z            'get the 3 coordinates of the start point
    FOR B = 0 TO Np - 1         'scan the point array
        IF X(B) = Xs AND Y(B) = Ys AND Z(B) = Zs THEN
            Pointers1(A) = B    'set the pointer to point to the
            EXIT FOR            'point we have just found
        END IF
    NEXT
    Xs = Points(A).X1           'do the same thing that we did above
    Ys = Points(A).Y1           'except scan for the ending point
    Zs = Points(A).Z1           'of each line
    FOR B = 0 TO Np - 1
        IF X(B) = Xs AND Y(B) = Ys AND Z(B) = Zs THEN
            Pointers2(A) = B
            EXIT FOR
        END IF
    NEXT
NEXT
'Okay, were almost done! All we have to do now is to build a table
'that tells us which points to actually rotate...
Nr = 0
FOR A = 0 TO NumberLines - 1
    F1 = Pointers1(A)   'get staring & ending point number
    S1 = Pointers2(A)
    IF Nr = 0 THEN      'if this is the first point then it of course
                        'has to be rotated
        R(Nr) = F1: Nr = Nr + 1
    ELSE
        Found = 0       'scan to see if this point already exists...
        FOR B = 0 TO Nr - 1
            IF R(B) = F1 THEN
                Found = -1: EXIT FOR    'shoot, it's already here!
            END IF
        NEXT
        IF NOT Found THEN R(Nr) = F1: Nr = Nr + 1   'point the point
                                                    'in the array it we
    END IF                                          'can't find it...
        
    Found = 0   'now look for the ending point
    FOR B = 0 TO Nr - 1
        IF R(B) = S1 THEN
            Found = -1: EXIT FOR
        END IF
    NEXT
    IF NOT Found THEN R(Nr) = S1: Nr = Nr + 1
NEXT
PRINT "Press any key to begin..."
A$ = INPUT$(1)
'The following sets up the rotation & perspective variables.

'Vs = the screen that is currently being viewed
'Ws = the screen that is currently being worked on
Vs = 1: Ws = 0

'Deg1 & Deg2 are the two angles of rotation
'D1 & D2 are the deltas of each axes. If D1 = -5, for instance, then
'Deg1 will be decreased 5 degress every frame.
Deg1 = 0: Deg2 = 0: D1 = 0: D2 = 0

'Spos & Mypos are for the perspective routines...
'Spos is the screen's Z coordinate and Mypos is the users Z coordinate
Spos = -250: Mypos = 0

'Mx, My, and Mz are the coordinates of the user.
'Ox, Oy, and Oz are the coordinates of the craft.
Mx = 0: My = 0: Mz = 0: Ox = 0: Oy = 0: Oz = -260
'main loop
NumberOfFrames = 0
DEF SEG = &H40
StartTime = PEEK(&H6C)
DO

    'swap the viewing and working screens for page flipping...
    SWAP Vs, Ws
    SCREEN 9, , Ws, Vs
    
    'adjust the angles according to their deltas...
    Deg1 = (Deg1 + D1) MOD 360
    Deg2 = (Deg2 + D2) MOD 360
    'fix the angles up if they go out of range
    IF Deg1 < 0 THEN Deg1 = Deg1 + 360
    IF Deg2 < 0 THEN Deg2 = Deg2 + 360
    'get the sine and cosine of each angle from the tables
    'that were prepared at the beginning of the program
    C1& = Cosine&(Deg1): S1& = Sine&(Deg1)
    C2& = Cosine&(Deg2): S2& = Sine&(Deg2)
 
    'now we must adjust the object's coordinates
    'based on how quickly it is moving...
   
    X = Speed: Y = 0: Z = 0
 
    X1 = (X * C1&) \ 1024: Y1 = (X * S1&) \ 1024
    X2 = (X1 * C2&) \ 1024: Zn = (X1 * S2&) \ 1024
    Ox = Ox + X2: Oy = Oy + Y1: Oz = Oz + Zn
    IF Oz > 32000 THEN Oz = 32000
    IF Oz < -32000 THEN Oz = -32000
    IF Ox > 32000 THEN Ox = 32000
    IF Ox < -32000 THEN Ox = -32000
    IF Oy > 32000 THEN Oy = 32000
    IF Oy < -32000 THEN Oy = -32000
   
    'if Atloc is true then Auto-Center is on...
    IF AtLoc THEN
        Mx = Mx + (Ox - Mx) \ 4
        My = My + (Oy - My) \ 4
        Mz = Mz + ((Oz + 200) - Mz) \ 4
    ELSE
        'adjust the users position based on how much he is moving...
        Mz = Mz + Mzm: Mx = Mx + Mxm: My = My + Mym
        IF Mz > 32000 THEN Mz = 32000
        IF Mz < -32000 THEN Mz = -32000
        IF Mx > 32000 THEN Mx = 32000
        IF Mx < -32000 THEN Mx = -32000
        IF My > 32000 THEN My = 32000
        IF My < -32000 THEN My = -32000
    END IF
    '(Wait for vertical retrace, reduces flicker. This was recommended
    'by someone on the echo but I can't remember who! Thanks)
    WAIT &H3DA, 8
    'erase the old lines...
    IF Ws = 1 THEN
        FOR A = 0 TO Ln(Ws) - 1
            LINE (Xs1(A), Ys1(A))-(Xe1(A), Ye1(A)), 0
        NEXT
    ELSE
        FOR A = 0 TO Ln(Ws) - 1
            LINE (Xs(A), Ys(A))-(Xe(A), Ye(A)), 0
        NEXT
    END IF
    'print frames per second
    LOCATE 1, 1: PRINT A$
    'rotate the points...
    FOR A = 0 TO Nr - 1
        R = R(A): Xo = X(R): Yo = Y(R): Zo = Z(R)
        X1 = (Xo * C1& - Yo * S1&) \ 1024
        Y1& = (Xo * S1& + Yo * C1&) \ 1024 - My + Oy
        X1& = (X1 * C2& - Zo * S2&) \ 1024 - Mx + Ox
        Zn = (X1 * S2& + Zo * C2&) \ 1024 - Mz + Oz
        'if the point is too close(or behind) the viewer then
        'don't draw it...
        IF (Mypos - Zn) < 15 THEN
            Xn(R) = -1: Yn(R) = 0: Zn = 0
        ELSE
            'Put the point into perspective...
            'The original formula was:
            'Xnew=Xnew+( -Xold * ( (Spos-Z) / (MPos-Z) ) )
            'Ynew=Ynew=( -Yold * ( (Spos-Z) / (Mpos-Z) ) )
            V = (1330& * (Spos - Zn)) \ (Mypos - Zn)
            Xn(R) = 320 + X1& + (-X1& * V) \ 1330
           
            'The Y coordinate is also multiplied by .8 to adjust
            'for SCREEN 9's height to width ratio...
           
            Yn(R) = 175 + (8 * (Y1& + (-Y1& * V) \ 1330)) \ 10
        END IF
    NEXT
    'draw the lines...
    '(There are two seperate cases, each puts it's coordinates
    'in a different array for later erasing. I could of used a
    '2 dimensional array for this but that is slower.)
    IF Ws = 1 THEN
        Ln = 0
        FOR A = 0 TO NumberLines - 1
            F1 = Pointers1(A): S1 = Pointers2(A)
            Xn = Xn(F1): Yn = Yn(F1)
            'if Xn<>-1 then it's in view...
            IF Xn <> -1 THEN
                IF Xn(S1) <> -1 THEN
                    X1 = Xn(S1): Y1 = Yn(S1)
                    LINE (X1, Y1)-(Xn, Yn), 14
                    'store the lines so they can be erased later...
                    Xs1(Ln) = X1: Ys1(Ln) = Y1
                    Xe1(Ln) = Xn: Ye1(Ln) = Yn
                    Ln = Ln + 1
                END IF
            END IF
        NEXT
    ELSE
        Ln = 0
        FOR A = 0 TO NumberLines - 1
            F1 = Pointers1(A): S1 = Pointers2(A)
            Xn = Xn(F1): Yn = Yn(F1)
            'if Xn<>-1 then it's in view...
            IF Xn <> -1 THEN
                IF Xn(S1) <> -1 THEN
                    X1 = Xn(S1): Y1 = Yn(S1)
                    LINE (X1, Y1)-(Xn, Yn), 14
                    'store the lines so they can be erased later...
                    Xs(Ln) = X1: Ys(Ln) = Y1
                    Xe(Ln) = Xn: Ye(Ln) = Yn
                    Ln = Ln + 1
                END IF
            END IF
        NEXT
    END IF
    Ln(Ws) = Ln
    K$ = UCASE$(INKEY$)
    'Process the keystroke(if any)...
    IF K$ <> "" THEN
        SELECT CASE K$
            CASE "A"
                AtLoc = NOT AtLoc
            CASE "+"
                Mzm = Mzm + 2
            CASE "-"
                Mzm = Mzm - 2
            CASE "5"
                Mxm = 0: Mym = 0: Mzm = 0
            CASE "4"
                Mxm = Mxm - 2
            CASE "6"
                Mxm = Mxm + 2
            CASE "8"
                Mym = Mym - 2
            CASE "2"
                Mym = Mym + 2
            CASE "F"
                Speed = Speed + 5
            CASE "B"
                Speed = Speed - 5
            CASE "C"
                D1 = 0: D2 = 0
            CASE "S"
                Speed = 0
            CASE CHR$(0) + CHR$(72)
                D1 = D1 + 1
            CASE CHR$(0) + CHR$(80)
                D1 = D1 - 1
            CASE CHR$(0) + CHR$(75)
                D2 = D2 - 1
            CASE CHR$(0) + CHR$(77)
                D2 = D2 + 1
            CASE "Q", CHR$(27)
                SCREEN 0, , 0, 0
                CLS
                PRINT "By Rich Geldreich May 22, 1992"
                PRINT "See ya later!"
                END
            CASE "V"
                D1 = 0: D2 = 0: Deg1 = 0: Deg2 = 0: Speed = 0
        END SELECT
    END IF
    NumberOfFrames = NumberOfFrames + 1
    'see if 20 frames have passed; if so then see
    'how long it took...
    IF NumberOfFrames = 20 THEN
        TotalTime = PEEK(&H6C) - StartTime
        IF TotalTime < 0 THEN TotalTime = TotalTime + 256
        FramesPerSecX100 = 36400 \ TotalTime
        High = FramesPerSecX100 \ 100
        Low = FramesPerSecX100 - High
        'A$ has the string that is printed at the upper left
        'corner of the screen
        A$ = MID$(STR$(High), 2) + "."
        A$ = A$ + RIGHT$("0" + MID$(STR$(Low), 2), 2) + "  "
        NumberOfFrames = 0
        StartTime = PEEK(&H6C)
    END IF
LOOP
'The following data is the shuttle craft...
'stored as Start X,Y,Z & End X,Y,Z
DATA -157,22,39,-157,-18,39
DATA -157,-18,39,-127,-38,39
DATA -127,-38,39,113,-38,39
DATA 113,-38,39,193,12,39
DATA 33,42,39,33,42,-56
DATA 33,42,-56,-127,42,-56
DATA -127,42,-56,-157,22,-56
DATA -157,22,-56,-157,22,39
DATA -157,22,-56,-157,-18,-56
DATA -157,-18,-56,-157,-18,39
DATA -157,-18,-56,-127,-38,-56
DATA -127,-38,-56,-127,-38,39
DATA -127,-38,-56,113,-38,-56
DATA 113,-38,-56,113,-38,39
DATA 113,-38,-56,193,12,-56
DATA 193,12,-56,193,12,39
DATA -157,22,-56,193,12,-56
DATA 193,12,39,-157,22,39
DATA -56,-13,41,-56,-3,41
DATA -56,-3,41,-26,-3,41
DATA -26,-3,41,-26,7,41
DATA -51,7,41,-31,-13,41
DATA -11,-13,41,-11,-3,41
DATA -11,-3,41,-1,7,41
DATA 9,7,41,9,-8,41
DATA 9,-8,41,24,-8,41
DATA 34,16,41,34,-38,41
DATA 33,-39,41,33,-39,-53
DATA 33,-39,-53,33,15,-53
DATA -42,-38,19,-72,-38,19
DATA -72,-38,19,-72,-38,-41
DATA -72,-38,-41,-42,-38,-41
DATA -42,-38,-41,-42,-38,19
DATA 33,42,39,34,16,41
DATA 33,42,-56,33,15,-53
DATA -157,22,39,-127,42,39
DATA -127,42,-56,-127,42,39
DATA -127,42,39,33,42,39
DATA 159,-8,-56,159,-8,40
DATA 143,-18,-56,143,-18,39
DATA 193,12,39,193,32,30
DATA 33,42,39,193,32,30
DATA 193,32,30,193,32,-47
DATA 33,42,-56,193,32,-47
DATA 193,12,-56,193,32,-47
<PAGEEND:"3D.Info.File2">

<PAGESTART:"3D.Info.File3">
'Author: Peter Cooper
'Here's my take on the doom.bas program that was posted here a while ago.
'It's much clearer and more organized and a bit faster as well, I think,
'because a lot of unneccessary math has been eliminated.

DECLARE SUB CreateBackground ()
DECLARE SUB GetKeypress (Keycode%)

CONST UpArrow = -72, DnArrow = -80, LArrow = -75, RArrow = -77

RANDOMIZE TIMER
DIM Grid%(1 TO 12, 1 TO 12)
DIM STable!(0 - 31 TO 360 + 32), CTable!(0 - 31 TO 360 + 32)
PX! = 9: PY! = 11    'the starting coordinates of the player's location
Stride! = 3          'the distance covered in one "step" by the player
                     '   by pressing the up or down arrow keys
Heading% = 0         'the heading of the player (in degrees)
Turn% = 5            'number of degrees of rotation produced by
                     '   pressing the right or left arrow keys

FOR Y% = 1 TO 12
  FOR X% = 1 TO 12
    READ Grid%(X%, Y%)
  NEXT
NEXT

Factor! = (ATN(1) * 8) / 360
FOR A% = 0 TO 359
  Angle! = CSNG(A%) * Factor!
  STable!(A%) = SIN(Angle!) * .1
  CTable!(A%) = COS(Angle!) * .1
NEXT
FOR A% = -31 TO -1
  STable!(A%) = STable!(A% + 360)
  CTable!(A%) = CTable!(A% + 360)
NEXT
FOR A% = 360 TO 360 + 32
  STable!(A%) = STable!(A% - 360)
  CTable!(A%) = CTable!(A% - 360)
NEXT

SCREEN 7, , 0, 0
PRINT

PRINT
PRINT "            RAYCASTER DEMO"
PRINT
PRINT "      UP ARROW........Move Forward"
PRINT "      DOWN ARROW......Move Backward"
PRINT "      RIGHT ARROW.....Turn Right"
PRINT "      LEFT ARROW......Turn Left"
PRINT
PRINT
PRINT "            Please wait...";

CALL CreateBackground
BEEP
LOCATE , 1
PRINT "        Press any key to begin...";
DO WHILE LEN(INKEY$): LOOP: DO UNTIL LEN(INKEY$): LOOP

ViewPg% = 0: WorkPg% = 1: BG1% = 2: BG2% = 3
SCREEN , , WorkPg%, ViewPg%
GOSUB ComputeView

DO 'Main loop
CALL GetKeypress(Keycode%)
SELECT CASE Keycode%
  CASE LArrow
    Heading% = (Heading% + Turn%) MOD 360
    GOSUB ComputeView
  CASE RArrow
    Heading% = (Heading% + (360 - Turn%)) MOD 360
    GOSUB ComputeView
  CASE UpArrow
    NewPX! = PX! - (STable!(Heading%) * Stride!)
    NewPY! = PY! - (CTable!(Heading%) * Stride!)
    IF Grid%(NewPX!, NewPY!) = 0 THEN
      PX! = NewPX!: PY! = NewPY!
      GOSUB ComputeView
    ELSE 'tried to walk through a wall
      SOUND 80, 1
    END IF
  CASE DnArrow
    NewPX! = PX! + (STable!(Heading%) * Stride!)
    NewPY! = PY! + (CTable!(Heading%) * Stride!)
    IF Grid%(NewPX!, NewPY!) = 0 THEN
      PX! = NewPX!: PY! = NewPY!
      GOSUB ComputeView
    ELSE 'tried to walk through a wall
      SOUND 80, 1
    END IF
  CASE 27
    EXIT DO
  CASE ELSE
    BEEP
  END SELECT
LOOP
SCREEN 0: WIDTH 80, 25
END

ComputeView:
PCOPY BG1%, WorkPg%: SWAP BG1%, BG2%
X1% = 0
FOR A% = Heading% + 32 TO Heading% - 31 STEP -1
  StepX! = STable!(A%): StepY! = CTable!(A%)
  XX! = PX!: YY! = PY!
  L% = 0
  DO
    XX! = XX! - StepX!: YY! = YY! - StepY!
    L% = L% + 1
    K% = Grid%(XX!, YY!)
  LOOP UNTIL K%
  DD% = 900 \ L%
  H% = DD% + DD%
  DT% = 100 - DD%
  LINE (X1%, DT%)-STEP(4, H%), K%, BF
  X1% = X1% + 5
NEXT
SWAP WorkPg%, ViewPg%
SCREEN , , WorkPg%, ViewPg%

RETURN

' Level data
DATA  9,  1,  9,  1,  9,  1,  9,  1,  9,  1,  9,  1
DATA  1,  0,  0,  0,  0,  0,  0,  0,  0,  4,  0,  9
DATA  9,  0,  2, 10,  0,  0,  0,  0,  0, 12,  0,  1
DATA  1,  0, 10,  2,  0,  0,  0,  0,  0,  4,  0,  9
DATA  9,  0,  0,  0,  0,  0,  0,  0,  0, 12,  0,  1
DATA  1,  0,  0,  0,  0,  7,  7,  0,  0,  0,  0,  9
DATA  9,  0,  0,  0,  0,  7,  7,  0,  0,  0,  0,  1
DATA  1,  0, 13,  0,  0,  0,  0,  8,  0, 12,  0,  9
DATA  9,  0,  5,  0,  0,  0,  0,  7,  0,  4,  0,  1
DATA  1,  0, 13,  0,  0,  0,  0,  8,  0, 12,  0,  9
DATA  9,  0,  5,  0,  0,  0,  0,  7,  0,  4,  0,  1
DATA  1,  9,  1,  9,  1,  9,  1,  9,  1,  9,  1,  9

SUB CreateBackground

SCREEN , , 2, 0: CLS
' Sky
LINE (0, 0)-(319, 99), 3, BF
' Clouds
FOR Cnt% = 1 TO 10
  X% = INT(RND * 320)
  Y% = INT(RND * 80) + 10
  R% = INT(RND * 50)
  AR! = RND / 10
  CIRCLE (X%, Y%), R%, 15, , , AR!: PAINT (X%, Y%), 15
NEXT
' Sun
CIRCLE (50, 30), 10, 14: PAINT (50, 30), 14, 14
' Building (gray)
LINE (200, 20)-(220, 15), 8
LINE (220, 15)-(240, 20), 8
LINE (200, 20)-(200, 99), 8
LINE (240, 20)-(240, 99), 8
LINE (200, 99)-(240, 99), 8
PAINT (220, 50), 8
FOR Cnt% = 1 TO 20 ' Lights
  PSET (INT(RND * 38 + 201), INT(RND * 80 + 20)), 14
NEXT
LINE (200, 20)-(220, 15), 0 ' Building (border)
LINE (220, 15)-(240, 20), 0
LINE (219, 15)-(219, 99), 0
LINE (200, 20)-(200, 99), 0
LINE (240, 20)-(240, 99), 0

PCOPY 2, 3
FOR Y% = 100 TO 199
  FOR X% = 0 TO 319
    IF RND AND 1 THEN PSET (X%, Y%), 6
  NEXT
NEXT

SCREEN , , 3, 0
FOR Y% = 100 TO 199
  FOR X% = 0 TO 319
    IF RND AND 1 THEN PSET (X%, Y%), 6
  NEXT

NEXT

SCREEN , , 0, 0

END SUB

DEFINT A-Z
SUB GetKeypress (Keycode%) STATIC
DO: Ky$ = INKEY$: LOOP UNTIL LEN(Ky$)
Keycode% = ASC(Ky$): IF Keycode% = 0 THEN Keycode% = -ASC(MID$(Ky$, 2, 1))
END SUB
<PAGEEND:"3D.Info.File3">

<PAGESTART:"3D.Info.File4">
*****************************************************************************
*                       'Doom' 3D Engine techniques                         *
*****************************************************************************
By Brian 'Neuromancer' Marshall
(Email: brianm@vissci.demon.co.uk)

        This document is submitted subject to certain conditions:

1. This Document is not in any way related to Id Software, and is 
   not meant to be a representive of their techniques : it is based
   upon my own investigations of a realtime 3d engine that produces
   a screen display similar to 'Doom' by Id software.

2. I take no responsibility for any damange to data or computer equipment
   caused by attempts to implement these algorithms.

3. Although I have made every attempt to ensure that this document is error
   free I take no responsability for any errors it may contain.

4. Anyone is free to use this information as they wish, however I would
   appreciate being credited if the information has been useful.

5. I take no responsability for the spelling or grammar.
   (My written english is none too good...so I won't take offence
    at any corrections: I am a programmer not a writer...)

        Right now that that little lot is out of the way I will start this
document proper....

1:  Definition of Terms
======================

        Throughout this document I will be making use of many graphical terms
using my understanding of them as they apply to this algorithm. I will
explain all the terms below. Feel free to skip this part....

Texture:
        A texture for the purpose of this is a square image.

U and V:
        U and V are the equivelants of x and y but are in texture space.
ie They are the the two axies of the two dimensional texture.

Screen:
        For my purposes 'screen' is the window we wish to fill: it doesn't
have to be the whole screen.

Affine Mapping:
        A affine mapping is a texture map where the texture is sampled
in a linear fashion in both U and V.

Biquadratic Mapping:
        A biquadratic mapping is a mapping where the texture is sampled
along a curve in both U and V that approximates the perspective transform.
This gives almost proper forshortening.


Projective Mapping:
        A projective mapping is a mapping where a changing homogenous
coordinated is added to the texture coordinateds to give (U,V,W) and
a division is performed at every pixel. This is the mathematically and
visual correct for of texture mapping for the square to quadrilateral
mappings we are using.
        (As an aside it is possible to do a projective mapping without
the divide (or 3 multiplies) but that is totally unrelated to the matter
in hand...)

Ray Casting:
        Ray Casting in this context is back-firing 'rays' along a two
dinesional map. The rays do however follow heights... more on that later

Sprite:
        A Sprite is a bitmap that is either a monster or an object. To
put it another way it is anything that is not made out of wall or
floor sectins.

Sprite Scaling:
        By this I mean scaling a bitmap in either x or y or both.

Right... Now thats over with onto the foundation:

2:   Two Dimensional Ray Casting Techniques
===========================================

        In order to make this accessible to anyone I will start by
explaining 2d raycasting as used in Wolfenstein 3d style games.

  2.1: Wolfenstien 3D Style Techniques...
  =======================================

          Wolfenstein 3d was a game that rocked the world (well me anyway!).
  It used a technique where you fire a ray accross a 2d grid based map to
  find all its walls and objects. The walls were then drawn vertically
  using sprite scaling techniques to simulate texture mapping.

          The tracing accross the map looked something like this;


        =============================================
        =   =   =   =   =   =  /=   =   =   =   =   =
        =   =   =   =   =   = / =   =   =   =   =   =
        =   =   =   =   =   =/  =   =   =   =   =   =
        ====================/========================
        =   =   =   =   =  /=   =   =   =   =   =   =
        =   =   =   =   = / =   =   =   =   =   =   =
        =   =   =   =   =/  =   =   =   =   =   =   =
        ================/============================
        =   =   =   =  /#   =   =   =   =   =   =   =
        =   =   =   = / #   =   =   =   =   =   =   =
        =   =   =   =/  #   =   =   =   =   =   =   =
        ============/===#########====================
        =   =   =  /=   =   =   #   =   =   =   =   =
        =   =   = / =   =   =   #   =   =   =   =   =
        =   =   =/  =   =   =   #   =   =   =   =   =
        ========/===============#====================
        =   =  /=   =   =   =   #   =   =   =   =   =
        =   = P =   =   =   =   #   =   =   =   =   =
        =   =  \=   =   =   =   #   =   =   =   =   =
        ========\===============#====================
        =   =   =\  =   =   =   #   =   =   =   =   =
        =   =   = \ =   =   =   #   =   =   =   =   =
        =   =   =  \=   =   =   #   =   =   =   =   =
        ============\=======#####====================
        =   =   =   =\  =   #   =   =   =   =   =   =
        =   =   =   = \ =   #   =   =   =   =   =   =
        =   =   =   =  \=   #   =   =   =   =   =   =
        ================\===#========================
        =   =   =   =   =\  #   =   =   =   =   =   =
        =   =   =   =   = \ #   =   =   =   =   =   =
        =   =   =   =   =  \#   =   =   =   =   =   =
        =============================================

        (#'s are walls, = is the grid....)

        This is just a case of firing a ray for each vertical
  line on the screen. This ray is traced accross the map to
  see where it crosses a grid boundry. Where it crosses a
  boundry you cjeck to see if there is a wall there we see how
  far away it it and draw a scaled vertical line from the texture
  on screen. The line we draw is selected from the texture by
  seeing where the line has intersected on the side of the square it
  hit.
        This is repeated with a ray for each vertical line on the
  screen that we wish to display.
        This is a very quick explaination of how it works missing
  out how the sprites are handled. If you want a more detailed 
  explaination then I suggest getting acksrc.zip from
  ftp.funet.fi in /pub/msdos/games/programming

        This is someone's source for a Wolfenstien engine written
  in Borland C and Assembly language on the Pc.
        Its is not the fastest or best but has good documentation
  and solves similiar sprite probelms, distance probelms and has
  some much better explaination of the tracing technique tahn I have
  put here. I recommend to everyone interested taht you get a copy
  and have a thorough play around with it.
  (Even if you don't have a Pc: Everything but the drawing and video
   mode setting is done in 'C' so it should not be too hard to port
   ....)

 
  2.2 Ray Casting in the Doom Environment
  =======================================

        When you look at a screen from Doom you see floors, steps
  walls and lots of other trappings.
        You look out of windows and accross courtyards and you
  say WOW! what a great 3d game!!
        Then you fire your gun a baddie who's in line with you but
  above you and bang! he's a corpse.
        Then you climb up to the level where the corpse is and look
  out the window to where you were and you say Gosh! a 3d game!!

        Hmmm....

        Stop gawping at the graphics for a minute and look at the map
  screen. Nice line vectors. But isn't the map a bit simple???
        Notice how depite colours showing you that there are different
  heights. Then notice that despite the fact that there is NEVER a
  place where you can exist on two different levels. Smelling a little
  2d yet???
        Look where there are bridges (or sort of bridges) : managed to
  see under them yet??

        The whole point to this is that Doom is a 2D games just like
  its ancestor Wolfenstein but it has rather more advanced raycasting
  which does a very nice job of fooling the player into thinking its a
  3d game that shifting loads of polygons and back-culling, depth
  sorting etc... 

        Right the explaination of how you turn a 2d map into the 3d
  doom screen is complex so if you are having difficulty try reading
  it a few times and if all else fails mail me....


  2.3 What is actually done!
  ==========================

        Right to start with the raycasting is started in the same
  way as Wolfenstien. That is find out where the player is in the 2d
  map and get a ray setup for the first vertical line on the screen.

        Now we have an extra stage from the Wolfenstein I described
  whcih involves a data srtucture that we will use later to actually
  draw the screen.

        In this data structure we start the ray off as at the bottom
  of the screen. This is shown in the diagram below;

        =================================
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =*                              =
        =================================


        Where the '=' show the boundry of the screen and '*' is the virtual
  position of the ray.

        Note: the Data structure is really two structures:
        One which is a set of list for each vertical 'scanline' and
        One which is a corresponding list for horizontal scanlines.

        Now we start tracing the ray. We skip accross the 2d map until
  we hit something interesting. By something interesting I mean something
  that is an actual wall or florr section edge.
        Right we have hit the edge of either a floor or wall section.
  We have several things to do know. These are;

        If it was a wall we hit:

  1: Find out how 'high' of screen this section of wall should be
     due to the distance it is accross the 2d map.
  2: Find out at what 'virtual height' it is: This is so that we can see
     where in the vertical scanline in comes for testing where to insert
     it and for clipping it.
  3: Test in our structure to see if you draw it or not.
     (This is done so that you can look through windows : how this works
      will become apparent later.)
  4: If any of the wall segment is visible then we find out where along
     the texture we have hit it and write into the structure the area of
     the screen it takes up as well as the texture, the point where we
     have hit the texture and the size it should be on screen. (This is
     so that we can draw it correctly even if the whole span is not on
     screen.


        If it was a floor section that we hit:

  1: Find out where on the vertical line we are working the floor section
     that the ray has hit is. (We know the height of the the floor in the
     virtual map (2d) and we know the height of the player and the distance
     of the floor square from the player so it is easy).
     As a side effect of this we now know the U,V value where the ray has
     hit the floor square.

  2: Trace Accross the floor square till we hit the far edge of the floor
     square : we then workout where this is on the vertical scanline using
     the same technique as above. We now know the vertical span of the
     floor section, and where on the span it is.

                                                                               3: We check to see if the span is visible on the vertical span.
     If it is or part of it is used then we mark that part of the vertical
     scanline as used.
     We also have to make use of the horizontal buffer I mentioned. We
     insert into this in 2 places. The first is the x coordinate of where
     we hit the floor square into the y line where we where on the screen.
     Phew got that bit?? We also insert here the U,V value which we knew 
     from the tracing. (I told you we'd need it later....)                                                                


        As you can see there's a little more to hiting a floor segment than
a wall segment. Also note that a you exit a floor segment you may also hit
a wall segment.

        Tracing the individual ray is continued until we hit a special kind
of wall. This wall is marked as a wall that connects to the ceiling.
This is one place to stop tracing this ray. However we can stop tracing early
if we have found enough to fill the whole vertical scanline then we can stop
whenevr we have done this.

        Next come a trick. I said we were tracing along a 2d map. Well I
lied a bit. There are (In my implementation at least..) TWO 2d maps. One is
basically from the floor along including all the 'floor' walls and everything
up to and including the walls that join onto the ceiling. The other map
is basically the ceiling (with anything coming down from the ceiling on it
if you are doing this: this makes life a little more complex as I'll explain
below..)
        Now when we have traced along the bottom map and hit a wall that 
connects to the ceiling then we go back and trace along the ceiling from
the start to fill in the gaps. There is a problem with this however.
The problem is when you have things like a monolith or something else built
out of walls jutting down from the ceiling. you have to decide whether to
draw it or draw whatever was already in the scanline structure. This means
either storing extra information in the buffer ie z coordinates or tracing
along both the ceiling and floor at the same time.... for most people I would
suggest just not having anything jutting down from the ceiling.
        Also you could trace backwards instead of starting a new ray. This 
would be fasterfor many cases as you wouldn't be tracing through lots
of floor squares that aren't on screen. By tracing backwards you can keep
going up the vertical scanline and you know that you are on the screen. As
soon as something goes off the top of the screen you can handle that and then
stop tracing.

        Phew. has everyone got that???

        Now we just go back and fire rays up the rest of the vertical
scanlines. Easy!!???

        At the end of this lot we have the necessary data in the two buffers
to go back and draw the screen background.
(There is one more thing done while tracing but I'll explain that later...)


        Oh... one other thing... you have may want to change the raycasting
a bit to subdivide the map... it helps with speed.
        And don't forget the added complexity that walls aren't all at
90 degrees to each other...

3: Drawing the walls and Why it works!!
=======================================

        If you are familiar with Wolfenstein then please still read this
as it is esential background to understanding the floor routine.


        As all of you probably know the walls are drawn by scaling the line
of the texture to the correct size for the screen. The information in the
vertical buffer makes this easy. What you probably don't know is why this
creates texture mapping that is good enough to fool us.

        The wall function is a Affine texture mapping. (well almost)
Now affine texture mappings look abysmal unless you do quite a lot of
subdivision (The amount needed varies according to the angle the projected
square is at.). So why does the Doom technique work??

        Well when we traced the rays we found out exactly where along the
side of the square we hit we were in relation to the width of the texture.
This means that the top and bottom pixels of the scaled wall piece are
calculated correctly. This means that we have effecively subdivided the
texture along vertical scanlines and as the effective subdidvisons are
calculated exactly with proper forshortening as a result of the tracing.
So the ray casting has made the texture mapping easy for us.
        (We have enough subdivision by this scanline effect as the wall
only rotates about one axis and we have proper foreshortening.)

        This knowlege helps us understand how to do the floors and why
that works.

        We can now draw all the wall segments by just looking at the buffer
and drawing the parts marked as walls.(Skiping where we put in the bits used
by the floor/ceiling bits: we draw them later.)

4:  Drawing the Floor/Ceiling and why it works!
===============================================

        If you have grasped why the walls work then you have just about
won for the floors.
        We have the information needed to draw the floors from the horizontal
buffer.
        All we have to do is look at the horizontal spans in the buffer
and draw them in all.
        Each of these spans has 2 end coordinates for which we have
exact texture coorinates. This tells us which line across the texture
we have to step along to do an Affine or linear mapping.
        This is shown below;


        =================================
        =                               =
        =                               =
        =                               =
        =                               = U1,V1 (exit)
        =                              **
        =                           *** =
        =                        ***    =
        =                     ***       =
        =                  ***          =
        =               ***             =
        =            ***                =
        =         ***                   =
        =       **                      =
        =     **                        =
        =   **                          =
        = **                            =
  U0,V0 **                              =
(entry) =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =                               =
        =================================

(apologies for the wonky line: it should be straight!!)

        Now...as the end coordinates are correct and the axis along
which forshortening takes place is not involved (this is a fudge)
we can step linearly along this line across the texture to approximate
the mapping. (This is far easier than a proper texture map).
        This is effectivly a wall lying on its side which works as the
texture coordinates at the ends of the span have been calculated correctly.
This is a benefit of the raycasting we used to find everything.
        Easy huh??


5: Sprites
==========

        The Sprites are really quite easy to do. The basic technique is the
same as used in Wolfenstein 3d.
        This is done as follows:

When you enter a 'square' on the floor map you test to see if there are
any sprites in the square. If there are you flag that sprite as visible
and add it to a list of visible sprites.

When you have finished tracing and drawing the walls and floor you
depth sort the sprites and draw them from the back to the front. (painters
algorithm). The only complication in drawing them is that you have to check 
buffer that has the walls in, in order to clip the sprites correctly.

        (If you're interested in Doom you can occasionally see large 
explosions (ie BFG) slip partially behind a wall segment.)

        On possibly faster way of handling the sprites would be to mark
them like wall segments as you find them in the buffer. The only (ONLY!)
complication to this approach is that sprites can have holes in them. By
this I mean things like the gap between an arm and a leg which should be 
the background colour.


6: Lighting and Depth Cueing
============================

        Lighting and Depth Cueing fits nicely in with the way that we have
prepared the screen ready for drawing.
        All we have to do is see how far away we are when we found either
the floor or wall section and set the light level according to the distance.
        The other thing that is applied is a light level. This is taken from
the map at the edges where you have hit something. As the map is 2D it is
easy to manage lighting, flickering etc.
        For things like pools of light on the floor all you have to do
is subdivide that patch of floor so that you can set the bit under the 
skylight to a lighter colour. Its also very easy to frig this for the
lighting goggles.


7: Controlling the Baddies
==========================
        

        This is pretty easy: all you have to think about is moving and
reacting on a 2d map. the only complications are things like the monsters
looking through windows and seeing a player but this all degenerates into
a simple 2d problem. Things like deciding whether the player has been hit or
has he/she hit a monster is just another case of firing a ray. (Or do it
another way...)


8: Where next???
================

        Thats all folks... hopefully a useful and intersting insight into
my Doom engine works.
        As to the question where next... well I already have some enhancements
to my Doom enigine and others are in the works...

Some of what you may eventually see are:

        Proper lighting (I have done this already...its easier than you
                        think)
        Non-Vertical walls (i.e. Aliens style corridors...)
        Orgranic Walls (i.e. Curved like the Aliens nest...)
        Fractal Landscapes (This one is still very much a theory but how
                        about being able to go outside and walk up and down
                        hills etc??)

        If there are bits people are really shaky about I may post a new
version of this... but I cannot get into implimentation issues as all
implementation work is under copyright...

        By the way if anyone out there implements this I'd love to here
how you get on...

        Anyone got any comments or any other interesting algorithms???

Brian 'Neuromancer' Marshall        'When do graphics not look like graphics?
( Email: brianm@vissci.demon.co.uk ) :when we get it RIGHT.'
<PAGEEND:"3D.Info.File4">

<PAGESTART:"3D.Info.File5">
______________________________________________________________________________
| 3D Programming  |
~~~~~~~~~~~~~~~~~~~
    --------------------------------------------
  /                                           / |
 ---------------------------------------------  |
 3D Graphics in BASIC - Part I.1: Introduction /
 ---------------------------------------------


HEY YOU !

Interrested in programming vector graphics ? Bored of painting 2 dimensional
diagrams. Feared of using C/C++ ? Or are you a math dummie ? 

No panic.

Spend some time (and of course even more time at your PC) with me and join 
me into the wonderful world of ...

        3D Graphics in BASIC (yep, it's possible !!!)


Before I fill your brain with lot of stuff like vectors, matrix, filled 
polygons or shading techniques in the next five parts (this text included), 
I'll introduce me to my person:

I'm Christian Garms, a german chemistry student and programmer. Last year 
I've made some nice money with Visual Basic programs in MS Excel and that's 
why I think BASIC is the opposite of a dead programming language. I'm a
registered PB user but the examples that will be post in this article should
work with both QB and PB (eventually with minor modifications).

For questions, REMarks or comments send an e-mail to:

        garms@chemie.uni-hamburg.de


I assume that you're not a BASIC beginner. Hope that you're at least an 
advanced programmer because this article is not a bedtime story. 

But the sweetest fruits are hidden and hard to get.

Most programs will do the trick without any assembly additives to speed up 
the code. If x86-ASM is necessary I'll write it as INLINE Assembler. 
Sorry QB Users but I have not much time to spend for converting INLINE code 
into suitable OBJ-Files.


************************************************************************
Disclaimer:
The author, Christian Garms, is not responsible for any errors or damage
to your computer system caused by the posted BASIC programs. 
The BASIC programs and snippets are free for any use.
************************************************************************



    ------------------------------------------------
  /                                              / |
 ------------------------------------------------  |
 3D Graphics in BASIC - Part I.2: some basic math /
 ------------------------------------------------

The hardest part to understand of 3D graphics is the mathematical background 
that is - politely spoken - abstract.
But lets begin with an easier entry point. Point - that is the right object
to start with. In our three dimensional world all points consist of three
components, the x-, y- and z-coordinate. With these values every point is
strongly determined in his position. But to whom ?
That is the next thing to be dealt with: Coordinate systems ! 
For the beginning we start with only one coordinate system, the world 
coordinates. That means all coordinates are related to an absolut center 
somewhere in our real world. E.g.: a value of x = 0 , y = 0 and z = 0 define 
a point exactly in the center of our world. 

For a mathematician every point in the whole 3D world is a vector. That's why
3D graphics is also called vector graphics. 
If we had a point Z who lies in the center of our world than the definition 
of Z will be:

        Z = (0 0 0)

Any other point P with unequal values to zero of x-, y-, and z-coordinates
would look like:

        P = (<x> <y> <z>)

The letters in the brackets are placeholders for the corresponding values.
OK, lets return from the equation thicket to programming.
For further use we should define our own TYPE of variable, a vector !

**************************************************************************
' Creating own definition
TYPE vector
  x AS INTEGER
  y AS INTEGER
  z AS INTEGER
END TYPE

' Declare p as vector
DIM p AS vector

' Sets p to the center of the world
p.x = 0
p.y = 0
p.z = 0
**************************************************************************
Listing I-2.1

Listing I-2.1 demonstrates the usage of user-defined types. User-defined 
types makes your programs more structured and better understandable 
than Listing I-2.2.
Especially when you have more than one point !
As you can see I'm using mostly integer arithmetics. That is a common trick 
to speed up the output of 3D graphics enormously.


**************************************************************************
' Define point in the middle of the universe
px% = 0
py% = 0
pz% = 0
**************************************************************************
Listing I-2.2



    ------------------------------------------------
  /                                              / |
 ------------------------------------------------  |
 3D Graphics in BASIC - Part I.3: transformations  /
 ------------------------------------------------

Now we have the simpliest object: a point. The next question is: How to 
convert a point in our 3D world - or mathematically spoken a vector - into  
a flat pixel on the screen. 
So here comes the moment to introduce you with a new coordinate system - the 
eye coordinate system. I think that you, dear reader, will ask WHY. Well,
imagine a scenery from any 3D game you have in mind. In most cases of these
games there is a craft that you fly, drive or move and others that will be
steered by your computer or someone else. You can look in all directions
without steering into this directions. This would be impossible if your
eye coordinate system is non-existant. In other words: The eye coordinate 
system allows watching different from the world coordinate systems.
And now the strategy to convert a point into a pixel:

        1. Transformation of the world coordinates into eye coordinates

        2. Transformation of eye coordinates into screen coordinates

But some mathematics first. I hope you've got your machet right by your
hand and follow me again into the equation jungle. This time it will be 
harder than last time.

Mathematicians are sometimes lazy to write complex formulas. In the case of
transformation of a vector to a new vector in another coordinate system like
the transformation of the world coordinate system into the eye coordinate
system they simply write:

        P_eye = P_world * T

with    P_eye           eye coordinate vector
        P_world         world coordinate vector
        T               Transformation operator

That means: transformation of coordinates is only a "simple" mathematical
operation. But I would not go any further now because I've saved that for 
Part II.
This time I'll explain the transformation by an example. Once again
you must imagine to sit in a craft in our virtual 3D game. Say you're at 
Position x=100, y=0, z=0 and look to the center of our world. If you've 
reset your nav computer and set the absolute position (0 0 0) to your craft 
(the eye coordinate system) the center of the world now lies at 
x=-100, y=0, z=0.
In Summary: the world coordinates of a point will transformed to 
eye coordinates via the following equations:

        x_eye = x_world - eyepos_x
        y_eye = y_world - eyepos_y
        z_eye = z_world - eyepos_z

with    x_eye           x-coordinate of the point (eye coordinate system)
                        dito with y_eye, z_eye
        x_world         x-coordinate of the point (world coordinate system)
                        dito with y-world, z_world
        eyepos_x        position of the watcher (relative to world center)
                        dito with eyepos_y, eyepos_z 

But we gained also a three-dimensional point. How to convert this one into
a pixel? Now the mathematician comes in action. And he won't be lazy any
more ! He will tell you something about triangles, pyramids ... and you're
stuck complete helpless in the thickest formula thicket you could 
think about. If there would be a chalkboard he would easily write it full 
just for explanations. Simple, isn't it ?

Instead of molto formulos there is THE golden wisdom of every 3D-Programmer:
  "The screen coordinates could be calculated by dividing the x- and y-
   position through the depth (z-coordinate)"

In formula speak:

        x_screen = x_eye / z_eye
        y_screen = y_eye / z_eye

with    x_screen        x-coordinate of the pixel
        y_screen        y-coordinate of the pixel
        x_eye, y_eye,   see above
        z_eye

You gain a dimensionless number that must be fit to screen coordinates and 
to the middle of the screen. 
I assume that the width and the height of the screen are given so the formula
results to:

        x_screen = (x_eye / z_eye) * width + width / 2
        y_screen = (y_eye / z_eye) * height + height / 2

Now we've got all parts together to write some real 3D stuff.

**************************************************************************
' Simple 3D Object (Pyramid)

' Type declarations
TYPE vector
  x AS INTEGER
  y AS INTEGER
  z AS INTEGER
END TYPE

TYPE pixel
  x AS INTEGER
  y AS INTEGER
END TYPE

' Variable declaration
DIM p(3) AS vector
DIM eye AS vector
DIM s(3) AS pixel
DIM maxx AS INTEGER     ' width of screen
DIM maxy AS INTEGER     ' height of screen

' Screen resolution 
maxx = 640
maxy = 480 

' Read Object Data
FOR i = 0 TO 3
  READ p(i).x
  READ p(i).y
  READ p(i).z
NEXT i

' Definition of object
DATA 30, 1, 1
DATA  1,30, 1
DATA  1, 1,30
DATA -30,-30,-30

' Set Eye position (change if desired)
eye.x = 0
eye.y = 0
eye.z = 100

' Calculate the eye coordinates
FOR i = 0 TO 3
  p(i).x = p(i).x - eye.x
  p(i).y = p(i).y - eye.y
  p(i).z = p(i).z - eye.z
NEXT i

' Calculate screen coordinates
FOR i = 0 TO 3
  s(i).x = (p(i).x / p(i).z) * maxx + maxx / 2
  s(i).y = (p(i).y / p(i).z) * maxy + maxy / 2
NEXT i

' Draw object
CLS
SCREEN 12
FOR i = 0 TO 5
  READ pt1, pt2
  LINE (s(pt1).x,s(pt1).y)-(s(pt2).x,s(pt2).y)
NEXT i

DATA 0, 1, 0, 2, 0, 3, 1, 2, 1, 3, 2, 3
**************************************************************************
Listing I-3.1

OK, folks. Next time I will introduce you to animated vector graphics and
the calclulation with matrix. Stay tuned and I hope that you enjoy this article.

______________________________________________________________________________
<PAGEEND:"3D.Info.File5">

<PAGESTART:"3D.Info.File6">
______________________________________________________________________________
| 3D Programming  |
~~~~~~~~~~~~~~~~~~~

    ---------------------------------------
  /                                      / |
 ----------------------------------------  |
 3D Graphics in BASIC - Part II.1: Epilog /
 ----------------------------------------
   
It sounds strange to begin with an epilog but I have to explain some real
important things about the listing PYRAMID.BAS in the last part:

1. You only have to calculate the edges of a polygon. In the case of the 
pyramid you only have to calculate FOUR (!!!) points. The rest will do the
LINEs. This is very good because it reduces the amount of calculations to
a minimum and also, of course, the amount of cpu usage.

2. You must have an exact represantation of your 3D object. In our case
of the pyramid this is very simple. There are only four points. The 
definition of the object is located in the DATAs. You need in general a
DATA statement for the points and a DATA statement for the connectivity list.
The connectivity list will instruct the program to draw the right lines to
the right points.
You must determine every edge exactly of any given 3d object you want to 
display. This is very time consuming and you can only create smaller objects
with a pencil and a paper sheet. For 'bigger' objects (more points) you need 
a special editor.


    -----------------------------------------------
  /                                              / |
 ------------------------------------------------  |
 3D Graphics in BASIC - Part II.2: 3D Animations  /
 ------------------------------------------------
   
In PYRAMID.BAS there is only one single picture of a simple object.

Boring, isn't ?

The real 3D effect will only show up if the object will be animated like 
rotating around an axis or moving in real time. So I want you to show
how to get this 'pyramid' into action.

But tons of theory first ...

To make understanding easier for this relative difficult subject because
this part is like "Formula Jones and The Raiders of the lost Arc" and you
could be easily get lost somewhere in the Amasinus I'll give you an
overview of what to do:

1. 3D animations - and of course, animations in general - need the double
buffering technique. That's a common used method of displaying and
generating pictures simultaneously on different screen (often done by
choosing different memory locations of the displaying screen and the
drawing screen).
If you would display and draw the picture on the same screen (the same
memory location), the picture might become flickery. With the double
buffering technique - and eventually waiting for the vertical retrace
interrupt - the animated graphics looks very smooth.

2. Rotating, Scaling and Moving of 3D points could be done with matrix
operations. Because matrix operations aren't a simply matter of fact at all
I'll explain it here in this article but limited for our purpose.
When you've worked through this stuff (it's a very thick formula thicket -
have you got your machet right by your hand ?) you will see the advantages
of this mathematical technique.


    -------------------------------------------------
  /                                                / |
 --------------------------------------------------  |
 3D Graphics in BASIC - Part II.3: Double Buffering /
 --------------------------------------------------

Double buffering is a simple matter of fact. You only need two screens or
pages in any location of the memory. The Video ram is mostly preferred
because of higher perfomance (you must not copy the pages to the video ram
from the memory anymore).
A general algorithm for the Double Buffering technique is as follows:

        1. Show the "display" page, hide the "draw" page
        2. Clear "draw" page
        3. Various Drawing operations in the "draw" page
        4. Wait for vertical rectrace
        5. Switch "display" and "draw" page

The listing II-3.1 is in example for a simple demo of double buffering.
The compiled program will show a rectangle that has four moving corners
with different speed and direction.

**************************************************************************
' Double Buffering Demo
' (C)) 1996 by Ch. Garms


' Type declarations

TYPE pixel
  x AS INTEGER
  y AS INTEGER
END TYPE


' Some Constants

%NOPE = 0
%UP = 1
%DOWN = 2
%PORT = 4
%STARBORD = 8


' Variable declarations

DEFINT a-z
DIM r(3) AS pixel       ' rectangle points
DIM d(3) AS pixel       ' direction increment / decrement


' Screen dimensions

%MAXX = 639
%MAXY = 349


' Init the random generator with a different value

RANDOMIZE TIMER


' Sub: Switch Drawing / Displaying Screen

SUB switchscreen
  STATIC drawing, display

  IF drawing = display THEN
    drawing = 0
    display = 1
  ELSE
    SWAP drawing, display
  END IF
  WAIT &H3DA, 8 ' wait for vertical retrace
  SCREEN 9, 0, drawing, display
END SUB


' Sub: Draw rectangle

SUB rectangle
  SHARED r()

  LINE ( r(0).x, r(0).y ) - ( r(1).x, r(1).y ), 11
  LINE ( r(1).x, r(1).y ) - ( r(2).x, r(2).y ), 11
  LINE ( r(2).x, r(2).y ) - ( r(3).x, r(3).y ), 11
  LINE ( r(3).x, r(3).y ) - ( r(0).x, r(0).y ), 11
END SUB


' Sub: Calculate new points

SUB newpoints
  SHARED r(), d()
  LOCAL i, bounds

  FOR i = 0 TO 3
    bounds = boundcheck( r(i), d(i) )
    SELECT CASE bounds
      CASE ( %UP OR %PORT )
        r(i).x = 0
        r(i).y = 0
        d(i).x = -d(i).x
        d(i).y = -d(i).y
      CASE ( %UP OR %STARBORD )
        r(i).x = %MAXX
        r(i).y = 0
        d(i).x = -d(i).x
        d(i).y = -d(i).y
      CASE ( %DOWN OR %PORT )
        r(i).x = 0
        r(i).y = %MAXY
        d(i).x = -d(i).x
        d(i).y = -d(i).y
      CASE ( %DOWN OR %STARBORD )
        r(i).x = %MAXX
        r(i).y = %MAXY
        d(i).x = -d(i).x
        d(i).y = -d(i).y
      CASE %UP
        r(i).x = ( -r(i).y * d(i).x ) / d(i).y + r(i).x
        r(i).y = 0
        d(i).y = -d(i).y
      CASE %DOWN
        r(i).x = ( ( %maxy - r(i).y ) * d(i).x ) / d(i).y + r(i).x
        r(i).y = %MAXY
        d(i).y = -d(i).y
      CASE %PORT
        r(i).y = d(i).x / d(i).y * -r(i).x + r(i).y
        r(i).x = 0
        d(i).x = -d(i).x
      CASE %STARBORD
        r(i).y = d(i).x / d(i).y * (%maxx - r(i).x) + r(i).y
        r(i).x = %MAXX
        d(i).x = -d(i).x
      CASE %NOPE
        INCR r(i).x, d(i).x
        INCR r(i).y, d(i).y
    END SELECT
  NEXT i
END SUB


' Function boundcheck:
' Check if pixel left the frontiers of the screen

FUNCTION boundcheck(pt AS pixel, dir AS pixel) AS INTEGER
  LOCAL work

  work = %NOPE
  SELECT CASE pt.y + dir.y
    CASE < 0
      INCR work, %UP
    CASE > %MAXY
      INCR work, %DOWN
  END SELECT
  SELECT CASE pt.x + dir.x
    CASE < 0
      INCR work, %PORT
    CASE > %MAXX
      INCR work, %STARBORD
  END SELECT
  boundcheck = work
END FUNCTION


' Initializing the 2D object and the directions increments/decrements
' Just a few random numbers ...

FOR i=0 TO 3
  r(i).x = %MAXX * RND(1)
  r(i).y = %MAXY * RND(1)
  WHILE d(i).x = 0
    d(i).x = 4 - 8 * RND(1)
  WEND
  WHILE d(i).y = 0
    d(i).y = 4 - 8 * RND(1)
  WEND
NEXT i


' Main Program
' Calling the SUBs and waiting for a key

WHILE NOT INSTAT
  switchscreen                  ' Show screen
  CLS                           ' Clear the screen
  rectangle                     ' Drawing rectangle
  newpoints                     ' Calculate the new points
WEND
**************************************************************************
Listing II-3.1

If you change the main program to the one described in Listing II-3.2
then you will see why it's necessary to flip pages. The aninamtion of the
rectangle will become flickery. So that's why page flipping is important
for any type of animation.

**************************************************************************
' modified Main program
' actually it didn't flip the pages anymore ...

SCREEN 9
WHILE NOT INSTAT
  CLS                           ' Clear the screen
  rectangle                     ' Drawing rectangle
  newpoints                     ' Calculate the new points
WEND
**************************************************************************
Listing II-3.2: RECTANGLE.BAS


    -------------------------------------------------
  /                                                / |
 --------------------------------------------------  |
 3D Graphics in BASIC - Part II.4: 3D Object moving /
 --------------------------------------------------

Moving - or also called: translation - of an object is done by changing
the coordinates of the object. Let's start with a simple example: a point
in the 3D world. Moving the point could be done by:

        1. changing the points coordinates:

        obj.x = obj.x + t.x
        obj.y = obj.y + t.y
        obj.z = obj.z + t.z

        With (obj.x/obj.y/obj.z) = 3D point and (t.x/t.y/t.z) =
        translation vector. The translation vector describes how much a
        point is moved in any direction (x,y,z).

        or (very important !)

        2. changing the viewers coordinates:

        eye.x = eye.x + t.x
        eye.y = eye.y + t.y
        eye.z = eye.z + t.z

        With (eye.x/eye.y/eye.z) = viewers' point

The result will be the same: The point will be moved. That's the same
phenomon as if we watched the sunrise. Not the sun is going up but our
planet earth is rotating around his polar axis. We know that the earth is
moving but it looks like the sun is moving.
The listing II-4.1 is the modified example of the last part - PYRAMID.BAS.
Now it shows some motion. The pyramid is bouncing (in fact the viewpoint
is moving) to the viewer and away from him/her.

**************************************************************************
' ---------------------
'   Moving Pyramid
' based on PYRAMID.BAS
' (C) 1996 by Ch. Garms
' ---------------------


' Compiler Instructions

$CPU 80386
$OPTIMIZE SPEED
$LIB GRAPH ON
$ERROR ALL ON
$COMPILE MEMORY


' Creating new TYPEs

TYPE vector
  x AS INTEGER
  y AS INTEGER
  z AS INTEGER
END TYPE

TYPE pixel
  x AS INTEGER
  y AS INTEGER
END TYPE


' Variable declarations

%MAXPT = 3                      ' max. points
%MAXLN = 5                      ' max. lines
DIM s(%MAXPT) AS pixel          ' 2D coordinates of Pyramid
DIM eye AS vector               ' viewpoint
DEFINT a-z


' Initializing screen constants

%MAXPOSX = 639                  ' max. X-coordinate of screen
%MAXPOSY = 349                  ' max. Y-coordinate of screen
%CENTERX = 320                  ' center of screen (X-position)
%CENTERY = 175                  ' center of screen (Y-position)


' Initializing Viewpoint

eye.x = 15
eye.y = 15
eye.z = 0


' Calculating the eye coordinates & transformation into screen pixels

SUB vec2pix( objpt AS vector, scrpix AS pixel )
  SHARED eye

  DECR objpt.x, eye.x
  DECR objpt.y, eye.y
  DECR objpt.z, eye.z

  scrpix.x = (objpt.x / objpt.z) * %MAXPOSX + %CENTERX
  scrpix.y = (objpt.y / objpt.z) * %MAXPOSY + %CENTERY
END SUB


' Switch screens:
' implementation for PB's SCREEN

SUB switchscreen
  STATIC display, drawing

  IF display = drawing THEN
    display = 0
    drawing = 1
  ELSE
    SWAP display, drawing
  END IF

  WAIT &H3DA, 8                 ' wait for vertical retrace
  SCREEN 9, 0, display, drawing
  CLS
END SUB


' IMPORTANT: from here starts the nonrecycable code

' Main program

DIM pwork AS vector
WHILE NOT INSTAT
  FOR j = 40 TO 200 STEP 2
    switchscreen
    eye.z = j
    RESTORE objectdata
    FOR i = 0 TO %MAXPT
      READ pwork.x, pwork.y, pwork.z
      vec2pix pwork, s(i)
    NEXT i
    RESTORE connectdata
    FOR i = 0 TO %MAXLN
      READ pt1, pt2
      LINE (s(pt1).x,s(pt1).y) - (s(pt2).x,s(pt2).y)
    NEXT i
  NEXT j
  FOR j = 200 TO 40 STEP -2
    switchscreen
    eye.z = j
    RESTORE objectdata
    FOR i = 0 TO %MAXPT
      READ pwork.x, pwork.y, pwork.z
      vec2pix pwork, s(i)
    NEXT i
    RESTORE connectdata
    FOR i = 0 TO %MAXLN
      READ pt1, pt2
      LINE (s(pt1).x,s(pt1).y) - (s(pt2).x,s(pt2).y)
    NEXT i
  NEXT j
WEND

SCREEN 0


' Object Data & Connectivity list

objectdata:
DATA  30,  1,    1
DATA   1, 30,    1
DATA   1,  1,   30
DATA -30, -30, -30

connectdata:
DATA  0, 1, 0, 2, 0, 3, 1, 2, 1, 3, 2, 3
**************************************************************************
Listing II-4.1: MOVINPYR.BAS

The listing II-4.1 has some nice features. It contains code that's
recycable (you mustn't reinvent the wheel !). For our purposes there are
two new SUBs:

        SUB switschscreen:
        This subroutine flips between two pages in the video mode 9
        (640x375x16 colours). This EGA resolution is more than enough
        for simple vector graphics.

        SUB vec2pix:
        Converts a vector (3D point) to a screen pixel. This SUB is
        resolution independant. You have to define only the viewpoint
        (setting eye.x/eye.y/eye.z) and the screen parameters %MAXPOSX,
        %MAXPOSY,%CENTERX,%CENTERY before your first call.


    ---------------------------------------------------
  /                                                  / |
 ----------------------------------------------------  |
 3D Graphics in BASIC - Part II.5: 3D Object rotating /
 ----------------------------------------------------

There isn't much to say about 3D rotating. Only formulas, formulas,
formulas. I think our friend Formula Jones won't be unhappy if we come to
the point right now:

        Rotating around the x-axis (Global coordinate system):
        x' = x*cos(alpha) - y*sin(alpha)
        y' = x*sin(alpha) + y*cos(alpha)
        z' = z

        Rotating around the y-axis (Global coordinate system):
        x' = x*cos(beta) + z*sin(beta)
        y' = y
        z' = -x*sin(beta) + z*cos(beta)

        Rotating around the z-axis (Global coordinate system):
        x' = x'
        y' = y*cos(gamma) - z*sin(gamma)
        z' = y*sin(gamma) + z*cos(gamma)

        With:
        (x/y/z)         = old point
        (x'/y'/z')      = new point
        alpha           = angle to rotate around x-axis clockwise
        beta            = angle to rotate around y-axis clockwise
        gamma           = angle to rotate around z-axis clockwise

I won't explain the origin of these formulas because that will not fit
into this article. If you're interrested you'll find this very complex
stuff in any "higher" math book.
Listing II-5.1 is an example of use. Our well known pyramid is now
rotating around his z- and x-axis. But the basic program can be easily
changed. If you want to rotate to any other axis then you have only to
change the calls. Just experimentate with this program !

**************************************************************************
' ---------------------
'   Rotating Pyramid
' based on PYRAMID.BAS
' (C) 1996 by Ch. Garms
' ---------------------


' Compiler Instructions

$CPU 80386
$OPTIMIZE SPEED
$LIB GRAPH ON
$ERROR ALL OFF
$FLOAT EMULATE


' Creating new TYPEs

TYPE vector
  x AS INTEGER
  y AS INTEGER
  z AS INTEGER
END TYPE

TYPE pixel
  x AS INTEGER
  y AS INTEGER
END TYPE


' Variable declarations

%MAXPT = 3                              ' max. points
%MAXLN = 5                              ' max. lines
%FACTOR = 16384
%ANGLE = 3600                           ' max. angles for sinus and cosinus
DIM s(%MAXPT) AS pixel
DIM sinus(%ANGLE) AS SHARED INTEGER     ' array for sinus table
DIM cosinus(%ANGLE) AS SHARED INTEGER   ' array for cosinus table
DIM eye AS SHARED vector                ' viewpoint
DIM pwork AS vector
deg2rad! = 1800/3.14152695
DEFINT a-z


' Initializing Sinus table

FOR i = 0 TO %ANGLE
  sinus(i)   = CINT( SIN( i/deg2rad!) * %FACTOR )
  cosinus(i) = CINT( COS( i/deg2rad!) * %FACTOR )
NEXT i


' Screen constants

%MAXPOSX = 639                          ' max. X-coordinate of screen
%MAXPOSY = 349                          ' max. Y-coordinate of screen
%CENTERX = 320                          ' center of screen (X-position)
%CENTERY = 175                          ' center of screen (Y-position)


' Clipping constants

%LEFT     = 1
%RIGHT    = 2
%UP       = 4
%DOWN     = 8
%TRUE     = -1
%FALSE    = 0


' Initializing Viewpoint

eye.x = 0
eye.y = 0
eye.z = 150


' Rotating Point around X-Axis
'   objpt : vector in world coordinates (!)
'   alpha : angle to rotate around X-Axis (1 means 0.1 deg)

SUB rotatex( objpt AS vector, alpha AS INTEGER )
  SHARED sinus(), cosinus()
  DIM p AS vector

  p.x = (objpt.x * cosinus(alpha) - objpt.y * sinus(alpha)) / %FACTOR
  p.y = (objpt.x * sinus(alpha) + objpt.y * cosinus(alpha)) / %FACTOR

  objpt.x = p.x
  objpt.y = p.y
END SUB


' Rotating Point around Y-Axis
'   objpt : vector in world coordinates (!)
'   beta  : angle to rotate around Y-Axis (1 means 0.1 deg)

SUB rotatey( objpt AS vector, beta AS INTEGER )
  SHARED sinus(), cosinus()
  DIM p AS vector

  p.x = (objpt.x * cosinus(beta) + objpt.z * sinus(beta)) / %FACTOR
  p.z = (objpt.x * -sinus(beta) + objpt.z * cosinus(beta)) / %FACTOR

  objpt.x = p.x
  objpt.z = p.z
END SUB


' Rotating Point around Z-Axis
'   objpt : vector in world coordinates (!)
'   gamma : angle to rotate around Y-Axis (1 means 0.1 deg)

SUB rotatez( objpt AS vector, gamma AS INTEGER )
  SHARED sinus(), cosinus()
  DIM p AS vector

  p.y = (objpt.y * cosinus(gamma) - objpt.z * sinus(gamma)) / %FACTOR
  p.z = (objpt.y * sinus(gamma) + objpt.z * cosinus(gamma)) / %FACTOR

  objpt.y = p.y
  objpt.z = p.z
END SUB


' Calculating the eye coordinates & transformation into screen pixels
'   objpt : vector in world coordinates (!)
'   scrpix: pixel on screen
' The variable eye (TYPE vector) must be defined before calling this sub.

SUB vec2pix( objpt AS vector, scrpix AS pixel )
  SHARED eye

  DECR objpt.x, eye.x
  DECR objpt.y, eye.y
  DECR objpt.z, eye.z

  scrpix.x = (objpt.x / objpt.z) * %MAXPOSX + %CENTERX
  scrpix.y = (objpt.y / objpt.z) * %MAXPOSY + %CENTERY
END SUB


' Switch screens

SUB switchscreen
  STATIC display, drawing

  IF display = drawing THEN
    display = 0
    drawing = 1
  ELSE
    SWAP display, drawing
  END IF

  WAIT &H3DA, 8 ' wait for vertical retrace
  SCREEN 9, 0, display, drawing
  CLS
END SUB


' IMPORTANT: from here starts the nonrecycable code
' Main program

WHILE NOT INSTAT
  FOR j=0 TO %ANGLE STEP 15
    switchscreen
    RESTORE objectdata
    FOR i = 0 TO %MAXPT
      READ pwork.x, pwork.y, pwork.z
      rotatez pwork, j
      rotatey pwork, j
      vec2pix pwork, s(i)
    NEXT i
    RESTORE connectdata
    FOR i = 0 TO %MAXLN
      READ pt1, pt2
      LINE (s(pt1).x,s(pt1).y) - (s(pt2).x,s(pt2).y)
    NEXT i
  NEXT j
WEND

SCREEN 0


' Object Data & Connectivity list

objectdata:
DATA  30,  0,   0
DATA   0, 30,   0
DATA   0,  0,  30
DATA -30,-30, -30

connectdata:
DATA  0, 1, 0, 2, 0, 3, 1, 2, 1, 3, 2, 3
**************************************************************************
Listing II-5.1: ROTPYR.BAS

The listing II-5.1 has a very nice trick: The sinus and cosinus values are
converted to integers by multiplying with a constant factor (the factor
must be less than 32767) and stored in an integer array. That makes the
calculation of the 3D rotating faster than with floating point math. It is
not a great secret because it is a well used technique for vector graphics
since games like Elite on the C-64. Though the calculation aren't very
precise the screen resolution is so small that calculation errors won't
disturb much.

The listing II-5.1 simplifies the rotating. As you can see all formulas
rotate around an axis of the global coordinate system. But the pyramid is
rotating around a point in the center of the pyramid. The program achieves
this by equalising the center of the object and the center of the global
coordinate system. If a chosen scenery is more complex (e.g. two objects
who rotates differemt) then we come to a new coordinate system which I will
now introduce: The Object coordinate system.
That means: All points of a given object will be defined relative to the
center of the object. To display the object in the global cordinate system
(or: world coordinate system) we have only add the translation vector from
the center of the object to the center of the global corrdinate system to
all points of the object.

For example I will take the single point once more for explanation of this
complex subject:
The point is the center of the object. The relative object coordinate will
be (0/0/0) and the translation vector (x/y/z). To display the point into the
world coordinate system we simply add the translation vector to the object
coordinates so the derived global coordinte point is (x/y/z).

In general:

        world.x = obj.x + transl.x
        world.y = obj.y + transl.y
        world.z = obj.z + transl.z

        with:
        (world.x/world.y/world.z) = world coordinates of object point
        (obj.x/obj.y/obj.z) = object coordinates of object point
        (transl.x/transl.y/transl.z) = translation vector of object

That's the same as translating a 3D point in the world coordinate system.
Now we've defined our object within the object coordinate system we only
have to equalise the object center and the world center in our mind. For
the rotations we take the object coordinates not the world coordinates !
Than we can perform the rotations. To display the object we add the
translation vector of the object center to all object points and convert
the points to screen pixels.


    -------------------------------------------------------------------
  /                                                                   / |
 ---------------------------------------------------------------------  |
 3D Graphics in BASIC - Part II.6: Introductions to Matrix calculations /
 ----------------------------------------------------------------------

Matrix operations aren't a mystical thing. You have not to be a math
genius to understand what matrices are:

        "A Matrix is a represantion of a linear equation"

In other words: A Matrix isn't more than an array of values which contains
the suffixes of any linear equation like:

        a1*x + b1*y + c1*z = d1
        a2*x + b2*y + c2*z = d2
        a3*x + b3*y + c3*z = d3

The corresponding matrix looks as follows:

        |a1 b1 c1|   |d1|
        |a2 b2 c2| = |d2|
        |a3 b3 c3|   |d3|

For our purposes we didn't need more to know. As you have seen our 3D
operations are often performed by linear equations. E.g. translation of a
point is performed by adding the translation vector to a point. If we
write down this equation in a matrix form it will look like:

     Matrix1   Matrix2       Matrix3
        |x|   |1 0 0 t.x|   |x + t.x|
        |y|   |0 1 0 t.y| = |y + t.y|
        |z|   |0 0 1 t.z|   |z + t.z|
        |0|   |0 0 0 0  |   |0      |

That means we only multiply the 3D point (Matrix1) with an operator
(Matrix2) to translate the point. It looks like I want to complicate all.
But the advantage of matrix operations is that you can chain many
3D operations like rotation or translation to only one single matrix for
all points of any object. This will reduce the calculations enormous and
speed up 3D graphics dramatically for larger objects.

OK, guys. Next time I will continue you to explain the calculation with
matrix and go further with filled polygon graphics.
Hope to see you again here.

______________________________________________________________________________

Note: Look in the BASIC FANZINE for the next 3D article(s).
<PAGEEND:"3D.Info.File6">

<PAGESTART:"Compress.Huff.Comp">
' Huffman encoder v2.00 for PDS & QB4.5
' by Rich Geldreich May 29th, 1992
' Revised for PDS July 13, 1992
' This program is in the public domain. Use it for what you want!
' Just give me credit. If you find any bugs in it, please tell me about
' them.
'
' QB4.5 users: use search & replace and change all of the "SSEG" strings
' in this program to "VARSEG" strings.
' Do not press ctrl+break while this program is compressing! The string
' pointers may change, which may result in an error! Also, to realize
' the true speed of this program you must run it compiled.
' The overall compression of this program is not optimal, because the
' entire tree is sent to the output file. This was done so the decoding
' program can be as simple and fast as possible(the tree takes up about
' 1000 bytes or so; it depends on the input file).
'
' This program is much, much better than my first huffman encoder. It's
' faster, and (should be) easier to understand. The entire program was
' rewritten from scratch. The following changes have been made:

' The huffman tree is now scanned using a recursive algorithm instead of
' a slow, down-up search.
' Instead of searching for the lowest 2 nodes using a slow, linear search,
' this program uses a much faster presorted table. The entire tree can
' be combined in less than a second on my 286-10!
' The input file is scanned & compressed with a very fast buffer loading
' system, to overcome QB's slowness with binary files.
' A new shell sort is used to sort the node table before the tree is
' combined. A simple bubble sort is then used thereafter.

DEFINT A-Z
DECLARE SUB InitTree ()
DECLARE SUB MakeSortTable ()
DECLARE SUB CombineTree ()
DECLARE SUB CleanUpTree ()
DECLARE SUB WriteTree ()

DECLARE SUB SortDistribution2 ()
DECLARE SUB SortDistribution ()
DECLARE SUB GetDistribution ()
DECLARE SUB RecurseTree (Node)

DECLARE SUB FillBuffer ()


CONST True = -1, False = 0
CONST Null = -2
CONST BufferLength = 10000

CLEAR , , 10000

DIM SHARED Father(512) AS LONG, LeftSon(512), RightSon(512)
DIM SHARED Index(512), RealIndex, Used(255) AS LONG
DIM SHARED Pointer(255), HighestEntry
DIM SHARED Code(255, 40), CodeLength(255)
DIM SHARED CurrentLength, CurrentCode(40)

DIM SHARED Buffer$, Address, EndAddress, Bits(8), CurrentByte, CurrentBit
DIM SHARED BufferSeg


LOCATE , , 1


Bits:
    DATA 1,2,4,8,16,32,64,128,256

'read the bit masks
RESTORE Bits
FOR A = 0 TO 8: READ Bits(A): NEXT

'initialize the tree
InitTree

'initialize the input buffer
Buffer$ = STRING$(BufferLength, 0)
EndAddress = 1: Address = 0

PRINT "Getting Distribution:";
'open input file
OPEN COMMAND$ FOR BINARY AS #1
'check to see if it exists
IF LOF(1) = 0 THEN
    CLOSE #1
    KILL COMMAND$
    PRINT
    PRINT COMMAND$; " not found"
    END
END IF
'read the input file and gather the distribution of each character
GetDistribution
'make a sorting table
MakeSortTable
'sort the table with the a shell sort
SortDistribution
'combine the tree until there is only one node at the "top"
CombineTree
'work down the tree finding codes which represent each character
TopOfTree = Pointer(0)
CurrentLength = 0
RecurseTree TopOfTree
'for debugging: prints the code for each character
'FOR A = 0 TO 255
'    IF Used(A) > 256 THEN
'        PRINT A;
'        FOR B = 0 TO CodeLength(A)
'            PRINT Code(A, B);
'        NEXT
'        PRINT
'    END IF
'NEXT
'STOP
'"cleans" the tree up so it can be sent as small as possible
CleanUpTree

CurrentByte = 0: CurrentBit = 0
RealIndex = RealIndex - 1
'open output file
OPEN "output.huf" FOR BINARY AS #2
'kill file if it already exists
IF LOF(2) <> 0 THEN
    CLOSE #2
    KILL "output.huf"
    OPEN "output.huf" FOR BINARY AS #2
END IF

'put the header
A& = LOF(1)
PUT #2, , A&            'number of bytes in original file
PUT #2, , RealIndex     'number of nodes in tree
Top = Index(TopOfTree)
PUT #2, , Top           'top of tree

WriteTree               'writes the tree to the output file

'compresses the input file
PRINT : PRINT "Encoding...": PRINT : PRINT
Ypos = CSRLIN - 2

SEEK #1, 1
EndAddress = 1: Address = 0
'initialize the output buffer
A$ = STRING$(5000, 0)
A& = SADD(A$)
A& = A& - 65536 * (A& < 0)
OBufferSeg = VARSEG(A$) + (A& \ 16)
OAddress = (A& MOD 16)
OEndAddress = OAddress + 5000
Ostart = OAddress
'start compressing
FOR A& = 1 TO LOF(1)
   
    'get a byte from the input file
    Address = Address + 1
    'if Address=EndBuffer then it's time to fill the input buffer
    IF Address = EndAddress THEN FillBuffer
    B = PEEK(Address)
    'send out all of the bits that represent the input character
    FOR C = 0 TO CodeLength(B)
        IF Code(B, C) THEN
            CurrentByte = CurrentByte * 2 OR 1      'send "1"
        ELSE
            CurrentByte = CurrentByte * 2           'send "0"
        END IF
        CurrentBit = CurrentBit + 1
        'if CurrentBit=8 then we have a complete byte
        IF CurrentBit = 8 THEN
            DEF SEG = OBufferSeg
            POKE OAddress, CurrentByte
            OAddress = OAddress + 1
            'if Oaddress=Oendaddress then it's time to flush the
            'output buffer
            IF OAddress = OEndAddress THEN
                PUT #2, , A$
                B& = SADD(A$)
                B& = B& - 65536 * (B& < 0)
                OBufferSeg = VARSEG(A$) + (B& \ 16)
                OAddress = (B& MOD 16)
                OEndAddress = OAddress + 5000
                Ostart = OAddress
            END IF
            CurrentByte = 0: CurrentBit = 0
            DEF SEG = BufferSeg
        END IF
    NEXT
    'see if it's time to update screen
    PrintCount = PrintCount + 1
    IF PrintCount = 1024 THEN
        PrintCount = 0
        LOCATE Ypos, 1
        PRINT "Bytes In:"; A&; (A& * 100&) \ LOF(1); "%  "
        B& = LOF(2) + OAddress - Ostart
        PRINT "Bytes Out:"; B&; "   "
        PRINT "Compression:"; 100 - (B& * 100&) \ A&; "% ";
    END IF
NEXT
'put whatever is left of the byte buffer into the output buffer
DO UNTIL CurrentBit = 8
    CurrentByte = CurrentByte * 2
    CurrentBit = CurrentBit + 1
LOOP

DEF SEG = OBufferSeg
POKE OAddress, CurrentByte
A$ = LEFT$(A$, OAddress + 1 - Ostart)
PUT #2, , A$
'report compression
LOCATE Ypos, 1
PRINT "Bytes In:"; LOF(1); SPACE$(16)
PRINT "Bytes Out:"; LOF(2); SPACE$(16)
PRINT "Overall Compression:"; 100 - (LOF(2) * 100&) \ LOF(1); "%"; SPACE$(16);
CLOSE

END

'"Cleans" up the tree so it can be sent.
SUB CleanUpTree
    RealIndex = 0
    FOR A = 0 TO 512
        B& = Father(A)
        IF B& <> Null THEN
            IF B& < 256 THEN
                IF Used(B&) > 256 THEN
                    Index(A) = RealIndex
                    RealIndex = RealIndex + 1
                END IF
            ELSEIF B& > 256 THEN
                Index(A) = RealIndex
                RealIndex = RealIndex + 1
            END IF
        END IF
    NEXT

    FOR A = 0 TO 512
        B& = Father(A)
        IF B& <> Null THEN
            IF B& < 256 THEN
                IF Used(B&) > 256 THEN
                    IF LeftSon(A) <> Null THEN
                        LeftSon(A) = Index(LeftSon(A))
                    END IF
                    IF RightSon(A) <> Null THEN
                        RightSon(A) = Index(RightSon(A))
                    END IF
                END IF
            ELSEIF B& > 256 THEN
                IF LeftSon(A) <> Null THEN
                    LeftSon(A) = Index(LeftSon(A))
                END IF
                IF RightSon(A) <> Null THEN
                    RightSon(A) = Index(RightSon(A))
                END IF
            END IF
        END IF
    NEXT
END SUB

'Combines the tree until there is only one node at the top.
SUB CombineTree
   
    Parents = HighestEntry + 1
    DO UNTIL Parents = 1
        'sort the current distribution
        SortDistribution2
        'find the lowest 2 entries
        Lowest = Pointer(HighestEntry)
        NextLowest = Pointer(HighestEntry - 1)
        'find new frequency
        NewFrequency& = Father(Lowest) + Father(NextLowest) - 256
        'combine the two nodes
        IF RightSon(Lowest) = Null AND RightSon(NextLowest) = Null THEN
            Father(NextLowest) = NewFrequency&
            RightSon(NextLowest) = LeftSon(Lowest)
            Father(Lowest) = Null
            Parents = Parents - 1
            HighestEntry = HighestEntry - 1
        ELSEIF RightSon(Lowest) = Null AND RightSon(NextLowest) <> Null THEN
            Father(Lowest) = NewFrequency&
            RightSon(Lowest) = NextLowest
            Pointer(HighestEntry - 1) = Pointer(HighestEntry)
            Parents = Parents - 1
            HighestEntry = HighestEntry - 1
        ELSEIF RightSon(Lowest) <> Null AND RightSon(NextLowest) = Null THEN
            Father(NextLowest) = NewFrequency&
            RightSon(NextLowest) = Lowest
            Parents = Parents - 1
            HighestEntry = HighestEntry - 1
        ELSEIF RightSon(Lowest) <> Null AND RightSon(NextLowest) <> Null THEN
            'search for new node
            FOR A = 512 TO 0 STEP -1
                IF Father(A) = Null THEN EXIT FOR
            NEXT
            Father(A) = NewFrequency&
            LeftSon(A) = Lowest
            RightSon(A) = NextLowest
      
            HighestEntry = HighestEntry - 1
            Pointer(HighestEntry) = A
            Parents = Parents - 1
        END IF
    'loop until there is only one node at the top
    LOOP
END SUB

'Fills the input buffer.
SUB FillBuffer
    GET #1, , Buffer$

    A& = SADD(Buffer$)
    A& = A& - 65536 * (A& < 0)
    BufferSeg = VARSEG(Buffer$) + (A& \ 16)
    Address = (A& MOD 16)
    EndAddress = Address + BufferLength
    DEF SEG = BufferSeg

END SUB

'Scans the input file for its distribution.
SUB GetDistribution
       
    FOR A& = 1 TO LOF(1)
        Address = Address + 1
        IF Address = EndAddress THEN
            FillBuffer
            PRINT ".";
        END IF
        B = PEEK(Address) * 2
        Father(B) = Father(B) + 1
    NEXT
    B = 0
    FOR A = 0 TO 510 STEP 2
        Used(B) = Father(A): B = B + 1
    NEXT
END SUB

'Initilizes the tree.
SUB InitTree
    B = 0
    FOR A = 0 TO 510 STEP 2
  
        Father(A) = 256
        LeftSon(A) = A + 1
        RightSon(A) = Null
  
        Father(A + 1) = B
        LeftSon(A + 1) = Null
        RightSon(A + 1) = Null
  
        B = B + 1
    NEXT
END SUB

'Makes a sorting table.
SUB MakeSortTable
    HighestEntry = 0
    FOR A = 0 TO 510 STEP 2
        IF Father(A) > 256 THEN
            Pointer(HighestEntry) = A
            HighestEntry = HighestEntry + 1
        END IF
    NEXT
    HighestEntry = HighestEntry - 1
END SUB

'Recursive procedure to go down the tree and build up codes
'that represent each character.
SUB RecurseTree (Node)
    'are we at a character?
    IF Father(Node) < 256 THEN
        'yup! CurrentCode() has this character's bit sequence
        Char = Father(Node)
        FOR A = 0 TO CurrentLength - 1
            Code(Char, A) = CurrentCode(A)
        NEXT
        CodeLength(Char) = CurrentLength - 1
    END IF
    'go to the left if there's something there
    IF LeftSon(Node) <> Null THEN
        CurrentCode(CurrentLength) = 1      'add "1" to the current code
        CurrentLength = CurrentLength + 1
        RecurseTree LeftSon(Node)           'go down
        CurrentLength = CurrentLength - 1   'take "1" from the current code
    END IF
    'go to the right if there's something there
    IF RightSon(Node) <> Null THEN
        CurrentCode(CurrentLength) = 0      'add "0" to the current code
        CurrentLength = CurrentLength + 1
        RecurseTree RightSon(Node)          'got down
        CurrentLength = CurrentLength - 1   'take "0" from the current code
    END IF
END SUB

'A REAL Shell sort follows. It is much faster than the well-known one.
'Sorts the nodes according to the sorting table.
SUB SortDistribution
    Offset = HighestEntry \ 2
    DO
        FOR I = 0 TO HighestEntry - Offset
            IF Father(Pointer(I)) < Father(Pointer(I + Offset)) THEN
                SWAP Pointer(I), Pointer(I + Offset)
                CompareLow = I - Offset
                CompareHigh = I
                DO WHILE CompareLow >= 0
                    IF Father(Pointer(CompareLow)) < Father(Pointer(CompareHigh)) THEN
                        SWAP Pointer(CompareLow), Pointer(CompareHigh)
                        CompareHigh = CompareLow
                        CompareLow = CompareLow - Offset
                    ELSE
                        EXIT DO
                    END IF
                LOOP
            END IF
        NEXT
        Offset = Offset \ 2
    LOOP WHILE Offset > 0
    

END SUB

'A simple bubble sort... used while combining the tree.
SUB SortDistribution2
    
    DO
        SwapFlag = False
        FOR A = HighestEntry - 1 TO 0 STEP -1
            IF Father(Pointer(A + 1)) > Father(Pointer(A)) THEN
                SWAP Pointer(A + 1), Pointer(A)
                SwapFlag = True
            END IF
        NEXT
    LOOP WHILE SwapFlag
    
END SUB

'Writes the tree to disk.
SUB WriteTree
    

    FOR A = 0 TO 512
        B& = Father(A)
        IF B& <> Null THEN
            IF B& < 256 THEN
                IF Used(B&) > 256 THEN
                    GOSUB SendOne
                    FOR C = 0 TO 7
                        IF (B& AND Bits(C)) > 0 THEN
                            GOSUB SendOne
                        ELSE
                            GOSUB SendZero
                        END IF
                    NEXT
                END IF
            ELSEIF B& > 256 THEN
                GOSUB SendZero
                IF LeftSon(A) <> Null THEN
                    GOSUB SendOne
                    Son = LeftSon(A)
               
                    FOR C = 0 TO 8
                        IF (Son AND Bits(C)) > 0 THEN
                            GOSUB SendOne
                        ELSE
                            GOSUB SendZero
                        END IF
                    NEXT
                ELSE
                    GOSUB SendZero
                END IF
                IF RightSon(A) <> Null THEN
                    GOSUB SendOne
                    Son = RightSon(A)
                   
                    FOR C = 0 TO 8
                        IF (Son AND Bits(C)) > 0 THEN
                            GOSUB SendOne
                        ELSE
                            GOSUB SendZero
                        END IF
                    NEXT
                ELSE
                    GOSUB SendZero
                END IF
            END IF
        END IF
    NEXT

    EXIT SUB

SendZero:
    CurrentByte = CurrentByte * 2
    CurrentBit = CurrentBit + 1
    IF CurrentBit = 8 THEN
        A$ = CHR$(CurrentByte)
        PUT #2, , A$
        CurrentByte = 0: CurrentBit = 0
    END IF
RETURN

SendOne:
   
    CurrentByte = CurrentByte * 2 OR 1
    CurrentBit = CurrentBit + 1
    IF CurrentBit = 8 THEN
        A$ = CHR$(CurrentByte)
        PUT #2, , A$
        CurrentByte = 0: CurrentBit = 0
    END IF
RETURN

END SUB
<PAGEEND:"Compress.Huff.Comp">

<PAGESTART:"Compress.Huff.Decomp">
' Huffman decoder v2.00 for PDS & QB4.5
' by Rich Geldreich May 29th, 1992
' Revised for PDS July 13, 1992
' This program is in the public domain.
' QB4.5 users: use search & replace and change all of the "SSEG" strings
' in this program to "VARSEG" strings.
' Do not press ctrl+break while this program is decompressing! The string
' pointers may change, which may result in an error! Also, to realize
' the true speed of this program you must run it compiled!
' See HUFFMAN2.BAS for info.

DEFINT A-Z

DECLARE FUNCTION GetBit ()
DECLARE SUB FillBuff ()

CONST True = -1, False = 0
CONST Null = -2
CONST BufferLength = 10000

DIM SHARED Bits(8)
DIM SHARED Father(512)
DIM SHARED LeftSon(512)
DIM SHARED RightSon(512)

DIM SHARED Buffer$, Address, EndAddress, CurrentByte, BitsIn, BufferSeg

Bits:
    DATA 1,2,4,8,16,32,64,128,256

RESTORE Bits
FOR A = 0 TO 8: READ Bits(A): NEXT
'disk buffer
Buffer$ = STRING$(BufferLength, 0): EndAddress = 1: Address = 0: BitsIn = -1
'turn on cursor
LOCATE , , 1
'open the compressed file
OPEN "output.huf" FOR BINARY AS #1
'get the header
GET #1, , FileLength&
GET #1, , RealIndex
GET #1, , TopOfTree
'read in the tree
FOR A = 0 TO RealIndex
    IF GetBit THEN
        Father = 0
        FOR C = 0 TO 7
            IF GetBit THEN Father = Father + Bits(C)
        NEXT
        Father(A) = Father
        RightSon(A) = Null
        LeftSon(A) = Null
    ELSE
        Father(A) = 256
        IF GetBit THEN
            Son = 0
            FOR C = 0 TO 8
                IF GetBit THEN Son = Son + Bits(C)
            NEXT
            LeftSon(A) = Son
        ELSE
            LeftSon(A) = Null
        END IF
        IF GetBit THEN
            Son = 0
            FOR C = 0 TO 8
                IF GetBit THEN Son = Son + Bits(C)
            NEXT
            RightSon(A) = Son
        ELSE
            RightSon(A) = Null
        END IF
    END IF
NEXT
'when PrintCounter=1024 then screen is updated
PrintCounter = 0
'A$ is the output buffer
A$ = STRING$(5000, 0)
A& = SADD(A$)
A& = A& - 65536 * (A& < 0)
OutputSeg = VARSEG(A$) + (A& \ 16)
OAddress = (A& MOD 16)
OEndAddress = OAddress + 5000
OStart = OAddress
'start decoding
PRINT "Decoding:";
Xpos = POS(0): Ypos = CSRLIN
'open output file
OPEN COMMAND$ FOR BINARY AS #2
'decode each byte
FOR CurrentByte& = 1 TO FileLength&
    DEF SEG = BufferSeg
    'start at top of tree
    A = TopOfTree
    'keep on getting bits until a character is found
    DO
        'if BitsIn<0 then time to fill byte buffer
        IF BitsIn < 0 THEN
            Address = Address + 1
            'if Address=EndBuffer then time to fill disk buffer
            IF Address = EndAddress THEN
                FillBuff
            END IF
            CurrentByte = PEEK(Address): BitsIn = 7
        END IF
        'see if we go left or right
        IF (CurrentByte AND Bits(BitsIn)) THEN A = LeftSon(A) ELSE A = RightSon(A)
        BitsIn = BitsIn - 1
        F = Father(A)
        'loop until an ascii character is found
    LOOP UNTIL F < 256
    'put byte into output buffer
    DEF SEG = OutputSeg
    POKE OAddress, F
    OAddress = OAddress + 1
    IF OAddress = OEndAddress THEN
        PUT #2, , A$
        A& = SADD(A$)
        A& = A& - 65536 * (A& < 0)
        OutputSeg = VARSEG(A$) + (A& \ 16)
        OAddress = (A& MOD 16)
        OEndAddress = OAddress + 5000
        OStart = OAddress
    END IF
    'see if time to update the screen
    PrintCounter = PrintCounter + 1
    IF PrintCounter = 1024 THEN
        PrintCounter = 0
        LOCATE Ypos, Xpos
        PRINT (CurrentByte& * 100) \ FileLength&; "%";
    END IF
'loop until all of the characters have been restored
NEXT
'save whatever is currently in the output buffer
A$ = LEFT$(A$, OAddress - OStart)
PUT #2, , A$
CLOSE
'all done
LOCATE Ypos, Xpos
PRINT " done."

END

'fills the input buffer
SUB FillBuff
    GET #1, , Buffer$
    A& = SADD(Buffer$)
    A& = A& - 65536 * (A& < 0)
    BufferSeg = VARSEG(Buffer$) + (A& \ 16)
    Address = (A& MOD 16)
    EndAddress = Address + BufferLength
    DEF SEG = BufferSeg
END SUB

'gets one bit from the input file(only used when the tree
'is read in)
FUNCTION GetBit STATIC
    IF BitsIn < 0 THEN
        Address = Address + 1
        IF Address = EndAddress THEN
            FillBuff
        END IF
        CurrentByte = PEEK(Address): BitsIn = 7
    END IF
    GetBit = (CurrentByte AND Bits(BitsIn)): BitsIn = BitsIn - 1
END FUNCTION
<PAGEEND:"Compress.Huff.Decomp">

<PAGESTART:"Compress.LZW.Comp">
'Experimental LZW Compressor for PDS / QuickBASIC 4.5
'By Rich Geldreich 1992
'This program is in the public domain: use as you wish!
'(QB4.5 users: Use search & replace to change all of the "SSEG" strings
'to "VARSEG" strings in this program.)
'If you have and questions or problems, write/call:

'Rich Geldreich
'410 Market St.
'Gloucester City, NJ 08030
'(609)-742-8752
'
' Do not press ctrl+break while this program is decompressing! The string
' pointers may change, which may result in an error!

DEFINT A-Z
DECLARE SUB PutByte (A)
DECLARE SUB PutCode (A)
DECLARE SUB Rebuild.Table (New.Entries)
DECLARE FUNCTION GetByte ()
DECLARE SUB Hash (Prefix, Suffix, Index, Found)

CONST True = -1, False = 0

DIM SHARED Prefix(6576), Suffix(6576), Code(6576)
DIM SHARED Used(4096)

DIM SHARED InBuffer$, IAddress, IEndAddress, Iseg
DIM SHARED OutBuffer$, OStartAddress, OAddress, OEndAddress, Oseg

DIM SHARED CodeSize, CurrentBit, Char&
DIM SHARED Shift(12) AS LONG


FOR A = 0 TO 12: READ Shift(A): NEXT
DATA 1,2,4,8,16,32,64,128,256,512,1024,2048,4096,8192


LOCATE , , 1
IF POS(0) <> 1 THEN PRINT


InBuffer$ = STRING$(4000, 0)   'input buffer
OutBuffer$ = STRING$(4000, 0)  'output buffer


A& = SADD(OutBuffer$)
A& = A& - 65536 * (A& < 0)
Oseg = VARSEG(OutBuffer$) + (A& \ 16)     'Segment of buffer
OAddress = (A& MOD 16)                  'Current address in disk buffer
OEndAddress = OAddress + 4000           'End address of  buffer
OStartAddress = OAddress                'Start of buffer

'Open input file
File$ = COMMAND$
IF File$ = "" THEN LINE INPUT "File to compress? "; File$: File$ = LTRIM$(RTRIM$(File$))
IF File$ = "" THEN END
OPEN File$ FOR BINARY AS #1
FileLength& = LOF(1)
'Is it there?
IF FileLength& = 0 THEN
    CLOSE #1
    KILL COMMAND$
    PRINT COMMAND$; " not found"
    END
END IF
'Open output file
OPEN "output.lzw" FOR BINARY AS #2
'Is it already there?
IF LOF(2) <> 0 THEN
    'Kill output file and reopen it
    CLOSE #2
    KILL "output.lzw"
    OPEN "output.lzw" FOR BINARY AS #2
END IF
'CurrentLoc& - position in input file
CurrentLoc& = 2

'Compression codes:
'Code 256 = end of file
'Code 257 = increase code size
'Code 258 = rebuild table
'Code 259 - 4095 = available for strings
StartCode = 259                 'First LZW code that is available
NextCode = 259
'The maximum code that can be represented in 9 bits
MaxCode = 512
'Start with 9 bit code size
CodeSize = 9
'Current bit position in Char& - use for PutCode
CurrentBit = 0
'Char& is a temporary buffer; accumulates codes from main program and
'puts them in the output file once complete bytes have been
'built
Char& = 0

GOSUB ClearTable
'Get first byte from file(it's a special case)
Prefix = GetByte

PRINT "LZW Compressor For QuickBASIC 4.5"
PRINT "By Richard Geldreich June 2nd, 1992"
PRINT "Compressing "; File$
PRINT : PRINT : PRINT
'First line to start updating statistics
Y = CSRLIN - 3
'Main compression loop
DO
    DO
     
        IF CurrentLoc& > FileLength& THEN
            PutCode Prefix
            PutCode 256
            PutCode 0: PutCode 0
            OutBuffer$ = LEFT$(OutBuffer$, OAddress - OStartAddress)
            LOCATE Y, 1
            PRINT "Bytes In:"; CurrentLoc&; (100& * CurrentLoc&) \ FileLength&; "%"
            BytesOut& = LOF(2) + (OAddress - OStartAddress)
            PRINT "Bytes Out:"; BytesOut&
            PRINT "Total Compression:"; 100 - ((100& * BytesOut&) \ CurrentLoc&); "%                         ";
            PUT #2, , OutBuffer$
            CLOSE
            END
        ELSE
            
            Suffix = GetByte
            CurrentLoc& = CurrentLoc& + 1
            'We now have a Prefix:Suffix to search for.
            'If the search fails, put the Prefix in the output file
            'and set the Prefix equal to the character which caused
            'the failure.

            Hash Prefix, Suffix, Index, Found
            IF Found = True THEN
                Prefix = Code(Index)
                'update how many times this string was used
                Used(Prefix) = Used(Prefix) + 1
            END IF
        END IF
    LOOP WHILE Found = True

    'only increase the code size when required
    DO WHILE Prefix >= MaxCode AND CodeSize < 12
        PutCode 257
        MaxCode = MaxCode * 2
        CodeSize = CodeSize + 1
    LOOP
   
    PutCode Prefix

    'Put the new string into the hash table.
    Prefix(Index) = Prefix
    Suffix(Index) = Suffix
    Code(Index) = NextCode  'remember this string's code

    'Prefix is now equal to the character that caused the failure now.
    Prefix = Suffix
 
    NextCode = NextCode + 1
    'if there are too many strings then rebuild the encoding table
    IF NextCode > 4096 THEN
           
        PutCode 258 'send rebuild table code to decompressor

        Rebuild.Table New.Entries
        NextCode = New.Entries + StartCode
       
        IF NextCode > 4096 THEN
            GOSUB ClearTable
            NextCode = StartCode        'reset NextCode to top of tree
        END IF

        CodeSize = 9
        MaxCode = 512

        
    END IF

    'let the impatient user know we haven't hung up (yet!)
    PrintCounter = PrintCounter + 1     'see if time to update the
    IF PrintCounter = 512 THEN          'screen
        LOCATE Y, 1
        PRINT "Bytes In:"; CurrentLoc&; (100& * CurrentLoc&) \ FileLength&; "%"
        BytesOut& = LOF(2) + (OAddress - OStartAddress)
        PRINT "Bytes Out:"; BytesOut&
        PRINT "Compression:"; 100 - ((100& * BytesOut&) \ CurrentLoc&); "%  "; "CodeSize:"; CodeSize; "NextCode:"; NextCode; "   ";
        PrintCounter = 0
    END IF
LOOP
'clears the hash table
ClearTable:
    FOR A = 0 TO 6576
        Prefix(A) = -1
        Suffix(A) = -1
        Code(A) = -1
    NEXT
RETURN

'Reads one byte from the input buffer, and fills the buffer if it's emty.
FUNCTION GetByte STATIC
    IF IAddress = IEndAddress THEN
        GET #1, , InBuffer$
        A& = SADD(InBuffer$)
        A& = A& - 65536 * (A& < 0)
        Iseg = VARSEG(InBuffer$) + (A& \ 16)
        IAddress = (A& MOD 16)
        IEndAddress = IAddress + 4000
    END IF
    DEF SEG = Iseg
    GetByte = PEEK(IAddress)
    IAddress = IAddress + 1
END FUNCTION

'Attempts to finds a prefix:suffix string.
SUB Hash (Prefix, Suffix, Index, Found)
    
    Index = (Prefix * 256& XOR Suffix) MOD 6577 'XOR hashing
    IF Index = 0 THEN  'is Index lucky enough to be 0?
        Offset = 1     'Set offset to 1, because 6577-0=6577
    ELSE
        Offset = 6577 - Index
    END IF
    DO 'until we find a match or don't
        IF Code(Index) = -1 THEN      'is there nothing here?
            Found = False             'yup, not found
            EXIT SUB
        'is this entry what we're looking for?
        ELSEIF Prefix(Index) = Prefix AND Suffix(Index) = Suffix THEN
            Found = True              'yup, found
            EXIT SUB
        ELSE 'retry until we find what were looking for or we find a blank
             'entry
            Index = Index - Offset
            IF Index < 0 THEN 'is index too far down?
                Index = Index + 6577 'yup, bring it up then
            END IF
        END IF
    LOOP
END SUB

'Throws a byte into the output buffer and writes the buffer if it's full.
SUB PutByte (A) STATIC
    IF OAddress = OEndAddress THEN
        PUT #2, , OutBuffer$
        OAddress = OStartAddress
    END IF
    DEF SEG = Oseg
    POKE OAddress, A
    OAddress = OAddress + 1
END SUB

'Throws one multi-bit code to the output file.
SUB PutCode (A) STATIC
    SHARED MaxCode
    IF A >= MaxCode THEN STOP

    Char& = Char& + A * Shift(CurrentBit)
    CurrentBit = CurrentBit + CodeSize
    DO WHILE CurrentBit > 7
        PutByte Char& AND 255
        Char& = Char& \ 256
        CurrentBit = CurrentBit - 8
    LOOP
END SUB

'This is the "experimental" part of the program. This procedure eliminates
'any strings which are not used in the encoding table: the usual result of
'doing this is greater compression.
'It isn't documented well yet... I'm still working on it.
SUB Rebuild.Table (New.Entries)
    DIM P(4096), S(4096), U(4096) AS LONG, Pn(4096), C(4096)
    DIM Location(4096)
   
    SHARED StartCode, MaxCode, Prefix
    Num.Entries = 0
    
    FOR A = 0 TO 6576
        C = Code(A)
        IF C <> -1 THEN 'valid code?
            IF Used(C) > 0 THEN 'was it used at all?
                Used(C) = 0
                P = Prefix(A): S = Suffix(A)
                P(Num.Entries) = P          'put it into a temporary table
                S(Num.Entries) = S
                U(Num.Entries) = P * 4096& + S
                C(C) = Num.Entries
                Num.Entries = Num.Entries + 1
            END IF
        END IF
    NEXT
    

    Num.Entries = Num.Entries - 1
    FOR A = 0 TO Num.Entries
        Pn(A) = A
    NEXT
        'sort the table according to it's prefix:suffix
    Mid = Num.Entries \ 2
    DO
        FOR A = 0 TO Num.Entries - Mid
            IF U(Pn(A)) > U(Pn(A + Mid)) THEN
                SWAP Pn(A), Pn(A + Mid)
                Swap.Flag = True
                CompareLow = A - Mid
                CompareHigh = A
                DO WHILE CompareLow >= 0
                    IF U(Pn(CompareLow)) > U(Pn(CompareHigh)) THEN
                        SWAP Pn(CompareLow), Pn(CompareHigh)
                        CompareHigh = CompareLow
                        CompareLow = CompareLow - Mid
                    ELSE
                        EXIT DO
                    END IF
                LOOP
               
            END IF
        NEXT
        
        Mid = Mid \ 2
    LOOP WHILE Mid > 0
    
    
    FOR A = 0 TO Num.Entries
        Location(Pn(A)) = A
    NEXT
    'clear the old hash table
    FOR A = 0 TO 6576
        Prefix(A) = -1
        Suffix(A) = -1
        Code(A) = -1
    NEXT
    
    'put each prefix:suffix into the hash table
    FOR A1 = 0 TO Num.Entries
        A = Pn(A1)
       
        P = P(A)
        S = S(A)
        IF P >= StartCode THEN 'is it pointing twards a string?
            P = StartCode + Location(C(P)) 'yup; update the pointer
        END IF
        IF S >= StartCode THEN
            S = StartCode + Location(C(S))
        END IF
        'where does this prefix:suffix go?
        Hash P, S, Index, 0
        'put it there
        Prefix(Index) = P
        Suffix(Index) = S
        Code(Index) = A1 + StartCode
        
    NEXT
    '# of entries in the hash table now
    New.Entries = Num.Entries + 1
END SUB
<PAGEEND:"Compress.LZW.Comp">

<PAGESTART:"Compress.LZW.Decomp">
'Experimental LZW Decompressor for PDS / QuickBASIC 4.5
'By Rich Geldreich 1992
'This program is in the public domain: use as you wish!
'(QB4.5 users: Use search & replace to change all of the "SSEG" strings
'to "VARSEG" strings in this program.)
'If you have and questions or problems, write/call:

'Rich Geldreich
'410 Market St.
'Gloucester City, NJ 08030
'(609)-742-8752
'
' Do not press ctrl+break while this program is decompressing! The string
' pointers may change, which may result in an error!

DEFINT A-Z
DECLARE SUB PutByte (A)
DECLARE SUB Rebuild.Table (New.Entries)
DECLARE FUNCTION GetCode ()
DECLARE FUNCTION GetByte ()
CONST True = -1, False = 0

'Prefix & Suffix of each code
DIM SHARED Prefix(4096), Suffix(4096), Used(4096)
DIM OutCode(4096)               'simulates a hardware stack

'Input and output disk buffers
DIM SHARED InBuffer$, IAddress, IEndAddress, Iseg
DIM SHARED OutBuffer$, OStartAddress, OAddress, OEndAddress, Oseg

'Used for screen updating
DIM SHARED BytesIn&

'Powers of two
DIM SHARED Powers(7)
DIM SHARED LongPowers(12) AS LONG
'Mask for each codesize
DIM SHARED Masks(12)
'Current codesize
DIM SHARED CodeSize
'Initialize each array
FOR A = 0 TO 7: Powers(A) = 2 ^ A: NEXT
FOR A = 0 TO 12: LongPowers(A) = 2 ^ A: NEXT
FOR A = 1 TO 12: Masks(A) = (2 ^ A) - 1: NEXT
'Turn on cursor
LOCATE , , 1
'Initialize each disk buffer
InBuffer$ = STRING$(5000, 0)
OutBuffer$ = STRING$(5000, 0)
'Find address of output buffer
A& = SADD(OutBuffer$)
A& = A& - 65536 * (A& < 0)
Oseg = VARSEG(OutBuffer$) + (A& \ 16)
OAddress = (A& MOD 16)
OEndAddress = OAddress + 5000
OStartAddress = OAddress
BytesIn& = 0
'Open files
OPEN "OUTPUT.LZW" FOR BINARY AS #1
OPEN COMMAND$ FOR BINARY AS #2

'First code is 259
FreeCode = 259
StartCode = 259
'First codesize is 9 bits
CodeSize = 9
'Get First code(special case)
Code = GetCode
CurCode = Code
OldCode = Code
FinChar = Code
PutByte FinChar

FileLength& = LOF(1)
IF POS(0) <> 1 THEN PRINT
PRINT "LZW Decompressor in QuickBASIC 4.5"
PRINT "By Richard Geldreich June 2nd, 1992"
PRINT "Decompressing:";
Y = CSRLIN: X = POS(0)
'Main decompression loop
DO
    'Update screen every 1,024 codes
    OutputCounter = OutputCounter + 1
    IF OutputCounter = 1024 THEN
        LOCATE Y, X
        PRINT (100& * BytesIn&) \ FileLength&; "% done";
        OutputCounter = 0
    END IF

GetCode:
    'Get code from input file
    Code = GetCode
    'Process code
    SELECT CASE Code
    'End of file code
    CASE 256
        OutBuffer$ = LEFT$(OutBuffer$, OAddress - OStartAddress)
        PUT #2, , OutBuffer$
        LOCATE Y, X
        PRINT " done       "
        CLOSE : END
    'Increase code size code
    CASE 257
        CodeSize = CodeSize + 1
    CASE 258
        Rebuild.Table New.Entries
        FreeCode = New.Entries + StartCode
        CodeSize = 9

        IF FreeCode > 4096 THEN
            FreeCode = StartCode
            Code = GetCode
             
            CurCode = Code
            OldCode = Code
             
            FinChar = Code
            PutByte FinChar
        ELSE
            'prevents an invalid code from entering the table
            Ignore.Next = True
        END IF

    'Process a code
    CASE ELSE
       
        CurCode = Code
        InCode = Code
        'Do we have this string yet?
        IF Code >= FreeCode THEN
            'If Code>FreeCode then stop decompression: this can't be right!
            IF Code > FreeCode THEN PRINT "??BAD LZW CODE IN FILE": CLOSE : END
            'Trick decompressor to use last code
            
            Used(Code) = Used(Code) + 1
            CurCode = OldCode
            OutCode(OutCount) = FinChar
            OutCount = OutCount + 1
        END IF
        
        'Does this code represent a string?
        IF CurCode >= StartCode THEN
            'Get each character from the table and push it onto the stack
            
            DO
                Used(CurCode) = Used(CurCode) + 1
                OutCode(OutCount) = Suffix(CurCode)
                OutCount = OutCount + 1
                CurCode = Prefix(CurCode)
            'keep on doing this until we have a normal character
            LOOP UNTIL CurCode <= 255
        END IF
        FinChar = CurCode
        OutCode(OutCount) = FinChar
        'Pop all the codes of the stack and put them into the output file
        FOR A = OutCount TO 0 STEP -1
            PutByte OutCode(A)
        NEXT
        OutCount = 0
        'Put the new string into the table
        IF Ignore.Next THEN
            Ignore.Next = False
        ELSE
            Prefix(FreeCode) = OldCode
            Suffix(FreeCode) = FinChar
            FreeCode = FreeCode + 1
        END IF
        OldCode = InCode
    END SELECT
LOOP

FUNCTION GetByte STATIC
    IF IAddress = IEndAddress THEN
        GET #1, , InBuffer$
        A& = SADD(InBuffer$)
        A& = A& - 65536 * (A& < 0)
        Iseg = VARSEG(InBuffer$) + (A& \ 16)
        IAddress = (A& MOD 16)
        IEndAddress = IAddress + 5000
    END IF
    DEF SEG = Iseg
    GetByte = PEEK(IAddress)
    BytesIn& = BytesIn& + 1
    IAddress = IAddress + 1
END FUNCTION

FUNCTION GetCode STATIC
    IF BitsLeft = 0 THEN
        TempChar = GetByte
        BitsLeft = 8
    END IF
    WorkCode& = TempChar \ Powers(8 - BitsLeft)
    DO WHILE CodeSize > BitsLeft
        TempChar = GetByte
        WorkCode& = WorkCode& OR TempChar * LongPowers(BitsLeft)
        BitsLeft = BitsLeft + 8
    LOOP
    BitsLeft = BitsLeft - CodeSize
    GetCode = WorkCode& AND Masks(CodeSize)
END FUNCTION

SUB PutByte (A) STATIC
    IF OAddress = OEndAddress THEN
        PUT #2, , OutBuffer$
        OAddress = OStartAddress
    END IF
    DEF SEG = Oseg
    POKE OAddress, A
    OAddress = OAddress + 1
END SUB

SUB Rebuild.Table (New.Entries)
    DIM P(4095), S(4095), U(4095) AS LONG, Pn(4095), C(4095)
    DIM location(4095)
   
    SHARED StartCode, OldCode
   
    Num.Entries = 0
    FOR A = StartCode TO 4095
        IF Used(A) > 0 THEN
            Used(A) = 0
            P = Prefix(A): S = Suffix(A)
            P(Num.Entries) = P
            S(Num.Entries) = S
            U(Num.Entries) = P * 4096& + S
            C(A) = Num.Entries
            Num.Entries = Num.Entries + 1
        END IF
    NEXT
  

    Num.Entries = Num.Entries - 1
    FOR A = 0 TO Num.Entries
        Pn(A) = A
    NEXT
  
    Mid = Num.Entries \ 2
    DO
        FOR A = 0 TO Num.Entries - Mid
            IF U(Pn(A)) > U(Pn(A + Mid)) THEN
                SWAP Pn(A), Pn(A + Mid)
                Swap.Flag = True
                CompareLow = A - Mid
                CompareHigh = A
                DO WHILE CompareLow >= 0
                    IF U(Pn(CompareLow)) > U(Pn(CompareHigh)) THEN
                        SWAP Pn(CompareLow), Pn(CompareHigh)
                        CompareHigh = CompareLow
                        CompareLow = CompareLow - Mid
                    ELSE
                        EXIT DO
                    END IF
                LOOP
              
            END IF
        NEXT
       
        Mid = Mid \ 2
    LOOP WHILE Mid > 0
   
   
    FOR A = 0 TO Num.Entries
        location(Pn(A)) = A
    NEXT
   
    
   
    FOR A1 = 0 TO Num.Entries
        A = Pn(A1)
     
        P = P(A)
        S = S(A)
        IF P >= StartCode THEN
            P = StartCode + location(C(P))
        END IF
        IF S >= StartCode THEN
            S = StartCode + location(C(S))
        END IF
       
        Prefix(A1 + StartCode) = P
        Suffix(A1 + StartCode) = S
       
    NEXT
    
    IF OldCode >= StartCode THEN
        OldCode = StartCode + location(C(OldCode))
    END IF
   
    New.Entries = Num.Entries + 1

END SUB
<PAGEEND:"Compress.LZW.Decomp">

<PAGESTART:"Mouse.Routines.File1">
'Ok... this program doesn't ACTUALLY do anything.  It's the result of a lack
'of INTERNET connection combined with boredom and visiting relatives you
'don't want to know you are home.
'You need a mouse... a computer... some memory... a little hard-drive...
'patience... boredom... the default library... the real QUICKBASIC.
'Load up QuickBASIC by typing "QB/L" this loads the default library...
'You can use this however you like... I really don't care...
'If you make money off of it... pay me... I'm broke.
'If you at least bother to look at it...
'send me an e-mail...
'exnihilo@rhunebbs.com.
'Send me the latest ABC packet.
'Send me your funky code.
'Send me a life.
'All code by NICOLAS CULBERSON.
'This program intentionally bounces around like that!  Oh yeah, and it was
'created on a 486/33 so if it doesn't work right on your computer don't
'tell me about it.  I don't care.

DECLARE SUB warp ()         'Declare stuff...
DECLARE SUB right ()        'Declare stuff...
DECLARE SUB down ()         'Declare stuff...
DECLARE SUB up ()           'Declare stuff...
DECLARE SUB left ()         'Declare stuff...
DECLARE SUB shoot ()        'Declare stuff...
REM $INCLUDE: 'QB.BI'       'Include the library thing...
DIM SHARED regx  AS RegTypeX'Dim regx as regtypex and share it between the
                            'subs(see "Declare stuff...")
DIM SHARED a, b             'Do the same thing with the variables a,b
RANDOMIZE TIMER             'This Randomizes the computer timer(duh)

CLS                         'Clear the screen.  If you don't understand this
                            'statement... don't bother trying to figure the
                            'program out.  You need a manual.
SCREEN 13                   'Put the screen into 320 * 200 graphics mode.
a = regx.cx / 2             'Define the variable regx.cx
                            '(the X AXIS on the mouse) as variable named a.
                            'You must divide by half in screen 13.
b = regx.dx                 'Do the same thing to the variable named b with
                            'the Y AXIS
DO                          'Begin LOOP(see LOOP)
a$ = INKEY$                 'Look for a keypress and place it in STRING A$
IF a$ = CHR$(27) THEN END   'If the key pressed is "esc" then escape.(please
                            '(note:  this is high level programming, do not
                            'attempt to put such wonderful features in your
                            'own programs without adult supervision.)
regx.ax = 2                 'Hide the mouse cursor
CALL INTERRUPTX(&H33, regx, regx) 'Call the mouse interrupt at the address
                                  '&H33... this works on most computers...
regx.ax = 3                       'I dunno what this does but it has to be
                                  'there last time I checked.
CALL INTERRUPTX(&H33, regx, regx) 'Call it again.
REM IF regx.dx > 139 THEN regx.dx = regx.dx - 1 'This line is remmed...
                                                'ignore it.
IF a > regx.cx / 2 THEN CALL left  'Call the sub LEFT if the mouse
                                   'moves in the left direction.
IF a < regx.cx / 2 THEN CALL right 'Call the sub RIGHT if the mouse
                                   'moves in the right direction.
IF b > regx.dx THEN CALL up        'Call the sub UP if the mouse
                                   'moves in the UP direction.
IF b < regx.dx THEN CALL down      'Bear with me here... things do change.
IF regx.bx = 1 THEN CALL shoot     'Regx.bx is the mouse button variable.
                                   '.bx=1 is button number 1
                                   '.bx=2 is button number 2
                                   '.bx=3 is button number 1 and 2 at the
                                   'same time or button 3 if you have it, I
                                   'think.
                                   'So, this line checks for button 1...
                                   'and if it is pressed, calls the sub
                                   'named shoot.
IF regx.bx = 2 THEN CALL warp      'If button 2 is pressed...
                                   'call the WARP sub.
LOOP UNTIL bob = 1                 'Loop forever.  Whose BOB?


'Hmmm... you're still reading eh?  Your internet connection must be down too.
'How about calling Zeitgeist BBS in Saint John... the phone number is
'(506)832-9012 or something like that.  Experiment... you never know who you
'might get.  When you get there... e-mail Ex Nihilo, or Beanpole, or
'Ebenezer. 

SUB down
PSET (a, b), 0               'Delete the old one
DRAW "e10f10l20"             'by drawing over top of it in black.
b = b + 1                    'Move the picture down 1.
PSET (a, b), 12              'Redraw it.
DRAW "e10f10l20"             '  "    " .
PAINT (a + 3, b - 1), 14, 12 'Paint the yellow inside.
END SUB 'End the Sub(pretty self explanatory)

SUB left
PSET (a, b), 0   'See SUB DOWN... it's the same thing.
DRAW "e10f10l20"
a = a - 1
PSET (a, b), 12
DRAW "e10f10l20"
PAINT (a + 3, b - 1), 14, 12
END SUB

SUB right
PSET (a, b), 0   'See SUB DOWN it's the same thing...
DRAW "e10f10l20"
a = a + 1
PSET (a, b), 12
DRAW "e10f10l20"
PAINT (a + 3, b - 1), 14, 12

END SUB

SUB shoot
LINE (a + 10, b - 13)-(a + 10, b - 50), 10  'Draw the green shooting line.
FOR cool = 1 TO 100: NEXT cool              'Delay...
LINE (a + 10, b - 13)-(a + 10, b - 50), 0   'Draw over top of the shooting
                                            'line in black.
END SUB

SUB up
PSET (a, b), 0    'See SUB DOWN.  Same dif...
DRAW "e10f10l20"
b = b - 1
PSET (a, b), 12
DRAW "e10f10l20"
PAINT (a + 3, b - 1), 14, 12
END SUB

SUB warp
PAINT (a + 3, b - 1), 0, 12 'This SUB drops the ship somewhere else.
PSET (a, b), 0              'Figure it out each line by line for yourself...
DRAW "e10f10l20"            'I'm sick of explaining every little thing...
a = INT(RND * 300)
b = INT(RND * 180)
PSET (a, b), 12
DRAW "e10f10l20"
PAINT (a + 3, b - 1), 14, 12
FOR cool = 1 TO 1000: NEXT cool
END SUB
<PAGEEND:"Mouse.Routines.File1">

<PAGESTART:"Mouse.Routines.File2">
'<PRE>
REM This uses assembly language to make the mouse visible, get a keypress
REM and then make the mouse invisible again.
REM
REM Written by Ben McGaughey

DEFINT A-Z

DECLARE SUB InitMouse ()
DECLARE SUB ShowMouse ()
DECLARE SUB HideMouse ()

REM The total bytes in the ASM program is 6 so you devide that by 2
REM and this is what the array below has to be.
DIM SHARED ShowMouse1(3)
DIM SHARED HideMouse1(3)

InitMouse

ShowMouse
WHILE INKEY$ = "": WEND
HideMouse

END

DATA &HB8,&H01,&H00    : ' MOV AX,0001
DATA &HCD,&H33         : ' INT 33
DATA &HCB              : ' RETF

DATA &HB8,&H02,&H00    : ' MOV AX,0001
DATA &HCD,&H33         : ' INT 33
DATA &HCB              : ' RETF

SUB HideMouse

DEF SEG = VARSEG(HideMouse1(0))
CALL ABSOLUTE(VARPTR(HideMouse1(0)))
DEF SEG

END SUB

SUB InitMouse

REM This is poking the ASM program into the array.
DEF SEG = VARSEG(ShowMouse1(0))
FOR i = 0 TO 5
READ j
POKE (VARPTR(ShowMouse1(0)) + i), j
NEXT i
DEF SEG

DEF SEG = VARSEG(HideMouse1(0))
FOR i = 0 TO 5
READ j
POKE (VARPTR(HideMouse1(0)) + i), j
NEXT i
DEF SEG

END SUB

SUB ShowMouse

REM Now activate the program.
DEF SEG = VARSEG(ShowMouse1(0))
CALL ABSOLUTE(VARPTR(ShowMouse1(0)))
DEF SEG

END SUB
<PAGEEND:"Mouse.Routines.File2">

<PAGESTART:"Mouse.Routines.File3">
'<PRE>
'              ********************************************
'              *              QMouse.BAS                  *
'              *  Mouse Routine for MS-QBasic/IBM-QBasic  *
'              *                1 9 9 5                   *
'              ********************************************

'                    Robert Wolf TV & Radio Service

'********************************* INI *************************************

    DEFINT A-Z
    DECLARE SUB Mouse (cx, dx, bx)
    DECLARE SUB MousePointer (SW)
    DIM SHARED a(9)                 'Set up array for code
                                                           
    DEF SEG = VARSEG(a(0))          'Get array segment (nnnn:    )
                                    '    (two 8 bit)
    FOR i = 0 TO 17                 'length of DATA to
       READ r                       'read
       POKE VARPTR(a(0)) + i, r     'into array/2 (nnnn:iiii) (one 8 bit)
    NEXT i                          'until 17

'**************************** Machine Code *********************************

DATA &HB8,&H00,&H00   :   ' mov  AX,[n]       [Swap code-(L),(H)] in AX
DATA &H55             :   ' push BP           Save BP
DATA &H8B,&HEC        :   ' mov  BP,SP        Get BP to c Seg
DATA &HCD,&H33        :   ' int  33           Interrupt 33
DATA &H92             :   ' xchg AX,[reg]     [Swap code-reg] in AX
DATA &H8B,&H5E,&H06   :   ' mov  BX,[BP+6]    Point to (variable)
DATA &H89,&H07        :   ' mov  [BX],AX      Put AX in (variable)
DATA &H5D             :   ' pop  BP           Restore BP
DATA &HCA,&H02,&H00   :   ' ret  2            Far return

'*********************** P R O G R A M   S C R E E N ***********************

     CLS

COLOR 14, 0
PRINT "                   Ŀ                 "
PRINT "                      Q b a s i c     M o u s e                    "
PRINT "                                    "
COLOR 4, 0
PRINT "      "
COLOR 10, 0
PRINT "                                                                   [End]           "
LOCATE 6, 4
COLOR 15, 1

'****************************** Mouse set up ******************************
           
                CALL MousePointer(0)      'Reset mouse and
                CALL MousePointer(1)      'turn pointer on
                CALL MousePointer(3)      'Get coordinates

'****************************** P R O G R A M ******************************

    DO WHILE k$ <> CHR$(27)
          k$ = INKEY$

        CALL Mouse(cx, dx, bx)

           LOCATE 22, 60
           PRINT cx                          'Display Row
           LOCATE 22, 66
           PRINT dx
             
              IF bx = 1 THEN                 'Filter a 1 for Left
                bx$ = "[ L e f t "           'Set or skip bx$
               ELSEIF bx = 2 THEN            'Filter a 2 for Right
                bx$ = "[ R i g h t"          'Set or skip bx$
               ELSE
                bx$ = "[           ]"        'Blank for No Button Event
               END IF
           LOCATE 22, 5
           PRINT bx$                          'Display Button Event
          
           IF bx = 1 THEN                      'If Left Button Click's
             IF cx = 4 THEN
               IF dx > 67 AND dx < 71 THEN     'on [ESC] Then
                 GOTO done                     'End Program
                 END IF
              END IF
            END IF
    LOOP

'******************************** Exit *************************************
done:
                 CALL MousePointer(2)              'Turn mouse off
   
    LOCATE 22, 1
    PRINT "                        " + CHR$(177) + "     G O O D      B Y E       " + CHR$(177) + "                        "
COLOR 7, 0
    DEF SEG
   
END
'**************************** Return to Basic ******************************

SUB Mouse (cx, dx, bx)
         
           POKE VARPTR(a(4)), &H92           'Swap code,Get CX setup
          CALL absolute(cx, VARPTR(a(0)))     'Run Code
              cx = cx / 8                     'Adjust 25x80
           POKE VARPTR(a(4)), &H91           'Swap code,Get DX setup
          CALL absolute(dx, VARPTR(a(0)))     'Run Code
              dx = dx / 8                     'Adjust 25x80
           POKE VARPTR(a(4)), &H93           'Swap code,Get BX setup
          CALL absolute(bx, VARPTR(a(0)))     'Run Code

                                   'Note :
                                   'Remove the /8
                                   'for graphics modes.

END SUB

SUB MousePointer (SW)
         
           POKE VARPTR(a(0)) + 1, SW         'Swap code,Set AX = (SW)
          CALL absolute(c, VARPTR(a(0)))     'Run Code

                                          'Note:
                                             'SW = 0-reset
                                             'SW = 1-on
                                             'SW = 2-off
                                             'SW = 3-coordinates


END SUB
<PAGEEND:"Mouse.Routines.File3">

<PAGESTART:"Mouse.Routines.File4">
This Article From Peter Cooper's "The BASIC Fanzine"....
-------------------------------------------------------------------------------
- SECTION TWO PART 2 - (Programming the mouse) --------------------------------
-------------------------------------------------------------------------------

 This is programming the mouse by : peter@trenham.demon.co.uk

 Programming the mouse in QBasic is a very tedious affair although it is 
 possible but I cannot describe how to do it before this fanzine is meant
 to be out! So I am going to explain how to program the mouse in QuickBasic
 4.5 and PDS 7.1.

 To program the mouse we need to use interrupts. If you want a more indepth
 view into these then you will have to read the section on 'Interrupts in
 depth' next issue... patience...
 
 To be able to use interrupts you need QuickBasic or PDS 7.1 (both from
 Microsoft) and I think PowerBasic may also allow you to do this but I cannot
 be sure. On top of that you need a 'QB.BI' or 'QBX.BI' file. You get QB.BI
 with QuickBasic 4.5 and you get 'QBX.BI' with PDS 7.1. Substitute QBX.BI
 in my programs for whatever your one is called. 

 To start your program off you need to do this:
 
  '$INCLUDE: 'qbx.bi'
  Dim shared inregs as RegType
  Dim shared outregs as RegType
 
  SUB mousecommand (ax%,bx%,cx%,dx%)
  inregs.ax = ax%
  inregs.bx = bx%
  inregs.cx = cx%
  inregs.dx = dx%
  CALL INTERRUPT (&H33,inregs,outregs)
  END SUB
 
 Now, we have the definitions set up and we have a subroutine that gives the
 mouse driver commands. Beware, this subroutine does not return anything from
 the mouse... try and figure out how to do it.. if you can't then you'll have
 to keep reading. So now, what are the commands? Well here goes... here is
 a list of some of the mouse commands:

  AX = 00               (Reset Mouse)
  AX = 01               (Show Mouse Pointer)
  AX = 02               (Hide Mouse Pointer)
  AX = 03               (Get Mouse position and button status)
    - returned values:
                 in BX  =   0 no buttons down
                            1 left button down
                            2 right button down
                            3 both buttons down
                 in CX = x position
                 in DX = y position
 
 Right! Those commands should get anyone started! ;-) So lets add some more
 to the main part of our program.

 mousecommand 1,0,0,0

 That line (when run) would display the mouse pointer onto the screen. Try it
 out and see! Now, to do something useful with the mouse we would need to know
 where on the screen it actually was. We can get the X and Y coords by using
 AX = 03 (see the table above). So lets try this:

 mousecommand 3,bx%,cx%,dx%
 x% = cx%
 y% = dx%
 print x%,y%

 Now if we try that then we see that the x and y co-ords are NOT DISPLAYED!!
 Why? Well as I said earlier, the procedure does not return anything from the
 mouse... so we need a bit of an adjustment to our procedure...

 SUB mousecommand (ax%,bx%,cx%,dx%)
 inregs.ax = ax%
 inregs.bx = bx%
 inregs.cx = cx%
 inregs.dx = dx%
 CALL INTERRUPT (&H33,inregs,outregs)
 ax% = outregs.ax
 bx% = outregs.bx
 cx% = outregs.cx
 dx% = outregs.dx
 END SUB

 Now if we try then we see it works! Et voila, you have a program that reads
 the mouse once and then displays the coords on the screen. To have something
 more useful we could use this code in the main section of the program:

 mousecommand 1,bx%,cx%,dx%
 DO
 mousecommand 3,bx%,cx%,dx%
 x% = cx%
 y% = dx%
 locate 1,1
 print x%,y%
 LOOP WHILE bx% <> 1

 Try it and see how it works! Have fun with the mouse! 

 Mail me if you wish to see anything else mousewise covered...
 Cheers, 8-)
-------------------------------------------------------------------------------
<PAGEEND:"Mouse.Routines.File4">

<PAGESTART:"SB.Routines.File1">
This Article From Peter Cooper's "The BASIC Fanzine"....
-------------------------------------------------------------------------------
- SECTION TWO PART II - (Programming the SB card) -----------------------------
-------------------------------------------------------------------------------  

 On the comp.lang.basic.misc and alt.lang.basic newsgroups there are regularly
 questions like   ' How do program a SB from Basic? ' or 'How I detect an SB
 port address' or 'WAV FILES: playing through SB?' etc.
 This tute should address many of the problems faced by BASIC programmers.

 PROGRAMMING THE SB
 ==================

 Programming the SB is quite simple but the timing is the hard bit so I'm
 going into that in this tutorial. I'll just show you how to reset the card
 , turn the speaker on and produce a square-wave tone.

 The SB is controlled by a chip called the DSP (this is the Digital Sound
 Processor) and this is what we use in this tutorial. Before we can send
 raw data for the card to sound we need to reset the card.

' START OF RESET SECTION

OUT &H226, 1: OUT &H226, 0                      ' steps 1+2
DO
x% = INP(&H22E)                                 ' step 3
IF x% AND 128 THEN                              ' step 4
        x% = INP(&H22A)                         ' step 5
        IF x% = &HAA THEN                       ' step 6
                PRINT "reset!"
                EXIT DO
        END IF
END IF
LOOP

 That bit of program will reset the card. Here is what it does:

 1 - Send a 1 to the reset port  (2x6h)   
 1a - wait 3 microseconds. basic is so slow that i havn't had to bother
 2 - Send a 0 to the reset port  (2x6h)   
 3 - Poll the data ready port (2xEh)
 4 - If the 7th bit is not set then goto 3
 5 - Poll the data port (2xAh)
 6 - If it returns h0AA then you're done otherwise go back to step 3

 You should do this up to 100 times. If it doesn't work by then then the port 
 address is wrong or the card is faulty.
 (NOTE: where I put &H226 or &H22E is for a 220 based card. For a 240 they 
        would be    &H246 or &H24E OK?)

 OK. So now we've reset the thing but we still cannot send data because you
 won't hear it! The speaker has not been turned on.
 (The first time I programmed the SB, I didn't turn it on and I had to turn the
  speakers full up to hear anything. I went mad to find the solution!)
 The way we turn it on is to program the DSP with the hex byte D1. A sample
 is shown below.
 
' TURN SPEAKER ON
DO
x% = INP(&H22C)
LOOP WHILE x% AND 128
OUT &H22C, &HD1                                ' send speaker on code

 Before the byte can be sent we have to check if the SB is ready to get it.
 That's what the DO...LOOP does. So now the SBs speaker is on.

 Now we can send raw data to the card. But before each byte is sent we need
 to send 10 hex to tell the SB it is sound data we are doing.

DO
FOR g% = 100 TO 1 STEP -1                      ' START OF LOOP
OUT &H22C, &H10                                ' send
OUT &H22C, f%                                  ' send no.
FOR aa% = 1 TO 100: NEXT aa%                   ' delay
IF f% = 255 THEN f% = 0 ELSE f% = 255          ' alternate between 0 and 255
NEXT g%                                        ' END OF LOOP
LOOP

The f% is the value that is the sound on the sound wave. BTW, if you want to
play WAV,VOC or RAW files what you need to do is read a byte from the file
each time and send it to the card after sending the &H10. More about that, in
the next fanzine. (but you might work it out from I just said ,by then)

Here's the full program that produces a tone by alternating from 0 to 255 and
back. Change the aa% loop for a different pitched note.

' START OF RESET SECTION

OUT &H226, 1: OUT &H226, 0
DO
x% = INP(&H22E)
IF x% AND 128 THEN
        x% = INP(&H22A)
        IF x% = &HAA THEN
                PRINT "reset!"
                EXIT DO
        END IF
END IF
LOOP

' END OF RESET SECTION


' TURN SPEAKER ON
DO
x% = INP(&H22C)
LOOP WHILE x% AND 128
OUT &H22C, &HD1                                ' send speaker on code

DO
FOR g% = 100 TO 1 STEP -1                      ' START OF LOOP
OUT &H22C, &H10                                ' send
OUT &H22C, f%                                  ' send no.
FOR aa% = 1 TO 100: NEXT aa%                   ' delay
IF f% = 255 THEN f% = 0 ELSE f% = 255          ' alternate between 0 and 255
NEXT g%                                        ' END OF LOOP
LOOP

 Hope that's useful.
-------------------------------------------------------------------------------
<PAGEEND:"SB.Routines.File1">

<PAGESTART:"Tutorial.Gametech.File">
This Article From Peter Cooper's "The BASIC Fanzine"....
-------------------------------------------------------------------------------
| SECTION 1 PART B SUBPART 4 | Simple game development |
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  
                            Game Development
                            ~~~~~~~~~~~~~~~~
                              Introduction
                        1-Before you get Started                                                               
                            2-Writing a Game
                          3-Tips and Reference
 
                              Introduction
                              ~~~~~~~~~~~~
   Making computer games is not as hard as it seems. In this article I'm
going to explain the basics of making games. This article will be tilted
towards simple games, but these steps are used in just about every game
ever made.

Section 1

Before you get started making a game you should have a few things.

Step 1. Planning
       1. An idea. This is the most important part of making a game.

       2. Once you have an idea, think up a storyboard. This is not necessary
          always. For example, Tetris doesn't have a story.

       3. Now, plan the Levels. If the game has several levels, think how they
          are going to look.

       4. After you have the basic concept, think about goals. There has to be
          some kind of goals to make the player keep playing.

       5. Now think about the gameplay.  Gameplay makes a game.  Without gameplay
          the game is boring.

       6. Finally think of little bonuses you can add.(Score, explosions, sounds,
          animations, Level completion bonuses, Power-ups, etc.)  Use these to
          spice the game up.

Step 2. Tools
       1. First, you're going to need a graphics program(unless it's a
          text -adventure OR it's graphics are ASCII characters).  Personally
          I suggest QBDRAW17(it's only Screen 13 though). There are several
          graphics programs available(Check Simtel) or you could draw in Window's
          Paint Brush or another commercial program(you'll need some GIF, PCX or
          BMP code to load these though)

       2. Second, you're going to need some Algorithms for Artificial
          Intelligence. here's an Example,
          In Space Invaders, the enemies algorithym was:
  
          1. Go Right until Wall.
          2. When hit wall go Left.
          3. Go Left until Wall.
          4. When hit wall go Right.
          5. Move Down.
          6. Loop back to step 1.

       3. Code for Input Devices. (Keyboard, Joystick, Mouse,etc.)  You can get
          this just about anywhere.

       4. Music and Sound. There is nothing wrong with using the PC Speaker to do
          sounds(Just don't put long and annoying Music that'll wake up your
          parents at 3 AM) Remember, you can't adjust the PC Speaker's volume(at
          least from the outside). If you're going to have Sound Blaster sounds,
          find some libraries(it's not easy to write them yourself).

Section 2

Now we are going to write a Pong Game

{Cut here}
********************************************************
SCREEN 13: CLS                  'Screen with 256 colors
DIM Sphere(100)                 'Allocate memory for sprites
DIM Paddle(200)
PAINT (160, 100), 201           'Paint Background
CIRCLE (160, 100), 7, 4         'Draw Ball
PAINT (160, 100), 4             'Paint Ball
LINE (10, 10)-(18, 50), 1, BF    'Draw Paddle

GET (151, 92)-(169, 108), Sphere  'Get Sprites and store in array
GET (9, 4)-(19, 56), Paddle
CLS : PAINT (160, 100), 201       'Clear and Repaint screen
                                  'Initialize Variables
p1 = 0: p2 = -1    'Scores
X = 1: Y = 1       'Ball's Location
X1 = 5: Y1 = 75    'Player 1's Location
X2 = 295: Y2 = 75  'Player 2's Location

DO WHILE INKEY$ <> CHR$(27)   'Begin Main Program Loop and loop until ESC
                              'is pressed.
LOCATE 1, 8: PRINT p1: LOCATE 1, 36: PRINT p2   'Print Scores

GOSUB Keys
IF X > 300 THEN Xadj = -2: p1 = p1 + 1: SOUND 200, 1 'See if Ball hits Side

IF X <= 1 THEN Xadj = 2: p2 = p2 + 1: SOUND 200, 1   'See if Ball hits Side

IF Y >= 180 THEN Yadj = -2: SOUND 200, 1             'See if Ball hits Top
IF Y <= 1 THEN Yadj = 2: SOUND 200, 1                'See if Ball hits Top

  FOR i = 1 TO 3               'Continously move Ball
    X = X + Xadj
    Y = Y + Yadj
    PUT (X, Y), Sphere, PSET
  NEXT i

  PUT (X1, Y1), Paddle, PSET   'Put Paddles
  PUT (X2, Y2), Paddle, PSET
  FOR q% = 1 TO 100            'Add Delay (Increase if game runs too fast)
  GOSUB Keys
  NEXT q%

 SELECT CASE Y   'If the Ball is within one of the Paddle's Y Range,
                 'Compare it's X Location
   CASE (Y1 - 15) TO (Y1 + 30)
   GOSUB Precheck

   CASE (Y2 - 15) TO (Y2 + 30)
   GOSUB Precheck
 END SELECT

LOOP    'Main Program Loop

Precheck:        'Since the last Case found their Y location similiar, It
SELECT CASE X    'checks their X locations. If it's in range, contact occurs.

  CASE X1 TO (X1 + 10)      'Reverse Ball's X direction and play Sound to show
  Xadj = 2: SOUND 37, 1    'contact occured
			 
  CASE (X2 - 10) TO X2      'Reverse Ball's X direction and play Sound to show
  Xadj = -2: SOUND 37, 1   'contact occured
END SELECT
RETURN


Keys:
 SELECT CASE INKEY$                'Get Input from Keyboard
  CASE IS = CHR$(0) + CHR$(72)     'Player 1 Up
  GOSUB up

  CASE IS = CHR$(0) + CHR$(80)     'Player 1 Down
  GOSUB Down

  CASE IS = "Q", "q"               'Player 2 Up
  GOSUB Up2

  CASE IS = "A", "a"               'Player 2 Down
  GOSUB Down2
 END SELECT
RETURN

Down:                        'Move First Player Down
  IF Y1 < 142 THEN           'Makes sure Paddle doesn't go Offscreen
   FOR i = 1 TO 3            'Make Animation Smooth
    Y1 = Y1 + 3
    PUT (X1, Y1), Paddle, PSET
    Y1 = Y1 + 3
   NEXT i
  END IF
RETURN       'Go back to Main Program


Down2:                       'Move Second Player Down
  IF Y2 < 142 THEN           'Makes sure Paddle doesn't go Offscreen
   FOR i = 1 TO 3            'Make Animation Smooth
    Y2 = Y2 + 3
    PUT (X2, Y2), Paddle, PSET
    Y2 = Y2 + 2
   NEXT i
  END IF
RETURN        'Go back to Main Program

up:                          'Move First Player Up
  IF Y1 > 6 THEN             'Makes sure Paddle doesn't go Offscreen
    FOR i = 1 TO 3           'Make Animation Smooth
     Y1 = Y1 - 3
     PUT (X1, Y1), Paddle, PSET
     Y1 = Y1 - 3
    NEXT i
  END IF
RETURN         'Go back to Main Program

Up2:                     'Move Second Player Up
  IF Y2 > 6 THEN         'Makes sure Paddle doesn't go Offscreen
    FOR i = 1 TO 3       'Make Animation Smooth
     Y2 = Y2 - 3
     PUT (X2, Y2), Paddle, PSET
     Y2 = Y2 - 3
    NEXT i
  END IF
RETURN         'Go back to Main Program

*******************************************************
{cut here}


Section 3

Remember, don't try to over-achieve yourself on your First game.
In other words, On your first try, make something like Pac-Man, not DOOM.

A game can be broken down in a few sections

1. The Game World and it's Data
2. The Graphics Engine(Which draws the sprites on the screen)
3. The Input/Output System(Whether it's the Keyboard, Joystick or Mouse)       
4. The Game's Artificial Intelligence System
5. The Main Game Loop(The Loop that continously loops during the game)
6. The User Interface(Title Screen, Options, Score, Lives, Energy, etc.) 
7. The Sound Effects system(Spices up the Gameplay)

Any Questions should be directed to me at: diego@sgi.net

Check out my NEW and Constantly updated Web Page at:

Http://www.geocities.com/SiliconValley/6165/
-------------------------------------------------------------------------------
<PAGEEND:"Tutorial.Gametech.File">

<PAGESTART:"Type.Example.File">
This Article From Peter Cooper's "The BASIC Fanzine"....
-------------------------------------------------------------------------------
QUESTION: Hello,
      
 Can you please write me a little program that will show me how to use and
 what they are used for?

 NOTE ::: Please write me a program that will show me what the X's are susposed
 to be.  Also tell me what each of them does.

 TYPE (XxXxXxX)
     (XxXxXxX) as (XxXxXxX)
 END TYPE
 and 
 DIM (XxXxXxX) as (XxXxXxX)
 or
 REDIM (XxXxXxX) as (XxXxXxX)

ANSWER: Ok. The things you are mentioning here are records (thats what I call
        them) This would be simpler with explanation.

        TYPE person
                age as integer
                name as string * 20
                address as string * 80
        END TYPE

        This is a 'type' for one person.. It is a defined type. To be able to
        enter data in it properly then you need to DIM it like so:

        DIM SHARED people as person

        Now you can enter data into it like so:

        people.age = 52
        people.name = "fred bloggs"
        people.address = "Topeka City, Winconsin etc.."

        Of course, you can file these to disk using the PUT command, refer
        to qbasic help. You can also declare arrays of these types:

        DIM SHARED people(50) as person

        This would generate '50 people' and you can edit their details etc:

        people(1).age = 25
        people(1).name = "john"
        people(2).age = 50
        people(2).name = "bert"
        etc...

        These are powerful tools.. you can even use them in games, such as
        adventure games where you need to keep track of what screen a certain
        direction goes to (this is just an example and not neccesarily the
        best way to do it):

        TYPE location
                title as string * 50
                ident as integer
                picfile as string * 12
                north as integer
                south as integer
                west as integer
                east as integer
        END TYPE

        If anyone needs more help then please mail me, or post to the basic
        newsgroups.
-------------------------------------------------------------------------------
<PAGEEND:"Type.Example.File">

<PAGESTART:"Encryption.Routines.File1">
DECLARE SUB Encrypt (PW$, st$)
'This file was from the ABC packets (forget by whom). Anyway the file was for
'PB, but I have converted it into QBasic/QuickBASIC code. So enjoy !
'
'The SUB Encrypt encrypt's text.
'So first call the sub and give a password and text. The sub returns the
'encrypted data. Now call the sub, with the same password and the encrypted
'text. You'll get the first message.
'
'Thank's a lot to the original author.

CLS
COLOR 12, 7
INPUT "Type in password "; password$            'Input password

text$ = "This is sample text"                   'Change to whatever
PRINT "The text to be encrypted is: "; text$

CALL Encrypt(password$, text$)                  'Call the sub `Encrypt'

'The SUB Encrypt returns the encrypted text to variable name `target$'

PRINT "Encrypted text: "; target$               'Print the encrypted text
text$ = target$

INPUT "Reenter password "; password$          'Reenter password for decryption

CALL Encrypt(password$, text$)                  'Decrypt text

PRINT "Deencrypted text: "; target$             'Print decrypted text

PRINT "Enjoy"

SUB Encrypt (PW$, st$)
SHARED target$
z = 0
target$ = ""
FOR Y = 1 TO LEN(st$)
        a$ = MID$(st$, Y, 1)
        z = z + 1
        IF z > LEN(PW$) THEN z = 1
        b$ = MID$(PW$, z, 1)
        target$ = target$ + CHR$(ASC(a$) XOR ASC(b$))
NEXT
st$ = target$
END SUB
<PAGEEND:"Encryption.Routines.File1">

<PAGESTART:"Encryption.Routines.File2">
'>   But my question is: Can we talk about and share code for
'>   en/decoders? Since this topic is on my mind anyway, has
'>   anyone programmed a MIME-en/decoder and/or a UUEn/Decoder?
'>........................................
'   One of the simplest forms of encoding to text is to convert
'from an 8-bit value to 6-bit. This allows you to have three
'normal ASCII characters coverted to four characters  within the
'range of the lower, message format usable, ASCII. Try this:
'_|_|_|  826_BIT.BAS
'_|_|_|  This program demonstrates one method of encoding data
'_|_|_|  to conform to low ASCII requirements by turning three
'_|_|_|  8-bit values into four 6-bit values and vice-verse.
'_|_|_|  No warrantees or guarantees are given or implied.
'_|_|_|  Released to   PUBLIC DOMAIN   by Kurt Kuzba.  (6/1/96)
DECLARE FUNCTION ENCODE$ (Bytes3$)
DECLARE FUNCTION UNCODE$ (Bytes4$)
PRINT : PRINT
test$ = CHR$(176) + CHR$(177) + CHR$(178)
PRINT test$, ENCODE$(test$), UNCODE$(ENCODE$(test$))
test$ = CHR$(254) + CHR$(219) + CHR$(129)
PRINT test$, ENCODE$(test$), UNCODE$(ENCODE$(test$))
test$ = CHR$(17) + CHR$(21) + CHR$(7)
PRINT test$, ENCODE$(test$), UNCODE$(ENCODE$(test$))
test$ = "ABC"
PRINT test$, ENCODE$(test$), UNCODE$(ENCODE$(test$))
'_|_|_|   end   826_BIT.BAS

FUNCTION ENCODE$ (Bytes3$)
   Result$ = "": B& = 0
   FOR t% = 3 TO 1 STEP -1
      B& = B& * 256 + ASC(MID$(Bytes3$, t%))
   NEXT
   FOR t% = 1 TO 4
      Result$ = Result$ + CHR$(48 + (B& AND 63)): B& = B& \ 64
   NEXT: ENCODE$ = Result$
END FUNCTION

FUNCTION UNCODE$ (Bytes4$)
   Result$ = "": B& = 0
   FOR t% = 4 TO 1 STEP -1
      B& = B& * 64 + ASC(MID$(Bytes4$, t%)) - 48
   NEXT
   FOR t% = 1 TO 3
      Result$ = Result$ + CHR$(B& AND 255): B& = B& \ 256
   NEXT: UNCODE$ = Result$
END FUNCTION
<PAGEEND:"Encryption.Routines.File2">

<PAGESTART:"Encryption.Routines.File3">
'   As promised 87 years ago, here is a simple key-file generation
' program.  It is designed to keep honest people honest, as any
' hacker can break it by either breaking the code or patching the
' original program to bypass the registration checking.
'   As written, this will generate a simple key and includes the
' code to check that the key can be decoded.  Several things need
' to be done before it is used in 'real life'.  I'll list them in a
' minute.

' What it does:
'   1 - Generates a key file that includes a CRC check and an
'       embedded registration name and serial number.
'     - The first two lines of this file show the registration
'       name and serial number.  These lines are not used by the
'       program and can be changed without affecting the programs
'       operation as long as total line length is not changed.
'       They are included so you can do a quick check of who that
'       key is for.  This allows you to make several keys at once
'       and then sort out who gets which one (you would need to
'       include a routine to change the key file name after each
'       generation.
'     - The remaining space is filled by randomly generated ASCII
'       characters, with the TIMER function used to seed the random
'       generator.
'     - The display name and serial number are then encrypted and
'       the letters scattered about the random ASCII.
'     - A 16 bit CRC check is performed, and the value is encrypted
'       and and put into an area not included in the CRC check.
'
'   2 - Generates a historical record, with enough information to
'       generate an identical key at a later date. (This prevents a
'       couple of people from registering a program and getting a
'       key, then requesting a replacement key and comparing the
'       differences in order to break the encryption.)
'     - This data includes the registration name, serial number,
'       date the key is generated, and the seed for the random
'       generator.
'
' What it needs to be usable:
'   1 - Better routines for getting the display name and serial
'       number.  I decided to not waste bandwidth on examples that
'       others have already made.
'   2 - Larger areas for the display name and serial number.  I
'       limited these also for space
'   3 - Places for an address in the historical file
'   4 - Routines to compare names and serial numbers for dupes
'   5 - Routine to look through historical file and select one and
'       generate a replacement key based on the information found.
'   6 - A field for different levels of registration.  That is easy
'       to add using the procedures demonstrated.
'   7 - A drop-dead date for temporary keys.  I suggest that the
'       number of days since some arbitrary date be selected as the
'       base date (1 Jan 1900 ??) and then a value be added with
'       the days after the base date as the drop dead date.  Using
'       the same basedate in the generator and the actual program,
'       an imbedded 'total days' number can be made with each temp
'       key.  Use the system date to get 'current total days'.
'       This prevents someone from hacking a new month into the
'       temp key.
'   8 - Change the encryption value of 64 to 'your' value, between
'       64 and 100.
' So, without further comment (HA!), here it is.  Comments?

' Onwards....


'------------------
' generate registration keys for programs

DECLARE FUNCTION crc16% (target$)

' define structure file 1 - which holds your list of past keys
TYPE KeyRecord
   Regno AS STRING * 10
   RegName AS STRING * 30
   Datereg AS STRING * 10
   Rndseed AS LONG
   LnTrn AS STRING * 2

END TYPE
DIM FileBuffer AS KeyRecord
  FileBuffer.LnTrn = CHR$(13) + CHR$(10)
DIM namepoint(20), serpt(20)
namlength = 5
seriallength = 5

' open file 1 as past keys
CLS

GOSUB oldkey

GOSUB getrandseed:  ' get a seed value for the random function

GOSUB opnkey: ' open the new KeyFile.Dat to write in the values

' get display name for key file.  Replace this routine with a better one
INPUT "What display name do you want to use "; Dspnam$
Dspnam$ = LEFT$(Dspnam$ + SPACE$(namlength), seriallength)

' get serial/registration number.  Replace this routine, also.
INPUT "What is the serial number "; srnmbr$
srnmbr$ = LEFT$(srnmbr$ + SPACE$(seriallength), seriallength)

' check on dupes of names and numbers

' get date of registration
   FileBuffer.Datereg = DATE$

' put info into file one and update
   FileBuffer.Regno = srnmb$
   FileBuffer.RegName = Dspnam$
   FileBuffer.Rndseed = rseed
   FileBuffer.LnTrn = CHR$(13) + CHR$(10)
   totrec = totrec + 1
   PUT #1, totrec, FileBuffer
   GET #1, 1, FileBuffer
   FileBuffer.Rndseed = totrec
   PUT #1, 1, FileBuffer


' generate key - file 2

' pad name with spaces to center
   namspac = LEN(Dspnam$)
   namfre = 80 - namspac - 2
   line1$ = SPACE$(namfre / 2) + Dspnam$ + SPACE$(namfre / 2) + CHR$(13) + CHR$(10)
' put in Key File for your info only.  You use to confirm which key you
' are sending to who, by using a doc viewer
LSET fuline$ = line1$
PUT #2, 1

' pad serial with spaces to center
   serspac = LEN(srnmbr$)
   serfre = 80 - serspac - 2
   line2$ = SPACE$(serfre / 2) + srnmbr$ + SPACE$(serfre / 2) + CHR$(13) + CHR$(10)

  ' put in file 2 as second line
LSET fuline$ = line2$
PUT #2, 2

' close out the two lines and re-open data file as 1 byte
GOSUB keyfill

  ' fill file 2 with random values
RANDOMIZE (-rseed)

  FOR x = 161 TO 500
      LSET PtFilr$ = CHR$(RND * 255)
      PUT #2, x
   NEXT x

' read locations for name letters
RESTORE namdatpt

  FOR x = 1 TO namlength
     READ namepoint(x)
  NEXT x

 FOR x = 1 TO namlength
'   convert name digit coded letter
  mp$ = CHR$((ASC(MID$(Dspnam$, x, 1)) + 64))
  LSET PtFilr$ = mp$
   PUT #2, namepoint(x)
 NEXT x

' read location for serial number
RESTORE serldatpt
  FOR x = 1 TO seriallength
    READ serpt(x)
  NEXT x

 FOR x = 1 TO seriallength
   sp$ = CHR$((ASC(MID$(srnmbr$, x, 1)) + 64))
   LSET PtFilr$ = sp$
   PUT #2, serpt(x)
 NEXT x

' calculate the CRC
testcr$ = ""
 FOR x = 161 TO 450
 GET #2, x
 testcr$ = testcr$ + PtFilr$
NEXT x

' calculate the crc, convert to a string so you can hide it
crcnumber = crc16(testcr$)
PRINT "crc checks as "; crcnumber
crcname$ = STR$(crcnumber)
crcname$ = LEFT$(LTRIM$(crcname$) + "aAbBcCdDeEfFgGhHiIjJkKlL", 10)

'PRINT "crc word = "; crcname$; "  and value "; VAL(crcname$)
' put the CRC at point 460 , incrementing the value of each letter
'   so it doesn't stand out as a number
FOR x = 460 TO 469
  LSET PtFilr$ = CHR$(ASC(MID$(crcname$, x - 459, 1)) + 64)
  PUT #2, x
NEXT x

' ----
' This is the part that would be in the program being protected.  It
' is put here to demonstrate the program works.
' The data points and file opening routines would need to be copied,
' also.


' retrieve the stored CRC
rechk$ = ""
FOR x = 460 TO 469
  GET #2, x
  rechk$ = rechk$ + CHR$(ASC(PtFilr$) - 64)
NEXT x
crcchk2 = VAL(rechk$):  ' the stored CRC value


' calculate the CRC
testcr$ = ""
 FOR x = 161 TO 450
 GET #2, x
 testcr$ = testcr$ + PtFilr$
NEXT x
crcnumber = crc16(testcr$)

IF crcchk2 = crcnumber THEN
  PRINT "They match as "; crcnumber
     Dspnam$ = ""
     FOR x = 1 TO namlength
'      convert digit coded letter to name
       GET #2, namepoint(x)
       mp$ = CHR$((ASC(PtFilr$) - 64))
       Dspnam$ = Dspnam$ + mp$
     NEXT x
       PRINT "Display Name is "; Dspnam$

  ELSE PRINT "No Match: something was changed ";
       PRINT crcnumber; " "; crcchk2

END IF

CLOSE
END


oldkey:
CLOSE #1
OPEN "oldkey.dat" FOR RANDOM AS #1 LEN = LEN(FileBuffer)
GET #1, 1, FileBuffer
  ' check if there is a data file.  If not, start one.
  IF INSTR(FileBuffer.Regno, "Start") = 0 THEN
    FileBuffer.Regno = "Start"
    FileBuffer.RegName = "No-Name"
    FileBuffer.Datereg = DATE$
    FileBuffer.Rndseed = 1
    FileBuffer.LnTrn = CHR$(13) + CHR$(10)
    PUT #1, 1, FileBuffer
    totrec = 1
  END IF
totrec = FileBuffer.Rndseed:  ' total registrations on file

RETURN


opnkey: ' open the new key file
CLOSE #2
OPEN "NewKey.DAT" FOR RANDOM AS #2 LEN = 80
  FIELD #2, 80 AS fuline$
RETURN

keyfill:
CLOSE #2
OPEN "NewKey.dat" FOR RANDOM AS #2 LEN = 1
FIELD #2, 1 AS PtFilr$
RETURN



getrandseed: ' get the random seed
rseed = INT(TIMER)
rseed = ABS(rseed)

RETURN

' below are the data areas where you specify the location inside the random
' generated area for the storage of your values.  For demo purposes, I am
' limiting the number of values so it is easy to visually check there are
' not any locations specified twice.  In actual practice, I suggest you
' write a random list - in order - on a piece of paper and scratch the
' values off as you put them here.

namdatpt: ' random data points for the name
DATA 241, 152, 423, 367, 275

serldatpt: ' random locations for the serial number
DATA 342, 467, 199, 300, 400

FUNCTION crc16% (target$)
STATIC Initialized%, CRCTable%()
' 05-25-93  Douglas Lusher  16bit CRC calculation  1:282/7
IF Initialized% GOTO CalcCRC16

REDIM CRCTable%(255)
FOR Ptr% = 0 TO 255
  CRC& = Ptr% * &H100&
  FOR Bit% = 0 TO 7
    Carry% = ((CRC& AND &H8000) <> 0)
    'Carry% is True if Bit 16 is set
    CRC& = (CRC& * 2) AND &HFFFF&
    'shift the low 16 bits one place left
    CRC& = CRC& XOR (Carry% AND &H1021)
    'if there was a carry, then XOR in the bitmask
  NEXT
  CRCTable%(Ptr%) = (CRC& - 32768) XOR &H8000
  'change the long int to an unsigned int for the table
NEXT
Initialized% = -1

CalcCRC16:

HiByte% = 0
LoByte% = 0
FOR Ptr% = 1 TO LEN(target$)
  Char% = ASC(MID$(target$, Ptr%))
  CRC& = CRCTable%(HiByte% XOR Char%) XOR LoByte%
  CRC& = CRC& * &H100
  HiByte% = (CRC& AND &HFF0000) \ &H10000
  LoByte% = ((CRC& AND &HFF00&) - 32768) XOR &H8000
NEXT
crc16% = HiByte% OR LoByte%

END FUNCTION
<PAGEEND:"Encryption.Routines.File3">

<PAGESTART:"Fire.Routines.File1">
'
' Description : Fyre - Mode 13 VGA Special Effect Routine
' Written by  : Andrew L. Ayers
' Date        : 09/10/96
'
' This shows off two techniques which may prove useful to you in game or
' demo development. The first technique is that of simulating fire. It
' uses a routine similar to that of my FirePrint! routine for doing
' burning text. I saw a post by someone (I forget who) who needed to
' know how to do fire. I hope they see this. The second technique is the
' more important of the two. It shows how to use a single buffer to hold
' multiple frames of an animation for GET/PUT. Basically, it involves using
' an offset into the buffer during the Build/GET process to store each
' frame into the buffer, then using the same offsets to replay the buffer
' frame by frame. You must know the size of each "frame" in bytes in order
' to use this, and all frames should be the same size for easiest implem-
' entation (though not necessarily). This will work for all screen modes.
'
' As always, if you use this in any of your creations, please consider your
' source and mention my name. Thanx, and have phun!
'
DECLARE SUB ReadRGB (red%, grn%, blu%, slot%)
DECLARE SUB WriteRGB (red%, grn%, blu%, slot%)
DECLARE SUB SetPal (start.slot%, end.slot%)
'
DIM frame%(3400)
'
SCREEN 13
'
' Create an "all black" palette
'
CALL WriteRGB(0, 0, 0, 1)
CALL WriteRGB(0, 0, 0, 63)
'
CALL SetPal(1, 63)
'
' Build each frame of the "fyre"
'
LINE (0, 101)-(14, 101), 63
'
FOR t% = 0 TO 19
  '
  FOR Y% = 100 TO 80 STEP -1
    '
    FOR X% = 0 TO 14
      '
      C% = POINT(X%, Y% + 1) - INT(RND * 10): IF C% < 0 THEN C% = 0
      '
      PSET (X%, Y%), C%
      '
    NEXT
    '
  NEXT
  '
  ' Get the frame
  '
  GET (0, 80)-(14, 101), frame%(t% * 170)
  '
NEXT
'
CLS
'
' Build up "fyre" colored palette
'
CALL WriteRGB(0, 0, 0, 1)
CALL WriteRGB(63, 0, 0, 21)
CALL WriteRGB(63, 63, 0, 42)
CALL WriteRGB(58, 58, 58, 63)
'
CALL SetPal(1, 21)
CALL SetPal(21, 42)
CALL SetPal(42, 63)
'
' Display "fyre" at the bottom of the screen
'
DO
  '
  t% = t% + 1: IF t% > 19 THEN t% = 0
  '
  FOR tt% = 0 TO 300 STEP 15
    '
    PUT (tt%, 178), frame%(t% * 170), PSET
    '
  NEXT
  '
  ' Delay (may need to be adjusted)
  '
  FOR dlay = 1 TO 20000: NEXT dlay
  '
LOOP UNTIL INKEY$ <> ""

SUB ReadRGB (red%, grn%, blu%, slot%)
  '
  OUT &H3C7, slot% ' Read RGB values from slot
  '
  red% = INP(&H3C9)
  grn% = INP(&H3C9)
  blu% = INP(&H3C9)
  '
END SUB

SUB SetPal (start.slot%, end.slot%)
  '
  num.slots% = end.slot% - start.slot%
  '
  CALL ReadRGB(sr%, sg%, sb%, start.slot%)
  CALL ReadRGB(er%, eg%, eb%, end.slot%)
  '
  rr% = ABS(er% - sr%): rg% = ABS(eg% - sg%): rb% = ABS(eb% - sb%)
  rs% = SGN(er% - sr%): gs% = SGN(eg% - sg%): bs% = SGN(eb% - sb%)
  '
  stepr = (rr% / num.slots%) * rs%
  stepg = (rg% / num.slots%) * gs%
  stepb = (rb% / num.slots%) * bs%
  '
  r = sr%: g = sg%: b = sb%
  wr% = r: wg% = g: wb% = b
  '
  FOR t% = start.slot% TO end.slot%
    '
    CALL WriteRGB(wr%, wg%, wb%, t%)
    '
    r = r + stepr: wr% = r
    g = g + stepg: wg% = g
    b = b + stepb: wb% = b
    '
  NEXT t%
  '
END SUB

SUB WriteRGB (red%, grn%, blu%, slot%)
  '
  OUT &H3C8, slot% ' Write RGB values to slot
  '
  OUT &H3C9, red%
  OUT &H3C9, grn%
  OUT &H3C9, blu%
  '
END SUB
<PAGEEND:"Fire.Routines.File1">

<PAGESTART:"Fire.Routines.File2">
'Fire!!  By Tony Lieuallen.  E-mail: marvin@mars.superlink.net
'This is a demo I made (Evolved slowly from the file in the PC Games
'Programmers Encyclopedia) in my free time.  In the rem's is what you
'would have to do to make it run in PB (originally written for QuickBasic).
'I like values of XMax=200 YMax=100 X and YStart=50.

DEFINT A-Z

SCREEN 13
' in PB make this:
'      (or is that ah?)
'! mov ax, &H13
'! int &H10

RANDOMIZE TIMER
IF COMMAND$ <> "" THEN
   T$ = COMMAND$
   XMax = VAL(LEFT$(T$, INSTR(T$, " ")))
   T$ = RIGHT$(T$, LEN(T$) - INSTR(T$, " "))
  
   YMax = VAL(LEFT$(T$, INSTR(T$, " ")))
   T$ = RIGHT$(T$, LEN(T$) - INSTR(T$, " "))
  
   XStart = VAL(LEFT$(T$, INSTR(T$, " ")))
   T$ = RIGHT$(T$, LEN(T$) - INSTR(T$, " "))
  
   YStart = VAL(T$)
ELSE
   INPUT "  XMax=", XMax
   INPUT "  YMax=", YMax
   INPUT "XStart=", XStart
   INPUT "YStart=", YStart
END IF
CLS

CMax = 150
Red = 0
Grn = 0
Blu = 0
CC = 1

FOR X = 1 TO CMax
   SELECT CASE CC
      CASE 1
         Red = Red + 1
         IF Red = 60 THEN CC = 2
      CASE 2
         Grn = Grn + 1
         IF Grn = 60 THEN CC = 3
      CASE 3
         Grn = Grn - 2
         Red = Red - 1
   END SELECT
   OUT &H3C8, X
   OUT &H3C9, Red
   OUT &H3C9, Grn
   OUT &H3C9, Blu
NEXT

DEF SEG = &HA000
DO
   IF INKEY$ <> "" THEN
      COLOR 180
      SYSTEM
   END IF
   FOR Count = 1 TO XMax \ 1.5
      Y& = (YMax - 1 + YStart)
      'In PB make all the "poke"s "pokeb"s
      POKE (320 * Y& + (INT(RND * XMax) + XStart)), INT(RND * CMax)
      POKE (320 * (Y& - 1) + (INT(RND * XMax) + XStart)), INT(RND * CMax)
   NEXT

   P = 0
   FOR Y1 = 2 TO YMax - 1
      FOR X1 = 2 TO XMax - 1
         X& = (X1 + XStart)
         Y& = (Y1 + YStart)
         P = PEEK(320 * Y& + (X& + 1))
         P = P + PEEK(320 * Y& + (X& - 1))
         P = P + PEEK(320 * (Y& + 1) + X&)
         P = P + PEEK(320 * (Y& - 1) + X&)
         P = P \ 4
         POKE (320 * (Y& - 1) + X&), P
      NEXT
   NEXT
LOOP
<PAGEEND:"Fire.Routines.File2">

<PAGESTART:"Fire.Routines.File3">
' Description : FirePrint! - Custom text print subroutine for
'               VGA Mode 13
' Written by  : Andrew L. Ayers
' Date        : 07/24/96
'
' This little routine allows you to place a "burning" text
' string on the mode 13 screen. This routine was based on
' a routine by Martin Lindhe. Both are essentially the same,
' though this one is cleaner. Remember, the better the machine,
' the better the effect. Also, smaller strings will look better.
'
' You may use this routine in any manner you like, as long
' as you give Mr. Lindhe and myself credit in an appropriate
' manner.
'
' I wish to thank Martin Lindhe for providing the inspiration
' to do this routine.
'
DECLARE SUB FirePrint (h%, v%, a$, tilt%)
'
SCREEN 13
'
' Set up an all "red" palette
'
FOR t = 0 TO 63: PALETTE t, t: NEXT t
'
' Call the routine once for a simple "flame" effect,
' or over and over (as done here) for a great "burning"
' effect! Use uppercase for best effect.
'
DO
  CALL FirePrint(18, 12, "FIRE!", 0)
LOOP UNTIL INKEY$ <> ""

SUB FirePrint (h%, v%, a$, tilt%)
  '
  ' Print the string in bright "red"
  '
  COLOR 63: LOCATE v%, h%: PRINT a$
  '
  ' Set up start and end locations for the burn
  '
  sx% = (h% * 8) - 8: ex% = ((h% + LEN(a$)) * 8) - 8
  sy% = (v% * 8) - 16: ey% = (v% * 8) - 8
  '
  FOR y% = sy% TO ey%
    FOR x% = sx% TO ex%
      '
      ' Take the current color, subtract a random amount for
      ' red flame "fade", and plot the new point
      '
      col% = POINT(x%, y%) - RND * 25: IF col% < 0 THEN col% = 0
      '
      PSET (x% + tilt%, y% - 1), col%
      '
    NEXT x%
  NEXT y%
  '
END SUB
<PAGEEND:"Fire.Routines.File3">

<PAGESTART:"Explosion.Routines.File1">
'
' Description : Explosions - VGA mode 13 special effect
' Written by  : Andrew L. Ayers
' Date        : 10/22/96
'
' The name says it all!
'
' You may use this routine in any manner you like, as long
' as you give credit in an appropriate manner. Have phun!
'
SCREEN 13
'
' Set up arrays for our explosion data
'
DIM x(50), y(50), xv(50), yv(50), ox(50), oy(50)
'
DO
  '
  ' Initialize an explosion
  '
  FOR t% = 0 TO 50
    x(t%) = 0
    y(t%) = 0
    dir = RND * 6.28: vel = INT(RND * 5) + 1
    xv(t%) = SIN(dir) * vel
    yv(t%) = COS(dir) * vel
  NEXT t%
  '
  ' Initialize offsets and color
  '
  tx% = INT(RND * 320)
  ty% = INT(RND * 200)
  c% = 31: done% = 0
  '
  ' Print the title
  '
  LOCATE 1, 6: PRINT "Explosions by Andrew L. Ayers"
  LOCATE 23, 8: PRINT "Press any key to exit demo"
  '
  ' Explode!
  '
  DO
    '
    ' Move all the pieces
    '
    FOR t% = 0 TO 50
      '
      ' Erase an old piece
      '
      LINE (ox(t%) + tx%, oy(t%) + ty%)-(x(t%) + tx%, y(t%) + ty%), 0
      ox(t%) = x(t%): oy(t%) = y(t%)
      '
      ' Move the piece
      '
      x(t%) = x(t%) + xv(t%)
      y(t%) = y(t%) + yv(t%)
      '
      ' Draw it at new position
      '
      LINE -(x(t%) + tx%, y(t%) + ty%), c%
      '
    NEXT
    '
    ' Decrement color to "fade"
    '
    c% = c% - 1: IF c% < 16 THEN done% = 1 ' Do another explosion if done
    '
    IF INKEY$ <> "" THEN done% = 2 ' Exit on any key press
    '
    FOR dlay = 1 TO 5000: NEXT dlay ' Change to suit your machine
    '
  LOOP UNTIL done%
  '
LOOP UNTIL done% = 2
'
CLS
<PAGEEND:"Explosion.Routines.File1">

<PAGESTART:"Get.Put.File1">
'
' Description : GetShift - Mode 13 VGA Special Effect Routine
' Written by  : Andrew L. Ayers
' Date        : 09/10/96
'
' This shows off one hell of a way to achieve a very smooth and fast "scroll"
' type effect which may be useful in a game or demo. The technique I use to
' do the effect is to shift the data within the GET buffer, re-displaying it
' each time using the PSET operator. By keeping the buffer small, I can do
' the shifting relatively fast, then copy the shifted version over and over
' again on the screen to create a full screen scroll type effect!
'
' As always, if you use this in any of your creations, please consider your
' source and mention my name. Thanx, and have phun!
'
DIM a%(451), save%(24)
'
SCREEN 13
'
' Build our image
'
FOR t% = 15 TO 0 STEP -1
  '
  col% = 31 - (t% * 2)
  CIRCLE (15, 0), t%, col%
  PAINT (15, 0), col%
  '
  CIRCLE (15, 29), t%, col%
  PAINT (15, 29), col%
  '
  CIRCLE (0, 15), t%, col%
  PAINT (0, 15), col%
  '
  CIRCLE (29, 15), t%, col%
  PAINT (29, 15), col%
  '
NEXT
'
' Put it in the buffer
'
GET (0, 0)-(29, 29), a%
'
' The following is info you might find helpful
'
dbyte% = a%(0)
highbyte% = INT(dbyte% MOD 256)
lowbyte% = INT(dbyte% / 256)
wid% = INT(highbyte% / 8) ' Width of GET image in pixels
'
dbyte% = a%(1)
highbyte% = INT(dbyte% MOD 256)
lowbyte% = INT(dbyte% / 256)
hgt% = highbyte% ' Height of GET image in lines
'
' Clear off the screen
'
CLS
'
LOCATE 1, 3: PRINT "Smooth as Silk! - By Andrew L. Ayers"
'
DO
  '
  ' Shift the buffer up
  '
  FOR t% = 0 TO 14: save%(t%) = a%(2 + t%): NEXT ' Top line
  '
  ' Middle lines
  '
  FOR t% = 17 TO 451
    '
    a%(t% - 15) = a%(t%)
    '
  NEXT
  '
  FOR t% = 0 TO 14: a%(437 + t%) = save%(t%): NEXT ' Bottom line
  '
  ' Display it!
  '
  FOR y% = 0 TO 5
    '
    FOR x% = 0 TO 9
      '
      PUT (7 + x% * 30, 10 + y% * 30), a%, PSET
      '
    NEXT
    '
  NEXT
  '
LOOP UNTIL INKEY$ <> ""
<PAGEEND:"Get.Put.File1">

<PAGESTART:"Star.Simulation.File1">
'Check out the difference in speed when you turn DEFINT A-Z off !!!!
DEFINT A-Z                              'Use integers as default for speed.

'The starfield code itself is not mine.
'When I got it however, it needed some speeding up. First of all I added the
'DEFINT A-Z statement. (I use this in all my programs.)
'I also found some unnessesarry statement's and removed those too.
'Then. A friend came with a rather interresting suggestion.
'"Hey, why not add something like a comet?", "Ok, I'll try it."
'I was a little suprised when it actually worked.
'The comet code probably needs some fine-tuning (it's only in there for a day
'or so. But I'm sure somebody can find it usefull.
'Oh, almost forgot. Many thanks to the original author. I hope you recognize
'YOUR piece of the work.
'                                           BEN.

TYPE StarData
 xPos AS INTEGER                        'X position of a star.
 yPos AS INTEGER                        'Y position of a star.
 Speed AS INTEGER                       'Speed of star (Parallax effect).
 Colour AS INTEGER                      'Colour of a star.
END TYPE

TYPE CometData
 xPos AS INTEGER                        'X position of a comet.
 yPos AS INTEGER                        'Y position of a comet.
 xSpeed AS INTEGER                      'Speed of comet in X direction.
 ySpeed AS INTEGER                      'Speed of comet in Y direction.
 Visible AS INTEGER                     'Is comet visible.
 TailSize AS INTEGER                    'Length of tail in pixels.
END TYPE

CONST False = 0: True = NOT False       'Boolean constants.

'--- Program settings. ------------------------------------------------------
Stars = 100                             'Number of stars to plot ?
                                        'Adjust if starfield gets "animated"
                                        '286/20 => 100 and P100 => 600.
UseRetrace = True                       'Use retrace in VGA modes ?
CometSeed = 100                         'Create comet every ... frames.
CometHeadColor = 14                     'Colour of the comet's head.
CometTailColor = 4                      'Colour of the comet's tail.
ScrMode = 12                            'Which screenmode to use ?
'--- End program settings. --------------------------------------------------

Comets = 1                              'Number of comet's (KEEP ON 1 !!!)
OPTION BASE 1                           'Start array's with element 1.
REDIM Comet(Comets) AS CometData        'Create array for comet's
REDIM StarField(Stars) AS StarData      'Create array's for stars.
REDIM OldStarField(Stars) AS StarData

SELECT CASE ScrMode                     'Determine screen boundaries.
 CASE 0
  PRINT "Sorry, graphic modes only! Maybe next time."
  END                                   'See ya later.
 CASE 7                                 'EGA 320x200
  HorLimit = 320
  VerLimit = 200
  UseRetrace = False                    'Disable using retrace as delay.
 CASE 8                                 'EGA 640x200
  HorLimit = 640
  VerLimit = 200
  UseRetrace = False                    'Disable using retrace as delay.
 CASE 9                                 'EGA 640x350
  HorLimit = 640
  VerLimit = 350
  UseRetrace = False                    'Disable using retrace as delay.
 CASE 12                                'VGA 640x480
  HorLimit = 640
  VerLimit = 480
 CASE 13                                'VGA 320x200
  HorLimit = 320
  VerLimit = 200
 CASE ELSE                              'Anything that's NOT tested.
  PRINT "Unsupported videomode."
  END                                   'See ya later.
END SELECT

'Initialize program.
SCREEN ScrMode: RANDOMIZE (TIMER)

'Fill array with random stars...
FOR I = 1 TO Stars                      'Fill 'er up.
 StarField(I).xPos = INT(RND * HorLimit + 1)
 StarField(I).yPos = INT(RND * VerLimit + 1)
 StarField(I).Speed = INT(RND * 8 + 1)
 OldStarField(I).xPos = INT(RND * HorLimit + 1)
 OldStarField(I).yPos = INT(RND * VerLimit + 1)
 OldStarField(I).Speed = INT(RND * 8 + 1)
 SELECT CASE OldStarField(I).Speed
  CASE 0 TO 3: OldStarField(I).Colour = 8
  CASE 4 TO 7: OldStarField(I).Colour = 7
  CASE 8: OldStarField(I).Colour = 15
 END SELECT
 SELECT CASE StarField(I).Speed
  CASE 0 TO 3: StarField(I).Colour = 8
  CASE 4 TO 7: StarField(I).Colour = 7
  CASE 8: StarField(I).Colour = 15
 END SELECT
NEXT I

'Fill array with random comet...
Comet(1).xPos = INT(RND * HorLimit + 1) 'Pick a random X position.
Comet(1).yPos = 1                       'Always start on the top line.
Comet(1).xSpeed = INT(RND * 4 + 2)
Comet(1).ySpeed = INT(RND * 3 + 2)
'50% of the time the direction of the comet will be altered.
IF INT(RND * 2) = 0 THEN Comet(1).xSpeed = -Comet(1).xSpeed
Comet(1).TailSize = INT(RND * 20 + 5)

DO
 IF INT(RND * CometSeed) = 1 AND NOT CometStart THEN CometStart = -1
 FOR I = 1 TO Stars                     'Replot all the stars.
  PSET (StarField(I).xPos, StarField(I).yPos), 0
  StarField(I).xPos = StarField(I).xPos - OldStarField(I).Speed
 
  IF StarField(I).xPos <= 1 THEN        'Recalculate if star hits lower limit.
   StarField(I).xPos = HorLimit
   StarField(I).yPos = INT(RND * VerLimit + 1)    'Give star new y position.
  END IF
 
  'Enable the lines below if you plan on having a left -> right effect.
  'IF OldStarField(i).xPos >= HorLimit THEN 'Recalculate if star hits higher limit.
  ' OldStarField(i).xPos = 1
  ' OldStarField(i).yPos = INT(RND * VerLimit + 1) 'Give star new y position.
  'END IF
 
  'Put the star on screen at it's modified position.
  PSET (StarField(I).xPos, StarField(I).yPos), StarField(I).Colour
 NEXT I

 'Replot comet (This part is needed when the head is NOT off the screen.)
 IF CometStart AND NOT CleanTail THEN
  PSET (Comet(1).xPos, Comet(1).yPos), CometTailColor
  Comet(1).xPos = INT(Comet(1).xPos + Comet(1).xSpeed)
  Comet(1).yPos = INT(Comet(1).yPos + Comet(1).ySpeed)
  IF Comet(1).xPos >= HorLimit OR Comet(1).xPos <= 1 OR Comet(1).yPos >= VerLimit THEN
   CleanTail = True                     'Start removing the tail.
  ELSE
   PSET (Comet(1).xPos, Comet(1).yPos), CometHeadColor
   TailxPos = Comet(1).xPos - INT(Comet(1).TailSize * Comet(1).xSpeed)
   TailyPos = Comet(1).yPos - INT(Comet(1).TailSize * Comet(1).ySpeed)
   IF TailxPos >= 1 AND TailyPos >= 1 THEN PSET (TailxPos, TailyPos), 0
  END IF
 END IF
 'Remove the rest of the tail if the head is moved off the screen.
 IF CleanTail THEN
  TailxPos = INT(Comet(1).xPos - Comet(1).TailSize * Comet(1).xSpeed)
  TailyPos = INT(Comet(1).yPos - Comet(1).TailSize * Comet(1).ySpeed)
  Comet(1).TailSize = Comet(1).TailSize - 1
  IF TailxPos >= 1 AND TailyPos >= 1 THEN PSET (TailxPos, TailyPos), 0
 
  'Create a new comet.
  IF TailxPos >= HorLimit OR TailxPos <= 1 OR TailyPos >= VerLimit THEN
   Comet(1).xPos = INT(RND * HorLimit + 1) 'Pick a random X position.
   Comet(1).yPos = 1                    'Always start on the top line.
   Comet(1).xSpeed = INT(RND * 4 + 2)
   Comet(1).ySpeed = INT(RND * 3 + 2)
   IF INT(RND * 2) = 0 THEN Comet(1).xSpeed = -Comet(1).xSpeed
   Comet(1).TailSize = INT(RND * 20 + 5)
   CometStart = False
   CleanTail = False
  END IF
 END IF

 'Using the Vertical Retrace (VGA+ only) keeps the program from being
 'affected by the number of stars to print. If you use 100 or 500 stars on
 'a P100 doesn't matter. The VR will keep everything going at the same speed.
 '(Within certain boundaries). This method works great when used on anything
 'faster then my old 286 :-). I think it has something to do with the
 'frequency of the monitor. SVGA's have a much smoother parallax effect.

 IF UseRetrace THEN WAIT &H3DA, 8    'Wait for VGA vertical retrace.

 'Put your nice scrolly or something over here.
 'LOCATE 14, 30: PRINT "Starfield Simulation..."
LOOP UNTIL INKEY$ <> ""
<PAGEEND:"Star.Simulation.File1">

<PAGESTART:"Tsr.Program.File">
'Ok, here's the source code to a TSR that will make a small screen saver pop up
'every time you hit the printscreen key. You can make other types of tsr's with 
'this also, all you have to do is hook the right interrupts.
'I don't really want to explain how to use this source, so for the most part, 
'you'll have to figure it out for yourself. One thing you should know though...

'In the program introduction (The part where I wrote A = 1000: B = 1000 etc.) 
'you should put any variables that you plan on using. For example. if you are 
'using A as a variable in your program, and the biggest possible number that 
'will ever be in A is 1000, you'd type A = 1000. Same goes for string 
'variables. If you are going to use A$, and the contents of A$ is never going 
'to exceed 1000 characters, you'd put A$ = SPACE$(1000)
'On line 20000, there is a place on the line where there is a number. You can 
'use the number that is there, or the number that is on the same line commented
'out... Using one number will cause the computer to continue what it was doing

'after doing what the TSR told it to, the other one will do what the tsr told 
'it to do, and abort any other processes. For example, in my screensaver 
'thingy... one number will cause the screen saver to popup when you hit 
'printscreen, and then return to DOS when you hit a key, the other number will 
'cause the screensaver to popup, and return to dos, AND print the screen when 
'you hit a key.
'Also, you will notice in the source that it creates a small .COM file, 
'runs it with a shell command, and then kills it. This is unavoidable...
'Load QUickbasic with the /L switch.
'Do *NOT* run the TSR source from the environment
'Always compile into the Stand-Alone format.
'And last but not least: I wrote the screensaver, but I did not write the TSR 
'source itself.
'Um, I guess that's it. Here it is. Not the best, but the closest I've seen to 
'a QuickBasic TSR...
'--------------------------------------------------------------
'                       TSR_IN_BASIC
'                   QuickBasic version
'              start QB with"/lqb" switch
1    '  start introduction program here
'
A = 1000: B = 1000: C = 1000: D = 1000: I = 1000: COL = 1000: MP = 1000: Z = 1000
6999 '  end introduction program here
'
7000 '  set-up program
'
7010    DIM GMMCKAY%(600)
GMMCKAY%(600) = 0: GMMCKAY%(599) = 0: GMMCKAY% = 0: GMMCKAY$ = "00"

GMMCKAY%(598) = VARPTR(GMMCKAY%(0))
DEF SEG = VARSEG(GMMCKAY%(0))
FOR GMMCKAY% = 0 TO 800
READ GMMCKAY$
POKE GMMCKAY%(598) + GMMCKAY%, VAL("&H" + GMMCKAY$)
NEXT GMMCKAY%
IF GMMCKAY$ <> "00" THEN PRINT "error loading program": STOP

7500    GMMCKAY%(597) = 1'  *** first interrupt ***
7520    GMMCKAY%(598) = 5
7540    GOSUB 9000

7600 '  GMMCKAY%(597)=2  '  *** second interrupt ***
7620 '  GMMCKAY%(598)=5
7640 '  GOSUB 9000

7700 '  GMMCKAY%(597)=3  ' ** third interrupt ***
7720 '  GMMCKAY%(598)=5
7740 '  GOSUB 9000

8140    DEF SEG = VARSEG(GMMCKAY%(0))
GMMCKAY% = VARPTR(GMMCKAY%(0))

8160    CALL absolute(GMMCKAY%) ' call set-up
IF GMMCKAY%(599) = 1 THEN 10000
GMMCKAY%(599) = 1
LOCATE , , 1
Z = FREEFILE: OPEN "CS.COM" FOR OUTPUT AS Z
PRINT #Z, "Ȼ" + CHR$(0) + CHR$(0) + ">" + CHR$(0) + "L!";
CLOSE Z
SHELL "CS.COM"
KILL "CS.COM"
GMMCKAY% = VARPTR(GMMCKAY%(0)) + 763
DEF SEG = VARSEG(GMMCKAY%(0))
8340    CALL absolute(GMMCKAY%) ' terminate as TSR
GOTO 10000
9000    GMMCKAY% = VARPTR(GMMCKAY%(0)) + 643
DEF SEG = VARSEG(GMMCKAY%(0))
9040    CALL absolute(GMMCKAY%(598), GMMCKAY%(597), GMMCKAY%)' call interrupt  .......
9060    RETURN
'
10000 ' start TSR program here

SCREEN 12
RANDOMIZE TIMER
DO
A = INT(RND * 640)
B = INT(RND * 480)
C = INT(RND * 640)
D = INT(RND * 480)
COL = INT(RND * 15)
FOR I = A TO INT(RND * (640 - A))
Z = INT(RND * 3) + 1
MP = INT(RND * 2)
SELECT CASE Z
CASE 1: C = C + 1
CASE 2: D = D + 1
CASE 3: B = B + 1
END SELECT
LINE (A, B)-(C, D), COL
NEXT I
LOOP WHILE INKEY$ = ""
SCREEN 0
CLS

19999 ' end TSR program here
'
20000   GMMCKAY% = 437'**** or have GMMCKAY%=551
20020   GMMCKAY% = GMMCKAY% + VARPTR(GMMCKAY%(0))
DEF SEG = VARSEG(GMMCKAY%(0))
20060   CALL absolute(GMMCKAY%) ' return to original program
GOTO 10000
20100   END

31000  '      GMMCKAY%() data statements
31001  DATA  9C,56,E8,00,00,5E,81,C6,7B,03,2E,8C,5C,08,0E
31002  DATA  1F,89,04,89,5C,02,89,4C,04,89,54,06,8C,54,0A
31003  DATA  8C,44,0C,58,89,44,0E,89,7C,10,89,6C,12,58,89
31004  DATA  44,16,B9,30,00,89,F0,05,60,00,05,18,00,07,89
31005  DATA  C7,29,CF,29,CF,8C,05,E2,F5,89,64,14,B8,00,00
31006  DATA  89,84,30,01,E9,A1,00,90,9C,56,E8,00,00,5E,81
31007  DATA  C6,28,03,2E,89,44,78,58,2E,89,44,7A,58,2E,89
31008  DATA  44,7C,2E,8B,84,30,01,3D,00,00,74,1C,2E,8B,84
31009  DATA  02,01,50,2E,8B,84,00,01,50,2E,8B,44,7C,50,2E
31010  DATA  8B,44,78,2E,8B,74,7A,9D,CB,90,B8,01,00,2E,89
31011  DATA  84,30,01,2E,8C,9C,88,00,0E,1F,90,90,8B,44,78
31012  DATA  89,84,80,00,8B,44,7C,89,84,96,00,8B,44,7A,89
31013  DATA  84,8E,00,89,9C,82,00,89,8C,84,00,89,94,86,00
31014  DATA  8C,94,8A,00,8C,84,8C,00,89,BC,90,00,89,AC,92
31015  DATA  00,B9,30,00,89,F0,05,60,00,05,98,00,07,89,C7
31016  DATA  29,CF,29,CF,8C,05,E2,F5,89,A4,94,00,8E,54,0A
31017  DATA  8B,64,14,B9,30,00,89,F0,05,16,00,89,C7,01,CF
31018  DATA  01,CF,8E,05,06,E2,F5,8B,6C,12,8B,7C,10,8E,44
31019  DATA  0C,8B,54,06,8B,4C,04,8B,5C,02,8B,44,16,50,8B
31020  DATA  44,0E,50,8B,04,8E,5C,08,5E,9D,FB,CB,90,90,9C
31021  DATA  56,E8,00,00,5E,81,C6,50,02,2E,89,44,78,58,2E
31022  DATA  89,44,7A,58,2E,89,44,7C,2E,8B,84,30,01,3D,00
31023  DATA  00,74,1C,2E,8B,84,06,01,50,2E,8B,84,04,01,50
31024  DATA  2E,8B,44,7C,50,2E,8B,44,78,2E,8B,74,7A,9D,CB
31025  DATA  90,B8,02,00,E9,25,FF,90,9C,56,E8,00,00,5E,81
31026  DATA  C6,0B,02,2E,89,44,78,58,2E,89,44,7A,58,2E,89
31027  DATA  44,7C,2E,8B,84,30,01,3D,00,00,74,1C,2E,8B,84
31028  DATA  0A,01,50,2E,8B,84,08,01,50,2E,8B,44,7C,50,2E
31029  DATA  8B,44,78,2E,8B,74,7A,9D,CB,90,B8,03,00,E9,E0
31030  DATA  FE,90,E8,00,00,5E,81,C6,C8,01,0E,1F,8E,94,8A
31031  DATA  00,8B,A4,94,00,B9,30,00,89,F0,05,96,00,89,C7
31032  DATA  01,CF,01,CF,8E,05,06,E2,F5,8B,AC,92,00,8B,BC
31033  DATA  90,00,8E,84,8C,00,8B,94,86,00,8B,8C,84,00,8B
31034  DATA  84,30,01,01,C0,01,C0,01,F0,BB,FE,00,01,C3,8B
31035  DATA  07,50,8B,47,FE,90,90,50,8B,9C,82,00,8B,84,96
31036  DATA  00,50,FA,B8,00,00,89,84,30,01,8B,84,80,00,8E
31037  DATA  9C,88,00,2E,8B,B4,8E,00,9D,CB,90,E8,00,00,5E
31038  DATA  81,C6,56,01,0E,1F,8E,94,8A,00,8B,A4,94,00,B9
31039  DATA  30,00,89,F0,05,96,00,89,C7,01,CF,01,CF,8E,05
31040  DATA  06,E2,F5,8B,AC,92,00,8B,BC,90,00,8E,84,8C,00
31041  DATA  8B,94,86,00,8B,8C,84,00,90,8B,9C,82,00,8B,84
31042  DATA  96,00,50,FA,B8,00,00,89,84,30,01,8B,84,80,00
31043  DATA  8E,9C,88,00,2E,8B,B4,8E,00,9D,FB,CF,90,E8,00
31044  DATA  00,5E,81,C6,FA,00,2E,8C,9C,A0,00,0E,1F,8C,84
31045  DATA  A2,00,89,AC,A4,00,89,BC,A6,00,89,E5,8B,7E,06
31046  DATA  8A,05,B4,35,CD,21,89,F2,8B,7E,04,8B,0D,83,F9
31047  DATA  01,75,0E,89,9C,00,01,8C,84,02,01,81,EA,2D,03
31048  DATA  EB,1F,83,F9,02,75,0E,89,9C,04,01,8C,84,06,01
31049  DATA  81,EA,55,02,EB,0C,89,9C,08,01,8C,84,0A,01,81
31050  DATA  EA,10,02,B4,25,CD,21,8B,AC,A4,00,8B,BC,A6,00
31051  DATA  8E,84,A2,00,8E,9C,A0,00,CA,04,00,90,90,B4,62
31052  DATA  CD,21,B8,00,00,8E,C0,26,A1,FE,03,29,D8,89,C2
31053  DATA  B8,00,31,CD,21,90,90,90,90,00,00,00,00,00,00
31054  DATA  00,00,00,00,00,00
31055  '         end GMMCKAY%() data statments
<PAGEEND:"Tsr.Program.File">

<PAGESTART:"Melt.Screen.File1">
DECLARE SUB SetRGB (Nr%, r%, g%, b%)
DECLARE SUB RenderCircle (x%, y%, r%, colstart%, a!)
' SUMMER.BAS - FREEWARE by Robert Seidel rseidel@ifk.uni-jena.de

'  
'                                                      
'  This file was found at Robert's HomePage !          
'                                                      
'  Come and visit me if you are interested in:         
'                                                      
'   PowerBASIC, QBASIC, POVRAY, POVLAB,                
'     FREE 3D Studio IPAS, PICTURES,                   
'       FREEWARE, GAME Levels                          
'         AND A LOT OF LINKS !                         
'                                                      
'   http://www.uni-jena.de/~p6sepa/rshp.html  ___      
'                                            (o o)     
'                                        oOo ( O ) oOo 
'  


DEFINT A-Z
DIM melt(2400)

SCREEN 13
RANDOMIZE TIMER

FOR i = 0 TO 63 'Palette
  SetRGB i, 64 - i, 64 - i, 64 - i 'grau
  SetRGB i + 64, i, 0, 0 'rot
  SetRGB i + 128, 63, i, 0 'rot-orange
NEXT

FOR i = 1 TO 50 'Schnee
  LINE (0, i + 150)-(320, i + 150), i
NEXT

RenderCircle 160, 158, 50, 1, .8 'Schneemannkrper
RenderCircle 160, 95, 35, 1, .8
RenderCircle 160, 50, 25, 1, .8
RenderCircle 149, 45, 3, 58, 1.2 'Augen
RenderCircle 169, 46, 3, 58, 1.2
FOR i = 85 TO 205 STEP 25 'Knpfe
  RenderCircle 155 + RND * 2, i, 2, 50 + RND * 4, 1
NEXT
CIRCLE (160, 93), 40, 0, 1.2, 1.8 'Mund
CIRCLE (160, 94), 40, 0, 1.2, 1.8
FOR i = 147 TO 177
  LINE (i, 9)-(i - 2, 32), i - 130 'Hut
NEXT
LINE (135, 32)-(184, 34), 30
FOR x = 16 TO 1 STEP -1 'Nase
  RenderCircle 142 + x, 59 - x / 2.5, x \ 4, 128 - x * 2, 1
NEXT

SLEEP 'Pause

'SCHMELZEFFEKT:
FOR i = 1 TO 4000
  x = RND * 271
  y = RND * 150
  GET (x, y)-(x + 48, y + 48), melt
  PUT (x, y + 1), melt, PSET
NEXT i

RenderCircle 160, 100, 60, 128, 1 'Sonne
RenderCircle 140, 80, 7, 55, 1 'Augen
RenderCircle 180, 80, 7, 55, 1
CIRCLE (160, 80), 50, 60, 4, 5.5 'Mund
CIRCLE (160, 88), 50, 60, 3.6, 5.8, 1.3

SLEEP 'Pause

SUB RenderCircle (x, y, r, colstart, a!)
  FOR i = r TO 0 STEP -1
    CIRCLE (x, y), i, (colstart + i), , , a!
    PAINT (x, y), (colstart + i)
  NEXT
END SUB

SUB SetRGB (Nr, r, g, b)
  OUT &H3C8, Nr
  OUT &H3C9, r
  OUT &H3C9, g
  OUT &H3C9, b
END SUB
<PAGEEND:"Melt.Screen.File1">

<PAGESTART:"Plasma.Routines.File1">
'
' Description : Quadratic Plasma
' Written by  : Andrew L. Ayers
' Date        : 10/23/96
'
' This is a program to create quadratic plasma (I am unsure on
' the name here. I know I am not using quadratic equations, but
' hey, call it what you want). The images are formed using only
' math - no recursion, SIN/COS warping, or random numbers. What
' comes out is a very nice display. On machines without a co-
' processor, this may take a little while. Have phun!
'
DECLARE SUB ReadRGB (red%, grn%, blu%, slot%)
DECLARE SUB WriteRGB (red%, grn%, blu%, slot%)
DECLARE SUB SetPal (start.slot%, end.slot%)
'
DIM oldr%(255), oldg%(255), oldb%(255)
'
SCREEN 13
'
' Save old palette
'
FOR t% = 0 TO 255
  CALL ReadRGB(oldr%(t%), oldg%(t%), oldb%(t%), t%)
NEXT t%
'
' Create a custom 63 color palette
'
CALL WriteRGB(63, 63, 63, 1)
CALL WriteRGB(63, 0, 0, 15)
CALL WriteRGB(0, 63, 0, 31)
CALL WriteRGB(0, 0, 63, 47)
CALL WriteRGB(63, 63, 63, 63)
'
CALL SetPal(1, 15)
CALL SetPal(15, 31)
CALL SetPal(31, 47)
CALL SetPal(47, 63)
'
' Display quadratic plasma
'
' Try different numbers (greater than 1) for scale!
'
'scale = 1
'scale = 10
scale = 100
'scale = 250
'
FOR y = -100 * scale TO 100 * scale STEP 1 * scale
  '
  h% = 0
  '
  FOR x = -160 * scale TO 160 * scale STEP 1 * scale
    '
    h% = h% + 1
    '
    ' Try out these equations for different effects!
    '
    c% = (SQR(x * x + y * y) AND 62) + 1
    'c% = ((SQR(x * x) + SQR(y * y)) AND 62) + 1
    'c% = (SQR(ABS(x * y) + ABS(x * y)) AND 62) + 1
    'c% = (SQR(ABS(x * x - y * y)) AND 62) + 1
    PSET (h%, v%), c%
  NEXT
  '
  GOSUB MovePalette ' Remove this line if your machine lacks a coprocessor
  v% = v% + 1
  '
NEXT
'
' Move the palette for a cool effect!
'
DO
  GOSUB MovePalette
  FOR delay = 1 TO 1000: NEXT delay' Adjust for your machine
LOOP UNTIL INKEY$ <> ""
'
CLS
'
' Reset original RGB values
'
FOR t% = 0 TO 255
  CALL WriteRGB(oldr%(t%), oldg%(t%), oldb%(t%), t%)
NEXT t%
'
STOP
'
MovePalette:
  '
  CALL ReadRGB(ored%, ogrn%, oblu%, 1)
  '
  FOR t% = 1 TO 62
    CALL ReadRGB(red%, grn%, blu%, t% + 1)
    CALL WriteRGB(red%, grn%, blu%, t%)
  NEXT
  '
  CALL WriteRGB(ored%, ogrn%, oblu%, 63)
  '
RETURN

SUB ReadRGB (red%, grn%, blu%, slot%)
  '
  OUT &H3C7, slot% ' Read RGB values from slot
  '
  red% = INP(&H3C9)
  grn% = INP(&H3C9)
  blu% = INP(&H3C9)
  '
END SUB

SUB SetPal (start.slot%, end.slot%)
  '
  num.slots% = end.slot% - start.slot%
  '
  CALL ReadRGB(sr%, sg%, sb%, start.slot%)
  CALL ReadRGB(er%, eg%, eb%, end.slot%)
  '
  rr% = ABS(er% - sr%): rg% = ABS(eg% - sg%): rb% = ABS(eb% - sb%)
  rs% = SGN(er% - sr%): gs% = SGN(eg% - sg%): bs% = SGN(eb% - sb%)
  '
  stepr = (rr% / num.slots%) * rs%
  stepg = (rg% / num.slots%) * gs%
  stepb = (rb% / num.slots%) * bs%
  '
  r = sr%: g = sg%: b = sb%
  wr% = r: wg% = g: wb% = b
  '
  FOR t% = start.slot% TO end.slot%
    '
    CALL WriteRGB(wr%, wg%, wb%, t%)
    '
    r = r + stepr: wr% = r
    g = g + stepg: wg% = g
    b = b + stepb: wb% = b
    '
  NEXT t%
  '
END SUB

SUB WriteRGB (red%, grn%, blu%, slot%)
  '
  OUT &H3C8, slot% ' Write RGB values to slot
  '
  OUT &H3C9, red%
  OUT &H3C9, grn%
  OUT &H3C9, blu%
  '
END SUB
<PAGEEND:"Plasma.Routines.File1">

<PAGESTART:"Plasma.Routines.File2">
'I synched the program execution to the vertical retrace.
'This keeps the display speed constant on nearly any system.
'_|_|_|   DEMYST.BAS
'_|_|_|   A program that demystifies the mystify screen saver.
'_|_|_|   No warrantee or guarantee is given or implied.
'_|_|_|   Released to   PUBLIC DOMAIN   by Kurt Kuzba.  (6/11/96)
DEFINT A-Z
SCREEN 12: RANDOMIZE (TIMER * 1000)
TYPE IntersectPoints
   x AS INTEGER: y AS INTEGER: dx AS INTEGER: dy AS INTEGER: END TYPE
DIM lnx(60) AS IntersectPoints
lnx(0).x = 0: lnx(0).y = 0: lnx(0).dx = 0: lnx(0).dy = 0
FOR T = 1 TO 59: lnx(T) = lnx(0): NEXT
DO
   WHILE ((INP(&H3DA)) AND 8) <> 0: WEND  'Here's where I keep the speed
   WHILE ((INP(&H3DA)) AND 8) = 0: WEND   'constant for almost all systems
   FOR L = 0 TO 5
      IF lnx(L).x < 1 THEN lnx(L).dx = 2 + ((RND * 999) MOD 4)
      IF lnx(L).y < 1 THEN lnx(L).dy = 2 + ((RND * 999) MOD 4)
      IF lnx(L).x > 638 THEN lnx(L).dx = -(2 + ((RND * 999) MOD 4))
      IF lnx(L).y > 478 THEN lnx(L).dy = -(2 + ((RND * 999) MOD 4))
      lnx(L).x = lnx(L).x + lnx(L).dx: lnx(L).y = lnx(L).y + lnx(L).dy
   NEXT
   FOR L = 0 TO 5
      IF (L MOD 3) <> 0 THEN
         S = L + 54: F = ((L + 1) MOD 6) + 54
         LINE (lnx(S).x, lnx(S).y)-(lnx(F).x, lnx(F).y), 0
      END IF
      S = L + 48: F = ((L + 1) MOD 6) + 48
      LINE (lnx(S).x, lnx(S).y)-(lnx(F).x, lnx(F).y), 1
      S = L + 42: F = ((L + 1) MOD 6) + 42
      LINE (lnx(S).x, lnx(S).y)-(lnx(F).x, lnx(F).y), 1
      S = L + 36: F = ((L + 1) MOD 6) + 36
      LINE (lnx(S).x, lnx(S).y)-(lnx(F).x, lnx(F).y), 1
      S = L + 30: F = ((L + 1) MOD 6) + 30
      LINE (lnx(S).x, lnx(S).y)-(lnx(F).x, lnx(F).y), 9
      S = L + 24: F = ((L + 1) MOD 6) + 24
      LINE (lnx(S).x, lnx(S).y)-(lnx(F).x, lnx(F).y), 9
      S = L + 18: F = ((L + 1) MOD 6) + 18
      LINE (lnx(S).x, lnx(S).y)-(lnx(F).x, lnx(F).y), 11
      S = L + 12: F = ((L + 1) MOD 6) + 12
      LINE (lnx(S).x, lnx(S).y)-(lnx(F).x, lnx(F).y), 11
      S = L + 6: F = ((L + 1) MOD 6) + 6
      LINE (lnx(S).x, lnx(S).y)-(lnx(F).x, lnx(F).y), 15
      E = (L + 1) MOD 6
      LINE (lnx(L).x, lnx(L).y)-(lnx(E).x, lnx(E).y), 15
   NEXT
   FOR L = 0 TO 5
      lnx(L + 54) = lnx(L + 48): lnx(L + 48) = lnx(L + 42)
      lnx(L + 42) = lnx(L + 36): lnx(L + 36) = lnx(L + 30)
      lnx(L + 30) = lnx(L + 24): lnx(L + 24) = lnx(L + 18)
      lnx(L + 18) = lnx(L + 12): lnx(L + 12) = lnx(L + 6)
      lnx(L + 6) = lnx(L): NEXT
LOOP WHILE INKEY$ = "": SCREEN 0
'_|_|_|   end   DEMYST.BAS
<PAGEEND:"Plasma.Routines.File2">

<PAGESTART:"Plasma.Routines.File3">
'
' Description : Spinner - Mode 13 VGA Special Effect Routine
' Written by  : Andrew L. Ayers
' Date        : 10/15/96
'
' This routine doesn't show anything special, code-wise, but it does
' look interesting all the same...
'
' As always, if you use this in any of your creations, please consider your
' source and mention my name. Thanx, and have phun!
'
SCREEN 13
'
x1% = 160: y1% = 100: colr% = 16
'
DO
  '
  FOR t% = 0 TO 319
    '
    LINE (x1%, y1%)-(t%, 0), colr%
    '
    colr% = colr% + 1: IF colr% > 47 THEN colr% = 17
    '
  NEXT
  '
  FOR t% = 0 TO 199
    '
    LINE (x1%, y1%)-(319, t%), colr%
    '
    colr% = colr% + 1: IF colr% > 47 THEN colr% = 16
    '
  NEXT
  '
  FOR t% = 319 TO 0 STEP -1
    '
    LINE (x1%, y1%)-(t%, 199), colr%
    '
    colr% = colr% + 1: IF colr% > 47 THEN colr% = 16
    '
  NEXT
  '
  FOR t% = 199 TO 0 STEP -1
    '
    LINE (x1%, y1%)-(0, t%), colr%
    '
    colr% = colr% + 1: IF colr% > 47 THEN colr% = 16
    '
  NEXT
  '
LOOP UNTIL INKEY$ <> ""
'
CLS
<PAGEEND:"Plasma.Routines.File3">

<PAGESTART:"Plasma.Routines.File4">
'Vortex 2
'By Ryan White
'See kiddies, sugar does do the world some good!!!  Or at least it did me.
'I think if you put a spiraler routine into the start and end of the circle,
'you could get a really awsome effect.  Enjoy!  8')

SCREEN 13
DEFINT A-W
CLS
DIM c(255, 2), co(255, 2)
FOR n = 0 TO 15
c(n, 0) = n * 4: c(n, 1) = n * 4: c(n, 2) = n * 4: c(n + 16, 0) = 63: c(n + 16, 1) = 63 - n * 4: c(n + 16, 2) = 63 - n * 4: c(n + 32, 0) = 63: c(n + 32, 1) = n * 2: c(n + 32, 2) = 0
c(n + 48, 0) = 63: c(n + 48, 1) = n * 2 + 31: c(n + 48, 2) = 0: c(n + 64, 0) = 63 - n * 4: c(n + 64, 1) = 63: c(n + 64, 2) = 0: c(n + 80, 0) = 0: c(n + 80, 1) = 63 - n * 2: c(n + 80, 2) = n * 4
c(n + 96, 0) = 0: c(n + 96, 1) = 32 - n * 2: c(n + 96, 2) = 60: c(n + 112, 0) = n * 3: c(n + 112, 1) = 0: c(n + 112, 2) = 60: c(n + 128, 0) = 45 - n * 3: c(n + 128, 1) = 0: c(n + 128, 2) = 60
c(n + 144, 0) = 0: c(n + 144, 1) = n * 2: c(n + 144, 2) = 60: c(n + 160, 0) = 0: c(n + 160, 1) = 30 + n * 2: c(n + 160, 2) = 60 - n * 4: c(n + 176, 0) = n * 4: c(n + 176, 1) = 63: c(n + 176, 2) = 0
c(n + 192, 0) = 63: c(n + 192, 1) = 60 - n * 2: c(n + 192, 2) = 0: c(n + 208, 0) = 63: c(n + 208, 1) = 30 - n * 2: c(n + 208, 2) = 0: c(n + 224, 0) = 60 - n * 2: c(n + 224, 1) = n * 2: c(n + 224, 2) = n * 2
c(n + 240, 0) = 30 - n * 2: c(n + 240, 1) = 30 - n * 2: c(n + 240, 2) = 30 - n * 2: NEXT n: FOR n = 1 TO 255: OUT &H3C8, n: FOR m = 0 TO 2: OUT &H3C9, c(n, m): NEXT m: NEXT n

n = 0: x = 5
FOR I = 200 TO 40 STEP -1: n = n + 1: IF n = 256 THEN n = 1
x = x / 1.003: FOR j = 1 TO 10: CIRCLE (160, I), x, n, , , .5: x = x * 1.003: NEXT j
NEXT I

n = 255: x = 5
FOR I = -10 TO 160: n = n - 1: IF n = 0 THEN n = 255
x = x / 1.003: FOR j = 1 TO 10:
CIRCLE (160, I), x, n, 0, 1, .5: CIRCLE (160, I), x, n, 2, 3, .5:
CIRCLE (160, I), x, n, 4, 5.5, .5: x = x * 1.003: NEXT j
NEXT I

DO UNTIL INKEY$ <> ""
FOR n = 1 TO 255: OUT &H3C7, n: FOR m = 0 TO 2: co(n, m) = INP(&H3C9): NEXT m: NEXT n
c(255, 0) = co(1, 0): c(255, 1) = co(1, 1): c(255, 2) = co(1, 2)
FOR n = 1 TO 254: FOR m = 0 TO 2: c(n, m) = co(n + 1, m): NEXT m: NEXT n
FOR n = 1 TO 255: OUT &H3C8, n: FOR m = 0 TO 2: OUT &H3C9, c(n, m): NEXT m: NEXT n
LOOP
<PAGEEND:"Plasma.Routines.File4">

<PAGESTART:"MB.Music.File">
ON PLAY(2) GOSUB MORE
SCREEN 1

PLAY ON

PLAY "T160 MB ML L8 O4 E E- E E- E <B >D C <A"
PLAY "O2 E A >C E A B"
PLAY "O2 E G# >E G# B >C"

PLAY "O2 E A >E"
STANZA% = 1

DO
X1 = RND * 320
X2 = RND * 320
Y1 = RND * 200
Y2 = RND * 200
COL = INT(RND * 4)
LINE (X1, Y1)-(X2, Y2), COL, B
LOOP WHILE INKEY$ = ""

PLAY OFF
DO
LOOP WHILE PLAY(0) > 0
CLS
END

MORE:
IF STANZA% = 1 THEN
STANZA% = 2
PLAY "MB ML L8 O4 E E- E E- E <B >D C A<"
PLAY "O2 E A >C E A B"
PLAY "O2 E G# >E >C <B A2. L8 N0"
ELSE
SATNZA% = 1
PLAY "MB ML L8 O4 E E- E E- E <B >D C <A"
PLAY "O2 E A >C E A B"
PLAY "O2 E G# >E G# B >C"
PLAY "O2 E A >E"
END IF
RETURN
<PAGEEND:"MB.Music.File">

<PAGESTART:"VGA.Pan.File1">
' Greetings, fellow BASIC programmers.
' I just finished working out how to do pixel-by-pixel scrolling
' on a VGA card and I thought that this might interest some of
' you, so here's a quick demo. What this code does is this: it
' creates a virtual screen much larger than the usual SCREEN 12
' 640x480, then prints graphics to this larger virtual screen.
' When you press a key, the graphics stop being printed and you
' can use the arrow keys to pan around and observe different
' parts of the virtual screen.

' When the VGA card sets up a screen mode, the Offset Register
' &H3D5, index &H13 contains the amount of display memory to be
' used per horizontal scan line. The virtual screen is made wider
' than the ordinary screen by increasing this value. The Start
' Address High and Start Address Low registers, &H3D5 index &HC
' & &HD contain the MSB and LSB respectively of the address in
' video memory where the displayed screen begins. Increasing or
' decreasing this value by 1 pans the screen left or right by
' 8 pixels. Changing this value by the amount of memory per scan
' line pans the screen up or down. Notice that horizontal panning
' by this method alone moves the screen 8 pixels at a time. To
' pan horizontally a pixel at a time involves the Horizontal
' PEL Panning register &H3C0 index &H13. Rotating the values of
' this register from 0 through 7 pans the screen pixel-column 
' by pixel-column. Note that this register must only be changed
' during a vertical retrace and that an INP(&H3DA) command must
' preceed a change to this register. Also, bit 5 must always be
' set.

' It is worth noting also that the normal BASIC graphics commands
' will not work on the larger virtual screen, so I have provided
' my own code to create the graphics in this demo. While the code
' for these graphics commands is good, it is just BASIC and is 
' not necessarily optimised, so I realized that it is slow. That
' particular aspect is not the focus of this demo.

 DECLARE SUB QPrint (X%, Y%, Text$, Culler%)
 DECLARE SUB DrawCircle (X%, Y%, Radius%, Culler%)
 DECLARE SUB PutPixel (X%, Y%, Culler%)
 DECLARE SUB DrawLine (X1%, Y1%, X2%, Y2%, Culler%)
 DEFINT A-Z
 REDIM BitMask%(0 TO 7)
 Mask% = 128
 FOR Bit% = 0 TO 7
   BitMask%(Bit%) = Mask%: Mask% = Mask% \ 2
 NEXT

 RANDOMIZE TIMER
 SCREEN 12: ScrnWid% = 640: ScrnHgt% = 480

 'the width of the virtual screen in pixels:
 VScrnWid% = 832
 'In SCREEN 12, the following must be true:
 '  VScrnWid% must be equal to or greater than 640
 '  VScrnWid% must be less than or equal to 1088
 '  VScrnWid% must be evenly divisible by 16
 HPanLimit% = VScrnWid% - ScrnWid%
 BytesPerLine% = VScrnWid% \ 8

 'the height of the virtual screen in pixels:
 VScrnHgt% = 624
 'In SCREEN 12, the following must be true:
 '  VScrnHgt% must be equal to or greater than 480
 '  VScrnHgt% must be less than or equal to 819
 '  The product of VScrnHgt% multiplied by VScrnWid% must be less
 '      than or equal to 524288
 VPanLimit% = VScrnHgt% - ScrnHgt%

 'create the virtual screen:
 OUT &H3D4, &H13: OUT &H3D5, VScrnWid% \ 16

 'put up some graphics
 MinX% = 0: MaxX% = VScrnWid% - 1
 MinY% = 0: MaxY% = VScrnHgt% - 1
 CALL DrawLine(MinX%, MinY%, MaxX%, MinY%, 1)
 CALL DrawLine(MaxX%, MinY%, MaxX%, MaxY%, 2)
 CALL DrawLine(MaxX%, MaxY%, MinX%, MaxY%, 3)
 CALL DrawLine(MinX%, MaxY%, MinX%, MinY%, 4)

 RR% = VScrnHgt%: IF VScrnWid% < VScrnHgt% THEN RR% = VScrnWid%
 DO UNTIL LEN(INKEY$)
   X1% = INT(RND * VScrnWid%)
   Y1% = INT(RND * VScrnHgt%)
   X2% = INT(RND * VScrnWid%)
   Y2% = INT(RND * VScrnHgt%)
   C% = INT(RND * 14) + 1
   CALL DrawLine(X1%, Y1%, X2%, Y2%, C%)
   R% = INT(RND * (RR% \ 4))
   X1% = INT(RND * (VScrnWid% - R% * 2)) + R%
   Y1% = INT(RND * (VScrnHgt% - R% * 2)) + R%
   C% = INT(RND * 14) + 1
   CALL DrawCircle(X1%, Y1%, R%, C%)
 LOOP
 CALL QPrint(8, 8, "Upper Left", 15)
 CALL QPrint(VScrnWid% - 96, 8, "Upper Right", 15)
 CALL QPrint(8, VScrnHgt% - 16, "Lower Left", 15)
 CALL QPrint(VScrnWid% - 96, VScrnHgt% - 16, "Lower Right", 15)

 'allow the user to pan around the virtual screen
 X% = 0: Y% = 0
 DO
  DO WHILE LEN(INKEY$): LOOP
  DO: KP$ = INKEY$: LOOP UNTIL LEN(KP$)
  KP% = ASC(KP$): IF KP% = 0 THEN KP% = -ASC(MID$(KP$, 2))
  SELECT CASE KP%
    CASE 27
      EXIT DO
    CASE 52, -75  'Four, LArrow
      IF X% > 0 THEN
        X% = X% - 1
        DO: LOOP WHILE (INP(&H3DA) AND 8) = 0
        OUT &H3C0, &H33: OUT &H3C0, X% MOD 8
      ELSE
        BEEP
      END IF
    CASE 54, -77   'Six, RArrow
      IF X% < HPanLimit% THEN
        X% = X% + 1
        DO: LOOP WHILE (INP(&H3DA) AND 8) = 0
        OUT &H3C0, &H33: OUT &H3C0, X% MOD 8
      ELSE
        BEEP
      END IF
    CASE 56, -72  'Eight, UpArrow
      IF Y% > 0 THEN
        Y% = Y% - 1
      ELSE
        BEEP
      END IF
    CASE 50, -80  'Two, DnArrow
      IF Y% < VPanLimit% THEN
        Y% = Y% + 1
      ELSE
        BEEP
      END IF
  END SELECT
  Ptr% = (Y% * BytesPerLine%) + (X% \ 8)
  OUT &H3D4, &HD: OUT &H3D5, Ptr% MOD 256
  OUT &H3D4, &HC: OUT &H3D5, Ptr% \ 256
 LOOP
 SCREEN 0: WIDTH 80
 END

 SUB DrawCircle (X%, Y%, Radius%, Culler%)
 'a routine to draw circles using only integers and integer math
 'an implementation of Bresenham's algorithm
 'by Douglas H. Lusher, 05-09-1996
 A% = 0
 B% = Radius%
 D% = (1 - Radius%) * 2
 XX1% = X%: YY1% = Y% + B%
 XX2% = X%: YY2% = Y% - B%
 XY1% = X% + B%: YX1% = Y%
 XY2% = X% - B%: YX2% = Y%
 DO WHILE B% >= A%
   CALL PutPixel(XX1%, YY1%, Culler%)
   CALL PutPixel(XX1%, YY2%, Culler%)
   CALL PutPixel(XX2%, YY1%, Culler%)
   CALL PutPixel(XX2%, YY2%, Culler%)
   CALL PutPixel(XY1%, YX1%, Culler%)
   CALL PutPixel(XY1%, YX2%, Culler%)
   CALL PutPixel(XY2%, YX1%, Culler%)
   CALL PutPixel(XY2%, YX2%, Culler%)
   IF D% + B% > 0 THEN
     B% = B% - 1
     D% = D% - (B% * 2) + 1
     YY1% = YY1% - 1: YY2% = YY2% + 1
     XY1% = XY1% - 1: XY2% = XY2% + 1
   END IF
   IF A% > D% THEN
     A% = A% + 1
     D% = D% + (A% * 2) + 1
     XX1% = XX1% + 1: XX2% = XX2% - 1
     YX1% = YX1% + 1: YX2% = YX2% - 1
   END IF
 LOOP
 END SUB
 
 SUB DrawLine (X1%, Y1%, X2%, Y2%, Culler%)
 'a routine to draw lines using only integers and integer math
 'an implementation of Bresenham's algorithm
 'by Douglas H. Lusher, 05-08-1996
 A% = X2% - X1%
 B% = Y2% - Y1%
 DX2% = 1: DY2% = 1
 IF A% < 0 THEN A% = -A%: DX2% = -1
 IF B% < 0 THEN B% = -B%: DY2% = -1
 DX1% = DX2%: DY1% = 0
 IF A% < B% THEN SWAP A%, B%: DX1% = 0: DY1% = DY2%
 I1% = B% * 2
 D% = I1% - A%
 I2% = D% - A%
 X% = X1%: Y% = Y1%
 FOR I% = 0 TO A%
  CALL PutPixel(X%, Y%, Culler%)
  IF D% < 0 THEN
    X% = X% + DX1%
    Y% = Y% + DY1%
    D% = D% + I1%
  ELSE
    X% = X% + DX2%
    Y% = Y% + DY2%
    D% = D% + I2%
  END IF
 NEXT
 END SUB

 SUB PutPixel (X%, Y%, Culler%)
 SHARED BitMask%(), BytesPerLine%
 DEF SEG = &HA000
 Offset& = (CLNG(Y%) * BytesPerLine%) + (X% \ 8)
 OUT &H3CE, 5: OUT &H3CF, 2
 OUT &H3CE, 8: OUT &H3CF, BitMask%(X% AND 7)
 Byte% = PEEK(Offset&): POKE Offset&, Culler%
 END SUB

 SUB QPrint (X%, Y%, Text$, Culler%)
 'this routine uses the VGA hardware to print text
 '  in 16 color graphics modes
 'by Douglas H. Lusher, 06-08-1996
 SHARED BytesPerLine%

 ' 8 x 8 char box, CGA
 CharSegment% = &HFFA6: CharOffset% = &HE: CharHgt% = 8

 ' 8 x 16 char box, VGA
 'DIM Regs AS RegTypeX
 'Regs.AX = &H1130
 'Regs.BX = &H600
 'CALL InterruptX(&H10, Regs, Regs)
 'CharSegment% = Regs.ES: CharOffset% = Regs.BP: CharHgt% = 16

 REDIM BitPattern%(1 TO CharHgt%)
 Temp& = (CLNG(Y%) * BytesPerLine%) + (X% \ 8)
 VideoSegment% = &HA000 + (Temp& \ 16)
 VideoOffset% = (Temp& MOD 16) - 1
 OUT &H3CE, 5: OUT &H3CF, 2: OUT &H3CE, 8
 FOR Char% = 1 TO LEN(Text$)
   Ptr% = CharHgt% * ASC(MID$(Text$, Char%, 1)) + CharOffset% - 1
   DEF SEG = CharSegment%
   FOR Ln% = 1 TO CharHgt%
     BitPattern%(Ln%) = PEEK(Ptr% + Ln%)
   NEXT
   VideoPtr% = VideoOffset% + Char%
   DEF SEG = VideoSegment%
   FOR Ln% = 1 TO CharHgt%
     OUT &H3CF, BitPattern%(Ln%)
     Byte% = PEEK(VideoPtr%): POKE VideoPtr%, Culler%
     VideoPtr% = VideoPtr% + BytesPerLine%
   NEXT
 NEXT
 END SUB
<PAGEEND:"VGA.Pan.File1">

<PAGESTART:"VGA.Pages.File1">
'Greetings, everyone. Here is code to put a VGA card into 320x240 mode
'with 256 colors and 3 pages. This should be a good layout for high
'quality graphics and animation. It has a 4:3 aspect ratio, so the pixels
'are square, and it has 20% more pixels than SCREEN 13 and multiple
'pages. All with 256 colors. Please try it out and send me your
'comments and bug reports. Thanks.

 DECLARE SUB XCLS (Page%)
 DECLARE SUB ShowPage (Page%)
 DECLARE SUB Set320x240mode ()
 DECLARE SUB XPRINT (X%, Y%, Text$, Culler%, Page%)
 DECLARE SUB PutPixel (X%, Y%, Culler%, Page%)
 DEFINT A-Z
 '$INCLUDE: 'QB.BI'

 DIM BitMask%(7)
 FOR Bit% = 0 TO 7: BitMask%(Bit%) = 2 ^ Bit%: NEXT
 Test$ = "The quick brown fox jumps over lazy dogs"
 CALL XPRINT(0, 0, "", 0, 0)   'initialize the print routine

 CALL Set320x240mode: SLEEP 1
 HMax% = 320: VMax% = 240: Pg% = 0
 FOR X% = 0 TO HMax% - 1
   CALL PutPixel(X%, 0, 2, Pg%)
   CALL PutPixel(X%, VMax% - 1, 2, Pg%)
 NEXT
 FOR Y% = 0 TO VMax% - 1
   CALL PutPixel(0, Y%, 2, P%)
   CALL PutPixel(HMax% - 1, Y%, 2, Pg%)
 NEXT
 CALL XPRINT(0, 0, "This is 320x240x256 mode, 3 pages", 15, P%)
 FOR Y% = 1 TO 14
   CALL XPRINT(0, Y% * 16, Test$, Y%, Pg%)
 NEXT
 BEEP: A$ = INPUT$(1)
 CALL XCLS(0)
 CALL XPRINT(0, 0, "This is page 0", 1, 0)
 CALL XPRINT(0, 64, "Press 0, 1, or 2 to see the pages", 1, 0)
 CALL XPRINT(0, 80, "Press ESC to exit", 1, 0)
 CALL XPRINT(0, 16, "This is page 1", 2, 1)
 CALL XPRINT(0, 64, "Press 0, 1, or 2 to see the pages", 2, 1)
 CALL XPRINT(0, 80, "Press ESC to exit", 2, 1)
 CALL XPRINT(0, 32, "This is page 2", 4, 2)
 CALL XPRINT(0, 64, "Press 0, 1, or 2 to see the pages", 4, 2)
 CALL XPRINT(0, 80, "Press ESC to exit", 4, 2)
 DO
 A$ = INPUT$(1)
 SELECT CASE A$
   CASE "0": CALL ShowPage(0)
   CASE "1": CALL ShowPage(1)
   CASE "2": CALL ShowPage(2)
   CASE CHR$(27): EXIT DO
   CASE ELSE: BEEP
 END SELECT
 LOOP
 SCREEN 13: SCREEN 0: WIDTH 80
 END

 SUB GetPixel (X%, Y%, Culler%, Page%)
 SELECT CASE Page%
   CASE 0: VidSegment% = &HA000
   CASE 1: VidSegment% = &HA4F0
   CASE 2: VidSegment% = &HA9E0
   CASE ELSE: ERROR 5
 END SELECT
 OUT &H3CE, 4: OUT &H3CF, X% AND 3
 DEF SEG = VidSegment%
 Culler% = PEEK((Y% * 80) + (X% \ 4))
 END SUB

 SUB PutPixel (X%, Y%, Culler%, Page%)
 SHARED BitMask%()
 SELECT CASE Page%
   CASE 0: VidSegment% = &HA000
   CASE 1: VidSegment% = &HA4F0
   CASE 2: VidSegment% = &HA9E0
   CASE ELSE: ERROR 5
 END SELECT
 OUT &H3C4, 2: OUT &H3C5, BitMask%(X% AND 3)
 DEF SEG = VidSegment%
 POKE (Y% * 80) + (X% \ 4), Culler%
 END SUB

 SUB Set320x240mode
 'begin with standard 320x200x256 mode
 SCREEN 13
 'disable "chain4" mode
 OUT &H3C4, &H4: OUT &H3C5, &H6
 'enable writes to all four planes
 OUT &H3C4, &H2: OUT &H3C5, &HF
 'clear video memory
 CLS
 'synchronous reset while switching clocks
 OUT &H3C4, 0: OUT &H3C5, &H1
 'select 25 Mhz dot clock and 60 hz scanning rate
 OUT &H3C2, &HE3
 'restart the sequencer
 OUT &H3C4, 0: OUT &H3C5, &H3
 'to reprogram the CRT controller,
 'remove write protect from the registers
 OUT &H3D4, &H11: OUT &H3D5, INP(&H3D5) AND &H7F
 OUT &H3D4, &H6: OUT &H3D5, &HD     'total vertical pixels
 OUT &H3D4, &H7: OUT &H3D5, &H3E    'overflow
 OUT &H3D4, &H9: OUT &H3D5, &H41    'turn off double double-scan
 OUT &H3D4, &H10: OUT &H3D5, &HEA   'vertical sync start
 OUT &H3D4, &H11: OUT &H3D5, &HAC   'vertical sync end, reprotect registers
 OUT &H3D4, &H12: OUT &H3D5, &HDF   'vertical pixels displayed
 OUT &H3D4, &H14: OUT &H3D5, 0      'turn off dword mode
 OUT &H3D4, &H15: OUT &H3D5, &HE7   'vertical blank start
 OUT &H3D4, &H16: OUT &H3D5, &H6    'vertical blank end
 OUT &H3D4, &H17: OUT &H3D5, &HE3   'turn on byte mode
 END SUB

 SUB ShowPage (Page%)
 SELECT CASE Page%
   CASE 0: OUT &H3D4, &HC: OUT &H3D5, 0
   CASE 1: OUT &H3D4, &HC: OUT &H3D5, &H4F
   CASE 2: OUT &H3D4, &HC: OUT &H3D5, &H9E
   CASE ELSE: ERROR 5          'illegal function call
 END SELECT
 END SUB

 SUB XCLS (Page%)
 SELECT CASE Page%
   CASE 0: VidSegment% = &HA000
   CASE 1: VidSegment% = &HA4F0
   CASE 2: VidSegment% = &HA9E0
   CASE ELSE: ERROR 5
 END SELECT
 OUT &H3C4, &H2: OUT &H3C5, &HF
 DEF SEG = VidSegment%
 FOR Address% = 0 TO 19199: POKE Address%, 0: NEXT
 END SUB

 SUB XPRINT (X%, Y%, Text$, Culler%, Page%)
 STATIC HiNibble%(), LoNibble%()
 IF LEN(Text$) GOTO StartXPRINT
 REDIM HiNibble%(255, 15), LoNibble%(255, 15)
 REDIM BitMask%(15)
 BitMask%(0) = 0:  BitMask%(1) = 8:   BitMask%(2) = 4
 BitMask%(3) = 12: BitMask%(4) = 2:   BitMask%(5) = 10
 BitMask%(6) = 6:  BitMask%(7) = 14:  BitMask%(8) = 1
 BitMask%(9) = 9:  BitMask%(10) = 5:  BitMask%(11) = 13
 BitMask%(12) = 3: BitMask%(13) = 11: BitMask%(14) = 7
 BitMask%(15) = 15
 DIM Regs AS RegTypeX
 Regs.AX = &H1130
 Regs.BX = &H600
 CALL InterruptX(&H10, Regs, Regs)
 CharSegment% = Regs.ES: CharOffset% = Regs.BP
 DEF SEG = CharSegment%
 FOR Char% = 0 TO 255
   FOR Ln% = 0 TO 15
     BitPattern% = PEEK(CharOffset%)
     HiNibble%(Char%, Ln%) = BitMask%(BitPattern% \ 16)
     LoNibble%(Char%, Ln%) = BitMask%(BitPattern% AND 15)
     CharOffset% = CharOffset% + 1
   NEXT
 NEXT
 ERASE BitMask%

StartXPRINT:
 SELECT CASE Page%
   CASE 0: VidSegment% = &HA000
   CASE 1: VidSegment% = &HA4F0
   CASE 2: VidSegment% = &HA9E0
   CASE ELSE: ERROR 5
 END SELECT
 OUT &H3C4, 2
 DEF SEG = VidSegment%
 VidPtr% = (Y% * 80) + (X% \ 4)
 FOR Ptr% = 1 TO LEN(Text$)
   Char% = ASC(MID$(Text$, Ptr%, 1))
   VidOffset% = VidPtr%
   FOR Ln% = 0 TO 15
     OUT &H3C5, HiNibble%(Char%, Ln%)
     POKE VidOffset%, Culler%
     OUT &H3C5, LoNibble%(Char%, Ln%)
     POKE VidOffset% + 1, Culler%
     VidOffset% = VidOffset% + 80
   NEXT
   VidPtr% = VidPtr% + 2
 NEXT
 END SUB
<PAGEEND:"VGA.Pages.File1">

<PAGESTART:"256.Colors.File1">
'NOTE: VGA required to run this program.

'This program demonstrates how to calculate and display the 256k colors
'available in SCREEN 12.  The formula used below looks kind of cryptic
'at first, but it will begin to make sense after you think about
'how colors work.

'There are 3 basic colors: red, green, and blue.
'In SCREEN 12, each of these colors has an intensity range of 0 to 63
'That gives a total of 64 shades for each one.
'Therefore, 64 * 64 * 64 = 262144 (256k) possible colors.
'Sounds good, well the down side is that BASIC can only display
'16 of them at one time, oh-well.
'Red's palette begins at 0
'Green's palette begins at 256
'Blue's palette begins at 65536
'Therefore, the palette formula is:
'       PalColor& = (65536 * blue%) + (256 * green%) + red%

'Enough of that, run this and see what you think.

'--------------------------------------------------------------------------
ON ERROR GOTO ETrap     'set an error trap
SCREEN 12       'set the screen mode
PALETTE 1, 0    'assign black to color attribute #1 to use as the default

w% = 100: x% = 50         'set the viewport boundry coordinate var's
y% = 540: z% = 300
VIEW SCREEN (w%, x%)-(y%, z%), 0, 15    'define a viewport w/ border
LINE (w%, x%)-(y%, z%), 1, BF           'draw a box, fill w/ color 1

COLOR 15        'put options on the screen
LOCATE 3, 14: PRINT "PALETTE VALUE:"
LOCATE 21, 14: PRINT "R = More red                         Red intensity:"
LOCATE 22, 14: PRINT "r = Less red"
LOCATE 24, 14: PRINT "G = More green                     Green intensity:"
LOCATE 25, 14: PRINT "g = Less green"
LOCATE 27, 14: PRINT "B = More blue                       Blue intensity:"
LOCATE 28, 14: PRINT "b = Less blue"
LOCATE 30, 35: PRINT "Esc = Quit";

DO  'loop here and update the palette and data w/ each key hit

    a& = (65536 * blue%) + (256 * green%) + red%   'calc the new palette

    PALETTE 1, a&   'display the new palette

    LOCATE 3, 28: PRINT a&; "     "   'update the screen data
    LOCATE 21, 65: PRINT red%
    LOCATE 24, 65: PRINT green%
    LOCATE 27, 65: PRINT blue%

    DO: k$ = INKEY$      'wait for a user key
    LOOP WHILE k$ = ""

    SELECT CASE k$       'process the key
        CASE "R"
            IF red% < 63 THEN        'increment red intensity
                red% = red% + 1
            ELSE
                SOUND 200, .1
            END IF

        CASE "r"
            IF red% > 0 THEN         'decrement red intensity
                red% = red% - 1
            ELSE
                SOUND 200, .1
            END IF

        CASE "G"
            IF green% < 63 THEN      'increment green intensity
                green% = green% + 1
            ELSE
                SOUND 200, .1
            END IF

        CASE "g"
            IF green% > 0 THEN       'decrement green intensity
                green% = green% - 1
            ELSE
                SOUND 200, .1
            END IF

        CASE "B"
            IF blue% < 63 THEN       'increment blue intensity
                blue% = blue% + 1
            ELSE
                SOUND 200, .1
            END IF

        CASE "b"
            IF blue% > 0 THEN        'decrement blue intensity
                blue% = blue% - 1
            ELSE
                SOUND 200, .1
            END IF
       
        CASE CHR$(27)

        CASE ELSE
            SOUND 200, .1

    END SELECT
LOOP UNTIL k$ = CHR$(27)    'exit if escape is hit

VIEW        'close the viewport
CLS
PALETTE     'reset the palette to default
SCREEN 0

'print the final palette data
PRINT "FINAL PALETTE VALUE   :"; a&
PRINT "RED INTENSITY         :"; red%
PRINT "GREEN INTENSITY       :"; green%
PRINT "BLUE INTENSITY        :"; blue%

Done:
END

ETrap:
    CLS     'display the error code and exit program
    PRINT "BASIC RUNTIME ERROR #"; ERR
RESUME Done
<PAGEEND:"256.Colors.File1">

<PAGESTART:"What.Card.File1">
DECLARE FUNCTION GetVideoCard$ ()

TYPE RegType
        ax      AS INTEGER
        bx      AS INTEGER
        cx      AS INTEGER
        dx      AS INTEGER
        bp      AS INTEGER
        si      AS INTEGER
        di      AS INTEGER
        flags   AS INTEGER
END TYPE

DECLARE SUB INTERRUPT (IntNo AS INTEGER, InRegs AS RegType, OutRegs AS RegType)

        CLS
        PRINT "Your video card is a "; GetVideoCard$

END

FUNCTION GetVideoCard$

REM This function returns a 3-letter string: "MDA" (monochrome adapter card)
REM "CGA" (color graphics adapter), "EGA" (enhanced graphics adapter),
REM "PGA" (professional graphics adapter), "VGA" (variable graphics array)

   DIM InRegs AS RegType, OutRegs AS RegType
   InRegs.ax = &H1A00
   CALL INTERRUPT(&H10, InRegs, OutRegs)
   IF (OutRegs.ax AND &HFF) = &H1A THEN
       Code = OutRegs.bx AND &HFF
       SELECT CASE Code
           CASE 1
                GetVideoCard$ = "MDA"
           CASE 2
                GetVideoCard$ = "CGA"
           CASE 4 TO 5
                GetVideoCard$ = "EGA"
           CASE 6
                GetVideoCard$ = "PGA"
           CASE 7 TO 8
                GetVideoCard$ = "VGA"
       END SELECT
       EXIT FUNCTION
   ELSE
       InRegs.ax = &H1200
       InRegs.bx = &H10
       CALL INTERRUPT(&H10, InRegs, OutRegs)
       IF (OutRegs.bx AND &HFF) <> &H10 THEN
           GetVideoCard$ = "EGA"
           EXIT FUNCTION
       ELSE
           InRegs.ax = &HF00
           CALL INTERRUPT(&H10, InRegs, OutRegs)
           IF (OutRegs.ax AND &HFF) = 7 THEN
               GetVideoCard$ = "MDA"
               EXIT FUNCTION
           ELSE
               GetVideoCard$ = "CGA"
               EXIT FUNCTION
           END IF
       END IF
   END IF

END FUNCTION
<PAGEEND:"What.Card.File1">

<PAGESTART:"Post.It.File1">
DEFINT A-Z
'--- PostIt! subroutines.
DECLARE SUB ParseCmdLine (cmd$, Params$(), Found%)
DECLARE SUB SepPath (a$, Drive$, path$, tName$)
DECLARE FUNCTION Decode% (oSwitch%, InSpec$, OutSpec$)
DECLARE FUNCTION Encode% (Op%, iSwitch%, cSwitch%, aSwitch%, tSwitch%, sSwitch%, pSwitch%, lSwitch%, oSwitch%, bSwitch%, InSpec$, OutSpec$)
DECLARE SUB ExpandLine (a$, Lines$(), LineLength%, NumLines%)
DECLARE FUNCTION FASC% (a$)
DECLARE FUNCTION GrabNum& (a$, Lower&, Upper&, Default&)
DECLARE FUNCTION UnTab$ (b$, TabStops%)
'--- ImportIt! subroutines.
DECLARE SUB ImportIt (BBSID$, MsgFiles$(), toname$, fromname$, TitleFile$, conference%)
DECLARE SUB CreateRep (BBSID$, ArcCommand$)
DECLARE SUB AddToRep (BBSID$, MsgFiles$(), toname$, fromname$, TitleFile$, conference%, ErrorCode$)
DECLARE SUB IIParse (cmd$, toname$, fromname$, conference%, BBSID$)
'
' --- beta test release --- released by Calvin French, August 1993 ---
'
' This SHOULD work perfectly. Please test it, tangle it, and report any
' bugs you find in it to Victor, Me, or (lastly only because he is very
' very busy), Rich.
'
' - Calvin -
'
' --------------------------------------------------------------------
'
' PostIt! v7.2 Script Encoder/Decoder-Public Domain-August 1993
' By Rich Geldreich & Victor Yiu. Many  contributions,   fixups,  and
' features by Mark H. Butler,  Quinn Tyler Jackson, and Scott Wunsch.
' QWK compatable .REP file support by Calvin French.
' Decoding instructions in header by Steve Harmon.
'
' PostIt! can  encode   any  binary   file  into  a  series  of self-
' extracting  script  files  that  can  be  reliably  distributed  on
' text-only  conferences  or  networks.   The  script  files  can  be
' extracted with  this  program,  or  with  any  Microsoft QuickBASIC
' language (DOS 5's QBASIC, QB4.5, PDS, VB-DOS) because  each  script
' contains its own small QuickBASIC decoder.
'
' PostIt!   can  also  format  QuickBASIC  source  code  suitable for
' distribution on conferences, and reconstruct source code  formatted
' by  this  program.   This  allows  QuickBASIC programmers to easily
' exchange BASIC source code without worrying about the annoying line
' length and message limitations of most networks.
'
' ImportIt!, a new part of PostIt!, can toss the output files created
' by PostIt! into a QWK compatable .REP file.
'
' New 7.3 Features:
'
' o  Added decoding instructions to the header.
'
' New 7.2 Features:
'
' o  QWK  compatable  .REP file support  has been  included! No  more
'    importing tons of files into your reply packets via your offline
'    mail reader!
'
' New 7.1 Features:
'
' o  Totally rewritten source code!
' o  Much  more efficient  encoding algorithm (MOD 86 encoding)  with
'    a smaller and faster self extractor!
' o  Huge binary scripts now supported, up to 150k!
' o  The  script decoding & unfiltering functions  are now automated!
'    As  long  as a few  simple rules are followed (see the  notes on
'    the Decode command), no  user intervention  is needed to extract
'    multiple scripts from the same capture file.
' o  PostIt!  is  finally  a command line utility! Error codes can be
'    returned  to batch  files if  you're compiling   with  VBDOS  or
'    QBX.   Look  at the source to  find out  which error  code means
'    which.
' o  The format of PostIt!'s   message  headers has finally been well
'    thought out and (hopefully) finalized.  Although   compatibility
'    with  previous versions of PostIt!  has been sacrificed, scripts
'    created by  newer versions  of  PostIt!   should be decodable by
'    this version because of a common message header format.
'
' Explanation of Commands
'
' E = Encodes  any binary  file less than 150k into a self-extracting
'     text-only script.  If the -s  option is used with this command,
'     the entire script will be written to one output file; otherwise
'     the script will be split into multiple output files, where each
'     output file contains one message.   (Note:  Scripts created  by

'     this  command  cannot  be  extracted  by  previous  versions of
'     PostIt!.)
'
' F = Filters QuickBASIC source code for  posting  on  a  conference.
'     This  command  actually  performs  two filtering functions.  It
'     splits very long  lines  with  continuation characters (special
'     precautions are taken to ensure  quoted strings and remarks are
'     split correctly), and chops the source code into multiple files
'     so each file corresponds to one message  (unless the -s  option
'     is used).The filtered file can still be executed or compiled by
'     QuickBASIC, just as the original could.  (Note: DATA statements
'     split by filtering cannot be unsplit correctly by QB! This will
'     hopefully  be fixed  soon...   Files  filtered  by this command
'     cannot by unfiltered by previous versions of PostIt!.)
'
' D = Decodes binary/text scripts.  Multiple scripts can  be  decoded
'     from the same  input  file  with  this  function.  The decoding
'     algorithm  automatically  decides  which  method  was  used  to
'     encode the source file(binary script or source code filtering).
'
'     If  any  errors  are  encountered during decoding the script is
'     skipped  and the  partly decoded  file is deleted.
'
'     Binary and text scripts created by previous versions of PostIt!
'     cannot be decoded with this command, because of the new  header
'     format employed by this version of PostIt!.
'
'     (Notes:  Pages of a script MUST appear in increasing order.  In
'     other words, page 2 must follow page 1, page 3 must follow page
'     2, etc.  When posting  files  created  by  the E or F commands,
'     don't modify or remove the message headers because the decoding
'     algorithm expects these to indicate the beginning and ending of
'     each page.  (All message headers begin with a "'>>>" sequence.)
'     Finally, if an output file is specified on  the  command  line,
'     for  example "POSTIT D capture.txt c:\q\coolcode.zip", only the
'     specified output file  (COOLCODE.ZIP  in  the  example) will be
'     decoded if its script can be  located.   The  pathname  of  the
'     output  file  will  be  the  destination  path specified on the
'     command line.  In the  example,  the  file COOLCODE.ZIP will be
'     written to the C:\Q directory.)
'
' -Q  This  switch  will cause  PostIt!  to invoke  ImportIt!, a  new
'     feature available with version 7.2. ImportIt! will toss all the
'     files that PostIt! creates  into a QWK compatable reply  packet
'     (.REP file.) You  MUST specify  at least three  more paramaters
'     for this capability, however. They are:
'
'     [to:to_name] (optional)
'     This is the name that you would like in the "to" field (who you
'     are sending the message to.)  If it is not specified, ImportIt!
'     will substitute the name "ALL".
'
'     from:from_name
'     This is the name that you would like in the "from" field (which
'     is, more often than not, your own name)
'
'     NOTE: With  both names, if a  space is needed, use a period  in
'     the command  line (e.g.,  to:Victor.Yiu from:Calvin.French) and
'     ImportIt! will translate it to a space.
'
'     conf:conf_number
'     This is the number of the  FidoNet echomail conference that you
'     would like the  the messages to be  tossed into. This is really
'     the only very important  thing you need to remember in order to
'     use  ImportIt!  NOTE:  This  is NOT  the  NAME of the  echomail
'     conference (e.g., QUIK_BAS), but  rather the NUMBER (e.g., 32).
'     It should also  be mentioned that  sometimes this number is not
'     the same number as may appear  on your BBS's Message Base list.
'     It is suggested that  you check this  number carefully via your
'     offline  mail reader  as the  wrong  number will  toss  all the
'     messages into the wrong area.
'
'     bbsid:BBSID
'     This is  the BBS  identification  name of the  BBS you will  be
'     uploading  your  reply  packet  to.  According  to  the  naming
'     conventions outlined in the QWK format (version 1.6), this will
'     be the file name (not including the extention) of your .QWK and
'     .REP file  (QWK mail packet and reply  packet).  ImportIt! will
'     use this name to access the reply packet, so it is important to
'     get it right.
'
' Completely Stupid and Irrelevant Examples for the Average Fool
'
' postit e maim.zip -p95 -b20 c:\scripts\mc
' (Encodes a binary script of MAIM.ZIP. All output file(s) are written
'  to the C:\SCRIPTS directory and begin with the "MC" suffix. The
'  message length is 95 lines, and 20 blank lines are reserved on the
'  first message.)
' postit -a f x-ray.bas -o -s
' (Filters the file X-RAY.BAS for posting. All blank lines are padded
'  with a space, no prompting is done for file overwrites, and no
'  message splitting is performed.)
' postit d zebra.txt q\
' (Decodes all scripts from the file ZEBRA.TXT to the Q directory.)
' postit e graphics.zip -p95 -b0 -q to:You from:Me conf:32 bbsid:MYBBS
' (Encodes a binary script of GRAPHICS.ZIP. Output files are then
'  attached, or rather merged into MYBBS.REP. The messages will be from
'  YOU to ME in fidonet conference are #32. If to: was not specified,
'  it would be from YOU to ALL.) Tip: Since ImportIt! tosses files
'  directly into the .REP file, there is usually no need to reserve
'  blank lines on the first message.
'
TYPE MsgHeaderType
  Status          AS STRING * 1
  ConfNumASCII    AS STRING * 7
  MsgDate         AS STRING * 8
  MsgTime         AS STRING * 5
  ToField         AS STRING * 25
  FromField       AS STRING * 25
  SubjectField    AS STRING * 25
  PassWord        AS STRING * 12
  MsgRefNumber    AS STRING * 8
  NumBlocks       AS STRING * 6
  Flag            AS STRING * 1
  ConfNum         AS INTEGER          ' should be UNSIGNED INTEGER
  PacketMsgNumber AS STRING * 2
  NetworkTag      AS STRING * 1
END TYPE
' change the following to the name of the archiver you would like
' to use. Must be ZIP, ARJ or LHA
CONST PreferredArchiveMethod$ = "ZIP"
'CONST PreferredArchiveMethod$ = "ARJ"
'CONST PreferredArchiveMethod$ = "LHA"
DIM SHARED OutPutFile$(1 TO 256)
DEFINT A-Z
CONST true = -1, false = 0, Debug% = false
DIM SHARED GERR%: ON ERROR GOTO ErrHandler
LOCATE , , 1
PRINT "PostIt! v7.3 QuickBASIC Compatible Encoder/Decoder"
PRINT "Public Domain by Rich Geldreich and Victor Yiu"
PRINT
IF FRE(-1) < 65536 THEN ErrLvl% = 1: PRINT "Not enough memory": GOTO AllDone
DIM Params$(1 TO 10)
'The following line must be modified for DOS 5 QBASIC.
ParseCmdLine COMMAND$, Params$(), NumParams%
IF NumParams% = 0 THEN ErrLvl% = 2: GOTO ShowHelp
FOR I% = 1 TO NumParams%
  q$ = Params$(I%)
  IF LEFT$(q$, 1) <> "-" AND LEN(q$) = 1 THEN
    Command% = INSTR("EFD", q$)
    IF Command% <> 0 THEN
      Params$(I%) = "": EXIT FOR
    ELSE
      PRINT "Bad command: "; q$: PRINT : ErrLvl% = 3: GOTO ShowHelp
    END IF
  END IF
NEXT
IF Command% = 0 THEN PRINT "No command specified.": PRINT : ErrLvl% = 4: GOTO ShowHelp
IF Command% = 2 THEN DefaultLineLength% = 72 ELSE DefaultLineLength% = 65
sSwitch% = false: pSwitch% = 85: lSwitch% = DefaultLineLength%
tSwitch% = 4: oSwitch% = false: bSwitch% = 0: aSwitch% = false
iSwitch% = false: cSwitch% = false: qSwitch = 0
FOR I% = 1 TO NumParams%
  q$ = Params$(I%): Z$ = MID$(q$, 3)
  IF LEN(q$) THEN
    IF LEFT$(q$, 1) = "-" OR LEFT$(q$, 3) = "TO:" OR LEFT$(q$, 5) = "FROM:" OR LEFT$(q$, 5) = "CONF:" OR LEFT$(q$, 6) = "BBSID:" THEN
      IF LEFT$(q$, 3) <> "TO:" AND LEFT$(q$, 5) <> "FROM:" AND LEFT$(q$, 5) <> "CONF:" AND LEFT$(q$, 6) <> "BBSID:" THEN
        SELECT CASE MID$(q$, 2, 1)
          CASE "S": sSwitch% = true
          CASE "P": pSwitch% = GrabNum&(Z$, 45, 1000, 85)
          CASE "L": lSwitch% = GrabNum&(Z$, 60, 80, CLNG(DefaultLineLength%))
          CASE "T": tSwitch% = GrabNum&(Z$, 1, 8, 4)
          CASE "O": oSwitch% = true
          CASE "B": bSwitch% = GrabNum&(Z$, 0, 30, 0)
          CASE "A": aSwitch% = true
          CASE "I": iSwitch% = true
          CASE "C": cSwitch% = true
          CASE "Q"
            qSwitch% = true
            IIParse COMMAND$, toname$, fromname$, conference%, BBSID$
            qError$ = ""
            IF fromname$ = "" THEN
              qError$ = "From name not specified! "
            ELSEIF conference% = 0 THEN
              qError$ = qError$ + "Conference not specified! "
            ELSEIF BBSID$ = "" THEN
              qError$ = qError$ + "BBSID not specified! "
            END IF
            IF qError$ <> "" THEN
              PRINT LTRIM$(qError$)
              ErrLvl = 3
              qSwitch = false
              GOTO ShowHelp
            END IF
          CASE ELSE: PRINT "Bad switch: "; q$: PRINT : ErrLvl% = 3: GOTO ShowHelp
        END SELECT
      END IF
    ELSE
      SELECT CASE J%
      CASE 0: InputSpec$ = q$
      CASE 1: OutputSpec$ = q$
      CASE ELSE: PRINT "Too many filenames.": PRINT : ErrLvl% = 5: GOTO ShowHelp
      END SELECT: J% = J% + 1
    END IF
  END IF
NEXT
IF J% < 1 THEN PRINT "Must specify input file.": PRINT : ErrLvl% = 5: GOTO ShowHelp
SepPath InputSpec$, InputDrive$, InputPath$, InputName$
IF INSTR(InputName$, ".") = 0 THEN
  IF Command% = 1 THEN     'encoding  .ZIP
    InputSpec$ = InputSpec$ + ".ZIP"
  ELSEIF Command% = 2 THEN 'filtering .BAS
    InputSpec$ = InputSpec$ + ".BAS"
  ELSEIF Command% = 3 THEN 'decoding  .TXT
    InputSpec$ = InputSpec$ + ".TXT"
  END IF
ELSE
  IF Command% = 1 THEN
    SELECT CASE MID$(InputName$, INSTR(InputName$, ".") + 1, 3)
    CASE "ZIP", "LZH", "ARJ", "GIF", "SQZ", "ZOO", "ARC", "HAP", "JPG"
    CASE ELSE: PRINT "Warning: Uncompressed files should not be" + " encoded" + " into binary scripts!": PRINT
  END SELECT
  END IF
END IF
OPEN InputSpec$ FOR INPUT AS #1: CLOSE #1
IF GERR% THEN PRINT "Can't open "; InputSpec$: ErrLvl% = 6: GOTO AllDone
SepPath OutputSpec$, OutDrive$, OutPath$, OutName$
TestFile$ = OutDrive$ + OutPath$ + "pi742875.2yz"
OPEN TestFile$ FOR OUTPUT AS #1: CLOSE #1
IF GERR% THEN PRINT "Bad output specification.": ErrLvl% = 7: GOTO AllDone
KILL TestFile$
SELECT CASE Command%
CASE 1: Status% = Encode%(0, iSwitch%, cSwitch%, aSwitch%, tSwitch%, sSwitch%, pSwitch%, lSwitch%, oSwitch%, bSwitch%, InputSpec$, OutputSpec$)
CASE 2: Status% = Encode%(1, iSwitch%, cSwitch%, aSwitch%, tSwitch%, sSwitch%, pSwitch%, lSwitch%, oSwitch%, bSwitch%, InputSpec$, OutputSpec$)
CASE 3: Status% = Decode%(oSwitch%, InputSpec$, OutputSpec$)
END SELECT
IF Status% < 0 THEN ErrLvl% = 8 ELSE IF Status% > 0 THEN ErrLvl% = 9 ELSE ErrLvl% = 0
GOTO AllDone
ShowHelp:
PRINT "Usage: POSTIT [switch] command inputfile [outputfile] [-q" + " options]"
PRINT
PRINT "Commands:"
PRINT "e [E]ncode any file <150k into a self extracting binary script"
PRINT "f [F]ilter QB source into a text script"
PRINT "d [D]ecode captured text or binary script(s)"
PRINT
PRINT "Switches:"
PRINT "-s  Don't split output file into multiple messages"
PRINT "-o  Don't prompt for file overwrites"
PRINT "-b# Reserve # blank lines on first message (0-30, default=0)"
PRINT "-t# Set tab stops to # characters (1-8, default=4)"
PRINT "-l# Set line length to # characters (60-80, default=65 or 72)"
PRINT "-p# Set message length to # lines (45-1000, default=85)"
PRINT "-a  Padd blank lines with a space when filtering"
PRINT "-i  Ignore blank lines when filtering"
PRINT "-c  Crush space characters from start of lines when filtering"
PRINT
PRINT "ImportIt! (QWK compatable .REP file support):"
PRINT "-q [to:to_name] from:from_name conf:conf_num bbsid:BBSID"
AllDone:
IF qSwitch = true THEN
  IF GERR < 0 THEN
    IF Debug% THEN PRINT "Exiting with an errorlevel of"; ErrLvl%
    END
  END IF
  FOR n = 1 TO 256
    a$ = OutPutFile$(n)
    IF a$ = "" THEN EXIT FOR
  NEXT n
  NumFiles = n - 1
  DIM MsgFiles$(1 TO NumFiles)
  FOR n = 1 TO NumFiles
    MsgFiles$(n) = OutPutFile$(n)
  NEXT n
  FOR n = LEN(InputSpec$) TO 1 STEP -1
    IF MID$(InputSpec$, n, 1) = "\" THEN StartFname = n + 1
  NEXT n
  IF StartFname <> 0 THEN
    TitleFile$ = MID$(InputSpec$, StartFname, 1)
  ELSE
    TitleFile$ = InputSpec$
  END IF
  FOR n = 1 TO LEN(toname$)
    IF MID$(toname$, n, 1) = "." THEN MID$(toname$, n, 1) = " "
  NEXT n
  FOR n = 1 TO LEN(fromname$)
    IF MID$(fromname$, n, 1) = "." THEN MID$(fromname$, n, 1) = " "
  NEXT n
  ImportIt BBSID$, MsgFiles$(), toname$, fromname$, TitleFile$, conference%
END IF
IF Debug% THEN PRINT "Exiting with an errorlevel of"; ErrLvl%
END
ErrHandler: GERR% = ERR
  IF Debug% THEN IF GERR% <> 53 THEN PRINT "Global error #"; GERR%
RESUME NEXT

SUB AddToRep (BBSID$, MsgFiles$(), toname$, fromname$, TitleFile$, conference, ErrorCode$)
  DIM MsgHeader     AS MsgHeaderType
  DIM QWKRecBuff    AS STRING * 128
  DIM QWKByteBuff   AS STRING * 1
  DIM ArcHeader     AS STRING * 3
  ' test for file
  OPEN BBSID$ + ".REP" FOR BINARY AS #1
  IF LOF(1) = 0 THEN
    CLOSE #1
    KILL BBSID$ + ".REP"
    ErrorCode$ = "Reply packet (.REP file) not found!"
    EXIT SUB
  END IF
  ' test for messages
  NumMessages = UBOUND(MsgFiles$)
  IF NumMessages = 0 THEN
    CLOSE #1
    ErrorCode$ = "No files to add to reply (.REP) packet!"
    EXIT SUB
  END IF
  ' check ToName$
  IF toname$ = "" THEN
    toname$ = "ALL"
  END IF
  ' check FromName$
  IF fromname$ = "" THEN
    CLOSE #1
    ErrorCode$ = "No from field (name) specified!"
    EXIT SUB
  END IF
  CLOSE #1
  ' process mail packet
  PRINT
  PRINT "Unarchiving "; BBSID$ + ".REP";
  ' determine archive type
  OPEN BBSID$ + ".REP" FOR BINARY AS #1
  ' PKZIP file?
  SEEK 1, 1
  GET #1, , ArcHeader
  IF ArcHeader = "PK" + CHR$(3) THEN
    DeArcCommand$ = "PKUNZIP"
    ArcCommand$ = "PKZIP"
    ArcType$ = "ZIP"
  END IF
  ' LZH file?
  SEEK 1, 3
  GET #1, , ArcHeader
  IF ArcHeader = "-lh" THEN
    DeArcCommand$ = "LHA E"
    ArcCommand$ = "LHA A /M"
    ArcType$ = "LZH"
  END IF
  ' ARJ file?
  SEEK 1, 1
  GET #1, , ArcHeader
  IF LEFT$(ArcHeader, 2) = "'" + CHR$(234) THEN
    DeArcCommand$ = "ARJ E"
    ArcCommand$ = "ARJ A -Y"
    ArcType$ = "ARJ"
  END IF
  ' dearchive file
  PRINT " using "; ArcType$
  SHELL DeArcCommand$ + " " + BBSID$ + ".REP"
  CLOSE #1
  ' test for file
  OPEN BBSID$ + ".MSG" FOR BINARY AS #1
  IF LOF(1) = 0 THEN
    ErrorCode$ = "Error occured during DeArchiving. File " + BBSID$ + ".MSG not found in archive"
    CLOSE #1
    KILL BBSID$ + ".MSG"
    EXIT SUB
  END IF
  ' read messages
  PRINT
  PRINT "Reading Messages from "; BBSID$; ".MSG..."
  SEEK 1, 1
  GET #1, , QWKRecBuff
  DO
    GET #1, , MsgHeader
    NewHighest = VAL(MsgHeader.MsgRefNumber)
    IF NewHighest > Highest THEN Highest = NewHighest
    ' read until next message
    FOR n = 1 TO VAL(MsgHeader.NumBlocks) - 1
      GET #1, , QWKRecBuff
    NEXT n
  LOOP UNTIL SEEK(1) >= LOF(1)
  PRINT
  PRINT "Writing new messages..."
  PRINT
  PRINT "To:     "
  PRINT "From:   "
  PRINT "Subj:   "
  PRINT "Conf:   "
  PRINT "Date:   "
  PRINT "Time:   "
  PRINT "Number: "
  StartLin = CSRLIN - 7
  FOR msg = 1 TO NumMessages
    LOCATE StartLin, 1
    Subj$ = "[" + LTRIM$(STR$(msg)) + "/" + LTRIM$(STR$(NumMessages)) + "] " + TitleFile$
    conf$ = LTRIM$(STR$(conference))
    num$ = LTRIM$(STR$(msg + Highest - 1))
    dat$ = LEFT$(DATE$, 6) + RIGHT$(DATE$, 2)
    tim$ = LEFT$(TIME$, 5)
    PRINT "To:     "; toname$
    PRINT "From:   "; fromname$
    PRINT "Subj:   "; Subj$
    PRINT "Conf:   "; conf$
    PRINT "Date:   "; dat$
    PRINT "Time:   "; tim$
    PRINT "Number: "; num$
    PRINT "Writing File: "; MsgFiles$(msg);
    TotalLen& = 0
    OPEN MsgFiles$(msg) FOR INPUT AS #2
    OPEN "~IIBETA.TMP" FOR BINARY AS #3
    DO WHILE NOT EOF(2)
      LINE INPUT #2, text$
      text$ = text$ + CHR$(227)
      PUT #3, , text$
    LOOP
    TotalLen& = SEEK(3)
    TotalLen& = TotalLen& + 128       ' for tagline
    QWKRecBuff = CHR$(227) + " * ImportIt! v1.0b [BETA] * ImportIt!" + " [PD] by Calvin French, August 1993" + CHR$(227) + CHR$(227)
    PUT #3, , QWKRecBuff
    ExtraString$ = SPACE$(128 - (TotalLen& MOD 128))
    TotalLen& = TotalLen& + LEN(ExtraString$)
    PUT #3, , ExtraString$
    Blocks$ = LTRIM$(STR$((TotalLen& / 128) + 1))
    MsgHeader.Status = "-"            ' public, read
    MsgHeader.ConfNumASCII = conf$    ' conference (.REP only)
    MsgHeader.MsgDate = dat$          ' date
    MsgHeader.MsgTime = tim$          ' time
    MsgHeader.ToField = toname$       ' to
    MsgHeader.FromField = fromname$   ' from
    MsgHeader.SubjectField = Subj$    ' subject
    MsgHeader.PassWord = SPACE$(12)   ' password
    MsgHeader.MsgRefNumber = num$     ' message number
    MsgHeader.NumBlocks = Blocks$     ' blocks in message
    MsgHeader.Flag = CHR$(225)        ' active flag
    MsgHeader.ConfNum = conference    ' conference (.REP and .QWK)
    MsgHeader.PacketMsgNumber = " "   ' not sure what this is.
    MsgHeader.NetworkTag = " "        ' network tagline
    PUT #1, , MsgHeader
    SEEK 3, 1
    FOR n = 1 TO TotalLen& / 128
      GET #3, , QWKRecBuff
      PUT #1, , QWKRecBuff
    NEXT n
    CLOSE #3
    CLOSE #2
    KILL "~IIBETA.TMP"
  NEXT msg
  CLOSE #1
  PRINT
  PRINT
  PRINT "Rearchiving Packet..."
  SHELL ArcCommand$ + " " + BBSID$ + ".REP " + BBSID$ + ".MSG"
  PRINT
  PRINT "Deleting " + BBSID$ + ".MSG..."
  PRINT
  KILL BBSID$ + ".MSG"
  ErrorCode$ = "Packet Successfully Processed!"
END SUB

SUB CreateRep (BBSID$, ArcCommand$)

DIM QWKRecBuff AS STRING * 128

PRINT
PRINT "Creating message data file (.MSG file)..."
PRINT

OPEN BBSID$ + ".MSG" FOR BINARY AS #1

QWKRecBuff = UCASE$(BBSID$)

PUT #1, , QWKRecBuff

CLOSE #1

PRINT "Archiving file..."

SHELL ArcCommand$ + " " + BBSID$ + ".REP " + BBSID$ + ".MSG"

PRINT
PRINT "Deleting message data file (.MSG file)..."

KILL BBSID$ + ".MSG"

END SUB

FUNCTION Decode% (oSwitch%, InSpec$, OutSpec$)
  DIM Lines$(1 TO 256), ValidChar%(255)
  FOR q% = 0 TO 85 'Valid encoding characters
    IF q% = 27 THEN
      ValidChar%(ASC("#")) = true
    ELSEIF q% = 59 THEN
      ValidChar%(ASC("$")) = true
    ELSE
      ValidChar%(q% + 37) = true
    END IF
  NEXT
  GERR% = 0: Z$ = "OPEN " + CHR$(34) + "O" + CHR$(34) + ",1," + CHR$(34)
  SepPath OutSpec$, OutDrive$, OutPath$, OutName$
  OutPath$ = OutDrive$ + OutPath$
  InputHandle% = FREEFILE
  OPEN InSpec$ FOR INPUT AS InputHandle% LEN = 8192
  OutputHandle% = FREEFILE
  DO
    IF FoundNewScript% = false THEN
      DO UNTIL EOF(InputHandle%)
        M% = M% + 1: IF M% = 16 THEN GOSUB AbortCheck
        LineNum& = LineNum& + 1
        LINE INPUT #1, a$: a$ = LTRIM$(RTRIM$(UCASE$(a$)))
        IF GERR% THEN PRINT "Error while reading from input file!": GOTO DecodeExit
        IF LEFT$(a$, 14) = "'>>> PAGE 1 OF" AND INSTR(a$, "BEGINS" + " HERE") > 0 AND INSTR(a$, "TYPE:") > 0 THEN EXIT DO
      LOOP
      IF EOF(InputHandle%) THEN EXIT DO
    END IF
    FoundNewScript% = false
    OutFile$ = LTRIM$(MID$(a$, 15))
    OutFile$ = RTRIM$(LEFT$(OutFile$, INSTR(OutFile$, "BEGINS") - 1))
    IF LEN(OutFile$) = 0 THEN GOTO FindNext
    IF LEN(OutName$) = 0 OR OutFile$ = OutName$ THEN
      FilesCRC% = -1: FilesLength& = -1: ScrDone% = false
      BadScript% = false: NumLines% = 0: K% = 0: s% = 0: b& = 0
      q% = INSTR(a$, "TYPE:") + 5
      SELECT CASE MID$(a$, q%, 3)
      CASE "BAS": ScriptType% = 0
      CASE "BIN"
        ScriptType% = 1
        EncodeVer% = FASC%(MID$(a$, q% + 3, 1)) - 65
        ExtractVer% = FASC%(MID$(a$, q% + 4, 1)) - 65
        IF ExtractVer% <> 0 THEN PRINT "Unsupported encoding algorithm" + "" + " for file "; OutFile$: PRINT : GOTO FindNext
      CASE ELSE: PRINT "Unsupported script type for file "; OutFile$: PRINT : GOTO FindNext
      END SELECT
      GOSUB CheckLine
      OPEN OutPath$ + OutFile$ FOR INPUT AS OutputHandle%: CLOSE OutputHandle%
      IF GERR% = 0 THEN
        IF oSwitch% = false THEN
          PRINT OutPath$ + OutFile$; " already exists. [O]verwrite, or" + "" + " [A]bort(o/a)? ";
          DO: DO: a$ = INKEY$: LOOP UNTIL LEN(a$): a$ = UCASE$(a$)
          LOOP UNTIL INSTR("OA" + CHR$(27), a$)
          LOCATE , 1: PRINT SPACE$(78); : LOCATE , 1
          SELECT CASE a$
          CASE "A", CHR$(27): GERR% = -1: PRINT "Aborted by user!": GOTO DecodeExit
          END SELECT
        END IF
      END IF
      GERR% = 0: OPEN OutPath$ + OutFile$ FOR OUTPUT AS OutputHandle%
      IF GERR% THEN PRINT "Error while opening "; OutPath$ + OutFile$; "!": GOTO DecodeExit
      OutSpecOpened% = true
      IF ScriptType% = 0 THEN PRINT "Unfiltering ";  ELSE PRINT "Decoding ";
      PRINT OutPath$ + OutFile$; "... ";
      LookingForNextPage% = false
      CurrentPage% = 1
      DO UNTIL EOF(InputHandle%)
        IF GERR% THEN PRINT "Error #"; STR$(GERR%); " while processing" + "" + " file!": GOTO DecodeExit
        M% = M% + 1: IF M% = 16 THEN GOSUB AbortCheck
        LineNum& = LineNum& + 1
        LINE INPUT #InputHandle%, a$: a$ = RTRIM$(a$)
        IF ScriptType% = 1 THEN a$ = LTRIM$(a$)
        IF LEFT$(a$, 4) = "'>>>" THEN
          GOSUB CheckLine
          IF UCASE$(LEFT$(a$, 10)) = "'>>> PAGE " THEN
            a$ = UCASE$(a$)
            IF LEFT$(a$, 15) = "'>>> PAGE 1 OF " AND INSTR(a$, "BEGINS" + "" + " HERE") > 0 THEN
              PRINT "Premature end of script on line"; LineNum&
              FoundNewScript% = true: BadScript% = true: EXIT DO
            END IF
            IF GrabNum&(MID$(a$, 11), 1, 256, -1) <> CurrentPage% THEN PRINT "Page out of sync on line"; LineNum&: BadScript% = true: EXIT DO
            IF INSTR(a$, "BEGINS HERE") THEN
              IF LookingForNextPage% = false THEN PRINT "Page"; CurrentPage%; " was encountered more than once on line"; LineNum&: BadScript% = true: EXIT DO
              LookingForNextPage% = false
            ELSEIF INSTR(a$, "ENDS HERE") THEN
              IF LookingForNextPage% = true THEN PRINT "Page"; CurrentPage%; "was terminated prematurely on line"; LineNum&: BadScript% = true: EXIT DO
              LookingForNextPage% = true
              CurrentPage% = CurrentPage% + 1
              IF INSTR(a$, "LAST PAGE") THEN ScrDone% = true: EXIT DO
            ELSE
              PRINT "Bad page header on line"; LineNum&: BadScript% = true: EXIT DO
            END IF
          END IF
        ELSE
          IF LookingForNextPage% = false THEN
            IF ScriptType% = 0 THEN
              GOSUB ShrinkLine
            ELSE
              IF LEFT$(a$, 1) = "U" AND LEFT$(LTRIM$(MID$(a$, 2)), 1) = CHR$(34) THEN GOSUB DecodeLine
            END IF
          END IF
        END IF
      LOOP
      IF BadScript% = false THEN
        IF ScrDone% = false THEN PRINT "Premature end of script on" + " line"; LineNum&: BadScript% = true: GOTO DecodeDone
        GoodScripts% = GoodScripts% + 1
        IF ScriptType% = 0 THEN
          IF NumLines% > 0 THEN a$ = "": GOSUB ShrinkLine
          PRINT "Ok"
        ELSE
          IF FilesLength& = -1 THEN
            PRINT "Warning: File's length could not be located!"
          ELSEIF FilesLength& <> b& THEN
            PRINT "Warning: Decoded file's length is incorrect."
          ELSEIF FilesCRC% = -1 THEN
            PRINT "Warning: File's checksum could not be located!"
          ELSEIF FilesCRC% <> s% THEN
            PRINT "Warning: Decoded file's checksum is incorrect."
          ELSE
            PRINT "Ok"
          END IF
        END IF
      END IF
DecodeDone:
      CLOSE OutputHandle%
      IF GERR% THEN PRINT "Error while writing to output file!": GOTO DecodeExit
      IF BadScript% THEN KILL OutPath$ + OutFile$
      OutSpecOpened% = false
      PRINT : IF OutFile$ = OutName$ THEN EXIT DO
    END IF
FindNext:
  LOOP UNTIL EOF(InputHandle%)
'----------------------------------------------------------
DecodeExit:
  q% = GERR%: CLOSE InputHandle%: CLOSE OutputHandle%
  IF q% = 0 THEN PRINT LTRIM$(STR$(GoodScripts%)); " script(s) decoded" + "" + " successfully."
  IF q% <> 0 AND OutSpecOpened% THEN KILL OutPath$ + OutFile$
  Decode% = q%
EXIT FUNCTION
'----------------------------------------------------------
ShrinkLine:
  FoundIt% = FASC(RIGHT$(a$, 1)) = 95
  IF FoundIt% THEN
    InQuote% = false
    FOR I% = 1 TO LEN(a$)
      IF MID$(a$, I%, 1) = CHR$(34) THEN InQuote% = NOT InQuote%
    NEXT
    'Don't combine lines that are part of binary scripts
    IF InQuote% THEN FoundIt% = false
  END IF
  IF FoundIt% OR NumLines% > 0 THEN
    IF NumLines% = 256 THEN
      PRINT "Too many line continuations!": BadScript% = true: GOTO DecodeDone
    END IF
    NumLines% = NumLines% + 1: Lines$(NumLines%) = a$
    IF FoundIt% = false THEN 'last line?
      a$ = ""
      FOR a% = 1 TO NumLines%
        b$ = Lines$(a%)
        'can we combine two quoted strings together?
        CombineQuote% = false
        IF RIGHT$(a$, 2) = "+_" AND LEN(a$) > 3 THEN
          IF RIGHT$(RTRIM$(LEFT$(a$, LEN(a$) - 2)), 1) = CHR$(34) THEN
            IF FASC(LTRIM$(b$)) = 34 THEN CombineQuote% = true
          END IF
        END IF
        IF CombineQuote% THEN
          a$ = RTRIM$(LEFT$(a$, LEN(a$) - 2))
          a$ = LEFT$(a$, LEN(a$) - 1) + MID$(LTRIM$(b$), 2)
        ELSE
          InQuote% = false
          'can we combine two remarks together?
          FOR I% = 1 TO LEN(a$)
            q$ = MID$(a$, I%, 1)
            IF q$ = CHR$(34) THEN
              InQuote% = NOT InQuote%
            ELSEIF InQuote% = false THEN
              IF q$ = "'" OR UCASE$(MID$(a$, I%, 4)) = "REM " THEN
                IF LEFT$(LTRIM$(b$), 1) = "'" THEN b$ = MID$(b$, 2)
                EXIT FOR
              END IF
            END IF
          NEXT
          'eradicate trailing "_" character
          IF LEN(a$) THEN a$ = LEFT$(a$, LEN(a$) - 1)
          a$ = a$ + b$
        END IF
      NEXT
      PRINT #OutputHandle%, a$: NumLines% = 0
    END IF
  ELSE
    PRINT #OutputHandle%, a$
  END IF
  IF GERR% THEN PRINT "Error while writing to output file!": GOTO DecodeExit
RETURN
'----------------------------------------------------------
DecodeLine: '**MOD 86 Decoder**
  a$ = MID$(LTRIM$(MID$(a$, 2)), 2)
  IF RIGHT$(a$, 1) = CHR$(34) THEN a$ = LEFT$(a$, LEN(a$) - 1)
  FOR a% = 1 TO LEN(a$)
    C% = ASC(MID$(a$, a%, 1))
    IF ValidChar%(C%) = false THEN PRINT "Illegal character found on" + " line"; LineNum&: BadScript% = true: GOTO DecodeDone
    C% = C% - 37: IF C% < 0 THEN C% = 91 + C% * 32
    IF K% < 4 THEN
      IF C% > 80 THEN PRINT "Decode out of sync/illegal character" + " found" + " on line"; LineNum&: BadScript% = true: GOTO DecodeDone
      K% = C% + 243
    ELSE
      T% = C% + (K% MOD 3) * 86: IF T% > 255 THEN PRINT "Illegal" + " character found on line"; LineNum&: BadScript% = true: GOTO DecodeDone
      PRINT #OutputHandle%, CHR$(T%);
      IF GERR% THEN PRINT "Error while writing to output file!": GOTO DecodeExit
      b& = b& + 1: K% = K% \ 3
    END IF
    s% = (s% + C%) AND 255
  NEXT
RETURN
'----------------------------------------------------------
CheckLine:
  q% = INSTR(a$, "TLEN:")
  IF q% THEN FilesLength& = GrabNum&(MID$(a$, q% + 5), 1, 153600, -1)
  q% = INSTR(a$, "TCHK:")
  IF q% THEN FilesCRC% = GrabNum&(MID$(a$, q% + 5), 0, 255, -1)
RETURN
'----------------------------------------------------------
AbortCheck: M% = 0: K$ = INKEY$
  IF K$ = CHR$(27) OR K$ = CHR$(0) + CHR$(0) THEN GERR% = -1: PRINT "Aborted by user!": GOTO DecodeExit
RETURN
END FUNCTION

FUNCTION Encode% (Op%, iSwitch%, cSwitch%, aSwitch%, tSwitch%, sSwitch%, pSwitch%, lSwitch%, oSwitch%, bSwitch%, InSpec$, OutSpec$)
  ' following SHARED is for ImportIt!
  DIM Bucket%(1 TO 4), Lines$(64)
  GERR% = 0: q$ = CHR$(34)
'----------------------------------------------------------
  SepPath InSpec$, OutDrive$, OutPath$, InName$
  SepPath OutSpec$, OutDrive$, OutPath$, OutName$
  IF LEN(OutName$) = 0 THEN
    OutName$ = InName$
    IF INSTR(OutName$, ".") THEN OutName$ = LEFT$(OutName$, INSTR(OutName$, ".") - 1)
  END IF
  IF INSTR(OutName$, ".") THEN
    OutExt$ = MID$(OutName$, INSTR(OutName$, "."))
    OutName$ = LEFT$(OutName$, INSTR(OutName$, ".") - 1)
  END IF
  IF LEN(OutExt$) = 0 THEN IF Op% THEN OutExt$ = ".PST" ELSE OutExt$ = ".PI"
'----------------------------------------------------------
  InputHandle% = FREEFILE
  IF Op% THEN
    OPEN InSpec$ FOR INPUT AS InputHandle% LEN = 8192
  ELSE
    OPEN InSpec$ FOR BINARY AS InputHandle%
  END IF
  InputFileSize& = LOF(InputHandle%)
  IF Op% = 0 AND InputFileSize& > (150 * 1024&) THEN
    PRINT "Can't encode files larger than 150k."
    GERR% = -1: GOTO EncodeExit
  ELSEIF InputFileSize& = 0 THEN
    PRINT "Input file is null.": GERR% = -2: GOTO EncodeExit
  END IF
'----------------------------------------------------------
  IF Op% THEN PRINT "Filtering ";  ELSE PRINT "Encoding ";
  PRINT InSpec$; " ("; LTRIM$(STR$((InputFileSize& + 1023) \ 1024)); "k)"
  PRINT
'----------------------------------------------------------
  OutputHandle% = FREEFILE: LinesInPage% = 0
'----------------------------------------------------------
  IF Op% = 0 THEN
    Work$ = "U" + q$ + SPACE$(lSwitch% - 2): WorkPos% = 3
    CurrentSub% = 0: LinesInSub% = 0: FlagScaler% = 1
    GOSUB PrintDecodeHeader
    BytesLeft& = InputFileSize&: BufferSize% = 4096
    Buffer$ = SPACE$(BufferSize)
    DO
      IF GERR% THEN PRINT "- Error #"; STR$(GERR%); " while encoding" + " file!": GOTO EncodeExit
      IF BytesLeft& < BufferSize% THEN Buffer$ = SPACE$(BytesLeft&): BufferSize% = BytesLeft&
      GET InputHandle%, , Buffer$
      IF GERR% THEN PRINT "- Error while reading from input file!": GOTO EncodeExit
      GOSUB EncodeBlock
    LOOP WHILE BytesLeft&
    IF NumCodes% THEN GOSUB FlushCodeBuffer
    IF WorkPos% > 3 THEN Work$ = LEFT$(Work$, WorkPos% - 1): GOSUB PutSubLine
    IF LinesInSub% THEN L$ = "END SUB": GOSUB PutLine
    FOR a% = 2 TO CurrentSub%: L$ = "V" + HEX$(a%): GOSUB PutLine: NEXT
    GOSUB PrintDecodeTrailer
  ELSE
    BytesLeft& = InputFileSize&
    DO UNTIL EOF(InputHandle)
      IF GERR% THEN PRINT "- Error #"; STR$(GERR%); " while filtering" + "" + " file!": GOTO EncodeExit
      LINE INPUT #InputHandle, a$: a$ = RTRIM$(UnTab$(a$, tSwitch%))
      IF GERR% THEN PRINT "- Error while reading from input file!": GOTO EncodeExit
      IF cSwitch% THEN a$ = LTRIM$(a$)
      BytesLeft& = BytesLeft& - LEN(a$) - 2
      IF LEN(a$) > 0 OR iSwitch% = false THEN
        ExpandLine a$, Lines$(), lSwitch%, NumLines%
        'Don't let split lines cross page boundries, because QB won't
        'put them back together.
        IF sSwitch% = false AND (NumLines% > 1) AND (LinesInPage% + 1 + NumLines%) > pSwitch% THEN
          PRINT #OutputHandle%, "'>>> Page"; STR$(NumOutputFiles%); " of "; InName$; " ends here. Continued on next page."
          LinesInPage% = LinesInPage% + 1: GOSUB CloseOutputFile
        END IF
        FOR a% = 1 TO NumLines%
          L$ = Lines$(a%)
          'Don't let blank lines proceed the first page header.
          IF LinesInPage% <> 0 OR LEN(RTRIM$(L$)) > 0 THEN
            'The padding option is for those unfortunates that post
            'source online in RBBS's grubby line oriented text editor...
            IF aSwitch% THEN IF LEN(L$) = 0 THEN L$ = " "
            GOSUB PutLine
          END IF
        NEXT
      END IF
    LOOP
  END IF
'----------------------------------------------------------
  L$ = "'>>> Page" + STR$(NumOutputFiles%) + " of " + InName$ + " ends" + "" + " here. Last page."
  IF Op% = 0 THEN L$ = L$ + " TCHK:" + LTRIM$(STR$(CheckSum%))
  GOSUB PutLine: GOSUB CloseOutputFile: PRINT
  PRINT LTRIM$(STR$(TotalLines%)); " lines in"; STR$(NumOutputFiles%); " message(s) written."
'----------------------------------------------------------
EncodeExit:
  q% = GERR%
  CLOSE InputHandle%: CLOSE OutputHandle%
  IF q% <> 0 THEN FOR a% = 1 TO NumOutputFiles%: KILL OutPutFile$(a%): NEXT
  Encode% = q%
EXIT FUNCTION
'----------------------------------------------------------
EncodeBlock: '**MOD 86 Encoder**
  FOR I% = 1 TO BufferSize%
    Byte% = ASC(MID$(Buffer$, I%, 1)): BytesLeft& = BytesLeft& - 1
    CurrentFlag% = CurrentFlag% + (Byte% \ 86) * FlagScaler%
    FlagScaler% = FlagScaler% * 3: NumCodes% = NumCodes% + 1
    Bucket%(NumCodes%) = Byte% MOD 86
    IF NumCodes% = 4 THEN GOSUB FlushCodeBuffer
  NEXT
RETURN
'----------------------------------------------------------
FlushCodeBuffer:
  q% = CurrentFlag%: GOSUB PutByte
  FOR J% = 1 TO NumCodes%: q% = Bucket%(J%): GOSUB PutByte: NEXT
  NumCodes% = 0: CurrentFlag% = 0: FlagScaler% = 1
RETURN
'----------------------------------------------------------
PutByte:
  CheckSum% = (CheckSum% + q%) AND 255
  IF q% = 27 THEN
    MID$(Work$, WorkPos%) = "#"
  ELSEIF q% = 59 THEN
    MID$(Work$, WorkPos%) = "$"
  ELSE
    MID$(Work$, WorkPos%) = CHR$(q% + 37)
  END IF
  WorkPos% = WorkPos% + 1: IF WorkPos% > lSwitch% THEN GOSUB PutSubLine
RETURN
'----------------------------------------------------------
PutSubLine:
  IF LinesInSub% = 0 THEN
    CurrentSub% = CurrentSub% + 1
    IF CurrentSub% = 1 THEN
      L$ = "SUB V1:OPEN " + q$ + "O" + q$ + ",1," + q$ + InName$ + q$ + ",4^6:Z&=" + LTRIM$(STR$(LOF(1))) + ":?STRING$(50,177);"
    ELSE
      L$ = "SUB V" + HEX$(CurrentSub%)
    END IF
    GOSUB PutLine
  END IF
  L$ = Work$: GOSUB PutLine
  LinesInSub% = LinesInSub% + 1
  IF LinesInSub% = 200 THEN L$ = "END SUB": GOSUB PutLine: LinesInSub% = 0
  WorkPos% = 3
RETURN
'----------------------------------------------------------
PutLine:
  IF LinesInPage% = 0 THEN GOSUB OpenNewOutputFile
  PRINT #OutputHandle%, L$
  IF GERR% THEN PRINT "- Error writing to output file!": GOTO EncodeExit
  LinesInPage% = LinesInPage% + 1
  IF sSwitch% = false THEN
    'make sure last page has some meat on it
    IF LinesInPage% = (pSwitch% - 1) OR (BytesLeft& < 256 AND LinesInPage% > (pSwitch% - 10)) THEN
      PRINT #OutputHandle%, "'>>> Page"; STR$(NumOutputFiles%); " of "; InName$; " ends here. Continued on next page."
      LinesInPage% = LinesInPage% + 1: GOSUB CloseOutputFile
    END IF
  END IF
  'Check the blower for contol+c and escape every few lines...
  IF (LinesInPage% AND 7) = 1 THEN
    a$ = INKEY$: IF a$ = CHR$(27) OR a$ = CHR$(0) + CHR$(0) THEN GERR% = -3: PRINT "- Aborted by user!": GOTO EncodeExit
  END IF
RETURN
'----------------------------------------------------------
OpenNewOutputFile:
  IF NumOutputFiles% = 256 THEN GERR% = -4: PRINT "Too many output" + " files!": GOTO EncodeExit
  NumOutputFiles% = NumOutputFiles% + 1
  IF sSwitch% = true THEN
    J$ = OutName$
  ELSE
    J$ = LTRIM$(STR$(NumOutputFiles%))
    J$ = LEFT$(OutName$, 8 - LEN(J$)) + J$
  END IF
  OutFile$ = OutDrive$ + OutPath$ + J$ + OutExt$: GERR% = 0
  OPEN OutFile$ FOR INPUT AS OutputHandle%: CLOSE OutputHandle%
  IF GERR% = 0 THEN
    IF oSwitch% = false THEN
      PRINT OutFile$; " already exists. [O]verwrite, overwrite [R]est," + "" + " or [A]bort(o/r/a)? ";
      DO: DO: a$ = INKEY$: LOOP UNTIL LEN(a$): a$ = UCASE$(a$)
      LOOP UNTIL INSTR("ORA" + CHR$(27), a$)
      LOCATE , 1: PRINT SPACE$(78); : LOCATE , 1
      SELECT CASE a$
      CASE "A", CHR$(27): GERR% = -3: PRINT "Aborted by user!"
        NumOutputFiles% = NumOutputFiles% - 1: GOTO EncodeExit
      CASE "R": oSwitch% = true
      END SELECT
    END IF
  END IF
  PRINT "Now writing: "; OutFile$; " ";
  GERR% = 0: OPEN OutFile$ FOR OUTPUT AS OutputHandle% LEN = 4096
  OutPutFile$(NumOutputFiles%) = OutFile$
  IF GERR% THEN
    PRINT "- Error opening output file!"
    NumOutputFiles% = NumOutputFiles% - 1: GOTO EncodeExit
  END IF
  LinesInPage% = 1
  IF NumOutputFiles% = 1 THEN
    FOR I% = 1 TO bSwitch%
      IF aSwitch% THEN PRINT #OutputHandle, " " ELSE PRINT #OutputHandle,
    NEXT
    LinesInPage% = LinesInPage% + bSwitch%
  END IF
  PRINT #OutputHandle%, "'>>> Page"; STR$(NumOutputFiles%); " of "; InName$; " begins here.";
  IF NumOutputFiles% > 1 THEN
    PRINT #OutputHandle%,
  ELSE
    IF Op% = 0 THEN
      'The first letter after "BIN" is  which algorithm was used
      'to encode the file. The second letter is the minimum decoding
      'algorithm required to extract the file. Both range from A-Z.
      PRINT #OutputHandle%, " TYPE:BINAA";
      'TLEN stands for "total length".
      PRINT #OutputHandle%, " TLEN:"; LTRIM$(STR$(InputFileSize&))
      'In the future, other information may be put onto this line,
      'such as the file's date and time. (Actually, any line
      'starting will "'>>>" will be scanned for information by
      'the Decode function.)
    ELSE
      PRINT #OutputHandle%, " TYPE:BAS"
    END IF
  END IF
  GERR% = 0
RETURN
'----------------------------------------------------------
CloseOutputFile:
  CLOSE OutputHandle%
  IF GERR% THEN PRINT "- Error while writing to output file!": GOTO EncodeExit
  PRINT : TotalLines% = TotalLines% + LinesInPage%: LinesInPage% = 0
RETURN
'----------------------------------------------------------
PrintDecodeHeader:
 
'This section added 5/23/96 by Steve Harmon
'This section modified 6/11/96 by Steve Harmon
  L$ = "'-------------------------------------------------------------"
  GOSUB PutLine
  L$ = "'                  INSTRUCTIONS FOR DECODING"
  GOSUB PutLine
  L$ = "'If there are multiple parts to this file, merge them into one"
  GOSUB PutLine
  L$ = "'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all"
  GOSUB PutLine
  L$ = "'message header and footer information (everything outside the"
  GOSUB PutLine
  L$ = "'" + CHR$(34) + ">>> Page x of..." + CHR$(34) + " lines),  load the result into your version"
  GOSUB PutLine
  L$ = "'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original"
  GOSUB PutLine
  L$ = "'file will be decoded into the current directory on your disk."
  GOSUB PutLine
  L$ = "'-------------------------------------------------------------"
  GOSUB PutLine
'End section added 5/23/96 by Steve Harmon


  L$ = "DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3"
  GOSUB PutLine
RETURN
'----------------------------------------------------------
PrintDecodeTrailer:
  L$ = "CLOSE:IF S=" + LTRIM$(STR$(CheckSum%))
  L$ = L$ + "AND B&=Z&THEN?" + q$ + " :) Ok!" + q$ + "ELSE?" + q$ + " " + "" + ":( Bad!"
  GOSUB PutLine
  L$ = "SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN" + " C=91+C*32"
  GOSUB PutLine
  L$ = "IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1"
  GOSUB PutLine
  L$ = "S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB"
  GOSUB PutLine
RETURN
END FUNCTION

'This self containted subroutine for splitting QB lines was made by
'Victor Yiu and a few other folks on the QUIK_BAS echo.
SUB ExpandLine (a$, Lines$(), LineLength%, NumLines%)
  NumLines% = 0
  'check to see if the line has already been split
  FOR I% = LEN(a$) TO 1 STEP -1
    SELECT CASE MID$(a$, I%, 1)
    CASE "_": NoSplit% = true
    CASE " "
    CASE ELSE: EXIT FOR
    END SELECT
  NEXT
  DO WHILE NoSplit% = false AND LEN(a$) > LineLength%
    'locate a place to split the line
    WrapPoint% = 0
    FOR I% = LineLength% TO LineLength% - 20 STEP -1
      SELECT CASE MID$(a$, I%, 1)
      CASE " ", ".", ",", ":", ";": WrapPoint% = I%: EXIT FOR
      END SELECT
    NEXT
    IF WrapPoint% = 0 THEN WrapPoint% = LineLength%
    'avoid wrapping on quote chars
    IF MID$(a$, WrapPoint% - 1, 1) = CHR$(34) THEN WrapPoint% = WrapPoint% - 1
    InQuote% = false: HasComment% = false
    'check to see if the line contains a remark
    FOR I% = 1 TO WrapPoint% - 1
      q$ = MID$(a$, I%, 1)
      IF q$ = CHR$(34) THEN
        InQuote% = NOT InQuote%
      ELSEIF InQuote% = false THEN
        IF q$ = "'" OR UCASE$(MID$(a$, I%, 4)) = "REM " THEN
          HasComment% = true: EXIT FOR
        END IF
      END IF
    NEXT
    NumLines% = NumLines% + 1
    IF InQuote% THEN
      Lines$(NumLines%) = LEFT$(a$, WrapPoint% - 1) + CHR$(34) + "+_"
    ELSE
      Lines$(NumLines%) = LEFT$(a$, WrapPoint% - 1) + "_"
    END IF
    a$ = MID$(a$, WrapPoint%)
    IF HasComment% THEN
      a$ = "'" + a$
    ELSEIF InQuote% THEN
      a$ = CHR$(34) + a$
    END IF
  LOOP
  NumLines% = NumLines% + 1: Lines$(NumLines%) = a$
END SUB

FUNCTION FASC% (a$)
  IF LEN(a$) = 0 THEN FASC% = -1 ELSE FASC% = ASC(a$)
END FUNCTION

FUNCTION GrabNum& (a$, Lower&, Upper&, Default&)
  FOR I% = 1 TO LEN(a$)
    q$ = MID$(a$, I%, 1): IF (q$ < "0" OR q$ > "9") THEN EXIT FOR
    J& = J& * 10& + ASC(q$) - 48
    IF J& > Upper& THEN GrabNum& = Default&: EXIT FUNCTION
  NEXT
  GrabNum& = J&: IF LEN(a$) = 0 OR J& < Lower& OR J& > Upper& THEN GrabNum& = Default&
END FUNCTION

SUB IIParse (cmd$, toname$, fromname$, conference%, BBSID$)
  ' this short sub parses cmd$ and returns values for use with ImportIt!
  FOR n = 1 TO LEN(cmd$)
    IF MID$(cmd$, n, 4) = " -Q " THEN
      qLoc = n + 4
    END IF
  NEXT n
  FOR n = qLoc TO LEN(cmd$)
    IF MID$(cmd$, n, 3) = "TO:" THEN
      toname$ = LTRIM$(RTRIM$(MID$(cmd$, n + 3, INSTR(n, cmd$, "FROM:") - (n + 3))))
    ELSEIF MID$(cmd$, n, 5) = "FROM:" THEN
      fromname$ = LTRIM$(RTRIM$(MID$(cmd$, n + 5, INSTR(n, cmd$, "CONF" + ":") - (n + 5))))
    ELSEIF MID$(cmd$, n, 5) = "CONF:" THEN
      conference% = VAL(LTRIM$(RTRIM$(MID$(cmd$, n + 5, INSTR(n, cmd$, "BBSID:") - (n + 5)))))
    ELSEIF MID$(cmd$, n, 6) = "BBSID:" THEN
      BBSID$ = LTRIM$(RTRIM$(LTRIM$(RTRIM$(MID$(cmd$, n + 6)))))
    END IF
  NEXT n
END SUB

SUB ImportIt (BBSID$, MsgFiles$(), toname$, fromname$, TitleFile$, conference)
  PRINT
  PRINT "ImportIt! v1.0"; CHR$(225); " QuickBASIC Compatable QWK format" + " file importer."
  PRINT "For use with PostIt! QuickBASIC Compatable Encoder/Decoder."
  PRINT "Public Domain by Calvin French, August 1993"
  PRINT
  PRINT "Adding encoded files to reply packet (.REP file)"
  AddToRep BBSID$, MsgFiles$(), toname$, fromname$, TitleFile$, conference, ErrorCode$
  PRINT
  PRINT "Status returned: "; ErrorCode$
  IF ErrorCode$ = "Reply packet (.REP file) not found!" THEN
    ArcMethod$ = PreferredArchiveMethod$
    SELECT CASE ArcMethod$
      CASE "ARJ"
        ArcCommand$ = "ARJ A"
      CASE "LHA"
        ArcCommand$ = "LHA A"
      CASE "ZIP"
        ArcCommand$ = "PKZIP"
    END SELECT
    CreateRep BBSID$, ArcCommand$
    AddToRep BBSID$, MsgFiles$(), toname$, fromname$, TitleFile$, conference, ErrorCode$
    PRINT "Status returned: "; ErrorCode$
    PRINT
  END IF
END SUB

'This parsing sub does NOT mistake filenames like "F-14G.ZIP" as
'containing a switch. That's why it looks so big.
SUB ParseCmdLine (cmd$, Params$(), Found%)
  Found% = 0: Sep$ = "-/": Temp$ = LTRIM$(RTRIM$(cmd$)): InParam% = 0
  FOR p% = 1 TO LEN(Temp$)
    C$ = MID$(Temp$, p%, 1)
    IF InParam% = -1 THEN 'Inside of a switch?
      IF INSTR(Sep$, C$) THEN 'Found another switch?
        'Terminate current switch, then start parsing the next one.
        GOSUB MakeParam: MID$(Temp$, p%, 1) = LEFT$(Sep$, 1)
        ParamStart% = p%
      ELSEIF ASC(C$) = 32 OR ASC(C$) = 9 THEN
        GOSUB MakeParam: InParam% = 0 'Terminate current switch.
      END IF
    ELSEIF InParam% = -2 THEN 'Inside of a parameter?
      IF ASC(C$) = 32 OR ASC(C$) = 9 THEN 'Terminate parameter with
        GOSUB MakeParam: InParam% = 0     'space or TAB.
      END IF
    ELSE
      IF INSTR(Sep$, C$) THEN 'Found start of a switch?
        'Make sure all switches start with "-".
        MID$(Temp$, p%, 1) = LEFT$(Sep$, 1): InParam% = -1
        ParamStart% = p%
      ELSEIF ASC(C$) <> 32 AND ASC(C$) <> 9 THEN 'If char isn't a
        InParam% = -2: ParamStart% = p% 'space or TAB it's a parameter.
      END IF
    END IF
  NEXT
 IF InParam% THEN GOSUB MakeParam
  EXIT SUB
MakeParam:
  Found% = Found% + 1
  Params$(Found%) = MID$(Temp$, ParamStart%, p% - ParamStart%)
  IF Found% = UBOUND(Params$) THEN EXIT SUB
RETURN
END SUB

SUB SepPath (a$, Drive$, path$, tName$)
  FOR I% = LEN(a$) TO 1 STEP -1
    IF INSTR("\:", MID$(a$, I%, 1)) THEN EXIT FOR
  NEXT
  IF I% > 0 THEN
    path$ = UCASE$(MID$(a$, 1, I%)): tName$ = UCASE$(MID$(a$, I% + 1))
  ELSE
    path$ = "": tName$ = UCASE$(a$)
  END IF
  Temp% = INSTR(path$, ":"): Drive$ = ""
  IF Temp% THEN Drive$ = LEFT$(path$, Temp%): path$ = MID$(path$, Temp% + 1)
END SUB

FUNCTION UnTab$ (b$, TabStops%)
  a$ = b$: T% = INSTR(a$, CHR$(9))
  IF T% THEN
    DO: Temp% = (T% - 1) MOD TabStops%
    a$ = LEFT$(a$, T% - 1) + SPACE$(TabStops% - Temp%) + MID$(a$, T% + 1)
    T% = INSTR(T%, a$, CHR$(9)): LOOP WHILE T%
  END IF
  UnTab$ = a$
END FUNCTION '(last subroutine)
<PAGEEND:"Post.It.File1">

<PAGESTART:"Publish.Shareware.File">
-----------------------------------------------------------------------------
How To Publish Your Programs:-
-----------------------------------------------------------------------------
Contact James MacLean <James_MacLean@zd.com>, who is incharge. His company's
web page is ---> http://www.zdnet.com
-----------------------------------------------------------------------------
He will distribute your programs (as long as they are good) to

1) America on Line
2) Compuserve
3) The ZDNet WWW site.

   They are among the "Top 25"  WWW sites in the world.

(99% of the shareware authors make little or no money. You will never get
 rich selling retail. Selling wholesale is where all the money is. Think of
 a program that a business would want to buy.)

Here are the steps:

1) They have an "Author Upload Center" BBS.

 Toll free number (Free for you? I have no idea.) --->1-800-426-3425.

2) You can attach your program to an e-mail and send it to me
   (James_MacLean@zd.com).

 We use "MIME" to decode and our gateway has an attachment limit, that is
 less than 3 megs..

3) We then send the programs to our virtual reviewers.

4) When we get the program back, it is uploaded to all three services.

* Your program must contain a "read me" file with certain information.

A) The program title

B) Version number

C) Author information

D) Operating System the program runs on

E) Is the program, Freeware or Shareware

F) Keywords

G) Description of the program

That's about it
-----------------------------------------------------------------------------
For more information contact James MacLean at <James_MacLean@zd.com>, who is
a very friendly guy :-). His company's web page is ---> http://www.zdnet.com
-----------------------------------------------------------------------------
<PAGEEND:"Publish.Shareware.File">

<PAGESTART:"Interrupt.Page.File1">
 =================================
[     QuickBasic 4.5 Tutorial     ]
[      How To Use Interrupts      ]
[ Copyright (c) 1996 by Tika Carr ]
 =================================
(Please read disclaimer at the end of this tutorial.)

This tutorial hopes to cover the basics of how to use Interrupts in
QuickBasic. Note that this method only works in QuickBasic 4.5. I hope
to do a tutorial for those who use QBasic (which comes with MS-DOS 5.0
and higher).

1. Getting Started

You will need to have started QuickBasic 4.5 by typing the following
at the MS-DOS prompt:

QB /L QB.QLB

This QuickLiBrary will load in what you need to use interrupts.

Many new programmers avoid using interrupts because they are afraid to
damage their computer. I've noticed people mess up their system
*without* using interrupts. Sections 7 - 9 have some tips on safe
debugging and what to do if you have a crash. Further,  BACK UP YOUR
HARD DRIVES! This is MOST important! And save your programs onto
floppy diskette before you run them. Ultimately, its still up to you
to protect your system. This goes for any type of programming.

2. Your First Interrupt

Type in the following and save it, then run it. We'll look at the
program and see how it all works in a moment.

=======>8 Snip 8<=======

'Example Program for CALL INTERRUPT Tutorial
'by Tika Carr

'$INCLUDE: 'QB.BI'

DIM Inregs AS RegType, Outregs AS RegType

'Int 10h (interrupt 10 hexidecimal) controls the video part.
'0Ah tells the computer to write a character on the screen.
'We'll put the letter 'A' on the screen in this example.

CLS

Inregs.ax = &HA41  'load high and low bytes into ax register (&H0A01)
Inregs.cx = 1      'write only 1 character

CALL INTERRUPT(&H10, Inregs, Outregs) 'put the character on the screen

=======>8 Snip 8<=======

'$INCLUDE: 'QB.BI' defines the type structures used for the
interrupts.

DIM Inregs AS RegType, Outregs AS RegType

The INCLUDE statement defines the type structures that is used for
interrupts. These are found in the QB.BI file that comes with
QuickBasic 4.5. The DIM Statement lets you specify what variable to
put the registers defined in RegType in, so that its easy to pass all
the registers to the interrupt.

3. What are registeres and what do they do?

A register is a place where you store values, and is a more direct way
to communicate with the computer. The computer looks into registers
for specific values, and uses them to perform different tasks. For
example, we gave the computer some information in the AX register,
telling it we wanted to write something on the screen, and what we
wanted to write to the screen (the letter 'A'). We also put a value
into the CX register, telling the computer we wanted to write only one
copy of the letter 'A'. When you call an interrupt, you send all that
information along to the computer (int 10h, which accesses your
video). Basically, we just told the computer to PRINT "A" on the
screen. Registers also let the computer send information back to your
program. For example, INT 33 can give your program the X and Y
coordinates of where the mouse currently is located.

For CALL INTERRUPT: ax, bx, cx, dx, bp, si, di, flags
Defined as RegType

FOR CALL INTERRUPTX: ax, bx, cx, dx, bp, si, di, flags, ds, es
Defined as RegTypeX

Depending on the interrupt you want to use, you will need to pick the
type of call that suits it. For instance, if you don't use the es
register, then using CALL INTERRUPT would work fine. However, if the
computer will be looking into the es register for something, or if you
will need to know what is in the ds register, you will want to use the
CALL INTERRUPTX.

These definitions are all in the QB.BI file. You '$INCLUDE: 'QB.BI' in
your program, then you DIM Inregs AS RegyType, OutRegs AS RegType.
These will set up your variables so that you can access the registers.

To put something into the registers, you use Inregs, and to read the
registers, you use the OutRegs variable:

Inregs.ax  is where you would put something in the AX register.
Outregs.cx is where you can find what the computer put in the CX
           register.

4. Storing Values into Registers:

Since the registers take information in bytes only, you may have to do
some converting to load the registers properly. Many times an
interrupt listing will show something like:

Interrupt 10h: Video
        Entry: ah = 0A write a character to the screen
               al = value of character to write
               bh = video page
               bl = attribute or color of character
               cx = number of times to write the character

This can seem confusing. How do you load the AX register? Where IS it?
There's an AH and an AL. These mean the High and Low bytes of the AX
register, respectively. Here's how you would put a value into the AX
register:

Inregs.ax = &HA41  'load high and low bytes into ax register (&H0A01)

(Note that QuickBasic likes to take away the leading 0s. Initially, we
typed it as: Inregs.ax = &H0A41)

The values go into the registers as:  0A41
                                      HiLo

Most of the time, you probably will run into this situation:

Video$ = "0A"              ' Tell computer to write to video
Character$ = "A"           ' Character to write on screen

Here is how you would get it all into one register:

Character$ = HEX$(ASC(A))  ' Convert 'A' into its ASCII value in
                           ' Hexidecimal.

Since Video$ already is in Hexidecimal, we won't need to change it.
Now, we put them together:

AX$ = Video$ + Character$      ' AX$ now contains 0A41 PRINT AX$ to
                                ' see for yourself.

Now that we got the full hexidecimal value to put into the AX
register, we still have to convert this into a *number*:

Inregs.ax = VAL("&H" + AX$)

This makes the string now say "&H0A41" and it also converts it into a
numeric value (using VAL). Now you have the high and low bytes
converted and stored into the AX register that will go into the
computer (Inregs). When you do the CALL INTERRUPT (&H10, Inregs,
Outregs), the values will be correctly loaded where the computer can
find them.

5. Reading the Registers

Outregs also holds register values. After you make a CALL INTERRUPT,
you can read, let's say, the high and low bytes of the BX register and
use it in your own program:

BX$ = HEX$(Outregs.bx)      ' Convert the value to hexidecimal, its
                            ' easier to extract the high and low bytes
                            ' this way.

Since the computer likes to truncate leading 0s, we have to convert
the value of BX$:

' Get Low and High Byte of BX
' BH$ is the high byte, BL$ is the low byte, both in Hexidecimal.

L = LEN(BX$)
IF L = 1 THEN BH$ = "0" + BX$: BL$ = "00"
IF L = 2 THEN BH$ = LEFT$(BX$, 2): BL$ = "00"
IF L = 3 THEN BH$ = "0" + LEFT$(BX$, 1): BL$ = RIGHT$(BX$, 2)
IF L = 4 THEN BH$ = LEFT$(BX$, 1): BL$ = RIGHT$(BX$, 2)

bh = VAL("&H" + BH$)        ' Decimal Value of high byte of BX
bl = VAL("&H" + BL$)        ' Decimal Value of low byte of BX

Note that this is only applicable for any register you need to get
specifically the low and high bytes of. Sometimes a register is a
pointer to a memory address. If that is the case, you can just use
that value directly, without any type of conversion. For example:

Address = Outregs.es
Value = Outregs.dx
POKE Address, Value
' Or do whatever you need to with the address returned.

6. Calling the Interrupt

When you do a CALL INTERRUPT you access a certain function within the
computer. For example, in CALL INTERRUPT(&H10, Inregs, Outregs) you
called the video interrupt 10h (&H10). Its best of course, to know
what interrupt does what, what to put into the registers, and what the
registers may return to your program that you may be able to use. The
best Interrupt source I've found is Ralph Brown's Interrupt List,
found on some programming BBSs and on the internet on different FTP
sites (like Oakland, SimTel, and Garbo, which you can get current
addresses for by searching Lycos at http://lycos.cs.cmu.edu)

7. What To Do About Crashes

a) BACKUP YOUR PROGRAMS BEFORE RUNNING THEM!
First and foremost, its good practice to save your program onto a
floppy diskette before you run it. When your system crashes and you
get back in, just reload the program into QuickBasic.

b) System Crashes
If your system crashes, or seems to hang, first try hitting CTRL-C or
CTRL-Pause (which is also CTRL-Break). You may have to hit ENTER
afterward to get back to the QuickBasic Interactive Debugging Editor
(IDE) to look at your program. If this don't work, reboot the computer
with CTRL-ALT-DEL (or hit the RESET button on the computer if that
didn't work). Then reload and take a look at your program. If worse
comes to worse, you can shut off the computer, wait a few moments and
turn it back on. Personally, I have always been able to recover by
breaking out of the program with CTRL-Break.

c) Disk FAT crashes
This is one situation that could occur if you are using interrupts to
access the disk drives or hard disk, and you didn't get things loaded
in right. Best to have your hard drive backed up before each
programming session if you know you'll be using interrupts that will
access the disk drives (ie. may have potential of writing to sectors
or the FAT). Another good thing to have on hand is some utilities that
repair damaged FAT tables and such. There are a number of good
commercial programs out there, and some shareware ones as well. Put
one of these on a bootable floppy.

d) Video, Sound and other hardware
Its rare that you can actually damage hardware with an interupt call.
If something goes "haywire" the best bet is to just hit the reset
button on the PC right away. Usually, things will then reset and
recover.

8. Safe Debugging

Once you get your program written, put a remark before the CALL
INTERRUPT:

'CALL INTERRUPT (&H10, Inregs, Outregs)

Then set up the Debug to watch your variables:

HEX$(Inregs.ax)
HEX$(Outresg.bx)

Or whatever variables you are working with. Then ALT-R R to restart.
NOW SAVE THE PROGRAM TO FLOPPY DISK! Remove the disk from the drive.
Hit F8 to step through your program one instruction at a time, paying
close attention to the values in the variables. Are they loading
properly? Once you think its working, you can again save the program
and then remove the remark from the call. Step through again and pay
attention to the Outregs registers if you are using them.

It may seem like a lot to go through, but watching how your program
works step by step, especially if you're first learning to use
interrupts, will show you how the computer uses them, and how your
programs behave (for better or for worse).

9. In Closing....

Interrupts are a great way to do things in QuickBasic that you can't
find a command for. Normally, they don't hurt anything and at worse,
just make you have to restart the computer. While a risk is there to
mess up things like hard drives, its rare you'll run into that, if at
all, as long as you don't use disk interrupts until you are
comfortable with how interrupts work and how to use them. Stick with
writing for video, mouse, printer, sound card for starters. Video is
easiest, as is the mouse. And if wierd things happen, don't panic -
reset. :)

                    ******* DISCLAIMER *******

The author of this article cannot garantee the usability or
suitability of the inforamtion presented herein for any particular
purpose. In addition, the user of the information in this article
agrees not to hold the author, moderator or any other direct or
indirect agent liable in any way for any damages, loss of data, or
other consequenses arising from use of this information. While I have
made every conscious effort to ensure the information in this tutorial
is accurate and safe to use on any PC compatible in the QuickBasic 4.5
environment, the end result depends on the person making use of the
intformation presented here. Use the information in this tutorial at
your own risk.

                  ******* CONTACT INFORMATION *******

As of 8/3/96, comments, questions and suggestions, can be directed to:

 FidoNet: Tika Carr 1:2613/601
Internet: kari@rochgte.fidonet.org

=====================================================================
Tika Carr, former staff writer and later editor of GEnieLamp PC
Multimedia Magazine, has been writing QuickBasic 4.5 programs since
1989, and is a frequent contributor to the QUICK_BAS FidoNet Echo. Her
area of specialty is in "tools that make tools" (Steven Levy,
"Hackers"), meaning anything that will make things easier for
programmers to take control of the computer, and make their
imaginations come alive.
=====================================================================
Microsoft, QuickBasic 4.5, and QBasic are trademarks of Microsoft
Corporation. MS-DOS is a registered trademark of Microsoft
Corporation.
<PAGEEND:"Interrupt.Page.File1">

<PAGESTART:"Key.Stuff.File1">
DECLARE SUB KeyInt (AL%)
'
' KEYSTUFF.BAS  by Matt Hart
' Uses Interrupt 16H for various keyboard operations.
'
' The scroll lock, num lock, caps lock, and insert
' key flags remain ON until pressed again, thus the need for
' the ?Flag variables in this demo program.
'
'
    DEFINT A-Z
    TYPE RegTypeX
        AX    AS INTEGER
        bx    AS INTEGER
        cx    AS INTEGER
        dx    AS INTEGER
        bp    AS INTEGER
        si    AS INTEGER
        di    AS INTEGER
        flags AS INTEGER
        ds    AS INTEGER
        es    AS INTEGER
    END TYPE
    DECLARE FUNCTION RShift ()
    DECLARE FUNCTION LShift ()
    DECLARE FUNCTION CtrlKey ()
    DECLARE FUNCTION AltKey ()
    DECLARE FUNCTION ScrollLock ()
    DECLARE FUNCTION NumLock ()
    DECLARE FUNCTION CapsLock ()
    DECLARE FUNCTION InsertKey ()
    SFlag = 0: NFlag = 0: CFlag = 0: IFlag = 0
    DO
        IF RShift THEN PRINT "Right Shift Key"
        IF LShift THEN PRINT "Left Shift Key"
        IF CtrlKey THEN PRINT "Control Key"
        IF AltKey THEN PRINT "Alt Key"
        IF ScrollLock AND NOT SFlag THEN
            PRINT "Scroll Lock Enabled"
            SFlag = NOT SFlag
        ELSEIF NOT ScrollLock AND SFlag THEN
            PRINT "Scroll Lock Disabled"
            SFlag = NOT SFlag
        END IF
        IF NumLock AND NOT NFlag THEN
            PRINT "Num Lock Enabled"
            NFlag = NOT NFlag
        ELSEIF NOT NumLock AND NFlag THEN
            PRINT "Num Lock Disabled"
            NFlag = NOT NFlag
        END IF
        IF CapsLock AND NOT CFlag THEN
            PRINT "Caps Lock Enabled"
            CFlag = NOT CFlag
        ELSEIF NOT CapsLock AND CFlag THEN
            PRINT "Caps Lock Disabled"
            CFlag = NOT CFlag
        END IF
        IF (InsertKey AND NOT IFlag) OR (NOT InsertKey AND IFlag) THEN
            PRINT "Insert Key Toggled"
            IFlag = NOT IFlag
        END IF
    LOOP UNTIL INKEY$ = CHR$(27)
    END

FUNCTION AltKey
    CALL KeyInt(AL): AltKey = (AL AND 8) = 8
END FUNCTION

'
FUNCTION CapsLock
    CALL KeyInt(AL): CapsLock = (AL AND 64) = 64
END FUNCTION

'
FUNCTION CtrlKey
    CALL KeyInt(AL): CtrlKey = (AL AND 4) = 4
END FUNCTION

'
FUNCTION InsertKey
    CALL KeyInt(AL): InsertKey = (AL AND 128) = 128
END FUNCTION

'
SUB KeyInt (AL)
    DIM InRegs AS RegTypeX
    DIM OutRegs AS RegTypeX
    InRegs.AX = &H200
    CALL InterruptX(&H16, InRegs, OutRegs)
    AL = OutRegs.AX MOD 256
END SUB

'
FUNCTION LShift
    CALL KeyInt(AL): LShift = (AL AND 2) = 2
END FUNCTION

'
FUNCTION NumLock
    CALL KeyInt(AL): NumLock = (AL AND 32) = 32
END FUNCTION

'
FUNCTION RShift
    CALL KeyInt(AL): RShift = (AL AND 1) = 1
END FUNCTION

'
FUNCTION ScrollLock
    CALL KeyInt(AL): ScrollLock = (AL AND 16) = 16
END FUNCTION
<PAGEEND:"Key.Stuff.File1">

<PAGESTART:"Com.Exchange.File1">
'Port Addresses: COM1  --  03F8h
'                COM2  --  02F8h
'                COM3  --  03E8h
'                COM4  --  02E8h

'EXAMPLE: Accessing COM3

   DEF SEG = 64       'move QuickBASIC segment pointer to BIOS data area
   POKE &H0, &HE8     'change com1: address in BIOS data area to com3:
   DEF SEG            'return to QB's DGROUP

   'open com3: by issuing open "com1:" command

   OPEN "COM1:9600,N,8,1" FOR OUTPUT AS #1


   PRINT #1, "ATDT555-5555"  'print to comm port
        
   CLOSE #1           'close comm port

   DEF SEG = 64       'point to BIOS data area
   POKE &H0, &HF8     'restore "com1:" address in BIOS data area to com1:
   DEF SEG            'return to DGROUP


'EXAMPLE: Accessing COM4

   DEF SEG = 64       'move QuickBASIC segment pointer to BIOS data area
   POKE &H2, &HE8     'change com2: address in BIOS data area to com4:
   DEF SEG            'return to DGROUP

'open com4: by issuing open com2: command

   OPEN "COM2:9600,N,8,1" FOR OUTPUT AS #1


   PRINT #1, "ATDT555-5555"  'print to comm port

   CLOSE #1           'close comm port

   DEF SEG = 64       'point to BIOS data area
   POKE &H2, &HF8     'restore com2: address in BIOS data area to com2:
   DEF SEG            'return to DGROUP
<PAGEEND:"Com.Exchange.File1">

<PAGESTART:"Xmodem.Transfer.File1">
'  +-------------------------------------------------------------------+
'  |                                                                   |
'  |   XMODEM.BAS                                Author: Bryan Leggo   |
'  |                                                                   |
'  |   Original XModem, XModem-CRC, and XModem-1K Transfer Protocols   |
'  |                                                                   |
'  |   Uses standard QuickLibrary for "FileExists" function. Use /L    |
'  |   for QB.QLB in environment or the .LIB while compiling.          |
'  |                                                                   |
'  +-------------------------------------------------------------------+

DECLARE FUNCTION CalcCheckSum% (Blk$)
DECLARE FUNCTION CalcCRC& (X$, CRCHigh%, CRCLow%)
DECLARE FUNCTION FileExists% (T$, Attrib%)
DECLARE FUNCTION NoCarrier% ()
DECLARE FUNCTION TimedGet$ (Limit&, Cancelled%)
DECLARE FUNCTION Warn$ (Message$)
DECLARE SUB ClrLn (Ln%, Spaces%)
DECLARE SUB OpenCom (ComChan%, Param$)
DECLARE SUB PurgeBuffer ()
DECLARE SUB ReceiveXModem (BlkSize%, F$)
DECLARE SUB SendXModem (BlkSize%, F$)
DECLARE SUB SimpleTerminal ()
DECLARE SUB Txt (Side$, T$)
DECLARE SUB Transfer (WhichWay$)
DECLARE SUB VidBar (BarOn%, Col%, Length%)

TYPE RegTypeX                                   'Register Type for
   ax    AS INTEGER                             ' Interrupt Calls
   bx    AS INTEGER
   cx    AS INTEGER                             'AX = AH AL
   dx    AS INTEGER                             'BX = BH BL, etc.
   bp    AS INTEGER
   si    AS INTEGER
   di    AS INTEGER
   Flags AS INTEGER
   ds    AS INTEGER
   es    AS INTEGER
END TYPE

CONST TRUE = -1, FALSE = 0                      'Boolean Constants

DEFINT A-Z

DIM SHARED CR$, LF$, BS$, Escape$               'Global String Constants
DIM SHARED Lft$, Rght$, Up$, Down$
DIM SHARED PgUp$, PgDown$
DIM SHARED XOn$, XOff$
DIM SHARED Ack$, Nak$, Soh$, Stx$, Eot$, Can$   'Protocol Pseudo-Constants
DIM SHARED ComBase, Baud&
DIM SHARED Txt1st, TxtMax                       'Used by Txt Sub
DIM SHARED Kolor, BGKolor                       'Screen Colors
DIM SHARED ErrCode, ErrCt                       'Error Number & Count

'===========================================================================
'                  I N I T I A L I Z E     V A R I A B L E S
'===========================================================================

CR$ = CHR$(13): LF$ = CHR$(10): BS$ = CHR$(8): Escape$ = CHR$(27)
Up$ = CHR$(0) + CHR$(72): Down$ = CHR$(0) + CHR$(80)
Lft$ = CHR$(0) + CHR$(75): Rght$ = CHR$(0) + CHR$(77)
PgUp$ = CHR$(0) + CHR$(73): PgDown$ = CHR$(0) + CHR$(81)
XOn$ = CHR$(17): XOff$ = CHR$(19): Ack$ = CHR$(6): Nak$ = CHR$(21)
Soh$ = CHR$(1): Stx$ = CHR$(2): Eot$ = CHR$(4): Can$ = CHR$(24)

Baud& = 2400                                       'Set the BaudRate
Param$ = STR$(Baud&) + ",N,8,1,RS,OP,CD0,DS0"      ' and Com Parameters


'===========================================================================
'                         M A I N     P R O G R A M
'===========================================================================

OpenCom 1, Param$                               'Open Port 1 with Parameters$
SimpleTerminal                                  'Terminal Mode
END


'***************************************************************************
'                        E R R O R     H A N D L E R
'***************************************************************************

Handler:
ErrCode = ERR                               'Copy Err # to Global Var
ErrCt = ErrCt + 1                           'Try Statement Causing the Error
IF ErrCt MOD 3 = 0 THEN                     ' Twice Before Giving Up and
   RESUME NEXT: ErrCt = 0                   ' Going to the Next Statement
ELSE
   RESUME
END IF

FUNCTION CalcCheckSum (Blk$)                'Returns CheckSum on Blk$

C& = 0                                      'Use Long Int to Avoid Overflow
FOR Q = 1 TO LEN(Blk$)
   C& = C& + ASC(MID$(Blk$, Q, 1))          'Add to Add Bits of Each Byte
NEXT Q
C& = (C& AND 255)                           'AND Out Hi Byte Bits
CalcCheckSum = C&
END FUNCTION

FUNCTION CalcCRC& (B$, CRCHigh%, CRCLow%)      'Calculates CRC for Each Block

DIM Power(0 TO 7)                              'For the 8 Powers of 2
DIM CRC AS LONG

FOR I = 0 TO 7                                 'Calculate Once Per Block to
   Power(I) = 2 ^ I                            ' Increase Speed Within FOR J
NEXT I                                         ' Loop
CRC = 0                                        'Reset for Each Text Block
FOR I = 1 TO LEN(B$)                           'Calculate for Length of Block
   ByteVal = ASC(MID$(B$, I, 1))
   FOR J = 7 TO 0 STEP -1
      TestBit = ((CRC AND 32768) = 32768) XOR ((ByteVal AND Power(J)) = Power(JCRC = ((CRC AND 32767&) * 2&)))
      IF TestBit THEN CRC = CRC XOR &H1021&     ' <-- This for 16 Bit CRC
      '*** IF TestBit THEN CRC = CRC XOR &H8005&     ' <-- This for 32 Bit CRC
   NEXT J
NEXT I
CRCHigh% = (CRC \ 256)                          'Break Word Down into Bytes
CRCLow% = (CRC MOD 256)                         ' for Comparison Later
ComputeCRC& = CRC                               'Return the Word Value
END FUNCTION

REM $DYNAMIC
SUB ClrLn (Ln, Spaces)                       'Clears Line from Left Side
LOCATE Ln, 1, 0: PRINT SPACE$(Spaces);       ' for Number of Designated
LOCATE Ln, 1                                 ' Spaces. Returns Cursor to
END SUB                                      ' to First Column Afterwards

FUNCTION FileExists (T$, Attrib)     'True if File T$ Exists else False

DIM F AS STRING * 64
DIM Inx AS RegTypeX
DIM Outx AS RegTypeX

Inx.ax = &H2F00                      'Function 2FH Gets the DTA Address in
CALL INTERRUPTX(&H21, Inx, Outx)     ' ES:BX
DTASeg = Outx.es
DTAAddr = Outx.bx
F$ = LTRIM$(RTRIM$(UCASE$(T$))) + CHR$(0)

Inx.ds = VARSEG(F$)                  'Pass the File Specs by Giving Address
Inx.dx = VARPTR(F$)                  ' of String that Contains Specification
Inx.ax = &H4E00                      'Function 4EH for Find 1st Matching Entry
Inx.cx = Attrib                      'CX = Directory Attribute (0=Files Only)
CALL INTERRUPTX(&H21, Inx, Outx)     'Use Interrupt 21H
IF Outx.Flags AND 1 THEN
   FileExists = FALSE
ELSE
   FileExists = TRUE
END IF

END FUNCTION

FUNCTION NoCarrier

DEF SEG = &H40
IF (INP(ComBase + 6) AND 128) = 0 THEN NoCarrier = TRUE ELSE NoCarrier = FALSE
DEF SEG

END FUNCTION

REM $STATIC
SUB OpenCom (ComChan, Param$)

CLOSE 1
SELECT CASE ComChan                   'Will Require Swapping at &H400, &H402
CASE 1                                ' Order to Support Com 3 and 4
   ComBase = &H3F8
   OPEN "R", 1, "COM1:" + Param$
CASE 2
   ComBase = &H2F8
   OPEN "R", 1, "COM2:" + Param$
END SELECT

END SUB

SUB PurgeBuffer                                    'Clear Comm Line of Chars

Mark& = TIMER                                      'Mark Starting Time
DO
   IF NOT EOF(1) THEN                              'Get More Chars While Some
      JunkIt$ = INPUT$(1, 1): Mark& = TIMER        ' In the Buffer and it's
   END IF                                          ' Less Than 1/2 Second
LOOP UNTIL EOF(1) AND (ABS(TIMER - Mark&) > .5)    ' Since Last Char Gotten
END SUB

SUB ReceiveXModem (BlkSize, F$)                 '(Block Size and Filename)
DIM B$(1 TO 4)                                  'Temp Storage of Block Bytes

CLOSE 9: OPEN "O", #9, F$                       'Save File to Channel #9
PRINT #1, XOff$; XOn$;
Cancels$ = STRING$(3, Can$)
Underway = FALSE                                'True After 1st Pkt Confirmed
Blocks = 1                                      'Block/Pkt Counter (1-Max)
BlkNum = 1                                      'Packet Block Number (1-255)
Bad = 0                                         'Bad Packets/Error Count
BCt = 0                                         'RAM Block Ptr for B$()
PurgeBuffer                                     'Get Rid of Extra Chars
CrcMode = TRUE: PktSize = BlkSize + 5           'Try CRC Mode First
PRINT #1, "C";                                  'Send "C" to Signal It


GetPacket:                                      'Get Packet of Bytes
'IF NoCarrier THEN ErrType = 13: GOTO ShowErr    'Are We Still Online?
Pkt$ = ""
FOR Tries = 1 TO 10                             'Allow 10 Tries
   W$ = TimedGet$(8, Cancelled)                 'Get Response/1st Char of Pkt
   IF Cancelled THEN ErrType = 11: GOTO ShowErr 'Quit If User Cancelled
   SELECT CASE W$                               '1st Byte Is:
   CASE Soh$: BlkSize = 128: EXIT FOR           'Soh = 128 Byte Block Coming
   CASE Stx$: BlkSize = 1024: EXIT FOR          'Stx = 1K Block Coming
   CASE Eot$: GOTO ReceptionDone                'End of Xmission. Close Out.
   CASE Can$: EXIT FOR                          'Cancelled by Sender
   CASE ""                                      'No Char In Means Timed Out
      Bad = Bad + 1: LOCATE 7, 40
      PRINT "Tries:"; Tries; TAB(80);
   CASE ELSE                                    'Else Didn't Get An Expected
      PurgeBuffer                               ' Response So Purge Characters
   END SELECT
   IF NOT Underway THEN                         'Handshaking Not Complete Yet
      IF Tries < 4 THEN                         ' So Send Out Init Char Again
         CrcMode = TRUE: PRINT #1, "C";         ' Send a "C" to Start CRC or
      ELSE                                      ' a <Nak> for Standard Mode
         CrcMode = FALSE: PRINT #1, Nak$;
      END IF
   END IF
   IF Bad >= 10 THEN                            'Have Reached the Max of 10
      ErrType = 14: PurgeBuffer: GOTO ShowErr   ' Errors from TimeOuts or
   END IF                                       ' Bad Packets so Abort
NEXT Tries
IF CrcMode THEN                                 'Blk Size Determined by <Soh>
   PktSize = BlkSize + 5                        ' or <Stx>, PacketSize by
ELSE                                            ' BlockSize and Type of Check
   PktSize = BlkSize + 4                        ' Used (1 Extra Byte for CRC)
END IF
Pkt$ = W$                                       'We've Got the First Byte
WHILE LEN(Pkt$) <= PktSize - 1                  'Now Get Rest of Packet
   W$ = TimedGet$(4, Cancelled)
   IF Cancelled THEN ErrType = 11: GOTO ShowErr
   IF LEN(W$) THEN                              'If There is a Byte then Add
      Pkt$ = Pkt$ + W$                          ' it to the Packet
      IF LEFT$(Pkt$, 3) = Cancels$ THEN         'Packet Starting with Three
         PRINT #1, Cancels$; Ack$;              ' <Can>s Is a Cancellation So
         ErrType = 12: GOTO ShowErr             ' <Ack>nowledge And Abort
      END IF
   ELSE                                         'Else Null Means We Timed Out
      Bad = Bad + 1
      LOCATE 7, 40: PRINT TAB(80);
      LOCATE 7, 40: PRINT "Character Timeout. Errors:"; Bad;
      GOTO CheckPacket
   END IF
WEND

CheckPacket:                                              'Check Packet Errors
IF LEN(Pkt$) = PktSize THEN                               'If Packet Right Size
  IF BlkNum = ASC(MID$(Pkt$, 2, 1)) + 1 AND (BlkNum XOR 255) = ASC(MID$(Pkt$, ErrType = 7)) THEN GOTO ShowErr                          'Repeated Block #
    ELSEIF BlkNum <> ASC(MID$(Pkt$, 2, 1)) THEN            'Block Counts Don't
      ErrType = 5: GOTO ShowErr                           ' Match. Try New Pkt
    ELSEIF (BlkNum XOR 255) <> ASC(MID$(Pkt$, 3, 1)) THEN  'Block Ct Complement
      ErrType = 6: GOTO ShowErr                           ' Mismatch. Try New
  END IF                                                 ' Packet
  Blk$ = MID$(Pkt$, 4, BlkSize)                          'Else Copy the Block
  IF CrcMode THEN                                        'Do CheckSum or CRC
    J& = CalcCRC&(Blk$, Hi, Low)
    IF Hi <> ASC(MID$(Pkt$, PktSize - 1, 1)) THEN ErrType = 4: GOTO ShowErr
    IF Low <> ASC(MID$(Pkt$, PktSize, 1)) THEN ErrType = 4: GOTO ShowErr
  ELSE
    ChkSum = CalcCheckSum(Blk$)
    IF ChkSum <> ASC(MID$(Pkt$, PktSize, 1)) THEN ErrType = 3: GOTO ShowErr
  END IF
  GOSUB ShowProgress                             'Displays Xfer Status
  BlkNum = 255 AND (BlkNum + 1)                  'Success Thru All CheckPts
  Blocks = Blocks + 1: Bad = 0                   ' so Increment Block Cts
  Underway = TRUE                                ' Mark Handshake Completed
  IF BlkSize = 1024 THEN                         'For Xmodem-1k Write to Disk
    PRINT #9, Blk$;                             ' Immediately
  ELSE
    BCt = BCt + 1: B$(BCt) = Blk$               'Else Save 4 Blocks In RAM
    IF BCt = 4 THEN                             ' Write them to Disk Every
      PRINT #9, B$(1); B$(2); B$(3); B$(4);    ' 4th, i.e. After 512 Bytes
      BCt = 0                                  ' Reset RAM Block Index
    END IF
  END IF                                         'Acknowledge Good Block Read
  PRINT #1, Ack$;                                ' And Go to Get Next Packet
  GOTO GetPacket
IF LEN(Pkt$) < PktSize THEN ErrType = 1: GOTO ShowErr                      'Err and Get New Packet
IF LEN(Pkt$) > PktSize THEN
  ErrType = 2: GOTO ShowErr                      ' And Get New Packet
ELSE                                              'Else an Unexpected Error
  ErrType = 8: GOTO ShowErr                      ' So Warn and Try for New
END IF                                            ' Packet
                                                  ' Last 2 Should NOT Occur

ReceptionDone:
IF BCt <> 0 THEN                                  'If Some Bytes Still In
   FOR I = 1 TO BCt: PRINT #9, B$(I); : NEXT I    ' Memory Then Write Them
END IF                                            ' to Disk
CLOSE 9: PRINT #1, Ack$;                          'Xmit Complete so Close
EXIT SUB                                          ' File and Send Final Ack


'---------------------------------------------------------------------------

ShowErr:
Response$ = Nak$                                  'Send Nak After Most Errors
SELECT CASE ErrType
CASE 1: ErM$ = "Short Block in #" + STR$(Blocks)
CASE 2: ErM$ = "Long Block in #" + STR$(Blocks)
CASE 3: ErM$ = "Checksum Error in #" + STR$(Blocks)
CASE 4: ErM$ = "CRC Error in #" + STR$(Blocks)
CASE 5: ErM$ = "Block # Error in #" + STR$(Blocks)
CASE 6: ErM$ = "Complement Error in #" + STR$(Blocks)
CASE 7: ErM$ = "Block # Repeated in #" + STR$(Blocks - 1): Response$ = Ack$
CASE 8: ErM$ = "Unexpected Error!"
CASE 9:
CASE 10: ErM$ = "Transfer Cancelled"
CASE 11: ErM$ = "Transfer Aborted by User"
CASE 12: ErM$ = "Transfer Aborted by Sender"
CASE 13: ErM$ = "No Carrier"
CASE 14: ErM$ = "Maximum Errors. Transfer Aborted."
END SELECT
LOCATE 7, 40: PRINT TAB(80);                      'Show the ErrorMsg
LOCATE 7, 40: PRINT ErM$;
IF ErrType < 10 THEN                              'ErrType < 10 is Recoverable
   Bad = Bad + 1                                  ' Count One More Error
   PRINT #1, Response$;                           ' Respond Nak (or Ack) and
   Pkt$ = "": GOTO GetPacket                      ' Go to Get Packet Again
ELSE
   J$ = Warn$(ErM$)                               'Notify User of Cancel
   SLEEP 2: PurgeBuffer                           'Get Rid of Remaining Pkt
   PRINT #1, STRING$(5, 24); STRING$(5, 8);       'Send 5 <Can>s & 5 <BS>s
   CLOSE 9: KILL F$                               'ErrType >= 10 is Fatal so
   EXIT SUB                                       ' Kill Off File and Quit
END IF

'---------------------------------------------------------------------------

ShowProgress:                                     'Show Byte Counts & Bar
KBytes = INT(Blocks * (BlkSize / 1024))
LOCATE 5, 40: PRINT "Received #"; Blocks; TAB(60); KBytes; "K Bytes";
IF BarLength = 0 THEN
   LOCATE 9: VidBar FALSE, 1, 80
   FOR K = 1 TO 9
      LOCATE 10, K * 8 - 1
      PRINT LTRIM$(STR$(100 * (KBytes \ 100) + (K * 10))); "K ";
   NEXT K
END IF
BarLength = INT(80 * ((KBytes MOD 100) / 100))
LOCATE 9: VidBar TRUE, 1, BarLength
RETURN



' Block refers to Block of Text from File (128 bytes, 1024 for Xmodem-1K)
' Packet Refers to Block + Extra "Control" Characters, i.e. :

'       XModem: SOH + BlockCt + Complement BlockCt + Block + CheckSum
'    XModemCRC: SOH + BlockCt + Complement BlockCt + Block + CRC (Hi & Low)
'    XModem-1K: STX + BlockCt + Complement BlockCt + Block + CheckSum
' XModemCRC-1K: STX + BlockCt + Complement BlockCt + Block + CRC (Hi & Low)

END SUB

SUB SendXModem (BlkSize, F$)                              '(Bytes, FileName$)

CLOSE 9: OPEN F$ FOR RANDOM AS 9 LEN = 128
FIELD #9, 128 AS BlkOf128$
FiLen& = LOF(9): TtlBlocks = FiLen& \ BlkSize             'Get File Length
IF FiLen& MOD BlkSize > 0 THEN TtlBlocks = TtlBlocks + 1  ' in Bytes & Blocks
LOCATE 3, 40: PRINT "Blocks:"; TtlBlocks; TAB(60);
Seconds = ((TtlBlocks * 6) + FiLen&) \ (Baud& \ 16)
Est$ = STR$(Seconds \ 3600) + STR$(Seconds \ 60) + STR$(Seconds MOD 60)
FOR I = 2 TO LEN(Est$)
   IF MID$(Est$, I, 1) = " " THEN MID$(Est$, I, 1) = ":"
NEXT I
PRINT "Est. Time:"; Est$;

ErM$ = "Transfer Aborted"                        'Generic Msg In Case of Error
Blocks = 0: BlkNum = 0                           'Blocks (1-?), BlkNum (1-255)
EoFile = FALSE: W$ = ""                          'Initialize Block, Byte,
Ct& = 0                                          'To Count Bytes Used & Sent
Bad = 0                                          'Error Counter
PurgeBuffer                                      'Clear the Com Line

DO                                               'Shake Hands with Receiver
   W$ = TimedGet$(20, Cancelled)                 'Get Initial Character

   IF Cancelled THEN GOTO AbortSend              'If User Pressed <Esc>
   SELECT CASE W$
   CASE Can$: GOTO AbortSend                     'Receiver is Cancelling
   CASE Nak$: CrcMode = FALSE: EXIT DO           'Nak for Standard XModem
   CASE "C": CrcMode = TRUE: EXIT DO             'C Indicates XModem-CRC
   END SELECT                                    'Begin After <Nak> or C
LOOP

MakePacket:
IF NoCarrier THEN                                    'Still Online?
   ErM$ = "No Carrier!": GOTO AbortSend
END IF
W$ = "": Blocks = Blocks + 1: Bad = 0                'Advance Block Counter
IF (BlkSize = 1024) AND ((Ct& + 896) > FiLen&) THEN  'If Doing 1k and at End
   BlkSize = 128                                     ' of File Then Shorten
END IF                                               ' to Avoid Extra Nulls
IF BlkSize = 128 THEN MaxBCt = 1 ELSE MaxBCt = 8     '8 Groups of 128 = 1024
BCt = 0: Blk$ = ""                                   'Build the Block$
DO
   Ct& = Ct& + 128: GET #9                           'Advance File Ptr, Get Fro
   BCt = BCt + 1: Blk$ = Blk$ + BlkOf128$
   IF Ct& >= FiLen& THEN                             'If It's Last Block We're
      EoFile = TRUE                                  ' About Done Xmitting
      Pad = Ct& - FiLen&                             ' Pad the End with Nulls
      MID$(Blk$, BlkSize - Pad, Pad) = STRING$(Pad, CHR$(0))
      EXIT DO
   END IF
LOOP UNTIL BCt = MaxBCt                              'Done After 1 (8 for 1k)
BlkNum = (255 AND Blocks)                            ' So Assemble the Packet
Pkt$ = Soh$ + CHR$(BlkNum) + CHR$(BlkNum XOR 255) + Blk$
IF BlkSize = 1024 THEN MID$(Pkt$, 1, 1) = Stx$       '1st Byte is Stx for 1K
IF CrcMode THEN                                      'End of Packet Varies
   J& = CalcCRC&(Blk$, Hi%, Low%)                    ' with Check Method Used
   Pkt$ = Pkt$ + CHR$(Hi%) + CHR$(Low%)              ' 2 Bytes for CRC
ELSE
   ChkSum = CalcCheckSum(Blk$)                       ' 1 Byte for CheckSum
   Pkt$ = Pkt$ + CHR$(ChkSum)
END IF

SendPacket:
PRINT #1, Pkt$;                                      'Send the Packet and
LOCATE 5, 40: PRINT "Sending #"; Blocks;             ' Show Progress on Screen
P = INT((Blocks / TtlBlocks) * 100)                  'Calculate Percentage
IF P <= 100 THEN                                     'Percentage Can Be > 100
   LOCATE 5, 60: PRINT P; "% Complete": LOCATE 9     ' On Last Blocks of 1k
   VidBar TRUE, 1, INT((Blocks / TtlBlocks) * 80)    ' Mode Since Last 1024 is
END IF                                               ' Sent in 128 Byte Blocks

DO                                                   'Packet Has Been Sent so
   W$ = TimedGet$(10, Cancelled)                     'Get Response/Confirm
   IF Cancelled THEN GOTO AbortSend                  'Quit If User <Esc>aped
   SELECT CASE W$                                    'Interpret Response
   CASE Ack$                                         'Block Acknowledged So
      Bad = 0                                        ' Send Next Packet If
      IF EoFile THEN EXIT DO ELSE GOTO MakePacket    ' More Data
   CASE ELSE                                         'Else
      Bad = Bad + 1                                  ' Count 1 More Error
      IF Bad > 9 THEN GOTO AbortSend                 ' Abort If Over Limit
      IF W$ = Can$ THEN                              'If a <Can> Then Look
         FOR I = 1 TO 2                              ' For at Least 2 More to
            W$ = W$ + TimedGet$(2, Cancelled)        ' Be Sure (Or User Esc)
            IF Cancelled THEN GOTO AbortSend
            IF W$ = STRING$(3, Can$) THEN GOTO AbortSend
         NEXT I
         GOTO SendPacket
      ELSE
         PurgeBuffer                                 'Any Other Char Is an
         GOTO SendPacket                             ' Error So ReSend Packet
      END IF                                         ' & Look for <Ack> Again
   END SELECT
LOOP

ConcludeSend:
ErM$ = "End of Transmission": GOSUB ShowStatus       'Proper End of Transmit
CLOSE 9: PRINT #1, Eot$;                             'Close File, Send the EOT
I$ = TimedGet$(10, Cancelled)                        'Get Final Char
IF I$ = Ack$ THEN                                    'Should Be an <Ack> but
   ErM$ = "Acknowledged": GOSUB ShowStatus
ELSEIF Cancelled THEN                                'Allow User to Cancel
   EXIT SUB
ELSE                                                 'If Not an <Ack> Resend
   GOTO ConcludeSend                                 ' <Eot> and Try Again
END IF
EXIT SUB

'---------------------------------------------------------------------------

AbortSend:
J$ = Warn$(ErM$)                                 'Show Error Status
CLOSE 9                                          'Close File
PRINT #1, STRING$(5, Can$); STRING$(5, BS$);     'Send Cancel to Receiver
EXIT SUB

'---------------------------------------------------------------------------

ShowStatus:
LOCATE 7, 40: PRINT ErM$; TAB(80);               'Show the Status or ErrorMsg
RETURN

END SUB

SUB SimpleTerminal
ON ERROR GOTO Handler
FF$ = CHR$(12): Hm$ = CHR$(11)

CLS : GOSUB InfoBar
PRINT #1, "AT S0=1"                       'Send Modem Initialization String
DO
   Out$ = INKEY$                          'Look for Key Press
   'IF LEN(Out$) THEN                      'If There IS One then Select
      SELECT CASE Out$
      CASE PgUp$, PgDown$                 ' to Upload or Download
         Transfer Out$: GOSUB InfoBar
      CASE Escape$                        ' Escape to End Program
         EXIT DO
      CASE CHR$(0) + CHR$(59)
         PRINT #1, "atdt 626-9456"
      CASE ELSE
         PRINT #1, Out$;                  ' Else Send the Character Verbatim
      END SELECT
   'END IF
   IF LOC(1) THEN                         'Is there Incoming Data from Com?
      DO                                  ' If So then Get Chars Until No
         ComChr$ = INPUT$(1, 1)           ' More or End of a Line <LF>
         SELECT CASE ComChr$
         CASE BS$: ComChr$ = CHR$(29)     'Replace BackSpaces with CHR$(29)
         CASE FF$, Hm$: ComChr$ = ""      'Filter these Out
         CASE LF$: ComChr$ = "": EXIT DO  'Ignore Linefeeds But Exit Do Loop
         END SELECT
         PRINT ComChr$;                   'Print the Char Received On Screen
      LOOP UNTIL LOC(1) = 0               'No More Com Waiting
   END IF
LOOP
EXIT SUB

'---------------------------------------------------------------------------

InfoBar:
CLS
LOCATE 24, 1: COLOR 0, 7
PRINT " <PgUp> to Upload,        <PgDown> to Download,         <Escape> to End Program ": COLOR 7, 0: LOCATE 24, 1
RETURN

END SUB

FUNCTION TimedGet$ (Limit&, Cancelled)            'Timed Routine to Get One
                                                  'Character from Comm Port
Mark& = TIMER                                     'Mark Starting Time
DO
   IF NOT EOF(1) THEN                             'If Chars Waiting Then
      TimedGet$ = INPUT$(1, 1): EXIT FUNCTION     ' Return 1 Character
   END IF
   IF INKEY$ = Escape$ THEN                       'User Can Press <Esc> to
      Cancelled = TRUE: EXIT FUNCTION             ' Quit
   END IF
LOOP WHILE ABS(TIMER - Mark&) < Limit&            'Wait Up Until Past Limit
TimedGet$ = ""                                    'Return "" If Timing Out
END FUNCTION

REM $DYNAMIC
SUB Transfer (WhichWay$)                  'WhichWay = PgUp (U/L), PgDn (D/L)
ON ERROR GOTO Handler

NumProtos = 4                             'Number of Protocols Here
SendDir$ = ""                             'Define Directories Where Files Will
RecvDir$ = ""                             ' Be DownLoaded To or Uploaded From
SendExternal$ = ""                        'DOS Command Line Used to Execute
RecvExternal$ = ""                        ' External Protocol (~ for Filename)
Kolor = 0: BGKolor = 7                    'Transfer Area in Reverse Video for
COLOR Kolor, BGKolor                      ' Contrast
VIEW PRINT 1 TO 11: CLS 2: VIEW PRINT     'Clear Top 11 Lines
LOCATE 11, 1: PRINT STRING$(80, "#");

IF WhichWay$ = PgUp$ THEN                 'Determine if Sending or Receiving
   Way$ = "Sending": Sending = TRUE       ' From Key Pressed
ELSE
   Way$ = "Receiving": Sending = FALSE
END IF
DO
   ClrLn 9, 80: PRINT "File You Are "; Way$; ": ";
   F$ = "": LINE INPUT F$
   IF F$ = "" THEN GOTO ExitTransfer
   F$ = UCASE$(F$)
   IF Sending THEN
      IF LEN(SendDir$) THEN
         IF INSTR(F$, ":") = 0 THEN F$ = SendDir$ + "\" + F$
      END IF
      IF FileExists(F$, 0) THEN Ok = TRUE ELSE J$ = Warn$("File Not Found")
   ELSE
      IF LEN(ReceiveDir$) THEN
         IF INSTR(F$, ":") = 0 THEN F$ = ReceiveDir$ + "\" + F$
      END IF
      IF FileExists(F$, 0) THEN
         ClrLn 9, 80
         PRINT F$; " Already Exists! Overwrite it? (Y/N)? ";
         DO: B$ = UCASE$(INKEY$)
         LOOP UNTIL LEN(B$) AND INSTR("YN", B$)
         IF B$ = "Y" THEN Ok = TRUE
      ELSE
         ErrCode = 0: F = FREEFILE
         OPEN "O", F, F$
         IF ErrCode THEN J$ = Warn$("Bad Path/Filename?") ELSE Ok = TRUE
         CLOSE F
      END IF
   END IF
LOOP UNTIL Ok

Txt1st = 1: TxtMax = 30                            'And Draw a Box Around
LOCATE 1, 1
PRINT TAB(40); "Choose a Protocol"; TAB(80);
Txt "T", ""
Txt "C", "       XModem       "
Txt "C", " XModem-1k (YModem) "
Txt "C", " External Protocol  "
Txt "C", "       Cancel       "
Txt "B", ""
R = 1: C = 0
DO
   LOCATE R + 1, 2, 0
   VidBar TRUE, 2, 30
   DO: C$ = INKEY$: LOOP UNTIL LEN(C$)
   VidBar FALSE, 2, 30
   SELECT CASE C$                                      'Based on Terminator:
   CASE Up$: R = R - 1: IF R < 1 THEN R = NumProtos    ' Go to Line Above
   CASE Down$: R = R + 1: IF R > NumProtos THEN R = 1  ' or Line Below
   CASE CR$: EXIT DO
   CASE Escape$: EXIT DO
   END SELECT
LOOP
IF C$ = Escape$ THEN GOTO ExitTransfer                 'Cancelled by User
VidBar TRUE, 2, 30
LOCATE 9, 1: PRINT "+--+---+---+---+---+---+---+---+---+---|---+---+---+---+---+---+---+---+---+---+"
LOCATE 1, 3: PRINT " Press <Escape> to Cancel "
LOCATE 1, 40: PRINT Way$; ": "; UCASE$(F$); TAB(80);
IF Sending THEN
   LOCATE 10, 1: PRINT "0%    10%     20%     30%     40%     50%     60%     70%     80%     90%   100%"
   SELECT CASE R
   CASE 1: SendXModem 128, F$
   CASE 2: SendXModem 1024, F$
   CASE 3: Ext$ = SendExternal$: GOSUB InsertFileName: SHELL Ext$
   CASE 4: GOTO ExitTransfer
   END SELECT
ELSE
   SELECT CASE R
   CASE 1: ReceiveXModem 128, F$
   CASE 2: ReceiveXModem 1024, F$
   CASE 3: Ext$ = RecvExternal$: GOSUB InsertFileName: SHELL Ext$
   CASE 4: GOTO ExitTransfer
   END SELECT
END IF
'PLAY "T90 O3 L32 CBCBCBCBCBCBCBCBCBCBCBCBCBCBCBC"     'All Done Warning Sound

ExitTransfer:
COLOR 7, 0                                            'Back to White on Black
VIEW PRINT 1 TO 11: CLS 2: VIEW PRINT                 'Clear Top 11 Lines
VIEW PRINT 1 TO 24: LOCATE 24, 1, 1
EXIT SUB

'----------------------------------------------------------------------------

InsertFileName:                    'Substitute FileName for ~ in Strings Used
P = INSTR(Ext$, "~")               ' to Call External Protocol (Send or Recv)
IF P > 1 THEN
   Ext$ = LEFT$(Ext$, P - 1) + F$ + RIGHT$(Ext$, LEN(Ext$) - P)
END IF
RETURN

END SUB

REM $STATIC
SUB Txt (Side$, Text$)                  'Put 1 Line of Text w/ Box Delimiters

IF LEN(Text$) > TxtMax THEN Text$ = LEFT$(Text$, TxtMax - 2)
SpaceLeft = (TxtMax - LEN(Text$)) \ 2
LOCATE , Txt1st
IF LEN(Text$) MOD 2 = 1 THEN Text$ = Text$ + " "
IF Side$ = LCASE$(Side$) THEN Shadow$ = ""
SELECT CASE UCASE$(Side$)
CASE "T"
   Text$ = "+" + STRING$(TxtMax, "-") + "+"                    'Top Border
   C = (TxtMax \ 2) - (LEN(T$) \ 2)
   MID$(Text$, C) = T$
CASE "B"
   Text$ = "+" + STRING$(TxtMax, "-") + "+"                    'Bottom Border
   C = (TxtMax \ 2) - (LEN(T$) \ 2)
   MID$(Text$, C) = T$
CASE "C"
   Text$ = "|" + STRING$(SpaceLeft, " ") + Text$ + STRING$(SpaceLeft, " ") + "|"
CASE "R"
   Text$ = "|" + STRING$(2 * SpaceLeft, " ") + Text$ + "|"     'Right-Justify
CASE "L"
   Text$ = "|" + Text$ + STRING$(2 * SpaceLeft, " ") + "|"     'Left-Justify
END SELECT

PRINT Text$; Shadow$;                                   'Print Text, DeLimits
IF CSRLIN < 24 THEN PRINT                               'Go to Next Line
IF (Side$ = "B") AND LEN(Shadow$) THEN
   IF CSRLIN = 24 THEN LOCATE 25
   LOCATE , Txt1st
   PRINT " "; STRING$(TxtMax + 1, Shadow$); Shadow$;
   Shadow$ = ""
END IF
END SUB

SUB VidBar (BarOn, Col, Length)

113 LOCATE , Col                        'Position at Paramter Column
IF BarOn THEN                           'IF Hilighting (BarOn = True) then
   COLOR BGKolor, Kolor                 ' Use the BGKolor in the FG
   FOR J = Col TO Col + Length - 1      'Across the Screen for the "Length"
      PRINT CHR$(SCREEN(CSRLIN, J));    ' Re-Print the Char That is Already
   NEXT J                               ' There in It's New Colors
ELSE
   COLOR Kolor, BGKolor                 'ELSE De-HiLiting So Return Colors
   FOR J = Col TO Col + Length - 1      ' to Normal and Re-Print each Char
      PRINT CHR$(SCREEN(CSRLIN, J));    ' in the Row with the Regular Video
   NEXT J
END IF
LOCATE , Col                            'Return to 1st Column
COLOR Kolor, BGKolor                    ' and Normal Colors
END SUB

FUNCTION Warn$ (Warning$)
LOCATE 1, 40: COLOR 20
PRINT " "; Warning$; TAB(80);
COLOR Kolor, BGKolor
'BEEP: BEEP
END FUNCTION
<PAGEEND:"Xmodem.Transfer.File1">

<PAGESTART:"Read.File.File1">
DEFINT A-Z
   
' $INCLUDE: 'QB.BI'

DECLARE SUB CRTShutDown ()
DECLARE SUB DrawBox (TOPROW%, LFTCOL%, BOTROW%, RTCOL%, BORDER%)
DECLARE SUB CloseBox (TOPROW%, LFTCOL%, BOTROW%, RTCOL%)
DECLARE SUB PokeChar (row%, col1, col2, segmnt)
DECLARE SUB Initalize ()
DECLARE SUB Main ()
DECLARE FUNCTION Exist% (FIL$)
DECLARE FUNCTION CRT% ()
DECLARE SUB DrawScreen ()
DECLARE SUB CTRShutDown ()
DECLARE SUB ScrollScreen (Direction%, NumLines%, ULROW%, ULCOL%, LRROW%, LRCOL%)

DIM SHARED inregs AS RegType, outregs AS RegType
DIM SHARED chars%(1 TO 3000), box%, lastchar%
DIM SHARED boxes%(1 TO 30), ends%(1 TO 30), colors%(1 TO 3000)
DIM SHARED boxstart%, FG%, BG%, fl$, buffer$(1 TO 22)
DIM SHARED seekpos&(1 TO 10000), SaverDelay!

RANDOMIZE TIMER
CLS
PRINT "VIEWIT - Ver 2.0"
PRINT "Written by John Woodgate 1993..."
PRINT

IF COMMAND$ <> "" THEN
 fl$ = COMMAND$
ELSE
 LINE INPUT "Enter file to view :", fl$
END IF
IF Exist%(fl$) = 0 THEN
 PRINT "File not found....."
 END
END IF
IF CRT% = 0 THEN     ' 0 = Monochrome  -1 = Color
 FG% = 15: BG% = 0   ' Monochrome Color Set
ELSE
 FG% = 15: BG% = 0
END IF
SaverDelay! = 120   ' Screen Saver Delay in Seconds

CALL DrawScreen
CALL Main

SUB CloseBox (TOPROW%, LFTCOL%, BOTROW%, RTCOL%)

IF box% = 0 THEN EXIT SUB
z = boxes%(box%)
FOR a = TOPROW% TO BOTROW%
  row% = a: col1% = LFTCOL%: col2% = RTCOL%
  segmnt% = z
  CALL PokeChar(row%, col1%, col2%, segmnt%)
  z = z + (RTCOL% - LFTCOL% + 1)
NEXT a

box% = box% - 1
IF box% = 0 THEN
  lastchar% = 0
  boxstart% = 0
ELSE
  boxstart% = boxes%(box%)
  lastchar% = ends%(box%)
END IF


END SUB

FUNCTION CRT%

DEF SEG = 0
IF PEEK(&H463) = &HB4 THEN
  CRT% = 0
ELSE
  CRT% = -1
END IF
END FUNCTION

SUB CRTShutDown
   
IF CRT% = 0 THEN
 DEF SEG = &HB000
ELSE
 DEF SEG = &HB800
END IF
BSAVE "VIEWIT.TMP", 0, 4000
COLOR 15, 0: CLS

DO
 rw% = INT(RND * 24) + 1
 cl% = INT(RND * 42) + 1
 LOCATE rw%, cl%
 PRINT "ViewIt Screen Saver, Press any key to Restore.."
 FOR Delay& = 1 TO 20000: NEXT Delay&
 CLS
LOOP WHILE INKEY$ = ""
BLOAD "VIEWIT.TMP", 0
KILL "VIEWIT.TMP"

END SUB

SUB DrawBox (TOPROW%, LFTCOL%, BOTROW%, RTCOL%, BORDER%)

z = lastchar%
IF z >= 3900 THEN
  EXIT SUB
END IF

' Save the Screen
boxstart% = z + 1
box% = box% + 1
boxes%(box%) = lastchar% + 1
FOR a = TOPROW% TO BOTROW%
   FOR b = LFTCOL% TO RTCOL%
      z = z + 1
      chars%(z) = SCREEN(a, b, 0)
      colors%(z) = SCREEN(a, b, 1)
   NEXT b
NEXT a
lastchar% = z
ends%(box%) = z

IF BORDER% = 0 THEN
  FOR a = TOPROW% TO BOTROW%
     LOCATE a, LFTCOL%
     PRINT SPACE$(RTCOL% - LFTCOL% + 1);
  NEXT a
  EXIT SUB
END IF

IF BORDER% = 1 THEN
   LOCATE TOPROW%, LFTCOL%
   st$ = CHR$(218) + STRING$(RTCOL% - LFTCOL% - 1, CHR$(196)) + CHR$(191)
   PRINT st$
   st$ = CHR$(179) + SPACE$(RTCOL% - LFTCOL% - 1) + CHR$(179)
   FOR a = TOPROW% + 1 TO BOTROW% - 1
      LOCATE a, LFTCOL%
      PRINT st$
   NEXT a
   LOCATE BOTROW%, LFTCOL%
   st$ = CHR$(192) + STRING$(RTCOL% - LFTCOL% - 1, CHR$(196)) + CHR$(217)
   PRINT st$
   EXIT SUB
END IF
IF BORDER% = 2 THEN
  LOCATE TOPROW%, LFTCOL%
  st$ = CHR$(201) + STRING$(RTCOL% - LFTCOL% - 1, CHR$(205)) + CHR$(187)
  PRINT st$
  st$ = CHR$(186) + SPACE$(RTCOL% - LFTCOL% - 1) + CHR$(186)
  FOR a = TOPROW% + 1 TO BOTROW% - 1
     LOCATE a, LFTCOL%
     PRINT st$
  NEXT a
  st$ = CHR$(200) + STRING$(RTCOL% - LFTCOL% - 1, CHR$(205)) + CHR$(188)
  LOCATE BOTROW%, LFTCOL%
  PRINT st$
  EXIT SUB
END IF
IF BORDER% = 3 THEN
  st$ = CHR$(213) + STRING$(RTCOL% - LFTCOL% - 1, CHR$(205)) + CHR$(184)
  LOCATE TOPROW%, LFTCOL%
  PRINT st$
  st$ = CHR$(179) + SPACE$(RTCOL% - LFTCOL% - 1) + CHR$(179)
  FOR a = TOPROW% + 1 TO BOTROW% - 1
     LOCATE a, LFTCOL%
     PRINT st$
  NEXT a
  st$ = CHR$(212) + STRING$(RTCOL% - LFTCOL% - 1, CHR$(205)) + CHR$(190)
  LOCATE BOTROW%, LFTCOL%
  PRINT st$
  EXIT SUB
END IF
IF BORDER% = 4 THEN
  st$ = CHR$(214) + STRING$(RTCOL% - LFTCOL% - 1, CHR$(196)) + CHR$(183)
  LOCATE TOPROW%, LFTCOL%
  PRINT st$
  st$ = CHR$(186) + SPACE$(RTCOL% - LFTCOL% - 1) + CHR$(186)
  FOR a = TOPROW% + 1 TO BOTROW% - 1
     LOCATE a, LFTCOL%
     PRINT st$
  NEXT a
  st$ = CHR$(211) + STRING$(RTCOL% - LFTCOL% - 1, CHR$(196)) + CHR$(189)
  LOCATE BOTROW%, LFTCOL%
  PRINT st$
  EXIT SUB
END IF

END SUB

SUB DrawScreen

LOCATE , , 0: COLOR FG%, BG%: CLS
LOCATE 1, 1
PRINT SPACE$(80);
LOCATE 2, 1
PRINT CHR$(213); STRING$(78, CHR$(205)); CHR$(184);
FOR a = 3 TO 24
  LOCATE a, 1
  PRINT CHR$(179); SPACE$(78); CHR$(176);
NEXT a
LOCATE 25, 1
PRINT CHR$(212); STRING$(78, CHR$(205)); CHR$(190);
LOCATE 25, 66
PRINT CHR$(181); SPACE$(11); CHR$(198);
LOCATE 25, 68
PRINT "F1 - Help";
END SUB

FUNCTION Exist% (FIL$)

IF FIL$ = "" THEN
 Exist% = 0
 EXIT FUNCTION
END IF

OPEN FIL$ FOR BINARY AS #1
IF LOF(1) = 0 THEN
 Exist% = 0
 CLOSE #1
 KILL FIL$
ELSE
 CLOSE #1
 Exist% = -1
END IF
END FUNCTION

SUB Main

LOCATE 2, 39 - (LEN(fl$) + 2) \ 2
PRINT CHR$(181); " "; UCASE$(fl$); " "; CHR$(198);
OPEN fl$ FOR INPUT AS #1
COLOR FG%, BG%
CALL DrawBox(9, 20, 13, 60, 1)

DO
 LINE INPUT #1, dummy$
 Maxlines& = Maxlines& + 1
 IF Maxlines& < 23 THEN buffer$(Maxlines&) = dummy$
 LOCATE 11, 29: PRINT "Reading Line # "; LTRIM$(STR$(Maxlines&))
 IF Maxlines& >= 10000 THEN
  LOCATE 11, 22
  PRINT "File Exceeds 10,000 Line Limit..          "
  LOCATE 13, 33
  PRINT " Press any key ";
  SLEEP 0
  CALL CloseBox(9, 20, 13, 60)
  COLOR 15, 0: CLS
  END
 END IF
 seekpos&(Maxlines&) = SEEK(1) - LEN(dummy$) - 2
LOOP UNTIL EOF(1)
CLOSE #1

FOR a = 1 TO 22
 IF INSTR(buffer$(a), CHR$(12)) > 0 THEN MID$(buffer$(a), INSTR(buffer$(a), CHR$(12)), 1) = " "
NEXT a
OPEN fl$ FOR INPUT AS #1 LEN = 3072
CALL CloseBox(9, 20, 13, 60)
currline& = 1
FOR a = 3 TO 24
  LOCATE a, 2
  IF LEN(buffer$(currline&)) >= 77 THEN
   prnt$ = LEFT$(buffer$(currline&), 77)
  ELSE
   prnt$ = buffer$(currline&)
  END IF
  PRINT prnt$;
  currline& = currline& + 1
NEXT a
currline& = 1
curr% = 3 + (currline& / Maxlines&) * 21
LOCATE curr%, 80: PRINT CHR$(178);


   WHILE NOT finished
   GOSUB GetKbd
   SELECT CASE Kbd$
    CASE CHR$(0) + "G"
     GOSUB HomeKey
    CASE CHR$(0) + "O"
     GOSUB EndKey
    CASE CHR$(0) + "H"
     GOSUB ScrollUp
    CASE CHR$(0) + "P"
     GOSUB ScrollDown
    CASE CHR$(0) + "D"
     GOSUB ExitIt
    CASE CHR$(0) + ";"
     GOSUB PrintHelp
    CASE CHR$(0) + "Q"
     GOSUB PageDown
    CASE CHR$(0) + "I"
     GOSUB PageUp
    CASE CHR$(0) + "="
     GOSUB PrintIt
   END SELECT
   WEND

EXIT SUB

GetKbd:
Kbd$ = ""
start! = TIMER
GOSUB PrintBar
DO
 Kbd$ = INKEY$
 IF TIMER - start! >= SaverDelay! THEN
  CALL CRTShutDown
  start! = TIMER
 END IF
LOOP WHILE Kbd$ = ""
RETURN

ScrollUp:
IF currline& > 1 THEN
 currline& = currline& - 1
 SEEK #1, seekpos&(currline&)
 LINE INPUT #1, buffer$(1)
 IF INSTR(buffer$(1), CHR$(12)) > 0 THEN MID$(buffer$(1), INSTR(buffer$(1), CHR$(12)), 1) = " "
 CALL ScrollScreen(1, 1, 3, 2, 24, 79)
 IF LEN(buffer$(1)) >= 78 THEN
  prnt$ = LEFT$(buffer$(1), 78)
 ELSE
  prnt$ = buffer$(1)
  prnt$ = prnt$ + SPACE$(78 - LEN(prnt$))
 END IF
 LOCATE 3, 2
 PRINT prnt$;
END IF
RETURN


ScrollDown:
IF currline& + 21 < Maxlines& THEN
 currline& = currline& + 1
 SEEK #1, seekpos&(currline& + 21)
 LINE INPUT #1, buffer$(1)
 IF INSTR(buffer$(1), CHR$(12)) > 0 THEN MID$(buffer$(1), INSTR(buffer$(1), CHR$(12)), 1) = " "
 CALL ScrollScreen(0, 1, 3, 2, 24, 79)
 IF LEN(buffer$(1)) >= 78 THEN
  prnt$ = LEFT$(buffer$(1), 78)
 ELSE
  prnt$ = buffer$(1)
  prnt$ = prnt$ + SPACE$(78 - LEN(prnt$))
 END IF
 LOCATE 24, 2
 PRINT prnt$;
END IF
RETURN

PageUp:
IF currline& - 22 > 0 THEN
 SEEK #1, seekpos&(currline& - 22)
 currline& = currline& - 22: crln& = 1
 FOR a = 1 TO 22
   LINE INPUT #1, buffer$(a)
   IF INSTR(buffer$(a), CHR$(12)) > 0 THEN MID$(buffer$(a), INSTR(buffer$(a), CHR$(12)), 1) = " "
 NEXT a
 FOR a = 3 TO 24
   IF LEN(buffer$(crln&)) >= 78 THEN
    prnt$ = LEFT$(buffer$(crln&), 78)
   ELSE
    prnt$ = buffer$(crln&)
    prnt$ = prnt$ + SPACE$(78 - LEN(prnt$))
   END IF
   LOCATE a, 2
   PRINT prnt$;
   crln& = crln& + 1
 NEXT a
END IF
RETURN


PageDown:
IF (currline& + 21) + 21 < Maxlines& THEN
 SEEK #1, seekpos&(currline& + 22)
 currline& = currline& + 22: crln& = 1
 FOR a = 1 TO 22
   LINE INPUT #1, buffer$(a)
   IF INSTR(buffer$(a), CHR$(12)) > 0 THEN MID$(buffer$(a), INSTR(buffer$(a), CHR$(12)), 1) = " "
 NEXT a
 FOR a = 3 TO 24
   IF LEN(buffer$(crln&)) >= 78 THEN
    prnt$ = LEFT$(buffer$(crln&), 78)
   ELSE
    prnt$ = buffer$(crln&)
    prnt$ = prnt$ + SPACE$(78 - LEN(prnt$))
   END IF
   LOCATE a, 2
   PRINT prnt$;
   crln& = crln& + 1
 NEXT a
END IF
RETURN


ExitIt:
CALL DrawBox(9, 15, 13, 65, 3)
LOCATE 11, 18, 1
PRINT "(E)xit (S)hell or (R)eturn to Program :";
DO
 GOSUB GetKbd
LOOP UNTIL Kbd$ = "e" OR Kbd$ = "s" OR Kbd$ = "r"
LOCATE , , 0
IF Kbd$ = "e" THEN
 COLOR 15, 0
 CLS
 PRINT "If you have amy problems just contact me over"
 PRINT "FIDONet in the QuickBASIC programmers ECHO..."
 END
ELSEIF Kbd$ = "r" THEN
 CALL CloseBox(9, 15, 13, 65)
 RETURN
ELSE
 CALL CloseBox(9, 15, 13, 65)
 IF CRT% THEN
  DEF SEG = &HB800
 ELSE
  DEF SEG = &HB000
 END IF
 BSAVE "VIEWIT.TMP", 0, 4000
 COLOR 15, 0
 CLS
 PRINT "Type EXIT to Return to ViewIt..."
 SHELL
 BLOAD "VIEWIT.TMP", 0
 KILL "VIEWIT.TMP"
 RETURN
END IF

PrintHelp:
CALL DrawBox(4, 10, 20, 70, 3)
LOCATE 4, 29
PRINT CHR$(181); " Keyboard Commands "; CHR$(198);
LOCATE 6, 12
PRINT "Arrow Keys:  Up --- Scroll up one line"
LOCATE 7, 12
PRINT "             Down - Scroll down one line"
LOCATE 8, 12
PRINT "             PgDn - Scroll down one page"
LOCATE 9, 12
PRINT "             PgUp - Scroll up one page"
LOCATE 10, 12
PRINT "             Home - Move to the top of the Document"
LOCATE 11, 12
PRINT "             End -- Move to the end of the Document"
LOCATE 14, 12
PRINT "Function Keys:  F3 --- Print file"
LOCATE 15, 12
PRINT "                F10 -- Exit ViewIt"
LOCATE 20, 31
PRINT " Press any key ";
SLEEP 0
CALL CloseBox(4, 10, 20, 70)
RETURN


PrintIt:
CALL DrawBox(9, 15, 14, 65, 1)
LOCATE 11, 25
PRINT "Printing, press ESC to Cancel"
curseek& = SEEK(1)
SEEK #1, 1
total& = LOF(1)

DO
 LINE INPUT #1, X$
 printed& = printed& + LEN(X$) + 2
 LPRINT X$
 IF INKEY$ = CHR$(27) THEN
  CALL CloseBox(9, 15, 14, 65)
  LPRINT CHR$(27); "@";
  RETURN
 END IF
 FOR Delay% = 1 TO 5000: NEXT Delay%   ' Give the printer a chance to catch up
 Percent& = printed& / total& * 100
 LOCATE 13, 31
 PRINT USING "###% Complete..."; Percent&
LOOP UNTIL EOF(1)
LPRINT CHR$(12);
FOR Delay% = 1 TO 10000: NEXT Delay%
LPRINT CHR$(27); "@";
CALL CloseBox(9, 15, 14, 65)
RETURN

PrintBar: 
IF 3 + (currline& / Maxlines&) * 21 <> curr% THEN
 LOCATE curr%, 80
 PRINT CHR$(176);
 LOCATE 3 + (currline& / Maxlines&) * 21, 80
 PRINT CHR$(178);
 curr% = 3 + (currline& / Maxlines&) * 21
END IF
RETURN

HomeKey:
IF currline& = 1 THEN RETURN
SEEK #1, seekpos&(1)
currline& = 1: crln& = 1
FOR a = 1 TO 22
 LINE INPUT #1, buffer$(a)
 IF INSTR(buffer$(a), CHR$(12)) > 0 THEN MID$(buffer$(a), INSTR(buffer$(a), CHR$(12)), 1) = " "
NEXT a
FOR a = 3 TO 24
   LOCATE a, 2: PRINT SPACE$(78);
   IF LEN(buffer$(crln&)) >= 78 THEN
    prnt$ = LEFT$(buffer$(crln&), 78)
   ELSE
    prnt$ = buffer$(crln&)
   END IF
   LOCATE a, 2
   PRINT prnt$;
   crln& = crln& + 1
NEXT a
RETURN


EndKey:
IF currline& = Maxlines& - 21 THEN RETURN
SEEK #1, seekpos&(Maxlines& - 21)
currline& = Maxlines& - 21: crln& = 1
FOR a = 1 TO 22
 LINE INPUT #1, buffer$(a)
 IF INSTR(buffer$(a), CHR$(12)) > 0 THEN MID$(buffer$(a), INSTR(buffer$(a), CHR$(12)), 1) = " "
NEXT a
FOR a = 3 TO 24
   LOCATE a, 2: PRINT SPACE$(78);
   IF LEN(buffer$(crln&)) >= 78 THEN
    prnt$ = LEFT$(buffer$(crln&), 78)
   ELSE
    prnt$ = buffer$(crln&)
   END IF
   LOCATE a, 2
   PRINT prnt$;
   crln& = crln& + 1
NEXT a
RETURN
END SUB

SUB PokeChar (row%, col1%, col2%, segmnt%)

DEF SEG = 0
segment = 0
IF PEEK(&H463) = &HB4 THEN
  DEF SEG = &HB000
ELSE
  DEF SEG = &HB800
END IF
segment = row% * 160 - 160
segment = segment + col1% * 2 - 2
colorseg% = segment + 1
FOR c = segmnt% TO segmnt% + (col2% - col1%)
  POKE segment, chars%(c)
  POKE colorseg, colors%(c)
  segment = segment + 2
  colorseg = colorseg + 2
NEXT c
DEF SEG
END SUB

SUB ScrollScreen (Direction%, NumLines, ULROW, ULCOL, LRROW, LRCOL)

' Uses the BIOS Video Interrupt
' to scroll the screen
'
IF Direction% = 0 THEN
 inregs.ax = NumLines + (6 * 256)
ELSE
 inregs.ax = NumLines + (7 * 256)
END IF
inregs.bx = BG% * 256
inregs.cx = (ULCOL - 1) + (256 * (ULROW - 1))
inregs.dx = (LRCOL - 1) + (256 * (LRROW - 1))
CALL INTERRUPT(&H10, inregs, outregs)
END SUB
<PAGEEND:"Read.File.File1">

<PAGESTART:"Read.File.File2">
' VIEWFILE.BAS  by Matt Hart
' View any size text file without any temporary files.
' Keeps the SEEK position of each line in a long integer array -
' which does limit this to 16,384 lines of text (and makes this
' program easy, small, and fast.)  Key controls are up, down,
' left, right, page up, page down, end, home, and escape.
'
    '$DYNAMIC
    DEFINT A-Z
'
    CONST false = 0
    CONST true = NOT false
    CLS
    LINE INPUT "File Name: "; File$
    Escape = false
'
    OPEN File$ FOR INPUT AS #1
    REDIM Seeks&(1 TO 16384)        ' Max number of lines if 16384
    CurSeek& = 1
    NumLines = 0
    DO UNTIL EOF(1)
        LINE INPUT #1, Text$
        NumLines = NumLines + 1
        Seeks&(NumLines) = CurSeek&          ' Save starting position
        CurSeek& = CurSeek& + LEN(Text$) + 2 ' Next position - 2 is
    LOOP                                     ' for C/R & LF
'
    CurCol = 1                               ' Current Column
    SeekEl = 1                               ' Current line
    Escape = false

    DO
       GOSUB LoadAndDisplay
       GOSUB KeyProcess
    LOOP UNTIL Escape

    CLOSE 1
    END

LoadAndDisplay:
    SEEK #1, Seeks&(SeekEl)
    FOR i = 1 TO 24
        IF NOT EOF(1) THEN LINE INPUT #1, Text$ ELSE Text$ = ""
        Strg$ = SPACE$(80)
        IF LEN(Text$) < CurCol THEN Text$ = Text$ + SPACE$(CurCol - LEN(Text$))
         LSET Strg$ = MID$(Text$, CurCol)
        LOCATE i, 1, 0: PRINT Strg$;
    NEXT i
RETURN

KeyProcess:
    A$ = INKEY$: IF A$ = "" THEN GOTO KeyProcess
    SELECT CASE A$
        CASE CHR$(27): Escape = true        ' ESC
        CASE CHR$(0) + CHR$(72)             ' Up Arrow
            SeekEl = SeekEl - 1
            IF SeekEl < 1 THEN SeekEl = 1: GOTO KeyProcess
        CASE CHR$(0) + CHR$(80)             ' Dn Arrow
            SeekEl = SeekEl + 1
            IF SeekEl + 23 > NumLines THEN SeekEl = SeekEl - 1: GOTO KeyProcess
         CASE CHR$(0) + CHR$(77)             ' Right Arrow
            CurCol = CurCol + 1
        CASE CHR$(0) + CHR$(75)             ' Left Arrow
            CurCol = CurCol - 1
            IF CurCol < 1 THEN CurCol = 1: GOTO KeyProcess
        CASE CHR$(0) + CHR$(73)             ' Page Up
            SeekEl = SeekEl - 24
            IF SeekEl < 1 THEN SeekEl = 1
        CASE CHR$(0) + CHR$(81)             ' Page Dn
            SeekEl = SeekEl + 24
            IF SeekEl > NumLines THEN
                SeekEl = NumLines - 23: GOTO KeyProcess
            END IF
        CASE CHR$(0) + CHR$(71)                       ' Home
            SeekEl = 1
        CASE CHR$(0) + CHR$(79)                       ' End
            SeekEl = NumLines - 23
            IF SeekEl < 1 THEN SeekEl = 1: GOTO KeyProcess
        CASE ELSE
            GOTO KeyProcess
    END SELECT
RETURN
<PAGEEND:"Read.File.File2">

<PAGESTART:"Win.Font.File1">
'>>> Page 1 of QBWINFNT.ZIP begins here. TYPE:BINAA TLEN:55046
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBWINFNT.ZIP",4^6:Z&=55046:?STRING$(50,177);
U"%up()%9%'%#-%%/n0A<O:UA/t.%%O[%&%1%.%%&k%rfsz#fqS&RwneL):F#\W+/
U"gK>rHq\g)z[(Jtnj&s48[26R,aQu>SJ<p6d=2/jbBeC7s_9_EB?Vqag8-ix0N9i
U"gn)MX((guOQBE=SEKCX+J+#em&MM4m/#xtc,Hctq.njHuPx$,uHwh8tkxZuF4bD
U"MTwhoVTHcq6$omc7cVrFFWpZ5I=J7DpIZrDt[oZ;X/zwvjmS[sdFblHQVn-h.mC
U"cixo2CY<J8v&86'-w/oj_NlIqSSH7aS'CD:#OpnB&hcSV4K+MK*vreZBxLV$_r'
U"B5c>Wk>j2QoxW);kFeN4E>KvuHLlo;>KnNx6q_GV(A5o1/YnDJspni:HTwn.oe9
U"P[u>_?Of<,6.=CB%Mo-q=okpQIoQm^B7up#O]Pe<#y7WJ.7N(4t-JXH(]cG>k[a
U"ea'eW7/:NG6$ow'5opJ[k+Wl8v;>i4y$x;:XhPWd87njn_+UZ[gYkeO0*l4U'.I
U"qLy)df;9;7bOS=+eX:n1KMSh+W\pW2$84V'l25[q9.zNBb%pP=W<FTE</1wcXDG
U"3EOe^X4WL5&8D,-M:3[UTxlNqyS%N2gzAMe9+)^X/#_6,ljLu&dZH\9y&s5\G4c
U"pz=%5kwK$cB<'CuMAg588dOv/K3Y,7dCgg8$F[SLr*h;o#eA17snMn5:y)LY-LR
U"apNFnuP;h?.%1e/A<A8c[>Yu3KXGhxMz*#8c:Ih?,3KbQTdsV):=N4IhsLz=UPa
U"z<C$&D^TYaqu$&^o<\>mfP.'b6_<e>sKlG9PNG1NP,sd1;A=kF>B/%X9GQ+,d)J
U"W6$.7Q<*gB08t21g,&+wXG)$w[:WhGYFQvmda^E/YHAMy5#GZegL[8M(q3f-li.
U"U&a?Yd#++=a+e/)9D.[0aR^Lqj8l$]5[$gjl\<?29tUsFlkAumU9_4iMH+Vzs$9
U"ncsEe$+;fie]j0Y7Od8o'.']%Ome;+2[9g1%S)sAi)n?0O72khY0Y2H[oXe=YiD
U"JT;ky#&>M9?yJdAlj*Pqs6NCyc2:Zb^*(S)eTT;,1VD8X$uIkzI8>I6CzGxt6(N
U"&dUM;D1_cE<\moCx,tvfu)V5gwhH''?4DmI_uA'SgC^G[1-piu[pcBLquhLZicZ
U"Rnn0nXAuW#t^zNI,po\GtD9+dK-i#2Fj3kYO$?[8J%f]Ew_7T)[BTBv)MQNDmk]
U"G0pnYP8jmJvuNq0)F]DK\6pLOOC[axv^iU,)h84N$u,:R5>=/$N33/57m\7U:i5
U"%^5kW^<(F#kWa2_Lc[J4IVXl]6LDC1K-'$1ha5uNucwjRS)7\kMJCA;ICfFW>&:
U"=?sTg6Tsp=d<K<iw9*M.XU:Gf<BL'_?ab5WocO*E.]ak)$_[$ZZvI'.'7UpbfK4
U"-hpRP$t;P6d+RLS8y]f7OtF81v:TU*GYVC[,ill\uo6aVt+O[N0F,x\+(/?3Ak9
U"KM/5?ha:r9b_w8TM<.kFX\44V;tq]aUPQV>p&Zc\850sLU%&7EKReNbWBj6YB5g
U"M(Gc_=of0J68*N&A,d_S[?$b/YMCi*H[eX*b/Rbe*Bo+Q[4-WQu)J\W#IoY0tYP
U"ZvO9p(rzwN7vR_/e^PqIpPVE90FgKs*=t?z(j8d&hO64&fGqJsd3[eTg5m8lm_E
U"e24Q^w'TCSb'&dN2nOTd?Dr(_Fq4[Q8Uckt$FUwo/94/T;4S0N(A[]v65c96OD?
U"PLUR3R%NH,0%)AB1;j,h0vCA8W)9NdYbRu+gE3>D($'SKbTSx/(v+5CLbX49S&$
U"T'ZU%#PoHfx03'Is1i+^o_tAcsYb-M5C'&j2AZ-Yhu:1M9/M4[T^PyojRK*-fI3
U":[0>6R_:p$Md-5lXsS*jCFnQ*#Ja)-jd&Ch5j-Ha2Ax7Z?6Q'_j.B=WjJmdGo=:
U"h/5(1>J$kwL*Zc]bzliaC?wQXFuq5]<,-aoiFqMT7(Kq_GE\)XG/-p(=S1&bo[E
U";.d$ogni\9u[:/hpuAX>eecD+Q'WERc+6_ZZdtg7X/\/Gi95e,qi&qWvM-wBQ6R
U"W(J<59_*s8:^E;5?1t=7:?2t,x]]9tFmEBg3O7=jsp^HAgk(ANI.[vK_j8ubW#K
U"](2Kur>^Z2KlULyBUjw\xKCzXAiAswl.VC_YW,7*N>AU]=#V1j]8a*'fJxWc3Ne
U"w>YgPDxC:)Jjx6r2Uz$AXq:8AQZrXm]NwT'IAHDm,6-S]<2k&tHE2O<_n0gN$'%
U"B7ca+N<03uC0Z5i>%6J$6%ke53Xwy'_p>uB0+'#IK]'?5AYahd&p+N?-J0x_P7*
U"F,+4TAcQYc=V&R:gn;X'/H76VY&JEZEUnj&ws[:TJ+P.4.s*RSgO\AN5'4w9>_C
U"H]LL?4\QJLUkRKCw'WQnz&-1+Q'YA-p+(Ku=]&w/U-G^)KD5nmnttPsYgk.[X(O
U"l(SkI9#emZS+:.Gb8[Lwc95olnk-nVK:V$2Qt4^Rw9%=P>G?mDOh'fDgMcQUOAo
U"8XhDhi20pv$$a93I3;C2R(v2ittcNd4&8/eFn'1qfDz<E3>'\NoIe;3=?,7.>I^
U"*N=f6Rrm:3D<R;#%x)758xziENq=+o7+y*U):&,4^Lq*9*K),)5fM*$RGDk)8z#
U"/*e6ms79)=<o%CG%-8Osh0<S\Lwn\OH6&GuccH)Do&f[oq1%^Sm77ovq+V,9B5F
U"(4;&^jHfHgIY8Aql83FjvVz1E36*/Ug2+<8KUH<S1+m:;Wq=UBFRn7ZGKc?.reP
U"xep9?d$2OC(T'P;f[3aj2Mcg(ek-Y=98+uY+K-mS%^>i;5cr>[&_o2,xAwSZ_pD
U"o$.A%I5]*GZgP(&EE$Px6#)kPK(LPm^XVZFh99'=MmkA7Q7:LM>Pi,UIZLbW%Mg
U"B6NQR<wn_2Y+k(^)Wv8Bgfuq?YK%/Sj]]R;'obWyMDw8G1WVpmATQ]c7YD09OYK
U"v**S(G?_i&ePXLcc%c-6nM&$*V&&$1-U4?b'r\QwK'#<q?uL,ClD^I)P):N_'g2
U",oY,^xs2&[/;a%eXGe6MaWS0C,[Z],xYM?cXgtk?cN<,u6L6Pm,l1wTTUSr$N\Z
U"lufgoZn0)$crC/talfZ-X*E6J.$X.p=MxyEZN*ISNXBbbnRq<#7L$RDz%aaaF.R
U"ktg/P*6tIE5pNuv\jo6J:=GtCZT[&s=<5JpoT9C&iSo[ppn3-O8Nl7Z[[y/fHgE
U"H[T,=0?.WPNADgvZDE5sT_U\+FNQ&kELdI5c:X2N<=Cmo:-l_H6cI1?]SqR+l>U
U"S]\9+S(2$()'$B%S],XDV)GXZO)RO1Y:Ipuu4*\?-y-]D6-mcDP,jl[:*a6[x10
U"UCvsJ]>vomn84wt5Sp3.u1x*iAj/=L*H&5Q95_YV:t=He#*I5-.$98/#*ztp?4B
U"3%o0dQ5j1Ta2UK'(=gC?7k$we[;Iqf9dRI/j>2MloFKR?$%l;MmJr[OEelod29%
U"y/mb?#lA)8u*vM4zIaJ=AmI*+sG?TJMlHtuUGgL;ov6?[&Ez-?q6wD%i\9Ch3x5
U"PWL+&/sLJ:.K(R0LG(ir&Ozq%BC7]gSV=N]U0t_q#O<%i0'va)d8wO6;PQS_Mgm
U"DX=_(9IAh0ze]9Wl91$hra4:OR)E<k&Z.jW?mT_Y#4Fse^j.YQ=ngpiOwPEH4XH
U"d5TDATD?a]1ZA;N;6$YY[<T$GWbg^)Ry)-;<nuV9a.>(q\.d_FF7w^u,E62Kkk4
U"(^FMMCb;5g\)p9].=KA_ijYlQuJ\BO[urubslnLfdo*NNhI(g$Q^nsyLta.ME?9
U"+j12t[Yr[:h^3;Wn(3B,?C%;5;/SE'-LZXZj.'3V'.t6Ex:eRb+4vVJJ#1,2L7.
U"f8_zJBE7X5\QSWLbiw.B^)#A_[\ilrG/JOtGim&N=[7V6SV,#JJ%4O4SDWn_8Xh
U"-QJLPnSHaZUqW*dGcXqsc?+f3Q2CT*09&d&yDi-fy+)qgXeH>5o6fbTGwrE?_rW
U"H/9gLPcQOVpaLV9uAFB#FILUVb_UiJa\2W)%aPnKobzGOUUEm;L0vDciIsGK&gx
U"yT3IkA*v3y9]^]*;/T[N;CED:GU-B9zBIO>74g1RNERKBvKo?8$\:5GBC/6BD;t
U"hOI5Dc3-.h7mkJz?qd12%uI<Ns>KZj]9-1ef[F<-Sb=Ci4('q?)f1i\CYwOXMMX
U"+9I6s7=JXb1gDBc5ee0jBRDL(+)Q(,o\B+G3nDJSZuLNdrn\F&_vKGW+bcc2Wf%
U"Hmr8GrN)J)&68LK=e\-kwrK78OkmreDDmu&,MqH6)v9vCBwq%$No31(\#*XX*MS
U"%d5oTNF17b:T1=<*_)jMY.tC0NDuM,pYo]i9%&Gfo+6vVlR\dZOm0lF1=g/pIvs
U"2oj?ia/N,J/q2rQ*(wBg[(oK=?7\Lf3I'zpxr+_x\FoZ&<\'N5;\#Z_x]TU#<;3
U"HFh:l[TEKopIX;<vA5oGu[XR^aRMprZmst;pFXeE3.l=gr0(\HdG3HY_:A7/ydo
U"jb73_Um2bq<2#5%XIA4rfYN:x*ZRdc^:1uHP5++_Q\I9TC[/)<UUJ4VNTvJ1-iV
U"s%3vMEQb6ctD]m9(p'909z.fR2f0XV=L=p,oe2:[a[$+ZFqO1SG19v37lF7G<%0
U">f*(_)ZK16b\C+G=.'w,'8ZZ5V6lx/:rWs&%YFp;VrbUIhGWjVR)J6a:w&*JK\R
U".+$m0miA^^WC(V86)q$Bjkuny$\BzcB'M)qXt4'Ivr59sxQjJidgcmCC=>Ok#dV
U"B:qk)G?Y8S5DG=0;4lhlB6;U.1]nGeFCd_b*T:FY6):q\ffuEr;TQYdYA5W^/x_
U"H.JD6t#%IL1e[.<.Hc^)Us_'+Q%HlujPJNk6WrEG3<l6AOE9aXWWIPfarx8eDF3
U"-Ip4<nsp_:bjJ15p+Lg98DD1JC(Ekg:M:iYSWmkil38bB[3IX1w>G//fHGrT<fe
U"OXY6O<KhTacWweVNF5JqE/3vU&k5SE]^Aem\iCv4_#O/LYCJ$=Dv<UhXHI&%WrV
U",4qX'K)rljX%>kocChbf;ZsvfU_dH4covgC[%]><PEa7d(D_02%00fF=2jHOiJ;
U"%V_#+yrBF5-+d93y[YGlF-:s+nUucjv\T9[#Oy;.P#A\uYh#/y?d/,\^m1musl/
U",==e122281M<P5ib:jaJ0E_y'Odp+QSRc#U,/AAk#P(37<>277.P,W'+j2m]9-+
U"Na4whA3+i+[_iq%]wD-rWOjw*H=?#:E<'pQ-tim0p$Ps*_yQE10fZqc5?L'iP3$
U"O.6[aR>1Zhymb0_ke,M:]?_r.0fW3(?6zoX#X$_Y$s/E<#$%6&ocOvZH9hI_WU4
U"9G?d[oSoFWCO^7S-AYnH_&u:a8'2b%._V9yEia?pS:4i_gbkD7Ng(Wbc#0VM5oC
U"$ZJ^RNNLR1bs5hib9W^DtHRAVxMB1.0K=>S;/HWI2JEm_pJEbuLobgZJk&E2AFM
U"YiP<ni_rn'<KKdL4<13vM[qP<#=XQ,t\]:'[?VIfe5s5jLvu3hSW>=;)o8s3.zk
U"0c&bwN#jxb2=q?,:#SCSl#U;lpuI,D^jHf=?COtXh8('ShJBGz[nBM>x']tk5HO
U";s'<e+4A[RY<^DixfC7MCL>-H63ojT<[E[Hc3'mgBUbq)W&aSG=WSg/s:J6txN&
U"9X9djvk$%=cCB.9jb1<Ls5Sej'Q%CfygiCFaTeM4&HVI-uod^=mraURRjC<5U.e
U"8Jn[&hxG&Wk:W[ch9l3\H<5^nU3W_/+Ku(SKn$+1ragG$:gj+.q5A(=%\t[SuDc
U"T3B62q\+/<d;SPn-HF6hiXZKj4^1R&)h7Dc<bxv3%^JrY&8QMn2Znr6A\viQ9ZB
U"68\0id'ga#J8$cXuP#HZL6n-iG?%j5Z&>+21yH^$5TD^U\662,z,_2^IiO1)+5S
U"9k5+4(*2YJQqSCUy6+SD_Ro5fbM/)e\BbOKwIDy%Ppcho'4Vltx;aBjA5i]QO$[
U"R)5f>)VhPP=kuQt:QfRz.>3U165TaFD>R0Dv[oVP-/HJ5Keg+NS2OOK++vGw9Hu
U"0&(sA'Y/*\/$$,R#Uq\T&T]Uk;?<(_P%VN#$3[ALPodLsB$h*::^jE+j<f^Oz;:
U"&ic(t'w.ma<a**S1EWsmT#&]MP)w72'ch9-D]k?<&uHlx,7^9]4zl8EQ<r\XtwS
U"o1I=OPBUaa2St7bNfr,r.)d2*tH4Fi?wG6Oae-)#<&<8S9[ao+U&U$FCm=x0m=5
U"4fF4cP$^?*?RTT:(6?*WqCiJ/_7_Qqq_f[4DA#FIPnyh=iO[ykW/rJ8VgAaI34F
U"vH3rECjYY?$/5=cNQ60a3RNAX)(]t;O<,qqIZi84_Lh6wlAx>ui?Y=T>FV1f'__
U"8h(-Lk8jUmv2\eTI_fcAEH<8-vt&%)it_.xLYzsHrxflWW.tHJswn(a<<O48G.3
U"t<7J=ZT,:Rb1,6U>yQ*%06'feVRK:pi3c(FN[gHZpht\bS0TeMhpmH;1C%oze=(
U"+4\D<.1o*C3xW1Nm_f)9T'X2A$Glq9tb9fBgBKfBnXRJdX>pDM0#;]LO.ZPPib.
U"&1TLAv%+lhin\W:V82e+&5PK0Fb6&RdvU7?,0XUtOUuwb%huWlZnv6$P9Gd^Q76
U"8?i%0xpOH*eZjlW$f5s6n.QW+jq)?UYOjhJo,3Y['0XxitH\$TJ$TI)cc9c]N8d
U"ipJjAqpM4O,U*\gozEQP[u.HnW940s0/U,_*VONNz?90?5)wh,pLSl-N#<_\D4L
U"$+5>?_Y0k^H5AB8fgU=i7\rpj[7w=9DaSQ*$xenl$Hg[ZWXUj)odiE3;ffBXRR:
U"k=VH09Cks=JTSP[K0Q\LbF%GFm9%>-0s?Mn?\j1%W*sOcj+$*rmTu5<L0;qhtM^
U".)9PFA?^>)>0eO61P.ye(uO3JBr%,K]Q(5Yd:%_ZAi$((lrLl#z[[/3a\\TM^n;
U"OBl('=P]&k+d:%#7N]KJ>nf#KE2S%^N'.,Yspy0jQXniTREVR(aVb&Ztpl:*g?^
U"VseH8dqqJnp47Jo;.2W#^=brIq.2cOdbg-pt=$C4pMGH77%&bgr(F,0IW1G;S5.
U"a/TN0T?k&r6h61VaKio2#F>zi-?WEI;hb7mJ$k>D]5fBqBIKn]/v659Jbnf2jc?
U"]#nI.X/5c.TLA.CXut;wr\E[Y*g)H)-;eTg_7]JeCt6n(Y_V>zk.C$_KY/]0$ML
U"id00VRPhYITAAL9L7(kaE%*J=E0;WKS,l%u.Dn,fBqgPa*o]hE?lm[qH5m(8Br+
U"A)>r:idbo#9O)7S38^*sqSex^rrK'xDReG^dKYS&0?VP=uW:%_9;YzNGUY/<H\1
U"llfIY-h3P4<un2Hw<(1)[2Z(.8%vO3o8?Qjh1Lprk6R.$;[($HnbTnIS7=D^SSA
U"%q.]-JB9U5h&URxJa;mJbl4JN;ET'EVM?s.B\9\$AmgLGCZ/k>HB/0ws4vLeT79
U"X>,n7b$;,\=dJ?/o)%3Lr,[h4<W%4#&82pFVE;^$[E)\v^UN8##dC\])Vrx0Gd&
U"dHBQ&Q[l-774BSkLIK:%%4K,[U/&EJzThU$(p/Q'*63[hnJoE>f\g^Kl9>k/*lJ
U",%D.a?b<JedJymaP(K=.AU#\PgF9Fr%RYt&?-oSe9Tbh%,m)?k\\5sb_9^'MhL*
U"YIo[um-h\pnS_Sg[Zw%?DDR/%\nE$5:co/RY*P]6*o]K=BMeSQk)$Q$K9-+Iovq
U"I:IcjGmU_'f2nZq:%RQ++uSqBX1WY<^,wV])k%Y-+(-egJF9\XG(*OnW;1$Yl[w
U"<M(AEk%:UzFh,3,b5n%+m?CRahyZf:'\nfG6nl#0J1VT/NGTqe19FGu(DpL]HoH
U"7R$TAV(UDosDli?i]q#PG[ZYfQLR,WLR\>r=n>l2DG0DfFKq46X0HJQ=+Vo^rkO
U"V0v5D9fxYMAf3tFD,R5_yScJKMi1FL<]<(Wws*V32t=9lh-k*Ov64cM3HWI0DCw
U"&pm<xoug]/+,wmcuNKl:XuPgM2E(;BIvk+j49bo%k$tt7rdekHtA3H5$HHPLHVw
U"M_2w:EpS34Zq1vk:Z=to]d^OUO\m^_ZfYr;O(p),;Q,/(ZZp^79BvQnOPvet5Oo
U"b851B\LVv+m5nr8A6-\P'3/9u#,XHsJ8P6wi3V/UJrdWB1S(lU1'9,kIcS^V%3#
U">Szu[S^K09^%mz7le7nZAuFcGnBDaE)#_h8g<k/GL'mIFKF942Od8nt>hh.lE-'
U"X_+.d$U\XA;co(f.5.X9clQc.p#bRWn['M(,GsI>/RXqXPIioX/JfXa3/E1$E*b
U"kk+1iu6bfuBi/Yk*:[>Q-4DoMrc2?8E0mlPA->Fac%4sH*gm)EfZ*I1R'stSUra
U"iF^.c9Ckg,h$Y]R6iEipTx[(I?60W$R:q&^]T').MFywim0-dG\9%XHV9*/RGDu
U"^)T7k$u9*J1vud9EiH7oibGJ(HBMc64pD0Yy^;H*s?SxQ,m.#7nF(YD+P[F.(A]
U"Gp&l.;V?J^]4LpT>1eWkLA0/=y8$1fd>LJ'#15'Jhi*U'Eh*54\82m)^wg:C#)a
U"BTbfFbo?UZ3\]#h/k%:(MU-:B6^6^kU\y\EF2KRzV+^pzD_yXV82Y.yB=#\pAWX
U"YXr_gk0ns)ESusO*)W:4$qq+U+43EpLBJM(VO#tc/FTYym]Uqx&'rppE%'Tg;,(
U"h$Ve%bDjZ]80a'unqp=L5Dquy=xiPJ0[*MAa;R=[gMgTo6G1)f9Tcioq/^T#;RR
U"qfmG[FpAIVXLqtrO,t6HELGb6H+7<m\+.Bf%Nne$9,;8U0AQ3pRd3%<?]2letz#
U"XmzDm-4tDO3%uT&T2Y_N)CH^LaI^kjIIJ\*ow&+H5]IQFCwrXb4O^aV3Ksu><p<
U"M1i$v5kNny.ml#d$9)l>qr_XQ=a4sONd_6*qg&A2C+Ao7DP\CC-FJ[>M(?zvvX+
U"S1P$2q-np=Q%1>QMlF5dgX.DB/hE-&:Z,%3]EysQgm/gFu3cqymq132u$vQGZ+X
U"VFu*dqGeRlhP#'2/vleI$S&Q5L;*0%-P>8e0&Z:GUhN*NCsMuCib0OL/g:gEpj$
U"VZMs(pa7$T-k0-1knI4D'(\z.w<b+V&J0<,PA6OoQIO\Qia^Ug:D:nHlw^v&_^m
U"G)WXNdn*,XV)mhe8]$hgCO/Uhgu;vOV=[w^w%jRrUFEm5XM0Tslk:/eq(e8,YcK
U"VJJ,7l+^-4Pj-;5hr=i,1d^^;M:Yt3;*oo_6C*Q0wAvVnzDg0Ah]9udm8kF(X%M
U"f*G0e,[[J$\[T;TY%=-UtSl94XSALGnRfGWh(WRXV\b$9k'qS7jcm3vR91[_('#
U"8ViENYCL/7%.;$03kW]Ep2vNsrlhuUE/F6hg+%WxHkZ.cffZPQ/*D&73]A1_a3Q
U"cB>e_['JWz4T&%9z7CZF&re'QY1DWb>b8%.Fnh_K4l_l+B#+VTNS&AYL:h0,^=C
U">UVf<IhcRC?cs*Qi7<:Wo_lCNUC<JH;;yO/\p*gleOuLk(sZ.jO3i'aU0&_%M'Q
U"lla^>P<rXK#B:CWR(R#f)OcH#QR;:%YiB-T1&i<+%+w>rM.4/eH,SEOQ<G:g8j#
U">XHG(?rk%(lTx<E.-G0+tmv/2#I)tg,&.SifwsU>?PD;i/vs?9W#5&Uh:Ih57&^
U"9[lTS]/%H[tG7/A#?ic*);uF#(uBrd9If1?c#nA=gTG^OWE%RX6cm_FgB8k.=[?
U"/rjSDtHKLn4ROT5O/<TS:IlFib/]T%Ok#uyZdo?&G_E[VhBt-e>f'kVf/=_Q\1(
U"1$&a]Sf\W<1wZM+Gw8C=^?TOfW5J4+5(t:^K5'$ZmnOa,5:Z#se_d&32YTSl3Uu
U"wa'*14WcAO0%K4<8r,SOLF_0htkhI4]$+]76#U',(1DZ,pQub7pV'C1Ne8E*0hT
U"gQg#'=G\gvYXOf>Rvo?.WUO,$jYWc&lyVfm'vu^5A#+LOl6Z3/RbrcZ<MGVW\,O
U"c**>uB9C3]Nvq2k%ui2=38P3ueGh_H#fpR9q1\FMAM>;1]:7.r4-[9LdYe2t*v(
U"?fom^N2E\S.aBIvtzoKO,nI08&O':%GNB#^%qJX63^-_Sr.ev?Jr#Nf6$==<1N,
U"Bb3iFE0%&I#'h[N1lTxAP29C+m4nC/]PWo_>F0(_doeH\:+T;%)r0d5#>bQ'7lF
U"zRlu4C9:mJO.>6;FS=%PUC>x7r4E4sy[<)3N(Jo?;0QLw-^,9Ua/:4YTb5]Y>fs
U"D,gXHDTK'b1ciH''er&-,mFb/hP-h,#.<2PX7ylHEmF9Zg5b%b]c0gw41SM:Lug
U"YaE:46E=R%Cu+LX'o.]:S(bD,9r+fholOEC]1s;g%F0'tW:ug\;G$#N;]=msgJt
U"pCV/yH8%?[_8*ff[r2/q3zkf7/icF_g/\wg-I#8U?TI*p+b1)JWoXnZ5SRAGLF1
U"aR:DOL'Ou%R+OXtj2E[-u1qTd.VX#RDfwQ$,EfQfH2U:N?yGmO?T%PI6]a=tm_c
U"C3']d60S2;)YU];f,]tZ+Cj^#6/ydN/_[DeI(VIwWHL0$[+xErFEIqM_J:vTq7v
U"VtA=O6;u+SkaS#=f)WTc%Y._gNr-5[lX5E(lm/DHiPEX8>Mj.Ny4o+&Ry#E(gh8
U"P/L_J5BMmQe5?REamvCPVgw_yENxpd^:B9>fkG)FT)?(.K.PWA+v2&c?#3V+\wB
U"*u()5>]e:R5tB%+Mb9B?x77YePYb<>OG-MZ2=3mLWjRA8ebW+;tSS][^Nl^&qO<
U"'H4JB^XbV\q5$n9Mqb5;3>Bz*?0$3Q5eY6Qu(wXF1dNfsKkhTAy)54Wi6ZDC)-(
U"a<Vf&]a-'5GAbs?TYJIuXSow0Vaf*UPg\:G7G;Iq87RV1)kZ,zR?5[uVsi(5A_n
U"G';V#bW0/Aq$XYPQWk6U94Ie'5+*O6$;7^V/cRL3Gj]Fmi&?%1.T:YtL:h)ji3-
U"$\H:/FBx098^*;1;fba;/6?QI8:9MVev<)QNY;pc;,_;:=y5,bZ?AbA1e.O.mBr
U"wE7AM&V&pIlGFc0n=K=G\&l[#q5MGTV;a)]%(HKQ'20q:gR$HY>N#),I?HN5&me
U"LI$I]D%3^0T?h60_A?474D59)1J)?;Eu?xk^b6$o/;SFjzK)N+]uZ&n'/G_+KOf
U"'V]fe,Q3?.tLcntkKrV+WQf*kX$f;mgVK.ElkgK$%aOjKF/;o(-D7r1/d,5vhG1
U"NGwOM[yGjol/\mNK5R3Rg#Nsjn(+:QxU]c]Iwn21obEF7+2r8d_*Yr<xh'V%Hq/
U"eJc&_ZB.QU.$^C*<3n(,0kl&'l]ZR8,L-D=30z-mPkQKB'V5<f:<Grw#_\m?.E3
U"8-SQN7^2aI'&N*zAYuDbopVRSVb,LFkaTRw2_AK.T$1xQG,:KATA=Y/t&<OXNL^
U"#:r$t6pdtRWXH&-PPmmsc,R$P#_Hc(XaYL85Hj]\TbqrQ+NKVeZe'wPbFDnSxo3
U"907EoIT'U/U7#xEuDup0-Clzph#sF=j8V3Cu[+[+l76=he;xwqP?rfPmKA$:=%I
U"<&'Hu1r\g=eP?^u,o509-xk[w/;E&RR(hae[puP':n#0*52z':r]^0TG6E,_9YM
U"pSZ9\D?0EH6(g.al$ZRf_AY>fJ_hQ$F5UmKmB9H=PrYy4osX\p[A(YULMu#kSs9
U"%O*DXoQtmi9w=l3[,2]LDFsF.,,jfhr<iasTwhc\RmBKC#goxCZ;pPzKQ3q:ZHe
U"2Zr-A#UfA8\B4t;0$KMMR1k9b*:\%cc-K_Gt3qZ2)6ZSFI;QmQL6r&Xge6RSart
U"6<vlff:GeXcM4.67/lb<^S[YCL:6upF'Ny)N#y=gz7zzH2\/E:iJD2'iQ(X^:L.
U"U<?clfoT8ZTiu$%Q8BCzw'b:W2I?kDQ(SDcJKLot:dVFP1?^bRU=UQL)WerbA>.
U"O+1)tVIR+\(;^q$D%D5oop9b3lZ9A+eQ?,=Kqcadir%r9PZ2gY'^(?5<;jVvurp
U"xcD1k,6gL>,01xe6^R-<Oge7IEj2u9svi%JO;TK]eeBN._RKBgeW>N.>fAR*-Zr
U"S<heu7WTxZ_F:NuxdZJZjBT>dt,6XtLx<44Dx2J[6t8jtAv/^6j]?YV%bbH-slj
U"[rDZrXUp,NfP&PZ.Vqm=fl;Ew49ix4xOMMVDQpOjl);YdxFl&/Ku66\PXECQaA.
U"DvcNb_3w1;.fI$L(UED4c[Yrq#65D5)N&?h0O1XDS90V0?vU81'dO9]^_AGc4>s
U"50B%_B754;l,&$<,U0K^=^<24;agaWLum_a+gGX-SaURTc[e_V?el6*<S=BYT<'
U"LMJBcW4iWf02^Bumb#=Z'EcN'k]ig37_EMTJuufI'OQ.Pg/>z-\r,0EBxm1UY2n
U"Z+;$q\S/)g93rOS,T[iGRhdO5:/]g9-w)ssBel6+-lfqQ,pX9D,L)5iux(*B6xE
U"3u=7Iq6tR?<n=+U$7bzE\_=,=F+SD7CDZuCm<KnZlNelmm,k7/jrPd81stfPbdF
U"1UHDW4(B76,tRj3UDWYe)UP\J6rRc=Q[OX8j5zqm;hiV3Ft;at5Yh)G8.t^qKqi
U"u%SK%K)pN8_/jPxNSw*XqgS2q/1wrJ>kL_(b$b[>\.BK&QeS[p?x+;EeVtjse/M
U"Cl:Rkg>*=36_H'q33V/Tb_*$&'Fr9eYuAsWeOp(\s^>P/V7+4Q2iFz6#4iW+D;8
U"*<f1\Z5+BGxPt+urigK?J'm8a]=Q%h4?r)_l+=%0_W#7,Jr/*^CJ?_8[6F?HYf7
U"brKfQom[vQG)w?p=%?yS#7ZUP)#*SfkherZ1KWJ)D=NH*>%m5QdF\^t+q-ZghA2
U"X2K8W7(xN7Dz,/raX/sb4;$J_xWQ474mbsWRKPMK-qa$sl*i_f*Lg:zY/h<[q5A
END SUB
SUB V2
U"CElf)A?X_kkvYiY//EsZqz='SLRO%Eq8RPO\+<$UCjzuMnF<w.Z.IEPjZ:j.A=$
U"pWTs]Ce,h=BXQEr3vVVZIZq^&QqIl=K#>v:hF2zYJ/PzgiU1#>2m,B7$oj+nfWj
U"h%1l?CdV\<Tvp:O94O[E[I#AuT6)wdxnM6WX_MFq>ph04GlL/8:1pR,12S<FPTP
U"\Pi:,WXCEOpQVo/F6N--h=.h>2D&>i*t<bxCZGCk)c>DkTlZJm1Sjc/=+$US3<P
U"q)\a300<N:'=ETVg%f$?WxvG)k=#lBXt)\N3NEoPq7.j-?AMd7F[488W;JUW(di
U"qrj^*rte#h=9D)<0jZdk$x,+tEx%+*;AbNlF55+6PvXKWHYN2(u0I>hWW[TFY$4
U"=,I*T6ou2&1nmNI&tqX(838[:W-I=m%\)7T$]$-k'ZZajVSCL:NRoYGTeP.>]>Q
U"-KewB3NJQ\RLM].L^SY(]qji'EaDv$2K4U=R9;uiRduA-n%p+_Ao),&N4MC3a4o
U")DZ1fX-=*<\2W2erPLS'n^t7Bl>&8vSVVDC0C90(z$ZR>R:PVWgaP.I:rNxwW35
U"%5>G$=J&_vGN%62FozR9=rLOX#9Xmz37wkv,[V0fSmtS<7t,OwkaaJZMVgS<mch
U"Nj4QBq(u3Ae,rW^H+0<Nfo,64b>gPw:]*fR9fsp3Qfr?RrN,Jr[\9:m[fff8SMq
U"Iv7YjRZ:+Q32,'pDu/C(]e<T/4_2hqGYOY8GT:,?7\u=P[e9Y-c$-notsQ>dImi
U"Zlg[Qe=CU%crIV0HEk+Pn7q2QxULP.Tf2pE[mdRWO.&B1AL;6M1cJ$5O,A>f+/#
U"56pg[_RYDjR(B:TD[,ulQkEtd9Q41RD-Q-bw2>F*/SYZsof.%#e;mZ*>[Tkh36/
U"R^p,e>6gf89*pLkX\v2F*VKg>I#hdZ-//HMcGl+xnlnrPdtDf;ptdl%[RFq]B5o
U"NQ$c<9As8sV6gNXSz*=:ilhtd5?ZaHFiX2o4YRY5[2ApaH)67.tKJx[;Zd8-FiU
U"LQ$G,llIsA\iY>S_j>,F<Dc4-vljRTKD/n#Wy8/Nx\h=Cd0W7_hFfBCJ8_\+d)L
U"gAV3^4X10Gec#E\w45^e>HZXRJmdr/)gN<N6>4s:1[_r#HJo6ljN3w7o[1PX.+?
U"MKK0,xKRt)zCWlq;i-q^aMP)?44_%,y>^8E2n9J'wP'M15YU-N%Ok$G?f[0iU(*
U"TY?_40kS?9Yeh<-PT?ChNP0GVpXUU'Pn$N.zEtbp9/M%60;=0KoB*pv2+-iKf^G
U"h,8=wP/)FIQ)8^u?B/bz*Xwuyr$9j1^ylo>p%?c^=Ah]sZaL?I3u#bciW3k^Et$
U"%jP&w1RG[xG%?3F,=6-xSSEdq#&Q8QoygLh)4TBcdE&BH.%h.1h6Yl;YOAyyCRE
U"-H\_p[rNtImU,xTew>/b<V2%*&7<dj-%%YJu\%2)Pn#'=]>Je+1Y3sJSjWfCav:
U"+Q0FDwf<=<bfSRIRq'>nk<NI50l0c5,uNF??<lGRg1#?GZ0jle4&FVYxhFs9rnr
U"BO1u6F6>\+3EAZs=eNMj10t:BF:GTSUJZM:>>B0onfmo6IRkmDH8k-MTImX)^=L
U"r7WFVM4d/9FCX%P,b_))),2UUl^?jJ6))kP7'8n3cl2m$DB&*\Q(SAf06w4[>GP
U"Bkh+Iw^chLs2X%WV*'hB#%l=xgI#X47R9rdF$L#qF_,.CQ2BgDq;)A8&g;F(J*8
U"KuHeT:2:uZN,W].A\ZwWCKu>S'gXuV+Sp'^bvOATfO#'oUJ%2h/-MZG-/JnU>T0
U"aK1+ZHip4?La<N+]9;(Gdh3Ui[,xkzkpG03p$J=B8aVT+>g&*(H=DMpmVpGJ3Uz
U"c8-m_OpBu,kHq41U('u7Zw'=],c3J329xn?2>R351D1C:'^ZE,F-n*bMjg9_E^%
U"bd,E6[,o,a(Eac6a:XKQ(Q-%=Mgt##=*+5\jqaV(42eF<Gi,3fcpKZroq'mf4t9
U"VoQD-R+kQEZF&'o=dlZZ5luhjTh?G=CCO;H^&JR7g#RnmeUY\,'KHlfP/Kfah.p
U"$;:h]YR)\=EjJZT,-Q_?og2nIpXNKaWHlFd''xbt?)#v9XSvL(UWSt^%1nff^W6
U"69F]kWG*AQNgPA*l0_g&mG'_c/.*RVMks.:7?iv=Q;x#Rgg:eJeR7'&+-_iRSm(
U"I)+5coe-5a(ogdiuDCUc7Mo(&:27jT1IT3EX=t,q[h?1p0U5WJD,rQliysr?BYr
U"Tus[zdN*%F9XjK$qXs(gdSAe3+AVw]lUe9-YF&W[Fp5BX=/#&CQv#)riZ%&<=DK
U"uEen90D6\65pW1).\M(z.Kc*?:p3cKKt6*nD\HCWoYY\Sw6an,DF^=E0R#[K)z2
U"mg(o0?S/$d_YDlZ.2tO,Nxawh#'7t^+M6&ie,sY,5<3&s\5B#M=c=W61Om1O0h:
U"[*V-1cUBkgMmyV1:s)xJ%QApeZo\HA;b?tA?:'#Uj+mc-J*<)xM2)>?,95=xMsG
U"nV/]u+$9Ldzc\Df*u6S^c+SW6.$+A;:Pds5vND;=loSMC>q=gHRdv\Q/WO$N<(b
U"NI(U$NV?2q?'2m_ZrgeTp%E&r_q%-5t(c,VlxgGpZeY]';S:^miM,L.V5y'APZ&
U";\lDjx5)j'was%6^If-&UN%z&6+)G:'X1Q:?>ke>TkMpW?h2Yu91jz-k+=y+:mJ
U"M]GLkEh_=a+Qh1[.km:(<K*QiY=Jmenxpe*Wx?I6hUQqHX]Y;Db9lB%^[*pf^gk
U"9lk5Wtmk6WK&(j<?J(A[YaA2W]d0w&20)4U<QqUYF:l8G&t<(=4(HH2DZ/Y<^Pv
U">dJD1RH-ZYIoG0'E4fmz&.<Wx&Uh\Ojzg,NuBe:)AUz3U^;'sS1_'%li86%uev8
U"::09&_4'hB)+XQj'%qjX=&PEb48L=SN1%5DOPD:Dcd_wOr.jNnusmHxrrMHEgUR
U"w>pAd$jnRGhhulwWpsbhRW=^#o%ZI5]Ug(_RJtE<j+g.qMhUEHR<FHabDrM%gg#
U"Q#d.;Dp7JAP^)z$higv'M1_n_9)Bi9kmDE]['0Dn2d&h.aW.\_l0q,H%du2L?hI
U".GD>,ruRVv?;z[iCU-3OxQk^Pe:DDY_jKd^LT\8rs%Pk3V$0zrP'p/uo]Q3\l,r
U"UgG2<EEnFklp6K1gS>S6w0=bNd4r_5Y%DAmT*eWIWagLMNr>slB5>/Hn-&I[v#N
U"NW3Mjbbs/d_xdTo([/n#PfNhf%x>QDC]$I[Xt>INhOD3KL\A7S<3<TorKBE(sZA
U"./9(I>OSNlxVVVUq'8u(MXO*v63u$R?)eCcU2OrXz#6%v>\bhJuV_sqk]s8FFhF
U"ZBqc[1X81hA3i^Ir?eLBey8.*K8mp$-+v0)<RF^DhhH\\8+yQ&uO(J<Dw-$FO+d
U"=YxUDi$H9]Y6F:>dMCPuiSH8\xBsQzjJH^+53'4d6MVK1qK3B(UIQcqXMy3)mgT
U"7,h6=J.^:DwX$RmA#E%Gp4pK2+X>)3&,9Vt(_p)j*Jl8:saaNm&.x]+j,QW-wR3
U"/B)wo[Ng[O0?Y^z256HvVbIq3i7y&6?6khB_yznn3v;xzK^fqDH,CZ'OSa(U>]^
U"\NGdH5gY4lk$\y(P>e&?74abRa66C*pv;,LrgUA.drd.RZJ*eu#pB^]Zu=yG'H%
U"HHln/2G1g7lowk2[Kj_]TA\XWosb/t+k<J2\H>6&YBl3:4Or=fi_d(bD9(a5u>6
U"?_AddO9p%j%NHge2u)5/GMAAmwU)$[b)?m<T)46?V#(#W\5u=]QB?pMeT\OBgD<
U"MP$Kn]Z>RVuXF)_8mUj=F^#2i01VZ56NI>dDUi8d:.al)Tc?6#L(DaP%c]8jlZw
U"eqNP#Q4jef$=)spP2roFlxQwI1%j&wDgsyRsFVuw+V54hML[v4ECg?nA4qUv/r[
U"3l,DJXS4I$sr.ZT3q7\?%Lm2X[LVAG6e=T[[plw[#Bb5sQDotqjqRmNBo%CW3se
U"jJ4]==+Mt^=r*2EG]4/Y]07>-do[U0hmGnDl&]cGN]?uLLg5wRT*ZbXIN0O/w<Q
U"J]7XeV3JCi6h>k=rQh7acn1WABHjL8[$Rl8iNggS8f_Lg\oFVcdnsO(XbrjQhu1
U".rUd5Ot7SQTFKR^LWKla?:Uh8U(_9ko)V0Jwqw[WcXD?SKRKu5VKuEu6aB(XPt=
U"TD[nDM^gT&SKoJu)s;1vnkO44b^cAR\(/[FhcIDd<S,vv.qsew)JbNPE7rYGYsM
U"66P^W^)1DM8UCKvn$\w%CA4dVO\m>>Kq9+$lwF:MZzUo4,y<MeHdIu4nc/ns\t4
U"pf[tkq*snlxi2t\fpO8]D6dNY/6\/',i=Lpx(_P,_YQQdcpL6\r7+<:Izk>br/(
U"JNU%lz5;EE#abGBN/HfaGC+V4dlwk9l2gwph52wAV%n?7?=Xw(<VZ]:6=,gq$Aa
U"YFChcC**$I0wAZIaIwJpFLt+v<HH]g=f&Pin:7Yvi:psHhsDK<H2tG_I58GK]=8
U"J'M5)W.7]g(M8yyE]2vR$<tdRjGNMb.bC&=jLVpxm_$u^n]/mg3UtZw8ZuDaP(f
U"3zWGxceMj/McfYB6LHoNtvc_fo6%kWp2_WFB[W/Q4iM8Fx:[u\T4nNm638D.\k5
U"'r:btdxbZG4p4xWtrO.Z,-TwY9_[(VKK5,?>hI[&R88Jhn=l4)C0PrV%*B,hI7.
U"cmYKRHe%BtC8Io/:mz/Y0'jrRCObFgm>]2Qtg?]&&3i]S^>urC4sLR:c#I$ylTv
U"7fau(uVC9(VJwnW_xjR*vQD_'nZBdNkY>Jo>1hHe<^Nl+oYJk=w].lGXg9tzEXN
U"ssYcmtt:nPJHgW6ndd2[L2T(1Gn;Y#Ly0YG2&0a]hz?yi'M.Vn/GNkE'sOAP#G9
U"kX%:/Hjc*;Ujlb-4G=g$\IkCquuS8z^J1<KF6qqpe%aerl<7_M2sBrXx;CvgHm&
U"C:Gx=a(IIA-y],(Q&]r/;ygM.[P[<E4+vfOc.TG&+1v]LsKw?>[q1[S9)8b)?D7
U"SLsqeT[_pRe5NeqlnhtVYHxC2Mnb$ur3g7Th)DSm:Xlc9NCjpfKJ&,<#Gq'5bi>
U"6DZ^d.<wppDZp<%&b\i#Vext?.KsFHsvuS,bqNSy,x\bIi,OslwvcFHx=T.k6&D
U"kLja;I)vy?PYq,0Mk?:O#CVN[#:*/2<EMTouQLg$qIc2S4%w.?698oF]up#;$x(
U"hqE8=-NnVkip/9)Ni+HqLYGQxi2HqH\UNxn\<fvSF'SQrtriEF\ZC4:'N7i8q4p
U"\Px6FKi491/N7xBqlYT_N2x-'x,/LAYt9]I<<i1Fiwp06-cF7q=C1*l:ViW.K\^
U"44bCS[2RNKXlq$H;$xkLunZbZ8r_XwxoB8\HB.^Wn0PAhTq9]E8V8PEN;=PEb&*
U"/V?'wO[y<9(1\E&uGIhc$*;^drJum^RZHS:.xQGeiD9bXut0siwh0jiwn.RiRW<
U"DT)Y8k\uj.H?q0</<CNsky-#.5hT\*jbCS0DUNn:Wqf0Uc81ZuWd*<NSoRu>W.T
U"x+Y*q8=X0x0<]ZDT:dDLpvfLJBtI$^xLY.>hEGjXr^[WTpi;>cYdOQ:N+5QXvBo
U"uBT:aDM3wt#f)viF;VwbnX3vc8/ButjS:(up+jXTO(N%^i^WFc6YD]F*x7T1>1j
U"<Z/xV-ZQw(GtpxV5cJxCW6A5]\7W4okNxVGrrxr5Jux*WO6w0]cMFTe(E)i6xS^
U"zCcJGXN>0q4HHox8WA$xq\kl8e\ua#rExdKc7x7MDMGTO,.g3YR)q]mfRO<qg0d
U"GZR[*VB,eNE[qlhT.ci.<mPx,aDqlto;DfDcr#<w>#7iTrjT8IF<w7.iqDMiZ4r
U":nr_6d0>IUhI4lxrq93Du>SMAxMWi>pR_NvDulxnRx74dqL3.VNotJq\T3<>74u
U"x3oitf/0nlXJ8tnBbCu9OCwdcS<dBaDwNwui#t<bnY4x:_NqpuuZX_F4x3N]q#)
U"9Bh>%Ni(O9l,F4p80avut=%u2&ciH1Y]u#%xT+%q*=*;hB1-N?EfuFPifH1S87G
U"5wtm'VwHp*)?8XUhj;uS8scTav?r4Hu,$<;.O.iwRlYa4b1x?1GiT9b1xP,lZDB
U"1)NC5iuzRY[T.gwp#Q%rj$VLST*s:I,cRD)]x$fi]xH-wm#fixmT-w>,,YTyegQ
U"Y3n/PUW%*l&,-3YMEo4Po;;H,*<c7R:,PoR.4?x(ujUL=(]UC4cE8Rd1#ouVVYG
U"^d+NRg\qfWnOxdOCAN&Ot]Nq4L_nxRbVxkWhXrvSJT-N$(-[frh5FMoS6Ne+3nM
U"8oW#w*F/,j+M>gBIk2_hVs#GE7tgl'pGVlkNU]>nVEL4%kTf,9(#[%l0P58DEc*
U"X*3LMNCESNvwr.3oEC:)Npf?A8hE0]d75/9VD5'kdX-*l.t>9#d:W6cK7U6cK;U
U"6c+GU3cAKUG)WbgftD6t4^'iB?*Fql^>LUu>#:iTs3?uTmZ)lhnW5-;RThZ.1DY
U"mD%b'bde=)IwoK-muo.6arnnl9xETWoN9&$f&Heop=2Ic8#(+Ne=Tub<_bN8U]e
U".7Uu\.2hxf88U7d]8Uwf87Uj\NR1\$XFI?2Nv$=3xU$AuxmTbtD0J3fxfhMt$id
U";*ZNIArw8Ziq6U<x88]u<?;Z86+38S'\MN'wnO-q<+GYDBY0d(DEHRT[:dc27=&
U"x.-$qbHZm\j;xmhIu8Xk;X/=9u&k3:.FY]url<[D[?wlaJkxalXFxT4Axpjqg7q
U"qlqYpMWQN/49upvNin]Q$xrMq7,k<dCail0-Ji<i-<xxYcu8ix-nuvKUGU#NjVi
U"6>'9dL+lwp2QTwViNm8(x04ViNaa+wT?698CQoul#;MN;;duux=j4TCk>X08#GQ
U"qd]V]8nAu<7#i\Jh)NZXni(k=)xwn0i\h1qNjBi]8^>wVrbhcu8g/\sTlXn1MB9
U"/iu6u9cxJ9qoHrZqnj/xD+xZd[=:w\x3Z>h%_Nz)qmp8YXe_%N4r=Jo8Z'co^gW
U"-Xio$Jku:T$#d>Xixbs6Tx^Ui;xDg2gNsm=Ux=R=Ux3m=Ux]X#)v>pW/tXt4)Xw
U"WhDkT9uv_p=(uX?0YDe)$xwIGoxnAXV_SunmsgwH7LFx0XnAxv4I]Nb=.rXqW;+
U"eht;jXZk;,iwglheB=]xonZ?r0.sWEbB#UTmUNrh3g$8i+l_t8UPj[;+H:-B%6R
U"RdJWhen5]Wjv,wiggv+EHl*MIlLpQ)IcnZ+GxWH6kX;iQw#[wE>8H9$jm6.QqIW
U")'MrfR1?to;%(xu0m^*lx82NAdjY>k88b73VOrqEf?31bv_5=/kh.gQuI0:uZeq
U"9g$;uq$<;uq$0sxJlt=wJl,sxJlxUoTr)sOEgLQ*$zzq?c[(;Esl]jA$0OPiZnI
U")cx\BKr\g]-vhj8$uf9Ga5PqA]udKq<tu<dmWBwJHbidlj3xBbfil49gDj0hu(/
U"NrP&dxhgC4mC2ON=+]u*>QTxRCO_N>+u9tXYdni&x*s1er3V3q$J;3q$,V5q$bs
U"XJlLI:kWJ;3;XZ;IcrQ48w>WHJxf(Qax-(QaxP(EaTF(&wjm;3sN';59jLS)9#Z
U"<utXd2tw>(2<ANYqZ]H2v3s;>dj*MrE<LHiTZF\r.sCuh]*:N[4uwHlY^dn,xDf
U"H=Na<lUw4S$p<run=oFDqI)Pp#b7I*CK%mr<;cQo;IcGHmn[Q8(52*uLb#3vND[
U"?S8jxo1/OcINAHuUdT\^'1^Utni(l/K2U>ns0lErZAU[&LXE>;HtVc>>:#Mf<B(
U"l^uw$<xWmKgHf_HB0qKmr^OHlgKA3cVnn6crQ<k[r=m*NrU6l_r;j^r5xn,7/Tl
U"wVic#vK<Nr=:rik>DVxRuc(KT^HlF<l$r>Ai8/_*2p%HKXyO$i8yO#nn*AX-[(S
U"v'4SvTJTUNccu'%v_.JV?Q8T1[lxsZJ'w2<HNxXZ$]8lFkM>'W)[i:GxW&TAN8>
U"Fkdq.Wu8sR%exiCS>H-U#aOcJxMln,FuPR0VwM=N]rlUF)Z%^FIf0a9,u82t7T&
U"OpZN;4Nupp0J/Tj-Ql9:,0_PSo;v1L]6[bT-'J<PA4cMQcx,Gqf8MQxS16u&YYY
U"x#X*ux-4&x\:QiX+P8-=+7Nw>%pL<M'Tb-iT_Ho$yL,6\?iWN#aqLlhk1Zq$Z>a
U"G8=w?>>i<C;29k+S_MM4ktNwX1x21ZqVO/<uJ%f<w\PEfx&:EZr4uh7KuvMclQ?
U"qu,P98n;2u8W&Px$Xwqdc:GNHwQ]Xqcbr)9f^dw1vad%1vhn+Uwp\d*xMzmN&ql
U"[eoBxMx-O+x*4EinORHxVW-hN-^oHX)CrP?HI[B;4\/6wt;(9o'$\t/wlR=-8Xk
U"N-Nf\Z_o(5u/&_s18^Nu$?28/08_jUiwj=;WqFW[TlDv56]X0X9kd-:TrDWY$ln
U"4/jGx^/kqx*7YUwx7O#un>Z,qhll12Jm1MBB#>^80HTx6T$kN]E]lxqE]^d8$ka
U"d4Brl(VXucPfiw2jE195;RXvgEEpvhlExwTT$4idXdBw.Mx6<luK=]ch.#rkFU\
U"uaboExN?J_N90bQ0csghwPMt_Nr0LA8f#c[8kvo0u9nS0>_NFDqM=9\90bv5uj^
U"uRDcZHN#Nun*]6E$fH<lT^Ue.OVrRo^oKgdfr$lnt$2W$MqnfU4NUj6eNh=WTXc
U"+UmMXTb-uX+lYTa='x+HBi<DPc8Hv-iu_rQBw+y/fu4zY\ht*?'xX:=_NzPI*wJ
U"OU$wzbvl.GW/;F3YlbhPPYsT(YjnN*s8oHVmxha2w>tS\5xS?A.g8HAvdo$]sxo
U"p8axWUbaTSHLZ.t?+KhFGUbDkC4zOq%EN*$gNv_oxs;8To9ujRsFx08vVxlnmkH
U"(Uc\o.JN?hnp_\Ex/F?h4eG,hXE>>:)ocwn4ck8C1lx..rmH$Yh<T.-6aJ.34j/
U"jb9&fP^24\-9N\pD6;H075mgrSwXIq-xdp5:Tk_&S3g=(m8j'7rCKh^a6AQ4tD<
U"iM?58QqLM&RiddwMNOwx8.,pr1??VvR;RA%&3#wGZ6Aws>Ur4FB[ekdEB/WS%Ak
U"3L^l_HBd-wbuKVH?.Pdju_F>]aAr>nnPOax)?r%15[Pit:mT88%:^=>R2,]UoCa
U"H8Kx(j-IT,bxJB-EX(vEUk5x4>RX1jG4aVklgrXF:JXlI6Njk?\;oLeBv'EsGd2
U"W?FhUkZ*:p&cv.60(&2\Gqj_FA$_3=rOIrqz??r4F$[AkV(m=Kd&E(dJ561RK3+
U"O+ir'N=cu(rqlLec\[mYnH&/_a%<.afmLpT_wnT:e+.SLRuWLWO$5LY/m3O&2WK
U"K0F60ik'2OSZaX'I0dq+2/s$r<:x]kB+nX]X*+Ib8<sgFtNoM;e^M=FO6BR;<Sa
U"t'.wKRnlUfe>d^7F4V4$P)d0dqEn%H.ZoOk[WT/Q'$977q]I>lubDha;MXi:6<A
U"(qE#(<);V9]7kWqHT=vV6hpn=Zk4HV%W0RcwwZX6x<Lv^#Nr_RdBUfm>4pO:DGw
U"spr?xWIl8N\3kVJG*F:Dolw)]nQN=.r-uZCleN6([TtelF8UTDtg8N\keV$Vw)l
U"M4F/NL'8rS:[(4vw?#faT<x4UkV:[PqYifPQN>V<o8[ZUZx/K#dK'g(rP8jkr*O
U"HXAG^S+;i/ElV4zqI3'cP#A.bNul/lsnlZ9;V_88f%l8'[EdFH2$nF%KxfeC'[=
U"F4VaNdsH>j<qmY/[wnfQe;<2gUnTgKtEH$n,A884/yR4RuW]kWH6=gga.BgGt_t
U"vAl]4*+>T3Otf;\Mi.dn\mZ]5;+[a=lOg(Rco?agt_jtG7Zlcqb[]MDf6z3^Khr
U"Woc,cs;R'fIkZB3RR%RuW(w>EGmZE*_dn;zB.XI%]HB[IH,i=oJA(9+:KZlco15
U"-<E^l_HBhnVQ8O16^M/&iFCQ?d;3P.k#AaKr72\VapwFe3duZ:u\P1MM[Y&[qG0
U"6An3*ortkxZAO<(lLZ)qI6Je$u+B^]k-k2k+<+fM*QPAoms3N;8^M,=2xg+Dose
U"vGNi<3soA6Yam6ZiPbKu^<KpXl'eTLBvYlENEsWPRBD+0LB;<lEZeAW&#EB+<6_
U"fNs&T>\xA9tHC24k;I_ShPb3i'Wb27;s_Op]hdXP3'Kbc2_r_n9\#vMWQd>sWP5
U"BG+fKB;ljE:n=WP/3B+rKhBDiEDD8W&8s^glDc>>8rB'gT<Ar]V]kmQ0.gW#ao0
U"vkJl#.gx(5t\H%b>,c+j7Y.8+ngL(4_#LGBHhuXtN;^gMh[mFWr/(Ff/m/qjblA
U"^*3.reN.)q[6jo]8dLk=VHQuS1afGDlv'WWHB9P^8U?tR6lHyd?wkjD'%>Y<__Z
U"m%;yb>Tanpbx;)?uk9H2kKTr$beKEv_KQhu:MQv8THWvnEd>N+AIQ,Ba8FaGFn(
U"XA#Jc*ks_oC$##LDqSu7aY83lgr]sRB]xR&JFH:P$h$=exY_lNBT30ty?r4.FG%
U"C4_]FEbN1#JRDq_ac,Ab]aZk\+TR1Ijg1kp>Kqhc8e[YVEFLXG^baxH4_tPbA=9
U"kRYjRuW+Vg$/bj:]#kdK>1[B5i;bM._.hc-iHC98=bG;HXu4fRdl6Lr1\w0EZqW
U"h&V9]SFl%L7>3sBg=N?hk652]4R+*KDJjAgSHDlFUjC%9>DAheiw?VK:dbUlBgL
U"TbacRa_1G6b0TB2R)\[diRo>m^]GDKbV<pkBFA3M^bdammE6J;^M9hXK:c+R859
U"$soLMVa^$sXAPAfft7Z:lch>fbd3#;+-$EE#b^3jS2nuGUu[&I0dq+q0shBYz](
U"s:ablWD(F;'DnKQ^LbavT%DvSU3KfH4c:h)d84lv33UNS#b:AZiWP7tV:$_wlRn
U"H2\]5k+Fg+vb(M$.$.lHOqxs6^cetV_P:>\.n3KrB7N91XbT4JHb<fA[B1LGSKQ
U"8kj'KX\FJq0v64$^HLlWUG,_Qc6B&]DCALHA_a_&d0dqUh/s5lAgX^P2KP+jemG
U"DleHjge(Z.0d)qsXwIK^bk#jcrM(eMiSP.9D8N]hT)9q6^QmHrH$:zlu,$cFsDe
U"&dNZk_XPrF4gBCUCAM.brtt):Cpl1orHR^28-HF/.LNG8R/9)0KuojKxHYxWYpr
U"DXKl$.+Ak$UQx:Ld_$)a<Yz9]78A*r^;HX5go3T[vf+j)-CdqY2;s7KmquadAaw
U"k(+6>,+BOqoJ%5bnFo/c.[YD$+nMCkMl-[J$d#9d7]8W]jH8KZlc*h[s*E32dCH
U"g#abA1N3zJ;krBD;e7Zl_cNXK;>T5/+k[Xt=4=h'4x8t3]sB=x/?4oR_ckr'FJ8
U"E*O9j+OdQIZA][GRS7Dv'94^aFEYN186ts_D9.MWUQ4IHaC?HlGdrRXel95;rX7
U"/HFFqfb>]PV]vs9w*WHXI<BT:T7Zl\cWkSjewbu:4(tj/m6ahZBR]1PANZ)0q64
U"XaHfE(5_8b2GflM_%Arcp''G\S6P;^M8J>b%MHlCHJXH^c6Bj3ForWrc:p)q6&4
U"dHBIET$-jP9G+kSuY5Ci-JN2+pTD=vwFm4\BpP_HUlwFkWE^6&[L6\AfV(dy;:Z
U"Ulc;1+,v3AQx:L)g#N\_XD1X4VsB]NsnHNYa]kJk/27n^5drhxDhn^Dc5v6^]0Z
U"3saBADgp#[MwJ4CT_bbAZ]j<]DkY&+b)e=H:.BADvKI=NX+ak7ewMlCLT)hb(n/
U"hqNj>bt(okc6[mbFk8KAHBdH.iKbk8AZr:-r#_R*uWGoDGSl5\b,n$jw)%b>Lm4
U"G0sHt3BsB=NP?PppC*8Eb^nL>(U'bXb:d_qQB-Qc,9(jtH(ol2A_*3O2AaapMc1
U"Zcsn,6v5_rM,_,.1b\]k_db(lEHLn_PB,B]z7nU<frH>##TDLvi=I_7MBU<qS4h
U"8M,?dWUlanam'JPS$<AEV*GHb#1Fl$Uv*-7eNi(9jmh$hSbC(A7j7bjr?a\BOj]
U"X&c.iHCRNksU<ueu\ERIP^QlBM3%U>gs3XyTDav/VKO3+kK&baiC#KdG*Q8?d1u
U"]UP-TiHCKmkOR?9N+]x$T8EHYaPBO(B+Ho-75h0(dqyUlK(3PhlkTBZ.]3lZpJh
U"Y3a*E_iaF/w5RtJ?Bi1.h3H__j/,Wcq4L0b<OnV==XB4.7SNij1;s]4DGQX.%=a
U"T;F98(lD9Ubat=EDA2l]Psp$dk*AGM]iAlSd)-1dqsU<K9k0l+f-GE53AhOj__*
U"iB<J.9iHCdI=nIR06eEK_VbHA^=AF2/]QLhI0dq;q0s&]Ul3<LFa<E*Db<n.rK^
U"e*#t0dqiE4srr]r^5T_uwO'uSU2pSFIhH9u(F8][w?h<N?$lK/_U^h-G(e_dfX6
U"#oFjnCa6?aF8(rc<v9vlTA>AY>B_>8QRB=<kHkjPAhj))[Ni^'Emlno0(5;.qo3
U"YN2SK\0Us-d)oTDvou3kRa']1+Dg+heMbnanq$^5>lS6tBfwtX[B>m+AON2[K_X
U"+n7Cl-JNRI(xu-BsdJBCMkYmGxB^T]/kDKk7HTceu[(Y$5&T.DvuU<K1kbEkLwN
U")WnmEDJ$KA1B(ImPbr.Xi+d$/e$dyGi<Ca:83-r1W2X5KA'0dqcuEm8\_cl1M<b
U"^a52A'W2]kCiFX8$1Ur05x/3GhiM5aT3?JVuZ2.N,#_#fVWjrkF+.n*&ih_>_^a
U":pJxcS^oU3)2[o<_$,n(aHp;p8^XLY.lvn:Pq#BtFIh9TrdUHk]s:WTx_16KLUV
U"KhlKRuPmuP;qFQ#;f]]A;7.R/dLiHi$SmFp_kJBb]Hh]D3r,b5w\MwX8U$1V1aa
U"8x530Ey+YMnr6=Zsu>MK$C=^FLtl/=<hpBGG\aaLAx]jHh7JWwWKUk$s_vcW*aT
END SUB
SUB V3
U"do;RWZ2hw)Xn;bn[(c-K2Xa)JTV34u8J0V,Us*sKBYIi>8fxwgbr($_h^V4wcf-
U"5GXgmIXr0d8V_iJprSIuP.r6S8I,XW]:O;FDw1l2&FY+=OIXgM[J;G+>YITF9Z^
U"FPg1;Xkggr1Zrv)SGiqI08q](m[6g(TKL01v&3L[.vt%gv'.e&lFi(D$37q+FPO
U"\:7x2gRY;rB_S7GwI\tWuJqR%n8WjH.BZN/n:<q2m&*Fi0Ov)%WDe1nXs5&=s9F
U"g-;$k%FS+-(bgf-:jW%5g7J1,T7LB7aQS2fwNip->j>aV4[xXx\H(TM;K/'5TyY
U"O5n2[.X1(wJSF&Y4WFWtU8IJ4\WNLL>7A=4tdXPu?sdx(%up()%9%'%#-%%/A0A
U".w9CGc&.%%7)%%%1%#%%j'&.ihm%fwSg.fxdw<h:TUa5vCA-xiU2bB9ZB#_[M2?
U"YQG?OmU/v,tvYYA*nq<%Nm3Ycxvs*Q6u3CU+*+CQhWJFGVv8VE,JEK9r:q4k-e]
U"56=:buVKddYUPmZhCPlpPSp$aEmsUh%BU9AAtX&G>7/f'\*wiNy77>f0]/hox^Q
U"tqSNfE)K+5sxTC3$a\R3ETKSJ3?M_0ev6Z5It91stwaYtQ'6uptPkRqJD1Q&K#-
U"A?81Jn+i%][\Z[S2e6(AZ=5k4r?JtVjq(=sL,Xn+uPN5St=9iu*LRs:]$'J>BLr
U"#d*q#=k1=M=3P]J(-&Q>SQ2tqfIk4%1)*0ix*GRB1)FG(YQ6PAjrcuwv[cswmgo
U")[VWcH\n-W9L,)??5b%2zHeonem5RnK?3\W#Wk)^L7H(.E-yZo(62Q<hHLwC'0n
U"TRaw]JHLbj$Y<d91I^=Ms0;<ToKPaLRDq1PPGc;Bs*%qx2FF>RNL\b7+Jl/i[t0
U"0rjBv,+L.QCw>QB[#M9.BnemW&D,2[0908.N2:d>B5quFK0_1\dTy?$WTfu.6=0
U"mN*Rtc[Y#2dC1iH8dF6OX&Oa+*:m7wj94Nln]?WTe0pKpY.=wm?qUd,DWLh;b'x
U"_wnInU[0<M7z/C$N%%up()%9%'%#-%%/\0AUv<kv/'7%%x,%%%1%#%%j'&.kxy%
U"hmSg7fx&z;:>So+5vCN-xZ-o1(yRUpNLIW7P>TICm/G?aGKTN.;TXz6,/E<sJut
U"g81[QI.MwSJu,keE)hhX4$)HKwnw0q,lXv8ae-ZJGcM;2\Bmc;aSA?Ze/A6v1PE
U",DI4w+HG0DQpmL<'XgEVrtSACD-V7q6>GFpA?B9nr_/%nYttt[6$4Uh6[2GILh>
U"U]E5MoCIcv[IEpsW:QwCR]Ld)3600g_tjk-rOGFU(xM[cZds0u,;ViDQ6ugx6p'
U"%k8K:$^0obk(m%+[%*R;/OA&>-=.TBW^Mvc0x'[z\kG:csKpdOVW:/YOv'5y+iL
U"h2$A'nOOG7G.cPmf:NW//)$GSe'W,EY[+=er%lXp<q,lumEvne35SaY=HCU0fX,
U"QhaJ)i&C.tziwF>a1ZJRe)0&o-+_AIJa6](FM<1Uc><c'jbCT+CC;Z]peq5ld:1
U"V4/'PPjlYd0c+:1/we<$N::iLk0'T-QEX#yw&eW+BssK4zvr7'MqD]mv\)Hqrd)
U"L2S&yO7L?K2<C-9)Sbl]N3VN()7FEztP=/<tFV/1\66c[e^_Y^Sgo;t,\x53=kw
U"=mct\.5pzeMMhT\?%V/FW6k)S8Zsx'K>Jl;KH+;eYZ$Eu$nSLl\Kn>:,Q*)<gYt
U"LuN;90\_%O-u(g7h#Rkswkh,S7d*FWKe+3rvQ-oR6m,*pl3fUIc;<J2xdvdD.b.
U"d&IlCGNI;vL0KS]fZS$paD5qO_8EA;/_8d;fBX]hc%cW5aGa.%0%6WCX7.s>O>$
U">NXaA4sal<g')PnPnbJ4aLY8fiKR<8I^O6+0D5S,yCj*l5_-mSvJx^;tK/ZkJhq
U"M)<%zSdDrG_k><91F[&L;pSJ[4=fR=Q>#co2S#0UsSo_MR4aLQ8vLx%%up()%9%
U"'%#-%%/S0Aw.%q2*'.%%[)%%%1%#%%j'&.qwx%whSg.fxlx2,>jUp9L(M3x?S7I
U"2KSa7czb[8X7,j+G-WnBPcr-\?WI7e3$)l*h61ILI<.5q0Pj6Q#$kJ#2XM(oG%k
U"u(Pq.2E5Jd#]*S*Xe4w#:.xa#Fr,y=MMj+.lZ^5+q0G^yRNkYt(o2(</RO:/q+O
U"iXPZLc(SZY+SZa2#[Du2m'()Ic^.(Gn7I3dJSq/yiX+W<-j&(ZA6+T2=4GcOljH
U"7u(tgZ)<QE,kpEG$FPo*+.nVrFUeU^G(:l<,=5TS^u+u'SQO^2ll.c4h$B1pcBl
U"aBZN7OqYm7t_O#:HXXg#dl%cO.M.FVu\<$X.[,oOcy,q*i8LgxhOqd80S=<82=o
U"YQ[#'n/;NZ.$$]<.h/_lMRU^9r&Zh/;[k>dQRwNKqS]xCjJy*17RvO%xS2N13gE
U"M8lf$OHK%%:'EWg1G)C9RE6fAc]E<pAL/hagZ8=wA%6](jufw9h;8..c$[$S[p:
U"5VT,Y3C_hD_DPQD4RtGp&0OMUr$qWw?Aik>+<?]L&elH8Jaoa:qvmnuzw(=xG1Q
U"4gQL5r7K<=H:c,XQtf2+4Lt1.*dBXegMLo,r\8qS>GI(c*A8H?(s>3H#vgSGNod
U"dD?'dCEV^FQg\tj4EHce_,FsTo]Qj_](:S=mX_##$riY]mQi=B<Lm*Dv,583Nu%
U"p()/%%%%%I%%/0:ATAj'CA%%%%A%%%%1%%I%j'.%gqik%ySrfIpj'.%gqik%ySg
U"f%x2/v(g&ns%ksyS%gfx2%/up(%)9%'%%-%%D/0APlnO$?['%%B%,%%0%%%%u%f
U"hpn%slSqIxy\d:r>T]:5Uh+9uD_w*mq:Qapw_?%r')m1vs882ofO;1nhWiB3Iz6
U"ZpPh_B-BO$'U-c=XGril/FcCRn9+0;b'Yo<cVsvA/:J<'1dt5:376iv;G/S-%JF
U"pLl\JG=)-m[Z9^[V5X(wBaEBA.j8NR<<fx%+6M_5V3U,,XM641CuFUfkz9O/B'?
U"<ubW$k;c=l18G1Wc2IAppCEA&uh_SkTRL:cVh5?NcyR'^;65pe%0(6hT?2DKfP3
U"i:qY>%$]i=TAv(6uA2lVjnnfmd?9-A\\H>/_8%6cQ9nJi;)r\S$YmEH0Q7\=VZb
U"DI-%u#^XUper_LX^=:bWd8i2%e%M.^C#I=0BN.OWFa4C[ZEF5:Q8z58KOz-ghDf
U"a>1X3[F3'q0\M=aAQ4ai=>Nc7WZ+.a.G-tn>yo_X:]29NL?^M>EoGj3)F-Ij8el
U"3SQcS8JtD=1od&a2%5=J/6^S+Il:zkd#,(ORk6YgP7AD8F,o+N\q0#*3e$j^*<S
U"LsUD-/NcI:2F&MYnP=Wp7)<-e&j<2MD<\q]]Vzr^GZyV/Vq<ymr(.MD['k0aTe[
U"-Ba&H;1B2Yj'wCHQtxjwl4EFy=pYjpa0:b<r9mUB^&]kc.niwjX3Jf8C14YjpOY
U"Pc)<eK2]hbMXVXFJG7'\TpV>DZqOfBLZpe1sD[]NA0bN9Htw75w/oZ+b]>2cbWB
U"gNnT%ZKSQ2k.'%*3.M_PfgtgGqs=Al&xG_8[WO*U18cUGCFD2E:#^cf[-%$-*jp
U"2r:YktsLjRF?U^[MB-D?3TtV*L80eWp>\p2pf?D:CG*F6vm\:R=hSc)SI9sasqP
U"_C64BH#G*1wvJB<3H*okYq2qKNTFU$Ar;OP^5U'6#qpQHg9#kc$#1-AaC$KDi4n
U"mr$/v7%ekCktCCmx%up()%9%'%#-%%/&0AuD)/8'-.%%*I%%%/%%%%xf%ruqj%S
U"ksyDdht;^#(B#.L=k)c5BWu&jJK3IJlSUP\]u1G3(;XR0AI7;>+UBT>-B3Sr&.(
U"?.+L0W[W_%:]BZ]J&y08)_JEoPsZadgP'xKKs+0%UoBa5]oXX/oTqXhu2uUHk'F
U"FWt>WuW68XJ[Q7iZ<l<qX8r0Fp/u80nw_V*dXltfm8unLT7Q8$NNWdV0=ufu9It
U"*Faiq(jvpR4pbyiju0(p?z?KpzrjROwo&F94uvTVA(^:BN-ES[=7U8<-952+Sq5
U"e#-VI/>%J:*%D'-FSU)E4VC?:V.%gWF(&B*BG+iFO^51m9&+j,<AK-ES[=7U8\[
U"3Sq%5e-V1I/M*:B+iF/O51mQ9%pR%0c)5#g1.g2>oR0%c)5gI1.g:6aYQ4(&S5h
U"+'___-1Yh%OF=_O]rK_1'Yh%Fi=_OrgzC?:AV%gW7F&Li.,<K-(ES=74U8U3+Sq
U"5e#-VI/AMBB+0iFO5n1m9um+_1Y[h%F=;_OrrVC?:V.%gWFj&l*a*YQ4&&S5h')
U"uT3S'q5e-dVI/7\T3Sq%5e-V1I/M#:B+iF/O51m-9Ue,(<K-E&S=7UZdaYQ.4&S
U"5Rh'_F-I:*D#'-FUF)ErC5?:V%(gWF&*,P3S'q5e-IVI/=)pR0c%)5g1:.gXj.,
U"<K-(ES=7LU>oR%0c)5#g1.g'Xh,<AK-ES[=7U0V&[0ha+s4wZuY:rnV4s;bKKt#
U"&8?rw.n\i(K%z.$3mdIp1L*]X\hqQDO6nMiWo46?A0.wifRIqwVhxh#u3h7TtD]
U"kJ0<l^CmkwrnT^\WAW3,BP)$:;TXEafl</<T,]$D0sK9#Gm?pDBLshZ^&f*X#?5
U"qxF_a,p,p74_h-fsw42CV7Q&Ye]q*,eN<HE5b#.swv#\-j62qaR0a4ZWm55?6c.
U"YJz?,;=vvs_9V7\xtWkt*_q%,NMiu=eFb)R\D=C_lnPkWgPuV<(V-xP*-&:e82i
U"%zSb^(j?WY0q3KZvUWN7F2PnVSnHmv+(ONk=F)edDJ&/i_W,ODvu)u,eGBGnO18
U"3uKG_U?\wJ#tFXEs_SSZhI9ek<r%&_W.iQWe,LD3Ji5)%UOF)f-g+jVhLle+es6
U"k#_>GIEXdJ\N>[xrYGYMxc3.J7rK&Tc^&u4m*Z6+5(T&mwzq:jFg27c56Y%7r?g
U"]K-&GW^\HHiltq=mKLontgTNbW'RNN8j,Suk2].DxO]T:<PPYHie+4p*YYJEty:
U"HX1$xSBRHTi#$vto^C1[/lM\Zp($4/cm>ofHa)95de66%b'HlvYKCS+t6qJShjN
U"7HJuUM^,KoD-4U<DxI[nD/H[l^:TL\NC)fMehXq'e/xd4OTBTwl#6l$$6#sH.xZ
U"m0pN^[LIL\o*y8a-bLtd(B^ttdDd]=ow#B\k2SC3fqr<8f.QfHJ.uYN)6fCOb\H
U"<ju.=oJQM8_'7(A*aEVjI>aG=TC0kTZcaSbXh59x8[94U-$lKu6HCrgd]GU>5%D
U"6's<h=]Anq>I?d_)y?WW.T>)JdojD$W:0B+pXPq'S'U*2#fvs]YOx$kaxq5p\_C
U"(h*%.PGN+9IHc7w8>8dh.PBpp=Qu,9<KGWSyYrmhDDJV,Vu6'Kx<ZQr*'4?trrS
U"QbcLd\.5:RLrc(z,5dTn/.Nf(xgqZuGg)htqM7rnqvOYTkWQ*w$4vY8uHu&Oyme
U"nZN9*pA0u8r]NPw,'6_<Gz(_Xk.D.f=E8'nWtZrf+GvRo^;-9s5^o\jbeF6WjeU
U"N_*dB;(54x<[u.jH+t1Vq%t<ga$S^B6mb4^_6Y5cnH7/E5D?*JHTjr6mPpt&7Pc
U"LGDoQZ*%6>8IbvtsHH%k<6-XM,c.0#<##Rl,,^w&Ll^^Nm]^^?L\Es*NLtdoxYn
U"sOQ7amurPnHl%5EwV/%I[ohMK$Itj8,_MaJI6LwvAEYj\FQet(EZi88,kWrX<[+
U"WzHg4f(]jTxM;Qn*ALrUgF)t6$cVhVMK*t8JnHlRqfSsLL.jt6wK%M.Fm_uYckT
U":;L4Rh>]Y\#&hakjQo5RcO4H(G^?e-6T_J%%f?3nZxfGbZXN%e$%FtwKQw>N>6n
U"Dt_0S(OWW((xexB9hjqI=ulwsv%ux^6dtn+wPWx+xw=tH]1>Nopp$&MNc3Fx,qE
U"8t=+b8njwgTyaxP5BSv.TMNv967cb3lJtbVlswU]WS<=T8vWbbcmyIHD4]xSKhI
U"tblBPHQPs>couDFnP(u=ei[N,8,80ptr8-8/kL6KRcx,wvcD^x\>h/uruJx%5W]
U"NoKuBx%n6m^jrPLtutfobI.Zv-j<s[TSoV<cs.uR8U7fl;)ihKxM,oWJ6X2KM)U
U"W7swlPeew3Xkb7HNrxlfredN6V34xaEX:s=2L_447LDUw(Tot^H:C3HCSm1tQl0
U"pKrweVKqlisuRS$v_<H^l9MBc(>b&4de'p_g*HgwpB1c_)jJUlIePY$.8AsdD]=
U"KRdrnS)=/XY$DHX;BW-rQk'(WPkv;rhN#*V.<w8Z$Dom;l]VUK]RmGB7^d,mCQu
U"rdg>nrZb,Y0bM3Ra\:##(e$D3b6dRPFjC'vS=(q4tE+NwMYwr^G'JtPTh=_Snu[
U"agqe6bv'Ua8Tn'weOL$)()>s)/v+s>x06u0$xsY&t0J-?$up%()9%%'%-%1%/0A
U"CRs6h%n+%%%+6%%%/%%%%wjfi%rjSyS'y.%_,>#0C7L<oBxU-YA*,uCe2$.nCxd
U"m=5SSaHEBDd?R6uU$]=PS2jE2epNXFU+T&J#ENfqt.f%J6_3EhhhPMrGtEExZpp
U"(f?Z4wrO3FXq*lY&O90<pD4Z:f\;H9mj98[]<s'HY)(VXduiu<V90SV8Z53YE\8
U"V92/2M&/fSbmM(vj497K9&-n5KJRTtaudq,D2un;vO^.+THa%(r89cP-+x4-#ZZ
U")VQ4$dq$Hg;lJ4(h^3Y^8VmDd-/<]&<Batl:jTR\DW#qk&xQD1>28\oa-i+=9SM
U":p?/1iCoVF%o6lgY:42t'?.K<%37jT-T&iw])UlAScT-wDWIG<'bifCaa][<Fm\
U"R>G/V3xV,g&?%<v(fR/(SYOQK-JZ(D+?I[Lvh33%(N,Cu/0YtJ0*g,vrRoDss]?
U"ITKnLqJ??7_CJ;6t,0jkhU5/2F_k1JMBCo;NEO&s1+t+(0??H#xrHwAgKJ]E;&q
U"O&_7bLC??n]hTBqkK*hI)uX_=_HK+Zi8oAcOkAl$Ya_SUP879fe9bV;I-sMgn^6
U"cZf%;Bj:tPh)BW#EbS]:re\fNZd=BCWLF$Jkp&,[MJj>^'A6JW5S+16k+=:KA\y
U"(E:+zeB(&mX.ZY9:WKBMnB63X3-_.v>1Uh9kM1OC\eiIZ7/PSQ,kFo>hB)c3d(j
U"i>Hf%7e<95?,Fl#-x\^^vnH&DM&d3?XT8qLM6(aAB<mN-P&<V14_$,cup2nnl$O
U"8G<9G;Y.?]a0g(qGjdB(U1h5eRzR-C5ARe^)ec=G=de8IY\^lC,p1A0,$cf;&xH
U"lFz.#_-13m1XwZ]iPr-*M;ZU\;BOL5aKCHA4awvJfmx&AfaAb=jhFRat/A>(_px
U"1'-7//v.fE=8\RY:j)=Vp6NL1vS0Y3B7oJcbLs\oOT-Z[GS?ihjc)mU:%2O6iU9
U"1rhu7Iwmgf^&g\&8A:Ajr)X(t'UQyU[q5L#:SZKvY]==tal$8,JG0&Gt._A[*N=
U"ZZlZMya+fj=<.9K\zG;/',$e<H*MJ.$BB*ktGB:,6_k6CBKIw0dJ3_(qX\k;(J0
U"19imBlJpXOWP%.(L(QbDn8yv.;XAycRKV#.pLAt$e]2^l,+tG?o+R8l.&iM.<55
U"rFHr'4Ac2SE^i+0WgkH=B2EZ0k_6J7JNvf>iMJ3Q*^yh72KwQIJAYF;K'V--sO.
U"CmYesQ4B;EHbh[HFyKL-LAJ<vf*X:[Y><+J+?k=z)Jql+?-PUTS3L(?s9MS\MI5
U">uu3xrXU.wYG'>,5<6&T*2/vU^&5;O/Wj[y7]Jr;KRI#ZcX_vD[xgSscei^<;4<
U"0ojX0tBH1Q/jGU(ZjQ49*lGP#g_CR.O#Xw9$[MCPxvW8ca:JHJ>0=db&Q,<.Fo#
U"T\PJ3Xoe[q>S0VU7(?bUtVrL69*9j)Md0j>WKo.c9xRw019)w;PsI&N^yZ(O>Zk
U"Aq<9*WX6s]at6K,7/>y'v7KncMCu=2%$nHW7Pk/*h$N)]XIu>;/2%A1Q0=lQ9^n
U"/-H8.cHCV*NjC_J;bm]%$J'ZNK9gR8G;9\4lH.6nUOyrDg48bb5tR^hla*ZY=??
U"9#/wa:<5V*EqcqjFbwqmHCYzep+QG?UFXP&gMlXvN_d$#qnql=c]U7:eQ9m#sEs
U"Z7EkCksX7g/==rw8OULbVGpi2GT_+cvhJK%.n6*Q;_\j1+,_6j6<l<R>HU\jGI'
U",le'Tuc5OP>EUvBIDqV8bfx).Sc^l^4ImIJiZGD0W#mbtIqlq=/s<cTu[7SlLZw
U"80.D.s$Y1WwG8K$VULtO=Tv&xRX,CML$CQ=ashpndT(.>?XP4pYVFaasX8K_Tf?
U"u^nmh/vvnLtSfJrOhua0-o'mhzYBQw1B]r#?qXJr<FNf7dIvSBAT>X2WKXm\Tgw
U":aMP=FIgS9$NVBJk^(ovSK?/7cn+177$G?7DF.8FItzwLa2ca]0g>9\h,xqYcD\
U"di_(gqLK8tVbKmW9G:T8qEVx0oF3ZsD^5Tw%QQrhk>eytD#\3vgYtY4aLHo'^^/
U"A#8FReL4f?#N,Tb^_/rnj\A\6pAnu%p()9%%'%-I%%/0OA\lN+(66%%%\z%%%1%
U"%%%knq%jnsk%tSgfFxfa:GB\[auX(cwF(CZmd6X]DSAWRkaK,z+Ci^z$[N<Jht3
U"kZ/J7/a_&pmRmNs$.NV;O=RR%MRj;s9(k\.q7a1kFr&]m0ke=<sP(&SSLxeN7+G
U"dsTUl18CjwK5KHPLN-qN2/ibQsjvL,-xwT:XKECQ&s]lj_UeIX+JJ8G'bOhzQ$D
U"/P/%Ix?^XYMGW,a?gJN^4'I?y2N.YBUcPiX-o'DQRS&zS8eHK4qQM7Z.lAo5<rh
U";X^RWLD7Ml^2O#DSU^\,:q/x(u=PUVGi&%.^S-$1f,?\+*.(&<9P=[<YZH\JMhv
U"nj;m8j--<rH\1RX3gI8c93d?]Ku:;xatV5rFQbb8h2aNd=q4D(tpMxWAC7v*(Lb
U"$C\A%:3Xr*h3sk6<GH04mg^]rBHrhz/u,3YrG,SgA33%P[=G4N3JOA?SV[-+V8J
U"'drFUTE<Zsc;j2sNZ[2WUjf5o4:VY5meKSij+B;Q7g8Vr8)EM2c.DmNqX$7C4MC
U"E*<ReTk/#Zh:sFGpAK%E#caU>sC%'iqw0-H^]cBJ3L9cRWm)c&>J08pk[8c#aw$
U"jD]KJ0C2TS:#KYB0Go0QVJ;ZDY;,bC;>GY_1kI)5;hqA%LIzI.^nZN2]eopGJJk
U"F]Rb+5;HRq2KT1i$AyfI1Ex#T1kY\;4->b7TJ$^WX&Awi.&Xz6-=jdPM=.h;ZqD
U"Ti8$CWVWMf'=z]jM-:h\t;3[Q$VFm0o7Y;((1Vu^%D05(Nv0]LLQP/^x'nLy_J[
U"LC'.4*r<G_0#jfyh/yq1T99^'GP5F^tnA+QqC[s9uSdR_4MOcQhtu9Q?')/2qg)
U"HT.4i&yYlK^4T-JBbbd&JGJ2oE;Bby]F(%PO5$-1UClS2.hn2Y3#gY)2=g=e_PH
U"JZGy1C?-mEOcr]QI5OHSAtJ?^ciqcR2C/)2O/wI2e8sG%^)p7R>m?Gg:dX9&2hG
U"Y)\<BA+>Tgp([DYoHP5rhK&0YraTVA3KIc3CqXA5<IYOy&_l+KuI0]>koktDf(B
U"ue>C$fef/?9>5]FCy/0hn[$Ot2[(O1[KR[:/po1r]eAp]\/QOa8qG6Xj8h=ANqI
U"Sq5$g6W\4,LG)F8kOu/ES;1w=n'B3.cjN[qe9#K.=27S+h.<R(l/:&T9YdD[B1E
U"jMC(6;uISi4)<_GBYIA5%GbM#YLjvigAVB7BZkW+X6aH>[SLf?v1jWtQJ[WOGL5
U"GbFrZj:?ZWxW(edy\._)3lkj[nR$lnHb;nf(q6gDrSQ$ixZ^[5;B2uHSBhr)RCk
U"M^1*M457&i=WN*W<51M'Cg[(QJ0d/m;#Io=msAnWnHHr%mFO<IZmL*Wg^J\gH2W
U"<<jqC&ZXb#VuOKU:]eng/t&:((x,%k.u=r&8-T(Uu\1&-b=fc6'U>tUqXNeEA*.
U"7^o,'nt=<2PLpSYX2BJ]n5:_&*3Ax-SrZs7PrGq[IZ97/C>RO'RznLsX?]Ry49q
U"??mXr+BkoXUtlgt6D=E=rG]38p+[h+:dpGqC$94L=G%[sNDoHkj2c:b4Hhs'.(E
U"3gP-mqV<TY35#=>8QKEgPCr%d9+<pZ?WY/\ELHUse/H(i[JvBbw?H=AJrKdIR:p
U"LAiAJ3;l=:w%TxwMhzDYLc.)He8'7Wjsq5;2bAYIJ>IH7IY2lI&<*n#-lfjic]1
U"Xvpp*B\0u=)RBc=l'Sm6E:H/.'=sO9,y#FvguSO/u'oCRk%?FK?.]%MO[=9^V>]
U"'&_[eolvat#&_#optbj[L/loF6Nl7_;>8srP'JU]$;H]SAn^^9:hD]sJs+R]6aR
U"bx.BvZI''=*OABq65B_f0m[>7/,tbY_/OG#6L/(,'Rs(Mx9V+_W4c)isIKr,Ps&
U"F^0s'YYbf?\bM$>IH+If)-]4gMj+kT=/dW1coB4=R'ueFsNpWV>$H;CS4B?7=0:
U"aP&Lq_j8)UvVDRr+Y?P1I*LveJ//YksT.yI0/hEN_cpx9WZR%NKd,0bTQ<qdBlh
U"Y'FTMBA#.Ukbp;L8?#1ANx*_+cY&F2-1g38Zes**RWZh2pnwG]G?4F7o=.>3X94
U"*r0]0^,Q]m7&B6<\>3=Wg('?Jt.6<Ds#okFFDm8*WIBkh&N+.GoZ^2O:7e)H008
U"gL27e1UDpDX.so$mm>CD[Yhj)d>1.'3M+gp6JiEYH9(M]w)S]VFmkcr=kl)aRCo
U"3[9'DSozrK3g#1S5[9UOtKg1,EOW7&E*z+HqaT_Yho&mFM,$]pBS)#Z0a59;=<h
U"E%HYK9%3Ys.1\/IZ(k>%O)uq<h'Egie4nt7VUxIQfJ</ViKGWUHWJ%%b^$4GNs&
U"1xDBOYQeJr&B+Z^4OF:KnTHa.>u4uaAN0r05pbM;ER=PR>3YMI\aLgerziszhEl
U"X9*8O^5dLrBu7G[Xr.&:oU#L_-='nxjdax,?[NX9.VZn)]B+*c'jPZ7:Yzs$VmS
U"w7%V0dHLd'Sn7,lh6j^/C_0N-wS1lO=OD,voxE;X:)[rV1IQdF(TuZCx^Yd?W8Q
U"V:Br)wb3+=&iJ*CJA1KM$x/q;xB=*LXP->9%Y,I5Sp-^>V:-V2Io0Uskvo:pIVd
U"vPRFRFVs/[%qPth>_3#b5uJtO$)$Z2;RCW=Eeb;lL+*R2(YwwgmKaKV0%e[2B6K
U"_x/L(aNE%2N86L+o;AQ9C+R.&Pj_>c3GQ4%i?c3K6m\O^N(3X8%9q3NB]S/a-%)
U"5q.:bljeP:s_xU:_El^)U3+0HWhp8yhsBNc/^;7Y5kt=Mjz\(H$,P=7R\1_bVN]
U"'UQZU.GRlkPBttdulln>;S?NrV$tttE8-ga0pn#EsW[+d,,:tPS4fOD6HFN,K4t
U"1';3K:N=$OC*P-b0$+?TkE(Hm;iV9=1Rd.X8H&#dGB1'?I3:.*Rsh1<Au:^JwmP
U"'o.r-3ZN5BM5'Zjka<LoOo</(-%$N5N[3P+J<cc4q)4gPzXY2A67.-)2lQrvQ.3
U"sHl:OO)QIQKTMocZOe+Vs$AqD?[n9AVsnkg&mllutexTI2>H;]Ub8Bs>dp(jUk:
U"'(IRV2yJ7pABa#7c_QIq?Rxu/5+9rHBHa#jpTPxDCgg^ymh\86lqll1^(Zix#9G
U"Y>;*S5y/>#KH^q8kJj;$H-k%v;>&4c#YGsOSOGPw3rR99h*^-1m$4I3^m-;U$Ci
U">/#SDe>,%R_=;p]hhB+Sk]Nj_Q]-]NAdcZhAo'47OVR3DvKeW4KU$Yeq5.TJd51
U"PpWR5U'f7'^*tyxPo-W4j_R5%_D^,qQk0qhrT7Z.I^AR2-_X'Uh13rwe^.UIJCB
U"(Hk55^I(CRjQx.p)GWSt:IgKGSTZ3hpnuQ8x2JonMlJcP7[ldWnH+.piPsNcg-e
U"2pKbfrc]+IKw31v_8pQ'>^,>1Wrcs^ksaYRKeM0T7br1mABctG&Q5)A1:D-?H;L
U"/z:GKM):[c1kPn>Z9RG+&':va^WDSoGkZG_74t1w+ni6vAuT(-H7K*>$_=u>P)4
U"132*M,$Q%,gYEdZ0TDLquZTSU9G)sDIyB(+plC\+ypft0U-)s5wbP?Z?+ZPa_Ut
U"dn'[pLEcJ[mtv<f-rqiU#*e?Q$TVm<Vl-C)nFFf3s4&OEE6fWrjY'3p7/DB*utu
U"dakL#*Ou6XaC?1RSisPrN2;(h)bkYv4QU6/3ZSb.Jg-0gP)Bmj8C[LMEIXm[DJ^
U"7ECeC+c<^a]UZa=7VYVgdhg<0-IZ8?=P*f8%_Ag2_=nh1B##YrdZR>IBg/?/q<&
U"IZs,/Z%;MoD.7Y+.^&PS4uL,EGO>=p(bZ/NvBEsMR76LpB^hM)spOT.JmY#rf^R
U"Kg.L)G0==ac+ie+iM*z8nRncU%&Pv.e4tyT^iMCpeR&7g(/lBH'x4mJem&(f6RZ
U"WBvl],SjJ&BMOzy>ka>.oNq-/LMA\9;iJuec]>S>FG8u7f71knDU2fEwpgxD$0j
U"H]p\-9K5NErP:o??(9:+4p.9sLnw^xrfuB[jx87N]Ft+?]U&RUz2wo-$3w*nwZ.
U"jAhx%<?R)scN&h]i$VY5oWM]ql6d.6:<W6JbDx<xA9A_+F4:-;r\<_e>j8%k:z/
U"]l?0J>/[u:=oA=DhendOv^dlP[%dCz/]FlDe)Cjv's;L>fL13dME:N.2,RMYX6M
U"3Tlp'QLmyd/yG&[#gpZ$J*Pf*[gv<Rgrrv#n%:0VwF<z>K66?L'j;\$(*lM4OJP
U"'VsMhyi<I#qrn_IdP0tPg?H4]p_J&-u6o'/meT2(ncdQ;71$C*5O:=A.O-uN6t.
U"YpPu/4+Yj,,wDWG%+En-TWNf%%g=R)h5sQxSpGWN6tst*&;OJ)WUEITJ)PIUC3d
END SUB
SUB V4
U"G97Fzkq'xb-jaCNBi;;i5]QBSFL:GJ7A'c^e/b=DLUTZCceCf/H>>+WcX[M&uw'
U"C]C)$xK3Synz'?A[2Q0NF_l_r:mH8G&t0fHj,'5)q,87na06?4)?u%M1*H2c^5_
U"dc^8223eAF*^;3L&,9z.t.en:j/NjW?o-mWG9E<*>Jf7UMmS_R'jeiR,X9?mZUU
U"d+F2O?VwbJz+z=iX.P7Wc2wIw[YkTQ9m'mSMGJ$n%i)xR[omMWYVtR+u3'^pbr&
U"p.c#cZ:s9#Dp0KXwR2pqQosn%Za3^ghZ>JmOXi+c':#u+W98*eOpI&seIlleuwD
U"$VaQtbQCBdn8-8G6,.S'XV7P&Ldmll\H:^FRx$Lu2V%;]kI:;JDOJ_7=Bfa4guA
U"f)$fByKUAY'B[?4u1?q$a[>kH;H=PQ2)H4Y<T.)=^]ZS:7b)/b=/ep#oB87;Qf$
U"7fEP[]RJAo.DUSFfWn_LVXa;-F-)3(ciJ7E:GWk9GcSv]uEvEoRB(s^CU%__mpB
U"q/>7gJi/eS[Z1Aabp)V1obG[5g/^RG29C3kd^73=#p]x(HE.WC]=kwM4nV0P-Ho
U"HImD*wy-o[:4q$C]y1X&?iS5rj?V)Co]\sYC;xN#?EJiLx0vrh*3[?=[OB4CCbA
U"Vt?#G;laX#_]/^/1e<4D55ZeiVyP0:3/_$=<03CheNC]I_1GVnk4Fm3axRO?Ac0
U"\99QtX(SGI/&mZ'.NDZ-,rD*lQpOdYV1V2K)>p7s6vdJ>+E-7#a9eqAcn8lAN;5
U"9fI5+%qryi:)VM]^R3+K_k6T>jN=p%8dlbke*KQ?9&.,8[75'MQ%-:k?phPr=Sm
U"&fWWF3umure7[ArMeg2]I\*-#6lcvEem^&-4.i7s>Evc\w0>HE)0u?$*:&>Qpa%
U"8d=^9wg:IYmo/artnY;&XeM:K2(R:mESNCB)llNncRB?GxRW5.NOO;y>n('VQ?c
U"N1C''odrv)qGKdc\Mm6*k:b#<U_<cBYi:E\+nniA;Y8'?<VWcUPe3;ojkG-pD'H
U"B>icEZYREV?m)5#/(]0;&squ<e8XjvP<IV-2[3]/Mj#a2S^:1H]/],1dg>'A)UO
U"M*'x9.6o\N4IYaF,^_V7wP9]ule,R(^#+h(gQZd'x;XdWg0_hDk'\YefzPf.2k7
U"KjcMMvDE;$t3Ssx=L2hkH]3DK5gK?51',&\M+vh3<8?Fd37XlA$>o3;tbfFnW-^
U"<TW'q4UfkB^*2UNj,L*:58Y5#C5)$M2i*ZwC),,01daCysz_B%I>oBAeBZ[7v1(
U"VxALhtl_&&2PT\*c5cPcR<hSes.=6R4JpV2&X\U7WTdqd6S?f,_>'#63.Gk,(jJ
U"Y6rEw)+=vZS8c=9/5U[ERH=frb10O4s3b:-R.j+Gd'b%Gj78wIB7Xjn8rPwAO+U
U"ne'\9FE=^D\jX<\MXAr*(cfas#g?_/1\8>owb?MeXWYV/CYF1^zhYr2kH5EW']I
U"D;e^:RJ*;Y[GmYddja(ie'x%up%()/%%%%%%1%/0AuMbX3%A%%%%A%%%%1%%%1j
U"'.g(x%ky%Srfp1j'.g(x%ky%Sgfx%2/vg&&nsk%sySg%fx2/%up()%9%'%#-%%/
U"e0Al,%&fL+%%%5C%%%0%%%%ks%yxyw%zhSg4nf(p,BT[5$7FKxe0Txe)uERLq#*
U"HmNYV;:3?e,p=nSWE/Aj0g[&1%Ch%ML*'Y0QNgo=Bbk[]hQ^9Fde##D5?tn#:VX
U"N9N7CWmaM'1]aDBw-DSN;W:RR/hqWCoBNoqNGmc1$.4M&Q]26n5a/xRm*8n/N?]
U"QuIZrR%]<RY(KNc1BYo/B-BNe=<.i%7LQ-QJ,B(gSJ'q^6/2=]KYRd:2Qo3FG_G
U"g/wdJj_2rMa>o)XVM1Yn&1W9%*;yqWTNrJv2#hAXy_2fw:psq'lTt<JDrq^_ii]
U"BER++39C4u&&-<W\(NCFLrX/R+_-=dH9BvU^5cGS:M:0<C)Yn<WrUB=\(x0V\RU
U"%VV)X]%EAhs8VaXZZ\C&FPjnE%._ghlML#15G>/\(u'D]Z9J1#US:d2%FLf4nQ/
U"H*HHO:x)09/fGn?=s.b$ah3Icl32M3s5g--%<oSQ9ASaO;EhQX%\QM.&xuVl_;Z
U"]Lug*3=FNKk/'[dp1I+,%0pYp;+PRjO?Y:lkM/TP+.QuS=1gB$KQ]IUZ^,M-CXg
U"d$_7a8BO8D+qJY4GjMtTk:'\vM-d+vKgI'ei?#T>d\LG9OH8^LAE&7q<KLQ%s6<
U"i)151O2FbbunSH_20[uP(OcO;d=yoJrLKYHhnG7_^Bzc2<pH/XnWmj)byM?S=2O
U"?eu,c,p,*;>PaI;P/lYjyNK&5DokG[)#/1Ks&/%*5sQ#dl4c-Bv/+i>G#2,azY?
U"hQoF3+No[Vd:W_]\o#CHLs9le\TU<YK9Lw%J2,z,pUWDJ3#cg#ZeS#u?K1=&8(N
U"P3F\]1rE\IM&tsV6Y4h5;JlP3n04b+,'tIz-#?8#Nn2Dd_l3YnLbM,[w(G,qvM$
U"4=.)q)g;9EfBL-XfJ4N)BfbW,h?9DNr3t5ef8-:X4:;ZQU8'W)8t;C(5^-4*mW?
U"9N7<31EdZ9UoRJtT\=d7gll=e6A:]AZeA:]sAeA:n]AeA6:xZA2kBrDb7Hg.#3M
U":x-?Iz]g&)k(_w3B[:c*e*W/7<cOpecjm*p9_'9_NdpHSE)UKJbFhtGJoUWG?js
U"uNrDJglQhjy.[_i\KX4<8+JQ,(Eh=0uVOe$_&Z.o&l*&;Yu%=BPN.ZMK]0nnC\#
U"A:vm_WskqWcjP<(en?Ye60hD60Hetf[\4UY13Q7iGOn_5jJ0xZn>3>ZZ9V2+57z
U"nY_c9sLG47+_jeYJB$umUbtm$HNPI2O;S$xLs]5+T95EKOes;\J3'+X$?7mJRk;
U")>,V9CX(93_jDRN)g:v./u&dg8*RN/ONPG#^J\+-F#4g9R0fxnqI>X6I])^wgL;
U")/\3l-%-$=(xg:/mg]6WO^uY%;,WX5j#6<Lb<q)+>1:;0dk=X;mYH5Ue(L/^9iF
U";gguUJffmKb*Ur>kG_+*QuXz[[[\qC]10;+_brx\OrZE/1CX*G$my??\nbR2Yws
U"50fM#Ksw_UlQUT:11;<gm54A6I9dv$pAO2,uluGht^8p^lt*g(VJuI81NNvNtkM
U"u>M):jlR>&PjObhP8nuY,-oSdOChaV/;GW2L3\fmM;/b#/:QkzhIXrk2ZYEcMYp
U"&bl[Bjtbz[eN?oY'X,,%XlR(KC0A4]bn^AU'lc(=&4RlWWS8oj%%8n,$Oy^DC5c
U"M]'bgs)aXn+CjzB<,$i(xUi*s&+TU'9x$7<GUK+3OkEZ5=s-r'.uiAG+6k&j'Xc
U"wpr^LqupIi#mp%FgK^8Mya[rH8rVr_&-f9(]0&Bnen^$tu_#[I3g6AVT=f)MOcM
U"86j/ETlYOvlGDfcohfBm)?g<(rXY#'YeJ/Z:K;5u7Am5j#pOw9C^8pzeFD61[R1
U"P:+7o/LaMcnQymySCAs[DT6=Ps4p<8k$9Ym5*,3\\s:pdT6wmcq_-=>(d*j=:>N
U">0f9$6v6pX,N(=TtJ#t7$BP9SsKCFw.GiC2#y'DQG*1]>SImm0O5j4mGQ%RQlP9
U"DwifCDc4k=hwk;nI(GNmKGu6hTktE8_wu/?][6xRiv,=H\D>gml\%up()%/%%%#
U"%%%/S0ARE,YJA%%%%A%%%%1%#%%j'&.ihm%fwSr#fpj'&.ihm%fwSg%fx2/.vg&
U"n%sksy%Sgfx%2/up%()/%%%%%%1%/0A]NDcr%A%%%%A%%%%1%%%1j'.i%xywl%S
U"rfp1j'.i%xywl%Sgfx%2/vg&&nsk%sySg%fx2/%up()%/%%%#%%%/A0ALg)ajA%
U"%%%A%%%%1%#%%j'&.kxy%hmSr#fpj'&.kxy%hmSg%fx2/.vg&n%sksy%Sgfx%2/
U"up%()/%%%%%%1%/0A4lFYs%A%%%%A%%%%1%%%1j'.k%xyxy%Srfp1j'.k%xyxy%
U"Sgfx%2/vg&&nsk%sySg%fx2/%up()%9%'%#-%%/n0Ai3),zg+7%%F;%%%1%#%%j
U"').&ni%ymSgRfxf')*>?^L9M.x-xZ-:%*[)JK44dq[K7&+%jGu&h8bvCGhj)vT<
U"=Rms1e(XYBe2g^pakF?g<gGb$:Ctkkh+vC^/db-wNNeux_TPUf>oxkLJh/]Y_vu
U";-7<:F4Z0&,)A)sZS#hMZRQ,1;Z4EfLk_9$6U<&6>irMM$s<IU=NG7(_R'I5Qvg
U"f1>B(XBeEKL1K5CD6tRjAXV%V?[?(Et;Y+C=CVc1dItrRUVXa67OtZZ1LqrDI1e
U"[l;:Z0/./K;r&Uu5WU0Nva8bJRRdEe2z>:g2M>dR$=%SagKf4ZVOUsmpYiDRDBI
U"P0[aP*by<\>hy8FKrh^Y]90b4hl*YXn%QHB5gnT.-1K3UfaHNAvKU#+PVe/_K_L
U"o]mJ=llzXf0bxD?:aw#L^y./&Q(-.'Z(2(?'7gXU$:F\a1/f#u.)jlQ4lZQ)k#r
U"3OjDdbL4=o0S<Rv'fjt4(Spvq6;#B]>=;e8*31_#>NW$1gCXS<'cM;0AP%6:R[<
U":kBkM9I4>,D0*Oo2x;u4Z##1>g]btkUX2+Xs3M6?AK_KY(/>q:hYr1lA%VK2\[A
U"R4z1TR19x*S;Suab3--c)bBk8Tq-vTEu%3u]kS_m]f1\pKrAPo/J2$FFMWx.grU
U"if;%TT7zi&w[sC-]D1h?='XfkJlZRD*B+jgg\lzl2hxV?+:#<dJ,/?+\I7orrf_
U"q(0LV'o>/&lPiCym+0DlRsBR_u/LW,dgoe3+IB7'Wx-+C2WGD/#^DnW_ON3maTF
U"LsJ9InH=5eZrI=<,MwC\m\yp?.#hVJC7c'7&-gVEX4$fu%vs7K$g&/9C(xC[,u,
U"nhNM*_&JL29-;V#kj1)XCG(EaNO64\$y?Uc]nTQ'v,dQNwr*=UCotMMnjK%qJzb
U"HQD2=s,Vq5kG4?i#%+/d>?O(#]fND=Za6T\I:>iCeXE;4;e'u]]8zLAE_^X84or
U"2310DbiRNle1q'sg=$Hlz-920l3EbJXevOpJ2l+PyB]C$Rr9FUMCrd?Y)Sb6Cbw
U"lW^/l(zr5mLYc59TRz/7Pa?,x>gzZ_dDJ>)Nq#_sHthevIL?#*z^/'uzKF[T]O(
U"CUC:+my)')iRw3/hTty-ny$2$JpPb68;S+)#W34xL[H])RA_(Z);n(o8RNe90bx
U"wGG?_jooUyfgU4vv6CU(A3eN>W5F_%d',-([:RFe1U;z69z984p&EVn[M5_srCm
U"1SpM&Dk,C+0_aQR7xT3A7:,\3f0YT/gmYSu8(3HrvQWB$Kno.i$<o=s8n;4XSpk
U"Q=P4Z+>/TTDQ5<q[$V?awj1PrR&/-2f4z$(y&xj=YO])R.-XaxwLI1AA%jopC\%
U"7U$nwRh5^b]g_0J#L/JH:fG3]9,5%/Jxh#Jvw38*QE*''I/G1N)7F3F#s5ugOI)
U"2LrDp)Njl2KD.?S2Nj<wWd)hQOOk]f:#lAgaA^\j0NYEu+]a^xUa;\Q$CO/'q2X
U"'491%:H8Zx'Fq,UEIa&YWKdw0$YtcGl+O50jz0=p'e9&Ep;MZ2h8EI85?c&>HHA
U"zx$[JtT+xeek$6tj9p)c1;9MUZWid<fo1MGeBbvgXRd+J)c;mg=pG2Z5KFa>D?O
U"MA=IBl2uMPP)e+jwCR?*lFjp7v10(WENP0[+&G,Jo02o2H=-%^BN3/?H;fA-6H<
U"/S3G0A'u\cebkJ$1_d228<0Dlr26hEJw];AXJ*7=L*$.RxkuVt$ZL+>(OQ#-'R6
U"H*1tG$QQi_Wah_sOf0lv^<kJ32_3.eFKEA,I:j+pBxU1NZkuk0KR(16o1rdofT<
U".R/)cDKEvm$2;*?dC<'%9;*DM+s5tlI'BwH1KqV>89'VZkMtui'elr2E%kL^.KT
U"5XjuFi^6Y]sC:x:Q^XK-kxoKKxAdFc0f<bcqD)xt<A4_nWGka2JSg[QI5]7b$E^
U"Lj:NBP;Pn85DknbLa.qtWX'w?:Q9'03AVU,Hl/Kx/F#GLsN8?rGosoj3O$>:==4
U"t'XEx.5mo7E5kqU/x#lAR2B(1fwI=KHuD7'vN&kqijGoBNBDVZ1dwjJlvP:<S\T
U"%up()%9%'%#-%%/&0A6+7Xfk/7%%)o%%%/%%%%xf%ruqj%SktsNf+N?C9F:Npla
U"TDQWW<M:uELA/F<M:D)Ypp&f0A^7O)Jg#fe$2,6SeI.J?aH8pZ-VL^sa9ndo#Oa
U"O._cmylfAdD14iXlp5$'MVrAADO:)L;#/;7VC&_qVk07uV4DfP^tL$i[C.qZ]4R
U"KZh6pLlXpLXQpVL09\LW&%8%yG7i6Y)^I7Z]nvE;gL_8V2HN([lgU<G.t8T''hM
U"Fo(up:7fc4VBThJIIpW3FeCopbM\lgc#(uV-N664pb$YfQAHmNCp-^zh3<,[=4,
U"BmW[qUKzZ#g][.nVaq+uHBwe%#y'6c,><QEe0XdIrTa5$&ULO^JVPgL=1=3rip;
U"*t'ZRzwo4z7.su3UKZ/N6cT\;0GciX/pWOLvJkFgE(udfRdq-Gporw,44Bs;:/=
U"G-&03NL0bl+f']lgfCp$oDb1-=VNV2ib3Y-#6b5uagSR;nRHq>7#(kdULMu2h3P
U"K1Uh0NR]jL[Gh+jmV(ne\3cqyP]Un&2s95W3WF__^i=UP.tdNivRo'w).n'(j*<
U"UOP1Ayi2Q8>EjhhO6EjI5S129u/J4f<6.FX5q'%eEmUt(%)?V1RH2L$Y<Do.2g'
U"l/;f*SleMaF[Qo)<Z8=D[n'?%M5'0t9Yc=\=6$%ZBIi^p>R+:J)YUj[I?c<znR<
U"*&Q*T0ZqlU(Sk<iiV%'QrhF0[vihOn2tCK<(FRr2ewPpZJWAZZ['S'p<vS9nq#]
U"&2KjMizrpc(G/#O5xyz:&>6*pCx0:U6;XwJvE-.g(z6W1/njn6;sjm0qG11M0n4
U"P$FWb,^mG/jj,5m>k_I[Q9#y:td>Pk>&:LpgF$[$Wu8)N)MoPS,72;qFc/8fQ>=
U"/;K6=ZjnTqb[umk0UTam9%/2.>k0#L#>G?9:9T46l6X6iq;'QW?eAjWIZq+B[s<
U"a(HG'4FgFXR5gE:_1/)j:;1\A:+]GF)oMS&lD$aisV=P_aWi_;L\^P>UF5E68/L
U"[:*=<0=U]S1Q<QEDwPGbe9)GMF(:'1FG(+-ey-XCe\e1'##A<1a\SWGg*-E9T5a
U"r0Xia=[7[#Hp=G\#nRMMKOPM3=:W;f'3m\%=56$8eWiP-=;$=AG'VX-qaW+e]Fg
U"^I1aQG=(*ss4+7ZUqJ;I^+FZlCX+w_p)0BX(mtZLigt;j6^1K(j.DiJ0U(0=QI:
U"1K0d*.f*P,+aP3<WNEugnN9%nD(Vf=(zIr?Wr&57\%#r5\ffSM+7QbGPt;i#&bi
U"+Q[t-$#,IUY^qo,a1u>TK/4)/a)j(=0(6>F$%:Q)a=*6J3,UPL<P_i351r)7.Ck
U"keTu#Z:2zTp[X+G0$*)EB.7,6(E]A4V)+&j8i*VI0aK-CuXqUVT.mYa%e(E<T?4
U"wXYi%]RjGpUlM'jL5vaBINv(mG-,V*hnbQPYFlfsXd9l\$mUAclR])[SVA_lroO
U"P/0\&m[9;j/&7jO-j$^?)#m2Svl<b./_69[E<-z:TM-888h87?J:S#[n&&hpe[5
U"i_690,rm);KYAOc)NNcaCOPuAAaX1,L1u.LKgIT96jYIfnr_]hi,q%I:$/VHI+b
U"Ml1(]]<cno5G>#Q(jhP/+:9Lde/sg2%'TMoc[B<'OIDYRc&[>/,;XYppIYKpFA6
U"/,I5]j(\M8PQQu>7>:Wtelmnc#B78Hio=dB<fC9HBxK[(n$#9B+q8vt,?KC5CA'
U"dE4kI?/IQ.<,$v4,N/ya_AAutMN(n(AQ^k,$3:oJaMi_:WtXO+wdUO<_Y-M#t5Y
U"#au^TBB2urXAE9>u(IRayHVhtH1+z'J$;cN,&Sgv1\TSae<iL_gUMc/T55uIh/7
U"]Sy>5E9f1t(1v3sJ]3KkzUth&0u5=&GdMmG]bfk$#f,<cm+]9gL1$D0O0c--0LL
U"%Y6OPAog^an7Y*U1UC5x+'pHlCG-pS*?/BYt$_Z#nThI,X#L]q#NOMW>x.=l5Ko
U"$0_poO_=5G:-f([Q5a6AC&M(va&M:Q[=Y,aPtqEDd;DcY(u+U3Qk=:+lkX^b\9H
U"<b]7hbstD6=1AS)1g\Io/WRW^an\oQc<o)atMu,&?E;xnjB-<]EUwn(ceb(Iw?9
U"1LG^pcWo%bOVH%uk.5df\<K5f5DZ8Q\hR%\Tu^K,LCNhXvL2^]n)\,a:(3VVkA4
U"VyI/LLbAe]zDIn^F'mg,-W5^c#O#aU2e]_w-rFrASAb6*J?;13Y,i)n/pi-45&j
U"nq;i3>7FK8C'-;BgVh'O=#9Uf,4cqCkt+s5<mo))%hCpMEH3B\Ii'+#q-\<H/5&
U"T3Q+I+-B&virL(jPYb(V?n$H>Do0$3RwZqA,?(g0z-d/)cs7,7*]/Z3vwksKP\0
U"kQkp\lcDdF#c1zAw=$S^T,AkCJERXA3P;f:Suka(N.qC=Am,>M7&^,'.[,+oSXJ
U"9?9MC/7Iy<z/0tkxdWLRc#ae^*.((hA/UrZ%QCZCI&i$__7gu98WX1/$RaBKu/_
U"Q8g1H1=G&4N:KQv2vl'Xtu[9SS$1pf-Q,0CnwsUESr10xo+C[L)gsWqHj4Rsurk
U"W9PbO^MEQlB+l*W7kWa<X^Z1K&h_#r5kA16pMX[j+xqtG$FC<5CabDf)x73N[Bw
U"V8SG3k(E-KB1IVAWsVPEXcNnb=6C0sxX2vg_d49\2.PD[RtJ*wi^9[mS+5v+O1n
U"r%b)IcY3%7xV_o6EI'Yd7^LsceQ=cR=S>0i+=ZbN>G5Y-;Zwb)yCpoK]Bkc[d$^
U"a>RK6_ifb(VDu/3X0rO]hdY[eTY8lKof-[2asZ>r,h1>[#3,s9Ngo^#)dixvFUY
U"]W(g/V?Sc\G90f*s#aum*W:/ZmtcSfz3;qKwA._hC=,?Rgi+hCx)_W6&jR0H\d&
U"%nt?8Z]l^K+A&s<NLXof,1,d8nf3;-.(D&J%8>$r\s[u;9^0A,-Zqm]qC0QhLWj
U"#F9&E=yUEZ=k$kEptW(S;rl6jwudezWqJdljo/K%WcEpthX.*hpb8SEUe'(+16V
U"TXAJASVQ8&WUi==GWhG/sLv%F^Xs5Oq5uwN.D77a-CFu_K:PU9aT^2(6U-h*=JG
U"'S.eY:gW&rDtXZ?\$jHa3G?Z_AYs*jW?MZS^YXobQ(q+GN#wBaGuiqj\l3kO=ur
U"fS4U%&^zbz3=,Y6H7LL&8;baW(nV/P>Ze,qWMc#y#D^-#XADGVdrU%l>G1(6U-h
U"JSFqwdgxKX%[aQzN4O)S29JZO^#2ps5.FT\7jc8DCDWG4ogUiaOZjH2#S16U.-h
U"SF][k6ZNjGup('B?o=Q'DpAe1jmPAN;Ppjmh>DjogY+aN\1]0\iugdXojU^'G)$
U"O/F.N%Ux>#16[j1r,&QV/,*.^v&Qx(ziE)B]'oXT5Aw(.yuBwRXqvMoCe->-Hvj
U"<.d#uS6u]]jiv4%<rca6[Xo)]vj'V4cD/=B3BDBjFopYTZ/UpI:sokb;9\Gx[Lf
U"Eg+t4<33b1&B]?bGF&K$G&VAs3^YbM.z:%?B]ssO'HBX&??AGC1SbtdkcK2:I4h
U"Vd.Lzo]uSc[Sp,R134]'1byK$fAtj^X,FbRYq7M*b-rjPUB.87gd\T#EAp)Na=a
U"s,dMrVg]+]=bXfrxjslox8-a8up%()9%%'%-%1%/0A3Jz0K&U%%%'g%%%%0%%%%
U"knqj&.niSdin)\6^KT%eTevioEa0uf57T)rMq[E'ua*h#b(*w.Quh'\0%v_Ma(+
U"_2b'x%[YSJ8*5'FN],I\*#eF27GC*g5ICq(/h85A/Lx1#5K+gM$2QZNUBI*Em1C
U"y8ih(yzYDk.u(2chmvPqY&hMccbyL5kn%Lwm'chyr/%2>8q%'k'T<%%up(%)/%%
U"%%%%%D/0AU7w4XA%%%%A%%%%1%%%%j2'.&n%iymS%rfpj2'.&n%iymS%gfx2#/v
U"g&%nsks%ySgf%x2/u%p()9%%'%-I%%/0[A+^2,4$;%1%<U%%%1%%#%vg&%nsks%
U"ySgfFxfb:t>T?+9X0mdC1Q]eY9R.kD6RYO^DAGMD$KItLrZZJ0*K&7;:YMFsNDg
U"(i8kLhTkFR$5l]k)e7R$4ulSRR>hRV6i)NRGbVP%xj_srTj$f\o/]3VRBq=JC(7
U"s>rnw48L7I2[-<SJtd<w/o>E=ZQW/7/(1;Zc;WPWuGhf;]]+(9Q-s-s<AUmn(h$
U"\NR'hqaLUt]j,._MsBKEs]a9bZ#Wjw?Th:DDPnrVA(7ibgR7[a>Do1*nv^1<#IF
U"\*D\5xC&DF1dXC:J(-xi)#ah\Yee$>Ds$//e,Q\Qv*uFKg<-<X$ZBVp$lX)buGd
U"o77Y?x0kC9#Fw^$[Nc^uxv2.mKAG0P5t=_Isnid(vCP%<^s%2'[QKc%[_2g$3AU
U"Qnv4b]/#JwfDiG-yM3?IZHRO_OXJa\Me>]Q5$PJdb_SC+8ag42?u8f66$67V4So
U".=2)oH8O8c>.?;ucqYcZIIE<Jn$BXk;a5+s^hu9Lku$7Ag0\?c5d1^YqPW+ip>+
U"KxuRgl5H(8-pGGSB>K^8h[kk%MZj[u4?;#af8nQB#Yx5UArf\Voj85Q]$5aNpI4
U"<%($nG,a;s'B11<5V/IC4%Zn6_#J_\1sb^\)[8H;E;OXiRC(Ca#pP5ROu1P3e*#
U"C.Fp&8ASW^9#5:Oa1u0g/Bi]6X5x+BrcsQ8NYEWJ_x;acl.cI6<Mr+EP4eBBWW7
U"H+^<naeRQm\)oH]VIb?U7%WTmo'<EWI<R\+XLoKkIOP:aZ$qYGURy'W5hU'1CV$
U"79l3ddO8?c>,>;\Kch#6n63d\H0YAhGuY'O;E(iWS:c==a8<nSVWOmuc_q%79gZ
U"hcT;[BPggbSDntZ]%?wCYie?HAj_mN.ubNO/T:aQW1q)3;<\b\OJB_5SDw:p(G-
U"k8pmxJlOa15z8.2OJAJTkjDRgIPT(ZNQNom)5qownurviY+T5v]n_a(5Wtc+^L0
U"MpQ^\j_^Ej^oO510[(D52g+r\%Vo'\7gKaXu]fCKH43LF6^D7;i8O1#H<I1GT%A
U"ql<Z#0C0&I+/?xZb[=M2^_[geO/P7a'&_8_K8Zu:NC(qY\Ah33[,hI*#*3Si8cw
U"G=&hrSaDeI3z9XS\=V5cG8g6+uzr7S8w6f'\dkBPpL*/fufMiju_=UpbfzW9r.z
U"A+aCv4y(>]Uh#C=tvYlGp6hJ[9sj5zED6>/+GY>7=1+mA0PQiyC&)iZbcsq<^6/
U"3$:Di=[AWclEU0)K[1I;/T_Q;k_R5LA38Kn:L=>JI,:YtB:6nTDh<EjAsGlW.Ba
U"z-X=:AfGZbLhL/'dW1K+6B;n&Xzc5oIdu>Qm^YS/P4ltOBi1nB;]-xH.cI3^RLv
U"CT;KBk7qqpGrxeO4R<'CAC?V9m6]vbQIEFRbjg\HtJOH7ifk02(>jJRo0K7;nqg
U"(DAdj3NGQn;g>EhhxwGK0?/0f<[7)s_q7CWnWu1rvaThYw)h\8g0[/NSK]C[2xW
U"'[1Got#F71DP;?s7Ut[AlkEk.[v\?#Rw<Dw[PviJj0.>Z\pO9NGwY(ZXc0OtJ-,
U"f1/uo4gY74vm=c4.5#+YB$#0ZD:VS_l]asYGjSw=iUVaZ+i8)eFWAY4/kc71J>)
U"UcR6*$K9j>[X3L[PA;B,aNX,AFATcgL*>JRJ1_?^Wq09kg:x*l7U7'])m=WC:hY
U";+N9OZCK0UX1UARj:93?y:brJi7^5^u+gWi2u3:2*iKS3+B;MN$t^*&Z^]n%%(-
U"f'd%Lb=,AuvM)]ug\*jI>7-t;T(4ODUtJ3FkN<lWEvo1mljs\)^Ofh#AV&Q=^+N
U"u5,QiY/r3(_u0dwZ)6BN[^]]fBpk=G8?0r?mDV^9oYg3Xc44%tNu^'UTQ<_mm.<
U"UYnm(aj1^V<w6O,,)CUYV-HN,xXIef0]#S-d_&FTe^+z'R<A.s/ZOo/dbmP&)'^
U"tZ5G[m2%Z$YA=QEl(6Oq;21c6TS\ZibN-ecET93SMEPoo-5t5:ME>[-Et:v??/C
U"e*9?saq[d*DrD1HX\4/G^3f3.PLPOl-Md?:t.*=M1l(&C9Q/iJKMjV.Y3IgVJ'L
U"9^16[t?fK,Jt$%1/YU7:5_B?Tt0(DUSN/A;mI81+cnb9&O#oT+jn5uh]u'-d(1_
U"AYlq;O[jI#-WuZY'Sr=rS#^'iO0IR.YD%/:()N$=$k>plKK]7iLIJ#cU+8?[B89
U"658P9Ybh/W41S8e;NR)K:d%='cR'5R-wujm[_W.h*;QhhGg>$O-aq<)e(gp[7w?
U"RMm)#b#\g5a'n[fmt)rn*Lxh&T1n2''q<9CG[wF-R7m[uF8Kd+1A:.Fg_x1&oI9
U"[S>S41\a#XS0iPk3p_lLgD(v)G(av6,8O6QjU5$]u7*8C8B%R;a2I0kwp(Ax5'L
U"(F=a]f4Y,wT$AWuXDyLi96p]460UtmYmb/n[3HH^gCn$nVB0'(nJpBo+NZ>YJ6l
U"dFUqvVguJE++m_mpXR=g[NYAE]tr=60H.fhSfdS<E8Uf6rm#IL\-Hh0c1Au4iZt
U"ETm5JTNNrh8VGW,1cm3_dd=S5-VFIM45CY1^L'?1O#OfnQU%^RV_kk]N>oWfL9O
U"\akCgdg9RS?u/jfid?I#Q8LFACw_0>=&Ys3L//^rbk;)flS6acp<fw_p0EU\>[B
U"2S$P'o\k8YtD;g1GM+G9%9^eHl2R)o.Fr,]pNYZt,gu,sJ6g_T9Pf<kg2S5ZI.7
U"^T]C&IjbMj;Y:,Ax\x_o)VomZQmseUD^guRY%W4S5FXu\>,r[G8+?lB5p+/_PBA
END SUB
SUB V5
U"2JZhw$nRLi%8YcC9ndosh[p;;(Sk:D9geTzJjTw]aMq:cuQKEWA(XR8^dWoVS<X
U"r-i.;btqtec[qAT\%Jl7l>#x^;;f9XqQ<EipF%8vs36x4:o-^9vO;XzMfVcc39t
U"jlE[+T/=#*w$($FU0tQ=y_^TT[j]vsR.utpk_\%qHK)Z,\Ff80s(p,liOKnH-Ry
U"zeq7QjWw(L]'Kr&U^\+^&H/u2ynG%h91ZC/lYp'9tC(B[d]61\R[ik#Ff2i;[*E
U"aLZj-n713A<J=-ZoU$e^7t:a)p1>GAe-l2pJrAp1Pv>Hl$t.T]=izabEv5$ExKa
U"&1rGA6$w>R#;ENvV*vg,mr79RMnlDeUt8O:%[xQJb54G\%E/Up_<)oe/DsbfZ5=
U":;H$Q#Aq;T(jty=%\0YQa)cfsZAE]F0nsl)EXS$-w-Js=eH:.jg5ng+mLG(ejWQ
U"hL%0bO;=0Ya(m;k&5p$)SK*vexoqDKs\61-M0=X(Ws[41\YE(O39na95d0YEhEt
U"s(h3&#7GrDa5<[,s:7kQrm0GcL0X]Prl+11bLkG)9QB,^W<ut*p8A[eyu/,#d+h
U"x)lXqnel6]A,SE-[jIMx0s?r\4S%kjs+KVPa-tAuKK#3'2PlI>1T0f4#tC$1UPi
U"F?GnelL<U$Z5Lr\XrLu#*:*yHm[2?/u?[QF.^9m\Y'E$18R.rS\)(B(?E_Z20E;
U"0;o]DINQ51PR0$T/>Y21+[Sbp1oICfbm#hg.^W<GbO[W]]wH6T]MgdGk,7+$9c?
U"B0F7G(s.(d_pqOO]QT-5N=\]>VZYj1J3M'i5d%FeK2?OifDo:^L6pEYQ_g?KM^>
U"7V\:^LYd8J17MJBK<-q[>7Q=,=R;NC$5lh'+HRM?x&9cs\l=#x]_r],ni94Uq&&
U"QvLZot]9K?'Hxas1NdgOO4fBTjF8N,(2t7q$>dO])Il%tH-/aKE+'9F\cWM03*7
U"6-&emJ[*Ppcq4Q/m4N3bYn/1;D?WR6+rQ<K\xWH<>td,k6^GWaR>kvk;sHW;k#)
U"u_+g<<>P+(T$oUVfNFTEdG8?,wS&v]\rrJu6p1gSE2)-[LjEkU>l6FZYIj&H:>G
U"Xo0QD713fDC%d<cN=(p$ZrpQnQL*$r;1DMUHp^V.G=mMVFOgfV44Q)JjrbGCVh'
U"$):pj]/n;XR10+3TfNGJOib#D*CYE8#&a:NB(3^#DK3L^th9-=.PoV;%K#sjWJ?
U"i[r*A/c\nU[cBD*2=F.>f:i#\uJvIZhk*%+^jd]j3FG&6)^jGMP0D0O4Eo_$KsM
U"<,5Ux6:U5'5oTUeej0QEMtd\2i.fMD(mwc;UOG.CJ<\2zT?<32P3-E;%yBB:<\r
U"TismN'cA6kn42#a'[M;+FY&b[5Nj>)Y]6a)xGRyOIB60)58GPF?pNF5Rj5aIoqJ
U"U#WD3OWE[X<h%W\GcP_n(6nU4Og(><rc?cMFYM%0=dE)dy>6>bE)(4?;tQ&s7VA
U"YE>-?caLEdMI+U/Th2f*/P:th$KQLBPkIY/bne<N7St=b*cWUM=:].f3K#h=#T1
U"nkVQUZOJHV^MOZ8p&]WC<e>PB8R,U$qT0=M=;<m?-bQi2+d?lSV1E-F\YOoX]BB
U"DL4?3UnzU>j<P0QY)Em<IsN5vrfKmCYlpkKW?up6-g7bx[?Ac]Hw?+ko5?x&uvU
U"nT8cLxbFT6k-63g/,&j>Ps2FKrNG<q']-S&/'iuFu,l8B;o1<(/[SjUxmsTxsk0
U"^uAK<<((C:E4w%a>l,H>fx#LuC2dtm2JD82;5HHt8AHo=v8$7_>bpu:wx=g=K*)
U"alXOZ7T(y]Rls0F'Y%nfl<5ePtd_ve)[WSsR>yN0V*iA6r/a]P>#rxWpF:0V-Rp
U"^^.mCb3$IPwz=[lf5FC<hU\*b1c4s(U2EU#0R^2*.bW'JVqxl;g*](Q$1g/Y\1T
U"SQ.IWZ22rjn8As_0)]H_$dU:5VPEtdf4>3AE/<bdaWgk5R;,<Q=y.19K+]UC+?\
U"1q5'ZP^lWg]+ml?C4Fc'X0[Ln_P:f5Gbr7BCn*U'E>;/8PvOHeCwjZZlT4#AuUZ
U"ifP?3C>Pc*Z+zka^kO6O&$,6MsUstYo/-EK4lyT0l\tNd0&S$>f/In%6?](L'0k
U"(WMYdq[WCuYcpMP.O3C:uZ>/k\5JGJoT6p*P3gRw2aFd2jcD)JRVC\_\gf.\7Ra
U"TNfCHXw&d]G$xABs1zu:;]'ufmSS-+W:JaBjz=W8iB,JB5E+aZjmadRg12'98Qn
U"/o0f]UM':Q&IA,?s,8*#osYoJ%BXEUl0q?anee)PXx[DgVeb^G=aCPPg&=WUOwo
U"eo4LI$sr:Z*NNDv8_6As8)i'wV>Plijrh*UI,gwOV6:83+wN.-cy+;4:</s[u;%
U"Xci,8K^k$V:dH])3rJl9<KCM';x&aST+4L0s;-ai4;%+[M0Y7fv:m5YN38.Z<$D
U")IcJMpAQt^zSQ_cNc?]vSq,E<H:]O\1;tHLt-lD/9Zf+]X2I'a+$K98Jd.th15g
U"lFMZTXULLc\&tjRmr0gaM=OGWrzxVgJ^KjPc1%A*l.ZCVuI1PSV1D.PK?>34dA;
U"8&8rgm32/Y+*xuL#>QPC]k)?O2I/ZKa.JIU4-A2vn1r1rJIJ<%p1uw5Q<(?96xI
U"5jn.z_MaO[Btjx5$%Rv]P$B&yFZF7eaj>*E=nChyIU2tbys20#fzVp'*;)'xwS4
U"H7[]DX-*^^RER/QE.3sW<>F.-QNiO')AU;$MQvKW[8L+&-o?a/:;K)er;/,Ys#l
U"1m4z_(>(>bq&c]Vorfc,mB;C:(b7*/g&dx%*YE26W_f/9]#6?v]3j4tC#9vW/JS
U"<&8i%.&.V(]rdD\h<<Z*J+iF*umib>Eru>%#LT^rM46;wftritUIJ-1d1F/M8ZI
U"#XCf3DO9f_q<vg?<LgTc(O[wpBFqsK6C.*b)3/^g+8M6h;Ia8973_8IP=^*tcJZ
U"X%Be+KF3pW^n:dmg#'d_SUGZ(u.T-f=L[0L8S^D^4vE8$%VVq,bWjZpGUOu+\vq
U"a>>F8T_0p-$Lp8E4+4(so.)(0#j;LmBP+NT:;cPukWoG'xu*sKDXzE/TPp;#;OI
U"+[,v?-pNoHBVSjiD=gU?Oul[?L5A=+PYGvK*Jx)%adoX\J-=8H:&uALDg_ay31A
U"\/1>>ZbfQd^ZfRRu(tm$v5TV8q?]&HdF+njMlT%S<oB=n^SIJuJwYal>AbC_JF+
U"KL1YkEfB\%^52F^S>jiu:VatYb]<^e)CMXGL96i1=SKK0LLPQ4$06I9O_H968SL
U"(RZMEWfS39]+K/2d82v?a<_:,y#h&USD8RQ^sE7EPg9=NNN#7vN5,h,8TUqHN%W
U"HH)so$+ccV>m9JWHNkQo0=1d-K0RzKhYN+aw?9tkXKjQr;w;Raw^Ojpj(bC9h^P
U"rW]+hi;Clsa7h>Y-V,S*FT2GpY0ZV&1l5WOX;3tP$2v3bYQjgaaH&G7c84obZTn
U";51S<FB;4#1Ep2wMXZ/%Zl:EJ8pQgl(qMmxzKp<JV8CX^k]_rpCRXg\>(,a?bB%
U"#PbVDXZw?VN8iF_GoBV&4uf]9H=Q'D)J6>iVtI]WC<E)tVJ%f4243=HfoAtMfVp
U"&qE6]PKPP9$McW'ksjtPd7mO.&>cXdYhts9OrJAa\_6\;nZD(WQTc)dCOaK/9rD
U"G$IASLW_,Oz?(<*SiLTZekGeaR>GJ:F4T6%tOkVJNQt;g;dE/VT'[fCBBvd5Wrt
U"PB?7YGo;bAaU1DGuMw(x(nYeoj%5f46Wc%>5.l18akr5=S_[aMx1$-SRX-oammx
U"HR9JHM.K3EnZ]3iN:6&-w_<PkB<-E,9Yz:8lkD)R/$lq(1$0/_T;GJ%V2^%m4.p
U"BDh&:UGMOS><X])d)F=a%q(qZK,Umd2^2XZO-fQRsLv;bIVZ;;8,i+RlH49Lanq
U"(g'*:ffa5B/VJ8=6;4E)c]rjuM(UE\H5^&Etm;M2X68zd)udd%KdoG^9YU1SnDr
U"#+[%S,an$gTeQ_55V\pO;j7<p6T=F2x(AGRkD[$q1$>Dm0644'tGHR$oj6SVOvI
U"/OV>AYkdofcZAw1(%]kwZZiKX*/LktkWgD[cj-C]jQ2BQIh2&IMd+ty)-5+eHO(
U"/n+OHY[N..:P=Xo/h2ZfS;/3mN'N\*A/\9t0GFf)/d#hlh&t$t9\UT6ABMr#U)X
U"BZvXY+D'Y[o5/w%>dX)<+9rv)Eq;:bf$hkgY4-Q2gS^,NFxZu/\LR^wgyJZLjSR
U"17hB,n,,MxAcookV,:7ph<,ZU>'u?b;/]FHQDVhB0W&YwT4^vm>H2sv#w.AP7a+
U"gvD2'3DC\qUr:\AU?<CKCD#v/RF%SkVf?u$qRA.*PztUecC*)sYQV.lNldFDo\D
U",POKig0;n4kdp6z;7S[tA9J#$P[IC,qEpR6j[b=v,Q,t.M=S[d^7=v6Wf\)/'n.
U"o,krr=%H9G7r8pY'IIsMe10GnYcyZV5[9$$f_+gv5ShMAQ2,-nx_3h?'+XoZE#S
U"kbvpG>#u$DQ]qM[K\X^#Fa=^]]h,^7XD]qM5_\j$?Aj>t>AUHv\],dD5#HV^Q7U
U"8]gTAk\n:aHjKveVL>o\TduJ*ZlIA4Eel\m2htGMfpuqh*jdW2*3=s<<9q5?/j\
U"C61jPzAUsHQH;ytz]t^o85)JI'&.,\L%PtW9N3]:pZv;P;^dKJZ1*[l_0lTcM,R
U"&INL]ma]M>amRz,)C$iTd=8Zxd%up()%9%'%#-%%/e0At+>9mk&.%%o)%%%1%#%
U"%j'&.ixy%wlSgIfx\a<fZSe=5?80Kw4R7[#F2S.<3]w;WH2/R?Jj]K4t4jV[-13
U"V&EPAQwplgFipa8O:O;khL5NH?\9Z8O,l*OQYjfnH%[$6][K[UMBXj+h8cg:.(o
U"d0g326Muf5J53+A*E8WZeyoG\Y$M9j7(P<.O[9W//,t\(Sb;E)&D&GX\3OE2ng^
U"':j#Ks[S-%F,[qcc#H&gL)pYiSdafO,O?GbxLq)(Q%W2fl'z<_/Tj=soePSM7&m
U"D]*FkfAX1,ViV+<s9<8]l$##9c'V;=a6U2owPXAps0ly8t(J-A)^6[dP:dg[QCT
U"Pz&E:)m)^icVFH9SNs?qubA2cO+PEinGF4cnUklX3=Ie]4mT0kWmkOP1<mQ6CId
U"UEz(([pvg[rGf,9[.<6.<fh[/]'E*a,6%*^sde*r#\n(:soJYjZURe,W;%hCjnH
U"UjOZjmvecc2s5A1,w$Qahs4[Y8-b%T,7<xOJ5\%dNjP3.'--C5C][zt9r5qe#Hi
U">]69k7v5bOpliYOgABZVv#-Il]_wvL%bbar5M.Z/UA^kuFPtbjY*yr%\n)Tfo[?
U"UpUlx:Misyv)wO0(<k)5*:Z;)c;\*'T?X'[WaGr4PcB:d2h[s)'j/cgPZF>5]8/
U"f]\YoVG.%up()%9%'%#-%%/80Aod(6HM'7%%)*%%%1%#%%j'&.kxy%xySgRfx.c
U"<j:Se49#NTWmNqaRz?:Tu=;O.lT99+g.ie=\e;/\%UtbmZg]g+<dN8p>qMa[joR
U"S<pAHXhPLWJfPVcfS]\0E5Kx6tbkC[,nKK3=TSq^PU:941H,t29-XaxqwhpH5>7
U"WLA>2%iZ^CGur94yr7I4W'f^t*<I,ij]^/9SfQD$na5bufN'9YlQ)bg3qM'n)BU
U"T3n/&IbTbN>oOR0V<wl>mT+QJ9j?jkC,/1vCE,Qs9b<5Oo\+_mA$m4k&rc8%$aL
U"f<3=xHlY,hN71kFXII%xjIuWQGt5U#dobCU[6CL4Sg(%3-0%PF3/1(s4N/_5u0%
U"]^of(_<(0i%>)rnq:uOf+B$2aQ79HK0[Gbt6s*ea2u8g1krAZ'_2v/X7b_\*h'h
U"p?RqO4;.JW5=$UdKT6(:?1^R0;-dczS:+hU#4ct4LP%VNNcL$.ie+#QozQ49>=Q
U"4nErQTC>an0a:>c_XNT=w/.)'*mo;n?S0R>,;*,C$J34O?2ddA_Ec.bgppB&<Cz
U"WHg4%+Xy^VtHgpkrSR$iA:*QGsLkN7Le<Y[Yt=X[l5&q<qH7TCvkbdj8&P?7r-E
U"g#U$4\wxaDGLC\Nw8nKe2w6;\:iTXv0lQ4fPBj<Pb:W(7jSOWaLGf+&[_=evmhI
U"dZD?7jnOxccTn$q9a\'hQt.%PqN/nBt>/enb-V((=EqIQ?cw0:i?RAI'u'up%()
U"9%%'%-%1%/0A4,03>'$&%%%a)%%%1%%%1j'.q%iksy%SgfxJlx,>Aje5K;^cxU4
U"g/QPO0RHybk/7:Cl:.w#*]rmDy:]+OI7CFgvbNXRb1wyKlw3SNh=FE_5E4V48,?
U"&l)#n:$K^w$fWruQ0Mw;0)tT9>(CSyjpx2gEH'(sAV-HNed'r]+EZ(v>$:$\..k
U"Sj/CdY_:iwwjV8erY8B]jNkEdz&6ZB59\:>aFbPK'Cq8tf*x*jylx$q-N#mxaKt
U"+i(t]W'cu<A;tKfIE'102QKygO*DW&21Ci\mjQ-Pq31Uv40NEY.e2W\G]\Mp_.)
U"wlQiNTISegMwCMXsU5w=Z>8ZU8b/wVXRUN>BO%k?T1D^imOWP(8IDxM.HkS,YOA
U"j9;zcBeXD$kl1\J*,1:<rU=2fP&BEBg';XWTx5o#FPO?jH42LLF5+B'QTou1,fz
U"5/yfp:/et$#?'5B6Z&Vr$PBlBj-OjOoZ*a8%TIt9p?xOVe'g3;fA*<]i<2PwRVo
U")j+W]TA]4%EM\IU,)m##)L<cwhS(,KQh5UcL:;GQm#ZPU\L+4Tm;.idRH9l[qJ5
U"WQ&<6hrI'65b,ZUbkwN?hQSljgAIxSSa_BproF',\ViDRfL#C1jo/deE\\f5;1=
U"b\tj[\eJl#D/R8RBuRXc-8+KwTu%p()9%%'%-I%%/0#A1(f%:W'%%%I*%%%1%%I
U"%j'..gx%k%ySgfCxdy<)Zje5iwM_x(Ud0Z#jINt2c+*U_5<(?s)n;VYv+aGXL$D
U"DqF<(xZ74ci3PR%5P,pH525nHkk7(_%o$%]gT#GSH6*6?GC0=PU[4^<A(UTBWbm
U"P:EuebacbWlgDf$'pGkoZHnp%ZAR#65Z?%vX)/D(,.ob[Jdc;:ilLMJCtR:QXd$
U"UFPaEBJVbTF[6GoLJ-*oVe][]?FB]73Br+iVQxE5A[Tg#3UQ\Rr1bpv]qDgq[Zr
U"hG[7TTi4gsoN1tq'5;q?d9Z#fTipd+d9j_w*Tf/^Y_n(/)t'_%t=/1*tIKBB\Y3
U"U__%b5hT)?L5ezWD9OX\gwf:\;]of_fzZiU?A:0\HD]d&d$^-cUfDMaad0M;O<1
U"/;1gpt.hnoIle4d*W3SA(M>L1J&je+[k]by9(gAeaS1lBz0oBJ$.m;3wNHRi+u#
U"pH-1[\L?W<QRNs06k9oMEquC:u8WE8be>$db?h'M*I1O\ZKWp/.91U>%(?p_SC6
U"R,ij5Dz&I'TCOoeWgi#n+0R_/&K=4RENxIJ%,pV+DC:ix]A,NCiMQ^L7XHdEQw?
U"D1C'nI?Ea6\Si#bvSI&VX1PJ*9*qIBB,Km<Ed=OmZiRP<w;ck].+dkY9+&b)^da
U"bFU=2upB>W(eW&udOcM+'L\k)NQXm;SG]TWnzkf6V(yRV\%<msy(au_;kiJ3o%6
U"p.=wh7tM$[*hz)huqoxSj;rz8u%p()9%%'%-I%%/0CAN=^'h<'%%%e)%%%1%%I%
U"j'.%gqik%ySgfgx\af,>Ku9c?8TZ\N]F[kYOuY6M2wnQbDweqQtY_:<BPCto'f>
U"eJT]rNPJ>pk(RW*snLUTuluGD2BoIG_FC&Y,-v=)&]<#(q:y<%t31E1^eUNEP$j
U"[eoIXEO3BP5p2YD]eX<)Z(*2SfU'/A59&AowE3)ot%9;=2\n)L.OY#f9Y;+gG+L
U"$Pvq%YT4n5PHCu.lp8_2)&V-\Trxe;C^Bb-;>yUMd)Z#pPcSG/(lVP3r-F3/0Zq
U"Kel?U:pv;O+6Krt*1a0WJd9Wlu[xlrf$ADhain^wLN%_QyafRPT*nj7fOeT?c:x
U"Au6e?/hYiY+VO?A042QmgNru=W7=^_/7r\01<tk>4iO5xcEd0S*r*+]*by'W>(d
U">cioFggd(2:F%18n4JI+dWr,ZBWhNUCjeH>3M6*fii/$Oh=59xi<w5g;3TBRIU^
U"5%#gG(CgmW_0dAo)7?;&SWrNYEVOmfJooNiqia.ES=:h8<Y.Ct]=B*ivDl,;;2(
U"7d<\>gL4+\#M_ir*(,rbwKY\Ed+?xI].(65Q]+,[.fKH8+;wAKCr#R6eB[CKou:
U"*j(T#6rDpxr[pU/#>b(JYYmF8,2,NfHs$LZUNMp6i<#&lN,]UINgSezeN$<-cPC
U"vZ#l*rL0Q6xBOhRfy:rxTosu(HW5qLFwWnK1b<2Zro?$^Us6k.&b8%up()%9%'%
U"#-%%/n0Aao+pVj-7%%t9%%%1%%%%iy.hm.g%qiSgIns\&C2;#&sB8=pt4Xlr<up
U"g7+#p7qM%sWlN\_-ZH^1nc&)H#UDsxe$3'\#(XATJEnj6'\Q*)\a+rW9/.h(U)[
U"1=D^.hU/7AuyFR&w9Mx.=UHuf?)t+b/-Nn47WLaEXV(frxZf4uXvWxud6p8MN-L
U"9O.<-X,T*KKV/jQ,L=U#'(=2VrV?[97D[QHSO&v]OQP-MTZdPVRuI$Isda;2)j%
U"u7X,Mq2U=7[SBMzrMW%U5V]^FbnaZ<(dqSCbSVdYRbsd\U#\GXZJ2/Ie1cJlj;B
U"1uutu'P89Hs26jbXQ?mXHO(1./?X1P(P[C<5t#Rk:m^F=\s^=#JoBFM4Xl7Ur/:
U"5\32lRWLgFAElCpsht8X,7i$LNpj*jjiaaw[uCUM1.K9dPNa.xc7bQx3x(#MB,3
U"=:W\X5\=*8Xh=vK[c1X9qGjb<[6=?'jDGff_mhuF-r*A2hKh1Lu#9gE3dwx:lxh
U"w9HvdyLdlt>5phsDbp8hxbe7opZrX]nZj8TNtV8gxu5xTwbnsTqux[8[ev'KYWn
U"P6P%\,3+.c5w+/m-KPS?Kiju9>98.(IB(r,ZR<E5Zvgs8E<Er$gLE^tgB9kJuir
U"+Xl/hE9z#PZMnml6Yvo'.C'n*9X)8'8N'x'_G?M1^$'-7sHq7Yb1iX:/>)NA.aD
U"KVQqHo^Y\*(2u#Qves&o6eu#R(,N83j;A>M:i43FTs,U7;_1<9TG0UMF$b&_c?M
U"LiJY2JUJ&pCe:iFy19MsUuNi5^;N1)>U,G;b$pi1CWKJ?k<ATgGNWu+H+6.:jTa
U"iZmfJ1um'av]Jtk8aAvfm?$JXlITj.\6+*lVFV/TED*;[EsaoJQkxQb*qv2H?Mm
U"^0*,X%ncC4Nro.yOtA\[yO.OV5:r[uM=pVkCt<Dycmm03E#++'[HHt>edfN>#BY
U"uIAP=i2ddl[mN>hUpQ]$NR2(jE[5c.&:[RdL)V(i#8)fB#s5])1(9Hf#5Z6SeKr
U"F]<g;oMKh1VuWbHq#F,RYvO=K9<M$U](.3?O>(fKcz0KJTQWJ4W_Ay.mdRjel+b
U"yKk9:Oo,QCn-Qj[%37<%XX##(%geW#Lm:e'eRGk7T5>/f-WS%FyT0ODU)jcJdix
U"CP+Cm*%cPFPsxDDD(z_5#]'U_*_o:v^kS5#XXhj+i?inQg>nPx_Ma&P^OoAH3[j
U"v%E..KYK=ejZf01JqYA4'Zh:$.(d6J9_D7Y%BB(\]tslwNd](?1yWAhqSbLs6y]
U"T#uIDmm9..G&>5Ahz0GM4./isD:jFl<')cZN*C;YRHH2$m6vU-j1QMeP[/b0#nm
U"y4DH%:l/MYpBB=]&l+=Pa^hPE&<s9-DSnqNACI]U4DIzZDs:lA4XnhYKJE%h6p'
U"\vf_o_Bg:D<YA=,x^(,q>HDmTmj-AqyIs-:[4V)8-yD,,>Vd^B24N<$M_],/=jZ
U"Z.??/j5*N%Rg,d%/n)Z$CRvc4]OKM03n3hP*p$b7_0MvzFH#osn/8zA4<UF_>K-
U"uZZ=k??$5M^l0'nFXdMJ'&?+B?ZzZULPn7)%0=%sBDsdhka.U=fHm2,HHs8T*:)
U"N'N?>a')\5bEoOKuZWSPQMmmM)VvSHuQuwtRDsia;Iw,R$VHQD7BVchLHnV4+u]
U"]y1B)1lV[kkKIOZP<#x[1t,Ap8vs&RNNF2-04N2I3E>Eoif1#25:]'LO\?)A^oT
U")163NTe10Z.Vacgc-$P9nmOR%ksv9=NX's\3rPCiV)T6Y9N%u%c*BEGm#IrK]C'
U"b0FNF;B$Oo6Ro8^z24(8D9*PN(KO\u\^vAVmAa_J(Q9^J/NqtytE0NmjAaHnC#g
U"Sz+M5tQ+9_De%>QUK-SB[,f>D,\;)?t]_HC<?:,6]WHp6jdg3;CtM4nRh<Ak_Iw
U"YslC<ANo7^4<Fah##Ts(ixp\C>P=%IosHq7HJ=_*7lD0q(-?<_Eo[-F)s/,+)vu
U"oJ%$uO2m3s2pG'2Q=f6H<+ZbBaIqN:WBVuR6G/1mhxml7_Bg*22)*uYlDP&ISJM
U"ztXXOwn-CeNblg]hD,\FEb]dh])z^-CC=KfFqXK[qvoYpj2D%r&0g0l#m2nrs2L
U";KGstRLr[/:pki[r6n'/G&x:J:N*f[m\mC<#5EYa(%XLtSYm5R=gjE':9U[=g_p
U":2mNGxr&l&<m:?/&*;UL?nus2Y>gJ4U)tPHl4lZ4)-Ce0YuDh'&v^U5'UC_+7g#
U"szt;O?dn'>*nQWyhwrxFqPP:\.iEY3\_;\mXEXEFd='3YCY6V9>gCR'jy2CXQFx
U"&V:vUYAT2yC1XaicADKs<RD\JVQF$5=#.TBG%'Xkd;fk6MxuGi99%Vya;Yec&Ih
U"L0pV<n%#nH/4DRuria/&/ca=#UDC[]1L(7<LkV;*UsseD,B&:G:V2irO*/x_F>.
U"PN>rfQZriat&/ca=%UDC1*aV,H+CXktU,4X/_[]2go,;tITZGeJP=CruZ0R-uc9
U"Ya3.R=k,m(+$:YW#00Z>4TyJW^r4r&/QO%RP4P_eA=7K$Tpa=H3sE-94%n/#&r,
U"V+O[1,?4]<#(okhoR^%U0\]$2QEwnyiR<#5/SABY2&i23:eBE&gM=oJ3N+XS(%m
U"5LH)_+Yh4_j/nFov<E'-/IQcetoAvs%I0c)//VlO[5J7*':a1-Dmh>BEc*UBTrP
U"dFcX<5z2GAP0m[*2OV\d%bDo7wUo$CA<ECr%zT;-)x'u%p()9%%'%-I%%/0XAvH
U"u,>N,%+%2:%%%1%%%%iyh(m.wj%lSgnLs\'L8W##:Pn,EtlvK9-A)>vSFXKR&'N
U"Zk[IFv\?ZoMnDV2]\A)g?ZK,;DvgIMjS:=5ZiR0_-AVRkZ?s^FslAFDrHc_/Y.:
U"d)JSY1d]1o1.tgEPa<c/]KP2mU?.HLj$KMFuCN6jf&Y>Xl5(Hlo_LxpcpP63>(M
U"I%a6m-vI?FS$8Uy]62VGck#>=/a.v/5aAK<Mn)R$>X+a7el=+-Am&QFH6'_W1tn
U"n\DK8heX04Up5O)LYy\:tDj6i6KoVGJC6MbI]nA[pvTrI(3.J4SjU0.a5xs1C;?
U"y00UYjnoCr70rP3_uuHZAUgs[7uqs^Q15g(a](wQ#=hh[7Cg1T=GsWrLGgSoLb$
U"Snb_+R$Dk,YM>c2UZgFBg;FbVt#p>OT$Uk.^n]l$q4wgJM\8<C>k\ortrHur8lX
U"ojlK&omTK8anxFvQ$mE)TAADkKGQ5%OX(6=&6+>s.]Qk7n-5S;bDZ(Z1C;sFcS[
U"T>DZ1tKk*urqkhq&j):#tyIJGlcjQbHbajbzbkYmemc7m<b-7-Pn)A(cSkjka5a
U"G8G8FF8LNjIXd8kc8dL2YBOv(w]Orn4&76$%;IWN7zKw/;N.Mj$Cpe4q/$bPj6_
U"Du,P+hh3>4he3D3pW,'&ygtyBcl+sa3)u-z\WNjcvZc$cF3c$+PnFSPBr6hd$*/
U"B'c8U<jOnMBX?=(E^4<$:rx6rrK$8NbxfEw-C8hU5:$r.ZSTrS6SPDi)](9)/H<
U"S-Q5)K1wGzWiMZbZ;v;=sfKDsY#VMf9m:v:W6z8pN8vNsuXN8Mu8NL>jwj7*)(+
U"M_3>fZ#'>#jYkeA_Y?L$Qe8#><UWo\SMZA#FtAt[S:iP=CinWzsw/hX6t<kqaXb
U"_dG]BmUKLMnr7iXws:h0OtM94vWFb%T'>8gM=,92Sgc-.COFr('.bGgH0K'KJ]V
U"hBI)f'AVd[1'LFV0:$2+7Bs%[w/HTiv8skDH'DM*WEfp\GcF$Y_^R](#_*J&#i[
U"SU;D#E$Cf(yzRuVvI<2u8E).SOb;-c]'=hzeLGfS+S][jsgFlO*IFc+%kEE<hxk
U"iI]<-3xW#E8zf%x$bahC2xx7K?Ob8mb5cocauR.O'MFwTTB]AMOkA&p&1/gK\w)
U",X-fn[rKM42&tC&sEH%r:jeH\_R,j'q\qzdCm^CIQ^-c-Ymdb<%V)?r'Z,78WQl
U"jCM=>Y0C2E$^Os,I3oOedl^0(ZaFI7M=n)^V68O-t'#;U0Iah8M+wC3skP$qqPH
U"R[BBg+X#ekwGog_PSmoN7gAjh':)Iu-Q#a0rYWqLFYk>$mqLEGSs3c#RiU[*x$Q
U"8THP*&(B#5CwnPq*Jh^dpk%Pg*RQWo/pyWFw_?Iz_d+sZip6FWLYy>dV=;L)jI9
U"Z'^Md9PSF*aLgv0[Pu_F\%gmx^>tL(3+#TW*xCmc0(n?wIHW[meNh+IoCG6^dr]
U"a6cFFmh;I'JyOzJu6]8o]XX4vBZg7kFgDX'X[6Jstp/kuQkO<exj?QL/>%w$qO#
U"FIadVMZk7UMRdXmkDK7\Nsmkb,VSNb;4>qD;i<%W5UQWfBe%$odf$$-1+&RBC_B
U"b)(B\gJhw\CQaoCqmW0IPcE_L(hDK*DLPmm>DQM)LlEj%.8L3j^qS;ovRz0o1GJ
U"J3%F^wn8pl;vmnMq,X+K;x%u-5FC$I5#Wm*y?Ddk,%sMlq8<q;;E(];sDjn4+%_
END SUB
SUB V6
U"qU<O4<VlA:o-h&PIHW*m6jrvG5ktev:PT413m\4Bivpu>V='/QaDMU'iRNYdmVo
U"W.s71-P8T$?/bI(W5,>bx.,=cF*2(t>*$sCgVDz&GU[eNkx]pc+5n$MEgbeNrOD
U"0vxNb+Zkt0o&378oM9jah[oYcL[qRD6c17t9is$$pQZ&]lu-?rr%9qk&.yd]d%f
U"ClEB\Zd1TJJaA[?:R2#9Tb/qjNOpWIBZ8dnM945W$%97&sI.RgRlFogAD5;H%L#
U"7L9D9Y:)k^RIZQk^zfH$B8[i&7zSar/-TFse2Th2pA9YU=UX%/1UyWIO:MBB=QI
U":/=2KVq(4GCB7zv-mM]-=<XRv,4K;6rD_Ld+^B*[(I;JyiSn<.K/j<i4i(%8+?E
U"EUj\t#D^_B,\$C^v5kd10$ODYn86S/gTV_7$^rdpYLSzhL)5POY*J=G9iI_Y(UG
U"bk84-=<,e,7Si>Usa1ROE6+)Aa/lyH&OdK'G3)c=E)v$(nsLMDt#m^D/0GYGRmq
U"cX6mc3(Y7qk)[?o=n+,>EP?A1f<>M6V_7_GQ'G])$U_R).[8V#M9HiE+'nXv+3c
U"6q1'qX>DS9,;_iWPyc9)N,F>U%-Q6D'n]%c_OEHgoHz4EKXm.4GlM(($skA[?_g
U"H&Bm>JfYVGnH\kDWG)/)W&t&oTx5EojTqdBV??F1F]?WZWR_F?t?&?cp&ISGXZe
U"rv*Rn7S#oGb+_yVC?8?BnU$?pC?4]Mn=_V-W*=Cfvd^ek(#tVZ9j80]nK6p6h=1
U"gR;UIM3K5muAqEP?96Ug(I'e\6L]WptSnZUlo4;2k,)Wm?I-GoY_)GG?9_ZNv;c
U"+E>o]Yke\'MUCRmO'w,up%()9%%'%-%1%/0A>r3h4'r-%%&0:%%%1%%%%iyhm&.
U"nyq%SgnsD\&4;(#6:du#$t\p$nHo[J$\PQ][ispmp6=+J6WPYDL%BMV&\N_q[d3
U"N-e*UDf,\i,5Mpa.Mz&+CWwyzI%vs\[FFir#H=EUCpvSlTUWQg9+vC2/)_<:.i9
U"')Y,;4NK7d=5o7TOVl6hLhuvWtWZpWD*#tAh_K4$2W;UWAWB+Df_[=q+J1,Y/-A
U"0q?p'YP)8SVTvx?(ZOIe[D05MViJ?J2<TS0Z>UnK:x.r757]x0?x.Je[L4IQ;i]
U"(DI#hjdRd;A1i\>9I].Z]F>u3V%s.[v0wdbUJG.S</(V<I(2Sfh1W4/GO2=gP[7
U"ZQO1NwPi_.v1DG#<OJ#k2Dgd8Xuf^DJ7'DFb4FsrCn'>:+H'A>^*6%C4c>/KOGS
U"Tqoi\J/),^Z_Ippc4I,Ijha&J)>rdjl$IfJZPJxqMC7D7h,7Bac'Iia?wI$gB#g
U"tS/M7I[7YDst+m9kVa*tQoC]E;Jm20\V9qE7(t&j(Yjd?.;+<jzike1b1b^qWjs
U"H[p=ejia5/dQ_DRLLB(K+kMZKuFHU;K$5grwj]<9h18LuuWi#Q;pU69;L<da-x_
U"ujgqAqh.0[3DT)p<Aqcod2xVwT4vXss1vvxS?3vuBTn<cn7y-W+k724nG=sxCbT
U"wGvbL3sxGh7srt$GA?Rmck$?A:A\4G8Ya^DHZke^m_Z_gFU01Xn3ci<KPra_lb_
U"/8k2_tqba4/rD]cj=v)m,fJdja(e?o^[E4tj-t,ogaJXvU$Z=19*qeh9*(*8r*.
U"=wg=*]*?jZq,o\xj#K[d^.n[T>>0=u1Q*jPiV0*d#]rjl=Ha7HJwP_1eGjP:?6k
U"k=<ZuWHf_OcFLma$GbBjb>l\t-ZWYh=?$GYmGnlT2s]5PR$H%%7jiv#QgKb^oH]
U"AD?K[lt-Ch%5hXwU)?^Q0*#^dcCRi9HrHd,H6f#xiHESwThn%z*G1VG/Y30)xt?
U"w;NSRS:DYlF__8C5gf45%wM1^LgP8qM+U&OvV\o*xRem3CjfpG5Z$[Xwv=Y+Nr+
U"2'7#hQV?PQD-%9B1rM1h/xy9Y#?$JZD_t2n4nKqj%5o=kU8;3AT<Km2%5cYbG6d
U".Ce/q&3T)iT7GJ+^DhiuX#gYjRZntobeWRQ&4-la[BSYI_;2px,xrkC\JCH98'_
U"NxyG9kwVVphaU/O=#:i)>b']*(wgUfYWLONq:]k.o,#f)8yB>+f:HseKitMY<T0
U">1D/rr*XXLjuV8/#I__?Ysom'RtAN$]My\qf$_bbBVppEaW\NQ.bDG-$#JnvchX
U"[/h/DRi3F7Y=3snS$A\O2o6uW]TE.L\\3[p88DXPCYbZBJZ0Lz('X((fzjp$Bsm
U":i^&Ip,mJcF3XMo'QQ2r4q58l;fqN&Oj.8</e,2ILz89X81=?etKill3_0]/TBz
U"R$P$E=*hU5Z(($)1FLr*iO?f0%ER137:<V]jPuoBBLTcNVX3/)h<s+tt0Y=VkyT
U"&*ger#1i3DqlcL;5jeA>(V^v*9$q3e4k,/Z-1E$gF%e6mWQGF%EG$wsOf2gDf0p
U")klStCU'Eq_5L>50=*l-<J&_wYP;161b&OVGfDy$^23AdEii;b<+L\Eik3p91oU
U"[#>sH.SBqbD$-^lT-<pU,v4c(s4CAMcMP%3bhy<U(G8MC:=6q7-W$)Std>1.Ia8
U"k\e&P#q4?(Luc;/%'r5_(slvX*hH_bPUUKgd<Iv)IRP,Ru^?U>-+nZR4nRxwexU
U"v3lk#/7_->7iXEOL.A;YSdq,/L^(*V(WS,T&Va[Hd(tGg54K_1cYE+)^K;7)xwL
U"J8Aypy;u_;Qb=YO-Tku&()1(eR2hKYx3.tQ81FIrw1<[4uny%<g)IACRb,uNCFm
U"NrRl\ZXEVB#hA9yQ<1?:*l%8C/fZ[N\E&hqNn#?)1[b[dF-+o2N\&yJ$7;O$:Cz
U"yZ#u)s>p:'Zx:?%6m\/VU&S0gzj>a<?Xp/eDiQu]VPU[<I4Uj'WG69Z5gD+>_EH
U"0+L<Mkd5-?6'B5R4inYJ^gU)%\q63FJ0(TA?=l-vJ.B4j5E19PmP?n>1z<'V9$K
U"=wN\tajb_B%BMZ+,+8+yv6l*Ue)YS5fO%_,<+2[z*JtWgS)hF>(/*'AU9Gpr>MH
U"XL*3ntppiLq8;;o%Yl)NnLL15G<U>,MBn^fwBul\+S9s.J^.MVu4WYqpAR0.JO<
U"$gvzlQIKZZ6sz8P'rg3fGaxlROu>LrrjgS,,^(P%Kt5E7Fe)t.ZHaJl^Z_>Wd\?
U"E:XL;HK+EoZVi$&uGn.S-V*Bp;g4>:'9lM7-9PWKlB;jA2>C/xW-dup'8$\]$c*
U"bP\+Pl'6EL\2U#5JjvBi\hAzA)uY#,i4FvQE;lT]bslZTte7M'ujPAq(en0zasH
U"D/_MXBc1p,U;ZF_ILAvf1%J<r9;Y.uQ4CWm5,gWcIG.xu8?3gdyZF?L-Y=*S.sh
U"Pof<=JB]-3[S.k6NDPvo7+&cfP7Xq1^K)_ggp]o^r-UIVPaJ'iX%j\f?X\2;T)n
U"-u*QK]VXaSiT_-3r%r0<-M1-]yJn(21h<3O.%c>zD#,ys>d0,0esJik1\fUWK?S
U"nb2Wd[]>&'Z$?<Y+52Y)NXo8PdSY,7Y4T=lNH&*w7H(5?-$&4Cl#y&*#j=\*wA:
U"Yt/QVAlAS-=cpT<Oo+h3GyWR/)+j;35[lAyKvA/+[#>%VpLrc\g-1Ct^;=ya=Vt
U"Yj)3T7B'9u_'m*ZRF5mC(c0'G=<SX7Z<f8Uipd7Ey5eSzR7n]2;E[hE]G7LyXZp
U"uI/j][&<K>kwH;uKK]^]EA.9'5bB%Bl7%g\f%]5hS9,Mrm9%N>lEhJ+mc6zchRy
U">=GEHH;-]ZQuS\b#i9K>#7+m6B7#En7R%NhfBZJ%Ck.PvxlD5;v3$;X:TOr7C8<
U"s.sO=MI*(]W>TAP;w-g'78R?[fQEM,CHiuFggO\m3fw%,up&%'9%9%%'%-I%%/0
U"=A<OU,A/t%(%O[&%%1%%%%%%%%%&%E%%%%%#%%%&%krfs%zfqS&&wnu%p&'9%%9
U"%'%%-%%)/0A.bwCGc#&%%7%)%%1%%%%%%%%%&%%E%%+%Yt%I%j'.%ihmf%wSgf%
U"xup&%'9%9%%'%-I%%/0mAUvk,v/'%+%x,%%%1%%%%%%%%%&%E[%%%m%v%%j)'.k
U"x%yhmS%gfxu%p&'9%%9%'%%-%%_/0Aw&.q2*#'%%[%)%%1%%%%%%%%%&%%E%%+%
U"My%I%j'.%qwxw%hSgf%xup&%'9%/%%%%%I%%/0:ATAj'CA%%%%A%%%%1%%%%%%%
U"%%&%E%%%%(&&%%j)'.gq%ikyS%rfpu%p&'9%%9%'%%-%%D/0APlnO$?['%%B%,%
U"%0%%%%%%%%%&%%E%%.%n&%%%ufh%pnsl%Sqxy%up&'%9%9%%'%-%1%/0AIuD/8%
U"'-%%&*I%%%/%%%%%%%%%%%E%#%%])%%%xf%ruqj%Sksy%up&'%9%9%%'%-%1%/0
U"ACRs6h%n+%%%+6%%%/%%%%%%%%%&%E%I%%11%%%wj%firj.Sy'y%up&'%9%9%%'
U"%-%1%/0A3\lN('66%%%\z%%%1%%%%%%%%%&%E%R%%L7%%%kn%qjns%ktSg%fxup
U"%&'9%%/%%%#%%%/n0AMb-X3A%%%%A%%%%1%%%%%%%%%&%%E%%%*3I%%1j'.g(x%
U"ky%Srfp%up&'%9%9%%'%-%1%/0A,l,&f%L+%%%5C%%%0%%%%%%%%%&%E%#%%%J%
U"%%ks%yxyw%zhSg%nup&%'9%/%%%%%I%%/0OAREY'JA%%%%A%%%%1%%%%%%%%%&%
U"E%%%%u&P%%j)'.ih%mfwS%rfpu%p&'9%%/%%%%%%%_/0AN7DcrA%%%%A%%%%1%%
U"%%%%%%%&%%E%%1%eP%I%j'.%ixyw%lSrf%pup&%'9%/%%%%%I%%/0IALga&jA%%
U"%%A%%%%1%%%%%%%%%&%E[%%%U&P%%j)'.kx%yhmS%rfpu%p&'9%%/%%%%%%%)/0
U"Al*FYsA%%%%A%%%%1%%%%%%%%%&%%E%%.%GQ%I%j'.%kxyx%ySrf%pup&%'9%9%
U"%'%-I%%/0XAi3,&zg+%+%F;%%%1%%%%%%%%%&%E#%%%7&Q%%j2'.&n%iymS%gfx
U"u%p&'9%%9%'%%-%%)/0A6[+Xfk[/%%)%o%%/%%%%%%%%%%%%E%%4%MW%%%xfr%u
U"qjS%ktsu%p&'9%%9%'%%-%%_/0AJDz0KU[%%%g%%%%0%%%%%%%%%&%%E%%4%gb%
U"%%knq(j.ni#Sin)%up&'%9%/%%%%%%1%/0A\Uw4X%A%%%%A%%%%1%%%%%%%%%&%
U"E%I%%lc#%%j').&ni%ymSr%fpup%&'9%%9%'%#-%%/&0A+^<24$;I%%<U%%%1%%
U"%%%%%%%&%%E%%%*\c%%.vg&n%sksy%Sgfx%up&'%9%9%%'%-%1%/0Akt+9m'k&%
U"%&o)%%%1%%%%%%%%%&%E%R%%mz#%%j'&.ixy%wlSg%fxup%&'9%%9%'%#-%%/80
U"Aod(6HM'7%%)*%%%1%%%%%%%%%&%%E%%%+5'%%1j'.k%xyxy%Sgfx%up&'%9%9%
U"%'%-%1%/0A4,03>'$&%%%a)%%%1%%%%%%%%%&%E%d%%1)#%%j'&.qik%sySg%fx
U"up%&'9%%9%'%#-%%/&0A1(&f:W'%%%I*%%%1%%%%%%%%%&%%E%%%,B+%%1j'.g(
U"x%ky%Sgfx%up&'%9%9%%'%-%1%/0AeN=^h%<'%%%e)%%%1%%%%%%%%%&%E%m%%H
U"-#%%j'&.gqi%kySg%fxup%&'9%%9%'%#-%%/n0Aao+pVj-7%%t9%%%1%%%%%%%%
U"%%%%E%%%+50%%%iyhm&.gqi%Sgns%up&'%9%9%%'%-%1%/0AQvHu>'N,%%'2:%%
U"%1%%%%%%%%%%%E%d%%N8%%%iy.hm.w%jlSg%nsup%&'9%%9%'%#-%%/e0Ar39h4
U"r-.%%0:%%%1%%%%%%%%%%%%E%%%,M#%%%iyhm&.nyq%Sgns%up*+%%%%%%A%A%%
U"t+%%,pI%%%%%
END SUB
V2
V3
V4
V5
V6
CLOSE:IF S=216AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBWINFNT.ZIP ends here. Last page. TCHK:216
<PAGEEND:"Win.Font.File1">

<PAGESTART:"Tutorial.Gametech.File2">
'This is a small program using tile graphics. This source code is the property
'of James Tonn. You may modify this source code and use it in your own
'programs. You may use it in a written publication provided that it is not
'altered, and that you give credit to the author (James Tonn).
'I hope this code will help you in your programming.
'   -Jimmy Tonn 8/94
'   sltonn@phoenix.princeton.edu
'   sltonn@eden.rutgers.edu
'   jtonn@nerc1.nerc.com
'   75022.401@compuserve.com

DEFINT A-Z  'declare all variables starting with a through z as integers
SCREEN 13   'set screen mode 13, 320x200x256
CLS         'clear screen

RESTORE world   'restore data pointer so all data reading starts after label
                ' "world"

CONST ACROSS = 11 'this is the number of across tiles that will appear on
                  'the screen at a time, the total number of across tiles
                  'is stored in the variable tacross
CONST DOWN = 11   'number of down tiles on screen... total down tiles are
                  'stored in tdown

DIM blankimg(116) 'create an array for the blank tile
                  'this tile will be totally black, all zero's
DIM grassimg(116) 'create an array for the grass tile's image, 116 bytes
DIM treeimg(116)  'create an array for the tree tile's image, 116 bytes
DIM playerimg(116)'create as array for the player tile's image, 116 bytes

READ tacross, tdown  'get these values from the big data block "world"
                     'at the end of this program

TYPE tiletype          'create a type called tiletype
    x AS INTEGER       'the tile's x pixel coord
    y AS INTEGER       'the tile's y pixel coord
    style AS INTEGER   'the tile's style
END TYPE

DIM tile(tacross, tdown) AS tiletype 'declare array "tile" as tiletype

TYPE playertype  'create a type called playertype
    x AS INTEGER 'x tile where the player is
    y AS INTEGER 'y tile where the player is
    px AS INTEGER 'the players "permanant" x tile, the tile that he appears
                  'in out of the tiles on the screen
    py AS INTEGER 'the players "permanant" y tile
END TYPE

DIM player AS playertype 'declare the variable player as a playertype

READ player.x, player.y  'read player x and y coords from data block "world"
player.px = 6
player.py = 6

DEF FNSetlocs    'function to set pixel locs of tiles that appear on screen
   FOR a = 1 TO ACROSS
      FOR d = 1 TO DOWN
         tile(a, d).x = 15 * a  'set pixel x location of tile
         tile(a, d).y = 15 * d  'set pixel y location of tile
      NEXT d                    '(all tiles are 15x15 pixels)
   NEXT a
END DEF

DEF FNSetAtts   'function to read the styles of all tiles from data block
   FOR d = 1 TO tdown
      FOR a = 1 TO tacross
         READ tile(a, d).style 'read the tile's style
      NEXT a
   NEXT d
END DEF


'this next routine draws the tile on the screen
'the tx and ty variables are the tile numbers out of all the tiles
'the cx and cy variables are locations of the tile spaces where the tiles
'will be displayed on the screen
DEF FNDrawTile (tx, ty, cx, cy)
    SELECT CASE tile(tx, ty).style  'check the tile's style
          CASE 0  'if it's 0, draw an array of zero's (a black tile)
              PUT (tile(cx, cy).x, tile(cx, cy).y), blankimg, PSET
          CASE 1  'if it's 1, draw the grass tile
              PUT (tile(cx, cy).x, tile(cx, cy).y), grassimg, PSET
          CASE 2  'if it's 2, draw the tree tile
              PUT (tile(cx, cy).x, tile(cx, cy).y), treeimg, PSET
    END SELECT
END DEF

'this draws all the visible tiles on the screen
'it will draw from 5 tiles to the left of the player to 5 tiles to his right
'and from 5 tiles up to 5 tiles down
DEF FNDrawScreen
   FOR rela = -5 TO 5
      FOR reld = -5 TO 5
           dummy = FNDrawTile(player.x + rela, player.y + reld, player.px + rela, player.py + reld)
      NEXT reld
   NEXT rela
END DEF

'this function draws the player on the screen in his "permanant" location
DEF FNDrawPlayer
   PUT (tile(player.px, player.py).x, tile(player.px, player.py).y), playerimg, PSET
END DEF

DEF FNDisplayImg 'this function will read an images colors from a data block
                 'and display the image on the screen. Before calling this
                 'function, reset the data pointer to the beginning of the
                 'data block for the image.
   FOR dp = 1 TO 15
      FOR ap = 1 TO 15
         READ att                     'read the value at the point in the data block
         PSET (ap + 10, dp + 10), att 'put the pixel on the screen with the
                                      'color that was read from the data
                                      'block
      NEXT ap
   NEXT dp
END DEF

'* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
' * * * * * * * * * * * * End of Function Defs* * * * * * * * * * * * * *

dummy = FNSetlocs   'set the locations for the on-screen tiles
dummy = FNSetAtts   'set the styles for all the tiles

GET (11, 11)-(25, 25), blankimg 'get an array that is all zero's, which will
                                'the black tile that we put around the edges
                                'of the map. No data reading is needed since
                                'the screen is already totally black. All
                                'we need to do is grab a block.

RESTORE grassdata   'restore the data pointer to the beginning of the data
                    'block that stores the grass tile's image. If you're
                    'reseting the data pointer to load the images, do it
                    'after calling FNSetLocs and FNSetAtts, because they
                    'need the data pointer in a certain place
dummy = FNDisplayImg  'call routine to read and display the image
GET (11, 11)-(25, 25), grassimg 'get the image into array "grassimg"
PUT (11, 11), grassimg, XOR     'put image over existing one to clear it

RESTORE treedata 'restore data pointer to beginning of the tree tile's image
dummy = FNDisplayImg 'read and display the image
GET (11, 11)-(25, 25), treeimg  'get the image into array "treeimg"
PUT (11, 11), treeimg, XOR  'put image on top of the old one to clear it

RESTORE playerdata 'restore pointer to beginning of player tile's image
dummy = FNDisplayImg 'read and display the image
GET (11, 11)-(25, 25), playerimg  'get the image into array "playerimg"
PUT (11, 11), playerimg, XOR  'put image on top of the old one to clear it

dummy = FNDrawScreen  'draw the screen once
dummy = FNDrawPlayer  'draw the player once


DO
  kbd$ = INKEY$            'get a "transparent" input
  IF kbd$ <> "" THEN       'if there actually was a user input, then...
    kbd$ = RIGHT$(kbd$, 1) 'get the first byte of the input (this is needed
                           'if you want to look for input from the cursor
                           'keys)
    SELECT CASE kbd$
          CASE CHR$(27)    'user pressed escape key
              END          'end the program
          CASE CHR$(72) 'user pressed up arrow
              IF tile(player.x, player.y - 1).style <> 2 THEN
              '^^^ check if the tile the player is about to move into is
              'already occupied by a tree.
              'if you check for a tree, you really don't need to check if
              'the player is going to go past the line of trees at the
              'edge with the other method, because if you check for a tree,
              'it will stop you before you go past the line anyway I just
              'added them both in case the reader wanted to use a certain
              'method for some reason.
               
                IF player.y - 1 > 5 THEN     'make sure he doesn't go past
                                             'the line of trees. You will
                                             'probably have to change this
                                             'number around if you change the
                                             'player's view screen size
                  player.y = player.y - 1    'decrease player y tile by one
                END IF
                dummy = FNDrawScreen       'draw the screen
                dummy = FNDrawPlayer       'put the player on the screen
              END IF
          CASE CHR$(80) 'user pressed down arrow
              IF tile(player.x, player.y + 1).style <> 2 THEN
              '^^^ check if the tile the player is about to move into is
              'already occupied by a tree.
                IF player.y + 1 < (tdown - 5) THEN 'keep player on screen
                  player.y = player.y + 1    'increase player y tile by one
                END IF
                dummy = FNDrawScreen       'draw the screen
                dummy = FNDrawPlayer       'put the player on the screen
              END IF
          CASE CHR$(75) 'user pressed left arrow
              IF tile(player.x - 1, player.y).style <> 2 THEN
              '^^^ check if the tile the player is about to move into is
              'already occupied by a tree.

                IF player.x - 1 > 5 THEN   'keep player on screen
                  player.x = player.x - 1    'decrease player x tile by one
                END IF
                dummy = FNDrawScreen       'draw the screen
                dummy = FNDrawPlayer       'put the player on the screen
              END IF
          CASE CHR$(77) 'user pressed right arrow
              IF tile(player.x + 1, player.y).style <> 2 THEN
              '^^^ check if the tile the player is about to move into is
              'already occupied by a tree.

                IF player.x < (tacross - 6) THEN  'keep player on screen
                  player.x = player.x + 1    'increase player x tile by one
                END IF
                dummy = FNDrawScreen       'draw the screen
                dummy = FNDrawPlayer       'put the player on the screen
              END IF
    END SELECT
  END IF
LOOP        'restart the main loop


world:

DATA 30,30
DATA 15,15
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,2,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,2,1,1,1,1,1,2,1,1,1,1,1,2,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,2,1,1,1,1,1,2,1,1,1,1,1,1,2,1,1,1,1,2,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,2,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,2,1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,2,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,2,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,2,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,2,1,1,1,1,1,1,1,1,2,1,1,2,1,1,1,2,1,2,0,0,0,0,0
DATA 0,0,0,0,2,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,0,0,0,0
DATA 0,0,0,0,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

grassdata:
DATA 0,0,0,0,2,0,0,0,148,0,0,2,0,0,0
DATA 0,2,0,0,0,0,0,0,0,0,0,0,0,0,141
DATA 0,0,0,0,142,0,0,2,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,2,0,0
DATA 0,2,0,2,0,145,0,0,0,142,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,2,0,0,0,0,0,2
DATA 0,0,0,142,0,0,0,0,0,0,0,2,0,0,0
DATA 0,2,0,0,0,142,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,0,0,0,2,0,0,147,0,0
DATA 0,142,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,2,0,0,142,0,0,2,0,0,0,2,0
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 2,0,0,0,0,145,0,2,0,0,0,0,2,0,0
DATA 0,0,0,2,0,0,0,0,0,0,0,0,0,0,142
DATA 145,0,0,0,147,0,0,0,2,0,0,2,0,0,0

treedata:
DATA 0,0,0,2,2,2,2,2,2,2,2,0,0,0,0
DATA 0,0,2,2,2,2,2,2,2,2,2,2,0,0,0
DATA 0,6,2,2,2,2,2,2,2,2,2,6,0,0,0
DATA 0,2,6,2,2,2,2,2,2,2,6,2,0,0,0
DATA 0,2,2,6,2,2,2,2,2,6,2,2,0,0,0
DATA 0,0,2,2,6,2,2,2,6,2,2,0,0,0,0
DATA 0,0,0,0,0,6,6,6,0,0,0,0,0,0,0
DATA 0,0,0,0,0,6,6,6,0,0,0,0,0,0,0
DATA 0,0,0,0,0,6,6,6,0,0,0,0,0,0,0
DATA 0,0,0,0,0,6,6,6,0,0,0,0,0,0,0
DATA 0,0,0,0,0,6,6,6,0,0,0,0,0,0,0
DATA 0,0,0,0,0,6,6,6,0,0,0,0,0,0,0
DATA 0,0,0,0,0,6,6,6,0,0,0,0,0,0,0
DATA 0,0,0,0,6,6,6,6,6,0,0,0,0,0,0
DATA 0,0,0,6,6,6,6,6,6,6,0,0,0,0,0

playerdata:
DATA 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,7,7,7,0,0,0,1,0,0
DATA 0,0,0,0,0,0,7,7,7,0,0,0,1,0,0
DATA 0,0,0,0,0,0,7,7,7,0,0,0,1,0,0
DATA 0,0,0,0,0,0,0,7,0,0,0,0,1,0,0
DATA 0,0,0,0,0,0,0,7,0,0,0,0,1,0,0
DATA 0,2,0,2,0,0,0,7,0,0,0,1,1,1,0
DATA 0,2,2,7,7,7,7,7,7,7,7,7,7,0,0
DATA 0,2,2,2,0,0,0,7,0,0,0,0,1,0,0
DATA 0,0,2,0,0,0,0,7,0,0,0,0,1,0,0
DATA 0,0,0,0,0,0,0,7,0,0,0,0,0,0,0
DATA 0,0,0,0,0,0,7,0,7,0,0,0,0,0,0
DATA 0,0,0,0,0,7,0,0,0,7,0,0,0,0,0
DATA 0,0,0,0,7,0,0,0,0,0,7,0,0,0,0
DATA 0,0,0,7,0,0,0,0,0,0,0,7,0,0,0
<PAGEEND:"Tutorial.Gametech.File2">

<PAGESTART:"Sprite.Page.File1">
'>>> Page 1 of SPRITE1A.ZIP begins here. TYPE:BINAA TLEN:128006
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"SPRITE1A.ZIP",4^6:Z&=128006:?STRING$(50,177);
U"%up()%9%%%I-%sE/^Dex+.tq47%%gZ%%%/%%%%vg%ijrt%SgfxKN#:Bo[]klju>
U"Na#or2_D_;Eb8hI.X/&)k.0.>a*o+$ts^E[-71=jbrYQhPnT3JrTsFGeN7zBt%Q
U"Dv%zQNc%9>r2x12rt?g[C%A;d8<P\8JUl*lu5Ae'#p;]+[%'^nMy&MSIs)C8(99
U"vB)9UBV+X//7x3Hs4]PS5-'dTHoZaE<l3VOO-rrN1/K$+.>^2I:2kTansEZ?Gj'
U"?1.A/Cezonhte,Vlx^4QxTd?ws\TeX:A1c9#vAgiw4ck[s,>LVkB?*:.Gb5/Wc+
U"bM7asHr_7+J6GgWMyd9t;6,n,b2aAwn]t.0ovfp_376,eNf.brnXx<J3j>F;cm?
U"BQikxTJ2ab0I+u.GlhU+i^nXt^H]G-k\;0Ni*WopVq*0lU9$G3J^-H5zTW(s^s0
U"ga^?Z8e*?utD9rN0MHBa$qg<[]:CTFEQ_x,%%f4ju2'BidJ:m_qap_9kU]m&+m:
U"J^v8fdSZZ=$=,Z^k+KgOXha5YoQhWCU:;[gTn0^l6F5cF.hV>j)8=gM)WTFvd)7
U"3&<9wOYuk6[0.NY-gJftPB;^P.12KD>Qt;-.V4u3\wfU%u;.2q0+LS_AB*PfUM*
U"m)_]a,lO8l9R?]JF4'd0[SaVZ$)Xi&Y%30.o8oQJo.if>LKN*>OY\8H5VA(]9Kh
U"cnWX$wmC5Z**1St#DnHIR14P>2U4?<9.YnYi2]Tatv\64lG>]FA2DnT)Be9kU1r
U"W?amo6>+m-Ib,XpWMojI^K2H.F<A).Bj^)N/K=N+ijuwFXgoUZ/dQ^C-<+8)\jv
U"Nb<F4$t+=E=hYvp(ng#Y9aVrixkz*_\F.w5_o$3r<:])kK3qz_+&bViw(c#1ThM
U"9]$JS3B#)t7Z9cg#71.&402l',?;Q9Yldi=Z15;94MBb)OeSBojqJHG5,cYCCnY
U"Y$O22P=6LIBSe#;Y,,.x',%K)tZ+D/q6,:AosG&vCp6MNWM$S#Gr*n/0b$--Ap4
U"s'r&+WU;EI)\T^X/AB<Hn=i((7h,idX:J=DKNsON66sD<4d5bg(VMK59sJs0GIt
U"/NCN'f5=+(oC0=$XQy1L=ZJp(HGOS:>U$rB+9v8dA.Y#W28juO9=;N-*mbn&7P[
U"+0/G;AAN>#RA/6[]bv),OQ0*%Irpv_j\DMFn1kQMfc\]E0iBI7:6D7xEEfd-Kj&
U"7&&5/qakst#AsoWcgdDJ(Lx(*gI5[]'FT3wdICh.*RV;;vGytA\i9^h'_oMrkTN
U"mMb[i(NTmgsNwC)](FK7^hk]C^okI[=;\Y$$ShGE&<cfbIfcS^a2q8Sfkl;3lS^
U"wl8Z*he'&%:O.-<X1LR+_P:occY652aI46:#^$[yu)D94GTP\n7WP4P3E1ZQeKu
U"/H/.bd%kF#<V5.[bc$L/?S(LpatsbDWuQu[u.]:VlB6X4=]%s9lY''&u.k/_:\H
U"*Ut)$a\6bRHI&Exi$F+#5<N1;*9qX<+SgRuO>[8?ZfmNrCjcM2S8Vm_EWZTO/Lf
U"W=VrQe41K\gtu'a+>6BoXoa7xE&8\[\S#K-HOtkcD()O,'dqrxx^MbUPR4fR1#4
U"s\TK(WUuYAjKMsSDQB4#'BC=PITEq_f2(N_/WEm>cP0Nd%k'w3NUyEr_vLvJ+ud
U";(s4764FDDn7jgM7?$'p-D5P4$Z#K7-4\[,omK.Y?I43/Sb3TF&0ptpn(jIO6^1
U"-*2s=2XsX=5wldDCoyu5QV)/sCYR;Moo(rn'ifv%j'ocd/,BV<wdsB;j%x]lAs.
U"WT)iA's<Y_ofo3M66gX'+]xlB88AvN,?_3]?23+)K^u=XQBU.uT2063f<+Q/jSB
U"1^CliK#FYww0EOG.l,p%vet[x_<87uK2Db[t\cT6'H^[oQP)ujF(vcWq?W=D#R<
U"CJjJ]R)KdqJ3YdESMX27nI1n16oV8%$oA*k8tI#j8oMYk(X4Fh&SB,o1hPEwASl
U".W]tv,vQoVDzqBK5D&aHC75RGCOF]?oTIb2a,??A+Prhrl%=gf&:lcVG1L0DYjU
U"8mnUu<t4jd\N94KNyeZN&d*jV:=\(E1F$Q?RC,z.Mw(-<FOG'cMh(an-4X[:[dn
U"AloAPZuJ,Th$xmXOqJ:0*4'GSb/vI(*]?*0f92FKR#6NMsQC21#jc/8hr=r/T%#
U"20--]EA88cx_D;DI6BPCmUz<[RC(=&CH*P=0==7?M9OiIrhDciMZaIfpT)3d*NQ
U"3Z2KiYnc6d;skrP*Snx4I,#PoW_G/om2:j+U8F.2f[ywN1xTzCJlk42snKQ;8Rh
U";cDnnIvAry7zA7In3Ym??1uuxj(rRNL8#q9]YdPqa;2,v:n<,n]R0&We=Sa.'^/
U"G3e&'+;S[+%+k4dXYQxMTFrSXNhgtE5*^gHLI,]T%J+1c#<XZ.Tq$UG#)Q\my>(
U"aoIwWcf>[V8Z*CiGt)&5:m4J4(eidc?)ZtfNn7)<toWCewBMM4bH_\&lUd_*:F=
U"hQqRmq7Sn?SuN0<AQua]W(^4Zok.u]v.X(x6pXJnr?jS__B_Kn6iT,'8w^Gv:[j
U":v$#m(yN:WMgBpAiU'.vf\ebRC9irv$m]We2'5y3>csaa:>T/hn.91%:;0tqij8
U"9'$CB[5=8U1K;ol\X0-c;pWN:H]O\nn0_9i.&74wo*J*$mMol.*0W+M]A'+B4KK
U"ANw%3%j$zCw9N.VO8,Vfe[gg>?gSdh&Ge;VWgHH&.a);Jn(zdRpQ-ME5O6M;n,9
U"A$8*j^l(ScHCA^xlXA,EDd0F^D+U?hikAoZC.HslUTmvEDVj]F6BQs]:o9F%bi5
U",_cVzr5krL_DBG,ieD2HqSe:b<i(^]<E61Muv74pUgL3EMK5R]:nI8,o)4#v$cm
U"]0##>WH9^ZYT$J%+8BBo/cK1Y(xS7V769HsfB$dwB(Lqo>PO&0c9XN>Itn#K/^d
U")w%N2#n0QMPjHjazr>)2b4%QN7c=ZnYF=b/NH5Ypp.2f&)<i:m0g4aE,_AAo%4Y
U"Y2uT[kEKt:?B<9u>_QBR#.#=E;m]d&k7#mKcDc=Iotkr<uy%Rlv9p_Dj2s5Oob\
U"H61-2rC8#v22Af9jr.T[-)sx)]S:O?vLrGn1COk9;+VH;O\7<Y1iu4[IKG0(S%E
U"yjP3Hrtv[k*MQjOB/-0LqYU^KM=ss0k:RqB;wLg0_^a2(:yzAm<+TkGd&D2y)X9
U"I.Z2a1ks7iOm\L])Sb-O**i-p]cn9vA_;]2'6)I*AnzU6K5AV%;[$Qb,:4)KK#G
U"T_Ag3tbIG-D0'4iNG%xLHYW#Z&glVHMES;:T:(ugdw0WO$h#%Oi0#Zw0dL-G_uD
U"myhv.HNdVmzJ0upC&)JaoJzV#bHp)_plyEDM:Qb);OKZaqM?XdKQETF$m.a)Aul
U"Ssa%4NLB8Ygn'(o0Q/V9;[o$WN'OF.C(nMl0Tb%-^3C.Y.>\-KVu]nBH8]QAIm*
U"T/u+/GbK)e%P&d4V:(dx9'0F#ihXRQhr[)1nFj2et75/dJt\tNN3?cS49apgF)N
U"b2-$^NAZpml,Jv-a=gw0nlT9u>IN+sNs4o^Lk5&z$PXE.a5offQWC*Y4;]YWF#Z
U"dvd9XTifmsjR&)0IhG[Ukn/9Oc3t+>.U<KdMI#oULs93*lqP\.CR$\T9pbJ%Hqr
U";NKFbUwz%UpAx/,&PvpLV(Tp1S<RS]epwSeldzQ&Oz%bWkrS61xS:sF%KO]s_Dc
U"I1,#.FAu;n91vU)IPxJ]J_791?b\X=hc&PZ]bp;JpTtx2.OP6gx6p<,s8d1VHdh
U"_a4gKte?qEZMA_3K/Z3,2ByR%4n#NFk=N$e)h7D_'S6d]F>Y[:LRed95>>fJQ0s
U"YIj5QctWW?rF,nR-*V>l,%L4gV0_]xRCr'45bu%chf;>qjY+=%og=3QFDBQjTfw
U"E(^-B;A$xepe4nbU\D$'Rx<-akpqW6l,;#gVf9Wp>3J+NG(jmF:S'?#NjZ:g20_
U"]'q5/>9.[0Ao(O%8O7xNJKb$c+i=2+rE2NWBLn*/9rLw_&]o14LW7Y7<7E;20w1
U"HVXo-s'#uW>3It&juot];m'J2)D-Bo:i^Sxwi,k[9=;7d?oKTW=*IzpFP0u4E0a
U"a#B]KIb:#zoy]ta2f)9+^EMN=gXOpIF#bG\LTBRqeH;o?6+JVS^s/G'\'f_Fk9;
U"uOE2)Xk+<#'7PrzI/Ojwke:jP;vxbyF:*J$lP$y2aX(N%u[$4+0O]#rIxWyMZK0
U"m-M$rxZFLCkxM?i]rqh]&cmCv,/233N^E;zYr8t4wnS0L2YsuInpaj/+m-SupLL
U"#g73QsC#?%pASD/]JNqQFAA9kv<NI)3uzr[<-0(u:CjMhu3-Y#]2AfU7LlMDskW
U"D=6L-1JE5yLszr6-1G=X=+i[K2_-[$J^biE23Ah)4ny<_Ec9lV>m/g_3.9Ufqo)
U"*_^%?.JN'_tY3J*m3R#e$j/<+\9)R.I0]ncdJ&XrSb[+E#94;8$U2oj3rW-9PxW
U"9^F0h+cVx\RM+6[HHLyc2Atq0O62h7i6;.^se=n4a0K^'NfA+X;6hlSCBA:.1^2
U"Gjj[BS+SktC?0O<xX_b<kP>xJg??H5_rVcIL*6#kf^Ah;C;L\3NnS[uL&$Bb1o?
U"[:a:KoR#<7^RX_AD0>7i&MD5l.3I&GnR?nFdYrhAk+DB=?=q^^J1_(<Ir=Zcc-C
U"Bb<c\].KkcM\v/c0-GH\y4^TqoK-jdapxaGBbaAb3B8YfJB$D^spT684Z73cKUu
U"d-ti<<=s8l\Oe\p\U5:UD<,/B4;l8CkV_'.YZ($;;YauuqW-ss$'2Cx\8YQp<'O
U"Qbel4'vy\)%4I=KXU&ohX'KRjBGfuAC*Bm286#\kB(KYXhP80C/>'c1-N0i[l6^
U"ioLi<Uk<vYwKRh>r$rL<ZwoYLd0K0yptA$Dd2Y>R=8p^Y/<.\24qF89DHb3tx-4
U"US^%:M02>Y(2pVR-UeN92C8J(];:\cKBr7g,Gq/.2B$M/TswJkNi$w(Pbt+Y1T?
U"n:r]ErID\]IkU%xN,kaIpBVDY>:xUv4%up()%9%%%R-%O88_DNhref;V%%%[y%&
U"%1%%%%vg.ns%f%ijSjn'je6)JKxzo/]7H^nA7k'c0gj0%EWmO6*Ty*m0f1g*ha/
U"P)sOO3AWR3-<0Ij$6'W=&*m4]4:uAVbfZwce?>VdYo8cs?YMKUFRhNT<Ze;E304
U"g8%w$:=lCDkXNSJnbgljyptM$tHQhlb8Z+HW:u(.oSt:(6oQSd3MLyaUMAR5?TI
U"ckqG_Cg(C6*aN41rQ>+uvxxv>Nv8JZ($FgDl*]L$_B-&QLU0mswIsBfaMhw&;*#
U"'n5B*gKR_S9=6dEg^Q2xqICgm;kT>lj]YBz.]TW4SP'/U4o#YS7ijWq>Hv[HFay
U"gjHOH]0_3>2Odp;(UTc#Xv.;?bJXIq0fQt)Iw>$ABBnVkgC(.:LuKFNR8hICJ:#
U"]#9FUteSQL3;8'3+&971,o>%??O[J'NI>ZP;y$&V?+.*Q4e5QF][Vi5nSG.J0[6
U"PYC,N12-j5'QSKam]GyZ:c;I-*eHtgqEq2r>6j$b]Ci,+0:ZY9&JEp_$y*vV:eN
U"VfPyg4?wH-H0hD<S2x61*NGAu(gZHKJ/vf_\Ky[B#?8j2,:1XRjyjJ)[GRGWqdm
U"Z8r'jMMOzvO9]L9zHcrx,I2tpMbK6:BDfvo0ojI;q3G]U,A+UbXs%JAi>y9<u8O
U"?HMN2%ma^;=QtDrc;=+AESUTif7tS5QDjl?*yTbq,rE601nnE7rwX3qpEap0c>-
U"0jQ0:g0?j=Y9</Pd'))ZP[O:Q.EE]4<s=PC.l,'9E%xbY<c(M\0b]Q[8d'N[sHp
U"UBeFyKhDXxo6W0U8?-[b,t533>dL+Yc+AYu0vS3]q3QZ,U4BsKNh3SJw[/O-b&K
U"]ncg[aNVRf;r/#geVXe4uqkiBCk+f(^UjZ:8(pumYVo=>c-p:HgjuyBNUZbZQSB
U"o.vq</)*r)?^8'*mr%l;OCYrxfA94h6(PreZMb$9nb'4=MJG.bPDG2/A=C5?DK%
U"r2**1&=+Wju>[N,xV>&yZXSA23x2h5A9$%UZ^qif+u_U]yF4M9]q).0EG&B9bk_
U".iXyRM39ZgKS7w,F..R+g>rSHeA+^WR&q0?/(el1(]Z.31]ep(Q'B192n10+(e<
U"4IOw&\4Y3&M[A:v(2?fk,;hmd0HCkGkwe5?wfIY[lJbY&]I-;F)[h/8<<.pPj^>
U"$R;B&d>]?q1/4=4e<E+]aoxUkq/oY(8-HRWc^IPrBp_&Mpv/B:swrgfan='X^CM
U"5&_&c+]dw?Z*oW63'f\gH5yBQ654:WWNQY2'ah*WD/kDfj$0Sn_h]rU\J0(?x?<
U"R(n'<ZCbVhw)U2GwT.Lz?ZhQIYo:lQIs'O+SDA+iP5^HjB-8SXt3NF0OWQF7(cD
U"7.k5r,y[//#b/uEmb;vj4UkOOG++WyY?CXPqyTD?BOF#;B#dd]%ZT2aX'p\b[e^
U"e:n55rtFhk48O=No_*ude^Zm=:biDKR)i;*>i8vH9_Ug/5idd;IO5]\29>VlUln
U"o#*$[G[XgH<*6'%Gu)l7a]94/u6+4=XQ./2n%[ucjax_#>kKIrixSw96x^VJLdY
U"k7U9Z0[jkVuK4vW8\5kqDn0MiIaEieAPi>[y%l)h+Ik1;g4JQZtCO1sDajbeEeA
U"0V9GGu5ZU_b>)_5UtU^XVMQ*no*$7NVH#FL<WY[.N9e&*NuXpa+Z;6T2W[C2>a]
U"sGS.5Nj73\37nXYioJ]^A\XHH2W^G?%/tUQU*[^R?7%<-VjN/54'e'E/QNoiMb(
U"?lGUCgh#-2Ed*<W&6-ME&j&j(U^b'J=J)L#+glM,iDHOE*XYpEt$,,ZPgD=j&iO
U"[?2xH^+/;5o02(><:7t:S;t;KR$IPE&H&KOWaTF3G9g4KpXrpEh+8KJgDU^_d^E
U"]BE/E3]XwR;1oF5rFfp(b*?JC0RGP:l'k%M->R]VbNeZb+a_HsBF:mAa:0V^'Iw
U"oT8cCwUQ#XynmZZ$\oH;%1::vV0)0tQ_fbeD*#X%5g?^YOg;0JQ&D1Dc[E00)c6
U"E7<F*dxmKTZcAxKU\gs#6A6MA'.#hIK(3EeXr_DCG6RyMa^a,.hwvVrReRc6fJ&
U"4aIN,Pz1>KI3+BIie\9htHnr(sIfLIC9+=JT[0myS3W=V0tF[sKp+r_p;<WIjya
U"<i;-UF=wpI$O?j'jL+EeMH>7GgfW.0EAQO5]/g$X5bcM#Z2Fffr'>7%eyptt:XM
U"W4vrmlem6O^pn(3?FUb7w:LrCbRjJBL/Uy?D9<S^/lEC(C[/NuC&6m>$?25r150
U":QU+Q:0?:pKI7e]7A$da/l&e<n9'E9l'W]UPlV[v^PS:572/3.g*>nAk*1P:Mcs
U"D*^I5#V.W$#^KqzHN6%ggbY_hd.y^a<-J+6EnN4[jihA8dr=&niY3$p#C=fnL[w
U"RL2Ux3z)P<9[Ug;^I/cvEvcws]$pXg428Y;lZg;sJFl[B5aMaEhJ)HBT>Bm)*g:
U"pf2,%Houylp0fQGKjV28]%]\N%;roOKV759oHm[#XLyx$_pWR5gDsD(aOu*Zl5'
U"2rEHaaV0*E&U6E0,*_=qLdBz2#D*0;+o_PbUdbypiJ\>/yB^fUa5W(Q6(Z.+ri3
U"k=gN'7?%>+><Pk4V]#pIVx=+9\#Or[T4E)lh1;&>*X$ebhcLpVv?-m&$6Q6Bh*F
U"[1=JXm/2';(pLPSHolm+RV%C*4TBM%a^36#ad%74&]wR^L3kgEY_i;nF0['&[R7
U"6n:G+O0U6==?1j:'Ld1(JI32_gtDVn7,HcAH3JGP;-)9.3X5/5p.A+8cP.VS:,;
U"ncDMbaEqsgV&04XI0;EUn?GYjs5Hu1Z1F0X/geo&Q$#r;?6x,8Q0dhp*F_x5qY1
U"e9X)I\=FVU(<48PbhnRY+oXMr4qae7=tK0TSOKrb<9x50ZI105.X&#%?0$9U<3Z
U"yuhB%)k$nOgNMQNoLSC+[OQ_HeUXmOVXs3XEUb^zwDddFA$68c(135>>bGofJb_
U"[#U;niVo,u<6qWiif1Zrm+(OgL+SFQHOg?>o7k%Vh8U'42-;Tct07DS$vQ6F=bG
U"%G:7vs4F9/maM\+?m'<A\GM1]xoE?y#k]O%'>I&#36q5^Bf1K'.g,Swzq8N+sSr
U"sr;O1=uyUY9;-Zg5edlY9>hOXEo\Yu9tnvp.0/*&<akLooo]CS&1?Nj1%OoTiJB
U"jpKr]OS38#s:D,th<?DrDX_'D0u\;/x7o[WSuE69CDBP;B(4as,]t$9V\bTd%Of
U"Y*,GVIGR,vehauL7.J-_Qi;CQqHWW)3<tpR1_psQ]Gwr$la$:P;*_ChzYmQ%K5'
U">OM(d=;_x4j4RmqGM/M%W+:Jo1V>0kgQG1faln,+QqX.\#B6qVB.3J:]no3EU=;
U"=:=97NU_2f=cQ]&I$.sBGduksfNfOTdua?%m=-(rZ8]FJE?5eGlXVzk:jngb108
U"fja7QW^e2PO.p,t]O4%*60l]D&04eijxCL2A[H2HOdCq'&4V6jcHzv\_6qV;0Z?
U"znGz;m895LzVQxvJ.g?QYABgmQ+v_r>:aF83c$g:mC)\D9]C=*0I'1-c9&'udXJ
U"jxW$YXn1iU>#[2LOU-^j2%4J(^oq#o+;+&6WiqABcm<Lo=y&epcnDSK._CGbr/\
U"*d_rw>AC)nAm#EMBbjaNn>XqlOz36--a$>mZ_9U>K;I&q5R+Gar-b<5tv#e#U3,
U"8x=y9r#XUlO]Um'cQ_]pSa;&o_BIFZV(&:4hTQ<(0m]#_A]*L4c0eb%/QQH)md=
U"PTA_dc3%)D\E?B/]5H0,Tn2+6+;exE]%D+9%Bx-)FOsgpKZpq%r&]zQ:\TCKljG
U"K,RGnP;m\jql-,Qe39S<1%U:KXgindb(lxIhej($X1n-A9klWJQ\&aSt>Y#BgNu
U"qnhUtViDGs4>yDF(VXZ.:BA^1WL\uqop>[)4pKFau4$SuI7%+5X.O*7577)6qjQ
U"<<<K=&2^hYZTIXC2OK>4P_CA(dOk'9Bi9Cg1/8tI,gvv)Xxw6Q;8A^[jo+8s+,A
U"kq\J:qHtARm91hH2].A^^x*,Bm&,5$5Z.$f$[8Rmp,7E-hWg\/$OT,i5.cYk3/*
U"8ChK;0NX/1t'ocfEC_N<8.WsM,TnRg.E(dN;O,TVna3LrZuSu:V-#r-b_tNJiVT
U"na8NB?Bo$hOX.QGOEs*d]8g#.YPBO^HP>]p3A>=M;%SDj^_g/)<[b=fGa=ll=+\
U"vJXcA'Cbj3I2GV[Kp?>_*'65s2c1ixJ1QAR&ijQpbRk4]oV$R/lBPS\C7>MlgyQ
U"-<p?:jAVkVOo1DjO/0=0dB+t=aD]$aPHiCwkrth#1.DFl'E4Fp:s[x<cAoX]0+'
U"N&:GnxRY>o9r=LVU%8^>X7PLWRDo1#n87x/23+6Z7UGq4H+SV4<,8V/e_\KmQB6
U"Oa%H8Yx,PHuS/c*t/_<3m7]7D+B5-T+ZDhpAZD5(XshNSWS^l*:4raPY^RGs9Me
U"A+GQ(-DUWZ/'qE_qYCrP?]D+6e8F=E%N-MO9KOfh[3e<5['Rb^GhaYohA5lZ=*S
U"J=7rZQ->]5h2o82,.D.cHkc$/Bu*D,EEzqhoLKBXKj2acEU2Ix%^jnIU=XNUU6=
U"(fc5y3x2$QTOA_<GTh6/)8z/u_<tQ2],2w-NV4MnO\8^2Z6gl2E*s[RJs[vj00z
U";4c35\Qis8aD#Pnr3n9oQ7J%wM\:]9q_8F&U+$(2K;,Dg$1\XWgY3)iULGNANS+
U"\Xu2f>SD_:iu[UNqQi_mTmANeeeK')&TT%(Ay8x-&VLW1\hJF,5SRDtn(k_)zSN
U"a7,'gTQIw1)XJAvlF&PdR9U:&0+&<*lEXsJ?PZ,O\qM.]En)oG)TrekY77Xp3,5
U"'8XeF*gdqch4=\jT6_81uF7j[4m<Jx%?69+)+q,e)O#R3R0?1p(K8]g+&sS5'?Z
U"(F[B=o\j9QgF2;$HFf)r=;5ZJjQgU(C\e5MC]Q10YL'&3,G\PQL=bITaim:1q/)
U"Eo/lG:R1+4aSRoe,]a&Z^,M-0()m&XcEY)#Y?d&Lx+'ha%e[&%sZ\hFQ-7EQ/DO
U"aRaukgHatJk2GKM<GK6h0K<k*q)F-I2#=Z*rsW-AD9hl1)wrWWM0WKAgeZz&Qur
U"=Jy>oi_3wkW'U-uf(ja;JeeuZ2:&Vs#BaW0yBvSy>,cMC4kSwR9.U)G:k'6?#U#
U"Sv\)g3TK5H<QZmwGR<MjJW;VMSqA/\]TT-$=NF2tIdz,g4,:OuFzodGO8/M-4D\
U"gw?(9.&+PW)xSh0GyPppNr9KL2?\-D09_H#DOJo?gIsP%FH3yIiaAxAgjC#ZVgN
U".3=.ac&4p)6akk7E96N9GHn+EAkVGS&^>d]j'7Z(6]1ZQ-,L1&U,+,9?c/_=(&,
U"P&#4RP6bu.kZ_Y6;:X/KcY0DA^gB+<8u<<+A=FnI+Cf_u#.k\+Ak-BKw<QjuR2k
U"Fn;.UEIkbNaHtBGUB=V9uIg+S(0=i++:4I&p3'Nt9g;au[\J%9/a<XumDUhv^#>
U"7PAN9Qv\;\gmPr)giW$I\JVUrDDh;44ajs1*/=&nIF[Clc1e6AuQM>PGYnuuxmO
U"md=*3U/A/Z#YnLYD_qOy+Xd*7-#sK5NMcx[2K.S(UDG95,AL_/%otH5OQj79MAh
U"PplmS&*NAB9fUXG<3pU?fd/3;%U1I/'s&WBh68P*R<7?Q950Uv:A;o3D>&HDp%b
U"SD>%;;k-f%h:])*Ra\E3P1^&Q<8O9Ye<+[u>DKRIY>c8R^#*tnV=b0'.()#;$7j
U"O4>PAar'oUWFvNT$52<lR(YfU;owKn4P3nK[bfsjrbuiG6a/=uCKIzo>['f%W:E
U"s6f1HX;)9(e2'O1h=1qR6AE.=y#WeCZG[b8'&X0_Cg98CV?hCLK,M8FQ7_A<rKf
U"\(tP:aDv>E+AEo'#XMX,hwIb21bX[d2Z?LK$upZu<ZGq(Kf8TN07BzEXABVrmC3
U"Z\'&lhc].'=O#%89o/DEO3+%g0'%AD-E#4>(S&s.E6+wu_g>Yqgg%1.wqoT/Cs1
U"cANj6=/8QN2#=e#L4/nT:Jm2q_ERg7WD;:b1rFH.Mez#^#EjVCMt[QsQp,NRUPQ
U")a)>Va?]M54NBH*$JJ=-72Cq%PJK[?sc79#B;MK/Z=GiU,&1y5>tRuYa*Zl9/#'
U"pwD<^IY)RpI<*%dDExHWc.D(.fX%-p\>e5rBj\]Pfy/[33S)dc<Xg^6U$Ket\-F
U"cd?5*8Kq>G%ZOH#1dY7AX7R1*2mP^RPm__k^daoZPD4RtM,Av,=F.UD_,9SdCsy
U"[_49Y=,hiaEf7Aqv?h4O7;J7VNYP2KfP\VtRgPb).JW-g/9F)e^*TZ)k25Kc7Fo
U"#5e_bbLl$jqAdV,3WKXE6<Uu7H>rd0)L$POFUm_QqdM70QtfmZ?0GY=TiO5U4[8
U"^>s*6tK#kGuTb-fANZ[+7\d0DBPT\A0;f+1Mm<?^;?#vk#6ACrZE48F7&U0=m3N
U"t]s.?c^]:P=YhNMr?zAKhzPq>UcNg5/U<jo&$:Hb.I8Hm1/6S;hKw+t#%E1l],u
U"0If^IDaZ#^p%nc','DV6Hi$Vg'WksR%%[1^U&69F(-&#%KFI+W%(Y4HTAHbj%)m
U"c:SPY?E8L%/r[=_C35\#Tilao/)WT%2*FTgk(bVLI9fVlbUFJ1DZZKAM$CHJ'Rk
U"])0UCWwz[.O)ikKb0Bv8&Ocl[mw2A=w.ZVjf0%2&jXP2'Vlsg\aLtbKw8uz6-Zb
U"/$Mn.O08qu)3?iW0Ai/.o%b-U(0P4$&RqW9TOE97+Cd++gIE(SU5[ir;)ZG*P.>
U"u?)]+6>=:Z6>Z#a-2h#WJv$):gtZ^Ak]?eFDM?3]2#&Dbf?QD'bU%%t7^Q$:DT1
U"oe165&Sx+IipeB5]k(*p%co%HG-tcAi:fKo4?GQ.i9:$:5n:<+G6-h19tqq'1<$
U"Q1$OKj;3)C?1&fJ5f#VMmvm)7tAeoEf=okC*5U$Gq(e#n0g$v]m9.z*ky.G_CoC
U"Bqgn]3Y%w<koiuEa*V_<9dhK15TSU[].uv)dw_BeQh>\D_dL$.n+jIupw7<RV[.
U"$sb7<xa+g=lXjRa91vTZSR^;rM)ywDo&fAvI6[;%US?;^d')%F^Ng4uisTP<DXD
U"5+VsTPkfc1Z?htTd=w$hPmZDtUW%L/:.Vf)[;E[HuIIHm)#JZQ6s%WmU.V';yfa
U"F]=QpI?:]YeQs^52#^QuI^5pA:5SCm5SC7->NYdS__c+[Bgr\.YR&eCR%;ltJ/i
U"yj*7\h3&VU^%2Fd-^A=.e)OlxfCWC'sas3E?CqP>Xm#DAnRfqC#o)VXKFGa6eUY
U"OXQ#%nOF%O8\gP(?#*Yo[/cH##rsO&#24t:_hvbolDenOe8/#V'Q</mxB.(=W+h
U"d;3%(%A\=vmmz7Cd/[[z'-9vv_ip9_hg\wM*;KMT&4LaA3)n2GWOrVAKeu8\Q7-
U"3xZ_?)eiOR_lr?:dRn$[T]7K^[o&%7UyS#i:6apeppgMVW,>(V>#r3UsW3A/*C5
U"\7e*#MYE/%2FONmbIK1Ko&fdi:,,vidkc<w(%=+3L,9QrF.\8&=,RUVG)knrK).
U"jgp3XY/jgxHwZLNQ*=9D081\m#%VKdm9rLoqj_zEF$YiqIs_YmD/c4E#ATFcAq+
U"7lv^%MDdgu:G5n/lx,]G*1/cCHx%^thqjXCfY1OF\8()Tjs3H#hjZpo63LWhQ?u
U"o,uC/V)COPf#6Y/72[kmp4OXa%5R+uzhBp7#&]<fj*dws*Ovld>bWRSqKAYoY;.
U"asmd_wa,-=__u]WJG_l-++%)=xQ8Lf,ogW\y-X3mip?rhJQDXLVrEF:5fDX_qey
END SUB
SUB V2
U"n+N3/B'5.>>z*40O2u]dmGY[K;8M#/t+_hiHPV'm>$CPjs<I:XZ9ad1d_uyq/&C
U"yU^43GCr>eC^8q*.y97O;$Vbd(W4?q+OPyZBXA7)3feY5U&J+1?%R6'*da0=_q#
U"Q6dP9HGJ(hnTsuGQQ'-cPoFq]G,Cl]>F-URTWWK&/&_(1F&4;McfWLaD8'H:ps3
U"1h$NF*;wGpzS$day\k+5rF%*9)V.T8KiqR%93YyK/[EXi$#f;(udn4Iu.U*Ir^(
U"W9q8M/7FO3s=i%]B\rGQ[9##[SsSS1/&l^Ey]]\yA4ihgV#I%'a'E\=A0.9(gfh
U"4wf3w%$o9d.D,N4bXmgb?l*iUCos6v0H<W6H*(Mo44Bojt1=F2BU=*8GNA-k-\;
U"FpJqe]YGY,d3#;Ysb7FXahkCA[w8_tvEVk(Z_'vlIZ=k:RD%W2?xb3ANm7F_nN'
U"vFL4.+>PX%RAW?HnBv#3oVk)e\83A,XmF_Z]=w_$\N5GjnZ_v%lIZkB:>.Xpbr#
U"<e-NxEU;xr^CWOEY4>i_R(w'p'tgPDQCG]1)3=#qo1(Z9)1QnVipU.'CUi$->8Q
U"_qmB=DTW$K\-bYWpBe^ob-jpV'cb?_fQ>*9Eh&Dd/AVqY?W<sr1A<)nzWCf7rqh
U"C2c1.BKjvtIk1(.a7lNQ(y89R6'&kMCVfJy4y9$CVI:9m%q8zQ(a9j'o0.cZ(hZ
U"d/8R1[+D;3^#&Of,SGOLZO5;+g1&5l:5P8_OH:$\,ti4L1cg3%S<AHJGrd#/?Q\
U"gF=;0Fe]92\Nf*#98ixm42D4CO>)WcrCH_(O^CoZ9?^'aU2AD\/K,H3U\OY2B0b
U":F_7%D#OVGOt*9C.X%8\5qon]gd*eA6nPmBV+.i%r)sEPe&/[fB,KU/idqP=9+w
U"d2)ntkh5(OJ%h7t%W[kRFvTFzRB?([C,aB]o:f8mG*3S6(A:mR^58JZiGr6FR/G
U"p:?hsB'.[q8z&QS]XHboj*tuQliJ^aL5[$EVVQhMf%p'i6RboR.9p45lDls(\PI
U"<iK9tIt=5)\-Fh_MKca#$R#:1\Ul9V^lo0I1D1&IT1Rx.ZeJKA3WFG#p'n]Bv]\
U"GVI#[0&',s.cY\[gEgtdSnAe4-B$,r/X<rULSJ4Y*i'f)<$9I8RMAx&RO-tKmt)
U"%u'Co9C4+l6]iMso.#j*E81B.+F-UKwqV^OA2$k$k/AW;I0k_942_DSLC)Ji&Za
U"qwG?(SR%\q*F#FFHR;D5]+w)hP]tDgsNV&A#FjL(\'Kjwb-)839^7([0IWCnK$)
U"e&Ff)%Pq#VQ[1#AT17uG5U&n62Kr/Bu13P9;JakIC[Mtm/S+.Kcp:J4O%Xs542k
U"7]bINI4WoWW:>.,I=gRkS/[ct(/<Kh[??/*_p[C8,ZSnY]=s2811REHc_^6,G.1
U"I^PG]3e6rNWc7nPd4k81-r\xX(GA,TGkK=SZstsY[a1[bwFg,U,]DW[so+XqKcu
U"g'?M3)EO[*E>cWKunPB[FMVWJi:EvFY-j_KGK)RP93CDRqNeZ?X=Z9X<4W*Umc'
U"pl$*sB>v2l[7dkxV3'eb6LW:T3v;5&x%u7,i%(.]$p<,NmU7Da=pG1?OJm=Sr>5
U")ac5_;#DAL]'K+0PI?_&8.nqm0>ojX,Z(G4.veW6Ce1hTCkko&05wTTACyOK3fU
U"&ae>cJckaC[i,pZuUnGj0c**$w8ZZ9%lgD,1]9QR$N3eVZ)?)QG/74Gh<PZ_=6g
U"jFem][,c2'=FV<<P8Pm2D?,GW[$e6U5+Xh]dEubqmUhA\AdbnV.$x+bTtE\Sadq
U"P6;u#'nc0p3oEDj_;=GwMDp?TCAK,SGV:uI2io:qDuu2,[cltn?h\>kK#\o.^F+
U"s]+WbZ<^%]/])j=w+61;.Ged&,Th)2pu&jfZ'1LimQs]LCA48x^;W%t\\fk^(hw
U"81[<P&;rv):#e<94g1*;3jV.oaGW2.aDCGWLRjglM?+;qFk%H7C:8=/i4KT-lV[
U"h9cJLMRD\OVv5an,iVs8kO:KdHpkjKqm0ShjW>qmSiDj517DQ&L7Ixscu-r-N\#
U"ox+<&IF/#)r8xn/cK];m]6Otip:Im[^.xoG<kq;2ddL#Q2&b5sg3mkBv>W2[ct\
U"8stpvH=iYaMBUNZ0VfrZN8o02rn$84BS+RH6>D-r1Y_r%]g[nFBDK%ljfH%hHWc
U"7lHPfE6DZ-rueiE6D-lrueEq6D-rWueE6>D-r1Y_r%]C[n&Hschu0S4m$>/raNz
U"Qku<s#vO_N:#tXGW;fp30fj(trYdrKWga>l1HTv;,T[QB4YGQhIkS:t6EwLMJS7
U"/Gq:4Qk&+,yAKZys,;3lus94(5?^,]o2k#^uCgZ17kVtd8,.SAaT:lFCZ:BAF_o
U"RL:v#h3-'f2NpP*<Rdo3)gb/=#];S8x535b3dlKV=12URIf9t\S3#N[y;W<7e_P
U"EICbaT?Oei-khryE7d9we<\O1qnEZSIG2jYUM5.\kT_P%>#NG20%_RZa.t#i,UY
U"sIU]\(?g/r2<(j?iec\J*z<f$0w3S536WQcejcGZYJAbAZHxT]zid'jleLcn579
U"49qf/FEa34EaDjA8qnOEHBm[F6[pkWVdw[&*k:YA,yQg,\NfCuDTWJ\s>4=sA]8
U"\zHxYTxGKx4<:-*Gw.4\<-G*Ew^knLU)&tq?9(55J2J00(9\gl#;Ye*M_7k#;;9
U"*iu&TS5/S\t+JwB[mQg1\FO-a_aBEN2>R=FIJ()91?gK:fO71TB\t3O&K*7OIFP
U"#nN06n6I<D&<5vbw$;+mXa?k2ptAK&n/7'N]I)T,f9Yt1oKb.-KV:$h^jmGjmfe
U";83Vs''f#:C#O9x2?iF4Pg:#J:L)(r^dOpHqdYIJuo:DKJUxs7(qIgdk1R8Z>IP
U";AJkU#4h:TuVr'U,z'gN4rIK:e>z12^eFP%Lz1H>7M*)#PSRlxmk:x[OYp7QpNP
U"q[t9*a'[n/8\1dpI2:B$4Wfrs'S=Nrf+J;(s70nxWYNZp5aF$d=)1f&<T5+3bC;
U"G<8;RA]GR?;8s%<2c:9.zmy1l^^ycX\C7=:\3B*YNeFKdH;J7?QvfBk]AJ0dFd+
U"khI>t99Eiw3s(UcxCPMxR'wA(ni#kXiV,Sh#8g<:GPZhJaQP(_x<3a2DdzAP<.9
U"n4<S?Ot6XR_DZ)Pls]O[/Bpc=6;l&T)IDhx75p^*HL2(Mno_Y?Ho'bx$>2e6#MZ
U"ko<QL_2?RB_hubHfAb*#4eHbYg4.v%qUjY]WUbGRC?W#jY^l_bL/k*L8cIkYf:Z
U".2MuN1,+HFJ0W_y::pwgX\4;r;i]/0o.Gh_SPEW(#RI.fY/Lk$c9K\>VaoFLBJn
U"vf_Y&Z&Aio]uNB1qG3K[ctekR>&Paf,54;181qS.1z'/Sol[220_^t84coj]Zhl
U"qo14l*jl_2(HE#lgJ^tp5^DxJbgmc^67Fcoi?H)SPcjJ#]t20E#8Vvq==tqYU4D
U"T4ckECKe7me+h:tLnB%WD$h)K;4h+:EN0Zgkim9BmmB5i)(K]3zKsrwf]619k[j
U"Z,FWf)X=26'VAj8H/C9z.L2s=FVl#3eqFvd=&[QvMq$]&kWaUaFX8vuY*r\7\Ch
U"X6/rgc.*(b.$<7cg38*nfK],hK5[Sm=sUjndDJAiH\\GP?buI]g)<BsZ3^tq2Pe
U"1U9enB6c1808MncmZV=/Or[_]B)<_i98=NagI'E\I8r:llXdK+g9Ud,VA2E;XPm
U"gd1)=g%E-'Z1e=TMnTfY?U3.V$.3htea-UzZ'tO?fTvGq-K;,;LNuOle+Fva>:]
U"DxKpLuVY<UVZr([.NAqS>YparkUre*A35Lzng9rgTEiAJA2/KZl1p%RwK60gm0]
U"Vsu(.Le.ticMJa&%z,E[C+g:c0e+4d*+f>N_z;&=GlM;^RvR$M.32ek%+p4*sp\
U"8,sSQ<vsVqF7E.g-Eq/YiQ1KxLxQjQ71;PO\q%'rQ-C#/]b'K5x+1#1lT)X3#'A
U"PQ_Y'-EL>?:KEMJt^$KKwLE<EMOKV,q*)&^0r1K%?QR2)eelGB%INHPOi<SL$UD
U"(+^)p=k.Dr9a*t+\bavK%#a'E[GZ)]4:U/spLkM6uS5LDj>E*3KBizcpgNVo'BQ
U"V-5csv0k.anM];eQKiJ9%gE-=vY92tn_*FDFzGdhQVxV,rrGHgRu\9,UZQ_N\T5
U"LfN3e0;&p4TR((V$xQ;6)<pyb?qveAJY1+p'Mk>B><IZDu=+vSJF7TM&\P/S3+;
U"q[:ILA7UrQ(xE_=^L*x[YgQbP?Ff+SGqeMs<9,8SS-\/f,lrNP5[1\YM*87OM7q
U"0XEaZ/0NLcfG[M9PFJ/6GHj1]5#l_GVu5A3=[OcRbt<e]igziqVIp)$K>/Dd2ox
U"Z*e/2onTA8=?A*vAWBn?m5C<(Napci?(^Dm26[Jxs37r044#uD^VSQ6oP)GDvRN
U"o94p&A^WJ?:-rQ8kZ.s%_&P.-&tg'G%,7]i[Tgb<66=KDEXv2]?%%$G&M.)SM]]
U"2k>tgg+=N]Z=Mxam2)GIL(NgXB;d.\6o[Ryk>I=(svCG._6l_]$QbDKi<E:,j_;
U"JWqye5$2_s[=OD7OP'UW]rFAlq3&K&)>RVb:&XC:,vRTA[:6Ng;]nbnNV51r4tK
U"B4M.fmW#+H(;p#9qb0PYG&\bo)E2u,&aSN^j\$Z0qqFNC*+YW'^BfgK9(3A8M4&
U"3agd75M$X8,$q&ih[VSo-aIHBY]YyCj%$du*hp[]EXjq#4A=*aZ7e(x#Yc:t.R*
U")He3Ira$Y3aS3*ps:XNL=$.\mI>kKMb8bhEMGp:/Ztv8KGQ-aD#49c#J1q7]qhe
U"Ug=v0eIkQ0pNBZ\oI#A,e*BIvg)-d=W=wh^J:nSmL7:c,K%TmR>mtPFiH0D=,<?
U"&iYlo:=FXYBVkHIBX=k]bv=l1S,p+D.^VmJKpl$glA^8z.6Ju&H;7D&ICL0D_Fj
U"v0ho'UZuYj$)7/t2J1*,7/Vw6_SE0<nD0viJSFR6c?>TrY^F1RpZjOnX$5B-5Rg
U"Ge;yihLsV^\&_.a2cl0f_B(7l(rWdURR2;e4Oou<_=loGw-a2S(hHe7;>A6)$>X
U"t7h.bwi89/Ka<6CpUWo(t9.Wi*Ipa*5fu\(S'4)_K*h6=0\F*8A8y1wmzHB-=$V
U"r],PF6chB3X,uu9$1n-1KwbG1m4Ch^?,643a[,<rZg;r+Vai0A&.SX/6,KSLQ%;
U"J7:cn.puX9>eTvmT7c8,mqqrYxH-3bLknf>c_nl=6cMaI$DFFeChXOu<NV]47h-
U"D;6.[kF8+]gY=\O9-Nh:69c/kp0im^xq1OAEah0LX5w;$c[]TX5XB&YK*DKWLer
U"m,'_XRQlx%7SgOe(W1V*N*\Jf*p6lEMaHt&#/W8r&D*,SoF_h*Y$;'rVALLk*'c
U"1Lkm<z.OI>t[-&Gq=W6+k_WA-=_AfSF>80jRjOf]RkHhzOprE8HQJ3S5p_K&MN2
U">ViS#Q;l>cjQC&U)mf3h*0:a8=Kv?XF&vk?&WE,-Q:enSPSRw-SXwTSNbw0vrG$
U"n&g6;?<IMBg)EZl\S8N;PM+)N#iOg#SJnzpcKps[gtc(7SQkt#bXCKD-LnzJJf=
U"#nM9PjcxpU[5(?h=D6(iPV-jgrMTi=PEvn<RDW?sP5p+3fMM&jxI6_N9Sz=XO#S
U"\8xlqxTu\2K<9n\$Es2c&BH<?Dq<>5a9mVG3hcf.o^aNuPZ=H];pOZIu1y$DvJ-
U"cnzoZ0.ug^,Vf1VOLYWr^pn[R#HeqHY8F&.PSNZ^FU'Du=&Wtd<UbC6S_<4Z7<d
U"9ozw=1]yRb&b8KXVg>uwcmx27;/QrgUsJL=ZI/RU3M8S=X+H&^*>,w?e#<rU\4D
U"h33e2P8*V$\78oHZkWD*.QnO;[Auov1X:cTx'Twwk%[bqAe*:VOY%gXGw'L5yOn
U"N<w[Eq+Hoa_E<c(.yTf_/pChfLCIKFhfd\W^iSgJIX*7)-3#GOa73irPM<xX\d;
U"2e3IkgK5r,V>S2AD2Bbj5?HQ+bHUE8r?0n.odHMSZ+/E7u0p<f'culd8EDqWTb>
U"Qw>>Hi<KUNMpWqAaqhuBCxiLXJX]KtC*)XM-739d8C9e%T?_q*^Y,Xuq[tCw*Lm
U":oT(;ofvS\n>Oj4N3=csHW-KPY.9rf?aGT0bpOcLMafNO^jI2%\Sl0_k*qJ;V61
U"JqRwj4_nZQlBnASg3&^dLIa:21'PT%:<-9(Ru#aEa]^oTO*,s1mDL$]N/FAx[j)
U"sUV3*<':gLAA4lrJ<]Gucc-;\8;i^pr.9&P%XkxQKQd-QXsfLcxmWwgd:(%;'wi
U"RkNR&mOW;z7hIvpWMP=AQgf8&MIH;fO$pI+^L:'/L>tW=Z.4(TB4qcHlEO.2[,<
U"1HpYO(Q6fjH:LoYlO?=aDX:JeW4#0qv2ThAY[6geG]j-(EyES*1b2iPPL*M(KN,
U"9[#nW0qUE8=QwMHJD>ovGB0-X41xdUDi(zO6&I2=j$+^:Zm#SCj_JeAtNn5X*fn
U"o.D7lG:J&B/_,N6TU#*$iJmMHj7ARpUQY=ZX.dNx4_gHJ^hD.e9dF9(dl)nvU/9
U"?t>_Ov1RYD,B^g4C><CBc/#eO>(N7CRDR/^ABzCDLw3CMty8^f<[0%[xXx.)^#C
U"B0n^xRVJl)3h^:hBCVWWrD9UOEVv/Qo^)X$e8ib%r:.W+XjYo8;W8skVSDr/X^d
U"V<N80j(wAuC&bWlEcJH'-[lS?[.T,:LFyDu#C3r9rpxgj'asY-DE'7)?h:KSoLV
U"_-AJ.NcSux(R+P%eIf7S\sP+7Y\pO4.'hYRqx\W;<Mj;<(0;4_fOM_v*hj;IdM;
U"?dsTGXt**,2;rxehFnf;&8la8/nSuCBJh6k/),\gw]R4?OnqBI2u[tZgCr;an$)
U"y[U)NvUhY#2TMZ-67>TlZ.3_\yS]3JIBf2U[[tz\0(uObERy;njpD[RxS<A+L/m
U"T0eiGbQt+?nn53_'bh4'B(z%bD6Ln(&W8W&I?IJn:FAhAFt6TgHPEUl6a#/tb31
U"j>XcgL]g4s0xBqF6QrDLroTH.l.)S]TMOkT?7dZ1;reMyhYjufT9P*Di6$CN,*Z
U"r.8j%_(*KjXt(x9pp<4'KAwH8g#;Cf=_>&n05/9;^:XKqr=zN[9p;g7(1Hg7g7C
U"%t?K[b[WN;V$I/hl-]1)TfMNdO_-NdXRnUJ6wCYwc;dVV,H[/Tq/X>rN;-Wn4\g
U"=Y6QaSsr;Tnn)IZ#F):1#)2*D5Aor\Nmo\jAT?)ek.Q0oI*s-KwY-Qjc^1XMLZL
U"NA.i[P%r:?=^x&QxnOu.IAu5KWN,5D-9lP93$l.R+3k5eT+ykP5oXj2B]0AP]cL
U"7oI?V-#v(8u7k?vMc:XW\vy33'p$\/RxaLSJDf2>J4eYtNpyV3MwHUv,5?C]/2>
U"/:A)\$MNZ%?[YI_Pbx+'Q>wpDjHuV<^OMb-V=sxFVeQ;5o'h#IYIT5j#X:3*BKc
U"(;2$o?&e*AKWt*D:$Pl.yLh)0Ta>neAuoSlU]5y\c[/;)b<o=_ve'7v[sr)WHt8
U">f$A.6en:BvOM6_Wg%+ee;HZVTjN;efn1;&5I9YHO6gqWQH#:Qnv=4JpH:>4'+^
U")/ld+1Y1rc*ix\U<X.)o1Lf\eyfwKkq6Oc4vEhb*T+a%BU'8_C;C#/pQZfP;n-(
U"D',XHn_I_)x5=NrC#(Fp6iN8N7lRP>s<QHD-A-unJM7[C(x$OW'WPdhX;5k'8(%
U"-X*g>lSQ#Y7LVis7P-4QG$#BaI%A/ToX*CM9;o3>59%O<r-.cFlYWr9Sh/oMdXu
U"E86U45*kuPt?d$W?j,m)EE/[l??-V05H7P9gR_-tGdEdOMQT*;?KMjI-gFwc'Xt
U"(6TZ$5mrXg#uimgp>0<Wo'p.4C1r7_IBiL=hjgaF3[4*S.<[-],NatG-$r4h#1z
U"nV'ptkV91%_fs80GS;Fia:UMBYZLc1AP_HYUKF9R7#?#4OZ)vvE)0gXKe3d0BJF
U"dsTEvz)[UNNJ$j&'B<A:k\Zbc*;p^A7NKOZSChF?ewNu59pB4'BB/f<gu7JOdd.
U"KQZ6>0?MjKjHLue-u4dXrrcfbuR/=6L>hE=f/RE(8..&bQGT[,hh$=t4pgqaaFj
U".wgMNe8+cX[VuhWnV.[bNr]Icv5WANNff6%Fu/*6N2RG15#o0cranCqjsMV9z?>
U"4+vS7Dm[CLy*ZYbP<Y7s*xmL2=LhOsnfLZ-'/Fearnv$O288ET?M4ypP5(x.Kyz
U"Q'tWdOZsasV;x\8n^wf/F$r0h;]wjr*]fva%'rQDx])t&3kVp;wLaNS>CHjn(5x
U"i-cn#TuD0uddI7fj*?6siv/94o)EJ-)9HMlN.c#TaVhgd'[#h8VL=?x9uaC=y3U
U"TsE'.6]xZ(4kS:Sk-m-k-ZRgceMFV\[C9K_[<bMtZq)&Ai7nds:;esCCN\EHs?1
U"lxQu'W%]xj]k'1rX,rO%D\WwjuDpfR]wCExa?=u__:jd1T8bBvhBaJ#_iq8$fPh
U"C[=Q,s9^aA.TG8ns#q<V*OF0,HuBQ]qR7/PidU2O,WWRo)4h.mPa6*<#weE$'^*
U"IAdS14_y=-PM$o6y0G-MI^Mh((tz4-tteW55Fjah4BpzByphYon6$catV[U6=Lm
U"x_dUl?tnH>137P$i>e>Qu3.ILkf%IZ(YLA^.bw8ynqTP+3[MigJ,fu16m,eSWd\
U"?UK9DbywE-2oyRg#8O'FEKvMXE]wl';Vyg.:P_i;by3E5,Q9+y0Vm8(%+C$V.?w
U"..%v27K)/q8t;[EUn#N#?7\E)WCg1nr9Xf#f[+W^LMEiVwoT-5fjmKQ?]1/?x5:
U"&V,.G0xdFXJGWjHj1rhrjgVaufK;<LYGg3>65wsdFCdVl'3C4%p0xxkusb/HcKR
U">-N:ShqdA[]gWDUoWh4e;l,p[OUUHkUUlmVoPMOZwS6Q5SPQ_o0P\m<t3X%1=6=
U"-zk%Vr8H;u8Zt^.NQuJD#:Ecd,F9]gsm>$xnsT:79/K']efU1KHe>PpI2CDnTUe
U"n>+qf1n9Ka=$uAC_A<vUiiv'ZueqM?cS?)::Z^xt74'H*s1S(Ij;5./&?bkv<UN
U"<-dnRDHGO/aetMIwa6H,==/Ny1T15pd\fV(&j4y$xx*ZNCYs(I)w?Kv*Vinb8PS
U"HZ0[Dnws.B[r\\iGug9P$L&<,y#kF#jxWF<HwY'6?S=H,E:aQACS#tSYfYEPl3I
U"ysbu(o8y6h6<)Z\TeISM.F-+l?f7h$h'2GQrLF#X7fsh+R?v]MFh7f/8<>[v;HJ
U"M7&euIeX%$DP):LC8)Int_]7(TY.p<5[^.[t^N^^>Pfpo+I.&PR;j$JCQ'WeWSY
U"U$2%D%T&of,X)k$<+E#FoTuJ]&^PX/0$8&&>p([iuLX[5'7wqlqwKb/sU\#;Sni
U";ac,TMQ&-GC?altcc6AS8eu/15uOrO:n?=2dE/_K[fqMl;qtJ6;m;t-AhWu.AH%
U"lp5s:*SXQ?V[XprIh)*PwPpU_;Rn6,x[O\^dxUhls(i2[QbH]4K[>I<=o[jk9dR
U"P)NTr+[E(<]=#ZWo7]wiL,TuW=]\OR^Ztd1c3DjZo;ZT,P(\*n%VoH*o=q%B[cM
U"GYMTEUMiR2gh?05(*2$5(P)&4ZX2l5B;9rTr+L?a$W8ZEA(Ndt=Uu;+vjb2p240
U"/6ZWG^6L3e*wB1*-rdt0/rux0]CuWJL7nc26A\^.P9ug2$Y0pD'D<KHdq$VI)m2
U"MNbUr<Wrs.Tl8%NP#8B1H;,//pjnbG7q>f-CP[Ih9X;ZZdr8B1GQpE=$Khp7:'4
U"&-g79M.<=L<KHT/66;VjT7BA/m,uo1PFzaK=LLub>6zo:%nm$0ub[tYy#XiiO*z
U"mbKK&6:uZ9z1AXSr=Pv8,IkP&%5-[p\446T\iZpsQ&:Nmc<#.#(kRhbuE.i^UE]
U"u4SI,uMnjtJ*MN$Rkg+[:-AQ5:3ni3t7_h*ZZ5P/&6'\Crj/ACpf-bMc6Vor\R7
U"?l3/\W.L&L\<O+(>]9:x,MtBuju^6*8KxY4Sv)tlm.c#0Z?.Sal[Kq7i4-nx4*X
U"T<[)*7W+5PD:ELA119SA<TT1Aqj52iUp6NpMe,0E[M[qX1Wsgg>meR:Yp*OFIDR
U"scF.qJjf4j-Z\<3u8yEHP\oYVD<5xdR3gc2?hu=Trn\[?bX5b;U>?>Oc.b\9B,0
U"K7DI^9l\mi*3?y*N2\qxTuGx1gDW<YN)_sJ#RL#Pn+qwK'RuYV]Wl:rbE-K<wKv
U"b=p9SoeIH%P1zHiOU_6mC0JZ>;HNF+L2q)uz,gRjZ)ZMai6,%n01g-ZHI2/#Jd=
U"s-d:.*Wj2nTL%<j.o1xla)htDPYY\8B$NycoeR3xRE=:iSQ<rZZq$W\R01\+cli
U"0Nrd^WCU<E6-Y+,L?HlEhVt)TDYuakndGqB<&41w_S+t1)4,N:40XVXM+]q;<Ii
U"F''4=uqvuHE#FztE\:bMl?Nq=^mY]ZwB;#3u)Ec#uM5mqHLDO[4wiZNT>BG^x]f
U"JR)3a0Q%)$RsqwC(;gvq/lq5lH\n;[(q'D,-tsq>uHTQQXo(j+aU16*+D5$oe(k
U"Kuob2_c+4lGV:RUAe/fNG\o]5rZFky*&Yr0bBxMP]dB9'J0AoN]Q^&i,^zG)PQL
U"lCPjCKn*x<Wx$%K7HTTZuDQP2frd+,M1b*0pml7KrFLDmN'()0<AY+9BPQ3.6MU
U"kZPS.^FrW0C10Nn_F%^'O=utLu*+tRRgJISN=r\KOnjI,)dFDh#dI4_m3$BV-IY
U"[7NIiP?575%P%wb3LOM])1%BHclgKg[?ckaZOP$%f]:QmXS+siOqT7'Ga=;^iG/
U"$>vW](h/quF6LQL*RT_xoh#I\wkS$m<u(Z0msb;X[Pjr:L&^MExR0JH1rPGLNh>
U"Nx10^aZ_.$;e'9AW6)o,q(adzabi[2d0xMY0Adq#xjmm:jl45\u&EEx;u57qC[g
U"p0N:vc=q0ggZr1U^Wr]b.Lk.f5-c$qow]WndF_6N&s[cb,Z..8N_:%FlVeOfo,x
U"J:<HYfwCO5>BH)>Lb[g[K/Jz%scJ<DjIQL.i*38iTLI,ASnT--Ln+Tgo8ZS_qn:
U"5mF;WICxr?;oPf)>mFENjvKv\K*5#'2\0tTARw?cbmx7QM?F66*PN8Wk\:+d(B&
U"K(jlU;ENOt/8njSw:#*1LU2\<FY,IN.uKN?dP,?'Lffjl0GhtXk[c&C%hd%'.(w
U"GB*V[NOPa$16'L9uQmg3#5>Wd$v>ow,>-%yUcxm2gLH-CMjjX5Unn't*\:.1vy&
U"Ls+QyKYK/BEQ2AOu:ZA3&o(b8SM_<$rn6VHY<*t'Dp4+w?_(o*_SU>w7Bgb18>&
U"AJ#P;1#65WH\%6G4\6_Ns?8+qFyDR:_-K(S7(()Vl1d-j&KIy(?i\S$^v1omxrs
U"ZiLRh)w<-G:Y]I[Z%QA2lu&IEGwmKK/G#54j[B:kX_Y=/(:XdrSAXBgjXNELt;l
U"$tG_B=*\^I;\LXa<)ggZG:6L+y,g.wu3&C3Z7LMe_h0$GYf,)0ZNH=HLcD_^+c7
U"JHT<eOj#f6<f2:zh0'mAa%CkFUh7]cl5Utl6:M1(\Fkndb,:uM&8^k,n3c+6U]>
U"g?2Kh/rz^]3gw&b?-:m2\=AvN;s<-r3HG#z6e/kt9n\(z*n%B/jY+\wgLKNBtDq
U"+R=H;6:3/S[VQ/1[38jF\V#]\=N*_6(l.'ly3sCqk7Onxx<5K\Cz0S\IpcwGCvu
U"'(n;T*:/'+fxXq&Dduze=UL&mTNS?W0RU[5bqN$bMXLUhSbvv6GLWd/%*\$-4n\
U"$ulq<i^;Y,&Hgt+nrN%;,dJt'4B;;4Mu*'1aJct#?ZNP7H?2;4P2YYYR)H,4_W+
U"In[sR*CQ/zdoe5]T_OeBe\s'3s0Ud<qE*OHd>o7\+Zv^]/<rK#YBNBLXj,+KSR+
U"5F<_Utqt9Hu?&A4\HDhMf?36rm0_?(-Q54.Pj,&x#W=$JlTd:vV$?^vAnU>BJ<n
U"PR7>*/iuqE.>8vABUZT19$8[>o0g#[QWc(U%Q-6jhreXGz]CY)v>D[\TXCRWP\.
U"Tp?4dbX;Mn?l[X<hBUd3_PZnmTT<xIC?pL6Y^48skYkc[6\l+j4Y6rKXhsM3UWH
U"H^K\-N-75qA.\X%AV6U8k<Qc?o)=wC92K'Mo2j_;6[[SQ*3V't;.]yDMc^kRhN'
U"pI'>><mMFh-dkGARdIKPUL$T0sm^'%?\ql(6;hKE5<MQ8OaA4>#tkERT1RTfwwv
U"L1MQ+^?0F,r:3K\bg;rGqs6fB]IL\\l:k6jgH2Z0+-pX57x]?-O>>P5A09xS1#c
U"Eh:n$0eDGX6MnVov#OW:$1IxSZu=^*wPq]JEXeT#twh0gU?'Wp.4+FNDSr)Lb1j
U"LS'xi8t+G2':VE78U1\52myyLo?q4/q_RP_^Tt.dr$$DcI%nEHI&B)h_v7Ui[hD
U"8]^;isaRp0Llk9fjMdX&;WO$(\qK6]ut$2i2>#]tHSNZ+4l]2$QXd+i6[3M6=>+
U"c+FeQ)j[H12>UVL)T.K*DSLJx,G>Su;RU'X7[:6lW[F84?ThgEnSk'=%\\HOdVo
U"P*;y1n^;rxR1D0SP4>x\tMnG2o*oFQ>*R4%*=h*f%##\R9FC0o7^R&W-Gd'v^/N
U":DcR9nX#L;p9cTG.j^51Cw6-bz)5JUmiQ4C#c-ndEQ,xW(ngC]rE(CtR6EcV7+A
U"ER%B\2lha4'Scjn-0=kQ*]efOgaoL/d?s,eq;Z5];,j#-9wbX\.YJ#q&hC\Uc65
U"]:%248X]rxa0o[?vszdwqZWl+6P/o;5#+A6#=e;BA#J(H4&Gxf9A.=E0:%.G^ip
U"k*p$UB$VV0>bke:Z-s7.XTYqt:m[C.s_4A%=yr8k7R+LOxol%gRxU,*\SZgN-4o
END SUB
SUB V3
U"3h(JeW&Npm?Xvu*lpD)HVINO)iHImh',&L/uxL>7a2J3e+sZ40HYj2kp=7P9G1O
U"SoR6LpxddPN9HePp%8j.?Z,(S57(]P;5.S*384]:\g.EqqDQ5Iu/XHvgCoGM*62
U"-7zU[Dyr'0HxoyG&pUJJ1M&_ende<R43,N^#)IYh#&G&dP1kC&:R\+Rc65%9aE(
U":HKtpA&FQr0#5:(h4Uw$N$M5HiMif0\oAy_=f(S4V55\=EW64fydA&8VM:5\Xp(
U"o7v$)A98&)[#8JtuXJ.$*m]IO*q(+_Xvx&D1BR,DN_p$i5n9Vmiu)QqZHm0]mI0
U"I:jrV7.\,diUo(PnHJiI>WsCEh+YwsSN0XK[FRyZQ3?*-g0V<5:FY_D$9XA3&EL
U"#&Yj#O%1Pnd5[gB-$[D%'jIWG&oPdD/HPIxTHM^]w,$hOyCiLLi0NktWaHWZsss
U"HUOvcZ[06D?)<Y5x<em=?]3mpPn#Q(s)YB6MT/cl9t=x;jmmk9<;D$]ZM6TU8oZ
U"'cL/))DmcB%,EBqU9:\w8HB%=N,eEOk\R#Nd3^a),(M7<<%Vv3(]^=Y/tbVww.\
U"4m-fXdhalX<Nj';[Udb2.\WQiKFV6tUP\RXXfrH'Zs+VM6Ie-Iis]?Wa*9'Ysd4
U"pQo7k0=h'vAH;9d&1-),IDfzP6Jn&eFBRsl(4fKYR:gJu;CW(RrPpDKFR.jv2^o
U"^t?pbV2Y6<JP,4[F'49.q:nkR>bCcTg[.+][]BR<fY1K.Sg'M(eilMsc)5Atc/^
U"Q_Y-SVd6].ozA/mc+d%j:UA),6(iTtfkv+U3j4&rRbR'&XjD8/?-;ZYc:nOL&]Q
U")bu'H5PEbbZqQyg%l?RaRn65P3^X1^>qata8a-jxB.ArZbB5KmA9)V'5<LcZAJ?
U"+\#)Aa4Iclt+I:PXLXL^Z3MiPOf\tLE9pT,cR-0d%OaXS0=tLiVXDY::A*oPCw3
U"kaLc6E'4:4S4*rld$IB,j&(SL$6VjNO3YDkX0i.E3O0fO,t&aIfm7z;&t10R_%b
U"l\Axuqg1,'BuG&5N?^Ik2>\%QqRb09zOH0<*%;s^%_>gFk^2ly:X$9eCHOr<a$t
U"TGD\2Nw;4cV(I?se4pcjrw)^r#Ynd4eUQx3dZa+K-%lgSf37:j%LJxPz9Y/MKhc
U">N?9q1d56L*l*v>':P$EDR>)QLKS1arEw2hR_/?+d/T0DXrILa_pW(.JWAoa;dl
U"H\E3R4mAOj4Uc2RZx<P==]wtnDD<A[0X+VsEefes#>hhGv190lIgk+VtZN$KiGK
U"/iy8rHS-K4HiEy<\84T-S7I,/sMbk4';3dfpz-MYtyCsR2s%ZYWH#d'jL<R^#M/
U"Qx=U2C/uJP3&]$'lQ$bzM-#[YKDL[zQ,3O[56+D6<c4e.V(Ym,kyp/igXkjf>AJ
U"U;c5+b$sHO].+6Amx-_Oe*3Xg,mQSI_Riee)crcsQOT68$/pUe'EyGkI;oBALFZ
U"mSkeN(CykO&'iMd>'&n:t6VKv(H7f.YD^%sJiMYER&zk/6j=]=9iEA]0nXdxOlo
U"0E;UYM.k>K>(r9ntGs1_Dv_1C%RL4f$((eitJQp+G+0Zo8?P>i7?Ck%lag.9=Ut
U"<R:I.?t'jA_RbAEu+)^hqBo4fUz608SEqEGY(<XvAbO9q+[qObYO/Tl90z_9c?x
U">)DqDCIcE7Xj_aKQiCdhZpS33NlbJ[_q[C'QY9&BuaP-XflTtLCM6_BC64#>fPU
U"l<#99qX/HXtER:uJmF5Bj[<nd4aI%ux.ndOo1><M6?69]Jy$g9KnoBN\2gCFs51
U"4aeF0#+,q7%6>?j)8,Ph;tqwO?W:VR]Ap1g%2c,+QL,2btuga?dtowD&6cWW][Z
U"=#>1m-2$$ms;fmn&^/L=9>JP+:FpE_c?+tygM?e+sR/9[]:cC>iZ(5Fm#*/w.9w
U"n9UD81#Zz>+ywvem)'?])\bfEY=loqAr0;%V\Ct0Z;6B^$M7)8qB#i)[Ls3o=Sg
U"EPZQocc(CwfXdxo#DUd_?*a*KUST5%32d.z\0[)t32R(lrM3v6'<p<eWK0dhtsB
U"*VuxW9Q;y22G?'mZ;FWF9:jt\CyM_u>gb6dv[pIS>KLi+:kiAu0amV7(aM=L$?g
U"3Yxw0(]lgux*SY:(JV:?yaCG#d,NtKppSS6.A=fr?>EC97)']v]aVj?jEmG\wtW
U"VfZXm435F,+Sw'283y>WoHTmN)d;9##-07Vt#]-##[m_CG(,.j%G2eono>Z3O7J
U">',fu:^G*xXU00mNdN4JV2;xmL=#)0UvMIdDo'kZbXmso#,,z+KmgiJ>KGL8IkP
U"k(=6nj+j+\EGlSG?ZVLz%-<n5NC<i*]$M#U15n.yN*mchN*Zk(r2,R$3d]:e2>4
U"X:J&(z+E<k%s+K%^pvF^*%Y5K-e8A9Ro=S&W>T8lvDQG2#=SVpf^G(a>hC2ZnWr
U"4,'VVCnS^qTO>\nhH<)7HtaR&(5S41JJyZ+)+WINV_?.ZirQsC<)Y<yAN6\Yt2t
U"S'?5at:;9[P25,VZ]qHtmd^W%.0\0sMKRbu[4TF32cl78o1soSNAo0a)8w[PSdr
U"Vr?Iw(_;<bd.DT\47rjU.sfhi5RLR*j(vy9LZLl5^RoX3#TOTQT>#TrewG;tm,r
U"VLR#M^D>xH8Nj8oI-RCyiDCSr(;+Iiu3.4PXB//Pxf?R=oBh7)Pdr,aKI%&[+sh
U"bnGT#wMU+8QOD4*3P4xXMOAL/_gP]K2T?kZLo6hE;;[%N5YYB66Xrj*R&c'p-,:
U"t=Ist7g3S;hQ^KoW7mR_K]t993<+a64t_HgmrV_TV[cgH?+R(Az7yQo/$FiyKX:
U"J%y:Uo<PWRS_#7Gj,+d2RF>WB;h_QEx8CM1]&qBd*(V(z/)<M%q2(?k[/$U(ZK'
U"*IVhvcLCB.MG_pPV'1Voe7I:#GVMl_t'f&g(ZQ+bYTkdF?tn%;*6+%qC7+FY&Y4
U"7)-9l8td2uFZZ\L+4>P/?JD7(c7ex#2JQ;uK'OU<0rBR0,ID,yCn_d_R8fp_'Y-
U"\lpO7$y6LpeQl/$BEHpQF2k9WlT?',VpUwT$$v3Z757OA\h#Ihhjm4U9&*Kd/;_
U"DK<<4IW(rn],iCLMs%(DD,j8HBfF3oKnhS.Uc<w4Kfpbn/-HQ7tm$p0^Y7/^_rN
U"0fMc8dVQ.F=BD:R-;<4JIGV/CJS,\,VTdYYrwoA5wJ(7dV5CJV*c2^+M*BLdw#v
U"JR&Q4#e9/lfIRZS1.bU,Igaok0new,ay/BMX/6Tl<M)&/]Si%_ci07x?MmjR4-v
U"IRCgE[m'HWYIC'iGcGZ?MzgM;,h8o)<xWp/rSF1gq$ubw2b&?b5$1$w\v&Gd(]m
U";?sb8uTYjI/JkF2D2,,:=Ctd$S1)J26nc?9#>UHf,fZl(Y#ESL3TmFGt1(#*eC]
U"Y[Sn2^\ueI)$Fr)3*wtP[:Zc6+*<u/b<>TZFgq86b8c[Y'p,P37CQ>,pn2Ccq*K
U"DT9#V-TFC(#I>TrOUj\rqB=4'B26la(.3B;EHl+QsZXb7p<dp7*p-YO6g>Cnh2*
U"S[E*On_'R#]f.A^DuDu*A[7vO[G-sP='oU,=:aFIc78y'u7I+>S7dHUd9*,$-rd
U"=>>&=,/B2\e:dwmYjlIm9>rs17Fbe&%LB*V.E2SDgmMH,-xpbep;0DuD7#cb59X
U"#wbiKTZF/t%i2)Q1^b(#,ri0M#Q3+h.ef#?v171bS=HZ=%;a11D8vcC.F-X;vyF
U"6SCXb^Fc$ZB<?5QcuGB1%DEdgW.%QWOlckcWrCF$7a$pNrD.3W#&4)3uA&7Y?Br
U"9S'GLDTpTfp-ks6mFo=JMDXVWTVwTdwaTo8]#jbY\9<I#hUm)sQy8.vfg318c'v
U"frW]j4Lpr\WK0\5]hkLKavS/o,+rI]kr+UF/VBO)Fici(Rg7.X;fQXM,'T^F:/p
U"Jih[U7#gqS79fxbca]T<S,8,V._rA<Za,-Kf:O)pzUlp;lw[NI-7-Iig8&XCIx$
U"&+i.PtISe&_R+GJDNz8rKu_*9]Owi*Y23)O2TX44,pPfupr;NRT=9G04;vI5m0n
U"*aZ;vpi9p'rq-D/E1$)RmNA^\T%hiYiA?E:?oZZH4mTcR)sT5_1GlS<M2KP4D&w
U"&fDk#mDjYmMbkiOL#IGL-skee_RLI1AABF+J)D?K\me]];zwfpw%NnGfo?W*9pw
U"2Q4?If\C\Y7ga_4$;pz[)qPhIefwDOLbq4bJ^TOa'UHO3a$>e]O1pWQ+z4lGc1A
U"'m5NCOC=L\Hc/>d,/6i=$-')GQqmf^=j%YUg-DO.eE*;JFZ\]z[HP->NehCC>C_
U"0%<SMI0?plt_;aGk:X?H$;%bGjP=jBK_Sq%EZ6H9e:n=/^Vi?F'lPc0fl(p>44^
U"ACGWa,Jq*,0*MnUEk%jxt.XGQmH5]V&%>#ak(9Q4h-B+5xh+.4]qh3VYu>$q,on
U"C\Y(j4tbN5)z[KCC4I5YG3n]JJouo$]&#9[V'dBw%z4U)n7COBaI^BXDxB[a2<u
U"LYWli+IIOy:#4doX,n&0#og,DuE)vWgscg<8iuFg%yy/Nn(BmP=XmjY8H:^/o)2
U"5^.v?LrAO3'L+j-ak8rXkX_w+Rt27FI(;_8*j9K+One3QTZ_DR75*bEy0jifvJ%
U"e.izBLUW^?K#$Lu1ZBu4PsGoosFu];o^Hp&Ny,I;hg]VgqQXF(427&Id^>$(QT'
U"W?n)Qeh4&Pv)C$Cj-[$'bjYQ5r>_WxMeLEbG[lX-JG1,AsTph.6L'CFNLZlN/.N
U"26A*%3wCc8xgRHjr?pg%dc9UhgYh(1uZFN1R73'T;p3X0tos$fZ#Xn^g/^?a/^M
U"l0^wv%42,HS/LsIEU]cJj6/g#4*0[Me8(Lt^Qg*7>Uau*&;\,-*]x,e#6,hc/ti
U"Rs7t;b+W]YcD%(<+f+Fa7)t8U-:X0)UNtjhxvJKlrSqY52_C_>&8Igbel%Y-d,M
U":8ZuuqN0WXQTWLTJ:?eFC8D'97:N$mVy9xft,)E+)s4LkGLp&7s]]g_wQdMBiQ2
U"Ouk,WW.e#;kc65>W)hlYihUr6ge8I$xDmA/]/xdYD>q#g>^<$bE0,Y1Jlj3;ti=
U"wd?<MP(8]8xC[SJ/I3S6NqlGq4&k0KqQN6Vp*'.j&Q+>-;Zj^&L34^l_N:j7R(Y
U"QioO09jg*8iOY_9pL;aj)c0v0m::jX[OO:c/bka1rl1$^fGPmp6nU:n+TG$\?h*
U"t\6V89CEO%$Y1vrybqj$S,N<W];R8f%F+/WcuTmd(ykKUS&MQJazTNDvPaf8LI[
U"g*K\B8/uDjYCE/B<2snYomtbgG?gFkQxZVBXO5zOO:/,\'Z;o.w%I+I4)vF=Z\v
U"G1v9]f8&cfx#'E=RJNbkxRH#M6X(RJs5[[\:ruTBwPq]];$N;7NJbSt6#ZytpCe
U"NG,XVtN?AEqmxESEDzb*U$Y;nh5OLTJ40*n)*OsJD(0_6b?mD>sp.p.I5WfC6<>
U"kfNzBJsxd^ezCxI(SAds2y(A6Z%['Gq>ftC)L=UVW/CnA#k92/,9h*%^3sJUHH6
U"C7mh_+5<7I.WGx.B9Z_BOED3VG4Il[\c;m;,L.$/,FuCNU)'82;\)CmmPaQYK4A
U"&kPo=F)Q'+ZenBqSz#xGNgtBB]f.nYP>\OWZ=H9s/A-[?:-;Q1sZ).NH9)K.\R:
U"VT5Y:Z_%KZ&A?Vlr-PYJ9Um2>6'L;:eEeNfOG(%o*BmE<QbyZJCBxLN<BB/36/g
U"N=tP*/WZ^%/xcaOG0.(U?tfZ1:xgVc%1_(Xo9GeDV_w#S_E-BmdQt84$1FREurZ
U"UJoOApvK/O/mr&M$r;?Q'teMVcQdwi%laPN-ZoGa[#1s8&ENy<^e'y&(/<B;f9c
U"[GXp'4&npCb#ZkQRB%xhOKrPEp3.qagbn,YuP7Ot4y?C'kT<v^FP#8QDRV1bHhd
U"B(:p;KM.>7[[v&Cg$KPUvPhQO[k<_Q^$4L3jmd6DKE97A5NDpeOcVYHO+c\h64s
U"Yen\^He]e6D-uua,bMcO\9,HJV.U0O_(Re0(_W5AZLwpC13jA-5I/AwV2S$)vp'
U"Fw%o,9Go0X%a#eWzOd%,QPlDp^-&_wO6&TWQf_'uUQy268PP:2QXy;QE[A4gj,+
U"i8aZqd[v^U+]m,L-Urhn8v)m#Fw'fw[$:e=8\va8B;$([Q<aJ6d.Oc]U>U?5ctl
U"n98L0>MkX%-Ff%<wP1:kYd:RUmN$vPitb(PUX>HQkN%[XqSo_ljReEbN%g=%QnP
U"%9fPWFnZ^np&;cZN95+9U$1h=HA./YPC\ykZpqD8g\0<f8)jGjSI^uWrMj*Pgf<
U"Su-K)WAh?*QO&'w5+=Alj/Am?%]L^Vd*)cA85-YLu?^^;eu='_;Io*/m+L6Xu%x
U"V=Rj(fx*#SX7t\c#S?7bG*F;?y*58g)%4exF+1&kv<A\HspQ8=VM=1GOKa+>vro
U":AO1qe%(O])Fskb2?p*%HZT-p,=oT]m0^f,m'EsrW9Xkyje4'bnOBVbiv,gY-v&
U"o%tlu:6G/W*#i82i9MFwVs8=I9gLYYfghRZCg+vn+j?K2gc&8_[IJPsY(N#Ggf'
U"acBIL).dNROkf2+alP-'u03aVyVnD7zVS\nU2u9mk8B?2bokV+U-<;9k8]M%>,Q
U"O%ALLckKaNs;(-+MIpO++9)O)]n>zZQl[5dp$VSp[Ta/#R<p\9J&#=SnLh]4]fe
U"fq)Jo-z(mU'+qNb,jWn4taV+#B9sclOW-%UhyRa)XE)FZ5g2FL%c\)&TS5]%>NA
U"Q=OK(Wxi$M;+)<O=#PeN#fD7LG^ejpU>Jerg:#/12\?^a#z3,l0xQnXcI'%<0u.
U"T]FB6q?aJ9m[AKVTD.;AiWN9IDQDC^ye&6%N=]%sR;InEl9#h)svhF^S1%g#8[e
U"6pJ=te5UWI<FMR#O,iTWfJqb$d<L6NfiDtV4Q8AXS)C?>#w:zm_%,V;Gjv3,o,T
U"e*OkOTgt[Pce?vdPLyH-;in4Ve9ISPV]u+[XnpAiGEmOth5_3Uz,sWP9K8s#UY4
U"CZT)jU\6R:2+Z5,xI&X$+Ny^<u-rHI_GM])^,tb9%(8X/VUK65H&M7OXMS2jJrO
U"2Tj#UU^hJ'7f>Ek^:PtSk-m<S6T%)^o5s5KDJ2Bw/cg*jCj1P;]PJgcWuDl&mTU
U"Fp%Q=mnn%VlxY::KcJv<;.Bit4<4njsm&/g)kH:GJO<>dvv2C?W*/dhp7To5m6>
U"4IZ)tG=(6I,D>r^enE(m_+e>F9ceZ7mL%xKhnhQOdv-[(an&-qD/V,_O\aP7$)D
U"-I<3zd%[-38sZ3,3.CUt0+]r1%K2Lla\Zren$=O/m+D/Q?LA.c(^+oCwgxsn5kf
U"Hqrm,>REboV37G<a$AEt_UMoi&8'Lx?oT4Hj*w<)W#WEhOzVJQzPjCJf5^C#uiN
U"k%Y1M(B(Y]46DMHP/=Kd>S*<#\I5?nAC'/na2#)in^6u8.n%rP4+lZ9%y\2/[)L
U"a%*T+h[J2u7F8hE$dLRgNc^'LS:2IL+O[N(0i,8MO^[pjh)MtyGeu[,-uDRp'-=
U"c68Z-Bd&1Xf*UxF0:6QJ,MJQO>e:7(SyV%0g5'BKi?x#EFR:2/yLZsO_$(23i5U
U"p&(+mzf#rU>*IS7(JGF;[[?;ZA(oGXrjhd0Qm)UPa5?v-gVeb4o8jc54EIxRBfu
U"BBuQHF$Zp&6:>D_pun57k3>*uN%a%R#(nX9%?$S8d]3grAIRX(beXh,+Vx\p^''
U"q7+Imnb?>Wn&=EB,tBlxNAasB<NAfi#rF=CAyXr4$)Cwf\(K=xcMQDVC4i-p7^X
U"&^brIG*u]O,u9bWam,Tvuq>hYAT\%3J.21J0^E26bO7300HW,L4:DMh%uobNY;b
U"g9Ns/5*,C_#^sj*%ob4FWu/hRretq_D/SbV_k+6YcYx72EM#z.\1SaFsRE-;RF]
U"b:&v\Uj];PT2.x:.EoRvb,(-=W$IUB?r+7+k1fUGq]9qVIUkAJKbvfmXXyU>w#q
U"7rO^z=JP&7PD)-\u,%#2b;'O4,DJU%UkDbah)_TYd$cfF>8F2h?Wa#cb+^FjKvw
U"UfueEAA5sW#zP1Lnb%qvWmRZgShW*b+QS9MYTnQn18?/U$*:%OB_G0IL-[n/FY_
U"k2saB(Jf+ppefx%%+_Vhc?>Fh[\:#2pyp3>%)up8K'rO>3oXUlU=ZIK%^'To&-,
U"*[$cOON0BNS:;gl5?)$5z2>4fwk6J;;8\$7Q?R.P8*<z(*w,AQursril8%,k3Z-
U"ea)%$cI9YI1*_cq7uuQd;$;1.)EKS6YP$8[w<$5uFQ\^[wMfB.Eu6uUDLjh0s89
U"KZK*.Swh*ulmGk:0L+i&6*X</>02/=HmVOalz6o/al[jXa^h=alvXOx06<Zxvof
U"Z0X82NP]giQXg[IFsD5]^N=j)AgqgDhzgQxJ>V]Xk1wdqt6>gxVv1o]%<8?K4<,
U"]I<ccSq7's<oagjosVWIjG.VD55,h1=Z,x1zqj0*m5i,g[E$%n:,t?t<T\.=T_N
U"'T0Z_Mx=Llx7g5en:b7Qv_qV+;XSKN=?zg')1\S[+_Rmf^6Dg6xI8dFT_DF9SB>
U"MdXK)L2kM6Vf,WR>6ux82BG]WajEil9AF$fsP4-ss;Qu0c2DOAWP5oF1L)MW/QP
U"-Keh%h-;D3%M*HKK,wM1U5f3gNWe<jBdp;gP]Kt2YAg*p\h'dK40$N-7>$'xVRm
U"dc*bxJGT_F1Hk/[7>fYI:Gkr#/trrXGv).\KSrr]INQ;z2QJCKhv7AYL=V\\G_h
U"x''3vHx>9:#t:zl7,Xo%tzD#Dv#:X#U%(,6\)ZR1)FY<74[GX$E+#3jjBT*g8l&
U"yZomIVl7GBJ-/C\koR#^$:,&]FkJn5]*0KFH9FR=xR4eadq%ZGYl3HU*dO$<QYB
U"24fki$$XU)2R4H.S2%zT3D\SpY;4n*GaNmka44Uk9ic,2>EVokBONVQqZqYN[0=
U"p,<q3VAnRh'C-Kh/lW.A7U*.gnV^I/xwL2/Jw(-n4bX?ZlVXegF''cIJ^WVCnJ:
U"L^83r0$(TP*B$TJ>2%--ApX%;4?Hc]K6hw=d30gUYB.H2*(VW<S,2By+FRuDVCE
U":Pa8CkFKNj\Ja+Tn)_ZCB2Y9nK#hlXlU*Vp%zj%H-<;y/YebFavG5c#,DDN^$hn
U"G7=5;rtxx:KFZ1GeuQRRJdHO#gv*,CDfP&RbkRbRX>9<Sl+A7[og_,+fbdgTi&h
U"f[Do79%RK/]g_-qpL53sMNc2%bkGMJ?W8Z)vA6W=KbcGanmV<jM$Pk&k]vFT43d
U"7_y(a^0%>u3]:b>$K#8xe%^=xYvORvOC5,6%Q]&?w.9+B0MojFrJ]of'IWR't3d
U"JxsW6GYrVF<3\:$(+*Mw\/]h(=+O&44bCUInM\ipaV-[x+KCQeQ$_7oo&.ruNR.
U"=X4OjabMH$kNI+YO\&S+iQh6\,#6D8.WsvFpU:G;X5\zr_>&nraO]wlfKRNtk;)
U"uw_F\Pf\le#8a7d(d+?%;=5mJE;[PPD^J=WUqe*HR9KruE\'V+S(9B-CpI,=#-7
U"=Xi[T\#W9er*qKYN]QMOjr4jAdUe^]f+GfACGY'p/dYgrcrcq=O<gbBKoc234W\
U"9g-m&?PngrADs4#Q\<<Ge$IuhIbO?Ch-#?mOc>j^W>)jHq;jtj1(jFPY:-&gR]/
U"FA1tMkeRP<oCk>NjjBDpjWB#MidCKQcN]S1^$bJ,9W)Ii_GRMrTK3ZzZjA*9;h5
U"5/=*WD]/2R)^c4M#8I)oZlkLsWK2^zBTVyaWfFA0m5KFSDQF_QJlk=VK:5M5+#U
U"q?FEKs-_&q+E=VJgEd;(scP.=BMXrF,K$w]Hr,Z>I?M.NPBu$Kmsl$V?'UYO0)S
U"b7wK%4-YatQ]B+9EiKet[rKxDOXStH434fxCmFnkO%73Yd5(;^bupp$'RdlOiY9
U"F.Ys<xn>r0--NNwyEBpRyV/XHjrNYI7xHNSCzgmUn;>r9UmL,1/gVRdS6B4hsHV
U"$xGhK5VXanhs/:?)ZHhSIKAYx..;rJ%XnnG.V.enBoQ$Lez=0Rq$4VDN7+U*MRe
U"8BuhBFCXRE^A?p_wRs\jr()BvTLCmTwtSuYS_RuB&6';1]#81;u5W,5Fa_n5r;q
U"^bi8O1qhc)$$FdY4AxPk)&%<sO%Lb(=UV?&\666h$$$JuJJ**u*jjjUX6GkCX6s
U"1t1[ur<l4s1(($6hb3Up9X0uWj4f=35_UnjU=6sD6#VV>F<#3U#,bjeqRk+wLmE
U"H_WV[g4N^;#laRTlEhVb#Xk,[]^>(NBWW$i>o?5k][^cpvQ[P]I.]1EW72a6F5J
U"VbWa7Bu$Ni)/q.r]mtHg=-v^-)UX[WiJbga%mK_?'xkkX_bq>\9HGg-Qv^WW2W7
U"BiDC3iC.yiCYNw\Y]2W[]UTxQ[]3I.]E1-RYU&7.(rR=1qf.[5)(7]XxYW[]I.5
U"]I92_p)(&IZU)R+&xW+UR<IUTwQ[]iI.]Iob1-GboP>;\C+(wm2Xamm+Bv,AW$g
U"NU^Qq>Hw.5(_'kW)9R(Mwsk:;cL70?OOfB;7/c_wm#mM?*#C?LYK>iyo>g.N_4I
U"-k=>^IY-+RpruNEA''CX+x(MOlZUb#:pnCdWxxdEstw:ik3R4p6N<VetcR/A8iZ
U"^(ZL%%;0T:5Ih_Q2Ds^pdB9rRpt_[62?FvT\RRK']J%+I&sxnl,>Dw,6gH=y<UM
U"V4-j$3Q$B=YVX3LUa$Huo_8rkPIq>/ln6FX=c<O71xLKB^a[:x+G?2t;i1U0UzT
U"a,T)7JslksP9r)2gTLatVvX&9_4jfr#jLttwL6C]/+PL.3wcID/h0zPp&[&d8H'
U"cn5Uq2U?mZ$nVlI)4/54ScLVv'<+%xX8p#q8tteHgB6KMbg8h;^YdW(NaC(voXh
U"iN*()f)c,HWR'a-qfQbh4bpc>U4xM'fjG(.NiRbP(oB5<Ij)fw]E]?bo0AovHxr
U"rY(t*I/JGI*T]zB$dN*UftsZXaLl;6s.uI#I.\\Moqlo,N6ohWtcs%*e9v>N8yj
U"feBPCv4VlzGP9Kvq1Jx4?'=EKYk>Doh&V:;6d7n_.dSbAumZh:7Hdo&I_F'XznT
U";ep3.WoBO+(12kdM-um_i6VWT]>QPKpAec&'hCmdr%PI4I/VC/(QY^V'3;.9xNE
U"lKTf.r_(./YtZNuR2nue8Y#?^;_7]B]ng2PkkaGP'DJ]LL1[RBMH=RT1jO;Q2tV
U"A2$VW1WGQOB_DmNK=;#.[PFLu.iemQ*L8Wb.ZIuJmMKCst;]2%,YZ+IJmo3*SeI
U"-AYypV'$+19j/NH78d)TJfs;gB(7tb*8-6zMFF,IVlrgpQ3xM.Kwx,?G.?,mrQ0
U"OSaw4AH+k[Sa2#X'aM#.*^4Lg:tK;VwzE.zZeGIXM[qn<YM%Htdusap?uARX/wJ
U"=K+r]J)(\7TG[L?u%e'91;;dfCS^RHC1T9iWBnsj3DHIaT#rK9ksltWOip&D[wL
U"mYtx_n#Oxcg^cRd;a23.&sQNECR#vx5'^HP4o^rmV2UdFoCZ'3Gt5^x/fpWVRWa
U"eH%QYW:j>M4p?Q^W:KAAmm;$>L+I')Hhge2KCR[$;&6+6Dk%2fk#VulZI^NKIJi
U"MD7v4dm%CrD,<n,oVlY$q%Nrd#9;D#VB:HueC,$02QB=o.TEe:q#]_dq*Jc#$9;
U"K*D(8iOcFi6&\g/5,YJ1Rj]Kx.#.g[MxK3&vY_z^HKVYAQWH-eA=s7qNnNM&z5K
U"M68DkOH=Ea-Ao[C=0pvZ.C+(szQkC1/GGo1z7vGLq\=%g67<Sf]rNJ-1)^)tXL%
U"TDwvy?QR%Q0C_8o*'Rf>qu(<.:;7)Nn)_y.n$Ev)r(mTz(\S:kYadk?ka3^j63U
U"hVZ#5z3t.'koz&xG9oeH)=_hh>\93<]NY.'/9g%$)(R[<XcI6T?Z..O_MO<71fu
U"5q\NX*ISb2]=SaU1;E9u9Z5Zb9%w.]>&:9$EI$=6i<.\[)c0FmdX=s2$WA5#er\
U"1gD/[=h.VWUK.y.p841Kw=2ig/(C];K5_i*8f+tJ=b(eAqu%l&]B<YgXklX*zV'
U"K+]/O/JrHD4ts&,Ca^S:7<B0rg2YWoUmWW/IKuKN3B1]=tDjn#^VJdS,<X:gBnc
U"x+]NTr,4#Rbf:cTpE;xppnVLw<Bo*/R$S83mce-?mBEYs,R(%i8O32lkjSbkPi+
U"VU/mc[.e7(WgPMGI39p>GQUR($_O#%5^F)vp?mYQv;GtTq)SQ$6.02LQw+lcExf
U"'M,kgHWS$wVruRHdByvBG$PnoExYr9G<Qp*?/oM>[yVNMMAUtEpT6ItN*LHWp'N
U"s8SQS[<3S:H2/?YN3H\FTQ[Xt$.\fKVO:c?1+2,[5hN]OPmu'HVXD_wPifN)w09
U"aBW#Ea?YGue:,pC_'fHDq5&s-$;;ueN32x0asN0%a,:nAvA*'RmfOx\tsTlkUJj
U")<#Ww=Nf)*DYu)9:8H(UUC3QDJPYrL2(j)oWA+DMw[(W+AZ74Dl97<uZIL(Vs^u
U">h\?J<LJ]lFHsTiSu<7.LqH.=vH9'S:ZI?cdxA>UEJzh6?U1pL'<]JQ39zfZ'+p
U"#?K<Edu#\dHZrd\JJ\DQTSbb70v)]lo<XhJ9n%^^iM?WGGSZbQ_0$eI2Cj/d5,X
U"Q./S.QjPI%zfM,iRn%ze?gBo[SR9;&_/Go<]]=9I:]j4,^o_gj%ucTiCVi)n=qq
U"_=9A]D4E-/T+:llj:GvKwU?rK1.52Ir5Q(fxC\J4j1/C;w%<)4fDs.K9LE.e.P(
U"8=Z5]MUq9>(T],lO[AoK+oQB(XA<*i6XB'ERTKUC]6<sxWf$S/k?Vx'<7-u?xp;
U"nowH\LbeOHYxDb[ojDpTn9D+.S<Gr8C:DmN_bM-O/Rqd$b1v$Q;wtMq6OaoXgr'
END SUB
SUB V4
U"O&Be%^2N?10E<Q(L&ZN6Jg;VLq;-:q-'Bnc[[$=XtDrJh43O/iRSZ:2CnGY0m0Z
U"pJ<sES3GDZy*Vg2iC(gM_&Utv]vRx%vp?]3VOW]))/Nfl0A7>uRHE-+,GNsSezd
U"2t,-D+&O5ACMkR[25=))]M\RlmT0'rQZcWg\uKeh)dAAMdjAkk,;*WsVkbF<?jW
U"hGRXMTZ&&W^r6LqBI0X7:oHc^b5>q2z-<gvb4dai)JY.niji8jS>L*x:Dnie4[x
U"jjxAzh=yCCSszT9v^H&,#$D^bmuY+]u%=o^UewR9Y'\e>,2Sp1qI*ABp#iLk;Fe
U"'S3rbofW'LVcdQIMuQc(T\w&<:(zV[+xK^UYV;CC$3FiR(;MkE*'wDC[vxBMCD[
U"C/KCbu?3$%y[K5jai5BJAzTr*14hx+6c^TjWpexsrE(R6UL;nv0ALwEIgKHUVm/
U"t$wCTs03p;f=1e_:SgRZ,F$'M\aci^Wp-e2p%J*W\qY9t?b&/8Ymr^fCj5'=8/t
U"O)%ruJWifvJYfSW.#fS*k)Q]%y>WsCYDwkx_a2n93[DAa1/hDL/01IqaD]6zjp'
U".IUO2).e(lO8m>Z;O[$QR->I3%UcUPa)DL<jcM*rZY'[?HAuRk:Y>$rd/^OoCE;
U"ri[&DkM=4k%9Pa^Gc$nd26\Yd=0W.hpWg%k8*R/N#B&XyUbVSojl(1ijSq-Q34+
U"9mUE=UmqCyibJDh7dQ=pfPdJWPH>p)8-5_^rt)XaWeQVl(_<2QHwDHAymCaWc^0
U"O74uMag5REPeT7=%[l&l)YeRg4dz90)_rUID+.h4hj::C[Pd<Kd+?_\BB;)qBp6
U"P=nwubs^Mq0A0AjW:FGA_4pN$(1+wDsd&_;:R?:1u1sCgm+/w>kC1NMumE7p9(?
U"w6*B&d0ES<#ZPD_EE.')kvVdzsB7nAH9IB<O\yXeHD.6P%fF=6w(1mj;tRGAn=o
U"=Q4o8++ab%+9R3fkgCE?uO6nU]O[e3Mwc6c-Vq(40V<b+mUbxvYygDK39MextJ_
U"^]4QdN:sktYFVgD;eOCp0RAl_t&e_fO?2PO3X\.[&h8,fDJp%(RT)o[[7OmY/B4
U"iB+[*N.WFm';#D&uEwHYNYiD#S7w+TYFEEB=j(T-vA+Z^_zPPK;X/DN3CgMftcd
U"SUekg#_.Y&7OcM?mmS&g^URnJRGvf'c.H%/1S']AO+Uml(Baf'_$O_#qmFfhhY_
U"qlGgm+cVg1d%j&?*scfDsxxb[/.aeK%/Sd'_XH?;)WTdF+J?KR7'klh;dU:ln7G
U"U%*QoIng$w(OQVNhM=K-TQUbB<YshVbn=*C^iSd8CMy&:'WhhX#9)[C]k&uwe=y
U"0Ndb]WooTlC(D$(/ASTou5kKv_8Jq)E0=Rw_ro-Ic#gdF^Z,lLJy.Be0We_;DXO
U"Ax=aA_4BT86ag=fW1\bH[TKyO06S&+.Uv[pp<1+(,%.0jv'PT53;4u[g=TQ5wH7
U"4^uc.k[Ycc68koL7*Qrdrd(sIku;\X>KYdiS&E*?S9JgvJ%?b>e[ye%$Y[$JJQp
U"px0;c7:4-gvx:,oWrF#uKFoRUjv4C?IjZk)gVn%,M?(6aPSP4Aiw%?f_;Bra^q<
U":8zil<wEaf=W2_9eK7PKF-PZp:-/eYn$YIwZM0m2Kft,vGdft,8tzft_LVTXH\D
U"Zi.u3CaMDTeshDQre:T4doWPd/d/1[7>/P2-0=#u]%GtN$aD)0Cr$GHc9Qr:i$q
U"r?OkEPfQx(1wP13Vf>K+mH?ocDBBkAW\OU0>&HF&pA9;)f;l\1bx<FgOAnWmUw&
U"[BTeo7CP&q<g*c:^<i[#Z]hO<ooGBeoSLVhOSX=uMiAbtU1o,u&7H^+<RbY(FQ=
U"43skeM_M#%bYyt#[rx[S^Qw[uded&wF_r+fu=*HKkMm#m;O08zJjvJkcxDX&=+c
U"o=1JUVA7IQIARj]O7_P^_Q4cNgtBus+Da*?asPsVYoB?G6Bucv1/bg&p?TETt]M
U"l5fA(8JWFsDZ0IE+iFZYTM+p18g$m)2/$\BO$-jdL#82T#_dt_iB&fkSr%4bQ7h
U"fv>/E'0eeMl80113Cf+bFsk[MA5r%u=PpZ*3'ISivi%;ZL(Z8DIK%v48Bb1I?*n
U"I4,GZK&#=mt3[&xPu+lK*+iLUem\1J49PUIEhcaCbHPj\#a;Y+/-nUpHZn&CU;'
U"q7rBR5l[B$:xB#^8<YN*,]qr>;%4/biF60^;'<%&TxC&]I*%bA:Z3;XOB/-%-k,
U"TdC%wnKW&$gzO>1^,2?\]fb:*G;1LI0*rw_Z(epw.a5.N1MS0Hp*S$^*#/GXArl
U"xX'kmc^Ly.4uQn)'f?deiu>pk9:Vw?/#,heAceoA)CO(+n3Rh;+#TChC0-j3l*Y
U"-_JoTo?]Vkcp&/%PPT,'e\[A'\d#;D?kpRtZox4N=NU&*HoTDF9>lRM,XZOD<33
U"G6&.B^KC,QXu>(r9k1OyeR4wu?)Z1+e]g9)W,x;O4ON*&XNqT<_sz'kUfhnvn.=
U"]T\,O0gBOjnpIrtDOe0KF-gqn_qTe0+*tFwU2p&IyFF7D^-3>>[1[p$<fas0KW\
U"&)9Qv=t;O[gvh>^Ic_02sgnVw$Cz/Up,2Yw7qwI)j0&&o>GYCXt[WO2KE8u(_^f
U"v,)SYny.ro_;R5HTo6DjVH;;db+W9sTY=/Jm%qn;Il76C,fT8r^xg-G/4OX0UJ%
U"C)aKMNMl?3Yyp*7akvt_U;?vkR*KN,uJD1[d/uTEu1%QmY7ua>\0rh_R,pPVf7]
U"/-7,-aMN:t1;MSxqlo2Pwj%:v^4,<QA'NkJWj%in;>h2'fg:.fCsl9NTB:0zcXf
U"hJCE]wI/Y4ABPql88$+*w=-[?pJi.$z%M[%=z<eFt3dMcZSTm+N:LG'9sw-p^<&
U"Q)>9V<wDV*.\k.VbTE/9.C_X4,*acob%&-Q($(R:$\vhI#0=J&f9tU\TDG]d8Ap
U")mnqaT'FFCo>H,+SbmZMTf#9(s?4a]W>L.sX1nsuRL$FI[7sB)Uie/t^I-4YNg_
U".HrLqpU.4jjks<8W)katxdj]B9h9Rifg9u]v,Jq%%T</Qray82m7_XGyOO?cp(v
U"Q7Rut5W4TJf(P0qec1rnA_bPW:X(naOi'9OZOD;;6m#)wda%hli*DZE3rw/i9pE
U"R%c%#VeDr6(l_JjZ9YTaBIC_3^%%pNxNCb*W[QVJ'NAmi6729q((jD%HkCZCu#9
U"X;,,ccv[2YTAmtheY-zV51OfhR(;<9*YXC3]h<d4N>nnO#d:q.9]HCLYp8US.vk
U">6Qq\JN:UQDE?9l]3&JXu4HVJ36=%24qVI%(KMkCv$2k)hb=KK).W35jPKC3\A=
U"-0GXlWTdf)iE:qX?,7,:2OmV0Q*?\NDLi;EK2](\Y1^/r*2[p,KO=Do)22Lpy;a
U"&Z58l3>\R'hOg^D':M5[m>\fjV\Mua]pn]9D^0+VWRu(BPAQ?;c(b19#888KMl;
U"N>dh>&$0oluoD8B;C>9>ZBn,9^$VBc1K-hDS6Ftg&X,nUyo4j&>z'J-FXOorD.n
U"^h6.an.-E-JG.iw8Jcs0VHzs&.FtE1O,X\yZ]YdK%,Q2pU-M>'*0NzCGmopAh=D
U"Sq^N]+>0;tJ+rOoYe.MgE7M5WUOls(R)N;K+x<MvPMV<:?/aq8/$*M%7A'BO\3P
U"QnQ.mXq_YErq*I.yeWPfr:RV9wGw&)_j;(NOIl7_FvO1GJqZr[e:'d/oL:9h7pE
U"u5HThopf(bPA1jbIr]5iD)+:kn.2sqIJBg0()Qu<h>FnilDy%1%f&>-afB0Ctfr
U"1^S5b&O2kppVnm8=][[BZED<pRhRAj*wmj03/)Bh?5>gAUuVnGl<nDaz(?rmX&u
U"$<o'Uor,lkQiPE.,Tbl7217ay<.#1H^$oI?,tkmZ.JOPgj\98&c1tVtn-z[WR[f
U"0[.X5+E&+HI239qAzqpk0C7vaGy40+Ph+Uo?A(j/2^kq[p0UVbb/s9+#e+9%,vl
U"01j_p$cR]SB5Ha6HZ#.n=bup%pau[K_$hvmzOIkTbR8yB5/[sCl[=uc)gKA/Cx=
U"+Bp7'LdW+bMg*Vb$Cz]gydw-xe10OZ?,v=syV(2^0qG2g8J(3]yM$I7z4+<9Kg4
U"r6#HIcvp/wT9Fnkd+e8[n8FG[xCta7u.w^_)$5mxq)<43+Pg]8Dh/.v-*[-5LZ:
U"O8+bag+/^(I_&ee=utpeIgfypn4EnZ'Wh.\<*2MYH7VkhNmGYS#*L-=\hanIo]V
U"U<,?aMSiYph1E2E-/$:*8l1ZFR\GjmE>2IozU/4NOEhRB9\;']v+SJTIp/v'G/>
U"Kxm/]K+1Oe0$SKN?/*o]j;UQ],//=E>y,Jl=\HuaVTnw2U6TAE-a)fH%;GH)c0H
U"Uod\IWF-YjxU#^jF3d/TT(kh&AI(LcOpPaN\2XC:?\\T]3HOnf%%id%xO1;MCUC
U"Nxq0+rPobUr6^5bYk6ew_^1KZo\Q<Xwie-9S%U_z<]AJBjw4HE4+SW^XR=ee<Tr
U"_:sE08L#][8/[2AnsJI(jl]c)jkHvokU,0kaw6AGdYFS.OCEZaa)?jwWT1ulrLj
U"td\M,#6l,%3vS)&,S:sm#[AC4F)tp2Y+<A(5^?SSg0nd'&eFn/tBsVBo.\Y/R%X
U"/X\hX0wG:g+HEq;86YRXP_YYlBBE.iDc;HS%yIzG%j?^X/x:zu^Dfvs#7U2$GeZ
U"e9B?]YO]EbT98.xJBe>VEoDlZU^%N+3P66yEOLAe>i:xdSWS5^h#]gHJ0jL/T3w
U"J3T?w4/vQJs<cXjxXG]jp.J]qH=w/A7Jb_AY;c4>xHwowKH,N^BL)a\+P9hX1b-
U"96TG<0ckB9]u7*C((6fD0jQYvtWmwQhNPC7%5\WO\K_\KbP[(^[pDNilX>Tc*f\
U"fP+:6(c*S\Z*mjOasK?9cq$YZ9W\EYrZ,<llO&YQ3Mq4y-nTUs%%(MH0K98>M4\
U"0Ewc,9W'BGIT+#;VWW7W8]JlBT&2UHZRO'Kd=1FOA-<:&z$bs2NBR+KX'+W3.=v
U"O?W)tSZ6.WoV9WNrr2?aI#-r/.YbKPsKkZxL:rc(n$\:/jUZTsibC7K6<(XjZ^>
U"KrZE7u-.Uxs(8PY(8yi(8u(XNJPci]:i$t:3XPPce:Ic9PYXuP-9Pkc[:+WtiKK
U"Xrb7uC1.xur(8*(XNDPcif:)[>:CjZ+RnZRolZ^sVieti5%qiIS.8*n8Gk54k=c
U"6=;(?La4HWT(en:rj3&%k)O\+%3<Yu%:^Z?xNGY=,SKgAvw[_HSoaT<DTEmvn:Q
U"j2)KkH&?d14sw%2Nv;v8RD^cSl=3^c+<=,MYL96obSIH6FL<:E/mpcN56GUb1s9
U"KCj_b^0T>/L=2G[pt$_HmlvAVB#fd9I<E6<0^dIRqRjKrZXfk$xuCUb$r;:*(eM
U"e^8f]ioeC,Sgn'm'W6%s]rYIo3Vr54/pu#oCWD+;:vp*J;exgC_L%#I(/JkO8=R
U"2IE>qFMw+.R7FWO,t'%a_J579^&F6+6_v#?&NG2U))]S9]ufIZ&[4xb_BFi_KV*
U"K&LXDKI,xI7/m-%9+s2o4T'_g&d$i<w0.8CU*)+prwmL&;XgcT^AI_cLo6FFy,3
U"SckocDEWf:Hf,-]-<'QL'jb]at([L4q[xk#7d0-eG>N%0=XPz?8IqTXHcY.jNI2
U"(9iqiGfayp&4FacIbN=qB(jr,ISn+q.iSNSiFF^w=W%FAv)p^tlC;x8NH>Xg\0q
U"-($0FU*Ma(\xBITKGXq/Kjk/Z>-G4>FeH)*J3QbIQl9Zjm9aDVLOK=Dq6TICD&F
U"..E[\F1d#qAh+0bPXS8=]MNm__6\(M(sr;9<q=dsN\oNNeBf4s(U7/KBNlX?NU6
U"CfKI0/u_QCC,\TN*^G_=VpGvQfCIm7>o7SuX)+8]g'%Cmi2lE^Va;ArtKMGlO^e
U"\OD/%p,Td\Eu%q^FSG#6eQ^-('2w&MdIl&jf.C&CsE+wSwaBr)I$)j$JwC\#9x(
U"kf_eO9RJpMwh-1Unld=5BZs%Jl<w>ZoG0MwW5mJ=bK$sn]^FSn&&4VLla/rTqc5
U"AWYuULu>rJKw]Wg'?LQBFQL6aDPQ&d$k+J5C9WM1-Vu9-xL>=7x&N9ue-xe#1Pw
U",lYy&MG9mJ2KIL9QLkg#6Y)j0-hIM-L]TC71;uG8S1>[-mV'+=>n5K7\%t=wtyg
U"Fw;&1O[WmRV1[,y6k'[ox.o/-oBO:Ywgs2W[b:]zIyL*jdy&0xi:XaFmN[b?yO2
U"(%r>8a05)/jp]t(tZ*TuP-b=QISg#Wfjxt?JjXtOkvNf3(n['D^'Y*qJ-;o1/U$
U"l(D*S=tHuZBcEAA).PkgeTL-BD%T>jzkAVZ?qQ3WU_;kUu:J-+]U+J0mM<'tA6g
U"w\O8u9obJ;N=%eq[8J0_#Zw'u#yaS2[B'[AQ.OBP?x0[&faZs9Liu;Bvh+pN83e
U"aFFjNJjr13)LSn1bf<^-XN6Owo2#1F>v24UfXvOGs+88:r6f4r[kSSDHJ%ezCJ6
U"UCB'B/16\/R8fUg8Y3\'=WK/3Qb(7U.rA0h3K,yU3Pje(qMfRu:=g,:?$obtLU$
U"F%uQ,5ZC2&6Dn_Q3n_J[Y8t;)1U'2>a2:Mg;(t]J\)+m4E%/VRHCL(30'mE<)\u
U"JPFs.\b)eDwV&rW4Q9Y6FYv4jZG,%c?7i1RZS=h(i<)pxZj%_BA/5#3(DQ\(I-d
U"Rewld_E)_f+]V:0v]S5;?y$X.'5Va&?(U(w9\l&g]/EdX'pGj,\Un[c2miK<JjS
U"rr3hNXwuP%riF16I.#[PQ\q2ScWm/\ck9n-jQ9no2uN/qn9r2C;ahF9&i>e.(&(
U"O>be>9WH+D].l\KH4I7,c6Md6t11w]<KE#Cl(W<*DCH&FIzJL0%(TnWVtGj;rN'
U"uU_QYddif%p8TIE/q4s\yX*QK7]0pP+'#uL%=sQXo*7>R)4?%M;$c<*])S7ihsD
U"2/[ZTW>w%421OZUzjF4A1=cC=XRVKPc+9cZHn6o*7>=]a93)ZAy^/'m:clwJ-%w
U"/?WRL/ctqEdLaopORs&H5s)Ea2/jae^:w<Q'vYDb;0Ln7Qbat5?(h4xZ^ys+VjN
U"57HgmfNliIhz2QuKNgZu,AqCs;nNiPZ\wBSatnmxAjJ,.#XWVK+dExOkuG6=5E;
U"EOJZF3raz*)A]]gl[Pt3GUmDOY4Vb][$B\>Pr&3s>b#qWxIs$A<EV6ku$8sx0(%
U"w=T8]HyXbRq>XHS6icGRi+<F$e],QK5:k:GHD^7$Qfk:E*tL(jnv]RBS(x9pp:i
U"2fNNVTZ?<(=Xc5a9gS;J\s=^?)&z=>qn1%lNe+AQh%%$>40I'X)DF\qirTw735w
U"gOVEW?:EWA#M\j$6g:5]mzni0Deb1EdC3#pl+d'pghS3,K+w(O1Y,\u8HXQ3LZg
U"DjkWMumcagcNEmIsEc*%5O66:(H*gb7;,59=UxH[mp0?'Ou\e'/b?EY0.Ku^I1:
U"\Iadp3g/][Hd=nF]y\\Ovhc6Iw&QtULX[qJ\9ccfMAgl6W?T2n$a/]CWIDw5Hi1
U"cy(yc[6wckC]r2A2JshWb7E7W9=9C?Yo#qg\$D(X>69Wd2vus^<\2L4qn>=^#1q
U"g&jx](,mh?S9=lL2>5Lg-%8GlbLqs8OVQ3Yv8KjBOL4_3Yd>X?'a#]&0TurOG9N
U"MWLCwdSLr[t\,-9T<IAn,>AnwX1b#,rgg7cxG/6%t-7'l\y%IXXuA]<7oX$=[cZ
U"B]p:RY6[g1DuRO041==Lgx<,?5'if7M0BgYAakwvVAXfOUsXm)V9h<8q%-V)kS*
U"I,j:4f;;m%E=q-&*D6)hG&>ML/xBD=wk3X37[;pPZ&0ZKfw30khVJfmlZ[65NXG
U"?,UlLouB.p1Bt:,\ob:hzG^%(s?W&%Fv'u;-n#w3;WbF54u+mBA)=W;1Q.yC6Gb
U"/KQNGDLUg'r:;-*pCs;*T$\2.).JZ.he^228*e'qqu+Z1I/'AlnJS3?p]V.JEhP
U"Rg&3P:?tguG#*j'78YaUB:5c'^9lp9%(N;oy/SAVrBN2mYTEe?E[#b^srO^J[99
U"rv1q8G[6.+=8Psd,K+rg]oI=pVO*3/1NTY0\Wy6%))3vih#8J4lusE6UF$/&D07
U"Qas>D&SY)dKY;I*(pVZd/w%R'HE+GCw:].O'c0=v+u;Ebp^pXo-0WpBx1k5Gk^e
U"hX6Grkk$r4cH/\9GX--B#E6]Cv?U:+gde$N^Xp8\pv$^F1LLguh[4\UHlx.GxuR
U"N>xXh8EpFXPezf*:X)Kqg^%Je/]tfA4]7H>OKxf8R,opIu*_N#aW#wI,a+H.HDX
U"_/=[E<%l35EhF-wrQ\24UhcaYFUL\B'tk$957e2[]TdSX)i:\=,$&4(ob06<>8=
U")3S_>n/#[a&J,i-tsAB9(IO5N>Xvq&5<R75\uj^4B'(T02GLl4QTMtG7B,R*[8O
U"Q*'\-[/dvrpq;LWfHI73mbVCNSD:(iS)skwpoH%4&AlOgD4=#VV0o^qp;Fb4#J:
U"%US.l0UbhLxtnisT'KHb#-WqRrv^.3M+rpl=>%PW##9/uuTIO#QSFN#hZ2pqa^v
U"n;.S_%/ku+Hrev4SmVw_Bp8m[YDjGVtRQdldMeQxWkt9_$p4ZdE;EMcdBRS1[8S
U"D]*^G1'*:m:h'2=-_j%&,gup'JHDY3iKHjCcFiV4<wc/y6'K6-n4R)5oE*_gJmS
U"-o+[zZsUof'.]tIh._p.o42HLQ_6Uh+1XYq_=PF]>KOhqE5<Utl>fH95OKWQ?&J
U"AnH,-K2#[iS/_I,IxaI;SI>o__YO(o%;d<r4Q.kTmG9i?^Z%T\--^:5#hJN]*:M
U"Vd6hRf9hx6AOu&Ppif;OiqV8Q[Jfg=z$STT#J%:?85IKq$c%>OX//y,on1>Di0C
U"y[\1?Ua#,oZYqaNnkOjQ:G7kB/dC]7ih_pj0YKnnvhq^kKP^,%4Hlb^_u7OmRr$
U"Ks$F]Vd;siqAB&rGktI>88LQg*x^^tJGc$B^(+6?'IO=$InY[:id,os^DM2o8Pv
U"lwL\J^H1kGs=nu9Mhr6\2h<LF4]oh^bR[+#Bd8qXhMBL$MhbmmJ>mM9N:OT29B,
U"[yVhR)zk1M8S1^I^VY0A+0IT1n4GhZ<fY$anIdICl$nHt5#r_HXlbP$hH7daDbR
U"Pabmm14bBWmK]#)I%'7GL,/I'HcnRN4<ZY]*21pIpXTRIYQKgdr^%4_0,EnMDR2
U",g,bg-7>HZi+odMrJd>g*hVKZv^k?XpC[^NN^=,=59%,/X4oYICTLm5l<U;Wb_m
U",6Wb/p28Y<P$roi,ojY87Zs%HM4)HW:j(sl;$;6_>5#f/S?hT#jo>[LZ^S-kBqt
U"0GWj[rXjbRc,Ek%YRfB)4u.uU*Z-,QjR9Bo^m<w+1lMNmLXvP9ft)mR[U_(h)Ng
U"y2QoEzOr),NB[N74VDDO^B^/bO<8gd1[7S(WPVTP4IRAK%u'LsKnl4H364\H2,T
U"/pN[-#0r>6gb?imy\%^FK[q9Akn3h.Aiml6NE\cU5WYHij<3tNmTzfc&d.U:$X*
U"8h\/OFj6Qti2&lG/+%AsLVm_iC]]WTP%v6$2nLE2%?s%Gn9$AKn=CtKi$EqR)+j
U"<e#_R&t5E/Qf3ElsHG3f/vEk*9y,DbOJF)ki)uF\#nEe6<-Zcs1_n1(_O/(q2,,
U"4AJAB++*NuCDWRmqYWK[0Jth\4?5p*p+EUv\N7%^PVD;WNGU3/KO[2=G<D'_ZTf
U"ao].#1eDP%a<oY<&Y.\['bGl$42*/82d2:;=26725.]<__5B_O(E'=F4<Stb,</
U"j&sCkrB=8T-VRe8Pk^rr4]emdp#c&*nTf2eJ;D/%*g;XRI.YLj)+SCC]_]W[vWH
U"qMEBZB[*fjUgkj5%Jm51BjoOPIk*?xQ5u&%oIc2yCCDup,'L9FBgy/G:f0_mQ;i
U"9QU%hw1YUQ(0(ZF/-PfjnJ;3ve8#uZViN44bAPf/R()tVV).9*0Yj?bW&t%?lpe
U",-(/'F?e$-^*keJFGx7J/Q8RsR*s7]:mI7]Z]uSLNwrY%aMobNtMG=-9PL><Z_c
U"+V%JBuGXQv1bu+'vG))8uQbwi>N.^,fA+u/E[/*r.);CbP?t7]>6.#IlE7u#*K)
U"o'wBEI$<c#J0D6dX[x$%uWtv'qI#VZ.jWBYHHei:h,G0T;SKmbJkWhQke?U%s3x
U"GNoy]6#e&:R/HET\p9m%R64N\6R3koMo$g/ea3_dT[*A1T2KVL2Z>ZN+GmN%o#N
U"]iqts6dor'v-PsZCl9+Ov#IS*>QQji7VpA.^9?+A,a:X30QA8,(bS()j=:r9WQr
U"oAx^qGPT9fOMm\?mJA<\uRa(j967RT338,[D_\,P[):HW.5\R\4e1l10I7+*\x,
U"7R]#%*>N=R4w6+f]QIMMz0F&\Qb%g0qqHP]*H_]_bHO]qkh8mE-qX*-kR<kmj5Q
U"P*%pPRvxB:BJ)8K(q1L5U]>Pn3Nb=hdC4=s/NXLIZx%7HBm&:EKV:vj4Xb'pUtt
U"qB&Us'QZ4I'$?R:1oR-eDWH4RuhB(Eaf+RJYf0<M(2:#B+E*l7E(R1TF8EO9xse
U"bH.3S3;.i[=/jAZt]8080_T'gGqaY],ZIEYub+p([\X/PZ;H?oc53pV&E7b[]g\
U"RlE:N_pmbI[&AV5;ebeMf*$mtFf=o*Ue2*hLB\/A)a=.NG1/Uo6K&;wO97p2/>%
U"%-jY/<=dCExYEM#*Hq>#s1JQr>#lC1Qnq>#K15Q&>&Tt(E=VrSeaoQ.U#Z6N)U<
U"<k#+LooRN9hBdD]'+r-K8Ih#bEdF-rRj6c+2VYK,](<M:\eW)+0BQTkeWbWW;>w
U"$9b^v4?tI9.XwIUeXn1ThPmkNs7',7lSV'6Bjj)R%m8T:,[K2raq;a<gU$o+?/z
U"//^&G/IhGp;1Rbnm;gqiLX(9i8*&gG^E(*gn)-7ZEn7=H-?%t$tlUT=)oi>W':I
U"'rL+S0d.3#':21UchIncXy.boQsXp2DL$r\=X*,5;*Td7LH-W,)0/4cP_j'5&v<
U"R(Y[=\Xfq_okp^+c:mLd8'#*9f&Nd]mcFaxtOi$v^.]g7&b43%),Beya]>;V*eP
U"sVuR_L:G41eS>8(+t&0S6jeZgG/EQ_8KQ/V%h^TSkAJj4&)ix%E(;^o2QXa^3Yu
U"hff(]jhF:fU><Vj)$U>NHXv+VWQgfN4_z-,rMggvMR*.van<jqkjY;d$RH?rWXw
U"MP>u8ZD+Jd-F*r%5e&)e1;$gmS:?WhHsm]9&O+paN0$#&*\2:\>k7aeKM;K\:6h
U"1Z\N/g(CGTObZPu**pM:6;TCEs*qJDfVt0sh=0g>I3fx<eK#OccTO[&F\T,KK/]
U"K^KiEj>Qq=4uli$;c<iTDy$9Wn<^d+K:J]'I>7Oa<skliW4JCNQwQ>u\]?OgM*1
U"A:a&V=z*j_U;gfHq3\;^)ue;GmV]\YBLS,QI;yYMC<Kmpd*/*E*J&7*^pmJ\uDu
U"RII,L*S2\m$r#_9dp/b6=k=]$^&m83><w7?qEoZ#GZE-WR+O)4[4t+5>LAeV<Sv
U")[>Y;=+(gJ.T>(#pfw-su/ggT\*Dg$/(IE3RBIY$puv3aD32rp.L3A22s>QW>,u
U"hfxbolKH1hlOQv2dhk:aO:[OrAxwn#dmj\tGo8d?15*z23E5fJk.0iqXn$KMDvr
U"Qr*:i0yC+=o*h<w<+UNcV1l01U4u0X4>1[OUQ-GDEFty^Sc2w%f^Ft#2=%$hzb,
U"[=vS]D4_($rP&3cs5CC(w2]7Y$(,c_QCKQd#o:lhCpCY>F3=I=UDo?hesGCLbd]
U":)MK:E*\11\VK'IyqTQr3]w*faErRS#(cc;>/f/t#Lh&*M?Kr2g>T[QKIB[,/_g
U"]Lo%%R:]5UpH%Uk:Tm=)\nVJ)+mKChJHL#yKlQf*)4'mV)0.a\/\&_*D1ECb91g
U"MOW#P0E43c%1;Ofn_f;?<E_Q.[1oA>#%%Eh$#zXqp-W&HB(%kN't12%uj0HMG/E
U"c<(co+I5\t/Z7$2RK6*XpzfS>O>hix00CHejx.wAm[pT$&:J0mje)WTtN=0[ZQ5
U"PVV#3;\F<.0-MKLFFUUB'.P(UF)4LkV?4w+k,UFDFukW]Q.64UUv,_6BVp.(HMy
U"T%D+:/=H7JQX\^gSng(c^1ow+=T*p,+/SRrK7gBLj\$8&c98g%;UtScuYZNKXO%
U"aV:kT)n;iwXiR#?TM#(CrRdhy0JBd$;TFr4g'u,i/Au*hc/31jFQ^lAPCVh&lEJ
U"eL5bF0I)krO:0nV]Yqr9U^_i1C8hsEWj,U1Y'rwAAB=y0$2>=M%Eh#+<p.'-5R4
U"6%b?,(h:-b_x8B9:\0b1Dm:#,W3Db+,obThg9qu$U/$r/a=4Z3kcY\ns[ZTQemu
U"SuI*8KQwE.o-miU+_Vo3i/zSBTTbAg2lW6^gzOWr(oH+F8HZTLKQ-MaYoa]T$Wx
U"u_)<^&,qH;mYdje3i$Qc)Gro&:pf0uL#^shF$*MPfU(<?,_\<Ndm)+*pRH/gZ:r
U"=Hk1w*q<q<KH8jp?oFZ(\8wMfK%=nMB&=TZ34K2tAt4aDG<x3YD*d]Clq7I<d>+
U"dcfLwE1$ZLMcSL30GjEp'qyl)pqiZHX$?,00QD25%epB&4p)JpOs/SK(jEN^c'&
U"CMEJC,J=s=wh2Y4(Q't$,m&>vWYoD7ou6hg(r&3]'.9wCGl5?9Wj9(xhM8Z=Z$m
U"x8+7t.r0P0.P#=tLud#dJD>\H<Rul0iSVYrTKU=tJBsn<nd(xE(bbaJ47FB1HD3
U"(<i-d/2FyaFLM?0CE=V+7ExN&7;SGXE4jmy'.:M&'Z6Xg.=.d>G[6$6ccaq*_o0
U")uJ=7#i[PqCsFGg\7R,jRh7smTc+(ygmRE=uIRFa_1qJMtui+wa&]RdqLB5tQvE
END SUB
SUB V5
U"qOA8lT+p)>cW$u/dh)9'SG)5qDU[]vd7^W/*bS-KbACp7goGO^7Ak7e)WG/O'92
U"]-GA29GO%%]M#B]8gnLLV.Tbfnt*?qS^0W\K,]j5FjMc0FR_an5o[GmMTLed?QY
U"pwnSoYU%pSb2Va.YHC[6J%iKG9N]2_?BIhV6K>4-ZL3E(M:*2lU&;lT,kUim]6H
U"eS(2QQY&o%$F+edOK3/^i43lMur^_=wfgn5dIb=gd1m.AWEp9]71,U>jJdITNR=
U".TLS]n;nn'vYGGGMy'Mw16<n+wR$S\?QgWSZo8c180VhnYamclCk)dtGEX^jOOj
U"\X=C[PZl1YmGqDtUJnTLtr:VM7%tQ.<o.p>;fH5+-4xs)f?ITvoq1<'R<ca6<8^
U"n^ip/],'H5<vUl8DG%rEJ<=<R#s1_9frej[\4=2PMvS#vcw2]9e_:?nAS=h9H%A
U"JUgc6c<=g;lkUB-N9_v4lCQeHhdG5TXP%%B=ClQcleL68p8rTm*C;plxQj;?CGY
U"4:*u1Q78Z-s#WlAoLBv#8IhY[*'P5wpBH6\X$bPS,15XBV7UXT\CVXgd(,JFd8<
U".JuAAT6q/P6A2^YNr%nN0EhFeQ0tDklWU=bcvf7AcRcmXa9WO?wcRh/>GToHVQL
U"1\'b&e)_K%Nv3GgK6SK1/)^?MC1LsA=CwY]%[MDn<c&N&YC.L-ENG?IT&32fe-o
U"1TE5;3)FzP._(;w&^f>Ld><.aQSpTs]TTCqmK&$8OJ&#+gI%\1=CUnGCL?E[eUE
U"vWI6U&=lJny=_8U2f[G3xSF\'%F$&L8BGn\XxBw6J=N_F4mzOc]SF$\hv)c*OyU
U"^'_KFU+sgaG&4[si>2n6lV7&C+/5']dd:KDS_^#D6dmI1PoVWAF^nyKCZRX5hD\
U"WydksA,k)DK0U<)*e6kv>08AhZrCUPH]hG;dd[+,X\;JWK&\i)\vd7DOaD#P5j$
U"l#uRTge:MfK+r(oK=.4s22_tEs7^M0RlN5-^dV7tG,D<Tnk,lQ'_J0>fw$=6LD#
U"*7((4XL'G,r>l<t6<uWR_$MJxP3Jf-uvS%yqh'JSNq:\5t+60J,ZHPQKSr^Yg,M
U"Wm>uB$1&U_iiX%dQoSCkq=1x?R[+MeR91u86#a^?7'RkRun45*tUyqMkRj043Zi
U"Ro#<cW10(H94=Oej-r9t.md:uM&Wo8vcl>UOeLm^;rZbh^f[n^MoWs/Ac+:ikIS
U"eW;Ecnim_2mWqs$_aA3/:w=tX$atUwA/%=oH:S=]l6r+hRvGeg1Lb7^/1T%bl2\
U"Gs$M,T,JU/jfLg&NVy5V7mU$nNoOmVG<3);e_*[Z?G&sAOnv+nXTJ[>6v]Jer]%
U"Qq*Bp'BD'=5T(ZnA_ew$o7>drd7/<,7mp3wS4&kJw5WYBAHJ,WrT7cr0wl>r'#L
U"X;DcoQGPsH^l;8<Md_6LHHGL[mv\A$Ha7\X3Nd/\<&aCLzl/q0i]'#tX:Ya9IT6
U".E#I8C:w;hYAnmsP9Vt;F78rPq\j;mdJur:aGUN])[F-#&\(-6hqoPKnG/.a%gi
U"Ya>[jMts7GwAH*JZcf,wA]-;$2M-KFGGT[=24bUQ$]$XRGd1)ychR1Xx1]1w>8e
U"L7HTY'KOpFpB1YJLeE^=(YE$p23?m/4dqnBDtm^bJY'\STSlAd)vQXseTnQ3YYj
U"]O^zy1jea6*:Q_\LE9rj9GUix*:P?$AgLlKMaJSRfsc7d^+]LDlBD?cY;02QD6(
U"i$]oM]r30lD^xHqJ]9e9wAV.DYvFz4_b1:T\EabTm^gzPO3plYxkEa+a]aX+m^b
U"1X1LcQljQHkE#C,fTr5q0ULNch4AUUffbnXI38Pm)9s_t1eWd_\$*M2h'E%$=OJ
U"2+V?es5FVkQAXXW+XZ0^E?)2JBG4$]AJ+L4tqclrQ:iE)KV?5B_K^n77mrD-Ge4
U"i7W+g,Ri,B-ts^X7d.MIh?*Gl_?6'gF1hCeA8tWD(:&E5I+,jK#F1+\34Z+S%'X
U">=P2W_)7%1;MT=T%TE(YTz=;D4f4Z+3NJCuwE&pe6O)-GzlrH&I,;XOREQ,]J)k
U"K;nhqXnG'M0fG/8#JqlS<*aH_r6&%%nUMeX\Uxm)Hwn9X.V5tIakP?+d$u&?K0E
U"I7b74]t.J.KI_t:&3mh^-&2j'(mJtF$0Ax(oa,[vITf,V(R3eV_<lz/QuJk<Ff.
U"*UT+w?WdPP0Lp0FT94VN5]CJ^Ge7^4v#\g7bu[eM*+-j[1h7/l%%$:hA3;PAUac
U"bRwMHjDs,k3;tMLPNB(bIX_63[s\8U<EFW#nrR9#*'OR-af'%YJ]9_^u+ebCPKK
U"H,VU.q3WZTL8bY)Y;e=J&an_(AVfaK&a)$,>c0=fcrEPH^.B^6G6936]teAsPLW
U"DutWlak9OM:,8O'EO)#EL%awIL0Ri)>3=FjuCf.(HH0x1[,S=%=hwaMGuzl1PoB
U"pMFaE.'$/>3lrTdG%:UQ9iINsRBly1uG9hQj]'gXj>bqT$>#d(*/r4tP=kF83'u
U"*Iegcux&uRKa)[Ye\LM/wauHo?MeNYGtdocD(m0Gv/]J(7g+Ga.-*MiQt4S2<EE
U"S9eV][%0V)O3:uhM:e/TC8$xcfxaOO0]EGRPZmiFj>bZr=XwSuWE-X6b*HNxq;4
U"xXP<ezXrJ)QMAG&^O2LrS6GpSyoMj*:G('?(BagU)&^rW8jq#^ekB*#>_#66l/*
U"0KmG6[&C6bJq7o&DkfD09eS;IPZEsc4fgnJ>tevoW*_i9TpkJVL4=1Egg5s+TwQ
U"K8ji[pBU&'R(23R%UFgSaVvgRa^$)$.g*r(%_(^&G[Et[,)TV<q)<$X,[toE2AT
U";whjA[#f8no\QOZ^x1k42yfeRFaI:E<nn>j-j+1\yT_51FY+urfm?bZU%e6/_0q
U"]nnxYu,S?kU;:O:hwfQ5YTc*52t2&\#OqkQqB+\V]VyD^<,n<^npS5P.#goJ9Z?
U"hWk<8(,H?=UIiecAxZjBtrsKhHG9/a&b+95+U_(ahH3'#(Y]?h8P1)mp?b?vJee
U"V<hc;:QT]2yK90dZ_IHnnbF.E)bTAigVm_SQSoBC>fe,r]l2.<%jC(gWQZi^>7&
U"+IheD/N#BrD1x*Ibr#,69YJQbBRD\W*6PHJAI4-(gWEX6DnDjQb?GQ%+N:>+ZB,
U"y6%&4x%=b+;C5X5tA\&k%Gn-oOVQ)DP$^l8x*^IFH'+%gh,v>%5h#?U%5aHDwiD
U"Cj9$D_sTO.k5B1[<Z,L1bt&\M<*ER?fc-gZ5^+kZU]9*-=.WExEeq0QCpn(#F-d
U">9j?1fj?N\u:d$4#3NwXoKAm40^IABeo;/>nLWpCN6-_-6ZX+*V6q]?BrookxZG
U"cvpVX3C=M(u$'xacWT;l7.iXp\eIN^7O=n'pA9\JnOV(3+R[%WC8kiq:B+0ZULj
U"V,;D=R\g1IYm3t:i(8iIt^VdlN_;L7s_H?jA,H:&J/4b75]u:oAn5b]\I#9)]P1
U"Y;t;3LG10XekAX$A-5C4Vb]\[RkUU-k&k]HK:+Zr%kOM=2dVVb',V$*.FN1rJ/1
U"V7r=B]_u4a^OY6+%2'08'UIw%2-1)n81sGcdH+2tP,t/z;i_Q,%.wA'oq4nf7bB
U"mcIPZ5%1ZjI#RdiO$+aay%5zhtWQxiZ>GR[VU,45p^>QvN0p:VCjiv$x2GQxIvi
U"aBQD1r7RVBI+0h:'T0<ASib']B_YC.,PJAWcxQ<M3D8*HnA35sO,+M:SXZ+7u]B
U"1JhyLh%oFxz;>uY/27P$q+U\=/*dqK?6'Syf(dr&=F&7=(1C+=<IxlhSJH=_T$v
U"\K3LG_m1>Gu(gW]g]S(p3D:D\,n1ih(3AXr(ruJ0w%VKGVKIsZ5?M_*-RK.$SsM
U"36XE*RzCF=PRRHnKPxkQ2le1)lO[Tv,y[,O?:Z1_6*vz83t.yhFV1gK)D5Flegu
U"lJ<*LN6BvOl^cclg.Nn0LM*hztQu5rx%rH^](d/y,ssgnJMas5;=h0YgKg)oceH
U"IY)Q^LFJ]4KlrMW]5txrcybNLjxlLn-Z\sh4VG2fI?=At-q[TE5vvDCYMQ:r/;G
U"lsrCaWS/HpnfbV^KJ2El/ZHo9Z.y]*i:EtEj*6-y\jakqsO.oq)0nP'f'M+\0dc
U"xt:::+SDUAuc%2-#w)VVxQ&G9Lh.;x=1:QtDR-3$wu<AM9fIgd&w2=4w;:]c#Ca
U"c:lC)?Hw::&9gt4F$g&*M,^,p>]crtDvvKwMS=u,'F$b:iul-;f.2x^-ww,tGv?
U",N<oCc4<63Q0UdaLr[D_]6EpW[Ju2$8q#\2'GXG44VcnoakP>3zjlFb(Apc-xI'
U"8N'6EU_G0#6Le35[P'QFn0w^M\;w2:xJc?ewHA?hQ68emDSqbP$govfv=KFc(1]
U";a?mY8BeWT;kg30g)Us20s[eRi3fUL#$o>MQuiIFT992TZdk]^QW)L1mn8$&5rS
U"EScp4:[ADz%*k)/T1C+(ZE-6xn)<VNuX)1<DU6ke&vH6m&'vZ5XMn4em=>H'$+1
U"3(?2]RB5$c.eaJ1CqKe+t'7utte(,vtf(gLo*Hhkmy=oEt8g5Y^&][<m7ztw=5E
U"Fyg#c\,ZeOS2K)qd(DR4H^h/.Bvp<x+Oh,G\+jP2bO$Y#Hhq(R?:U7T$L)UF-,<
U"(yHNtkIK<H:[,'Mta$tAED]f\\QzVPmG/Oooao1Vf=Zl0GRwRZ.r)6H5oL:sp2t
U"GS*GT2(uat?AR0h>L?-*iESP.w&=p'tj#1B.LzxPknc/uFj5<\:*pq'tO>QD-Bt
U"zE5$=RMfGFg;SC.Me,5x&qT_OgqNlPh((.,QIsOQ?G?WWrVDa[UPU9EVe*o4>aX
U"5^Z:&ZVjSso9NSM]DF\V$8QFPg5LEYCULDp\HF\T7on)ds=a.8lG$%\6UocYG8A
U"r==CI27[hky<[Oa9Asr=WjB?xq*hD?X\,Gijz4P5q=ogow5-7=FgFGNvLq:3HA=
U"3#0gCK81F(&i5PeQo21uZq:RqNHe7'.z[RbNP$q]'[V$f'R\$7Dz;3eRl+Ik&HT
U"m#.s0^hKYyeDZqhVca03LM2NJyY)SezDN.ojiFIU6L2'1K:Pm*Q1*]?1T_-Z%E+
U"(3]MZo]*qR2JAPrOo'e/K#?Hb,ADSk:lYNxh%*0^aT'<'R+PM?_Meb20ZqmZY+:
U".?)kLZ4cJ\HMM2:0i$7I/:2I,LXpIK9Dl>Siik7f9JdI_uC)L6,CaEb>.7#?Dk]
U"kEV'RK#O;*st)$4u^H*>u5K%)BSY&-cA%e%Hb$&<X_fWX]o8S:T9US<,#BtzHBs
U"m5ZstZ)JARRW*pdJq=,#6$40OhC0)fo^]JGbTF4_'Xjg+Z,k^X+woH,BLr6AbmS
U"VT6wP&k,+60aAVWgAzc\:i(MT=s4v*b/um$mrKf*ioH>^5,N<JG)cv8h^kSX_e=
U"+T>r<[L8B[XOShN7_iZhItjul]Q6>iAZt[k%_L(cGIV'E-k6C%Ja30VqEcD=fBi
U"',^tQCcA%SZTeQ)$ej2<[9l^%<rA:5ReHqK[LUQ1Bsk[o'LVnVYUYw/'I&V207C
U"5,GCGFR*k:%6,<T-]:arjb8H,,TjS17K>(tD=?,MbmjF6Rfijmr5cx*stD;muv:
U"HYm+M/.#OYpf-^XL6:l)]63Mpj3p\GEv&x\gxB1kUiT[%eFM1ANWmS.?nz(SN'9
U"GW7Pp#*sDAVZx)8mc/]#o4ndigPY)hjPK0S8*e-OtrwYRp91$N#Y+]/J$j\+RI,
U";W\2Q2Hn>PA1dkwHA\7dbH(]%>s:g32P*>n8M'$2kx<n0'j&R&miWn5&MuWAbc*
U"sL)H2'w3D><WXuEWWX5m8FG(34<RWa%*mQ+A099<ISU/wM%bgb5E3&G,EPn$m&5
U"0OT%7o:jAMt*V(4e6aLfoA\A&SH_5d0)q9bi7]My>ie%Jr^u)Y0J+JT01V(FBzc
U"3ck+Fv()Ki0Kn-3/HvCZ1d\sBkO*>j9I.O5\u*B0_U1E^=DSQtZd%crlTXdc=24
U"xpM+tC.Lqk9#;c^1bYYXhHj&v)T:KY?M_MM89aF<&pb9V*M:p.NQp(A-rnZlt<n
U"HZ#lAtKNV6D]p6wW-$tT?cYa#dSXJ'%$V.c,1Sl>AUce5Joe:_grbeCLtV)6G3k
U"k<-DhAfsTOk*P)p3'DE.$]dF$-\jB;fQC:5l=$sHH??cg3Nj&'nH8\*+45*NC[(
U"HZ#F.b/coChGO=%E09hDFbD61P]HKhmHF8E2xj7O%?8-acSOq#aScwK)W0NOW8-
U"A_<B5ywq*ez[Oi<NvCIf=EL#8Efg5.'WUl:>J^2:]rrt^>x#]Sd<B5XdQJToO?S
U"&T.+^dW.LG*>B<j><//5O$.kuaL5A(cc3N;.r'kIcP'f9Z#Cgk,L,SKDMV(<P3a
U"Xy6#zH3FD7zk'6_^kbGsI:oh(PzFE(pef'n:yZ&qPU,k.I?J?6QHKl1Fy=:G+Rk
U"Y\K_G9$Nt#t>8cxtyFo''FdFY1M7kk<rcx$ZhSv.kL$,#udx$xioz>8t:t9xWVF
U"u.tLxN828cr6-jP*hP#:f.tI>x.hF<>853h.gcwPJ?ipdGnhl4>QrWL$f>&Xrh*
U"*AGs388G^rjY7d<FA[R]vB-(NOJV&F;?/E;bT(.86_m#L8\,Le<1H&#pK]_S?*w
U"1WkQ3+#O0g#bdPb(bFB/Aa6TpnKT>L4a^*qX*i3^V:x>AO:Lqni%e^Vh;>O\yBv
U"M]]FYg#&^s[[+0\Op;?BsuUMKmz>Dl*s33bnj,U)_o,kKSoxJ?&odcnhR9R^;c&
U"l;NJsZHZqq.c<]Dob\;j7Pc56Cw#SxHoKwKU;:b&oD.O1KmzKd;snvkX^j+MmZA
U"XJo82#nrsFY1:rnr+#s4UM]vFc(HMX&le2_NuCqN/AZeYT6tvw-,nkMP([-PLOp
U"?UsYo5.sLkjCXxHLD[f=8Rs&k?Utp(e[w$/8.CUA<aAr'mvTz]w\\PWi^VqGwu7
U"UItG7PGM(?^$N%Nmkd>d5/vH#z]Q7tN6]]V6<KyjpeIE1Zhn2kbLC_W%V\^gPdG
U"]Vl,W1\t<Ns,z[8Hsa\zKxOYbs(I;2b_DdGe%%BW]?\sWiWHcs>ox(=ZPWQ'291
U"O_MTIQFtd,mzZ*7/9AjKSx?PO9l-9BJZDEK#,7m'WguKe.\rCB2'sR:GD'-TbdQ
U".)5<ntP&vnQ753t<PagZTQ,j;<_mO'GrH2-2I&;nNsNL3AhK[yHPs'^H'1?$g>S
U"GzxNOMpy-iORkbC)W$3+K-tOMX%Rc.99^nh56X'$gIo9W24#l5kQ%so#3[lp6Ce
U"Ac$e*GP16<NrQ(Tp2#o*'TAb'm$Fkx=Q4aR/GfN*uhozZb#_%?lr\zY)'izU[h8
U"AY:#SBUc$HRunG]trpF)4U0QcMOB;xp22>II5>%HD7((jIJIU1>s\LSm$R*6vm5
U"esgcKViZ)iJ=4F\Gv*HT6(#eAT[rL96?3LQ]CN/j/)of>Eb'X',='SnI%R=$46R
U"D;iS+1E'*9>0Ck08^HU0r((2bR75ju_TWCN69siC;=ou))()s2aNI^j$0G[V)<c
U"&,s-K9+)P+j=zH?1X&7R'?vcDd[e7,p\q3iL*4uppT.1pvnT%*Hx,$\Y6*W?RQS
U"iF'N7rI*&6<ef(Y0>.P$9R6;&.>Wp9G+y1wGOYjPF1v0R)fc0j9_zI_-Af/iO/1
U"DA]WmCm_<VCmUrq(Y$'8#C6gu+9A8PDVg'qBIvfw5G'0<IQYgRtMgH2OBCHVZj7
U"fF&NM'30'5sBFH=&O;**d4zNqsRMx3E<>&L4\,;PfXd7'gPvU76Sf_K#]p9zMZ3
U"IC:-X%S02:c#J#*a(fWe%(NnRv]bOW%14%fMVa=<Oo,Z;z%8;d(*GrZ(-aTU;o^
U"%IsWR$ohM[<8XDKJnnHBQgpfiedc(6VTdxdp\ChVdCelmDlqJ;tdx4Z-Xvni-&&
U"'dS/wXgL<6I)<_%HqL,L%_(,^N/CxFM'OO5*mmIU'7<W$qS&G#S$<,k:H,^1VMk
U",O;V^#*C9aqL1o4F%V?':78,r.nE3g(a?=/)ZqBHqxyF9-0/ZSgvaI#jnBjW3il
U"n/QCj-6LBk\+VR4H0OJDfF*JaJhKM#Q<<l]p*7_=rR143Vf[\=#L\;?O&<;%03S
U"v]Q%Vpg57R4oLZ#5me52VxHq'T*]4ooPIU-jyq<NTMn:x79*-imVY8v99ZqYD/U
U"(<orK.XKj^'#T*AQm'dI7XL&&n0^Dcc.itYuCEMfgZqI%wG;GsfOA#YivSWfp1O
U"$CRR8yg9Y9#VquIk9[5(:<dM?Cpur;RkuO>eSy(W[q_q4XI^+B&SOBir9T4TrnJ
U"[%RT\N+ZP5e9;F\tBajGk*4obU(X00NH8PKknE=x]%4o':7ePJq4.$oJyA\i3ls
U"6+Xoo;K&*$*IjYD2Vsk)fWq>/b;M#A(eh6n*7vt$N9+C$$(_JK'pUM2t.fD+:-<
U"UjG[>XZ\YDg+Wk7;Z+[?hAJMax,B:dC?j>imjF9B\c$u_=Zd[%2)m*KWmiS^[Q=
U"1?x?HDORu4wl&KZ%^lz^1:tNC_>n8qh93QGMP$kq:0w-XC&tHtrRhs44)f0(Nyi
U"0=;K8,HMTy0GedkjD[=oWZ(E60D[Ceq0t\>gT5\iU%6C'o+A#A%^E9/6)KT1UL'
U"?To.60QrR]yBJ#w)%j&)ztT%v_yucxoKaUsOtSflvKrVi);n&jIZgL'E0aSc=[T
U"2Qyq:H?oXOU_9(>%d\A]2_7TPhXorNSL.CVL.9&a%7;#XLBzSQb'7tPP2+F/;e^
U"q9T;5H^O8ad6E*arD*W#4w;>VMKN=Hfx66Dc#r4o:<Ja98AAjGQiA'K&(gHO=CF
U"e]K>jdP-h^aVeU[Ty7PpW#wx<%swTJy]s.F:r/ekSMy5e]==oYN(_./%wTP%n)i
U"P/VKx(2qXpnR/EL&*LtNgIj.hY(E3W>6u?5CG)'%RjE,nlMWQ[GTPI+z-bXXXN=
U"r/n'_a'7nl#dqpBLN1eWy2NZ]1&xE?<32>AN1e>V*#:=VNa/&\Wosu1-J?Hf*kf
U"+^G=wj&nJ'2kg<y^GegR'SmH2;Ho4?-*LTJb+08*=kQG5-f>x,6:OyG7M\Bm2*a
U"\yEYJko)[>)McNRkOpSEZ[h?jyjUia*9$[??'?2<Bu>U,;ForP#9ZolffGk$6,/
U"v_2\na:s/kAKp]q3?;-*v,6n#k<56rQ<[('\gUMtA(Qo^P//8a6T3LYDm&ie:ZD
U"NhvSr]GPbAHO/n-CF]d5+rRN\OnTy1-pX[9EU?*5;dWM:BCOaZZ0)OURX6TX\:2
U"^+lSUt0VJ_6B0*:-/URON9wQ_#ArEBW)W7Vl,#?>**50(3N/He5Ku'B%kJ;1a25
U"NoF>5_T'/[BQ_T(j&Oz*gkSqRr4q(\EQ9v*/x=?3ng+U-%G7C>Mov<tjG4U5_aP
U"FfXXZr1;\C0I)1uv716:;P4*^Ce^ikVL.$ncS#^ancubv?,:gAq#44tR9E0uX18
U"Uv71ewNy?d:z\4\+Zci:Zr9E]wB?8G\)>n;B[%?]X-Rw=UghkIb[)M0HMYLi(_Y
U"0]^0=wTFq%nRDw-JWp=cYr_E?gMt3TWJPf?ZK7inp-DR4jE/XEcQoj96a?2$e)j
U"q]uB*Jpy)p4f/0^aRai>3vJ2Ed\<MtEb&#a*6$XOhtyX>e,W/:Hzi[FjE-sc5A1
U"tEp3Vknh-8>JfgJ+uTjk>5w5io3)mWD/'Hx7s[NL5jQ3xX,oC+;By_1C(,Ia(#Z
U"$ofir7+sFi3w8n$C,kw0r%Oi/npbr%e/hR#OKK.';y,R7sX#])P5^S,T2k/TcEW
U"pbMIY=fx=9*hW17[5R+D5ED&GvVJz'=Zr7Duu.]Hnh\#9F19*9fcIl,3IlI**9T
U"86TBO^P[6B;k_f-1[t_VO,/4FzpsQZ.Sq^1h)X]2NVQ%c3BSoDF*-aU_amg;g=%
U"0AO^bC7#djU_*\.-4-\.,/.0Zc8LBk:]lfig&Grp&Wi[7X%J3BSTk[#xlf#FH7p
U"f('%M]W'U:Zd90+=2PQ#4DSQSp*C.)29VZxT>zwV<hhaudV/7H9mE6rUwWm,C^6
U"W^Z5\Tl&y/N/#RL_[7T5U/b6,LM_4<XKt4Qtft[Ifp2[aE<:9+F)D+;d^\('%5<
U"88CBSZg0>IYfGR7./(\n4G,57,;=(Hhr+kd1N9V>4o<YQ(DAF5i/F>I\SR\KbkT
U";Z%We6qeVUUR]/rQO&UDW.M%Me3AILP<E^6A_atE#&cx4=0cIquGPo'^N%^+>q&
U"N:,V3F8rfT^=vYf)cY;&nl8TQA9V=cs0z+AR#_FOd0DCNIh$YjN6p7]kP#:?LHM
U">SAn#oEgAx>f;:].Ib+V=Y$RmqcJlqDXpJDi*$.vrq-9Gi6t*W_WKU_3C_k^eR^
U"6]PhHv8_4najNv&$*2r=5?rxhrJbPAxXbkmchEpMn,53<9\J(6B?uVG$WtkpQ=X
U"tSX:\'cZ$P1$e=gSL&u$-4r#ohcjm0Cq:yWN#Z.Tp9^hHfhrUjh#c)^pBcrf[Br
U"lrwc*((3=qCWqBFlgNr%?:1\RxWs<DcknWGdtJR(\c,1N8sqviCGxH3no7[^:2X
U"f%?WK]h=hmaArJTHTnVLM.11o1gHYyC0?-\px3eM[#sY-D7bAnrN:lu^/Q7XTJD
U"Cs(ukf7T#2?jIKN(tNg96'vGePFMcNo2Lwd-*d>$hnkaTcuDPD_rzTEJZE]^qij
U"_m6'BkaP8iVNR#Xfh8qbZZd8cYr&q%b]:8EajY\CtP$e_jTqM8wK[qK?:Hkt=,_
U"-B0x'FD(=LBF1D4(NOB$qWfG:Jx(/lXmCN_sY9'W3f*H:F#s0X8?Dc6(8e;%===
U"X/N79iB.mG)jSt+oc,%loGte3y,8+Am4X^k23mMplVMd*BgK[n%(v)e<0-Yv1M>
U"IIG]gV&9E)TFw)fJ1+QgJM\8j1:auxOh_D'x&Oe^ARtdx+Lb3gFB'l3bb9,rPB7
U"hol)88R8I&7VDoPCHs-#T<cnzCW[;&l,TON_[O=4/az[oed:G5=Uq$EJE95m3Qn
U"tE[cl-/M2*t7j(<upM5el>PQe[?RFcXcnzjTn1Ms77+50p[ql>U'FkT:WbP+S,%
U"=V,yYwYR#\VRE0DYC2.:b,eQ8f[/CBmx:-%wCSv1/CK3AmK/&^8V4Yrf-:,&2ee
U"1cR:aa:YkaXguFPG1=o2NRB%P$GgEbUBM3i1&P+-rZ>u.cqXj$5UV[7#eE>Qs/C
U"L)/;oldhMYw7#Z)0&+0]uQv.dfm9\P5<EITI=^kw&+ca%t0)#scN4rhW2,b<^/A
U">u9R9ig21CmgE++VW;c88z#Beb#8]Y/oe1$T2p]_^JznI]LiP?(q_qkhq3VqS(6
U"UGQLRF_C4peMaNGH<X;xTJ9QF_2E6M4th2sp'[=G*DXpUn1P[Aj^'8<5PP=(ryH
U"AD8yuVNg3?C/kGAJ'U2)hF#i&<Jj3Hxo7Nn$H+&aihu-AdMA5cgRtB1Sr,pYErS
U"LH1#c<^,J.I1L+jg,Vcfd2\f?%o7$DMXS1WCr/<Lrb?0qMB?%wd>jrbH$CED7_s
U"S#p(N;7.0/-#&\n/Y-3Q?t5qm,+bk;tuln2D>+8:bG;DmA#rtE=J&WGz0pTl3RC
U"^c1K;d$T'QC[l4S+U%\uhmJy(E%L9(Yx?]GSYu(M7iLp6?fpUOcw2,\i$e?Jnnw
U"#A6D3Rl-[c?dN1R>Lc<RM(i?]UcNc]0>_4r^V/vZdZSde7l4&m+PIhCfe1jZp*Y
U"-\v<pS#8gO>f0dsGZ[?.(wzeE[GUC-B5afH[eyO)1tx4PLZA_9,XAVj<8VZqN;N
U"%1,N7zIM?nH#>nXZetG&%GQv>PcFB'$'^.%D#,_e;CYHl$\(vqYKMZWJ4k1hM0,
U"8XeNdfP/QV]U$T#HrMjx*x7[+DTMG>350LkjcS[>R=vo9bn:tulb?UrCe_No1>U
U"eLi*mk/K0W,CbBH+DhqD7'%<q/FisM:;-<$7k+QmM/b2LP,*5&feE&ep5]>vJEq
U"$WK5Li+DSaf)^3UzP5JS]is__9fjRlb[^8p3QHa$QHdjs%NAbrj3^PC6ahe3T-_
U"ChWDo6_Bp;bC,PEV';<6W]YB\';b1ZK4=g<+/BwB8lZ5pQXtb]/Hw#bSvyTX6*\
U"hcvR%Zs2Qh;]WqkhTH)euG488/r+Ro(U)g%#Hx#%B=yhH'TaT*N-NGm,-[#R;e1
U"61Q>b'<#$HDN;A7,*$[Tg3VC[.9'%kAGc3^s-0:gMBL0087qW1&At]Qc)WauY5-
U"sBI/2^)ETEBHxOpVe*F7'm9:10JV-d1a6\fh9pkx,u,6o<-XOO16HtzFzUl5-LR
U"C].(Rk'h+%zkFo/zTH_*$KO<xbOsBAdvnWajXqWk0i7FJCBqQ7l)3xs5V^Rupa^
U"_EUc#\WkDEp]1K.HM1k4cI<:J)Z9zJp'0I\yOF(dqv%Z)zP-_oAJtR+Zg4brVj[
U"_;(aa#[E)(],d3M[-O.qFK1-;z#Cbm<:*KMKAfY6%g1=+phub#;>CB0OKie(SOT
U"c<(\oy55)w^=tK$.81uAr2BA0lA^3L$qVfVfbH7+^]yns]u/iF[25>mB$#'fO-s
U"Q7M/f&cndr>([0]Qr]fy8fyxuJ,uLp3sj9*Pkxx)eooTlj?NKNQXZkwSIh^SYB5
U"cDIzKk,MyHyF]Zaln\yO(GWX7wx%.#C_kkKK%Y((r)KlTDU<_Jn&s]O9hQ5sYIQ
U"*?pH(rBlb.vX,8Q(26I=Ua0&dX+Lh/j]'V^U>uv-).hX[Yd37:a;fU2Eg=mr)4)
U">Y1j.[K+a=HNCap#b]Ub+>1=v6m>?Z('<7doidnprY1A&0uqs>Z34U>Cnm\u$rZ
U"zqlu_W8fQi0HGpFs'[<(a-:/i0iOoq8G$iZ>iopa+Zdgu<e'F>GBiA52cZ<.LbB
END SUB
SUB V6
U"=5?jWVR_Wy;Hor2V]LbL$rti]^y$iOFLOhqbq7teA0;6NW'[x&\SGnj9<4Dr<Z(
U"=1'(\Hh4m7lFsIUCar#LoJjFjPSupx.VoT;]k8G6sOQjNaxk6o.9Wjr?=PI,G\.
U"W0N3,F^P<I$h)t4dorf81G\orw>=/,B3/ABouhzt568jm\Aw^-o9jtbSfO94>8;
U"dQR6ArBxkqNBH,L:oS,So_0i7m]Td;OdlQI\enWwATq<G[rfwwf#Y=Roc3X,7rO
U"AaYdlkW(V+b5SoGGg<\c%J'k3rZ=]+4[tXeCX-p$hvW%48PeWhUOFgjfJMdd\jw
U"IygYQ%x9LPkE=LlO%gGqQ_Qx(L$>&2Oku:&Xe\GSVhjjv3s-l?j\hstWOvQ'Q[L
U"(J:l.6Wh<V[8,nW^Fmn^$^uT1*(r^*Ww7Yc'*MvS\Ms$>xL01bNS%Fk#+?Bgn5?
U"o4qou*p+hQUBj=GOEDL*8C$X?,wo(n.cP458xgeHd8bvqSz>edd[L-at+:/ocMV
U"btBF0\qxnFuNVt8.neYGxTtKUAbj$aLU[=Bi>Z9RF>9On4q>%Mv(%qGyuj1Hi2v
U"j^u[U8&VXhDWZmm6hBo:Rs[N&_N&]tn\\,+d4^rX910T--0*]hMLiRMLCt]'G=.
U"[LzO,Fo(?q*c]HQc5f'ah7/rLg(1\kWKCXg+=s*4PL/ix)5kEqb29wjA[WL)KDN
U"&n$H0]bHc3A5kD-gl;N'W1qt&P$.9bs%m)mp,WNtNtKM*6b\.r8Id=NVB'i[\H;
U"sW7RM(UAODQQSb4y\'o0/FU#$t&N-.QKUXZK\Yw:**PI8k/*JYaT'C2.MUP\VZ/
U"rb&X9wuiv-qBL2//iA<AppCcAwe]w?fBiIqJtk0M',WH5<F(^hY.3(Tps^^TFbW
U"3uF:.N6)9]eYH+^p;$X(R;,hpnp/M1x,YHD/V/Tvi/YETY&(O)2-eWpjXvlVhlX
U"E2/cXg0/Rg1$0i</#HS?puvA?t0MVctz[L:J<&,0U6)M$R&K;/-J0=]=nWuHZPE
U"lkI/'eTb9C/Dc;j7+;HYk-f7?Ww?f6]LR,cms$tt3sQ%,XO$o,Phg0<c,6&WMzZ
U"C4P*^JuT#N/VHF6BTZ.9EA_#*U>?El%)^G]5H60#<p-VFF,xi/8,L\^Cw18Oc5h
U"zI+.s$A8TkIK4?]orWFPboV,n6fZTDg:tC1Vep>Pwa4klZVaMZ)uZ7<U7h1]B7N
U"DO<hW_J'kp&g97suVX=21NGhhRW]pQocZ:+VMC8Iw:2g-x,NMM7uQFx<Zk)3?wO
U"bwbO5A$xkx69e%w+Deu+9HzKTaMaMap-^JfEM8UUNFmv3%UvNLPuTTFXW2Iu7-+
U"mk[+$9:&%fmSgq&?PeT5tYulJiSs(xna^4I6-1NRrf:bqw<cx(\+\\ufTJc+nMW
U"8gDQ^cJ.%:V)8rSbg$v3b%=zjejA>tyo%4_arEJ*&na2&tdbTDPEMMp:pYL:DWT
U"T9I(a<6=m1N$6QuVVK.[M>-c5S)AmjE2UA-grg;B5tSqYL2j8ET5,6fcr3f'XX#
U"K/ys*1opnkCfkUFO9e1]^XeB_yh&QK)2Au/aL'0Q8<tm]b=kb_H&j+04Q6hDS9u
U"\k_rVDpyM]K3iD/8noG;pji:wL]ov:):9eOS%Bf79^+(_*J-_*<o5GO>N)o]q.B
U"*_k+FT?GJm.OVUE-f;IvYIrJe]p.loKr6,>uj4wLAG1z.B.Wkm>H1x#II>LT6gF
U"7Y$C</GaG9buAVpIs&vLqJ,JgrJ<tkTtuLJu8uZdK43TC&Raho5l?2:\Y$v>mY4
U".ta[A1M$,/F-?:XnOfQqug,w9f^iJHFuK#_jLvIImj=[KS%#Jlr'$ew-e9PWO]j
U"^D>gKzY*Ys'0So-\&WkCV(LD*qDp<77bDm-.*B#OK39hSbcf](77OJC13I74nmv
U"<gZwxO:tqXJVyJ2gs4-jIsn%d<?TUqp5WjM9tCbt6ngZKZwui/fsJ3_+ppb,*jn
U"tq-YmwxWFQ>CPfI4a$*(M5T*JgfCilhZ>RhG(WUw,[#%9(Co_,&XfoQ,;opd7l.
U"fT+0?[On-^4Q5h(;j/POAq&N,8sae/<GEK)i.s13:_TmCYn2VTX)mzYW%2[$4'r
U"&V<3ZII9[f?Pw<qs:3HQGB*hAu.szzoCy/3WRvmiaBHQm(-3=BSAqh\rp5>QbEM
U"ffiRO24lNo+J*Fg[<Ok=7n4UC:CtufPa4G#2#?;g78KW2<3m046.MiYQDOYq.-H
U"[-o&d';8Nh[TQCCkM7EF93yLA)XEbW&([E8f*6hE8jvcr\5s%=U2T1p75LJg8i*
U"KoP7lICVnzAb;Qq=4:kf$MkC#=s4Qe-t=&mM2/b/m?8a<4PZ3TD$]PV9?'N<y(.
U"zsDx#<M\DtQ3t>6$M>yph?J$h_PC5j;t?Abl:6oh*+qc5ccg7i?uy;1CT6F<x9O
U"[^9M_Qh=a8<2<^P5f=calLr]z=o/2ZMe_IS>)kiQ<)PgazeI=$JfIWvak2M(pG=
U"-zTjEP1)txQo2<kW+)d19j^l]N]Hk0G7q'\bC%7pWU[H/&q0>N%pC,Mub+?pW<5
U")AbQx)gyq<Rq4s=p9+D>ay,ee'2d8HDH1JqTxsE(+GctQTpXmT;:Od*r*:*MCZl
U"m-dq[bRB(Of34A21uAulyc*'?^9NQW]Pi_5.eeQiMsG%i4Xix;)qV\SRkklCv;;
U"da(<;E.F;<'&)tdcQT\ge4BVr3fg)Ngty:JYkZy_^5Bb[LRm7'RPREV^$:<&OE=
U"&_%tFRT(M#5);?jNl+fyeW2APAY'5+rSsSIg%p>mQCe$dXoBSKjL$CeINkSWzDR
U"'ApAU-jP8w-#B*?D5(,pA>ZNPy:dT.D-BW4P:?kOWn'F,l)/#nAkIM$[YaFx(M:
U"=?k6Z-ngq)b0p\AqlRUn<9)i1Lkcai0&w%];YxRoG'wKbk7>tB>hWm09K1c:AH;
U";GP-'xveLzB>FoYeOqu9'=1cm>)do0<$r?N/*oi0GeLgs<'/i1j1L1oyl)[7%gc
U":NDq)OdwHubjSFrdELEn=+k/pNjX8l9VU\+2g9KEoGd1>RYpqUE'aR$)\yo4)_=
U"x3YA+>u=DiTV7Q=lGK[ZYfRBgt_\1\pG>uo]_#&U*kooIRXlWBRWIYj:*qyxJfC
U"WI'_c-ii-DRV6WAyGto[e\v9%PIQCeZD=p<x4:H.gV-o7B\5mgHnB>N1W\c3C(h
U"2lT.Ziu])pu'kInR4,]nEG3Jh]6m3??$'27*P*GzGdc=DG^5o5WTd:<lRHaFC>Q
U"r372$RPH0dKR:10qx;-XIhC=p$CMb]*yI/,V.KvzKt\QP^m_TniU,87Pe^.IQYu
U"_aRqg>p&miW,DwVR%P'2[ygRADRGQQT1>?s\jZ.Y84VR4j1rqku$Ya%j7_oOkFe
U"&u4rBqWUnH:0j#opSExDdo]Z+YVEUkir+G0t(1q;NTBKKL+82tGT0w=LjR-hIYz
U"gY-*ne't#4PS4Rc5ns]xs&7=tMt;oSo]o+)7Pbg?TbY4<M%G0.t;POvRnLS'VkA
U"O+Y;/*>Rcj$Oo4%%5VB8/-c[pQ%7kIAi(&Vgr)LRPE5NhHxnaC,xEP65;b9?_cG
U"9u3xTL.e+x&o-xFg7&a%6vA+5DQBeE&3&$b#$%.)7u#;H)W2US5f'btV;b<>uci
U"qB5sY>.n2A<$zvUds&tfk#+I>1t,xq+9VTkQS7Urpq;xoU<9QMM5UKk-WJptLX6
U"$qmBg2oT^:kqZTvDu'7OTL1V-a<nBKsdT]5nNg3\\?gwGC*S4d3V8CoH.U8,QTt
U"zoHKLtEAm=D._]AM2?>7X.C_s>U*Ffg#YkhIU%2)o_W\?BM2U-$0^DO[VIQe(2j
U"F'44KaU=<&FL4b_Ab/g[AXh*ri8(n#E*M4J\MU+uP86eLW&[cS^$>#<Ff)Z8P+)
U"X0NmZ'c((/sctv%(ZCe+U-K?:#wT_)qu4eYHCGzn\^3Np%RQV3a06n+ex_<pyQ)
U"9n+2VSL2h-wqAid0B)Ze)*CoOfQ_2gy[VUa\#?=+8G6x./1As5EHEK=$HolZ+2&
U"^Cl*D]T/C:,[4y%xu/;.FDc:.r-O$V\pHGaSI#9T\hT?0QA7quj%fw#rIw$JD8[
U"X.PLNkj5md,.UlOtr&Kpkpng%lXbG*:%YOF9^B6GmWIK4,(14sm\Z][XTa6$m#3
U"thK3Lkkb>xrn^mL//nfIHTe&T_Aoh8^CBc_di)P'0v8,Xe[M/\Qq(jyam*C:)aL
U"v(gN(RrS32K%S6]P/(DAutQ,>og]w:X#CK4XNgBnc>h[aIjbRv/$F^$N6TQq.na
U"Ld(6GovW[2^NO66k2V8PJX3x2]a%6'GJf]]c&sx2'Lhu_.j\c7HZ=n,27+glfP1
U"7=>Xl[[u,D9F]vG=Of-R/tsS5SNCx<)bIToYWhPO:V8^H5f(yh;D)Np.].-;K/*
U"KBs)AMUvT29d^n]RtOS:v)vOk_/s[311W+#8#]:*R'eFlh/b+G3^)2n'5cKt5Gf
U"lX9j6-1LdX9R[rn\.LJsHk10Oc6X&5owm=/>gHS,cBl*tfpT(h_r&K%kFtPo/BB
U"V_cGY6arqDYX;*><iG:U[RM,]McX'dfs(jm#VPi_;$6P%S^c/rK)MbrtAc;FhQU
U"W.+9U>kjc=VduRJ8)1=SQ2Oab;KWek&i=Mh;+Epra9oNe,sBhBQP819?+3#;(Ev
U"&<<j9a3cvidMB'A6?9fD8=8q*SGm^Wi-_)c55/)a(O6.V#Qj4/ga^osHVZFiWqt
U"U6S&#&TfL8PTCV'/#:QbO$,eLUv#DvX*a[bC#=f%%^I_r%V\)s<hcbjv2Q&sXY6
U",zJb*2U.k91=LH%Qtsi,2PJowOYt,/g4x*/,L)'rF*(IA,,?i*4.9Wi%2V'#'C^
U"(h7(he/a]:79mEXs$R:7oPS5_EU)NQ_JDX(P6*%m2X+1#y(]HX1']DF=Np2tTL3
U"jX1tK=L'+E:v1JVg2+LsT9+[A65(HeB*Iw::6f(G]4Dr2NUJxb^v'EPI5kg6sG_
U"XqR/Mm$s0=lLVJeQ5:LE\%lOuC>/:?4[mL<*Gw%CFb&4tHU1&4FgtozVo,LSNlg
U"Obcq96ne52R8b5.,k91Y77qsf&p&5x5f;O5s;F8>?b06(vA8n%G7_.K&7ZZD/pE
U"S:dPM2j+r'$;/n>]#Y8(>,Rsm$m6\8p'XJ&r,E.rdmIR)55-Zq5Npux_xJ+#ao>
U"T7ljQu3[2>B9:dVSgDQD\#ut)^UtU?bEY_/:#MUc/9fjo&ELr?oVS(#IG_Z::,9
U";i%4]Wh8d:81?Od+Q+Q.*#bis1<U^Smn^C5RhAsmwCNYi6km]h4g3djf&xhLfRj
U"8eJ(hHHQ6AF\=[P+&<h[H7WD/HMzX4,W>Ur$iEIsn]CXs]a[-FI(2(Sd,TFJ<ZD
U"^$E95Pu\s=^9EQ;HAHFd7tV.RLKte'S^YPJCIG+*[)Zup/2:eMUMHtP<0bWqE=M
U":&/oDijGbdbo<*ouFe0tK9=aZpBrghkp\&9K8/&jbQsKO%Oi1VSx5/?fM\?:%m1
U"1=1a0O(^$,Xfi'G&e-s9*(]H_'d=j/LE0KZ/IEOO3XNQn'7f_pYv1^w.1j09o^e
U"(Uk<5R31O]edXLXnx5BW#n-X,(&tls1-XenXjV_cG#hxL]rs,+\KE3$RIW_69\V
U"Y*T#=aA'4cMZqT]XCp'JPW(ZOrB&,NbFTZNF/**rRGnWTU5DhM<+Q2OQ+mT\\hI
U"B_fE]\v'U7JUv?U8wJP<e,^bys;Uo-PS80b]:Jd,qPOj7/4IZ+Y1(]EuM:s%)9\
U"tir?\X\7.+;p''w%;aY,$,>Sx.;_qZ7,lL%NG)B7RYRb*rls*Olt*hrr*hw*2hQ
U"&0,gf,$ZGof._X;L)>&_wk#q7n(ri\CAl8xxCKocH*5waTl&-\Of\V:[>;w\1ve
U"([GF)IxwFo0b0\&3eTwV)nSC#\mUhuB)6+T%58QfXc<(OyQ5]uS'QB/&D&^4i$Z
U"9as&)3?&*/.33-8pZ7JPb3\9z=uf<p)0%J1hmPAT3)B9IZ(d\\7i++R6O8nm/-R
U"7CV-?:7-Z)q7,NJJX4'TWgcZH.pM?F+6ZS1p*&[OfbY3B:]L,(oomresA%D^JcD
U"N.,EslG*f;seS.pX_D/?K=;/Fdu3iQ?\D/Bm=v7jqgSV7mcSP4TPl>'kqxmc.tT
U"\x>\v[oS$RX=^BxygB(f[prV):c=<<?fKhHe<6]rA_DwWu]TBclk+Q[ZMe;vdUJ
U"ufZ/VK#WcJ7B7u2FP2A1)n4D%DWcz%Cd4^'ZS0+mk,j9p-Ya&A#mKJnQy>nBxeJ
U":\QoJ_9]LP:K6y&*M$RY8KPP<=>]CoQG4TcF>sW4[bmtTPkk6$*fx.dmX3hk>q6
U"Kg8KHXojp/-EVWw3[-smeoX=\eh-Y[alds::\AmHx4uKjd3g]VLPkE.,#TPS62_
U"MTt$r;$Jv\^k-qfTmTuY\U+lC%GDV_]vRK3u&][p?i-DD,V4AC$ef1,D_lX#0<k
U"<r5fT)+KTPn<AHpW1q<16R5AN)U$u;Ol$wVJO=K/N,Zxx3:AJE)B=S1wb72Y4hU
U"-Z%jus&%4cn)1xdTW(pT01RUYpGh36gVNhr+xO<%S1)cm%4_wKY&vzfOoj.HY3z
U"#l<SC#rSA(.h4g4kY)Lk7R9WgwkK-u^C.HJHt1NVS^oIxdSweERiJu$&M<az<Yd
U"//Qrd<i3f]wj]_%*8el'U:(GKMSHoKvreiFuzYutO;9sYXxIrSCRSgWWLUJoP91
U"?pL:eJ$nOCkswZ8<f?]u.u^4tGA+I.2mhioQ^BjD+KN/lfY>qj>Y=>JRj*=AM\x
U"->.[6hw_HX%JnHw1OKP7q[o[1];lDO9N&DORvG:OzjIY5c%6&K96/RL<wp#9.s$
U"^W^w&QHe3u2k]_OJ?9R&u6wB#t1O,Sl?*HLGBr%Fx&WxeX?D&pkv:r#F3tsG8K=
U"#KOpiX,&N+b,A\:\1\yX+n\6[$kyd$tAG6kb1frzHM[\y9sZ[j]D]*A656Oy-)b
U"-ty]d#?.0c:7W'(et9bX^JrD1?\Cn+qMM3:O8a,$3nx0&K?YdCIrb9\..OQ,OS5
U"V]fSw&9y#u.5tgF7<8[aTqw(7gy&jMIZMgv#u>YyCJ)Z0ju81O#=ERiaLB;$8X-
U"v]hV1GRU_bSo%(S_oG]^.?_Go+W*KxE7F5;%D*_UJuNAKmSpqT)<P)6(&5R[-eF
U"#mZ9F9h%wT-+.y(+q6#0N_cU;%oJ)0%J2,.zEyK[ZoA(auoabG'J0-;M.6g&2Y>
U"v17(Yfb,&\Mp5).'0Gy^wReS?4CEF5F4OMo65gJwW<[GA?'E:q8LoBM#9%3bTBP
U"3.H0>Eg+5d'hq7YGJ]M(5lyUntJ1'oFVt2w>7UQd)MO%SiQV6POy2^TgMZcBM+I
U"#-wv9BM_2?+_LfG0_;(B&cjKi1Yw:YGy*/6KlW9i4y39ZM_s%hNEUfZHFZ:xIn>
U"wyL2Ir$VwPp\(MfLx>hc$^e'z,&eU,]U-kA,sTk>^d'a?f0(rs3]FeAwsc'J8.C
U"+L(e5X:SM7;f,n_<SI.'S2VQIjO,\o7F;:4U;w+E[QH1>q\\7CeX.KI6DQgAeQ2
U"W=7Q/q<V[L2J9E.V<([FkJ_Y1(1-\]e'';Q46=/7Z._ZP]+;I9X%u(cZO)=ny_9
U"911=+AF7%O%cRL0TlDB2xpQCk2UgR#rA42rg[nSTq>t21VS>=#^>wL>1=kh7Qyc
U")42R5)<Ukk.;_%8dq2I4HAJ7[&SmOL8qHrvY':.oAj+iHBTvg\/hQMG(;eY+=O&
U"_zjwqWsHoD[Too[GC/#8pWYO=?'LrN*qRW5n9+z\iJBI$]sd[/VMC_7B&#F\[qk
U"aHqjdXmP+)OUkb1m^cMPsMw:#%kH0[V=+H$MDu,+?)vZ29;pE,6=G&4.8Z5\EU8
U"%^6pWM)h#hYj'Od=aKwp%FxETo92=FLONM[(D-l?y#mw.C2g\9e32$w=86yfD+e
U"gIMg;Ryn^_bf(A\59XgXAp=59I,%;adnEq03-,e(\=QiAIbu=)=aD_re6q$6cW3
U"Ru;&BR_7J3DsQ^x#OSurpXz*hB.5B7.c1\G2\RCYsUuQ1dk[y-MWZ)7o(QJaViO
U"f$0._b03coTk89?cCe/\kh,]^f-V32?;N-R%+-(KRXkae9Mqyi*Q%/*i[rru:aF
U",>Ati>o2-Ne)q(J>+d+2Uz//:L9m_lUVwY(gz*3af4H+PR-)7hB?T*Hfl6l2=y&
U"8_T5rnUWPCwJxK[I3,P;;UE#uU1x(3D^'u=EU-Spt?K.cK-.O=>ihXAaDAkL(=G
U"a)6QQ)O\4;LZZm2i*:=1oH8QbaK7:2(s+4Z-.U\a>rc0AN7R),]rmb,&k&]&.Lk
U"(XWMc8Nc8_+-6l<\w.H/G(9x\3'):+hYO9I)iW+U50\<$g7+U7nt8x\S\+aT55A
U"kIa%1*VgFxV=bQgna#+bhi%li5T.MGM)(t/<U35\oW&UKZaM[^\^JX2^]D]Yf-H
U"APjxA.3t[*Y_r9C(bmz0Gj#SGS?m_iO'&$(<SISB>5?>QO6y8>;=;ve0p6%GV[#
U"j&#XSA/fW1E\RpQQ5SrXEK[1Sl]%u_Ai3lC(7'Lqy>&-RJ18*3a<;G9jET,KCs)
U"[Z28w0gB3+WSv7k0.0'*uLyEX4C%j#impat7vQtlkGxSj3cR2r7X1s=M4AWN)I;
U"OgLoy1(eyr>+meji?oB'>WDAy_jWGU/$a?f%X=o:mU)k-&sxuU,rc&*%jWYU1t\
U"4Q,Th*1gRlQKU>/L_\S6.XhH[/qgS1S9&FNH-B7P>M7M%NULo[9qImx&>7GW-K1
U"wrSK8R;0:0%Jor&o+xv1$XB=JUJozBii'5(9kDd>1uD+#;nfVL>D6p*w[kM;#Oj
U"/2Kn5Y,RiSUi?ceA&QF#;eR)F#$a]%QL1zAS15i\%KG,phg.wWD3EV>tJuYYUnu
U"Vl[A1#MWV/5%oJoeu/.2*TXKZ*cT]83wJ1'uc4sfLE5WawxreoQ5_A8OO/&57yy
U"$EckLKIg5-4qML/G);9\%uvbxIqu_]7N&cq(q#-2Z6CEZn\ga$#RG3ItlbM;'w.
U"FABb-j46)IJqmg&]lgHrKJCs5+Cet?qGqo9%P7y#*NuGJPd1-$),MyuiR\]fSI2
U"TwDTn0eRn>us_VhTnTg(V4+b.%?W1(X[+2'8(a-(i-QFPw&Pc2&?D-B:tqkRt9a
U"zG#$0U/%-,M?R7uv[O0pEAPIJY^jZje+QR,xIuRXb7$p/;:IZn:E>B-QODG^mZ#
U"$HRVAWif'b.LAYNJIt8p)9k1$2l>I5svDO6'wb%iK'W'?>NwafxjAG/u+u#Pa%D
U"a6%Vap'O?wOFLKwGrC-FHGIIOiGFU__RpJ=QIlj[$ZB%Apklur#%q+/AkXuoQP:
U"W\P_d::Jps2HGaI9OB?$h02O49KQ=./9ZmZwW0%8Xq1*3QX[W<Q(eU5P:]&\tM&
U"XD$d(/t&YBJ>O&#R&0zOGkz0aM'\OF$Qo1]L^)QT]<Y?CFC:9fIGt?Jw3f]16O$
U">,O]$HolZNn&9%8WUb[0[t2+[#a%*'9.k$2j]s+=]%y8>UktJVD<?W>uIFe2k8p
U"'v7gu+PC0)q<W+rM0hIj%\D&U;#y6N\yW%FPc-(0X&_ixt9Nj#95<k_K(%LICCc
U"0;g,-_yhQC[SoJeOcHL9VifHGi(H*llr_x=\BF2n]6<-Ct9Bv)TgeVVqD:BHkk)
U"?k*pA;zB%ig8*7+K;;uc<j/MkPMj7G'6:R/PRNQ3oA9MZCj2lsbQkTc?+t4+Q'F
U"A'#R7rfLAX)^BY$r?i<%6(lQC*+T,/$T:Ce:.ZCNsmDk;Dd>G:'PUI.oLZ'f$,w
U"l>c?jf:-N4hn1A.L6T./+ZwMHs#EK?Vm]c-*tJohK#BD/suKJh*mTwwqs1P^p&+
U"#BE(+W='azPzP[F9NA)_rm=LzbbB9eK49kuS;Kk,qc_734EW](0]-('DKRPEi7i
U"\[W2+DDJfgm1Feu>YcUB%ZjE_M?1MN=7S,*g^wgqf&SWiFf]T:oZd3g0^4bg#.+
U"\2^;qVJd4MUkut$xb((TZWDhCKBm\G4XNb7vH)vhQ/^s]?D*i6_a0pfl#E*oKpE
U"G63^'b6wF4um3)#GKmU9E%99oMn>9rBwL\'&055uqt<:F<0b*0w243\U[s:'^mE
U"XFu2,bMx?$VC_VbbeSzaeCa#zEePiYnn3+cmpg:O%Jpug?*$\_\CtMU(Ta'P=tw
U",Jd-'PYsdYRP?hUS3MNBUtSqT?M9E:\AETR-$.bT<SdhAV,/T_24WL/U,=NBU,m
U"m9345F2HcS\2\At-Yq>3d#A^Yngoj[ur;jHMFV,AWYKLFO=]YNEA4.4Hr]\'HZ5
U"83t<H1Y[t89gAX_lJ92]fO*qxKr(niwI?)SADiF?nvm&BJ9J89K=iV0$ap\xnjH
U"lt$3cV*mokNfLfG6+_/;618,nQ*=GQJtn5N;a/.U;h+Vt=vsjf9n*t-2)&Hc6vq
U"Q_XbdLNgCkRL])kI&Wqbe8ucb]<-J<e4&1:m%[A/=angY4ue78L9GmgWs\UX*oZ
U"5%'Qhb\uu1H/sZKJ,g#8%AiU1]<LIB,/&o1:O<#K*w5+2W,<Jf$uxA:3FmTvgtP
U"$m](&<0Hi%Ha*4)50>a*(pcU&f4hPas:Q<?>sp9Atq\-n<PvOH;$rlcOthpqr(/
U"-mY<#2Lpcc*X<Z_:imtb/aL%%=;1S7TnIf[aq^Jw3&=eTI61YSmG_FYT^1tc^MJ
U"JNLcV2cLc&nM\M#4NXx]ByN.kYs&c^S9Ln.<Ob[2XEQKYv42KH]ktf94SL>$:[=
U"?Oo?6[Ch[FUI\X_(N?;5=b0wTlFL_Mb0D/0./'0($e+d#VWhIQD6AnxPt14)R0e
U"-ESi4g,:r'4dRjPQ:QtjQh+YF,8/up+tRs(e,eafoBoD>;O64W#VX\f8+*(?DAT
U"0g1=%g\d*EP,ELTotOPCuVEVC?VGvD8=\pUMFWJRWtStks$>FPaRARCaR:r[pKD
U"L3u6c/PY<6t.<V$#y14N^ihmc&GVZh-C4wls$Ab'a2ObPI=ukUZrlED6CVnven&
U"a]zYi.7yMYJ2p)fhdJh?igkkTL)Ljkv(n7S#kx[fLXEHLAiH>H_aq]0Hqn5>nN,
U"cMmD0e8L;E-5K,L<TsSj,ug4KpkOh#Xl,7L,XtHwD<orR?o[z[8nXB=$o=F;FuH
U"LHTaTITWXtepiWXE8-98F86jdGk)d^.BCW_'_kVgrpNuD8DxP[xWN.me3e,A9P&
U"/>+C+8k1qJiY%O$iUhBv9_kFr)kj_\q>=^U^0BDH8lCA4%Q3Q00%2+<T1^i;2o*
U"_tCu9u((uLuxNIuoF\Qc33^=CJa[v5H1^['<5s_q&Y5<:n+%D0c#/KPGk.myWY&
U"sIi:Ek.F>_T;.rgI3>A[tFMM[Ty53a]-^munIoI<8S7D<s4adFgth>GSW0ttT*<
U"Cu<S;3-;73$C:EN;jMe=Q]LU9g#CcRKt=q5iN=?0GhMGBqt:ZT;*pVD4AN7s\C-
U"Xm\J'?0XrqJ=W,Wv6lCH]lkeZ=Y1F6jU1^IQ>B)ZkC^#LWMAPM]yH<OH2v(\rCi
U"k#rbrllq#u^GM>XrE.BXu9XFhrZn\TQre7nWasaQraUaouaVJ6iJ6rh^i^i8a7T
U"94%R[XSLT=#kFS'J=_<+lUr$##[c'=V[lV\L[s*jrjZkqkGh2KJuQx?n[TxNw-*
U"5&gk%gsgjQ;sS^F7oIK_d?]ZFq;uQt:[[=3.Xf<*U,er9kmkn%/toqAaINaDyb?
U"b.Qn>K<6b-XlbDs<LnvaM4n3dYGa=nm/eAkaLd(_+hc+d%gr-hUkeuf])^adpCc
U"_a_SKVrI*k?WX'>PJEMTnai:w_+M/tc4j6C3crFNTxIgw]uuk_k:Ci<cOMHAMrx
U"RlwHt^3vwLtQL[KXwL]8pZ8_-?PKWs:$eoY)\fcJBVPhggvi0CV'fjfD[B>=JQ^
U"QAT:/::VQE:.+)T)$C*n0Ij*vQ\kQLQDC']U-/'M+M&;9[.OR;FS%D-d8&MLaR9
U"5F5L/KKkO&iRo;C:WYqS%v47Q4a>qaSJVJ14qBG2j7Y]aw%9P2YfZ\GXX<NaFg:
U"p,X86t&dmJDapom75bUeaA$uXv54s4KD3YXZ[W#WPh6M_R_jH[lCful%)7eQpGd
U"._zgb:JOZ'%,(Ot,u3cHBsBFSF[5MF3NaSL]tvZeZe(C^8^HI^pAei^gAOi$KdL
U"knl2G*&kL^Gm2XBC(AHAW\ALAN,AZAYd2c+Y,gk+Lp=*=jlgeUFB2lBjt]mHc.$
U"cBDlc<iaLEPH9tO(T<HepU'HbdM7db8QiX_>FWX$x^uudrp<ln^x#/a/ia/O;5Y
U"(i$Q/,*J/,_Mh_J*Oc57n:Kj=w.ME9.mxI9VFVN3fdMR#bJBcDA3ahAnQueLKza
U"<PafeL[F$K4+O4Rp#M99ej<w&Z6S;N99o<ww7mP[;2XZsjeiG:JW_qhYSMQ3*:Y
U"(gHs<Al]l.kDkj3rfktRklkE$Ak#jyjQ[u[[^>ke[,>)JZt:IdNue.-pcJ0Doip
U"BWR^)VAy]M)XvGqLV.$u<A%A:^:Y_>UPY^Y)<Yt9&.OsP0gOmO_+cCCubCRCC)t
U"eh&vyM<(PfO#qd<CxD%=zMl%Ure#vCvMl(5o5Py5rK2sseWgpvcG+TFPzMe%eig
U"pFcgIOb+IH*msxA:>v%^u%wOk'o#RU<4v4b&CkC'5<KTP+.?/lZ\Tw5ZqZw#<:Q
U"yS)y4w5:JXj*<Zk<'FQtRT(RxBqHFrpr^6DhAfdPnJ&Fx'h+px)ay5xjXf>7Y%x
U":<PRCy1&;I&_yW'yU+Wr8^fkdX&W_wKyBi()+nY9NcyKFz*zr/&f%ViyK%qF:7J
END SUB
SUB V7
U"Wuo2tBZQ2.bi7y+omq<HO2/U*6)eJnExYNEOz[yeLz*%TN-w)%N.;7Hi84^>hJ\
U"IFbbPC&kL7e,N'Il0Y,l3LZdsO,JHbBL+-qV4k=qD<+Wdl5t7YxO$VFp0ceX71?
U"nF&4W/MrP3h]D$qYF82ZT\LuXtxmH]]<44WR.j^7KB&cs?pFe',Rhvf/]*E'fRt
U"TCc4ajEp;8S9+REn%S_v9FOPu-kp%u5(rHrCgN^e#-B^Y2Y<65,'7vCE0TQ.E%t
U"*^p9]^k'2H$+FS.M(c.T&xThd.0vi?yFN'Bpb4Uq-ZLYJSj(WYyf9S_\BfB+b]Z
U"m^_G&N;JT^(/V0lg/.d0cATaQ7a4W1jC:j#b*9hx?_hx(%up()%9%%%%-%y%&SD
U"dG-Ufo(%%%,H%%%1%%%%vg.ns%f%ijSkRsy6i)P=#Vd1hLtkdwDxbD9/-9Ticv3
U"/j0NoKK2,LQYs1ZXn$^up.OTt)H#HuX#lnruKvtVgm<^u#wsJsA<$%KlbNm3nV6
U"s?\lR:rT2lN95KutMhbBJ11T^zh3)L;c%$rQ;=glQsPt.'5XXcv3>DRd_B-^gSn
U"tea1?XNg%dPED<tNu89ObxC6T2%dPLp#eglAGPr]xwAWhJuFuwPu5]w$Kb4Mdqk
U"0p^+&?'g2CZC3_vgCmgBQj$>[m$BrhZh=l=NYLyNEC'^f=Cv?0t+#PvbfW8xJx+
U"kHVE4GJN?BqhZg.4)T*hQ8n8K_-r$w7OavVbM1(9%>rlXOK.^?,vVFF4MLwd9dC
U"ZJgH6Kx5KftQ+FrMppjeeFDMTR0(F^d6NnPx7InUWscbbE6sbGj0Dn>%Fv-B#q4
U"&JXCxBP#?XNNPm^lXHG'KM\N%xqJ?[8n]LxP/)K;\*viWvfVwL4aOLae9KXxL,u
U",oNFoHd44W&Ix<xz2qTdTvjotL\j5h_y],^'$CTj)nDWFHmH9v[h&WoJ=]VOyW(
U"uZhx#iml&IH=2CF3_IDtcP1LW>'Y:ynT?68kjr6=0EY#[pzOHHY:N=^ud[=x6b.
U"&[ZfR,^XMl-IN\L(^?P#PLHrj3,jdTDam3FP]KaB6^UU4#LtMc:l)bF'at:Oa-1
U"Hs=qQP-exo<dVtJ.zg:NV#AMPx$m,-BRPqO^izi*6U?h*dsZrtdJrulV8.xH,C-
U"BjB<nt8]qvtdZLCrXOL]AL?z;8;MX.YXcn4s2n]'PPA;g6=pdKYZt7x8k3[#Ws^
U"$Rn;d&8X?IJFbt>'RV7HzYY*W23s^POJE+rVev4X_mzSEp72nd^58;=i(,;9T1X
U"sIwhgs6E$+ldU*0]ddC8uLg7#l^dNVsrrSDDa)TC=DFJzfDBx#LmzXy:*L6xGE7
U"ge-rkQxrPj'UrP'tj9'M'mKF_#v^6LSS*rGROV5m6B9PBbO'K1b+cZhqh_:_Y8<
U"#nhT=Juc6u?HN^mBbXT?Mj6Gu=xggW\Sx[bN;$ZDnE3X6xbNVtCWe>9%&$X6XhA
U"jaqr^'m?JXr?Pj8%%up()%9%%%R-%Ckn^DO1)ErI,%%%rW%%%1%%%%vg.ns%f%i
U"jSnRrlfg9VsTm:9O$.S%M=U?7?7hQ2Qv/[Bjvw1Op,?5b#'N?Cf7(9wn1/t_Q2a
U"d:w7+Pp67pKm?c;Y7.KmYB_#2-#)Y*^?'3jYG_lh>[$<ds(xus(,2#dQxBM1+Wc
U"5Qm;hT'NP<Jw5rj?Y5yP0<qpF<jZtp\#[BO7^bV<V:[Fy*C-$#%&D\p_s5]rK2I
U"WVoa-#gH$S^l#rfJ=J]t#iZAhU-r:\Ga=:+\QY[)E1(Q4,-rf(s/$C%U[];:2(w
U"jXDJ]7'%/%LijXZEsjeMd8rv;sAlyQ1mLTf]32lpr-?1BU25^?q*+BaCLDbl$W)
U"BE]bV-#?9eAlrcFqI+VBqHl*6J<hby'5RWRVCEGVn$l43d;X=)VvSD2l%q3LT\F
U"seOB^eAm0PWZ;8j0D6sB9/^,^9,:T4,q7&Y$4[E=KZFeSq/ogZ]ZFh?toKfk?le
U"n3[>0'?(3JbKt$%c.N7k(.RUe4a3fAwHg.r]+X$L'l$fL;;ur*vf%M(sb+1ph]K
U"j-(eJTxPlqO0X+s-K'XgLCo,I5EoRlI+;e&:(_]-ap&B[A)O)^*[*V5=AQsjL9)
U"97]0I10X'1U:D;k-('gpDVMI6WW:kr[MJPgH1d_5Vh#fzJ8(Tc?A,$5E3]S&0t'
U"t&mM9::zEmjro7yM*7cE/wRXO<'S#%>NwVe8#(O&L;1So'TQh<=%DMjje1s*AQ=
U"Ca/z78eO>gSp'))3Z4pu/3:%Q#e85cK):Y45%?BiduQ1B#5y=VK>wxW1-((q8y)
U":]%wqk/=PXG3iAHd-4xWyyQ_ecz%.$[V9ToQNM&2EyS7,kO,dJ3h7$%:'hd/v;i
U"C7V=gyy4-$<S3Fh]ApRuZ;C3Al#)tj=KnCgrWG;5sJ7[L#\X]q5bb-NRS,SK7q5
U".68G5r/wm3r.KXQ8Jw/3(LXOO5(ulul/c]pek^QLSjeBbR8C_<C#;3chp[oPmS1
U"[4gB;\Y7>;e=S6)5oB^2A*T0^*2<_fqFDH8bHi+AFy&BYOc#P$2Wl)5B_rNQ8aY
U"jje'K>]>fqg?3[T1&2\N/]nESb6,p+.X:ESQR^SE2bglpE7x>.pjE'mH2,T.n1m
U"N(imFe:?_;9DilT0%P5,zU-j;YMUP:_AGe*30O=2kX]A%)ESG&B%S]h<sQ4E'*L
U"Xwq']FWqLeo/6dPGM+*=Xja_Y6_3Xd-F%r[E5kOnO4Ni%9r]^Y5[rh'5S>X<bb>
U"uP[;ct-?]Fo[\8?70F3yUB1BU0>58FsR2>SxFNoBEHY-q8,Vco-Q0<hx)8$QCIN
U"qxqa$D<mQaaW&p5G).ZTwJoH60LiI1aG-SzZQ:E0,<+a%C(,\KgRxFZ)asTZhO>
U"T.&.KGKegq$.(h__Jmt%J5VIk&JcE4gpIw,teht'\^50Q_)?_5'20FEqm_$ZR&g
U"Mo7\/7dDKmE.jY/I\tsN)W\qwh*NNon_treefB.,lMZ4&R#NVEJ>NI9H-G3$Zim
U"%-,OEf_C4kv/xTYPOnEUa8#\?e9_]&mH3ibE/BVX3Lf+_>t:0l<_RDrKnCD%8sQ
U"]rk,-aFwb6BdaR+XiZ(_YAzil502vuHo+MB#Ym9=Fij.dE&*_$Nt-]uULmQat9F
U"i]vAit8FK[+d&5/Q*xl]aHK?I&eI?ww9dp_-pfnl^q4foLWEkzvO5Hff?UYE85L
U"qz<esuILW?cOCtS:sAKn:n>$ZgS=6gD[Ew9t8,R2dp$BXluvEK<X(p:VF<[uc52
U"T6WZISh^XErhN^K6,jX#Thu9]n-Tl)fsglilQ9xAA3m(\sCOK^=J;aEgXt=-\9*
U";P;*Rsiq91G)35uk>;:Q^I#,8LZ[l/ZW<fR6RM+q.*/=;eG)IS#BwL]SWrH&ZkG
U";[2Pt?kX(1=62q-Y[p]IkaY?Lkt;$RGu6Q2xj]vsNstrguiubYlBlxgn9HV)2oj
U">Zblr#^I]uIpGu_lQRWRVL^#GsdkqlX*=q7)f#Udd,ylIe3+uRExGFsK)TpUpTB
U"<%3,Phhv;$%[K-.g8ilE$Cj:qM3mWl%jr57#KG$hr%WE\3,BfK4%&A68z>F3E=j
U"\'_9EWU.rK5L>R,GQ2Xl.7Lf?22dhCfNNao%Li%HXrcWCsk6IDfTFx,DD6W;EwW
U"8)LNK\NK:t-c1pjZQNE>FreIMVMw#=<),Icpx(v>%_k;\NOd]s:7MPuG<x[tMM4
U"kIVaFe^K>nPp$^lS)HMOd?#vx,OHM90Aa&/H^(FFXlB\poAB8xLbDome6UC/=BC
U"^kU7yxBubEqSM$sAMt#cR$KLwpg:.MTouN,t.0Qksaf&bq3:hJkEK*G,sn8Ivp.
U"HLgEHrXTk)03oserfQ4t'q<up%()9%%%%-%3Ck^DQO1Er%I,%%%rW%%%1%%%%vg
U"ns&%fij%Sxuw<fgVsBTm9O0$.%Mr=U7?o7h2Q)v/BjFvwOpe,?b#n'NCf97(wnf
U"1/_Q-2a:wk7+p6;7pm?hc;7.iKmB_r#2#)#Y*?'j3jG_ilh[$]<d(xHus,2m#dx
U"B_M1Wc%5Q;hZT'P<hJwrje?YyPJ0<pFu<jtp*\#BOj7^V<+V:Fys*C$#I%&\pg_
U"s]r&K2WVqoa#g.H$^l<#rJ=kJ]#iQZAU-5r:Gaa=:\QIY[E1[(Q,-Arfs/%$CU[
U"#];2(]wjDJ<]7%/R%LjXbZEje6Mdrv0;sly(Q1LTZf]2lnpr?1IBU5^S?q+B#aC
U"DbVl$)BiE]V-=#?eAolrFqOI+BqWHl6Jd<hy'X5RRViCEVn^$l3d\;X)VKvS2lU
U"%qLT\\FeO6B^AmY0PZ;<8jD68sB/^9,^,:fT4q7R&Y4[=E=ZFMeS/o?gZZFjh?o
U"Kufkle'n3>0F'?3JdbK$%Zc.7k)(.UeW4afAAwH.rb]+$LW'lfLs;;r*-vfM([s
U"b1p7h]j-2(eTxMPlO0cX+-KH'XLC,o,5EqoRI+5;e:(m_]ap%&BA)FO)*[j*V=A
U"\QsL9,)9]09I1X'A1UD;Bk-'gIpDMIW6W:kNr[JPDgHd_J5V#f5zJ(T0c?,$U5E
U"]Se&0'tQ&m9:V:zmj(royMo*7E/awRO<*'S%>LNwe8$#(&L2;1o'NTQ<=P%Djj_
U"e1*AHQ=a/1z7eO0>gp'W))Z4/pu3:&%Qe8:5c):hY4%?&BiuQ,1B5y:=V>wDxW-
U"(/(qy)':]wq[k/PXTG3AHbd-xWnyy_e)cz.$7[VToKQN&22Ey7,ikOdJ%3h$%K:
U"'d/Yv;C7GV=yyY4-<SO3F]AtpRZ;6C3l#^)t=KGnCrWkG;sJA7[#\MX]5bZb-RS
U";,S7qq5.8G/5rwm&3rKX/Q8w/D3(XODO5ul.ulc]epe^QbLSeB5bRC_'<C;3Cch
U"[o6Pm1[<4g;\gY7;eo=S)5AoB2A=*T^*J2<fqsFD8b^HiAF7y&YOgc#$2MWl5BR
U"_rQ8_aYjek'K]>Bfq?3G[T&2/\N]neES6,+p+X:nESR^MSEbgSlp7xC>.jEu'm2
U",1T.1mZN(mFte:_;T9DlTk0%5,qzUj;#YMP:i_Ae*^30=2;kXA%4)EG&3B%]hr<
U"s4ED'*Xw;q'FW4qLo/k6dGM_+*Xjfa_6_*3X-F,%rE54kOO4-Ni9rd]^5[<rh5S
U"R>Xbbf>u[;qct?]%Fo\8=?7F38yU1BgU058'Fs2>$SxNopBEY-gq8Vcmo-0<Mhx
U"8$%QCNq_xq$Ds<maaDW&5Gu).TwrJo60(Li1a2G-zZWQ:0,^<+%C4(,KgaRxZ):
U"asZh<O>.&i.KKeUgq.(Oh_Jm4t%5V2IkJc#E4pIkw,eh6t'^5O0Q)?=_520IFEm
U"_-$Z&g*Mo\/K7dKm^E.Y/kI\sN6)WqwXh*Nohn_re?ef.,plM4&WR#VEVJ>I9hH
U"-3$(Zi%-Z,Of_gC4v/kxTPOEnEa8r#\e90_]mHd3iE/aBV3LNf+>ts:0<_YRDKn
U"-CD8sRQ]k,c-awb(6BaRY+XZ(5_Yzi:l52v8uH+MlB#m9W=Fj.5dE*_d$N-]HuU
U"mQ;atFi0]vit:8F[+hd&/Qn*x]atHKI&oeIwwB9d_-6pfl^?q4oLkWEzvtO5ffg
U"?UE8N5Lz<uesILuW?OCFtSsABKnn>B$ZS=P6g[Egw98,-R2p$tBXuvYEKX(Kp:F
U"<r[u52XT6ZIEShXEXrh^K_6,X#tTh9]?n-l)Efsli>lQxA'A3(\csCK^M=JaEfg
U"X=-Z\9;P%;*siEq9G)n35k>u;:^I2#,LZ0[lZW&<f6RNM+.*Q/=eG0)I#B<wLSW
U"4rHZk%G;2Pjt?X(t1=2q&-Yp]aIkY?jLk;$uRG6Qc2x]vbsNtrZguub>Yllx:gn
U"HV9)2j>uZbr#>^IuIspG_lZQRRV*L^GsLdklXQ*=7)Hf#ddr,yIet3+REcxGsKC
U")TUpZTB%3K,Phv,;$[K#-.8iYlECjO:q3m)Wljr%57KGU$h%WZE\,B\fK%&/A6z
U">TF3=jL\'9E+WUrKe5LR,KGQXlA.7f?)22hCYfNaoV%L%HtXrWCsskID\fTx,pD
U"DW;SEw8)<LN\NhK:-cc1pZQkNEFrKeIVM_w#<)o,Ipxj(v%_0k;NOad]:7uMPG<
U"lx[MM-4kVaDFeK>FnP$^QlSHMmOd#v]x,HM290a&C/H(FsFXB\5poB8gxLDosme
U"UC8/=C^(kUyxfBuEqXSMsA+MtcRC$Kwp)g:MTSou,tq.0ks2afbqI3:JkYEKG,.
U"snIvop.LgUEHXT?k)3oSsefQ?4tq<%up()%9%%%%-%M0ASE2u>RNv%7%%+'%%%1
U"%%%%vg&%fij%wxSxdhwDK3T=RU71+YbPYXoSl;/-',tK3gLg9t,C#59zA_mngQ=
U"T^E]LA[iinf.jIf&wCPrM5f>n20f2^?Ehe^+sg/uobI[&mj82)<oE^h-H=^JIP3
U"T9twOU/L)];eDoLu4=9a&0J$<k,kTY)'b00P)^&LLTI>\M0Qb<NT(b$JM5,0[-H
U"ATSe$4aTvMs\F_Hu'qRIqP>tCknfhin)_E;5Cc_>)dinQ%Bo(cQ'mHWiGAM;B:j
U":FsJdYbOC#3BjBu2bfnfXOdf*Qm2\QiM2gT.>b<=Y:3C;0^gg=F%aql'C0,&?xd
U"_l6b+3*M]baqB'Su-0w'u%p()9%%%%-I%bd]UDg\o(Ww(%+%N-%%%1%%%%vit%x
U"ijr%tSgfCxTz<,>[k5rw=Bx20cm')+-n9S,]n)(6'3yn9xeU7Zz8QKo'e;?(.43
U"WI.XlB.23#j7q1HuglEEIXT=H,:7&T18$17KY'mhA_6t0oB*u.&oW/EPfSE85*&
U"0I<,ggIb+Cq9(WYZI/pFRr,sOJ.TW#i;ULqN)E.R3CGJ6$?MGoA$BK=+Q(vtBm5
U"LH^7fijmIp9oT6u328cQVRe<j2B7[uqI8qX,Xuv:>PjH*j;0e9)5sCWa2kl?EJ+
U"73b$46]$TQ=.>'aE/h\g89[ep;Xcq.Q.Zr&1%7CW8HL]tgQJ1LBGFPfE(1w>=6c
U"%w5_C6YEP7Ec1mKNiA,Fq+drsBvI=k/ds]$Zf?eryP[R5NTI>g3vF2kS;nNl',9
U"i3bB1G=k#B1?Q)XD'#C9,HVlDXs#0R?t_tZ;3ccm18G-vTT?2B&ooi0aBaZqOSa
U"Sj#vQz$D/V)p,AQ$\do>eG:J%e-CN(?i[o+aBhGyXWLi2Dj<I7x=V\lIS^kJ2f>
U"_8vWlbpN&hc<d7MX&B4Zs;/)LCZ(ofEa/N8mH/VEo$[sgY0n-/cL3p/bQ57al$i
U"D\+d#_ibYt^_XP^NV$fJOSdLqF56=P(:=znU>#slLleB.33/4uWNs^l9cmMB.94
U"BT?Lq,^gFxuTEX]cXo5L1I&8._iTlUaVgacP,(<xR9N.9BgpU+.9/D<:s?:A3*Z
U"uS?q3e^ZT'M#cgmFQg;B'JU0:QNDH7hiSLgV>Dn0I3ong)u<:TAjMy:?foYt2vL
U".lN(gyON_AT+1X+7Zb7pM\X_+1[M1R<<ppS?WVEJS.94CD>#EvPoJ#%8m^Qg%7*
U"%k%2g)f)igRE<^K4%MU<omr'jnG/xA]OuxDOv_B%7LXKPYf[4>NZwX-MLXr8Oq0
U"]BXVp'/yI3_/uMpPY5K:Ek9WK(U[7Ew%MO6-o?wUF._:+Qh.06oTD$a4jI]-ISg
U",_zh0*K2/cqL%c'0s:V/%1ZF6ECLc&U^eX_$t):;sSUilW>Y;GzC>XU]&%8tSU#
U"T4FY#)mgqL:H\r2=q^uVP#W)qjFO*i-Fh-O5K6n?)]dyy/w'OgZgo:dG<S9i$oP
U"-u[?skqW-f+K^]R<&/AQsFkxMk3Kg1M]#LxwpeNRe<6j#_(;\2L).ks(9B[P=Q4
U"l#nqe0oko6=rRatLcYb?HBID-<v,Gd=:?[-COOduePAi%dup(%)9%%%%-%p_:_D
U"k-mr2\#(%%w%+%%/%%%%w%jfir#jSy'^yLyX,^T[1eM4_xYPdD)\oXU-XPI<?Fe
U"SCYO16E<l3gh*#>l]*TMMrA*W.dwhabDdQ_5']?mjtf89<=J>Q0]n;?O&d3)[gA
U"?tncZMV(+N:q^TLZi\DfOd:J=0LI-\o7;C43[I4dZI$l$L%vC38P6hMDQ6]pX-s
U"]C2TJm7+IVYjR'cazSZ5r_&C8bRF=m5S)1s39N>\0?fMZt=tInlnonZe_Dg7)p%
U"dKLY\at6't/6sZ1dnQ1E4.d<+dXQ,Jd4KHi4P$6Cp)0L_v.kP#/#J7JH1g?1d_=
U"vE;67d0?KzNigLrqsw,1d*%)T=5]'\e>,'QvPC6&tgLf]IB\m5SGDP]aUi?715[
U"GF28;8YU0iN5,uTc7RhWMUaKwIWtKQfGS864HEe#jGjuuZ>lI+[R5XXn#[&_j>V
U"tpWua1eR.a#o1WH:PgB_KXhT9QJ<moe2tT0t0VJ5)6c3C'LhpF)4wm(l.r79DPa
U"7:2H/Xthit.YN07N.=aKax[wVnIM4_bQLcTF3nH1'6.(z[OHI5_zCXUpKK]Ltt'
U"-V)gB*KWh[k7jqe3yrB+Pe%PCkPY_*UMec8$Y)PZ4e1t/4S#EONO6ni,d)n4Gcb
U"2rETg>,:&?KYtOjxbK7j$cZO3<SVXHYeA8*\QS]pyMZy;W^1Jym8hL)K0]hu5dp
U"EMjg**rRQu&6>i2BVR=a0kDV.<XNZR528^YC]1YP'w>tWwRRBh=$?-wTmr.R*iq
U"T62M+&BzbAk5iCK[)wx*2Mh1wAP9Wij#*v1A/l0U&tH&QZ6H[Ih6&_>7Z5WTbmf
U",mSFJC'(;fy[r_i.f'p.Cj+bl-'T?7f/CTt(9iJCCKPPixPOBWz0C:tC#W*=HPM
U"3Dh9\ldZ9B;CuINCr?Xcn\PQWsJe;u9tK>1^GbW][1RSLoRdK#&rn4d#9:UCxwE
U"v1HHjtS>n3C16x+0AbqFFkR3MorD::U7uC)MPNl06GFG=CI^,Qz4XM&tWD0GsbA
U"/OlN+?2Nscl(jHrVo(Pf?Sa077nJ<_s&6qY$t>At_[(mjCbh<Oz8%%up()%/%%%
U"I%%Ss&]DjB)(w?%%%%?%%%%.%%%%xj%yzuS%ifyGM34502D;CS2?0;G%QXWQ%XW
U"QV%YQV2%/up(%)9%%%%-%R),GD=aE4M^%.%%\&O%%.%%%%x%ufhj%SxuwWfjD=B
U"Tm;UF0v'PI5)R/1'6:(b-EHE+OHg&9ko7&9R1IR8xmI-8;v5m)HPYUfv/(Rna-6
U"KU%BGx:G(5mCas'v+BPDfY84rl\JzV3?uH4;<[.x6l8v*ua?3:Hhs6Bm7(YI_)U
U"M$5S,R5Nr(?nuI;RC//B.pRlirFA'vxnjm&aXxr4N]-mw\7iow&n7aHxS$&$cF#
U"VY63N,&1dvmg(Ugc^q,;UdMMKt6pCtdlW?;#DCHJ_Tb&w9eZkBXK0Enk7hQ88+o
U"V$d^9KL%CWMr14D>Us]r9odc5Htl,wF<6F>R6)oFSddMowj0:e^T?T6R'dMAhb<
U"Azf(WrKnAe#HRp$]ktL7K\IzkG468gbG;YU[zM4o,PPx:,;nb/0Pz<tNTmuujfl
U"q_a=U&fe7MV?x=sJ?mD5/D/DeFJLSv6Q(0dxgiHmhPHm.aD^Qx/aa8GHO1_oMsl
U"HaL5f7ZI%cU74>a148[ca3J-'dH/PAb0S#EV]>8NNg)u9'hB,9mEnr.oDukLwN#
U"?AN>WJr/*_YWd23\o^)P0FSer%6uoSC?7s03c9>KWedwQ+AAe8Cdl']Cznz<PcC
U"OKn2T*is?D+OO&BqU(5P)(d2*kCsQsR%Vwmc1RNF0h?#Iv>Qu:VEO08A,6<0y(p
U"=wlakmaIB#6ZHo+/O+l'C>kcoD#aZr5x;4D=8-u)-<%IS-&ectmF+^/rEXzl_g9
U"5,sqnX]<<:.TMp(m69VllF<FW%urM%s]:m&SSi45)[4g2gj1;&<&rOvQI*N4$m)
U"SDCq]twx?EeMq9ccc-J[I3hrp$pNQUG54aehHKiet.jF4Lqft3VLfDe(:3nD%cj
U"shpvb>[UHO<:e0&>,?c)Jp4&Vk>sf>s1A65ZhJGPgZvqDukq]F5sOzDlCjJ;lNv
U"nb)Z6k3*KG+8i1usdGd05&)V9ITSZ^k\s;Y(Uok%s-eIq6r.'SMM%jxND=99D;*
U"8n4f:;\EP/a#wTq/,Ze)y([1'c<xdU<d,XqfI4DX8B4P2Evtq1i,dFArfu*^fH&
U"\2h'FTK=D=H0IO*f0ZBee?\ox,A([GO*%tY[>2n0,VfW?r$L:?uN+Jx%EYm('qi
U"Vn7HlHd?dTG,X=A.3arA?3pQipcP\RNYOMmhQv=3H<+,902krn,0v+cEj>E,wRH
U"u1aU_kR4Atm+rPDTJZ/LeL8Gq=[KL<:mpg?ntcj2L\_d2HF4$?Z(?,FC9^\jZeT
U"ORPF[%%'oz%P:Pz$y.5TQEF/<%d;CShD)Q/C+7v9?nCANrakGJT7T8L(0s9>=(,
U"eBW/?1q<bc2PaYo9T$l.^XS,E^MCSS09H$&.F4df+1op5VY0cYVeBL+wiA(0pOI
U"-b.Z=wGYiU0PcYpURTXp0>a-pVnzBi2)F?d4+n&+MEsH7/6h*G9GKgcYKSOor?#
U"i\UqzL?<%]R3,\/ItZB(9C7Wp019'Z:CF7CG7I5K'r4hf<KB[$*D\pQ4gTfqj_F
U"7riqOO/[3mn6D.jG9Jj#+9G:3[ni6kW]mZ.0nbi8]8iKa6;\a(/V_H=^()i3JIF
U"]qR]M=$P-[qT-/ZG+RcvN*o;kI+S:v^fjp.7_[=e5HX8F(%&<(1$UC+vd/?M59]
U"ZT';er-HJeqj[m%7,4ARh>Z$OI3HzDwL&Ub.J%rnVs;;%0Y3a^(V9IX\[1[N$yE
U"y/Ga-Q-99ONSeaZc/KM'L9#GJPQO=f+%A):0%XaGak)k1HDB'9GL):v4EX7s2O&
U"$%O^L/Q%u%%%eJz%%%OlaUJ*Z7]9jHJ*<TJ6i^$9VljE<kDP(N=Q\OzxO5C?E-7
U"bcj/xd3?DBkWU9uc4OmvDYjc,>+YVwHALTHT(,)>U=V<08lDk(X=cwdkG,xErsj
U"r<>1aI'p:9G$?fYkO>OJpv;xFe)sMP5tt(b4%GYZMjN6qDIRO_E/0'QxSkz3YpP
U"'NdxltBjCY#q*KN/wIy9L+oQk1xBokvZ\tuTNNniF\/8qi)<(s&8fvkPVzdlDDj
U"TWD*oLseVv^X:YVHAIfEOca(S(q==YDZ)vg.A=ST>n>T(tKk'ZF9LD#4Opp^-H6
U")FMZcY7GlWc>m]H)#Z$dH:YH,^R>?r7#Cr7bJp\eFQMcR?'WRt1j,&kUw;4_6l7
U"uITIq#[sYuC\Bm,Ak8D6o5[j9K=h\27-KHXZ)AVr(Wm1i[A(Or)k^p+j=hrJo#L
U"oi8[G[$JfnNM>$e\H'OAMc4Vq=&%I*DF[bSGYb[kG$uNtr\&#Z%CB(1i2'[p&AR
U"SeBN^]%OjAVdr$]2tyiO6O>+hi0-u'qF'e-<K1XNu:m92^hj+%g+TY/mM+>-a+0
U"y/?Yo?-:$p]:=W-&BWs-Kp.^<EI%HJ+MN_#7uYc&i0E%2Hq%Z?Y)dPUAZl/j?8;
U"k($OtuQF11SZOr'9Hx:]')MW:ihAF-ZK+,Q4BeP?gMUO4jS#U5z'N$gI3LKnf_n
U"u86qwTp&.G[$Ku8o38XY'&x%r]PcHX1=:V)ki(3l8Ja*(EQFBb6XdV>Q9wzm&Td
U"5J^PPhP^AJ\x_q-*1:7%(pS\BxjG[:V>m*^T&g]QE/Q;bV=u:*\m&S6</Wh:ZwB
U"5&d]%c3<j0S<qla2/jx*Y8h;Zq&Q=-PdRFA1H[j'F?CsR,(T<>i[><51vgcVt83
U"Ro$2X;_%s=r8TmLL6=8Kn]B18H1KM\I4/8c.)8stQ7(s3jFtG+?.%Lb.AMXXT(D
U"FttVUP6JUhi'#Y?Pa(ZCLLX&c8djF(bHr#)<N\KwHIn>_GGUR)U)0c=h%2M,Z<Y
U"J(HIM>M'q9+o9V%ofoPdFZj%N't++s0*+_f4$h+af'&V[mrsHw?uhP\5>WK$[d$
U"$n&p?]n\<;S9WxI,-t>u,,u,l8wuKu=#IN%X%At#q/+(>$$Il(.xm'8%9L_Tx94
U"NXT(B\3.KV$v9RAPdVN7mDvDO-8gVD,Y.sCyM9]a5+t4qCBJ[mDP)T:vuirG1;t
U"#I'&NK,3n4?Q1:%2.(LvMDxuL4CTp9&R0aZ&ehL'2(TO$3PvvyUd$APnXK>EtgS
U"lRdP^4T;3)Vc'Nml7Vo;<eVQL:<6Z0<-pX<Yr8cPfUS99AcsqO.woh2c0anwrH2
U"=e3tf]_9Rf2F_QxYw<LErTf#Fs#CAR;Gi0g7/E^2WgmvOgbF\pRD=9vM-FR?Hh\
U"]nAktb:dl\=[XjWo)l6+)6okN)Xs-)++u++++u++++u++++K(''(M((((M((((M
U"((((b(vws%dup(%)9%%%%-%vD)_Dwfuoy.]U%%]&(&%/%%%%x%uwny#jSj'=je6
U"2SKx#dRMcp-<b)qh%[=9oAWVDD#&8o<9[7u6=hA>5][-(?d[E7C2aS5nEO$Baa*
U"\kMLE.oSQ]jWe1wS'CmpMd+CS$.D(2u=mko?p%:h'[Zbc6gM9d]M=:gCX^XXpCa
U"^daYRupoptNx.wtfr]B_EEhX6EGk^rIczCl't:FI,$5hy2DctANK#s=J?'KBu]x
U"vpZxnxm2H0mZ>>OuL%78FB0l'fT-)knI8RsxWbPh+_cD\?=i6+J4efH%(a6w1ii
U"#d*6fT]zd.<(zjThW:)i4\JHUeS>$3l+d4OgJBQ'nbxm9wJAl5V]&h[cSIxF_],
U"Vu]*(At_7obALzg.Zt;tIezl.4tIm.8(l.zb]s_/r8pFrxA_DCaM>SK1amwW]r#
U"S](1hM;4oShr]3N8>(uS6Z-U,II=U[SLmJ/-vLf%F[oa+jQEbgpQmBit*S(YWP]
END SUB
SUB V8
U"3uKUPo$#=$_7I^PC%nD?=6=tfF5ea6XGWl)coaW[rv[-2Gy#zZ>At2l+1$CnY7]
U"G4S=bpW)g5-N_mk)>t^ut24qPZI=c'-*p?uO.02;[EN=B$B;3,]]-4Y#jB5x2%Y
U"&tI9q#zd?DFzjzudrZNc[a_t_v-z.f3;]%p;,#k2P;3ys1uj=-cSZ/+llA-Yk09
U"/$n-'SEaOV#ra#aYRWlLVdlyZguDUa3s7:p0H=4'/[62E?h>&mAFK9ZJIYI%aL)
U":9lcNNV%;)Kh/\f5FGtBV9mWN_mANKlMu+$f?Xq[p+33W]w;>Ld;$u\nGeOu1a'
U"u.b1;dJ'J(uKH^=)[B&O8dw-)P'ZIJm=JDcfk(JMf-PkddAr+NO8DXeVGU1i_UU
U"wY67;HKa6pzGJb27&&AAs\&XJSHrEpDsCEKmrM?A*oHCT7kNd%c_>%A7_qZ_&'K
U"LpOhTP^pDiGBRl.MU</fp#g/0h5F?[>LS_O?=jkMPG>9:-KH8+)r<B_SrE045]e
U"3%Gv5TC($%Z72eS5&sr,>IrfyCg5]Q-7Hm43UgW4RulU_UMlkvZnBT_W37bdk'g
U"qqHSm3G<H<%)()XG_^0p9aS2E?:)Jne:BOETx4[$fm>QnZQJITi?.1;KXI4qSp[
U"QL6fJ#izbJ,P%%UiILj<^39-*YB,U,CAqdY,hRv<^A(%ZgJsSD&X_fJ$j.-/Cg=
U"8mpL-;,gFx80R^Z&ZGBv?sC#GLWB0^P[S-54/HIhhp]P9G5]NV]j4BIsXesnVO/
U"sx:'j'&uf*^QR?1imV.H$.cP5VRmS^Gj$2k8k#H.bmD6f:aXEkQUL[f7,w+(n]L
U"%g8AR\]RUUrA/2K6CjlCL7+k-L\yfYi&$UG6RcvPJ=25NP#gTdgd173[9VKW8(.
U"9K?mlAvFFlUEi;$M,sSNIhXK\B(#.aOb'77Ooy9C#=f-Q\E237*vUfbD[A=+dAK
U"4xbgf[jKi1kKn$Q[(4b]lkW\)YS#ki6;:S'Aga8GDiu/6j'hhA<Lhw0;Fp^g5ZU
U"+pX]M;AE,F7>kDS=L-?.8^$RE#CZ0EYbE]WIHjFhhE.$R8araZ0lu%gB5R1>\,l
U"NJs_;(,8))d/yVr\h;LMHlQ_f9#/0d*_F:f/v:Z.xd5](\PSPCgt%Ld']4ZT'&N
U"1;\XaEZIfTFigIukHhjI'Q[BOHTCg'4lj3)A8RbWb:.eFy8mr5$[#W>u=vEEC2L
U"0C8)[E*xWKKA=ke&$^rV5)Ok5l04]RChQb=OEGJv7c^m7)f5HlZT._fo'WY,9$G
U"<kGXer[mC\pI6isRI$+OCcgBB5^rT.cFo9jUUrRm'>UM#M[1ziP%=z8DZHOChAQ
U"\8e?2g?mkTGDTp/9uB']O^Jk-\vk_eCqV-RaD2Swa;llgKMRq%:vZ<P3L\C7K#4
U"hLM)Jxf+UHk/q2,zhLK&cP&M^D9)VJ^QNU)6y<[+)ES4HG9/ocV4'+$lBUt.AGI
U"s1<++_1xW6J%t<t3uj59<S;.[3'[?1_s1KmtuU]-<DUBx^c4?g?i,gB(K[*#U:+
U"bV<X1cVf>GI4T[*.N_lTThOftkY,Sgl>('EX92Dql<W-PWb5X9u>+q.3tU$S?Eb
U"nI97.aZZN>)02$#HPPuKfg>L0t*FD_7wCmC9g?AQ$H:u+)idEHn0'Pi$gdU6l(j
U";0hG\F8F%RZ)U;9D7r&urDq8l'rArQ&]gS[l96>P#_/.4A60nddv^Z<WuC&TM]O
U"Q,U6H3Hq/8\<\wWPc6%fBE.\itTC(>5c$\6=6UtC;04+ZHpa6#JtXLipRwPflF_
U"d*trM1'kpM/5Eqd]kLlJ+?].(G7Z1+dYe5?JNCG/V:,\V/\+b:SS3]+emvxmtY.
U"1[N;QB,6Mv9r%'D9n/Jg7z0r*ckRemog]ir3lY18XJckP%u'6lb6J(4nS<rAfo^
U"BR)_LU0C3dT0'k<T5i5_3m=R3EkmGoXMXKFd8mo+?OMZ34CPV0pnDbTa<OWtU=u
U"0Tc_6l95M'V;iV<8*D=JKUj?3^i1m&9B-KqtepA[[#V.q.:;J:f4VI9flCUo+#I
U"<1]9rfli0spPS4kHp=I9S$q5E<C,blFJsoOQb6z)A>')^7;z7/('9m4(E]8O]1V
U"=L5J#RMO2aFU4C.&$h9DhEWVKU/6dg($tx^)^)O4Yn+CIRnF:ogARf+&[v+D_gz
U"QTW+Oq$1>d<k%&,Zt&ibM-F_Je(Y16kXHu3gg]9)#-.nmGWt5OPzX<XzT)N#Giu
U"C]]*<AQ,ng%r5a3suDUp^pY;0YSvI4IRw.z[xT?&cW3En.Lf#[VWvq;VQTWbEiF
U"ov'wYt&P8HvH9H:G$4+Sm2]/btT1[1*MimmV84k6<8dt&8T4KWB:,CPjAlr>og<
U"3SRpoSk^tIXfY#PYOKX[Ir\oeaIz*\VIZLub6%hZxFiF;(nWP-5t/4qQcBZ%kde
U"$aO:7=7)ujQGt;m6l6hrP5N>x/7sB7H#)j7Ja_qJ\c.nChrCm\6Xo#Tqb^pOuZ.
U"a\<Z^V&CZ5M)HX1Y'rUQ+P4l:CU$i300me8+-AMfwlb5,dUwi;xidj[Y2;+1qD4
U"<ICX2%Cd:o0Rrs1/KN-*4M4xxhEZFXf[b<)OAT$qVELd=]\bB)om_aK&j%lG+Kg
U"HuU4Fc*]=Sue1$XFLXu(T($758/3;dcfWU,=BMjV2VJv8CHU<O)ENpp,O0f&pme
U"+>O9*.5Oq0D[Y*F<GiQXRN-J>s(?T^f5:jc'K?t)Y7$96XnNr]4T(fLf.N2lc?W
U"[<<Gjfd)wR;Ozq\GWJR%_USQeM)mEFgU<lXwDZ-CzkoEfoYerk?5hp%?f<b%TG[
U"ZCz+B?CC8zSMZS,fNBS^/_LYLBURZ8t3/L+GFOBp5&]l1YamEkQKg+ii=)o(&+T
U",YIhFc[qH7l21Lj()IMMa;L\#\aY8)$uj6*%1%Qz0U\cMrh=Iedh*,,[4<_N%+V
U"f%I+fpF+]uJ-)i5t9mMENeMXQ6cDO9'f(Gykx^a)5s\#w9Q8k_+kd.);V+/[CJ3
U"5lIGBr)YR]\^Sc'7nZ.)9iMu:).7s3)B,f(X*S1]+#tp$c'<7=gVpn]+]o)rw&m
U"g9gb%cgMoWjGS$#<i9hZu/%XF5D5=q?Z_?Kh(#^X,tTW*ig\-n2#.'*33WT>V/B
U"mxE6Wd*g9xTGA_qB,Qlev&mUs6(JD'._B-HLrO^/5ss7kP0f/kMOsSi-qM_3RZu
U"^BYTs5*YjIqo4(\a$<F72g>PT4*jt%-7MD&*7&Nc?l09\F>#$(f#\][bZv;q<K_
U"7Y690=^6YtWEQ71>P8>/K\Xj#$s]q+'7PDX;NZl;+kL?+e(a'g$R7gA:gS>;u4l
U"dDA3me&b+JkSG5[-CnimouKo+5nu\AW^m)b]/8rrw(jv1(.2K^S6G-Sg)7sOY[L
U"[,H'bN=I$Gi5CSsuJ.i]6(/KtGasb[qFX+b?_9;EMPxfh],_Ru$GlsMA7a^Mp$d
U"c_UQLZki7galn.2to>#G),n^6+:rV_PL9g&pm<I'Wf9PZ,S8d0aC^2bk=ZW+y8Y
U"Dl)*_5^$g0jR.z3WVXGWj5H1f.sGN=.w*Of7\HI+dJF-#S'/V,iY[d:I0b\AH$'
U"x9YfFR_[h3e':reSb_%aS.9Jx1QT.fG$84J*YBXEgY7Ym0]K+ze=RwXMW\HU+%n
U"cLY=n2n]e21?I<bp<$UobYn']_'Hg]>ILU<*sPR+HgG_4pRh8=]at,EMVadd;>H
U"[TB%MHu];8,5N;#tm;GDo0EKm^E=bpK&b6f[H-A+'6c+jo%#'A])n58A3//mrFA
U"#,O(hM3RTF*TV%p;XuCY9sb,3lAGUDVBFRoo3CY*\A<?AN=f#gf,>aCBY[&55fy
U"E,du5QU]Wr]e;,%or]Y+/Pam*p&,GN:q/K>H/4]th%ciK)%,/[4pPJmu:_KdRFx
U"V2hm0=4atssb\9-U_B(YmfL2SqAaoF2KmJ(C'(x9&'PKxR;bD\O1MWh&XM)IdIp
U"/3T^FR[d)&aOlqOw^IvNMwe-ep:]+Z?1.QBh.Gf>Y+:N:Z04F4iG<)*0-2f)#at
U"%f5QlHnEo$LVtu+:TQ+12.E3xVOs/,aJtkYKD2SO,S%JANF%)Dsdp<P4/:y(_s0
U"R,bIw03N2sU>znt\MKQdAnoK>rhT/*42XptK02SiI?5-UE+5e:=.jKo\clm26L3
U"7<3];g551,WUKkm<QlDFlEU52OLAJ$lV2+;Lq>ejFmWXVjf?D$O/AJRagdwdTYu
U".(t9*C/8z<'&h<)lsjhP2<ljCe3/n5OO:r(3/6u2i^MOclT8xJ-Ni6fT2DetPCm
U"fk,K38ZSRTrn[<=Y+l]gb,g.2:->GGA(JsdKGs?nz=R>-*0ppWIr'FL9aAX\$g8
U"%E$ZY\33)eSRw792s*)vX:->/Z;T.i_<CiiYP]Dv$cVLW01%q#>AWkQE16kB5tt
U"Ycs(&PX\V*,RSF^5ECdEi[X[#kY240/xL-:vGtD*9<)^)#3BE:\F^aOv^=/&'zI
U"]-c(dNT8Ljp$RqKiA%'8W0gRkRl)buqdMVK-E(wJ3Uua9^uy%^_c=_CKSuDgseV
U"/(Ib/RVuh+<+TM&&lBKRl((,%lfWj<q-'&wmy1hNz++ljpw48&\G5Vg77d731n7
U"\ep92QsuF&xuW^,cKYkGxMr8o(0:7fbauJ5(VbsOoU)hG%XSB.)Nc+?O%[M&T2w
U"P4>/x>caTQf7&RSE]fC.+K3#SyX:wG*J,V3(N5)Y:R\yup_Sh1Iac0f3#f-jQ9>
U"j<vJV'u,2W8&]^K'5X'^-)a#E8z8jL/NS6xZ%A;p)3XGGEKk,EE3RJV2Hqk%WN8
U"m=[ZS9mu.m'\#[pAD.Ya*;DV&?R0LNB2ul%8Oyhe<sEmpBXO7;XQT/.B1+\6)Sb
U"d))<_U4mU$lXnq]b>*_*ql-AKV^T8;oOaI$gwfD-p<Vetfo4^/vp1S_n<7zoU[^
U"I=8RiclWd)IZz4GjjRO'Vbm*031guAsbiD%vJ(1%s7RFV_q76%iipYcF.jPe+#p
U"xD\hVsA;T;U-\PeYF70&X.P>X:=2Kd)HoS/'kCd$-$[?D(EU;YOADH\20?Nd$N0
U"fxc_e&)XnCGTCmN4^pN^,4oI*UH&ZwE.B()2J96c0b%JyL,x[neq>a?NN6;].Rs
U"fqmfOGfvqee-,aa,S&u#CO-xH'+>cZR<o>9%Z'cpdz8KS4z)bOJYz?yFy5)nP]+
U"l#idwJ.)1d?lr9-9jXfS4d#I(ACUwsC*V%xEoXnWka'c]c33%^Y'%:]2k/v1x$_
U"VYyQV5T\%h93='Y'%+,[rbw%/yl-wKRsHs%-W*O#xel;;_(%WS'Y<46aG(V4h&(
U"rnatH;1SuzWs5b%A_%\K[6%AQ+FXYT*%l\BW&(1B_Fd<9i(s+;5.\bk]INm+N-Q
U"MH^)_$y+/z8694.KVYF>\-aWn4<*<&UJh+6YMW%='HI5v;3rdv2/[2WjpA1mjYD
U"pxoH8gQUZ;lWQ.Kc*TNoQY&g-'R,Bb4F<?;eVgeo:&(IL*G?m_7YAH)D_cG_n^d
U"\])\V1/dpQ5?(gu%W0pVb)nwK9XS'BpGPebjYBjbFb$sR1<[^F9+mL4-C1c?Uhc
U"C)5KVtl)ZmAXA)L5[nQ:Y]Jk+n#WoL#tOh#iR8X&h)e$a+w7n8Mk*qfX9\c:.hI
U"D83=GV_p_brSpzoPRXAKjLeCd(pV(Nm[G18OAM/-:#GKKP&wsyj%gF[h^^Kq;h^
U"Xi)r+uMQ1g#'*B[U]cCvRM>hMI+?ArpjkIK4./0?1s2GU8]l]OfQLcpq,n8SYp,
U"L>UB?(M3tsh8dLY6e:x6*Vk?;Q]M/3KIu/_/TW7=E+4MM6=ZVJ3Ao0fL+8aCRT5
U";oB'%8m57EC+L=N=2*_Eeb8A4w_I(?T,XQLp'$3IgW'g4W1c$6uA;mkMOZt9RBu
U"69M87-xX6;oRuAX+R'\dP+VKU;oC>:UOU/[eP>70gA94/Si>q[;4#aY(4t[Cy#d
U"ob:e3aK5rvsRBW0Cdo'_2pD/)MbnQ#/u&8j.<pZ.LS3=G]juAmUoNOt9m>3rnW2
U"?r:G?Z/3%S,=Q*ndzY+hYnho>JqMf->;p?*1D0pug\%'1=%8(>zUNW<n,q+.7T*
U"2K4/&8+/)(>U,[y)oV*]q>B>rtON2v/3e*,I8y?3#]PcO*Ov''3aKib1#7w]a26
U"xa'Fu0DY6j\C(e.=uJPmFla1mW3/O;o<F]/2W\80U(R15(Jb4Gb+/z[?S<,p[i%
U"e%qLa'S:IP1G(#7Y%jfBG/Td[j&i,kj8c.EGYHCAh.En\iTM-9+?SBR.eIcI1n[
U"Z&y];U7eD#'N30DgH+/OOS-LYc.%n2e*h4pRr->L_UyZ'A/%AQC8j(m+:[$Yin9
U"3CI8X0s6J3ewlNh_jFgz5BE+unkFn%oIhKVu#_5AtokUK\aDA%A%9s39Ugg4Ola
U"p4\KS'.<=-D$,N1;73PcdM2X^;=wQ8LezA^\Uz+2EKq_gm]CK>(V3B+s,K<K3cZ
U";lcfw%WRHdBp(Eth9dVAlP5A,3U%IU,Fq%4:1o<jIxn'M/bjeTbM-Rb;#'pCgbj
U"^srJ7D(MH#)'D4IMr=kgR.ed':-)jA,:mV)X2F*$9\=[SZFA7:LcKP>#UsgotDN
U"4ix3QTn1mx)*T2S1pmsq6CO=5pTq+n\#TS1n02dKz.OoBMB7'BCLRUoTAOc-'Zp
U"<1Em,A.4.(=Mb/e]9fb+Pv8NYeyOA>U9+/q*$ue?.ec#S5CnDl/0[r?m=-4+iVZ
U"AQ)i70<'S2IQB3mc.%-/eko*?Y7eVX4jXrj74gJhYC.m+\l?==+PM[xF613Lrg1
U"Knd6f8AQ/[C6CXxlP3APQINq3uN7i4LDEPqVeC]xSBhL,,/UBDResC3e&;?,/2G
U"WVo&WPEM/>>Z#[cuQ?MG4TZ,E/t4,<_131h(T1/qb\*w/BOEbjQl_L(vWc]QCm$
U"f*brry^D</cAroo)24?XWAd)_M_2O7?IAzw=9.9g7Qa,1V:Ui;HOWl6<$JpI6t]
U"g&MB#*=Rc7FA*Vu[2I_+Bk;%]oHhZUAYrr7\$\XVSr'LS\sK)Hm_OEShh.XEM<N
U"401C0\lY<:6><u/Rtqahoc-BWC%&[w^G?8JY0[w()9a2'*9P(]Y)A6#W#vb/VBi
U"Q2^8dS+Ib9iw,b^WvDLS.dAs-+zFQV5[W3NeaM)I$QEL<yy>Rl5y:lPc5,W/WI[
U"hkw%]+63u]J)'6G:tb\9Cw&VPYU(tca-rf4jTXEG<+&+.,7]1.kI.5>Ad__VtrG
U"+T(XxWrL%&J\+R\d[)ml](kseHNws)IPQ[r6D&7NPZxGdcYyMK9H.mm?9Ew.zcG
U"6F]RC&mVbk2,tA-uF\HMKhg;s/*1pQ7k)nyEM:DMog?.z,pq\LeBM'AaI\W$'tR
U"hs+Od7S=#6]r'A=A/I,ku2tn/B?Tyw%_-l2twQ$EuVTH4GYK(93bM\QXmgfVVG)
U">o-on,*kbZco1%0GMqeED1:-]ZGdMG*<q%PU5,(S.g*,,x8)J7(<5G^/B7h2lfZ
U"3%ap,2c*/\pRM(2oA#mnJq+md;Ql0NKt24i8;_/APFI<Qd/RsN&w7t[Rel3g]*/
U"T/UH:[:i0,\4O#x?r;*-RV?Hbm.R]toc/WeuL)''D-?tOM[AOU4GJQno/^?sr2o
U"VsrM)?<(mJc-:#PN=F+JoOz$'0cm#oUgJHZgwxS+CO[VioeE8*YKk?]#?u/Jky%
U"o$#qWN9g8rccLv/4Cp]BbS'CU4DP/ua?68;0v6A.QVoO_2.v()ge1R-mc+'WL),
U"\SY;'Q)q_=mS_/#UdXDegzR+\c(u:GQ7KV(%)(4]$l?RdW7'UAFV3>];w8BPZ_F
U")+zIAH/PfLOLxgH>F9+&Fw^mBIMQGP_7aqs*9Kian?$a8YWc%FQLAOr9).-nyd_
U";YKYIt\AO)L#'qVekYc3&bT',4/FF8P8=gK;93,&v/#4)8SC[7u8AFGlc9g)xsH
U"C&/qzkIpVhZs%<+)4Zp5Xht:(9O50FLN#H>v[Jfv5K]DpurTYj0R)7Y54buF/3j
U")9K[IWs-T=R/hdNEV.qqnzA/'E)*pEb,LE.+#aH5N5%hP>.0Y?=>57\3bT4,=Sd
U"8Hcm7w:sYUES?S<gN<ZE)rl8WO4e8f9,?K(YjrE\i)RIPZsm[:g8ttdIT*nCnNC
U"$w8OPD03xm:W&b7wlR+[l;)>nQ]e?k*^3JMUFw=6u5YrnKPjkL^(+UiP?=ui5[2
U"9m#<.-Dh#(o:*xR/T.'WeWnB\Ad>OlKRJlR4Tvo^Y5E\A*;>+''X/1ADVc,NzY*
U"Ow[tL<owAi/+=8^5xG]AQKZfTr?7Na7j3'l1W2uh2Z_B/.S=$Z12'S3FF=r_<Z(
U"8&A01NkdB^J[]fXC<?91_(N5'sj\Is4]dM+O+V3tV.\Se#SZJZ-HIpM$9rL.<1$
U"^IhKy?VqludgO9-rZAq6<TnC6nZ(j<nmILvJl*MBLuLbn/p9M9<VPYZwuuPc97P
U"?[%,fdMzN#zjRyAYm'2l?0b7H$)m&a<.N%/=>LY%.'-jWxqPtZbfi(7K=luTm#6
U"=AA\swC#[jV$ad9eh.FON.lufmKN]c9&<\NGtweY+*vJ'-(;9_m.d-83HG65y)1
U"R%0/j[H[*G#aEUDVK4+u31p^#JrW?M4)]'nHW]4b+gr[)#g(n()IRDLQCaEbtcJ
U"S_H\t;LrwC>VcXdB;M3r3:G'#X*GbHF[dD'Z4P^H]/SdIuP^RiXh>x8624Xj<mz
U"*D2H:_3&qIB15H=qj2FfH86nY=mpdqhdFvK6y$NV6pm/5&,K)2O4>u&9:*=DO?a
U"$ww_)4PYDFe_B/i6=eo%fm9QWQ+qJ2]CjJ?WbVvI&$QxabElcTGJMC$X\JQIARj
U"_W_Jm:6s)DsX*Cc)_nO\']L7M;Yls.,7H:%Co.$mSE,/38SDm*E+r4bGt[wFKQo
U"(qNS:]v*-9MfAb*.fY,d[KB*#%[-Y9^I2OyAa0W_S/50;QXYKkZtp8Va;B38UGB
U"1EmrH/-<C<0ul'IPau$/eU;5cqG'<F:;iL8A;Mc:r1kJek$k$YW4wZ34PQ+gZ0F
U"^-nUTcvM/6I%DOI]u]nqj_kwOB0-EuRQK1/chs/vJhM1WgT)vIg1PYx*LiC_)sY
U"%(r)rXB7OUX'1Kmj;8'1#k-cT13;.[N0)xc0\CQdo]ikrgd<TTvbfsLC5Q5Y,a?
U"Tr.nQ:Zi$>/1-#i^DSEp^bgOce(3(_r$p\xM2gI\?=x3ji1*$(r4fl8D.p)r=]W
U"FZD2CZ8<(lI,N-YrF=>tiNv.3b1/57d/U*<f*0;7UgSQ-rEPW0R/3hZIJIOz)Zz
U"d>91X[ZmBqEJ]D<Y/^^W(QylRQ6&eE57[Ap6Dv)Xp:wOK/M^Q+QV)wn$d_vmJ['
U">X:jEr4B[a=;'e3R?-=A_*.4<TOp/V3f=M4&hU&L7+=+.%#n9-Q^N0N)ETtVmh=
U"v)#]$i?v)4:Z/BRdRd7#E?=sbKA?iYGUO&Is#g?800$>kg8Ev1=CZ33mz(fsHxS
U"b20z\+.M*N>E>Db$LG/>jAoBc<*kl1uIk*2eH;=NXnz>tX#53-'&['Zt]t3.EFL
U"V6P4xs\-,;KH'J8e.bjCIfDa's?Jg%PO7XW))i4^bAUOA)t;$H.>I^,[ow)>1y[
U"eZ>UabaxhUtasYOr1>D&Uv+F?dR?[Suofq?-7tiJMjBgt/Nx5d7i&S+.l/VLm>H
U"6-9aVi5isM\*E8?QqrJ2&);mK(6p-&7,O/q?dkIDw[mD0<7Mqe-594N?Uu;TLW=
U"TwZId9/Vw8\PM0gM,5sE7&xEo.M.9IF1/0dkA4&SIYUDfqS5Jk?P0R:dzKu--DU
U"vmbg_K94h_KSxf^GCnwn2gqA3&9]Y$141B$f,g?=2Sj?aen.-:9%mRwQ1M3))&;
U"P7*__>8h(0oIpr(V6I6S?YgCD8r3pjph-k]*qI_v)R%XMm0$0=-)9*kBm2mw0c4
U"Pz1L,Jv6qjqtze6(;Z**bEqSl7eF#Cgy]^a1j0)i7T/lG8Ivqg%iT/P^GIv1eV:
U"Tw/Ox<D%i\he)cCNwjH3h>ebWq:C#L6e>Zh4maYXTJlF6XgfarC-8x<JnDu-i6D
U"gI6lG>crCIH7L-OL3$<iC[7)AndeqP.[O78KHrQ4a[gHAoy9#qL$8;<MZu/mxTk
U"pTpKxCk>k>oFKXYoO\r6$cuL_rt6Zh-IsckvCt0IF(DSs=<IZI^^(I63&AeTg7\
U"2ajca:&64-vo4#gtGp(LCgt%WtbHScBPj3UBS$D\m^QM^XLG?iph2sZD.6Dq<eF
U"]IYr)2J_z2fK:Cj/,[PK04qDkN,kJh4?go1gTpyWE=qAjeQv]M$rg1gix5ypbaH
U"-2tf7e_*\Id\ODFGxD$JnWR&,r(k6g8VLRtxD?fw\9_SxrO6S9(imRbVH\,fMIj
U"HvGJQHoPw[Lu5H]]EmHdp')<g+#eVF6m2WT0NmY7Ek8F=]bEbuZE(<9t?&b]4L]
U"F0g.]^VB^oF^tOCMq=6cJAMkmzs=M*w8oe?*;xerj.EzV#;;Rm&UlgO3*dHX_XI
U"iIR<J[MfJ\X]>C?ifh,Q-eWB2>\CM>RgZlwt+i'XD&D%s3:J]iIBmik$%cNwoV2
U"BUHUMLvy9_[3ju8%-_:[RpziF7mdFC$O-^^m/bjeNhX6.GR-<XuW(ZRL,NJDOat
U"RGM_y/j:b?ue]Hw892Ixr%n^G-Fb%F8/AZCIEqoV84[B)p4mGgSfA3,A;[Lp$Yc
U"UZMTh]>C::r;G:UA(9$H.aRV[;Y)R2:YS^A',4qnA*PN=61P'fA?EvbPe(f.3M1
U"Y=LRo,nxTWp=4=p;n5l'NuC#:W%b<84((33KFKbz^-'<xbXI+na#GM>Rg.j-k'p
U"uW-U8:n]ZCeqg(-uYB3A'Zdhbvb%5eg/,93U3z+%<DLm=7QSWD4XV.j+9h2oma>
U"re[6&ltUsr<\jmX1fZm%,gX,4d,+Wbs\M%MUt>&w^7*GjB/\iV;XN.3a(fH.(KR
U"J,7/M0JX^0^:\7UU(QNKeo<oQLMk:vdsYz4VfG9)C/aRvO*Uc_nQs/:NS0(G2z/
U".lbnu&e',ht*^nYx:ck62..ttRNo(E:9ZwQ3wowEW9293)eo+=(*axYPJbQlxnt
U"8&]Zml*jM5SYz6iYuHDmG:V?iW96x&$3p)wK+]UEz7juXYe9Ru>;yC&xH&tC]6o
U"=AE=ADw+\8DlVSj1DMN_N1'73)*%gnIZ6F2KC,JBBri,]sThdZ<+rNgUJ+Yy2-%
U"K4?slR6F&E^V.KLA*SuBG]+Bw'0C&T]=vlR4vM)h_J:RQ:nwK'+%Fr&4Qll%F*+
U"h&A($u4Rbp4AR:IJG]'l2$OC.<TFE(ltE&C40Up[>E9:^\:CSVzX%UNbPGZ:f'a
U"tv$*^)pY(ot;XL]=\0tTL:X]OlP8XPVb>AJoSb]c'>e08=z_/Uv4S/+ybMOc+ae
U"Qk1bt<?Y;JNt<c&)_38xi9wu[eNAgt4P]MmY4rMkofW.IBMBI1>CTgxI/X=tJ%I
U"bv6fN8'tRN=f<QSgw_Q[)&:t-6_-Vm7bTid-nQ]>uY\>rtdE=l(*j*pTj-DTLR)
U"-xfzKYz0:N>S86o4TJR,/E\x>6Uv-voNmb$r61i0hk%a)AnBaIS)m&:il4_&Wi/
U"j]^DqBm_FSlHO-k8GFUU+=V8)Yw?$<,+Di4\l\hONth<>v;s2'?;k7M]6EMJ,qd
U"\DN,q]rg>7y563Gz0=-ar63(&u-]QlV(BaDO'4nV<]+E_;_m5W4DG,]J8BJ#Ft1
U"LSN,$w3TG1Bpf$\FBtRiMRPA2>=;;jfm]CXVPuK/t5?1$-YV$+;#/L%kYaCUWt0
U"='$FaD]Fa*P$c6;6$(>n*(>j;U<u1VjVN7G(WNV-7jcK[TqIt%<fFI2iJrjlpJ)
U"+:wGo(W<:&[<iA/qHU.2/mo^VNZ<%0R#x)\PX1nr;<e,[l&Qu.gljxQA5=Z<c)F
U"Um;OIeAc7XS^s?=NU&AYHwbx>#W%w<k]RdR\RM>c&LUR.Tf]ual1S(5kaYl3PIH
U"1TSRG.9ew\Fr8*.;l(0Xo:Hhc4fO3]Q/gX[Pdk3rV9FZ0w[yh]:V1WSucU=lFZ=
U"0qio<fV9htzUA=7V1fi)ulcwPJfn&a+;+rdQV5menK'5QQ%:vD(gWWZvR7?He]v
U"Om\p,4x\LP8CQjM-o=tN0$.4mA>;8#_mG8Sk*CBLdY).F9GG7'#8'5Difn0s_q\
U"^7G_Hgi;nC3-h)?<&(/Y_O#$?RqiL\AZb]CK6/d)M'q(JcUsH1l;d_4ErZFulVx
U"_T9f=7*LVY<B&#HCQZ]XCBl_WC_=Ps6D0UXQqXPEt'soH1f-V_;25$E[E>4xLFo
U".fUPX2AX/Pm=4yG::uL[mKI1[Kw0D-Mgo_)CjDY][iVq^[A/Nq$C%eQ0O1(*:zQ
U"i)biFB);9k)C,M,=tVSZOs+(NS#gT.(7YLUl0-(t9O4Ts>=*noD$qiGFF>UjnO+
U"Xv>GijLiEh$Wk,#pb-5)B54/i(I7m(i.]sRIQmG)gCB^K2W9sACRq/?=hiQ&F]3
U"WbE/kiXekX=cvGr's-5s.Jy:Yl,#Oacav*t]N0MdfOIvmer++1*-:W2:T;TYCRQ
U"c2WSe3Rot)crnzZqtaAp.wo]5I:cMrH/3SBhU%gAmmBZv?]#da+aOl3bVa&mcJ\
U"0se'YZ^Yu:<?a:VVo[mb%j3C]ef;SO-jY)Zq:WBn^mtGgr-#m?U]KH'$KplkpN=
U"e#l_%t0.uI=Lo:pC%L)Z),,c8ePReQ6KA]d;UXaoTJS[s^Z<JhtS&w7#,Sn#'H4
U"4D'#k1iB:eNtM1:V76o,dZ2;;UCM&2E,M0A.)9[)v(vlFL8.fm9lEk-lsHG/p#T
END SUB
SUB V9
U"e?*u0#1^h.9ORHx=b-#QcZxnm_NxixGWdlqQ8DLT=i$oN6J2Lo-ml)EtEd14[ta
U"T<\#-O]]_E6:YyKY0Ha(5#TX/e7Svc3mOBfS]3gNHlV.BVL*^)_6uqC.mu,x_.i
U"mU'lcKx4Pa7.TbDK67>S1141G/04DMGaxLk]<qF47wYg+RtZO)?huUQ/:QZ9\Ml
U"-(9p8jipqt=*9xF2Df*Z,5=1+hc;LC*#z*<;,'jf/C2M4g:+nV%.E5&4-%p:?k/
U"f(.hWSLVVC^[4P88U1%j:-:Qm$a8H1W>(<SzPAiM9M?b9GrnePe&*+*T,'UB;+C
U"])4I+G]]]*cTY<:,JLW1d*_)=D1rknrw8RJG9&=aS5Rw9DCr;D*jBg&cOZTMO%\
U"[B7ECVju\P:f9\'hqHi:+A/#$a>XQC;qD<CB<<PfN;PiVu61P8E\sBL]UjRVr>8
U"tt#Wc2-7#r#UYt;&Q-,-B&KF0<U:6h*_K70$UMn?T&<DN&6ro%d&-HtofOcB^$'
U"IZrxn$1z_>FUFiT86\0_6[2jj0NEMfr>Y2P37%3*5'ftlHCs^.z6P-B0KThIx_E
U"UF104Ffi\xt14)W%b$.KYeYtwe*h$U_O3T$jZ>qLsx.jRR-*[t0QS;reg3,Tg,5
U"*G$Q-bPvifIb-+w*Iq3(Vg5jS>)IZ9Tu&7CD8r+?4DL0%449=+_BGp99YefBn\;
U"?-m<9lWGCb%WZiGH08iF4db,kgoqvnxp'gn8m;\Pfn5*Z_(KT6SL4.eDg?p:$to
U"s&#n7AA<;?A0k<\Y.6+sruV\t#C4X;&M)eDHRQcQ,og:,*\3CbW%P2T0yrRsvwP
U"c,8$k;B#ydL>=]DR.6p<p,o#qHg&-dTJKX;p8Ws?N)h?K\sF?B]6a\#u^wl4&(H
U"7$(?BYfDJ3-EBGUJC$aVIc92FMXTQG_j9ulv9_u,Quxo%qu7W+NwMc']xXAKHAH
U"7XxHAm*A<Ge\);Nr2Oc\,Iav>q2ywGr2$Oc)gBH0dO#zFB$kSHY.rv_2YbUfOo\
U"_xOLdJ[*h.LOGB$Tcn\eI;SFCGmB3rFbF/k[,V%Mkq6k]ZjjplS4ptv<ImpqWjX
U"8Xj]aLhM^+Oi&C0]Almqc(AY0MK4?2x<^N-HsMSK'iwL(FukIHCs<d2nx:)c>qG
U"^uItCvRzjN8o$kWrop$Pkc%'PMrB('Uq(t*'UO#C3W4#C/^$FurJ7z:J$6^Qj^r
U")gb+z_QPowq/>^N>9RCDc<B-lgmG=te?sE<g7BTc>rQ<u8'Aui$qGLSeBr3^KBy
U"-Lc*3=D$1q-__:d.ND^_aFH5fLkzae1w/*_7\tGZlBr$kdlvffm4(e1B]daG;xG
U"-W7Yj7P&F9;R/aJ#1b&6=QdOGDJ#IxIEW0>#1P.>1o_wi,oCNb]sa#,+x,N;<q*
U")kTk;Ee=i+[R,y2jc'3Z$O#2Dbc_;51Ojy,#-n:C4cil&(B427NZii[QwvA17CY
U"d5Wfy)9x:uWQA/7g:]'JL9DqCNOg25qVw[w:oqJC2J5eD)NG^uw\M,1dG=j;:.6
U"r*i]qdi7PuOtEe5Pvkff(ch7<s&T?2fxtrTapb.mi?I#jy84X3j#EVY,jkabTPG
U"d]\A#/lk<)KrU+TIP)#.T)-Yn?ub$a[N+dRsGZ\M-30L/*h]UqXyxP7u<(uUmfO
U"\78V<^P8\*o$Oo*/z4,CK#:-K_P]#/;R)*#O*;nVe\8c1cYUIQGAh$SWFt:[^>P
U"qxhwS^pkpN-3UD\=CiW1jj/Jq[j0IOOX&MAr;Q,%IYP5P65_)pyTP71HNsIOaf[
U"#jSZldX'wAHo;hCp0BGtw#ROQW/]paDpoaPk[.6U?(FWzud+76Ob/lKJ51']y4c
U"]PzlnbZ>A&G_6#=rJU5IXUGcXX<ZNxX1Po)ei&+Qk:9^6+jLh)29C1nvGW'Ou'4
U"*mGq&BfZAha$H/d+P.8p]70be'[wdSiHy^^Ke4c6qlS(1o#VDTprg^fuU\k$WCA
U"'G(E5rJ.*3dP_hva:Wr.CSiYn'S\uI/mtZVctJ^g.1%vKto=Q)qxKHy6O5kGHxX
U">CBnRMH2fE$p;IO=*ba?JQx=JJyc9dDONkYsX^N_SD5baur7\SJAj>6i&i-?Aet
U">gFRK#706:R*^NRNU[5_$na[Xx%QQMOlUi0W5+:KWlg))&FOpmp_B]-LOHUdpsQ
U"8oju1HoS#;^<BN^B[U[Ow2+LwH1N<2Lu=hV8U*2YBkr#agpZD.oId11;gFDAS62
U"[a*ju<gb*#s29jkj7LMW\=%iRL>uaxso=<k$bw8oR.dnd:8'JTR#wHOZCrlSL\k
U"8RWEYm?8R]A1$P,K#>#GJiEuNwi=K5JUgH]O=BPPrH$7b*GSS],a-kv+VR3%dP)
U"8$.Lb1^K2'7_8-a7Wq&bzHtfpy]F,/^M.HV_a8;&-ATQI;\+,,Giun:)7uS*Xz*
U"pU\+n.Q*Nvmbh4cbk3%L]4Z:#aG5<l]nIVh)Innh.6-Zro#X1FIf\10\eKh06_>
U"I&'mJn%5pwM&6ruIe?YssQ\<IB]ZK4vHDOvjocZd)UxLSY%Ep8+H71Q;Bo,S2$J
U"2mWTrgH)]6iojHk4w7Aicr.t9qj&wrjQtRRE^nd<.Dw4MTxaH=K'WdN+cFCv?wr
U"m7K2O#$K+Sfq4:^K8D77i*aR_T-,%G5_;jF9(6G%Sfj8L\)A'tQkX^lFX*kr#cb
U"HLXMV+/&7]R&#V=u,IZ[v[gB9K'N'kn1)&?wsub:L2$OI.iX)Xu+5?,iV]P0cq(
U"qYD-Kqg[WN-g51zpS(;;aHWiFW^c;V*0PC&sk],j^Y&q2n-fV=xj]VMN/>vMag;
U"%>KrmaAShRRc8^#fw$(D_w\HTw%7iGGtwmNLAL/U4#.Bs10LrX(at7pcV)L[fh/
U"sqP[]qVcCr\Ef>(rGkRS'Z<e4$DnQ.]B7T$+#]zil7?wB6,7nT>vvJ7EN(W_JxU
U"ral1U%(<U\k#Pz\c*:&**5bD6cc6sVIBWI/l\qX5c$Y6rNRGcL&*G7V?Brn/xFq
U"_Q._V9ZxrD_QwBonUxb;_Q8Vn&4p8M:lfNdoA5_t'2vb]G>g2(bpO+]/m51DOLE
U"K$W.L;l$6D?Jym4dEcnym\0M>O=NS[2eEyQBGZ\AM97OJS:O%nn\N<YGRv&m#NN
U">SC)UYB5NTqQI#^;=MEFq60+\LCq</RCul.n-6uFpg,Qr^(J1Qs3]6Au8P6)^bT
U"Qu0::sR)o[1e[e#]xx^p5T&mLI*dgf=T<S&]n#J</1(;.l)v)^q^z,9o9mfU'9/
U"*jiF4ZDi/wmC]h8(8S_Rx7M#)sPr+3k]L1SxBDi64SeBX;5aMXaC)Fkwqg[,Mh)
U"XPZ61)g,a+y?+.m%3)C<4P[-9^J/>Ai;%-;_M&ZbV&8:Sg//MRZuuo-WSb#Ht4;
U"P[$WujGU+]o&[JT0W7yrWpQ.28Ei4H,5.hxOgM:4m(<xDPkblk9:V*vsj]\6,Jn
U"04armZsuQSNR+&>duROODuzkeoGP4di??QQk24fYXE:u4x#+IJ$-<l-6nh%?2:o
U"ocW^aACJuoJ[Rk98HG79cql\.\z=+NBK64Ou)vvl0u52qex?>FJB2ZSEvz-c;xK
U".AX2pShA#SXXYY,3u#hr&k(CqWrG7IDi?$tna$FA/:LgvMm\KFTx6SeR>)XExkt
U"uVIsg<N5kj*tr,Beh45h3eW,$e#,vL+w<B-U^o1=>bodK^SlzA;ATnSdTBnFR-t
U"gYJx,L<o72hhH<KZFwxr.foa;qJn*AVNuHa;*W6scd$2Ju2;>SrfBD.k'2Am57l
U"iQ/:/P;YB2f]m+SgX<##8GK=vQMc(%IXCt76f0-ECmQ1V-ZbQahS1br.Olje:PH
U"rouO68b5*m#^ZP3gm7.16&o#]<%T5A+$(o%HR<b**w'cHX\JFsqG$k?gQ9-qtnn
U"x&T?.?YM&o\K4Fx)6^W1&m=[0nTapl9p4]rGFb],)o+6xh0H$;ur_/wd#<ktwdb
U"d<mTPt;t>LInmtZ]ZH6GY[-46;%Q6*3\DhRoiXZGH7JHZ7h^T,DrFu*$Vh4bH^t
U"CYr\euZR)/M=]GXNMNugW'WC]Z.<1c^^^THWkchL/8&XBv#+3d<'xL[kC<;w/LA
U"M+r17<s#6^L>'ehhA]>JAq\:Z;gdZ=7xmO9hG[HAnJQ$0E5SA>oB)3)YPE1iHeb
U"GmQ,zVeiq1Z,kb_efry^k&jy^u0jn7b6$GmK/jFd<UtCD:z9u^h=hdk1jC&7k(T
U"#^M(:1XtLYU5QF/].C4CBPDRgWi$qr)lk>FQ^2F54SG$xi<%a0j]I25M0PJLN_G
U"q,ER_9qmf$i'p=l_+j[r;Su2>nv\NdvWBC9kFqr_c'w1aY;[[*,Ni[[&Wu4JnOu
U"nAO>JnD&;TO?Hf^mjkpJj=NP0:#QOy)q&=,J#htx$LW;WJ,G%LV$Ol5dI>:zW7h
U"udq2\dtm6>uQ$UV%/[JYjd/n7Zt>d\9XqGrXuUX58Q9nMh2*0+fk?_zyyJ?E0C.
U"sn*lk1[KwI&ajsm=hC;wkA;gQ?2ktop)5#=lC)[$0_Nb-fobUo/l9*y.-$fwNjb
U"lB/.[;UM^XLK:Ca6m3.+WTBu*PyV&aZ(%ebK\2'a1BP(IHX\g3ntdN\o>)moq>T
U";^Zzh-Hk9r+))w53B+URjGn5R:L^S$Xg#4/YDa8?W>hFAAg2MSj?4-_]e8W%XPC
U"'QT\?qu56Kxe*ECT*CY;>Y)DI)Kr>3Ys/d&l/adadr<P:pYH2<lg9jK[G<^FabF
U"#L-s<Uj:1b8b'1_w=Z2fLpp%]J\;O;MRSFs0klOM)v*?$FFpmb8njPzul^Mri-\
U"Q5LGv-BA6U9='#T9qpgjaZR28)Xbt))MNfNT2\W&NwTH,S3vZqeQ$nPutg]s)c+
U"jEiC9D</(Z<q3%ie93tB#1ouJ>OqVANp&%eU4&^:Q.u*nr[YQm\4';##S^Lnswj
U"ug'D-X2/lZ3LkVdqe]#%<:kZrBeVjOeM4v#JSsmQA#tNW3E-K1/>LbrJ#B#B0LD
U"v;8BUYg\Xze(oxxRW8^pNOdc[LDsKARpDl_aT12$b%d2(ymR2jw+mrapqnPWc$\
U"fiQ<cx?7Ddk'4TdEYC3>oqg>4llUlV99/qIqC,*OQfs.pCFKCqXzm2H-b5/6g)Q
U"+J6Yw;T_Iw(vHFX44=?/KEy);9c>^4'H;<e;7\\'7Nm'TbGi]eP38I9_PKZBNrO
U";mU7j]K.?H>[>kfCxF3&MCr(Xf5O]c32VB#E+c^g/N3k=KFBe&vBhd*_r+<EQf0
U"3H;yNY.GY#NEj-)wK]5Kb]8ZNUCK)\z6Yi]B6nkj4lb]bDugaq0mk]nY\08DlqO
U".DK$H*-?=/LG/Lb\['#cAo]tu;-L;LebvjNrUh4PB(TFSOLO+_F+<Nwy.47NC=o
U"[d_qX[,e\cpwc(Wzyo4K%O,.ez%SIZjM;R\s.hOoCO0Be<N;_q2Bv=dZS^j,Mfl
U"P816^5CG[surl_K3aHxr]8o[%Vmjfkt87L3Wf&Gh5#B\UVs%XqM<Fm\5EG[yJUa
U"&k*[kN[7i5K^/B%.W3O#^PC;.nWAy($;o_%']svrv<rujCE4Arrr:0H$4$2&Gv_
U"2L8_DO[L'?lYM$cvGPJTG,1T&$vrj+*omF('e&EPH^24#p+uc3k6cPW##)SLC^*
U"9-l&(44lTbUmQ]N_RTqfcL(oqu^c<OjrF*YqH6Bv>co#dj%)5N\lUrmU1Jna$Eg
U"KtO1PIaaDb.xnXC*oF:gf\7Y8653(6Oa#-&:a#FR-0^$>NOH0]f#Iq&i,\Fc5Fk
U"BSwLN='uH+t0?gZsQ5]$0[8#d:<6?.Un^#xg8nWl^RLWn:quu&;m*9He0XtOdb_
U"b0FP\<iY-2OHTrgdT>%Z+a4Xgif;g8Gf&\tL*lp7vr5:lOp0RJ2wU$l(W:#-ZFn
U"&3?x=4&Cx.t9-psx'GiTxer,bU+KLmdsR8=']_VR/WaQ3hQ>C_k,rLn#g3]NLZu
U",WitO<khBNo=3T^;ZRiXt<q)DG6TNGq#L4c/p^1:5-wh7R'8AT1;=\hSD,3xb.7
U",xnkrY>E;oc3/G#1>3/7m-o>bk[xCo2v$?voD6&YmOtVu+hyTXXU+eNoKARqWMa
U"ihu+pY^Ul_W2o7)9n4(qGIAAH*6sZhZ.tv$WOcdG&umQv:W1eR_HV^EB:(w4X.0
U"Jae/kJ)[xqUl=JBIK^\2ibr\g^eYR%CRjAQRhJBoHMiYcaAL:/TpLIuwo;MmkH1
U"sHfQ6k8n>;reiN]PzpKjEx\kQtU.c:NTwFNQVxsDlDaOd;PToWXdX&Zf5xfaNPX
U"O,d9&&.-agVck^yOTZ)dS8W1*Y[3cHe8$8=13Lip>avd+HnjPM6lbvK)9.05YAU
U"Fo(OSa3G:*FnL&RQHQ%xQv;7Cc,R^^egDEX*[*juH*^5Ziq,Ze^c;Q)w0#3(kd6
U"dx:8xs4M$1[LaIP\6k7tU(,CTGK2c2=e*BcF/q8.#_YE]RByh\pF,C4uriENrx>
U"iJ,t5(SpMN=gE*R1uUV,RJ4%=$*O+0,kkioGuNDUx8Zl\dl99o^dBMwc?QWpfv$
U"%xr4?4[:bQi9re(d)o+KgD)1mQdDt,rYm>9*dGSqcn^oF#ehp8KU>zm7.9[Mg$/
U"ELglpo0W/M=6]Up'OUti.8]%g&PzNQIc^X;5G.>P]Wry^=2Kt4kou6'7sa9Rh4*
U"GJ8YXh;K3hGZ:Lw%.;F%$\?-7lyiZBF9x\IJP8N]q>2q=v^pr*9KV;GgPY$.CeY
U"-5kMN]_&rY>KB$uBqBwKo47?=a+bPHeIa-.W0%;'<dv9VPpq.v=g(><ZgSHFlF'
U"vbuXLkXcV.Ddhi-^lEG&K\IBy1w(qi;D<qo7W#.=yhj)fL8,g2RLdXe-b<EUrD.
U"_zkDO4+%8nmC(]d<9//,'Qbd/M4O+Lbd]JD/Dy)Pu#vCu;Jt0G]HVj%Udcj&\yp
U"3CrTyXd]:yfWJB&>e=]z=799hM+M=jtde\sfr-kuXGs60+79l/d]WbbLOX5I)%+
U"liW:aQq=+j<MO0<pmc&0%*)u>Vv^q5.p0c86h0)3FrAm<HE-dFva%8j#,G.n[zV
U"&Z0nk*R\mPAw)(i:,9[O.=x2#:Zai5khwlcm&Zr$uWvVHq.o43Py3mv^sl_$bJS
U"*GSSmIiRjXa6VSRrzP$NeFA-DQ>Yu(XQdp6,x<8[TTjLtze90)LP(k/l2cJ94ij
U"p/Oo#7S)ehJ<:%8_>$l.\?TjS_f3UN+erllR9BX;LHGtVj8t.)0F:'ct.,lN^_D
U"LCHlMOt?=wN+M6ArU>'*gLc=Y3D/N/\a:k=l/VK<,'f/K-'Ed+3.]xE)ThU6=4i
U"j'<R)B#v_s;B)1Pz'6[K#dL3tmS4k3\tjr);5%-P[sO\6OpdmE2v[RhKcPK8a%:
U"?w)#XY?Ya#c\ZN=r9MZ,AfXel&\z;z_a)mR_<C$5s,KK%5ro$s2+Nvts4Mi3[6X
U"XE%XBNDd&.7'S>O#VEE=]3^oM5f40;0&aH#;9jv+lwTAM8.B[$_Y(j*xE)LFj%T
U"3K8n$aZQhJC8P,+vgElFh06H3,t2)OA+t'N0Ycq0UOd9Bg3Fs+Ng5wL/EVwAsEU
U"k%m_\j1ocjwt0oVitF\,^SC7>zSS-%>aujP:a;*?n#<0(Y3wPnlWnu.:+HJ.'PS
U"R&Q?DYswUUW-&WnJx06U6;pB3tr$'R]l[B75Q<_?skkkye4a7jgsm+[?UwW(on4
U"F^S=,kWlcZC7?&\cJCPhlB?,:3a&S9Pd?j3D2<U5i#Vg:i(6N)GB02?YI1WD&E/
U"BLKC\OQYMhX\n>w5/BerBv[OPPA-hUJ#Sn4?kOUCD+Fwh')E#t%,$d5D08z8TOZ
U"uu(AV9+DWlQk\:MxD%y#Ky$krJFGXrcLXA*r22IHGR5[8jAM3a<Ymh3TR/ZFP$2
U"Irhz:wo&t?iY^9Gfs7D]^a.Xy.KtDuWdV]h68Mt1znDg.*(Ac8EkLxv%,TLqLhu
U"tr.*:/[>&GBm6g96blD\)ubj:<%$)][A]+u7s[]7AQ;lgl9);;z(4G=qx?kX(,1
U"[w,(<PVKAc(H)H(JI-*2%EOrTkB_wSE.s7,=q8ukS'XvV]5aq1H);JIiP0(7ulo
U"'8\%3_0DO)#b_.bO27NI2n5lUsph=qK+q.\bhK?gb%F[wNGt,0#'FdwY,JDjZj;
U"yk&RK&KHPlf7GsBklKT?S*q-)A2av)%W3,WO-mmN]qA8*m'ei'KAs2c4%6FFKWd
U"/UAsx=j)u#NdrZCVnB$Vln4_mYNNtN?7I85kY8,9zCiGfd5lfS5cZ\vaB#pOu;&
U".9Ll\(e9A,41q*sQx4Y,gpzPB_GzUTox+SqYicRU*f,pGl6(d0&__-L-5sXbkd'
U"hC4#nBVg)woQ$)+=o?tIn+_1lTYp)[G.(E.ll%)[RNp0k2L'd'EU/0wF5ce$P/N
U">Qk_.DY%2CyQhD%LV.P&/9Fj?JDUMGBmKj7LZmAyc)T^D+pn.S'7iikEPi=Y&-F
U"Xv&AntoKraC^ja-\>J4'MBYA][^;ddR;o8^TMNwSyGsG*=t8/O'xOZ+tX;e423X
U"c01p'Ej)n6&0q2<b]8Jj;g+\dMPwrClk?WKkQb2>hc-vXhu5F#]1(\mChG22rj_
U"wUr%aCqB-S1=4ub3>4Z?$IAFv3+DaeD0#(LG\E=j#4):hze;XwIv\4hIjt&ryg^
U"Kit.yLi2DBr9xF0Xf^5q$36X[CZoMemg*&r]Q;B3'2-98ta8.fUNdI\nU<NZS)(
U"G=k-::JD(kK)Sve0u1)kIo4*#ltO<N0aEx*I=/utX&?GX:E8/qRajjaC.c2suIV
U"qtNFnJa)Yd3-FdW-q$d:YnIO4rj\SXCEd')>-GTnyhx7nw9puUbH5&:R?aaSl%<
U"$=rPYR$:hhg9;ngDox;q[?KKt_U>7M(#S'?dr7w)sCYmA>Slnt%2q7v8%$Oz0sG
U"ppV^Nju?pYbBFCO4F]Y:\s6%&2Zk%3CL^kIY<G]1Ytq<M+%?ja'QLo:mWQ?9Tp]
U"nANe&S&8cK&zxV/%'$k+b1[V]6Rj0uX8tw=^iz/c2Ep.IfMb;C.Ri20KP:Q5ca=
U"KV7wqL6jJ\Bd3DCK8],h)LCM''po#&&vf,]rrD'T+5j2OEfW>PPE[[k3e)^_CNj
U"QCNru(QN)&'fVnePT#XZQa[qJf<%]?(r9.\THS%SWc*X9:[P0Z_l5pRd\OtZR'W
U"nBV\ICf['t-uw)cLrv;nbeYTSL.h<^dBFe0t6l7J&2,+oyb%s,D%jxvF[2?uED)
U"o[t8=/28=G?di[,8_#8x6_)7ZT%#dDCtpe6;eZ52TG9YuY6/=.-Z%.[.eaCubg^
U"Df>sPd>47V05-i&eu<'C(?0WQXEdbYU=9=KtIa5n_s,*$hbANX3CV8DSG2F+a]W
U";H9u9;??t+JC=NLh??^e:shhPJgNYbbzM]zmrn6XHJ#X>^=IK(DI8kNq_Vc[\?s
U"?GteC8F\e%dl\#j\Y+;b#lVt:lBv.3tV%?AYbZ$QNKYJ,bI1?i-KjrnYX'R_W:9
U"g?:%tI.ARMD.*8wM]HCz'fV%E38mPM:i)LcZDly-*VP]Z>YfIM<H2Xxh^1a(Sd-
U"ET6&8+#O3;Pt58're'[pvBC:GEgg8UatL9dov,T2-)25NY9p/sfT2HOv8?-+xlG
U"ql=YX(psf]sb]f[,Dv,7ehZUC?PJcAQPP7#6sn%%7x95p,qG1CpiEP.:wn9nb6i
U"xUIO?,-B:b+'malCL+uS1\Mpdq&2%\yOgX+1,U[X-VCYzP()C3*<0Pamn-N%j\P
U"fRrdLj3b\#[h.-Rd93e1\G+2<__<PFudwTazgs;&Q^c[996dTpPEf?[I(B=-khK
U"zOH2JkF3U)XhdPi71no&qnstap5lIB_Em1C_;k^X9[:D*#]#eGw'eERXe?g'7ZU
U"TOg/\wBfGFP=X=;^_(otZ9/*nedMi^bQi]B0j^HoV+*pq'g3ey3DXC>_,,8<Dr,
U"rFnh1L\n&>H8U=8ABBlr&zpahez:=^U4SaNh\^)*R1\*17O;0Pj1b8'rT7fcN3y
U"v8AQL:56brV:lFjqO1>E\Wi;mRO(hNqc1Yx43Rxws+>]o2A9+kXsl(O2,/fT4.:
U"H,><s/k1)+6Lt%L2io7EIS&n]7kR#T7>u5dY;FWI-;%$9;?&H=*M+Ag(QdxbS?r
U"KIrMIlF5\)dJd81lYoAco,6cB3gp:\SAvN+R6PXYa>b%\#I?o%p:pZ2=1Fb<Emg
U"+NwnK]/0)V0$pj,vvYNf^18YVmfBG[N8:kTd$Ag^]c8##fADJL'UH4Yu,6+g=Q4
U"r>+.p1%D1PZ?9tt.+5s39BnJaHd1$V74eH71lqr6k#Nma0ikBv8?)Fs6k$vgpG_
U"F(p.C&XpCh]H3VQ8xrtn^n\G/8T?29=[Ao'#PcStPSLfS(OQwJ>n[,z1:9<1AA(
U"Ogc[N3Aws7FQWap>Qom-Tnuu&OGm[LX7F.qHKdwm;%Ou2<M)h8x&]Dg5Hoq?avW
U"xBuHBC&xfK/7u-:,N-O5Nn\/NH#<+odE_ZRta+dJG$(wur1%g?#/2IY)1st[+S'
U"7GbIw1Cl&p[;0,<_Q:m=6-l_0NN#;hwT/3XFi3s=DILQlj(S9Is#dDZ6Tm7bA\0
U"R<;0k&X^?qm9;#Beb[e^Z^jX=dQ($leLHg\S]>hQ4rE78?\HO=i<h5KU8K>49E%
U"F?Qk4q'?aTNORV)%QY=<DUF082jdB[JlQhi^2EWS-R8%7akL'fP6TQ\d/VDMAsO
U"h<Wo]G)SS,famG025k<tZ0]t'84gD5N\r+MIX6;=VeqHS?;v%E5m-Vu6d8;Sf5.
U"P'>OXFj$Ii&u\:5ak>FuxgYl'StR3(sV.M.3#A<Xmq23,XTi;SfS:GB6g35KKmZ
U"/A_:>^d3))9*FMRjPmN)q^f&#<PKN<Hi290D0&T[)fX(xs^np<NNpGh/2l^ir_2
U":vdUmrsEu\4ttnMVvFh[m:YNS#(>>L/R6GpoP6p4lwDHQ4_P]n%>*'Cc^L]pDn\
U"oF>Zb.cJi\oH_s\Si-f:2,J[Jmx7I-l<6Tbw5F7&Fb51r_?[xy-C1K*'GJ8>v<T
U"KJ^#k3'??_JQ,ZiBK5r'Jd#fp<(1oA4;%Qj#ij=+D&<e:ZACV\GQw2D&.MB,\OF
U"7cC\GZ&/93.[am_5Ppg^]^P*?wt;%d+EKN[EmRVvRbgmMa8's6NfFoY[)D]PhJ]
U"xJtglaul6S:23MmdQpRrfqLlA]_MPmbZANd+?m$9x?#MwY2?+G\=2lZvk?SRkad
U"JccG[0]8zTs]gc1,S'JuYb\'i*PER)3kdu$Egy]\*\=-Dq)OG(>TuqZcZ;D&'$o
U"&S&B\)Y*5V7u43Jd1^/16eb8Ao1#SLjBOylk+TZ8DxK07^BX&w&f_Ve_g<FP:>I
U"_4F-m4=*5u?A=OG#*088W-jR7N-T,Ulbu/5dtB(\w^xe)o^)tbmRf8s6ue%ds9f
U"B:*r$wOu;)OA'D,C$&8\L>d%it'7%hvh)m3I7<)aW0IdX;:,RGPNZBS/+_=]w'/
U"e[Bl/Ig:V)R7-d(h)<1-uu,InR_CegfnY,s$>=e\Lh'*>#Z5jWw[b#oq^U[hJqP
U";QcOEHA+16,#YQ]?,jP])ZWhd<3n>+U:SdPKFe26SRbBs(lp]A,vho;3FuNUMVn
U"3]pQ2kJACgWhdrlh<6Ieh%9X_uaqbN=?*9(.PVzw'T>fD3;b:>'-\32)mDqB/gm
U"?iXWepzCv%A^GC3SnKM_IKLk\JSLYo2Ac2UA\$NG^q7/j4s1U'']X:J*5rL\jj=
U"q'^b]x/u&C:Ylb#EUiO:k&(%/b=hP;qg/L)aBEIBP8spvKcDdFC.4BVMK&H_DAx
U":Fg;=mL:$NgYqjju&M:Vp0%g.Ttg7I'FE>+fFIYgjU^I8M[?6.:R&7CyIdHYJ%h
U"-&do+IPm6P-FN0k/\ZTJo);u5UD?w,/XHa3-I#7*cq\wJb>gt_Rc^05?gX_CPl4
U"IE*j+OSOHgAksLgV25'<;Ppk\codQk=HBK8B(VoMS'XG3s<lra^chyvQ*.jG#fY
U"\_v4FQs*P2ey?[NZn-I(TR3(s$QD9MX$jS;MrkC9$WZTE<#hT+]n_1_]Qz*E-^+
U"_%>Ecp_+:>PP6jABs)sf>AM/%'p=;^]8R$+%0fYg:IsOwxXmJL>Wj+,CV3x$_;w
U"m-x?G.IaSd/vU]-lAO*9HTS3*I7[[<%aCu\/]_b4&S%ERogtt3>fodQwZwC\84y
U"r3z*p=zVNzVM-,eW-k&I4ovzo>,3\Njw<$b<9teVr'=#nf#A/Wt7bg\1Lp?%H(2
U"SRBJW^=jFxu0.2*_:fnZ::Gd5B)Z_EKDG3rHy%HP5v0GQrX.P1,LROYuW&v2;T'
U"3iI<+;ixAbz<zIC6/K_1#GB,>0hnqo/ITk)oUt%N;#Sl*Z+ph1[lCYf2UbPqp%;
U"2R[us*)A5+a4Y:Rs8Ib2UAR4i>E9Rd32\c-mdsTOM7<F;MdzLv(-Zvu2LaSHMdH
U"L6(N[#P8uKG]^*bK-OLIaAHj<-Q^]0fad&HwsS>+C,MS$mCOc%x;gPd'GMdKL6R
U"Wq0AoTo9D_5*#V.J(_:%A/JJ3p*QW^\WdVMbVH6GZN-qOZBEZQMaM;&/xTRmYuG
U"n>7B6:[nTSBoO>2w&Hw/GAcGuI8TCN4J?se:'Vg+ePiivrGHRNyFH>$C,2Kh7_+
U"&CmFA6s)gAF;0:Y\91RJ]5y3%>1&gF\mv7/RG&;Hp#]&JV-(0eortV8S/?A\q<9
U"p2:lzhsjHj#GS%5c5*eh;k><pE&1FP9Jt9fWeo'Z]Kn%XXOKe9c:g3%9Xi*9UJI
U"ngx0OZ?<gScc;-guJE9$E,?2?cOB<[8mc,0p<VPQAdx(#%'H/1ru3)wa:bQTPof
END SUB
SUB VA
U"\?.t\'4'[G*LT[Nd-^?eZHO9,(]5^P2qn_oX0u*G)o81hmD5'b$r?+x90Zdu>p%
U"%U6me;t%c.]$f*=(A>i.Ek_$Mx>MzTBaS.d^xVl>6/#D6_^\jg=YIIxYT^vKCV(
U"MkS+as)65nqX9WfA-vJmE6dKu;3Ea4#St:;d%rfW\#LtGHa?u7rrZPZ9YpO=s<X
U"GrVONWjkAzRA\Jn0Z)jZU\9lEtAwi3Z7[E37[q_A&As=/+G:MS-14Q;2B(T:PYG
U"/1uJr>TmI<->JUwsVWRI^j]Vl#Ud%^d]$/g-k*#Q+nMB5fNw[#3;$23;:=,=m8f
U"g/lQw+S#4g/)?v*j%Q.^0?Eog\V-GgLIWD?H([Gc)F.5&dfNGHdyyJT\tO#kdHo
U"+xJu<,^SzjIrXD&J2MNSy].liph7XQpE76=JMA5VlF%*^kZJjyeZ4bvA94[wOCJ
U"Xn3lBEPqNa%5-Q'Yt0u<tg9I4f]z]$kDbiHP/'C&71#<]:GYj-SqPMJ61[K=B2;
U"i2EcOHcWFBHas5xwZXv%+)fmN<S59]I4XkA0T#Wk%(dE4SNjrz;8:C40bfq61h'
U"U<D)<(hiA0f6%)\/5ulj,J/47Dn3)A;K8tHf:^&wLnw%T*Q[KQ,-2XUa6.fdwrD
U"()6iOFW7Z.<Jh_^VmaPBsy\svHdIdWWw.6TS-sS>4B&[s,Y\hAbF0z9>#[p:8B,
U"Tz65W#k.Jjpd+6u_EUI8*cAfY#]LKx/#[_h_g/%zsgA%UWlsr#(9,JcrFcq6E#S
U",d4N>2UoQYH8Ma<0qhd1FLb_X,/^l*tT4\eidC.b:DpD(i^F31m4s]6xazfp%s2
U"l+[p:eMd-UqMHD-mm9&FZN<y=x$l+?Q6020P6mDM?[d*5uk?G$X4(5HDmHK&$my
U"nl=K[\8m/,s\QTV_+dDw;u+#?+[YiQ#/0M58qg(4LS72UiBUF[/A?-%x^\(D:sO
U".zzx?Z4R*(,lAtd-scak##0/+FS%-KF%Wgj3&>B?h9s+33WFvAoMew&8aO7:oGF
U"d=KPC:NoeDj8tLedqfk*#cgr^\>U\)7\(DXTPux?k.Uj->Y[eM=E+0QL*'x#%l7
U"j]Q<Ow)VoBXwcOOTIW6&FQciPU:x,'Z_Qk>\tTuC_('K'cB^rNmkhR;$ML&I6-s
U"Jqpv0$b1XU)a6W%UFo$(u4mSO0F&6ahXK[PvU(wIA)%x[3KN8R90IWgX.(&7qP4
U"+_JK]\pmhlBSECe02r/g+C$E:f%L+jgA;f#*J9NJnT2%HAa4HC7OmpqJaE0\4e%
U",M/whF1g=TqMz;N&7_W(j.;VLs*<\daIEBWWIL)[Ol_oU&(E+(pC(mU1VRpyb^f
U"_q9DUBu#F]b/kL]I+I^Bux\vqyCPN=&M/g/LOX(8gaiPdPNKoA9d[poJO0PxD1.
U"l0h_V0\8WrRvdj_/TD9#99PRK39OvBUw*H<H)P,Nk0\-;On[hfp#sO]7%]?LY65
U"o3^qBbTd'M2dK0>f*^v%XR1kj-]E-#<#kIRYgJ+8:f<#0S7iU*)ZYo6Q6WwG4X1
U"LcHPOn.80o9jb+XEoZ3Yk$&:*YnieWXbn3Uj<b9?j9P.Os:p],CPZ;Qdp:H=pTo
U"n[3HI&;6\Y<S6'n+/\CPimd3Pi_rx]=_D>?htDa/(5[UZk8:49s_boEV/gxsEA>
U"B:8Q.*^aR2^.KIIB3Tf*Z+d>1sC/IQqq--^<xN<e%;$\zEp8>)9xoZsm?r[lo>J
U"4Ggb;vQDmXA(cn$fBV:mH_N2XOI2UC6%N3#'_3l#2xnV_+qEJmjtge?u[cCJg-4
U"m0+ec*h>c(WO7T#?#a%\Z^wJ[?pB:AEjeB>)72(mX4(ByZO1jsWVX1)\6]<TsZl
U"Bw8DGWvh7Q*8nYA&]I,,N?Ubw8,)Z-LW\N))FI80OXI&TsE3KZxm9.sr=sARhw&
U".y)m00DN7f8i'lbd/LocUz;x3q*0:,J:1gg-K)x7-ScR*tMeBjoSUGPmc-523AS
U"M/[+pUm$kr6G\S\=>AThv\DQ4Pbrf6Ul%W3Ykcg(?RD+8BG$&,8-$n%Kt2VLo0'
U"2:vppd>-Asg#ttbR).em2s(i?QQ>?uw?J8:*h-$ESS3bJ%&LnMj(:Q$UR[Zta^M
U"[desj6TmReC1:?yi'M+6X2vu$LU.1(-IDnO4.jtwcMx:uFjTw7*PEB/,9e02Tsy
U"5iwI7bxm%n]mBLf8X^R.0B<hJB*l</rTsn=$0f$,<\/mJbl,e6On2<uSiq]PXhH
U"pi=HWZw4fb)yNxb))lK1d/_U)LrDwK$Ns6cctNArNx%2jkw_f=g8yvx2nyx>l(?
U".(%yxs7/JN,?C&i'Y#u*S=Ju4[&pXLBH5eY9Y5scMZaR=kkrZ9w5jIkhht%lAol
U"Efj?&z67P'&dyr?ix5?6lpy.lTwGKAVn4yWj2h&ertDYq9/I'r:ovfo8>-h>&l(
U",Nfp9wWMXWSUTM1ie,pKN?uxb2#S]YcjEil9&FPfIYv/e*a-sy8/SfI&>:]wr4/
U":P5_=LpCMqycT_;)JN6ksqfHS;+ATD3xcjeFBd4<+R.S*2WbHt/>UUjkV^tjTkd
U"VSXen=Kq+tl>Rn:ERJ5M&03>g*Y&I]S.\C*^l6s^K[?D*(l<x^$Q%j#faq-N,3<
U"N[dX<qUMvAP\/)Jv38KOMZ#Ntg\qJH<SPq[5q.05.#dA54_$nNX4CDl9NO6[d'D
U"C<S%>j0LtU=3-:Z/QiBg(wxj\*?J6b3pue]h29v_cpfFqY?AYlNO=I\bRGeQJ'0
U"ftwOR[h*#EOtf6gZ)v0v>B<uBp6Lb/eOhZa7iS1w-uqXjx2Unjm.$1dXIer3vgA
U"qyqk7Jaq5zVf:g,c\<IG_+9*pnmA#;liQ=/MT/F8bRouZX4>?IK)I6gLLI7$1e/
U"9&X4wK/#+u#b+SKXV])*5;rA'E?8CUJ'7O=s)4'=UZ[_jF^9(-cUvlRiqqpE^C'
U"((lN9:<9vUQ*FlGu\WSjb\<tVSnK)cCn95>d/k[g[h<]6q(B5%axiQ+.];/^xNd
U"c]^8abwAv50uVE$_lOv0h/H9p<_v6X'+8.L%\9&MFnwohAns&F.ZQ/c&G652.1+
U"=W4XkkmI)(d<lNAW%eIKOI]Z-rBd=9siREQLN?nAlcpeF%1N?]*]9u=4]f)D+Kf
U"0mTtA8BDocc^D:O,;:I%v,D%n4oxcKMEOl%GDv^X-SC<[u(S+]kF*m^_g$pMTPX
U"#FDyO1GBlNFO/K]2/ZTVglYe>R$+CdY7mJ9Zm30KbrxNGjTwz:b^#uHMyJwHOZs
U"t(p0LV0so1i<Rbv#.K.Kgc*kvf,91uae0Ao=wqF&>PTR8FKo#F:o^2x_Db(Zgu4
U"NbF*>e,G)(B*y8Q$Hq.l(?,)/K*Mt-%R$MPaU;gtRQNhg]?^+Bg<(jp1d#X/Iu.
U"NY)1ShuYdI?/15XDVC9T9<ac5/OroDY>]xcCHk'iLnzoJg]R'y6WPnNYk\cjb-j
U"&bDRK)LND0I_=E'GpSNGDNh:ubk<j+UuYD;HvEg2n:&9so0NOM/5IG]dp?E5*Y*
U"9sWs0Bu-=RHR,j*eP2^BBp/$A_k9yV7qtQ#]9KiL_>Qz_\5g\Udp73\7j(9.KZ.
U"acmp$=(T>X#88ca\rgM?,<s*dI$0,o,VfRu*\*%BLN:4=Ga7yR8P6Tg6^:Wz-)i
U"E2Ert+doDHO'/l$hTRip'3(5;5Z7XY$n2(1J7T1Y9MJ_ca>Bmb'A11]CF;1habN
U"+01X/7&0X^yMfPTb8A?i,b?%IWRs&Xg2t^u<Mu&tnjm8mgVn#h#naIh,>?AlBX;
U"w?][h$cQQjr]js$ge1rm+GluG$.HRKbtb_6^dt3D9u[u.o<Su9YtNF%1D&R(#KF
U"Jz>S9^[sd5UFL8i,N6F*=>gDIc+(\\]Nqo#HNu3yF>nzrFHLm((K#;Qeb)6u$nM
U"Z_,[r>pFW+W?_>;>8lGQhj\%kp?B$>Fh^Vhqf0cq6K^fyM.tUOcuBu('RI=bZZ:
U"F5<4UVJo;.JYJWm3s?xOwZ6A299y77ozwE00kr&%SA55T9UEs(nbgg%gghh?<<<
U"HIHH21V15Gkp^FgUuqqq>\Z<Pr(x(GZ/Qmllo9(uG%pJGw4.oJ.X4>w?[giicV[
U"WMH16xZGmwxjhPqMWH\x6X7bfiueR4LEltjsQUWMS2x)XBxxij>1crUSM2_^LTZ
U",pQDs1EW?Ra6G5ZVbXi?Bu$^kG/;.<*qF8C>YvZ)eU.n=eSt5;Uhhi?]u#?G.q3
U"6KSLTZp'QDs-#..\UMSVUSMVTSVu\X)i>_Ii5-\p7C>YvZ);Q/N)8zHQeVQ4j>R
U"Epa'4gFM\<ZpQDXsIb'ANB#w\2>BDi[.UNa*+_x'hJa9-t<.&1&;/%m#99c^(';
U"x6cROER[EiJm.4>wS?'j.Wu:r(IW;v'LS:_]/0z+oL,LJak\aohCq9)V*M>K&_u
U"AwD5V\hG8#K.t9EW>1&ZR.N'7)RslIj.sK=QjXFX;ZXJ2fS1]#*Tn&NHsJeP]dm
U"UB#cPCQdBTM4xIn3US]ik2jSL50ZtW9AZ%m7BN\w4,F74(8sY4ig]cb-)>i\r+/
U"Y,Pk.kI[EpBRPbKwI$iG=K.TCH$8tVqfYko7K[[r[wi:/nerk=86uv?oL>\e<Wh
U"h2c%ek_GJlJ(f9:iv(1L?9:dPHf.)g&QV>*%y6ZOM_Nk#TA8KPoxBV3aBLy)*R/
U"5AxEvXY'_;9n7:dKgkWu6:IZ<Z15Uo%XfI)YeQN_f$bwu#'Oaf)O1wUuX++s=\X
U"y'<n5vPtl7qM3ee?OaGjpX+^:T)oeM+WqOkm5[e3uhhUapD[f8/]E$6#gnN7[UZ
U"m+va;#s)bm)e2t-en3,)km's9l,GK3Zsm9:3Y)Cs's_fUe,YOXrXG?&brha:GLk
U";7mKg^w0Qm\9:9zLmu3:gvea_E7.K,9l42JAdD/ves<:lcAoQ4O?/I::^/J]\Ar
U"s)a>/Mfc-gHB(a9'\+UFaZQ4(14&B$:Y*7C\,kieDJ_YVu>2WdJJ]FC(x.OX+Sq
U"EExb>a)cRjKlu.T;bK-8mOZS\t1%#'Pt+qgTTCpusMdkN]4:]gr-0kQ<afPbPMh
U"q2#U.T1Gg8*xpPdgvcAmHnH'\jLe*Jt]Hm;s)R3-RuKZ86-R'Oqc,>&f]#%p$NB
U"=A&3zKdnq$&cH.BUn_7toowO7f%((pUCnqPPL2C1N<KlG/eadZTq'n1NQZB-rEG
U"j8rWfP7laTfjJPLAS_Z<F+3i9Kc.7T+G77TU\j[[Tt'?;]+kD0E0=kKT1?[qR+m
U"sbCks(>,v2$N#kX&NFD=uvZd7Yf9b,L753FxV%YjgqVc\E?z%<\YoBu#R()8k,\
U"Ws5kL%Os\FGS\N4hnm-DxK>dDiJAULmaIUIa1KCYy3,:(XSL_tb<e(DLc?gwoB<
U"w2ep(U,x2vrf[W;T0s>3\JPDWGUI>\CaZ\=>;\5*jg&s%d])*Qg+hAe?Sq%JKS)
U"Yw]5l/(1VSu4GNTgAO1<AVjeSjdS5b'g^.dup#D,2&4A8ip9J0kuQW5pzKBOJc'
U"1Hg6>:75,T*dC+5Xh]DqK5M+yj7c>2%$i)nn,dZJX)jR^1/tu)q&6as7G02MV0s
U"nGCZ(LRttM>L\IEs-GH1T/y#Ox6Yam]gUJg>*<S0'S;.<EU9[hDpdg%XY_]Yd0.
U"8nzP^$VUtFMWaFL1Vnr0x6Z+,2lLm<AcdRBmdJ(jLjfxVZ00^l)hxm_=9U9Al,9
U"%?E_90+sAf*Qnr.K)G0+A:E/=RvyRU(&c\iuvCm1a7ucGv>aY-w(5#ejt7MV/qd
U"G9?LIG75?ntq\4[aPO3665uNW*JSZ>]=SaV1K=it9Z5[_r'%0-u_9=T+uBHJF25
U"fim_Gsks1rkUM=hpw^Ceak(50iM)S$_aSpoin^E_kN-i='#*=#XVQJU.7;M0Qw4
U"tk[t%l&]9Mog>ujc-zV9P+Q/=/JN:_4tJoP?xZKdMG%s9oV?Zd1%htt*H=K[i4T
U"E$j4^7.MLeIWNL^lcOjjrZ(Xspqt;4(IL]sAe,cJN?xq=D2;.oUSg^FUV1uNpWA
U"85uR3eT^iQcMk1&eZS$LM+shyj)o7C>vt^-HhD(%XY0,EEf62O7]so/++qN?T#X
U"XVsVNbCv8d[8I2]Kg3<v\nV5CcOWfXL/H0(O,vDWDJ(LP_ujQ&C2>VuuSW6%I_G
U"$mU&u;LLX'c<-cHhT&T.KC/C6>XIS86?)iYK.3?nR(7s$v;gh1K5$pGBs8^UGtn
U"X=ef?wMjJ_XM9?>86mfJ5<Og3OS#YO34=R[:yEcte9t5/M.,YGXtd]DcR1kK)R6
U"<(*'mfNhUeeE1goR+Pgn(;avS\(ynTQ_?hO:kD[(iAprY=%XyKL4K9Dvr:-A?Oe
U"/vq.AN>V-Y\*9nam8F&?1?+;V\$1M7Dc;f%XcA*?l+iVTq2pB<wuLoJIm?uMcl1
U"[ea7/'YRP$*a.)Tb*NfPg)>Pd[/h,=9Q1(bKR.9F<Dxs.NE[%/<W0c&p[B%Z^=b
U"+L/J7R4RFhLRg1VhsC;kfkWA/K2>,6[s<bBb+q&<>L'*1O,IUNPM49BbG3CZCWe
U"V=v*7.E/2BhU2V2hUNUm2=Xq=C=/U,/f%%>ww)CS+DgP<R'd(s_O8<\/I4'M'O+
U":h0Po^9k)%7Q4G=__2^)8n1P--T[GkL\4e.d:KYQl6apx%+\2>\D5\aQpc]9s5x
U"+abXe]t%Bdj'cuj-B&b*Q:^^Yl)h5yL[$;+Hq%FCGU=4d^p#FCGWe6,.<$VgE_=
U"fe.2)'?BcBbcuKSnL0+eb7N/$YOCUMg]aEXAM]sVB\s=6l+g*CIPL[B5'p<JWa#
U"q)2?&xZX3UWNO?0RmZrLsEf?/<ZfN$gLI5_rSoGea%R7_Dgu--K/rtdUk4z%J](
U"sx(?_JavS(%p4=btR5cq5c/K:6r<6h);O9UEBm<5gx\6l7QToA=XIm-)$KCc,(m
U"ec[+*L[x+F^ipUJ'/2h.wh1<zdDSzDVP+)Q9\J4v$B79s&A^]kRSSFt37uq1ZaI
U"s[-Z$C9:J=2Ps[unZiKsUUfTt%C9S?Sr27e#0=a*FN)(B.)k.^1dd10l:86S:g[
U"nlM-6E-r2+N\Fec)i^r$_6ny'gR*6gAl+w5Vl,6p42%E6H%^GgChPXlcd4p.j>G
U"Z=onVij7'L(i?<P/3rsIAhWk:b))2ZQ\](ePNU:fZekx/n(L4kkECmL3t0f]^No
U"r7,\X=Nb3Fc:9Ig&oY6*E6qhODL?hNJYTYU\iTleZQc/#qQ'JY7%.aQ*L?4off*
U"_'CuJAn5LLCW>lgN0_GN/uaDs.D,2Bw(If&sdF%+stHFnB%#&CT1OUI?.R)v1>M
U"_tD[V%)(\W;]n5%h61SN,efm:FY1$JqW0+2nGg0.0OF[:O0/Ng1baLk^<mopj'j
U".d6\6:[0,?Xu';9j:.i?39IB\OedRl0YblhO$0wl?dN;**iWBSI6:Sg43TcsSQ>
U"Ni(h>/g3(2WQfqp'40f?GfZS5LAu/iRk)0cP0L(4/XJ[8A7ce\&RckJl=o3W9/^
U"0hu1+oAy$>BMGa4m7S[C54ubhc;U#GeH=Of40-)NYe(^pzw:)+_6UDUKnCp\T2O
U",^MkXpI%]ws7A0QP>o80n?ZK%A>Iu499/G=5I'9lx-gA&(1yHX-j(/36+?UnL%+
U"qGjBH$1URd9L_/Wl/bi-WUWn.%4/)h?gqg$3.+&-z^rbH$wNe5%Jd/z[zfoHPUO
U"&=yE6>mx<9,h%<O(Y2yTNNLg/_L]._/25v[nn\pM5-%<(2sZi_jtn/$EkmPegfk
U".qX_0$ilY.-Y+ZG*^F^D,-GVRcIgTq+UcJd]G,)bpqFJb(7XAjC5P2Y3oQ6d7t#
U"1EP:=#MJk[g;]Qhksg9ZBnwb6JlMs4-r_?WrR#>rlpi?n4&[EOLfP_N<IAbs+v;
U"(dg,09ccumBc8l5wuh8Gn+_'k%e,D:1c=%(c.:qnU=h$%GBMH'/71mQlSOUnv*5
U"72&)G5M2hKV/m>FB;JdaJESD9Skz+*1'Jk.YuO5N;gjGCB0/J76LWuH;9hi,XpW
U",#+)74<3#Hd4*m4IS'(gJpp1$/sSQ^sNw<qh;#Irgxos(CVliJ0DISd/FJ8%?JV
U"De%\y)[hCQ6wC5_W%$VRx$kOn=>%RWxjB'wp.P]l^;b;>,4K)3N>LH+eQ2UI0r:
U"1,9u]CM>NhG$-j]YfbpN9pWQm:P_<FeZ:^%,kUgk63T/>X_;M/0SP,3C;yZ=w69
U"J.qiT;&=x-$.pfkE,ibt=+L]M8;d4U:[zfLd)/RD6Yb.Y'\vUCH'Ue'O:hJ52n&
U">*wUOR/G+6f*W-GYGB<YUwM(v0'_+*ug*%-&O%LmQJ8g8oqj<paO,#%B'T.0.W6
U"NM/>m/TV5V?OWCm75t;X<E1nJP99xELgIdw[7lKJ5_ja7lm6353Go8iLjw_?)\x
U"[G%+;tjAO:'d/9L+F%<S[_D\jPG5xZ4'^EXnG&>N<rCBrksBTsZG3cUR?A1m=u:
U";%.xszP5O($js02n[W]?F'>z,Jwh;sc:MeNlVQyqS?IlolF)%E$y-:($nhRHk6Q
U"L^FGX1V'99f<\jt^&u()oUj/GpB(_k0XQ6mhMHWrA/l0lN,W:e;]5E4srTYc(XV
U"OTk0JCO)^>Le[uhA)_3o4G=0'Vwwgk=A1[AXzUqifEfoaXKSn:tpN#=i'z;h7E2
U"V4[GgDh:q^5vcu/b^:=1D_aYC]:)ux/-L+*f__2gY+gM::\1+[3Cwgi^Zs1h8Q*
U"x^U=AeKb>'o2g&Qh2Aw5jHDTS#[a5[YW)/mx$FP6s/Od?F\KGZO^I8SdZalwCUL
U"'-Fm1RM*l[82:2S*lTQf8:p.Qr>/ge>ISJ^$>0#PU3f<D+vzqbTGGi,mUR<10FT
U"t%9t(=O4QW)iSQf]Aw\xWF*IX\X0,XQFK7N&KU*F(ejE%Ld\=v/#HlRRJZbc3K<
U"3X.10q??+=xW>5Kpwo[:%zcMSmX1CpcO<De%iP30uWB9rCDT^'of%s:?Pw=MU'X
U"8dxBqsTi-BhQMx\p9(6CY:f]C_CSLI446[v7p*;9R5LL$:p-*3S>6MTAERv%3sO
U"c(KK]e9?0KP>#sLeXMg_/(d9HdShiAVZG1S&*d0&:CG<?3p9TqNR_<V+O:wZeqn
U"P>j_^^b[[3>PvM4'TdY3QVm'OdCd1ep5-v\WXAq,Mn+:=CwnOez.)hJ6Z,6.OMg
U"8<Q;786,>*K(_pBB%Uy2Ulv<geBEheN=BYljuYxQb;7*)8.K>3,6pB/=/r(D,O3
U"M87_q>uTD$D</RK;iuj\2Q&36kIJSq.pKWuP,qD'4jCXOm#8sX1RM)OC,MjWMI7
U"RWIO9-3<y)[.6>9:2kZHSU&bb?tmr&qG$9kLj=q1:WInC'EW_m'Y4VJ+?9v/TYw
U"COsBiO<5?-Rq8u1PrJU0qm7GBBIr(p+?/se/oloRQ0&yhp2c\W^#Ol4y,6T'Ujh
U"BV8P.%eG1P?WGg\dVr13B/Gt&q'&ZqB2KPjg_gY#Z4$arNkxvQ+8A5h]h><PZM<
U"/I9X#qZOuMg#UIBBsKU?ea*'=x;tTPF%,bGw'6w=<J9;b80;c/C27&b4ECo+cRZ
U"0n[W[e]O(<DLkX&:;z:.#'D[X4]P5bMO(Ludii+z+)=9evl%L1eWMgs/q>gQ7qf
U"crazk5Ml>gGhU=]MmPyd-aTg,3)U;gn'ZO\uBF<Dmc$$w[emDZS3]aL2F3O,*r%
U"l6<+a)go-)-8aA[/lM#rame,thPP^:kMb;]Z*7I]1yA<C'<Q+)MS?E:dj+,rv&F
U"F&;%O2nGYSSj)^>P(Cu323DIkxq(;osvA^U,KIhI^/HpbD;JlKrO$yuka)[X9vc
U"m]hPRd#lnRMeTGBu\PRfPVZ01IVTbNzVUyP^UQD_HAJagysx\E;fxr'X%\#LUtp
U">4c+e/?%&^hS8)E,$19:uxR6A5H)r3E$(P)7^+'d*vYZ+cXV+yY7bhcfV8+[p_Q
U"gda_upRAn_)$]QT(j[pn/p??;\TA&YKgDZV:Dbhr1/^EU+1D]&o:*[.Dq45g]Cr
U":.4EP%a[syp+&OgU;p;Ot9.hsy*C=<q3#&U0(_2%?qjfQLc#39_wmQ75P:n]u(n
U"m<XOgHKlfbS3VVRNY&%5ROTV:;&V)2lMa&qj\DheP.Dc4bX-gSo4?/G$Sf'WurS
U"%Lm&XMOzv-?bXZNeCea^%bp##lH96/?QHtUP$79VEG0C-I801&Bp:Zs<DeQag28
U"4=Wtjm;P^MX5GX-0JU2$fs]FPeEj57mZVe3CT1]^HTRkvZ[Ub3DEe6jN6ellf>v
U"s?+IiZOikA*JUl4?>V<s^F^-fG5sKRqfWW0Ue?HcLjQu['Z6+FH)1eOY=[g)(FQ
U"XugAu:wq]/5B2ONb88U/$QI*ui>^r<CDu*WZ_mfc-FqZf9PcH'GF^e/B_/2MH1$
U"/Te5m*1n_UgT1)oFu(M/dLk[SNMU#K'wq%5bY]w;'sEWJ;)Fg:rP'58oj2,lHj&
U"^69ZZvJi<vOZ=a.V/AfGF$V.k\I1LoD_r^9J%\e9hf)D,;KX5w91xpDH3;,90tO
U"^6N&f5dwAtz.jdzsWQ0Y*1Zk^q7'j-.[2uOD^pC^dv0p/ZPDpc94Z&r[E[/tCsH
U"<I^hOJ>'^-FqhXA_ITz(R)>L^>W&X6C1k?[FbYoUi8HFhuign)iJfc&cT1f=dI6
U"o%/2XijtO(xsgv?$[ar'AV<gmDzS1ENjq/L=GCI'\w:OD9:-7?P<95aP4s.UA,j
U"JWR*DgQPv^I'ZoKY):e&yWU\b&I_NUB)Qz)%),[bLww2U^B=hO^=:#AkX8Nj8nB
U"QRXG%u&5HdMqkVZR>wWv7C]ZDSdx),T[;PUJVS%j,t]<7Do,9X^LlnrVr:Frg>N
U"^4QB#2P-TJ:Q:43jy;<sHHJswr'Bm0:lVR_,+y=%M7zcWRDfioFo2IOF*Tck9vC
U"4r5OGmywYZTID:JA=d,i)sA,]%u%Aisv7u7/Y%7F=Yh&-<-)N\fa3CY2b*$?,U7
U"V61JySG)dzBbVqA.H%gzjK+#MWr?'6q7=c_&$:-ZX-B#fbW/c&D,pfvR/FnSJp,
U"RK<6.&<FfMV0I9r>'iNlR$T7-N/_w?5E6rq)KlkPM*J.sw#)tS3K/mRz\U2-Iue
U"](CZrOSF8^=4w4jYogKSV_sD\rr2juVRr&gu^EF8\;=1VrC+FxWo4NMV=YNVYcF
U"VYLTV9h=6+1j;$1j;38j7UrGZUrZ]VrpU:rXgKbz4NRWVc[=CoD\t$2jWUUrhgu
U"^QFx/o4N#Vu-EV-uUV-;uV-KV?-CVIi4jW<Z=lK2,?LaTiFUjo,HbvAErQ9]k>4
U"tB/?HFpj1UwVea;=c9V7jCL6?$&1znfWXaDjVoPaBkU+KG$cw-f53xP?Z3Ypw;4
U"2q_B:/_u4NJ%g2(sDmxaw3,m#J0'9l>SZju+d59?mbtz0k:_bH4%1_\b;<jB29M
U"klhx%I7PvX9p_\V?l;pNhity\k9N:^8Ld4]cjC\=eDpKf^E8Uho8(0>gH0uWGW6
U"f98nqv/R\;R+/7us1^c2,-M31y5;A\RuK)-3;2IQ5=j89T5::&-1?/3Fs$c9c/9
U"*L1K&F9iMp/7gn/3=nh'<E[&#*rM5ntc=aN-HH-nAjvECH\Lzx-Q[4;,(9;2m2]
U"S_7h*X-)<At.[)kiU5o&AL=&;XFqdjAeJY?;B;?i:[VY&dgG0<FA:JVYYLNQ<u-
U"RK:zn2isq*,\I3/ZSG=U4%ZdN98-MollF-9hP6f*Q*Z2OuVl9jydVGQCCVo%McA
U"RPaV)o>NrinN;\w4ru'X)8*#Q:/TqALWwY&X-7dK9k<ZDvj3sUWE&%C=l;<<6d$
U"kH1m(4Xa].$sO]oCnU'aKe&JFI4r;*\h\kNe]:-s3bG+-\2Dfd#UnU2Fn8/wb_D
U"dR64\dt1Rm'\+BMRyB*^^#Uau&J*zNLDR9EbAvUqaylq9FzmWgF2YbvfjSG8_Of
U"8H>OTo5#_KpF#u\AvSLT%O7<)AG_80RxOY)1a0\CG&5OHR_)8]b%XC7fo/Vf2O=
U";R_i'7t5=[H-M:ETQ?ij:I);Ir,dPaXZx6si;:vRxb?\gJHHfI6TP:bebtnsWl*
U"7M+9e2MN1?s'uTHJ_]i/JZl3SZD]cV?P2M')]DGc5/*MKK3]Te&$^m8',[_0DQg
U"4vFM+D?P>uSH,4XN]-d*MF%80uxK2CtlCrLbqxG)9&q>loc.]mD)(KogwH_M&yv
U"bo7JTpUGU:7#_-O%'sFBiStX'N1JI1&m9'jc[H+b2W'vCqN0jW*9:6#%?c)bNk^
U"oXIu;.i^i?j)at''#9*Qisar:jrpLx1E.IRfM\xFYL6l>wtMH1)ZkuDEiiS9-P(
U":dA.;-VBvQ=iUWh#<W$tdJjX%4kbD+PP4k\PkqSlSW&)Zwq3-_hL-V9MPl4Jp$I
U"TF'oiW+8a+V,0hT1ea_0h'H2*.YQjpU[.hquLzb<w-(oghl'33XFtM6tl)h0De,
U"XTSZ]mfFBK8bjfM'BNVV\9aG/v8U(I/EmIEos3-5wAN'8+NNaoj3^?<c(?>sIsc
U"kR]Z$6JOcL+1S>eV<=f[3;K*&u3YtcX%xGYifF%Y<3;FO$-%Sj?>G0g:j+ms/?o
U")O^4m%x;5;&&\v61T>gCrB<rWS.(AotzY)KiSm&D%:E61E(L$Rzs9*3RVP9YM4d
U"^zJE1ViU<2pTt^S)[wVIfOYd#8[8?2HiW*.rc#WgMEVb88'TQh.#siR+Bo\B^2f
U"E(;RvBql]?H$o?fWVbaXmh#j5nnSrlH/-U6g+VHfVXEQQ/W--i)Y)00Ruwsk2#c
U"]JFt2,;Wmb+P^0\%z%89N.?'t1a2d5+$I<]R+^'oVRmoiHd/qYZB7VjtKJr7>+3
END SUB
SUB VB
U"][W2W+Suf\J&oe0btph-KUPkBeta2)o-KW]oAYi0Glbj#&-jO>av=9:Tmp<1o&b
U"9N#Bdm,noSA>;saSqe]*k[<QRD())jnsnF51%q5H9N,J[bt'E-_Se&)OY;vY8AW
U"XYWbGzH</kJHS>;7t/IX6eqd;C1e[g(Gc.J10$1Z,Mjp8GLV#cD?KK0%_ED/z[8
U"^+Z+wH-nAEU8.>exp88G9R,L?=OWiPXq/v[bOi)'PHPjP7-.eXQ7ryMl*hx-i]8
U"uPOqwrqlIVL7;\aw]ulb*IBPoQuM^_5^.el^phb&\4v3r+$Z57xgiEP.XocP#i^
U"ED>K<-NAQc=MxafH<ZNS?tW\(a,OB^.1qSUO%dc]ZQ4VOTf[fCgIzKR/(Qe&LN)
U"7ZQ83f/GTZ'p$#A/HPk9w'PYR:?jW:;b&RML8*;e-L(R6Di(=(<h')Zq=/*KCcA
U"k5_m(U\:_Bo6%2,%*#fcbi<aKQ&R76TJjeoJpRS)-'w$q)LZO77JWagCNBt6jmj
U"Pb/T##S[[c>D1sKXC&t\&0Y=K,O=9GSX3+A?KPO(&LY9=uch&V=K)\0V%Alf]#w
U"QQE);-p_)1V2l,8DjQjB*9PN^U'E6^1s93H9^i16F>]Xw[RJ#a:XIVBCX2Ne,nP
U"iC8iBigo6,VY4C8Ai(4#?ex,2<BS*)6m14Q5',R3EJ7Hiinw7MNnx:7iXDRdDRs
U"Y-NVweQM+f*IJRcD+:JbAr696<*lrYqXj]XAJ,AcmM%f\tgpvrSmYD'dt=JY+bM
U"N;,XLgCPgWIOUOHa92Z$24Ep&A+<5\1(WM?xUIE+>cP2(2.>A<pukQk-h)W]HB=
U"Qt?N)(<HOAv^LB2o^lG2u+k(xA)DSI8M\gO&#]eC?XMX.[Uv^[L:GX+,W>.fiO2
U"Wfi)EIcp:3Fs[2LnYCB$txYL':zZ-=m22Q9=[B1^OT+6W<Sc*ZCn<;RvQc+0TfT
U"p)+X7^*;rekCOS8d[,j<UY32jLY\^>+,-eMq'hR\QB*QuLFi\Dq4xo>s%7D;i+>
U"y2l^Qf0m%dbS-bbQNLR=1jtRJYA2oG^tKU$RlCcnmiS^RKXY.k,#jc.aHn#jhi;
U"O*\$89sn3S(80O<nYjWVOssl;uT%YO*W[h#4TW-C+a=.aPN)_%,1\:)BVp+)=a3
U"CE*Zi3:J\LH=.If\BXgt]8/dRm;kh]1H1Kmk8kkq4Hkwb#+0RHlgV(>M3[$oV_B
U"X*5QBY#a^TGx#Jz;w1t,*%3^KE+d$1YdC'<f9]YC>Y/ZIOQ7Y%o[#_0tlT[&:mY
U":=Q=VC_87g262'=&vk:1RR1cW8%9(kC*a7#=Rc'ge]4;)1d3QZrvo6n/9y[<\fU
U"O?ofUFw\x=LY/:&k&6Jag206Y+'NtN74#MutPiD'8i)mEJak8imjPm*kaeum5Y0
U"lquFPNrE^0D-kcsFD);AJ+XHd5X8-Y;1m,]K,k%[Dk><)?mQrdwz1I#,VGQ$Q/8
U"7#^q7o%jS&F(&cmj$ahV:lm,#/ewjD<nG0<t&:VAx4\[LAJC<1Q2>Z,mnrq;NZ(
U"1)w31wQHp<wJ$QhWOpp[OLnp\>NVR%bd7$VPcH27x%A:RLde0XbO*J]ed>jZtD*
U"6bFyS([^D59jq2_ZwIlt*Iu_;<dK?+I'kt0iiyyFTj6JBg^PI_*WsdI9M'5p-N\
U"$toXB;AkTR65u#[8;qjxDm5[K7ZaeprTg2\$)-2'=w5'xVh$7TviO\&jsO<LZ(]
U"gSml(c,9m=E-DL'WP_>N5D-SBoBn0Sjx4qK)s7>(/Z*M7m&ZCkaot)4:ct2RNQG
U"b,u5M/$E>1D=*\h1IPi47?=sf+ZD>fnYXroxIS+^6N.Pws00XffYGSG+aVMe]:_
U"#uXl,haqT<tIAD2e&Noj:u[FjML2:;PpM'R-M.[*VEgXx7Z)$<s(jS6?AK*hx?K
U"[0/os$*lss_<tO_Vn1nTSpP/QE3pPthEY9T8T^/4j_GG<)u<Vs/2LTsgB^xOU^,
U";]&6&qc+NQ5WBR]JCY9Q-&Zo5svZ$BX&VxnR-h,rsPagsS<[0TOb=T[mmA:ywC*
U"krNVYxLL1GfGmnAhVPBooX_fqBy$Oo=^$2f_0^fD'9on/n6f>/h:kBnd86eHJ^x
U"%l=%k7LOEDKNg2HpW/xr;DPpU1OrA)2?J5[n:JBPr:Sl\=Ixz7G8i0A.W%3k'_>
U"?fQYuiN^B%YRZE)<Ncn4T^NhJfJlW6EhbQWXGNQdvlFc,pNhHLWR-hVFzpcpWOh
U"[[e+X7-'c^^iljt]7/7f(xaGO#2nfjias?4KxA5F;,kdt66x-\[Q;;6DQ$nsYN%
U"ECm>f1^<.JwT_2.'P$=ddw&Arg7IgSQqp')>/S'o:jRxjey%j949u>gJgZNoP.4
U"mMEz,U?jW,r'l4tz&NSt<4.g<Kd/O7R'<F-SM%CRECAp%8l6j[85qwBX\8_l/4n
U"X>.EE$H8h$>lWjLXS:Q01QT2&HsBX:]iKv.fW#mpP'c>DMljnAl2Hv/;djgZ>kg
U"I4J1;rSlJeN:\C.sZum-=W*/4*d.YZZi1:[^U:YLq(4keHu0Y(V>3?70YzW,uQf
U"?hv]zFX*0]RL$p4*$3X.Lcz]YU)i,.h9eavfk,pf/+EoBg5L0pfQaKw_0A(*AFx
U"*S1Ry-sh$(Al[:UTFM5A4'm,0[Cq&PoC_5oz(WNO>Ceiia-I)I9LCj-0_2,yEa?
U"8FC)_>^ZBQR+bjJU0x#[F^9+.7j-zR$\o'pYQ$>uFA7KMe=IDq&NmZNb[T7L*R'
U"]i9=(p-n[J%Z*R6GXf;D$NVctr,aO=+)ce/?L0Iv.K-ovJ(RzXVYX/Uk.+8<AoW
U"bjWd/+9foLPjWB:KHBlM_ubgea*H7r,NHod>ol2VGV#YocM^&O(O5J\bk]rO3b)
U"(w$'2#M:RsSaG-G0oxud1=Kb041es,/oF7M)S7FI%<g[5J:D/9uf<^9Q0tsVQO5
U";/V^D\44(87*tN):S%zj6Uk6TEibz?,Vl*0F]sU%.#k6S:98]6].Yq.HLcu3&1p
U"C2B7?i.\/]<_1C$TeE+p\Kf)[grPERp],w+0<E9KO3(Q#WZ'-c;b1Y(]Wv;OHqk
U"A&dC9=d:>JS&d+RFhs=zQDTL6AOOorR2$cK;Gom%eWDo/3#FDi/kG<^-Oc.NUY0
U"plaDAO6%ZI>OMf+[3Z]KT8;iP7)ZuVia#CbCzM>a,uptEj:OqVog*uJ08#^U%'u
U"\Iz19;/.lN0Y+Q;urtQl/c=3O/?X)xra4[13_l.j7av/fHjNXmnZ+?Li1C0bp+,
U"ZA5t#c-SBdg5uhkUV(N\nTkcK[cVqdDYMy-m-Vwu(O$/XT+ZX9,JJFpIP/p[Il=
U"y2=>'Nx9xIEpg36O0x<IuW>(*;CXVZ,nw[Yq$7'Ce,PYK:Sh5CaLrK/ea^st3d]
U")pI1HM\G*9-#9U2s0irULt:pf(-;U*b3toF*_*L<L&nCfTqP<8D$7[WiA=ST7[&
U"J;1MsotVJFBMf'Ky,N_jPysp,?/ko)k8ujpW:Xg-_zHQlO),?[)cE-A0H]$=we&
U"hR,U5s3d82f6>h;]Qmu;(Z0FPTw=0d?B7Pl[,:'QPT9_oN_WF6FaHPSMF4Pw^Dr
U"En%gK$CK-wgTM/xvCrXd>=F9-Q6b;Nwa)P8#(VZ15dP3xB%<737\++&v&Q%[gqH
U"$5iD.5aG49trhS$oGTW5h=YZ2a;ZQfLo+/.OL*y,N-+sW*7O(YRfO$6#%rc]*Oy
U"O/O5Zc*?1qVo^b)Yn=H)h:UJQkelb[M^:U:;TH38(5)UlVk;(SVPXQzW8l.c'sE
U"m$39FW/'b#0UtdJEP-'U(:A'g/Qa*Ou)USYPkA.RU^T:&8aK0e_nzrEd,8gfApl
U"Vb_Y&arDCdC&Y=-9D>o.$*:Fp\>6Pf:)X>,Ee')Ztbm<1+W_h+ji3vTU9t,DoeR
U"IVU%X&j.M)_/gsl#mllXASV[r4MBDNX],=tRLoF]3t90ew%-*TOF%DoQ)+C\cLu
U"eZ)_-*J7=?YxkrAWmuR#I_gau>Qs-X5s9&W1H/=p;b:\j*;\Nl0:1&r9V2pPs(C
U"nX^XtrBRWGI\y9I09N7'PWXJ;kI09Gp73jt;bZY)RXEG:zIK2,7q:b<bO$cC8&&
U"E$BKZJ_k%1-X1GMK$G/73K(:E+=kbX5?4*g>)U7ZEpOaHmk)ZA.ib9Eje216,Vf
U"'kt1y9OxAa/i0XWA$_nR2yM2E12>ZZ+G,?<9;SnA^=f^[+:QZ&*ow'*st^psTI?
U"I$\GW8#nrsH9f.C<v_Ee;-I-CEN3Kn,9K*:7M9syp<RG%VRjjdoDB+5LEPN++sN
U"RwRBS:K4+MSjXV3Soj9..OaGUEEQ(8KO/CPg$Ra+AZT%<3BBuj%,keV0>b]qZ_8
U"rJwxK:sCB6ggtmQo,%l9JiTV7x<qzWaX0]#1(CI,7T?JT\b?ma;cAl.&&Kg:?j=
U"0>j>DRL-C4*Q5NmrtgB#380cEqXH098'f^i%9ZKkcqoIV[:nJ^%_Ip6m(1lA5(u
U"jxa/9,jh04LYZl[8AF5vg,+O(PLUR;_5o.V[a[9^-3rc%?J0Rb<D.e2E7'+=RHF
U"?;pqg/?n_U<%:s'*k1*SgY-ZFZ7Y;1f>1yGUr+_Z60GCR'zc>m;e25jCvPvS3;U
U"_9fr2pgOB,^t,D#'vE06Xr?;*$qZ*lI<yS2\iTj46e*D-/oR,&xay^G\Zllh=bR
U"5c&.4?$AGII63;1T6*aHrP.h^%s>wi9Y+o6*kGGCXR,9Q2IDr^+5;)U2Eol7Ob^
U"t5l)5da/0<dS3?BGk$C?UviN*bFW?*5t8bE=:xW0(uhk9-rt\bB]89v0g?o6k6m
U"#Ub6JO-?MpB&W__0WE]_JhPdcu#NO2&]li%O**Nn>Pr9CW/,0TWQx,:#MB:U-93
U"+i[+So,THuX5n%Mt=CS#BF<xWhh&BU2j5;POh=yH2#Vw=48_Z]#g'7e^+18#abV
U";jG6L_<Op37sn/HtAuhE-,<%O*Uh'iX3),Ij\h]2uChpT:qO0uABoOJGt*>,SlM
U"ef:z'vP:)q'm0:0dDU%)uf$[,_gWwL?i))wV^_HpQUs,1L]+uBT4-<p0p1Tj;aS
U"PwJ+GW+B)[WcKN9g'sY4YBFVJ)bb#W^7c9PNLlVU'0vZNL/:]lNu86xAO&\W=$i
U"ruO$<)/u7)s>xP5;Ch6e)o3u1dM%3jcs<17>Q?O$CBoX\Cdjyq#^=>ShDw8LdV2
U"7KN1m=/S6FlCion7Y70wefc=+mq=mJ%J_h;BsKBLzeXTE=.c&;D$WB-WI2>dovT
U"FQ;nhwyZ(TQESHn_)?w&*fP;(BW17%7[fg%f5u_CPg(3muaj.,5vme1MmGPt76Z
U"9#Km^ub(()]N[XQoKnG;xdW2?U.Moh+byP#=,9jYe2Fr'R\l+/O^5&-$:Nz=zuK
U"GOr(eWXCGNo/],f5xjj]5Zb9LDZT).LS:/kNM3ccrDJ42tIReq,[ih0z+*Vvh:.
U":NY3-gA-;+uID'3)VJ10<XNLC74M%\B?(+HMiG7NB6GC)]H(j3CCKG+N3[)obW6
U"r$tx\UqI$$iPlhe7EDPaSBj%OV1sfPI$N*+n#6bT,XKT,lB5v\^o-=ZjIGge(PX
U",d15?2sQFS=KoMMyy,&mp\*LaS/rGX)2u']e.KUe=W9/DShYCKLvxAUFj14;HEu
U"n+pis5L=NB$^0sD+*Z*RFb5v<&6ge,'5PaFiuh3K_F_wFx$Rv<f.>#)q=UafA3u
U"f_J?sDT^Ub>[?NPnL>kYxQ\G>$9Z6xfBj6K>WNuoZ$FIMKwFfU+/:+S>c0#<Hp'
U"0;q:7^Qi.8f+s0\<*N5=I[6(r>A)4f^sehw(sEZPc<V-[k73V6LM1&ZIVTZ4LT#
U"oHOPCQ=3B0jTZ2_.$[.-]qD.A&QRhaEIMlH&(o?-XctXRiRP.+BWl8Y?HP.7-N,
U"KvCc8+-aI+a-o0[r:KW>:JP^rdBWCFFtJ:XI'o%_yA\IG-4oJ+',EMgu0CK$lg3
U"v.$M\5A8+Nq%\PYEV+XoLbEaT)G.%9PmM=a$Nh/L*SSdu/+B^K=kbO9CNA[<6[d
U"7fW;MJQ.g8xPMoeQY#S+eMtCQyRjX3?^0_h-Q>+cWQ/*onc[U,Ne0R+O-Y=eE.5
U"+&&=m1KT9iG%;bj+5:gs6rAf-1T_kH'B<-6#4f*IL(%Q+%T*?%2ZrN4nc.%7lLh
U"h.FEsw2D%fAna#w.bS_Ej%P2p>an>5oc7kMVEOoq$pcwgViU3ku=HhtI:i*vKJH
U"53[9c,==Ttm;tLEV?r?e^4[+q=_9VINYX\01\#KG-R0)0)jtq);sf<:#c3o[prL
U"M0QTtAc+QpWXQ/JZa:,WbSz[_MmB,v96i6G,,4l4H,0tSWFp*D.I*C[tXKeF&Ww
U"0G8^5x^[N^g1Oo9I2&XwCeheU1)xQ.]_X1WL6'&yS<KmSBG13S*Wq0e3%+Jt^X2
U"_ikbdED>jsJyG*=tfh;wGB>1kX-s>:sX)(3T3[3j<%K'Ul+=Gu5wjwM9JVSa)T=
U"A9*;]dO%oJtj-=3fW(O8\P/^O#k(Z8B;AEY*<5:msOPK7?z+7t_OF;>ZRgn)JGp
U"/UxW5$x2l+PEEu?]=>EL20GnamQHK*+1D:[gc9:F5ekt)6\;nq8x*I4=duDlOV/
U"T9iltI''KiT+XJ0g2P7q;,[%s:bpcy*p]171#_zLT;cWr_;IPJc/.41lNtK2+cf
U"-*1[#;5o*rAAvTtH+iIyU5zIs2On^7MOqSx6.%[iR8<]t1E6^/:e*D^*mI\t;4R
U"[NP),2sJoK21%NHWkmk%H<XN:CtpJ_SiHjm\+LJ$;:sm'ueo'QKP[QL.'4GH]6e
U"&foK0MIFE6e8SnTZU40Ksg*FM2#=O:M*TR45K$OF2/'3UUe?21rBmI208gX,Z88
U"Xve*f/o8be*J>d1e*iMjbu%Bl432c=$rXt-Po%<rugCl*I%F*IKRV;R\JHF0[t#
U"wQ^>g^CdApy7]q'.=T_&eqw]oJA2OV>=Y'%4&GIpXIXoYDi)MOGIf*?2Of6nLm7
U"Yu>ko].+WTnjx#dHmY/<1e6b(ReZRSO2bXlPFi[:r,FGiNK\6(,EhU5WbHR-6(p
U"X5b4/%N]fiYY+=48wmsGawAxIAZ&Vw#qd1$c\M-FF8%d8JGm*TqsWe-'V9xz4Ac
U"kpPd<dI7J51r.ByykS(*r_^'^+uh(Cz.EH%FRotqq:cx;yn-U2yO;?lN&(gxG:E
U"U#S;lJMD%7X1sMPv\K3[7-u%?dQVU(TxyZMEL:*ITfeOn>IjdsJ2x\-&ua'OLB?
U"a:YM6QAFJI$I]n]bt3jd^Z28k%0;1mf3pQ?FDCBT,<'1%)qLU7A3fZ9=$JjPH](
U"Mg/a0<y7F8)N=%^_*$aQvPV-<^4/9pR]\WvX*=<%G5Ya8?\9Pb9'6)nRHS$+]DK
U"cj/aIgb&aQ=Z)/M\cx5Tswne83=A/O_P\L5:,A67A(kuxWC1ex;B3*=_E;x*sA1
U">SA1Dao$+'i'm4eq<S6(\kG(/9'cZIQ5DH7>[pN[igS0No5+vPV'BJU^'QDNGgj
U"Y'V]8I6+?q/]r['cfN1J5FM0&laOke%RepF&t$6%Z1ue04yO-hWf%aEa4/I%c6Z
U"D9qwumt*1a$k<[v,F)+^-\'e.wav4f6?1N4A%3iUNaew\-9FGMKgoP0W\(X,eGO
U"ZZBTaMKE9GJ67kZ1'jS?x]BM)ZqL$-aDXi;+$9[iNwlCJYy0.zFG;WmT<?DeRW5
U">+l_4qv:rbG5x5uET9K;WRqa<.EPorF.S86q\+I\>SbS8kt?[EntXj1%'on80Ts
U"FRtYo6f>MdZ/>]DBc1CPYGk/U4&J'BM5-0fz#r+HXcq21TrN:J:;+=IO#2C/pp&
U"=-)GX;-T3kT,d>5sfu1c8iiZ5TL::*j:.p^IXdrj-Y=n&$#eK\wq-.X7N,RDKkv
U"(gn;j&I,CRksxYuc]R&G3??BsGd<>o)X/:Zr7#tciS0wll#1X)9C>(0anFWN,1j
U"WP^OI>b6?/S/&X+0mBWK1-<G_ZuS:j8T%]Lg&\:l)1iN>/we?WcRO%Y<dn_St<p
U"]wsuei#nQ]8.,wwp-70&%zl;oZL[PQ[+P2?p-:N7C^YAkN'[sU/uPL0L9'47CNg
U"^$Kn-*F_PDxdph'fM)o(^?9%W9'^%jhf-A:g*h1*(j'(eVns3E.cU9nbub$7wu$
U"uN[GiQM#9_mdxwuU+n8-T._.ns*;Nj,K0ee^EmI_:B&gPPvUv7e[UHSs>.5RFr=
U"vjb/T>0'#O4Rey;X\wiG[aR\5T8K2t<Dq/1/20B6IgZ0[DkLRHoWbiUJ[e%UPB]
U"^(DW=1gcU5s(K7PKTi<[zUVI'0c4AlEKmNR(sgETH%8M6E1\kTAQj#EpSa?Ff]j
U"]AX$^-EjX7QAgsT)+5#F?Nw%[ISw&bUP%Ow3U>SopKz.GgX58d4RgXs8yW+Eg2G
U"C,k*(?:TQz=/5Yl[Fh)z<&Eb[QGa>rFAp$xwAqQ\Q6JS/R$BY7\GR<8GbkKjZ1X
U"IY;JAiE)'=7'nCB\c#(CU=3rW>]Y]3u_GIFZjm0D0go*\qN%6d#nX/T9CO;#M.S
U"WT7e./ouJe4UR[lUNYyXyGhRn\srtk$$Wl_RK^Rk:uI4LuJeF=iI;v&Gd,ol4b5
U"kgp0QWK,8'E6<sIpQRQLQoh2lM>rT[;WzW>ODu4N7UFLCjGp*xYQs3e:7M*<]SK
U"a9--7/i_<zMYGV(7&/87uouNm6#'j)CjPQ.O(<MISd$,;ra*^NO'i$geU&q%J,,
U"stckSaDXxGS+74zRn[zj;AK_QSFdrXc_#xh(:5$foOZ:mnXc)H1OAIQ$Oa\l14<
U"gyYk$\'+;?5]3;]g\]oIID2fIES77#K-=f-:?Hl[LIMOu$UcM#^TQ?[8D>=)eO*
U"gScXsb_NAPucg%3cGs8vj%2pccs89R=*Bn2O27vSUh8VId$A'kN99ORhmK&].-k
U"3#0d/dCcKqp0gdm09ZPZiOvG/s.,gwsgB8:seLn/m#O'?Z0s<XwAg,RYHqOg/:p
U"jAXpI\B9(p[mo[YOee^WMb2vCh$Tr9W'+?e(H=YSG%<<b+/>'[hJPN6-RDnGm0l
U"+t>_c/J&I3mA'=0;u_^7,>O->UP7:&g7RNMP0S'p>k)kLs1O+'.K4*#$j/h(9D\
U"Y7ujeocBc,/mjwc\_^R9USu5(*djUeweDSU44RX^<.*ZfKAejc&_-o&JDE3ZAj\
U"$Yxd9N;aBmjc:FBmSP-s/^*ByZ0lPiun^[*O4e^rr<v%nqWeyF(i^E]bD05Wj/y
U"Qa^e+UT,%qumZ(uw//O^uT1_:p,?OU*[DO)eZP/85B$&P,D-)q1A>Ix8*2#6xLh
U"mjp)KX2ojfS8t3ser=-#7xF+sB0f9(nmm<g?T)#?aWg[wYAqmQT,_dwKRsG\N2F
U"KiRp_d4sUdH-1MwiYNo2'll8kHD6,*reW%4,9]>5y;+feX/)rbc9YlmxQO3>/S;
U"GC_Fk:5OGHQm&CsiXDJM2K-?Rk3[BJ8%nCtGl8=W$:kJg*A%6fYahT5ZpQ1#16h
U"ip/_+%eP]RYr:D=Vb57;>QVokB^_5$D)AJ,a*R41NO3bAp^\+u5Qm>&H<hMcYNu
U"'$TT+*89UxurRc&UTlT$aGna(r)T'M4Tw,0d9&aLc%knJSUvWQBZ%ue2Ijpb73P
U"H#/0Mp/t*.6USn]mN1SM&0z.sj/*N;T/fxSgS7Yv<g$XFkpZT(^j_d=6vYPlux:
U"vYFD6UQ/fa1Luw=vYPqwMEoKHoOjjeMi5Xw._%?Y%7CfBR9lWJoYb2iO?j['mt3
U"XnG<oMds2,F:-=dJH.q2ikl[oayiwt2Qe.?wx[x[U+yIoQhv%?(x*to:TsQb<vP
U"Q3MZRcR*6)(4gDSr8k%/E$W2V0(Ya?dhutPFNf>7p+O^q=;-t*tkuQ6#311m2h6
U"?kXD##g3uE,u/9Da.Zq;:EOlQ&b/U;=.<ZV3n>>*XW_Na)xJ6D:5(0UD<^iQz2U
U"r$dPVB$HH/.tABb[w&\Q:F2#fm]+;xkH(J.k8A-pA18H;5*li+bE%yWb&Z\9n-2
U"dN8#FQ8'L]S-)OBo%&-]3;#c%S;\.6(Tt&LIfCPsNL'EbC/c).#2>5:d7D<QRyD
U"M,MuG5o>cH&lQ$Nnv/jMy][dq\x=w2lU=wlNV.YjbCq]9Gi?s(?BdW/57;vPGV6
U"GRLqiy%+AV.[bb/%C_Oyy.=x4.VOJngROzP;7+PZSq0NiJPl5rvc^nz_j%oQH3k
U"CL:6p9El&3C4Zlr%#11W[uv9nz2b1=OypO7vXPr4'hA5\_sy6m#U^9U]U;p:LI9
U"lgk('#(UbmCi:T#\FEqig8yrWCf.+5h^9/UB,cT'><u1/Zduk-;s=+.^cpVd'A<
U"QK5Ox/3\^*1#4#Lrlq7B(>3VEL4K?_=,M0C^=j%Ia1-TgO7GCEhKYeXlt?N1-Jb
U"J&Yga[0)YGCEFb-o:Saa'9r<1CxuuG[T>*b0vFoDYy#-TJA'rGGBe5_w_nnj]h[
U"bjDL2v#qMIl3<,USZ=Ewya^UMuuYeX6p;26<l%Z*6DZ*ZZg^&LN+gwvJfemG=f^
U"(G';oN]YZiA$w]L(nmP30=Nn^3t1XwNLuaSV_)O>8v29QSI<T>rjSA4:uS'\Uj-
U"XrB_(d^SXs%FW[B&\^>>8b3=IIS]Jmi.PZ=c-[TlTcB/B+McK-pYqhd*_(4jl?7
U"[?9-i?%Q^B=MiU_i37:>t?a?<k?35UXuUR=k#-.DaJ;)NkL])sWe\;Dbrr7](X7
U"D>46P\bX[NRWZW:Jl&Q2R9Wd(#=>tPRCHYD%,()YmiQiG*:,=p+^n?Dfj:ES\Wq
U"o(_gN66h7h*buZ,74V*ZO[>U]#X+teQh)'e#$vWZ]m3gGMoCU2HJs.e2-^G&4Ro
U"fB1X7B^?k%;](].$dRbxTZY<S7?SRICmP(9cQjaGBe:%bdTMi$LY^AWuv_#=/G+
U"P?<]1W[r:Q;rFj*+:;dYjqq&+/Gl$AB4Y7(aHAII-9,1DFhUYOc[4S/T%i5R<eL
U"KG:PXSv.I;&C[(+Kt<u(e41.zqbD0\QeX0CWP2Qn4'DzM_>(:Q+WR+N?9)esF-n
U"O*[qIm07/TQ2PFqPqA#JN%,zs;<dkOC_z[?Q+brkeX/62c-:[Kb#=(oabBtuub.
U"ET$&n).xn.9HoH)I5a6eNnsT/PHsUVtkWeJK&qbK:2By2\C5]M]DdQu7AbfG/CI
U"Dk>p'tY0j15.:J^WW4+Lsfg<qeZPJ8h*+I>[4a^DaU&VLz^(Wtg(mYC^s1*D+;D
U"2=7gJ3]w'T1]BeAj:b^=p17$xHKTXwc';RO/ydyDW[riwk+GxZ:Wd)?m%)(.7OM
U"'cio-'aN=MmUL_(2GZ#F<Gl#F)W,#,_f/3KY9H9*=U1Z,7xeP&z\E-X^8E(:81,
U"zdQ)/wVD<+y)J]4=-eRhw5Zc#QoMA(>qr*pZQc%LfG.9Jy?7zkY*AQliVC>]:'h
U":ObkI_i,d;NIOfV&rwd-7*vBRufPd_C9d95vlIiXu4(x%lk)n'RbV3=d0<]z+9u
U"ttBnv3a1L.#rKuc-bj^.XnB2QnyL0pl7*H6h89lv+yB,E<VRZcw]ZF:Zh,jSCHj
U"%CSDcHYrOS6p,wR'aNgh7bQo/YlN<FoOb7,[e2??=A)29h2)kfjoIscq0enL$6c
U"KHIU(5<t)]ZpA<cu/KU>HG5vfp%n->P5s50)U=a7nO2.a=o^tNYHD.%'4dX<18s
U"xD,FE+%;Ztlt:-D$&P1i)?eN8lcYYf*BvaWPs5h6Vg+.c4fItWicd,+#_I1o^Ki
U"g12Ple6/87zC24RWB.vif(S&KF6gdI31/KV]'YVaSca$\YPQpM%G_3jET5m/Vi<
U"X=kDMRLAo8fR*kB90[;P0q3IlU-+S%h-:O6+V,EP=.2RfZqu]/7g04EMxb^0pSf
U"8XofvfJx]Jb]JLGe9Br<2e;:O,8PCjWlq0g9EMSCKr_A[8M=62gl7Wm'&/\0E'9
U"srHx\Dj7Q$vcDC(K?BwT^u&/vj[?V*cY$hike>WHj_+7,+8)s]N^rv_)[T$N/\5
U"-YQ^;usnhU:+;%ONof#1q>Aqapsgh(msG4ubpZME\(k&u+mqdXk'$G;p$dcZ7XA
U"Da/KhT7kJ+s+bJ:QfqGIW1O6fHElGSlMmk1IiWqZpMO#:yNQmu(L/VTkQUBo',c
U"hrV0^oP\j*?>7cp2LaAZ[Kw9'>En4]ESWQ4[X5<Lit$Tfwt1*)goV3j,R6bpLZ-
U"k6SK*Fjf,2?6PDr&oTokSiHbU><^jChz1)QSMx'PaXjUd4]u&aU<oCEV=eKDs1;
U"Ceg,N:k)*lRUA<F;iOYZ/&tCu%K+VS9sh:uV-Cj>HM\<'(W1.wYm4-RAV<'H+T_
U";9m'oE9gS1Qi+jAseGk+yryx*1jm'<L1)-dqWoL7gzF)KM[H*)HkT7&B3LAUxrK
U"h,ugtRqy275l1+Jx9-3$_e/UTL/m8NWkL2J#GfWWZHarT):bui7[NGdt,bb)T#B
U"WPHRHbk>eNWtEGJ\k8OkAX[O5o.w<mYbi8;-tN1_\*:34qLpPfZ_ckb9jj[<Piw
U"7eCCt#o2^N'W/+J/BhSG'*FLK,V)T2g9(Xo]U9#-[E6wRm[79wAznHK57H-m$<^
U"L.XMq#RmV/h25G72Y9Xvk74V;L%-c[0q35#%]bh-8Em((<oBhWzh0W[0CY#qbGX
U"t'?E7loDyQ,>eJK7v+vq/t*dfTbuiqj.9w1D&E?CR.f.DY9YzQ[<)QTFW3<?J;L
U",_)Rx%>/r__rd*-I+<V?1/wh\o//rQ*qPzM#_rp(.D6[+C6VJ'(:3l_bNWO/*N&
U"9sBDc/JnUkGS/(5Pc-oUt[aED9.N;>bM.X>Q-H285k4:OyC['ab<ej?b8m\+A*l
END SUB
SUB VC
U"Ibr0.joI8cSP1^/>US7y..+eK(_,.:IVtW=r=/hKU2+KE%-h_d($/Q[b0?QQl&W
U"VUmSUMEci&vt9OMpqm,XKqVtY.AB,Gc\e'HPlD8+b,a2#Y2i$qvJAE6&Z#me72t
U"h2ex7iwtD#u1BQ1G^/jY+6C6tl<Fx<h7wl%Iz=n%GOr^)1x_O8\=*y(&/+U_,lb
U"QPj/*IN#s)E**Q0551%+fGtVve*^xAxJ)Bb-2JWvZ<Ad1SU+'qL:.S>hB$aq_2'
U"d=k,0^o-f=*RVSe14tK21ip1WkK;L1IHih$_xYULb:>CgMng.1y$r-Z/o*5hman
U"S3vLfZkl=rhC%X&a7G>05EjDA2ba5=^BX>tA6=dm54EAqhYm4eK0L8\QoBIrT]l
U")I#WCA8()]#-C_p,50M5pk(J1NyGwJ=8mM(L95WV\M+FgFk1?0bJFa^XV3:U.#;
U"B/%6/c][y)Ca6E*\Ued%K9I*81$'30F]u5M2\]8Mr7WB4L+o3d<.f%,LO5tl,$y
U"&F>J2y#0;b(VzDPO#NJLRC#UB0dt?:-g(?Uv,'uvk:A%#].Q[N4KS1nYTFL9ATr
U"sV\93+$^KZOH301mmhfwm^&R&fEAGeT:&g0U+?g?1g*QL#5PL-PC_0%nS>hS;TQ
U"9kdb.MxecS*Re]WD8[6(A%Li(Ss.H'MftB2*Bs-mUVt*JZ=bb_0'sG+jYEv&MdP
U"YhtWB[[oQp7uG)*9g[)2c+\%x(VARu?J+tmv+Td92zf=EL<pUoJS19G3uMI#&X1
U"QP3l1C%u#a+H\KFmpna&U>Jn:H\gO'YmiJST>lL'Lj#JgLuZk2LnI\dmsKc\4n>
U"ggr*aB^M.(IC9]n48]nPA(xqL?&TRQ>F_Xrsg=6'#HY*[<iM/)+UvZFtMa[qTJ3
U",xGjz7kZuXE-?M4#4V.3Bq_='4k30&K:j71q,$9mzs'>,<7N#Wt(%(nOtXZEAV4
U"9xQC%i?>e=#.b06aHT*]dRLJn?_deg^v=DRKZbic>qk&x+bHsiMkjCWQ[COdkA[
U"8\9Gh43r6BaV[h$4^+%/t#)h4pWfb/_?nOo(=hh47EOW)(UjCen(<g+V*(+Um/#
U"\&4cZQTI4tpi3w98,C#'Adu[=Fl0U[u[El9j1I4&Y1*Ja/sKFoY5e=a,akB>4lW
U"Q;Mk][nA$xhmCPj^?*JAAYaXpRbIfbKOF':bLUD<?q<+P?9.Xe?8/3<=G$:=$2s
U"zLqAIT(Y<1eW.=V_t..&#X.F_lRx\A_q(s2f*fLq)I++>mwTl\'IKoSr;eFE2$G
U"+%UFB\)=IOLPoi:E2k5<]2.5cm8'Owt'%9rJS4UAV#Ske\^U&<MnXn;aY_cj(Jh
U"Y?K?O7x8'_:Y0rKgK\.t--K-3)p9%+6SWYl;gWZsC)9d(Q%)0x'2Sh1]gGGKVxL
U"A.vf#$KbCFqh*-Gf=Vx2T0nj=5\3ebXJVvOS#%v'VFA8grZ0e);ChlMtH5'+H,E
U"z-_kmUJ7*SL+%7#oA41N4MxQFn(+:i,jYcgM+H]uT>Jo2PZZa$g6g;9J^r]np8w
U"o)H3h#e^k>:nl&H5p(?YS$fCU\Vi8OJM&^a[;1OW5xmU]&eWO]J8oCLZvcaLX0=
U"E,s98UD=4__.hCK2fzYPSj1M9NiJ1=>R&V$0RCHPYg'?MNVmnKri5)=a(Ud-qTX
U"3[58?s8nw3wSDC/'i;K?4.-;Tqu)HZND>h]ve7]AD-AX_8&6OvTN4A<kMXc)HCf
U")PGHfLF?KA-IW7FrZKH-UfbHe_gf*/6G_8G/=^(:MI,*qqMnEN)rTUM<\o\*/cM
U"z>o<j:p;<C4O;nJ?uI=XZ\qbApHgtel5W0+1+<Afum0?q0;.k[4Dlc2SRCOupnc
U"4Mw[u+8]p4\6(m<g]4'4rgMu[4KZ%]Ibvp$1T=p9CYoI4d]w\7mtR?pndvnnD's
U"Ei^N^N?DS=e*Uk,Mt+G6nek/n;xNfp3RnI$t.x0uN0]tkltm[h>&ZdOd?w)/?1A
U"S^3#FLcc\Hp?XtTcHr64vE2<&IdHe\[MW*?Oi9/Dgblneuu9Ay#4Z;873i^TR(4
U"L;tLX^wcQZ&h6uB0bmmuiKiOi%_>d]gKd*58GW^h.%LO>huFDk.rfeBtN*+$kFX
U"Xoe]poGXl\asDvqd=r3.d^A9tGH7og4ZbTh+T(rG[E0u_[VtJwdYKuf8K,4VLtD
U"_f]ZcOh]T#dp:usF]^o^#8CG+(T(Ylue%VqC$.GRtwblxgiocpj\l^cN_rjetF8
U"q*n_5f5IXqWZX>:b<7BrkXLV8lrT#,8mPtWVp=c*GBW$Y1C,WT\#Oz7^\3JTgym
U"zDG%$X8j-Adj8CrVB6u0;AQA:,h0G;y*[$g5<n(wKasmQt%22I<[E$3AbI[csAL
U"CavvqM:)$]m%RI%xWS=LKSL8(<m2US#5EWVC^li6,P(s_d^23T)$xiRy/]Mqr\J
U"s6?xNf&gy0E9iY<8R1G(H8kBGl0GOy/KY&9^nP$Tj5XpvrGOf4m,*L?>8E7[a=5
U"9xL&DW(F_e0l;mwuG1-LseV4TDnc(J)#qk=5Rk2sOSmJ(P3JZ+1OPAd)Q>qu/Ka
U"F'[e>9LVbK&C0$o%)5&?'%5G0r:Vh37Pwiq&N)WZY+Jni44hCx2aAQB/X,-3XKT
U"lm0jJj<gIuoUE2mk(4Ws)i&l)vaHas]MpJW$b1k9Bsfi=EECn-t+Qr0k/'g&QoY
U"pu3#HFn+w*k[2;q(c'j4c9&1a21Kr6LURt[Y^=$r:J4F_&:D+-]N^KNVT[*r)5j
U"2+%49Lf2SGRR3T=][%-<\l>PzW3%pdj0O#k?g_rlviG:<sD827UQ&o):?1te.l(
U".i4t\PK:2<M=Uc8F4[Bi4cv\N5[.WMRjk)G<E*n9rc;bKB.s%*FZiYYwW>q9W$n
U";NViD'mlgs\fcRq/DNlN?UbBD;g7e?SEtMyJ1g??q6^w0oB,c5^w(1CU]LL\%tF
U"8l.AaodWq$wCa2*mXO_/UWKM,;w=F?a:i\9W*eI(+<um\YSS4=w;U2#H_lje89h
U"1qM]gIK^J;6vP5?8JxH.B%+/33O>;bLdG),uM\SK;J)QmSQ>pRPf/dCZSKGBRoA
U"ZWNv7'7hIb\r:D'wjJ1inOT<DrEw\<#tM(Z6?x>p<TnSIEP+:..0P$o)9BdrKiv
U"^>O75,nBg8p[::5ODkudx66SUmN.tRdhmPFZ)oo8-PdFf*pO9f6mP91ka89+C,N
U"k-Akv-;MNWQ^h.-%#BBbk6RCM5Yc$iW--o]ie*(8WeLR,FyP;E$eN2ThiqLhn8v
U"qbBm*xv[I+O<Ue-+I,*.KaZGPHnA$<BbbpK]]mdH#;O>RAR1pS/v+ipd<Riw:o[
U"h]3hp+HmN5Jx+50NlnF6;bU7+fvv8)MKO_sK_<Z*NS9FY=]o?qV=%Q*BM1,]cIm
U"*:M(>8Q2+r-(D_G0+5t)c=Q+XokP>[I7fVSTFj4>Etr8)%022YXmgiUU/EeR3e9
U"v+RJC%=$3e<=b&wk,:VWP3oNvQg2gOCC[es809TTn*^KSW*;Vz$/EID4&dJ-zmw
U".u/?')]nLoB05L]U609CAg]3g\wuAEXIG<\97%10G??&kN)y/W_v/Up#>w8QB='
U"1/pQYr1PcB'1f4Za7-N-+&LcLh01lpn#6\CwYY#%H,aH+O:$1hEH;WOJ.G9a7fY
U"&]'$5)N/$9(EHmlR41'NB,rO/1/+qBZ_JuB;-immSHTs0V22=/wCm&RLkY9IKcS
U"22'ei)J(ki1'UynGg74P2]3-?W-Tm?/%E9MaET%^A0NdKLr%1WYQ^K3IV]C+Lg3
U"$\r+p'kVNO)*UNv'vZIb2cRo5[Nb,A3?s<4:CQYZYihbN(j]9'M,k&GOGiKO9FT
U"<Oy9D.?Z#8$0b4nm;2rIn7.Y?b>pyiaap#B$m3RAP?n?oI%*/*c.S3jo6rg6BF.
U"Sh6AFO[dL\Ft52Ae%N7uSj0-BegAQRh+EME&UR+Pifc;,po:[Ho[gtGkC?gmS_5
U"HA=kk<Fo4Y<P4/WiUg<1siZUnN.Ae?6FJ5a+c<cbBH1MB.afm2%2?a4i9:-HI=&
U"oghm*>jdp?uBU7S<g$DY5:;C5WVrpn\Z41b*</%28L$+87:]T6[k\^Q/<Pl'$+2
U"Yb127gDXo]4)ZDWp,-c_v3_<1MhB3d4dG:FAd6\xvEjmguqHB8[z1fdzOinp<-u
U"$A:V/TW=d1]uCkv*-&0CNvs&pZc;u:1mi.S=:RL:He0-CrhfT'#rJ&gJQ)/2lB4
U"Yu$SA'$TgeUBgg2qu\-I'B&'C'O\m#nwP_;^jQS6\DWqI2#-h^I8*SzIq>7rQli
U"'h^op[>Mh,tLhbc^7aDV7FS?WK9SJBnZbn,=T=/poGr'&s9v_r5UPmd1A9LQnoC
U"r4bV3t(D5t4E^'a=i#dXA<tq=WAc*A4mUU2Rch'q*pSO_<JeR,gd.]/\8VK+h[s
U"_?B9/W+#&U-1pi+%).pk(YSZ+M1D>rB7vh.l5SA:t4xds#MSVfrH-bm,_uFV?q'
U"T_6S,+N.sbRg&r=,LgmF,w2kB<*2(3V2^]R;M2Q6m#5c<)];'zjwv$8eQOosdm&
U"w##7l[N_m1juK5bO_\Y5($e<<5(HfC;5[$-vY^1<2sNQWqz/X71$4LnTFg9mD_:
U"EP?JEqSwYVRpiU8qhJf'Imbee/\zu^_t7)EU>g2&bzUju#r;jAiZ3xDTI6JMjac
U"7+T&vG3+r*zIc%5>7xdU&4;GPXY.0+rIUwTeE)n=&Ev\%M6AhV%>Hc8&883\h(o
U"CE9iJu$8JS;5':j&I2Ee?Y3n5aJ$8n>1F)w1g&(U;:?:ZAPv-J)a^OOA]38t(#g
U"I51_z_euB'O\6LJ1XeSR_t>z&LvOEa]3QbV]7kF1^oB$##3xlQj3J-4.Y8E1n=w
U"XWRX>;AHBpOk&//-H-kpQeR_?4A[%=4$LN85+ul[%qOodbCMY7+.Cq1x[IzstW=
U"83EK>k[lK4[0)ym5q5S)1$ypW06$Sc(C_lZ7cPyE8wSzTWxv%T.&gNdxR&^N;LV
U"9khcNZVmxsrTC+pTkyXzk3Z=&Ravv4U1<w-wu^:vLc98*?D^iaYj/u:Y*4PD*3w
U",l<9qTnVu1O:(P(Vp-C:72KX^i'It)Ye9;TPp22^Ul2qMMQ8;[h<:7Fj<?FlgA$
U"s<qniJ:HF]A3l+T*?U24#00XURb6o3KQX0HGP/VVQ?M]M%U_TuHqd.**qSKGsTi
U"6Id$H#uK>v.[$s/yJDw>l<c_hDqox3;X(,roFAFXD*_yx254AaOdHZW1N9,YF5Z
U"<jBihQoE19p)/,6[4'XG_X(08kSL.QrVP^X'H;DgENo5/cmhNDaOZiNxnw;cYLt
U"qDWVdr-<xPhgNsGinRlBum6TH$cDD8+Q4kS[p$Haj'8&]If7u.vrBLx\X=4PVZI
U"7Ef1O5-]/A>vdUV0hn*DFM0*i6?\Hvgo>t+0md%FUm183w>D1kNKVew;V6oM-#5
U"qDJG[3iF,FgPnYx][MSqc7$qXAub6JaUuTX7]x$.LVNT0soIR8E%7q)ur#8B(%$
U"NTq+gI\(aJC9Ttv<t)_f$pP]8tVcmL$+bAa'[%&Q.u)rrEgpIe6jmf%]uHo^XTQ
U"(xJ)n<5]5otU&?tzw/V-i,?w:9j&]axtn?hv^o>FDdslPjpHf.8DrdT+l.M<77g
U",7W-8Y:X2B>rPlfQqo/t5W<2(FcEsi?<0v.rh,y+injSURU\Y<-HV7UrX8$=^AL
U"Z$15J?fd](Fk4tVBgp18eJ]eu]KFf1]#hdR2Sx-.sEXZ0*d$8$TndG:xWd3OMEv
U"a.*zet.o7n;d38C0;#<&^\[bHVK:[*kf'L8qqDRxcg>bpr:Q$UMbAE++&C3vWl=
U"7Hu4/ZX]9?l.It+[IQ/6aQSd-Ye*%HbN>*u^[$UrTW5XtVX,+s&Sin=XfVdetzr
U"D?8rJ6^P6[^vH.>f:%b/rwhyJ)zwy^TR-\cntf1L+;YM>/+OyS<YGhXh8YtMjk[
U"bW*PiO:&Z&03C<8?Os2tHa#<n0gY;2/VsX2WH:sKwN6t#*'RE)%+e3K_GzYIIHR
U"O;-]P+U?$A0Ve3[m^PGr4I:KI[Oo)ozJsSkoBEcHZKu/vA)[J63vv+L:z(C[Np#
U"1Ss%mH3e#\0u/&(JJ9Y?TW;w?nJ?e;\-&)2>(gs754+fu+[?3TZ;-PECl<tIL##
U"Bo;M+R.MO?D*BFf8q[S$^Z'H4e3O%WaB?()HHhBQLk6TA,SK.m#,]Z(iVD1F^7f
U"XexXrAV%ho,CqPeFSeHW[qQgd,['_4jU7&a(cARp_a3$'5ScD3d]I=)nsfb_H/O
U"BJ9izO,a]rIL3gGimxf9/EYsG0P*qpQJ;t%%$['-skVh91=AaIXr'.pI+r/['Ns
U"FvKaE-lGPEtUoUyCX^[7Xu[Z\:+.9Ab^)IK3ZD9'ddEl%)[FB8P6J0CJSzbfXPF
U"*0Oq=dtyUX4DwKe%27<bB\Nl)nZ?'9DxBZ7t,#.wcitf'9&f1X\p#&wl8^^<m:h
U";nFg4H,np_k'Jc4R'a>2;dHU^)EO+bizl<6e;%AlI<_EkiUZi1saJv:+?5+v5tE
U"B+*vSU]U3A?xOwTROEWgvuy99uuK=8:z?S,%KTM'ay=-E\84D(C['0&fM>1OyCX
U"8,^is7OpFY'<I?A()J=]O4-Rt#+:UrFRiNqAsY5oaT8dwRdv)LC*Y35'tzxGx9l
U"L3.+:mrzlerD^e+&[Rqz/*I6vR)Ng1MigB_[ldi(&;oO9UbkI).%2o[Q-jKRJZ7
U"5z[J6SYbxU3QBh3_u.5L;zsm+LgDJlH=nPxrfuAODSON=N4Y+T/aJZ;W?mxOn54
U"LGu<mB<>C\Z]Hp_soWS.0H+Zdhf1p(1$#J'3GdB=w<YXBOxk,T0BdYd4ls7d\W4
U"&&']24XwobynBcLaDfAIuADdZc:74h;lY.O_DboM0+.&I,aI65i.j#-7rltdzWk
U"FD;]-/T2YP,Px4'Fc2ncv^HwtohGyKBR]pm0-O3V7qr07QK)w9'jt]9d9'gRK\+
U"[<$kvI,'^2aM\>Wr[6CPtHogi7kTtB:LYYxlMJ#SdUkj\u71b1ig*Lt/a6>$pB1
U"9PCj7KC#J>)$saJb2Eh)ZF[Yh,s9OzQL:yId0&%U1QL9.Mnstf\WFR9BLO^801-
U"A0F5GhAU5.k#29eyA9D2uZ>sw5kK<r*l-8?5eX(BKn[%7w,#yq+/PS,cmAf-.:#
U"]*7U#f5(_L,aNU'[eWVO-NnAXS8<fhktyC>W46m+%?hDhGsnZ^b_qu?uZ:amoME
U"P^CG3[\ftqY]uOhV9kzmhP0A30KLnG2O^'.ZeIlc#$W*'3kd/9;S%h9/YMMv(Hx
U"cAM6ujR4+kZs5lw5ZiUIWlL27%0&sPxc(3G-1tR/je+B-1i\,'>H*^R28Y.\:LT
U"sGd'ZLF%&>7CxsSDY.q'6NjxwJzaMtKQO]&*$yz:dOUh<Si_iaRTQH-,l\o5a&d
U"/>ur[H$0w+3$uKq'.7Xagj5hhP+$iR(hD1rtx0$+LT6\9=A%Ka\I2,Uj,6oYW'=
U"G%&CEfsrp[M#QiGMEC#bHN-oDll$E'^?;m+YhGh3Q=3EfoERbL(cJjA(5*8.HE<
U")AsnY_.<+H:l-b,mDOzRa)Q/]A;5fpIa1#c3m.s($7ebL*/Z/-?W+%29]taZA\6
U"B&lKcbyTVypswiDcZst$3pWO$M(y=J/eBIMe).IsDkAg<?Q^13fx_Jv_tSi2xy.
U",s[zM6;BilB9T-]>j]Sv?_j9)W*[Z[S(>GEJBMvU[QFQ_3M3\-qSE2KC8WqRAm^
U"lnMqi+VEIM:Qpwz9gQY\Fc,dC/UN[:fbWPJWPUZr^vA<a'aM3cHQ34)0>Eh>Hkq
U">218U2,U<N+)0?%=S#C#2Y9*lHF#+p%;?H_P$a)4/JN,)5z52U*EY<$mmbQrwQQ
U"71o9nrb3&GTQB;fcaEinR7UQXPjOTw)n*:QIV[Pg5D.K-huuk&YRD7xh+Zi#(Az
U"^$bNHTgao#04j84pXz])t4O*;8EeK7>Hg*gXaqs^dC?)YkL01OV?0r+=t2+*]NW
U"rOlY,n[+DD?1;XNsL]f/&vO/RYy;>ArtIQ5I/xtE0I0aWD_H9t&KHKD,aOpU8'?
U"BDCj+(s'[)ZIgM]YCG?S.[AR=%tga.F<Y((%N-<<B'+'<O,)yw6y$qPI*6cbdW[
U"Ozsv:s(PwNez:C]^H-4Rcj'<HAN-sI*t/s:OxrO//pfxrld)vgJa7<lN=KX??DK
U"a<cFk'XQ)1%'Pm#zGZ>ooIe%u9H*=WT'h)o(YL$;NT_.iZ3FNWmZlA.'+h:7q1^
U"<[Mg=p'$d#&/BKLoIL=;L'hLYBWPi+=4t63D+<h+>#$FU)LV[%#+8r$qb):tORk
U"4Otr4tK%9nE19mf?Z0J+Vhnlh7\M_u*mPt:kV1NYh&AYdQ991O6txeT8#=SU/4,
U"^_Uzp%uR<pbdO)8llm7&(c\1S3-RcMaOe=&'ubC4gVPZ&F\ZljvgBZ8_8tOx<r6
U"Xa5TE5F;MOsql[=a5Rp[\3sAtnVBL,3Zo^:=7T<Xpe(W7y3NNKccHlFQ-M2*VT8
U"f&5F-KHcQin0U7c-^aSvH9qI;-q0SZIUl)hwG9&AM6nP#q#*V^[_T>iU)HMMe^2
U"I'iu$brq^>0yq_*&Z8NJ<nO>D#_pKfPX'+\pNCRK&5;ix_:1.-4ciPI*W-CNpx4
U"rMK2L9>T?<VNMXXKX%,#;W)(I_>_l4Ekc\c3^V+<+5.wnr/$'T$AD+28cGgH5pH
U"SvJD<^yJ&9GH$Q?Zxh$wN\7J/]-OGx*?G&ARZWqpmGI;sV.G[4g9>h_'u&(K3Gp
U"k-D,dzM/#\RVjO&p\GF\0[+5eMIfbN5eJmI(+V(lc55wh07lx<dHaO\htGQ>jN.
U"M]jQE(P$C:V+=TBgp=ful.2>lk$q\OvjgZvg73PT32#D_K7z[<WEj>*Fk,R;2QC
U"j3K1qMdtd'Yi</%StQpoGhM81^EF9s:9uH]5.g8++dyp\oZ#SVP9:#/m4n;RTqW
U"*V?Y-I2>Q/\VF1:uQS;rFOs17#E%2GH.i:t5:2GmW25O.d31ar'>*TV.iryg7y+
U"DnW*wiFjO)l>G;Uyd]Q_:'RGUGm?()n+]^br8:GtP83-$-ND5n;RH[HUg=ECo\M
U"smZ/7vx*Sn/ZYB2O8\eg:2at$/NgmDwyQX+e]YAd2DYoPKof7Dz<CnWfPH%GT0C
U"Gj%eN9?n/AZBNldY64v[;;PEZwM%P?2bGJ==JE+^<LQ^<GG-Uu;$PZy0E&r*;QN
U"/=n$fm4o#.=X#'E_'U[+H]N1jZjlK4)$#3n[N7R\c?.*>wOQKBlbVu[8^?4Tjf%
U"^pflTI?)\y8/h8>fPA&xdq)AvhW+5hIwu2Hk>$9w<.%Z\-tq.;BitUXqNQ]5d>h
U"nYR]7)f$)#M'b5V-xVp;=\JPh(k\^D<$913NHUzncpazEZl9H(4EoP3mj1^o_Tm
U"c=M=EZ*:)]S5V-7JURQXxNqnn&3HD/UEUD%FhkqmZEC2*[9,Yt?E[OKtev.'?Xm
U"wg3ZcV_7.N/o8G.(bVwR,*2abrW8)x::pc&\&4h[U'K\?y12yB;E*)i.I59W;K'
U"=_Xfl5A>ps6d6;PglQg5,$;0g/VGGxnNK1x'nx_%O+oOR%yP+\vk(P:a0Y=i*f(
U"I/n+\4uiu$Izn)jW1%wMSX$lblNt3#ZYc6tY;D><+:T?V#*_5]:a;4(j,&P.X>O
U"^'nFGiT0r:HAiAdV'uArdZ;[<623VxIjN%i/<9<Pl:'s:gZP_[.l4tjZeNU<'Rt
U".Z4bp:Qd9iKw?UKov.m6kspF56hXB,R(>TBIl6Hfa<4-;R4UZG1d60dJD)Y=stY
U"&?W8>PP3730]n&Ju9nO)_?&=FDR'WL.5v]#B=q*usAhL)o#7q6//s(RBllK8hmF
U"+Gm9q[AEKrOWi]&=#m0mnI[-J9wTpMd.)%KZow4:(:7,PuwJ+'n:)?V#56+%6,h
U"Xo;VT?gZ#;\JA]It1I;]'rW;V05&omA-'bIq9tCR$_;x'8Q#)%>)^*RQdKc48>m
U"ZY/K:mNPM/1LD7-]k1USr+1c6g(NO9yXUec;tNYjWjVU>9+H:0>+qc?Q7g\e+PO
U"'(P^tC9G83'XB/9*0*RO50c?YfYM2OAKxJ3SUE5#ur*d=elBpiwsW7Ni#o_1/g^
U"JHj[,w]lqQ*\qi89&\Q.2'YgoG.(]LnA;%<'8a99N(o]P]Rnn.1]A%BXK_DoCp\
U"wYvqSP9);F>$ot&1'V[+si.[_C/^jNQ>grQ9MU(Bml*AW&p4_s4)_G,*1.ZsAf2
U"li?smSwho$q88&9RX_=vHh6bslN()vQ&[Yjsbe(h^%oWeC;AH.Zq.TGkM)Bhc9]
U"ASXFoOPg3(Q*r>k'1TTZ=MF].&]hl9I/#GOz#\?D?]+tEK[s591Y25=^tsJE\O6
U"c\&o3F0:zujl>_Y_.KGVr(#e:E*Kc_g?HQuFASA1>T'E.pHEdh1B$.8ah-j^f>u
U";frMR'W+Dmz,qpHOdW5$fJLE+a5$f^][Q:+^B)%](8[KTt$YG/O12RG)ZRg>#%v
U"Fy&b*3dW]TD-k)/+tM)VrN]-c^SfFVg'u+\N'COW%lJVVP>_;6EqYotuVxaPen9
U"ti3+73Rb_eTQ&0V%M$62SZG+T%EEpm.E&40BB0.S^I5f*f&jlSsgISbIkB<:V:D
U"S)_ZcsfMU::z3O9D_e<jv.BOkv:ENyzPQxUfou/lxlFLXp-oGbhWr,nlgK4<MQN
U"Nmg<O?SF>0'GnRSr1;l,WoBBB+8l^fS'o9/PL,8VUHqx3QTrh1[$:9W_ZU./Ro&
U"e)_'&[kcHN6bbZa&0Sz[3*A/'=c%55C:^+Mz?KZrXLLV)^ZuV**S,Wgy^$r[?6h
U"<B91$lL\>Nuq#OZ\QlL&JD,T#J4>6w??DtR[:.l$_>8F,W$T8(7q]l^s;NUC)Y8
U">KDVzH#gO4pC_:5]p&;OJ+(%sQtlZRl>ALuB[=qXlVUvWcn=D%b#i.Mo)T\Kr)y
U"$lZ.X3w8QNSzc>haL;h#EN;2zM5j%1bRdx]^XkKu/$Xt-GBW-[Xk-*upp#3gG)*
U"*6Q#cI2Po;]4HbZampIEh%L6qzb2N=n<,*Dkmb:u8V0d>0]w/T(gX4B>Ivc<>-%
U"<H8nyRTtJc6DT95iSQSORU2zUydV\#*Z7_EHQPbIdBKbW[<:O6m?f3\[M.s_x^s
U"=4P9PyYp6iN.4<PzU8-?Ud2UxfW;3iw=W7wbYJt_/57j./-huG51hi<1m4A=1Te
U"g*xP_T906^0gC?7ZV8#l8S?P[$UV+8-[;oCAJ?qP;OW(2Az+tBBV#kxTo*<R;nA
U"Vt>]3$2<Pz:aMo4tv;t?1C_OLY2ld_VT>Hg,CZaMZ9LMsHRX<1gTkrg8<=CC:7U
U"dkEF'hCzd_MbgtZ^;1-,N6UKo<?vh(y>dbIsZ-tV*\UtZ<'JIBnSBALpV,DBU(W
U"GJ?UGRBdCB(B;)8$mOVRX\[uh%,S:;ZaMVk-O-cZbS]^'rOBEM'\u0#-VY]v7E8
U"rcE:7I;N.0/rb01UQF^+DCF+9VHzYDZxp2aJ^opZe]dI<yRCVm*ZpaGeg6k*a0o
U"T<;7JT9(6I>M5pDlGhJYJP:-Npgvo9omln)(,qc-5g/b3/JZEk4v9N%;?6M,30r
U"Ek]Z2AtaKD:IFQwIsRd/x0osNt]tYBglS2%qVg<40.SGqu^;wD[x)(Lv:ThXIh9
U"J?j2DE.yv>Rb'_onJ-o4lZ,%-tHAMc1Fj<jcpMipv&tRQ'^6IQch=Gr+/MNrG,,
U"uqkzeooV5G.iPy+fbKPiutN5GhhO<YLS0Fkl;7vhsUSahsUDch+i..]xgLbK$sf
U"/5tc#7T]T7$x]o]F'v.Q[QZj%PvxoL47Gu2cV']+0SN:j&t:QPkzz>eX___Q%Q8
U"[V+B(Z&8*1orRc%WYeDKSHH.JB=q,1W'^.^,=eO]oPzhg=O4I*ef<kgsO1UNd3t
U"&'uoMXasN1./lwgioPB)ADR^#LKffZ&t>(PkXDGTOs;qEw&%K)M/^)gCa6xjI*D
U"]1?yttfAE[QMzGrHQv;9C3,hE,cE<([Z2VIi/(4Mdq[')1C=Q[s,V8M+(dV2gqA
U"]l0aXulUC+=.7:hq>3,?iial5&*<7V8V)\BSWQqkEEKu\(neEGqL*<3jQ>OPGpG
U"t,Bc'.>&s%n-Q4Y_579jjrskzBwN%]mgl3c\5HTg4rW<k\fkX$g3x_R'kS#QmMy
U"6e)aiYjJWu_#72A_FK-4*<5Y\18Ezk.pG$mlbrx06QSkKX2Z)'j-&tFJ9GfqIev
U"hT4uAcz&tW9IrkkU\0MHOURvcR=iMaS<'Qk'=_T^(mU?vBPLK[^9*N'n#AY6nBA
U"dWg%7'D]wLPxD_%_9Pw)8;krDbXI;i]1vJO+)(q/QG(nCc0>fA_iy3)E_[XFmJX
U"AAYMtraHmk16C%8H1.Z\UO$Ti/&_yv&F*.]OLPv(VlKgr/)(CIo0pE7qd[wrddE
U"Q%K2[5J,]-$e-;<sRf\7ezf^IiXGOuJ[AHhI>NN5m+9T-$e7ISZY\3M);_K;iij
U"%B+Y43m1>*r6R3,&O(P-W<y*R-mE_Q[:q8C,MigTd4^N]#3njdDog[\$2R'SFvw
U"](Os,u,e2Y0jCFhm9M8:Bi3*LOR[IZ^nPIKE.&W*G^J8(Zo#1jlin\EbrmC7*-(
U"MEuF.*m9HJDk\f]ZGv'i',2OAae7xJ#]<NOA/'s#ENB7f-[ZVXsaYIC$)Ea/:AU
U">dCv8.IIYGI(Pp?CQIHgw*C;*P\Cu[Y.fgl/^w6Fm[[p#OPXFP7)lHB3BK3EaI9
U"GEvUg2O(*Saa'+HeI5C<jIh)dm[#;[g9Lib#WL)(7)zkQQ)BR310$Fe7>nTR$eo
END SUB
SUB VD
U">8=fI_[5'j+_*c568L3Ynb)kb.)p#'OZ)uU'Ie4_Jl2BOVSljHUEvOGYG+'KW9b
U"98e;[vNVP'd3Sg&Uxr%)_JgUJl+3++]]Zdg2oskTcn+em1]I>Zwf[8q2c^zGa:4
U"s]fPVX([h?BQ9r)/j[iQdn[onBw<Tbk_Ie&L):17YK\WjorWWlt#g;Qa>,HJMI8
U";SoV(w,h6*?(#0EZEOJqornY-]*]3FdoBpd1R..rWss.F;e<%P*/O+z*0-l89%E
U"_w,&71/rPQJo\S;+GC15rCI8]uIX][w-,RV'7_gY*kF++(UF#?6?*B,8$q1B?H9
U"<gkx88fY0#&<;Xk^,;&?Amnv70mk-X%.Qwy%'Bs$(.'g/FpkEeKwd_KCNs9[5s.
U"gB([ZNNRtFD,d%H9:JE&$1*O^gp$>7slhG/rq,u].=k2dTuhJiq]dsE'p=wFgl%
U"+kD(fb=4]ea\hAc=97=LP)di2EaTCS5M:1K&lg7UZr;8YC)I)%k:=cLVPTI#>WB
U"'\FQ06i;_)%%BiO8)<2mf$d;Y9/_hkF#.3?3dMbv.2;C_vJ/W)Xht;C;>BO:kJv
U">toJ,1BJ]G_)ajOm1,C(\wZ*B18EF_,)w+G]?83b?_c1MOx)_VTcfE?4I[^dd^X
U"G5M6BKrM$XBbKMq08]+W.TA4V<^cdaNYS'c4k,bimayD-82y*s?\1Gh7RqcgY#7
U"?P,KIwK/s]kkN=%\8p(;GAD1pC5l5Q=.e,<o$\gw8Oby*rLjqSLIp;57>+A\EMr
U"aDAU7^qm&4x%cPEq7TbY_[q4+G+.FF_CI?'_zxA838PHKI>u[=w3?&XSV]C,G%o
U"p0B%=n5'jg'?9\,aqG-gN%kB)W%ggI6&8N6MWo^&Tts*RY?i/kuL&ZoS)SBYDpz
U"]xK'dflrFQ;31/ZIU]lAEQeMP4Gl;Te*/-9%BTQ,J.'VHs:7TOVI)2%=(cP;lL]
U"Oz'/oX2%cA$>DSS$EyKeU+rW$fFjL%4?hH53sWd$'G7*GPWQh88#fa)Lp<(1LL<
U"E'%Ksy?7mt'6_oZQ;/7LwAM0=]k>]g+Oe<B/M3D[%PEoC2]E8E(wF5e2QU0W0w%
U"wKkAj9FeE7q6HqSl(+n?>_xP.OX7$jLtZ<p''mN&hrh*le=>2DwSRvS1j2hqUyR
U",WZe.m/l'n_eE?K/N)6pxcACKiBDPk;i\o[o5h[3gq8O9.%)3G?ab#K)ZJT)_k2
U".#=0E^Bw/XWZ;W#Fi4.Ni8Ad,F5h\5\Ws7.ccX&$E%Rnct&Q7/neaEiYi6%b(7y
U"D.-);C%<?rd>7pRhXD[q.A4e<O&eHXj&unC%J]h6.)<X^Li$(>.FWWu,c:&\%Uf
U"MEY1902=a2E&GqWDQIyAyB,QcA4,4pU#bQ%AC;x?(37rP=/OmZ)V\g-hVupt4h&
U"2V=Vp9<:v=&/<%QS<2G:bVA3^fJ^\l6\]>o*Ck\,/%F3;$>LYf\7bCIeret(ys4
U"kd\]-8Yq1<rFf/JW[hFm=CBfE[mg.-F4'*a-4ej+'6eE0V>Z:AM%Aak3<0lO4$X
U"L'-b_Div2/2L8.u0fMN-gCNQg=BLotIMFSt+M0fcU]#%:VV%J)GM0='S?J%/%'J
U"1UGk\4[\or&p4sk)Vp,-f,p?Ef*xlZR+tC7uKQ=ZfaWfiRiKU/(YRX]'?(9,'kc
U"4s;ij:N&1Ef#hO';w31M[65JE/'+o_6yH==Bcdw1G<.K;qH4'BHy,bN8[mNG%\#
U"Hsg5WWN+]a,pWjTwi-](,kf%#;dew?E'nwm^6njLCw6?CH4x?KXeao>SBaM*(Tk
U">*7&BAa585n3rpzaUts3&)/MkhV;M<D7?7i.^9P'q[58Y_J%$4j^3*,_ZV\c$B,
U"vWnuAN\D6:]?hkV>XHsF#Q%%k7ObCg:E#0J%h-RxzJsT*#.guvRA=ILE\8P*lAd
U"Ijw_UPtRu8E<kf$qtRS=7q:YE0hJgL\k0N*APqKrH8lby0k=5#m9?MV*AG1G+WJ
U"fcpvs#m[ej*W4%wlmfaQ5U#H)SAF.uUh.Y[^b49>gq7u\;>K7%ImGZqc-fcMQf]
U"9<zRoba3LGGE:I&R/CYpqdJpk2Y$25wQVu1#[)(k0IG-Dt8WiS[3Cu[MbJS:Qg8
U"iT;3^liV_Who?m9#HVt,r&=D5B?7JlUZbJ7,/+>S[WtO82>^9Uun023E]ifDr:5
U"d?[YqK_SDjRZP-a)4V:8Y>g%p#5.fna$TgsY02*r(DOhmijn4kKspIIoBX*]hXx
U"/6Kov%DG4AQ<bX3sk,O]KMvvcb)BI)jNLGv+Pw[A&X*EH*akG'n6n1^E94?3(wP
U"dOm652^pJ_kgCxd9UAi)5z6T%oj+#1p72$maS.nnkZ(P(W:%R<a]WwLDx$ARuSm
U"3o/RXHLJ5c:x;SZh>vs3j;p'H,uhudu,ohWZ)(f'bm,zejf54[Fug.WT$aX)h-p
U"A'8(*0*j+Fk3d.GF2*Wu..bCrHtj:4e-PTyj.^-tmkz#MG:EdTXYoOB)fxgG/Ri
U"GBUOP+C[kM]Zs6??710M4DsM.5M$1GZGN\3lm&7ZFa^t:(n13n/G-U\U4_MJjBO
U"9t^pYWpri\9n$d\]Odq6&vKIw2N=7vHV<m)h-ycDksl9Zns9k8O=7x49G]2o$j(
U"Hc:DRIoi&nuJ=bd(^8+cHlUE3l8.M1+DCOR7HB^q]50:FPHJT+zAbH:eZs<-7<)
U"\m\gHqL<O,8mcd[Cb-87L+LEN#^rGTW1h>WwnYm.\2oqrm6Utk_x;<4Ix(eh2NX
U"qsp=HZS7vvq;IS=5^[_=gVzwbhi<\R)COHU/=X)799nnMCu_<]-^Ugoo04tYA7o
U"]UK1:HGhpuI<;cn/e-9_N]>?pWXUMR,,WisZ2qqD&p#C\VkZVTt^+Q=YoNmG.fH
U"?fxX#4+,A].q36#7m<M6_]-V6>1kEZbh5aC]j$ASXF7(rc:0dc64d(J.do8?oF/
U"50$+L9(5w#euiGOQF($<jlmY[+j8m5g6Q7D27XRot?s3Klw*_P$YCCKKUPBJb-q
U"KeO[V8pY0WaHW2]7=3OdgulmR%n:w)^]n0UiL<zhS:ms.TAJ9FZ7#/h;;kkE*;?
U"b<G3[(uJRM*f9HcGf*lV/uwdv#3mZF-SBaP\J\.B=\un*60Z\mB*B])a(m91Pgq
U"8/'PgqbT]7:3s[cOa$?4X0>Z7pqEj.4S(r9#G0:tWZQMbtH5pW1\F;WW?i,>sS+
U"QGQM?-#N15gTkPs6?Z?H$$d59-baLFkeUg(Ra1d1[^5&w/E^_3dLJwhOoi+8#hf
U"vXi%pw%/oAJt+)c0gUP%%o>PMtv=Mcd3B2AM4T:^]/>Ha*u8luGuaVq%AU)H;M\
U"K*A.2??2,TQt9Fcr5&o,tu&[hz/O6G<w%*Rza9=S+U9-^,<#ZBQ1,W-Ex(]:cR<
U"2]#:]WS'\9mXm\s>d/#O2NF87aJN8<#&/A0[NprxCTu[<o[q-tB&K1$0st'.:ES
U"/jmZDV,j7Jg7x)-4G+1QqUZHa7U8rsJ2du_A.F$klN)QF/6.KH\T:9ZnVS[d)8c
U"qL2P/$HVNkDLT93s,LnbrFr#V+bXJAf.XJ7snqcqEp[P:E8BBo_oJNaJ=/I:lfW
U"<VjlD/rmwfpWM8rhLXsO/:8>1,Xitl<PU[FhT&vr$+P6JKv]1KXJP,B&O*q2EQY
U"sX0EO\%a's*l<wHJ-n6l':a(1P]_:MJ$7Ghw6FGQSVzM[6f(I:XK?*OXq+gE+V.
U"XmPYQF(*:_UBbDGCtJfP'>nh1c:6^F=WAPtx]phuHZ:.XLCU$+brg2)\%p38D)s
U"F73LWSF=(IOz/-*O/$O:Opf?JtaU[?g<J/,Ior8sJKWS8J-);ibo)W&foFTSsS6
U"<-NJk/8gI]1bhmt$(o\LQTaEIaLvVstBmPbcvmfsaNs^saZs=VSV6CWG1=W5CVY
U">99?w?H5[N[L4>6[r&[\=(h[2[(%>L><a=8X?7=.EW<_1_X?ElE6pKVNEYA)3'N
U"d(*(aD*3,js+AR^Z;bt^FE4tk>e^QbVQLQuX+Ve#-s96R+lF#P#/#Et#7]IT1w'
U"Ytz$'[G=[3?lX$m]uWYG]azlA5sz58ks[joijc$LFNtXFX_FjLYjt^vjbBqRubt
U"usw^_MTxCJMDNaLxXwsvw8qC/n_n(;nJcb^ta\Q,B6V$H&cxuor>$''4t5(SW;m
U"I)wP+.uL787aGa;0%<;:71-o09wR1QR=6ITHb;Q0c6I%t5t3TtF00/F#-d:MO.t
U"[M.</KL?sGjRWn<j,u_4RpYBX(Ll(r]rj+rXvQKvsMkI8%8l#vmjuTZp*9Xv8pt
U"M8trJYKXs(GdmT8)JsiJCiC+7YIsn2C(CxtSurwF7x'Ntd8Vxk8xfvs,vpr,.i<
U"+%q4M//w4'6T)[YtGOF&RC&V'U('=)U('R'Hj(>PR/PzPR_P:'Pa,7>1O8OG-[.
U"A.m^2Y.C#-O3)a=M7-CQwP7jpI/II<f&QLkQKRU(RLQkt:d:sZ:oYQGYvQ'X-c5
U"SKaqKrilYB#F.Fh#FjFy15LWbi]X_W,_Phc#-^5AjG];An>FuIl9IsIG[I*pH3I
U":p/:g.2SL\mjEIng>8SW;i/0i'w2'-gG7q#_-8*6/[ue>)0Q<oVLC6EJ;FIE\KC
U"wGsGM8GLGt*q3it\ZT<7d3xcTuwq7'1UG^D1-i(Ci,i63=iW<4HWY]^?#O[PA=l
U"W9).LKAsrMkqoii\GS48QgL-iqQT=$XT5nwbK;LljDCL7<rkSBHLqM:A<[ceNAT
U"xovLQi1n7g5Ji%WvqY77K[681Zja9jWj_W*lq_'QtAJ/MF=6KEm-3M33Ks%IWXW
U"[dw62gMA8]-cATHKHi-\3Ei)Wi.29H$M\x8MnIH9OuMcw9bv[Me(yLM*SwRv.Dl
U"LC%Z9Z?&darVq\kom6-w8DarTdfZA-hvD,gKk<7?sh-LPtdFa6M)O:&\Eak8;Va
U"D6TsY+m.7#985bC?b<r_[(Bl>CEDV\LVD#:A[rSl_$gdjVE'xuQB*[ZQ/Q4u*V*
U"H3#=]BGWV8JjIoCeY?e&'_=kW'aVG?pgm+FUZs1&#p(#t\P]>l]04AFXA]CTX8n
U"<xmqKFus?q&j(Zjt\^i>n]8CANLm/j5e52h_guehun)OVZ\S%473IAkm]jWi:;7
U"VQ>[Su=Q=RPXfX^aJoK7keQn1jdj'[Zb=DX8F72nS0nLb85J^J8dLNK)haCsSAJ
U"6grm5KG)sRnN9[[joojp[&9[b[Foj^jhk1?[bjXk5AS6yH'=a\j>2*5KYQ\i[2s
U"XGF1.$hca#Z^H(Mm+f;[tCnWXUd&(PR,_3_]sq[5_%_agTH&kDX3mACsAjA,*;m
U"62sSs5^N#NbCNhNTONsc<1NnuAdr^bk\:/bN%dZKZaL.G.jNNc3san.M),xlw&N
U"oBr0npZmMjmei;eb/E/<vicV<#SYr-m-8kt6hoG(S48b&LkKl1b0bsvb[mN%C6I
U"k>sjb_nvlG1sgl^WtpR:h6>g6b8o$,r8glFbkZ^uA[n>BCWYW9CWiW)%XA>PjXO
U"45b_*J\*\[H>SvW'5uUEYH<&mT_rpp2<nBl$se4[5/S4SHKsZlFEmtW8A1ajH$g
U"XG-m35aH0T$>_DTE0F9fEW3RT,_,+e(t66kgn5OGx%P(t[e9ea.RvRll+4Ru.R/
U"el#+nD3WkLK&J]$GA6ks5.sf]a<#k,Ii$xk$nB[^5kll=G*'kh^?xErJ*$=3$_&
U"cPBcFERG6fEL_6pN+vV-(Wq:aJWhqH^^6kcp%Wub5XkPgK?8B5yGlIRRc%Ln*sz
U"AttoJMtjs*ns(Kv<KRK8ZKTKOWuSuaZuCuuoull4<lJl\r^>FXJ$dgNsMxPuLu(
U"e;kt%*oc%ezRa[RFRb#RnRcH+P+3X3['dvfK:2eQ,*dH*qrcZlLHCtkd6W7AwX<
U"rf_L^95:G#TQN+h'GsIM,Gr_J&Yt75#JrjL$ZUY/MNq<7,<#;0HR%:ITTMyVGBj
U"J0>,Zt^:.No/(E(uN)o5P58:r0uw3Y.F*4<+,,9O.[PnMB^OxMJeda)k<0afJAJ
U"osciu+A4Ci'?*%OPRS'&SJpWFt6t<(cgS(b'_y(_+oT0lTjw^;.[0sQ8%%?%7Eu
U"/5T*zTOxo+rRe+7N+,4._e,N\/dlct[TtSH^N.u'4OPfd%xcystbl^LK]jAT9u6
U"rOZr4k0cr,:(M%K+#Z-[TYhN&k(N1)#v)Qx5OI'9S1Meq%pb&%ym^M-y56'Qz]G
U"uqf#dvVqY.O(dvOo*A]K+m(xJ;u)ciDc,Cp<cvCahCF^6HCzo;It)Wo%W/+_yAh
U"^?'CHOTHy+yVKzKz9_z.zi6+D1NcvyZ(zC:t1:x9yN.x%wSmv6y*Su?u'fzBw/l
U"ulwSlxvqN3tqxcrcenjinC.1ilxS:zzM2h9RI*MIhId9s>nkWnEnJucVcHQNXxN
U"gyn&XLw^wLhyryL/y0y\Ly>yMi4Iws/EZrk4u\.X\vkxLjzlKFVuih:&Q;;SY+2
U")Jt0h;PO;g)G>GZ009V0l<Kb;<'Qmoqpaj8RCSxzOiq9&M'Q(V-JhoEwOh,Jxo7
U"sR,s%u<z<t&0-guj3$dXc%T,VFsgG<Vx30YD0cGTn8dvWOvO&?MPM\rP.&$%Z)Z
U"q\85\EP8A>w,;I\acMiw<&*2$#^c<]RaU&V6aV4vWMw<;<re9UOTqv\PH?(#N>7
U"5Wm0L)8K)8qZ.ei^ivMibiBDi.ZwEBvNsON38Epx8L[eulj3hjIjWY93WC,vBt#
U"2qd70<-4S_9&s4yNtwERWo<fJNSN9>>823eKVy,aISl&yG:M>Da[V7V&2_6>ahG
U"G$J$JsiJS,&sbZUgoMbn$6KB$3[Icp.yc(O\dsDN(Nk>M>L%,[l\D.9kUpkR>)l
U"EI4ajZ59a+\eVA^ZkYUCU[=So?n?Ri?;22Z*:Q4WU3U6pa8uJiqz$RLG78<Q*0;
U"7ZRSk^&ebRLh)M72oWWK;5=n82S>:05Z-_.=#\VRAtv?R_k+fKNZ2Xr\Zl-,4?b
U"A<tr%+,kMzd&%sc+cVOz#%l2-D<:q:Ddc3p&fajvU,JZVIv-Wpv)bcEP:ctI5$u
U"Aihtmh)F5VQHd)na_ky9_.FblQtD\j^3;78HkePFt.RnpuaPP5t-4\R:BphQkN$
U"Tp]Lc=rp]/ilbR#4Wp^G]I\JLhGq<Bp4cXwJeY=FVdYFX5j\]/o7\yYyfH'SIIk
U",mma\wMm.c8cX)TM-N3oNyNJ\y8zX#y2zLq.D/CO2/JtrcIN&,y4zTOVW0SUV$c
U"eMN2/'Nab0ZFL6XxGgBy#Rz6%,T%7/\HVB;wLiy%n8Zc8g\dj<q:0KJia&sT('x
U"&up%()9%%%%-%.N'K?5)qQA'v%%%%,+%%%/%%%(x(xy%jrSudfqdM(f:'V:5UZA
U"M;,C\)(7ImD/JM'YS+QRhYfks>JstTMTaF4i5[SB9#cGS$lH5n?h$P^?pc]A<h&
U"nM$LK<^h8cct%zRWbug_Pri5_]%AXL(HgHX3k7scALorGX]RoCh.,+96L4Q[SH\
U"UkhX].Yk_d(sG:gG-?;ghrph8)?nxOPgS6E506>GG?xr5ph)?<n30i8^6,=HJ\7
U"n4\m,p'<X4=(V0;8%kA?2YLPKwW8SeEMg?^(WU2;,Vrph)p?]hn7'$eVeWbE1H9
U"$2LZPKagk&Qr#UEIe#rN7a48ekvT;z*N2J=VW*WU/X7Qa4eU-nu(u%p()9%%%%-
U"F%/ESIEl1*+tL%%(%l&%%%-%%%%ywj%jSxu:w,Hv%o*V1X*I3RCc#FQ:#_UK9bJ
U"EQ9G4x)lPMHT76q_.csEtZ]mKr8OcW)J5Nq;tq\Gbpq4Ggv2A&,v6mqvSl6HqxH
U":,Zv6%\'d1(.#C_94E_.KG=xOF'4B.4DyOk2]\)7qnZ3[8Zw>oD[1=^1Yt]*&c>
U"jOW/X05wVA?\JsD'/bYdXdl./IHY91jA4F3v:.h$=f$S_6/)iA&XE[O*h*<iHD5
U"6v0PGE;6qwB&\/Ib%JHb.DZKC7<2<w],I>x)MVo?^c0X;-.>%up&'%9%9%%%%-%
U"2sE^D\ex.t%q4%%'gZ%%%/%%%%%%%%%&%E%%%%%%%%%vg%ijrt%Sgfx%up&'%9%
U"9%%%%-%3O8_DTNhef-;V%%%[y&%%1%%%%%%%%%%%E%.%%C4%%%vg.ns%f%ijSj&
U"'jup%&'9%%9%%%%-%y%&SDdG-Ufo(%%%,H%%%1%%%%%%%%%%%%E%%%,/f%%%vgn
U"s&%fij%Sksy%up&'%9%9%%%%-%3Ck^DQO1Er%I,%%%rW%%%1%%%%%%%%%%%E%m%
U"%Mi%%%vg.ns%f%ijSn%rlup%&'9%%9%%%R-%Ckn^DO1)ErI,%%%rW%%%1%%%%%%
U"%%%%%%E%%%+Gq%%%vgns&%fij%Sxuw%up&'%9%9%%%%-%.M0SEg2uRN'v%%%'+'
U"%%%1%%%%%%%%%&%E%d%%?x%%%vg&%fij%wxSx%hwup%&'9%%9%%%#-%bde]Dg\/
U"oWw(7%%N-%%%1%%%%%%%%%&%%E%%%&f%&%%vitx%ijrt%Sgfx%up&'%9%9%%%%-
U"%1p:_D?kmr2%\(%%&w+%%%/%%%%%%%%%&%E%.%%8)%&%wj%firj.Sy'y%up&'%9
U"%/%%%%%%2Ss]DIjB(w%?%%%%?%%%%.%%%%%%%%%&%E%7%%A,%&%xj%yzuS%ifyu
U"%p&'9%%9%%%%-%R),GD=aE4M^%.%%\&O%%.%%%%%%%%%%%%E%%%%.-&%%xuf%hj
U"Sx%uwup%&'9%%9%%%#-%v)e_Dwupoy.UR%%](%&%/%%%%%%%%%%%%E%%%%:7&%%
U"xuwn%yjSj&'jup%&'9%%9%%%%-%N'eK?)q8QAv%%%%,+%%%/%%%%%%%%%%%%E%%
U"%-kg&%(x(xy%jrSu%fqup%&'9%%9%%%7-%/EASEl18*tL%.%%l&%%%-%%%%%%%%
U"%&%%E%%%+<i&%%ywjj%Sxuw%up*+%%%%%%2%2%'Y'%%+5j&%%%%
END SUB
V2
V3
V4
V5
V6
V7
V8
V9
VA
VB
VC
VD
CLOSE:IF S=175AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of SPRITE1A.ZIP ends here. Last page. TCHK:175
<PAGEEND:"Sprite.Page.File1">

<PAGESTART:"Sprite.Page.File2">
'>>> Page 1 of SPRITE1B.ZIP begins here. TYPE:BINAA TLEN:67291
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"SPRITE1B.ZIP",4^6:Z&=67291:?STRING$(50,177);
U"%up()%9%%%%-%R#8SE#t0DF,%.%%l&%%%-%%%%sj%wiSxRuw.^.f/OU71)PTPWe
U".B'B<)4km>v]2.Q<o=rmYn^\44<LY_2-;ODQU3Zng,JevlUT<g,a&8YHp%X=x_^
U"7yO6_S,8V+z5g18^TtA&]J>z=]s4B6pqGv)Kb8u%p()9%%%%-I%U9_RDymo.gr>
U"%4%3g%%%/%%%%fhm%jhpS^j'je35J+ycP2U5<o4o1%XU1XTEC53U%R\4%1zmu%>
U"ey),>J&1G&>[>SJsTBOsWm0k>*L&D]t:6B/VvI+w<nwY$-#b\73+SG]s[qNTOf/
U"(iB7TexV/E1?F1yg1F686HSRKtvXbhZvwwMtnA7%QneDHiOB*HflQm'1_Qmk1-t
U"oa.oznVZsZRQNk2k?tvIxxuhxdxYmv#TDZfS('5GJ*1Fz8[bA?iDV6^Pv?=IX%*
U"LMp<9$Xau/Wg-Z$D6-*fA#qu6WIF2$WuDb+[wz*B^2.NVz1TGsj,HIc+#%NuZRa
U">Arr+vJmP<i59SWIN$:UmW7m7Ff/>g.E?l*C_Bbf[8.V1'MI&okV=MF_lXki:H<
U"fV;[cj?R8zZk8hCC.-/\N)#o(lTq9'f3-N&cy(ft1P+9trxP8EHk[Sx%[dP9gbi
U"JusGx?Ht6&;<0;Q=w2X#'A#PWe0Pch(Xs0q/gh,uIsFtXKU69M7B+j_U11(0SB(
U"bMs.EZGs\vP$BVVE7e0K97t6a2WhBL:#nM(YZ\]FuqJ.+p=-1(2e+^wGe?_0UXf
U"]KoF]fFzn7[Njv=QVPK2gP-II2nf/ps3UKGtE3>5o_>scbJ5hI#[FaS5+-5O'MN
U"8[JY)Dsf941CVg<H^2\fJ%&BgRd6(HxR;S881a17f(V,A2Iy8q2]5F9\><K:\LT
U"E#;U11BJ;WTX9+Mx>,_<#VF/+qZFPuBQ'P,pb(7>VVt)A(VrY8iS1>[Be-RtkKl
U";mjKT>:ID1d<#2\]FVR*7V&1ZV*1k*[QVCGs=,rcBOa(C?ilXYDrg;:+qA/B:A/
U"J\aP7R3'[e\Sf.3M$;y(_=#ZP[u-b0.#*BiQfJS5YOO)6p;]q_,i%,pa*161XG(
U"UcDXP]Ju(#V)\X:VO3=>GYBhgV(\xS60G>;blOq*>.Z8s0ac[9EVXGAo&(_BVdi
U"i^82Ch>O:buBLv(p.DcUY_hVgHI&;PVI-jS7)78[B24yuwSgsLN4?Z\5AZ^K)Ne
U"<y2%[k#.'hLJe*>^-u+#?h_Z\I_j_p\VJmg'aq7P/tToI_-2m\9x0\*pE&?vX#/
U"=YtX2un>8v1T+U3rLwb*;GQ9Q5Sks2tk=/Egh,TpXxJlT6p6pQ$aA^mU7V%UB_/
U"Yd[g?SfsM-bZEm-?NR-HMCHH56lSpvqDGCQ5<P'S/_e'B)M_aTC.$G4H+n'^]sQ
U"XpcR\-39WU3cV8rGImmXrh)Ch>[FS'5A*/lhN>7jl:a?PqIhV,R*HMi]qTPB7Zg
U"QGaaU(.9cZ3f,4VBq$0_;LUF+97Nic++hLpe\JR^x)F3-M%Y%bqj##LA_[qp-a7
U"SJfUayIN/zG3[t]\Hrrip[Zo<HCRpa-Kme#'pm6X:OCTh5g9VbWG+XO5p7U[#M0
U"W\rR3h-\AcJ]3OITqGBP9;$Sw(T_[=u.>IO&vJ#fIhU<xZiGxjF>hkp;&[J>Y:<
U"1,Z8ro.OT9^/p&=LJZ;ojH5SP_gpK)Qr*)?&NM3rTf7C;GIkT37Z=B\0;ZnoX'C
U"y<E.1mT.iQj:puWPp-kbBc<oT?Bor:&=A/Gi$UqfBxY9CAuu#>xpQX-/E&wdWz3
U"i8:y_zPNWodm7Aw54F1(;2b&)UM_&)od;prqEtcTPT5?=Y)Id7p]j7orInSRSbG
U"f#J#)1RGK<<6U>2V2Ya7rHIZ>bokogyXC(kkinGnYyyf/9o=7LmdmVKkmnCKgqy
U"e_IL+Cg8wmhYE/%D&8vF19c2hF]B3\4.tr($*U4GII2KPj#LL3]U7IWs3PH%hwy
U";1S'wEgsd-6&3/zG)Iz+%A<H>+VK<7cdl6l[&lxnicr9)C8Xw#/qroQgMWYXvMh
U"05)68pePo$Nnnrqr%ctCl<m1(g&&lPpa/C\luihOB+=6I,/CM6J)n;)'7Mdf#E5
U"\Rh[bcEbSU:k:Q^c3(o)[<lC_*ou#T'+eO<.Wq]&Z'tG&F;npw](zN&NbnZr/),
U",*;YSmd4Dkm7=el6?Wao9DT641*%RM(K[KG&zCUfaTBA0eq2M5V+e1^Obw;T3xK
U"1+X.du8O?%T^?'d^DGpMR#$=pfi45%P>1uKJ+H6mOSwt:fAOsosVn#\m?SPD>+B
U"T+T5X.y<ZAI1UxWV-i9;.<t%CZm+>HmeU[+i2bNXBxt\qf'jfdEacRQLafi45rB
U"%>\sp?r-CpEd>[<67V>[(5LrhubR.cd]+%LmyXd?[twuOO&vR?Bw7tYORvr$DSn
U"rZwJNQW6dn^Se-_%MRNCp5op^SU7tOcM9KDaBOQLda>iW&rRE'%BU#Q/7+Sf&:z
U"$pfb13l$52;>r.TO9qGf_\K6KQATtp;4f3smAN*h-'XScSboh3LTCH<.kUT(:2;
U"<X_.=m$6wt=N[pPR</34kuLj\WS2jDr.ZtU/Pu\AMuvfdAB2<P3mlI=Wq1uk#jU
U"pDqC#xd-T\O<+.P9CZ#>hvaiPGJ-qG?$qm3Ba(u1W_\e03\qO7<B&b'etm2<nIt
U":qG-i)=IqNL8Oa?+k$\C#/sLF;bVKdXz/iOq.wwrpm;YoRepdD:sg)gO2t$,_M<
U"BUrXp;qhcn2'<YEK11?HaR*m8ln(H\Ldx9,4C*N6x0jVu#u+b?)fu5_&4.XnWB9
U"'0VixH)4g:nYMkK4=^cMoi^HO0/m>mSGP,f8zuO].Lq5Ac**Itr<nZ%uB*t)OBV
U"gtoq^6;cP'B?T]*?\i(yOE1W_=%P*R^A+l/ia)\qd^zhfWH0>XL(kh6U*j-etB(
U".MLPC:Yr90(3Ig>Q^_fy%3e'zCi2kra3IurDTaQ>(;?tqjf:-5&,FhF&kkso]Aj
U"ZZ.FsRl$.($_]>87cF.Y7r]PkAxll+3Yb0Y_JpD>.Zg,dZW\'9ToDI9YBLz]JI&
U",Cf:s8jR^d'Q/$Dv)%33Y#i0>+Rb^C++ZNeP_h&4]es-r?43:e8XL=$KuH#^u3%
U"]MW<^\>,\cUQ%*/mA5kXm$L_xN\d#Z,ct=K\4nt\)ediG5C]*/y?1E)mhy<ZQd2
U"3?zQSH4?E=/%\?rIm4Yw;UzXgL8Bz8FO)u/'.fOY1+Y1X37KMhV;8_TMR=E2h#M
U"oAsaQ4tq/oA[^c.T,u6ZcV)RND#RMW[^-_tW'1j+fC2pPq=2)k-d=gr1__vx()A
U"-9hXWlt,><L\q4J^nfFkcLP2Cylvh^Cm^NJCf?I#pW$-/-Y'<^#?u^OkLTys/:A
U"a+fseHqD&*>m/HCqZ+$LmOtd^Ba&lX/9nZZRV7,qZgYge001)?YIEjOk$,&#=b?
U"bXnTh?c4i,1*+#)+NDI2sbUnssbWTYY_]:yWUjTmKRrHxrV5bwwhM2J4,ZkOuLe
U"s]EX#1WFg*-/4w6b<c5UgfBXfK[ruB;6Vm.WAmumfdRstPyCYDpT?^/+<1o#W\I
U"?uqufT;-dKWt9$oh67Nz?nUZUE]Trj-O_6e#cos+'m?momW)&sGpFDD9h,f'(h^
U"e*99l5-ig[P*Q^2Z8h(SP_'p)]U\d6)s+Tmc_*+RT0(k>wE:00&]1zb5YDH&bsn
U"0.Y5:t01L+/Mi9RROQA_C2yI0tO],26=6VxKT%cQGpUe%0.ALn1\32Ie$YU7iU4
U"$XKrU0JPtk6NZ3WW=B\Up>PRQ_/,oHZK7T(I$*g3gMDCuQYfGK]ZDe%-XIHuG3f
U"^y_C<Dl?mBR&e2XmTs>Bb^<?xc*bw?=k]t4_L\Q>-ob4;hzXd6<<6*.<r,#BLob
U"d0DDA^FfK^_Yba/I2ksN5pBtsb'g]ESA>GtX1u]F,hY?wBP1XWu&*MOfEO:;=S?
U"lA.8OzW1ZT7nhxW5Du(K^8<IGQBW11c3E1&?UTVEj0d5Qa#qFc8X8gYNlQVb]<3
U"MWxUm#'L;U\SWe%&8'Nh2FlADH7XdXX'c#cp]sd#NIWRNA45]$ZZk$VC.EfFPoX
U"rEh/-5Uo%19lDo*f,$FLLQw$Vj3nsBOWmGn9uAHROawfXx:;O\NF=1K9TZ\6hM/
U"[$Z9$k>bDY^B^P#50$W9M&Wuc'M5rP/bhXm)#S7NB>?osGd15RI9hWpm9K=IhS+
U")Gp^m(ZJA=$eDaXYrB>:^[]iYSFbcsZbgKMV25cXxt6:hqwhd.9(GUdGJc.CLRu
U"o7hQW,CDqAw5Q7qltkrME4lN(fYm<XS>xQAc4yM7If2I$brE#2)vc7;g9K'M8oD
U"Y6oBnyOcH]ndho97Tayr;kJi3?S\h_Po4XXT6.#zXOHK>t,^:LvZF3Cy?c6$ABt
U">v.c6XEIcNNJ>M6FzKG]VduU/x:b4/4JT3Db%eJ0>5m?m*RL292[\:)emWmQDF_
U"+(seB0vu#-AKyD<2\kF-:k1X56ANEWc]1s1LEPJ6JA7m^sY:AfD,=\E&;q8D7(s
U"D#Up'6)W3.X84aEo,psLxhr?s(crXtPPBYL6w$7NznrK6dGC7)_e2<V\v6xhO9R
U"fRTZnHbAP;A/&uRooxjCZdO.;7f^sk=2,nI[d<>V(0(Wh]ZCcm\(si?2#P6_)9Z
U"\KTs>:sQ?GcRe6VxYv-[A$'x<okQ8(6&i5S-U1TTLn'zh6c.tdcI+'*7EvIgMM<
U"C=*D1=#jWT5A<M2qQMQ4lkriMx&rs:oClq0.uBWF+vv8IWM?0;/hBasnni/x=0l
U"1hsJxnmkfdc9IS$5O2yp6jl($'(ks._xz]%AJO^6Pe9Q5cYjqm*GnB(0U^Vfk/c
U">,sUni_6])g1pXg^uA\d<XU_<Ea=mDi&D,'=O+L;FEQeiI:6fMUPi9c'*';bC)4
U"i<de7aq2T&uVu9P81Q.*/9(aRR^i:G%^gCs_9^)?,REnVbh#M6[;nIgY[c[7]IV
U"(EGy=nqbCfY*'RT&X#x'enIb5U%?3$XH8rA3.'mRR9-9X-byS88(&maB-v8<^=M
U"j=\<713%D*Ui:LH7a&3#*[Wm^=e?+#[FT]wvg<nd<m4CDAa8=W7H)978>5nLz$[
U"AZ.:s_mCp-B^'I'8o$bnSKIZtJ[#iw#2<$rer'ZJ;CDlB:.[%2uU:VKebw+Xba^
U"d^paf0]mNSb$fm/5M_Luv3oec.rAX(sLQXmJ>;X8>eVr6sN687uwQu;LhjELOPI
U"J5ceFLeC.l<EzC+ra(kn-_79OD95BeKoOSI?(pt61aq57b9hc/R<7%uZ/#-V11E
U"i:s>3(X+fkUemr'M/P>yIpnIpjRR+uTjJmL4k1mkqd^Rl#^(ekKYzb;uE^qCnpL
U"D+#O&LAgjsxkGpa\xL]Kmmw'f9Wq#;6Q?:%33O#][^sc,:8:;-;+Q8;=b.=(<6N
U"n\Yc^ZiE#q.ow#iK*p_H;Z'^:ccUkuA2p:hrrnMj/(B45[c:4a=M]/8Ad5MqhEb
U"yIEpM+A;#0NhDcBUw%0gW1aOXwS)?UQs5sJxdn_Rt1TeSF1lc6&&[>jUCSEO0l'
U"O=Vo4gjLX2OU)x%+sw'lPxe9CT+RL0]Sv,OsK/\j1(MI6xOgeCR;]RGJ\#r6Ub#
U"B,?qwy*gchRIA]ziQZ79/>r6wIfv'V%1T?$).Zba%2LS^r+KPLK&bWwlq/nx4,$
U"nZTM?l]D[)o_bscgtYm.Hk6lhZoR'L4fX+$YxZGzLv%P-eDNR?mhC/_CtVC=FyB
U"ucBpQkYiB,_KxZstD)4e<rcr94Qo9Gs&DAWr^GHnf$\?EFB.TK/?77IT5CUOtJh
U"Q6$1[aUhTVvJ>=QXYf[J7Pk=em^ut)+C%]EI#7T-h*Lt3B.oT\=r3lU0<lu$;g;
U"m,uxp[FXg7$9b;L2L>5qj(7gGFq,8u:4q2hc*:99.vkl%/xxiC_ASGf,o]'<l1J
U"6&q^aYCrg(Mq?NWT?IS-5BKPx%WM^KDhZRA4:cVkJ6/,D;MK0i_'Wc3ic0dV$9k
U"rJ;W#zkWo(Ed;ZYA%P\bQ=j=bLiel+?Q$7KouB_JE;Dq>/ij>84p5\808EN_oS=
U"5to[XA#-v3:(sdr1%&,[:\;V\\;:1q'YQu)%v_SPpdUIZM'c#0YOD-yOG6;(0]i
U":F1SF2\S9r:zuV>9O.[5V,]9]\^*=XectG74p+3eEWWUdn,b;h^)(XQLcXU?Fm0
U"fDjRu+T'02uGRL6*F,6M]F:+//)a[BW9xf[TJh%ql_FX?,PS;o^,hYVNiR'*8hh
U"GetV01tN;1iB:P5m&lMQ3/Ooc/.QRTafek:7CJleeH\qi0Xo-Kn.h.X)\eMKcDl
U"(nGEK?y-_,h5g8h%5_n;y>($^*X:+q4zhmSQDc)W#R:*?I/281'e+UaTU>2vqTb
U"cqu2\cnPOAFkq#W'ZrVhb*1MM<<ya[TJANZcqqyJ#AcdO*fbfaj-L?o&3Qr<Z'O
U"SB[HEn0GlmCtX6wMsWB0>_5#<z^6nPlj%PO<:2wtZp\%j;(S-zs/ljcv$G[:J2h
U"CtFFSk613F1<JBuA4E4J35de/c6U+EW^TNZwN&7cR_]xdKO*MgD+U8;my)0E*h'
U"*Gb.c$>n64tUD3jDOIigu.W_YZuv4SxqBD&9Q-'Lra7x>n^bF%8aXn2HP7Vck8C
U"VJd?kDS.iw$.M7cVInYZjwBN-aYNbZ=ou;2sEx>%$E9*Qk*G]\dlr4lc:<C%wm6
U")+'ic>PhQ2>X]4]fxm[HWQi7<PXsUAtCnkW;NTs2J;6mYbE6F6Z8WvM0)x.xIzR
U"VnanCnj(2f<DBDn_;=gpW7l7%+(7YfLGW4I.a+1<6LrON>'=3ci)II1H/b-7X]W
U"FS=p8qH8e8PaSOc$%:atkhA^ot^J+e[>-1DDGPy8:^i+sMjwnkAtSgTMb3T$RAV
U"EB2q?;ITG-ks?i1u'>vq)e:B,8je$Bts\*R[EM2SzG(h'21eg'+FcR(GP>S*Q8]
U">'vY=nWze#*D?p3TGa.%F*NKHo+d-1=sLQwMMb\^j6Tu(elqtnT0Sbv3\jXd^Nd
U"s;2-1PS1l/O<%Hy7q(%6kg2c:RK/x[PX3qypOz<DE\okkC-k/?E%/>/0Lir<CTq
U"OKOQwRi(TVR37aBNs+b%,2iRBt$swHNWgFoJJj+M<IpvWq+EmuPu.pGdTPbHvQT
U"lLlQEO<_=%k(Qm(;FfQ61=g'[0e4xIYNK$Jf/1tpZ5FE4Yea/a]uJ.\:mC$c+E3
U"iMkH$7T;,N7m<#l8$>Tk)OO>h)L4831+1w>r63JD:9=g)kolM.K$qF9%XBjl8Ts
U"b5m6#H')jBjkBoZLrEd3Jme#6]==LSCG)TcF3<=RN7-Mexv)6OSNQ-Swi?MNseG
U"P#0)(5,[dST[3.qFo*i6ECu.kgy/_OL=4?wZB:h**ZfJpFu'FDFF1mSPTYScEO)
U"a:k2>X&16?c%=XZXxkIXb)(#m9M>WF5?_':._-TM'0PK.&C]]q9&#]H'MY]JOX$
U"<YC47uUX_0-Cer:+BViH?p/5$8I:Icm;)i.nd>4$8;4xlA'D<s.3>IkoU+A[,/Q
U"Zsa4$1e_1nIkQWjhC^-F'c.hZXY3#f&Z>'iK'4q+_pJ9s$Rq9_cpk*kbGZj)yXW
U"lcEh<CY7m91sf6rO95NE+6P+:OdL<^:x?pPaTlGBT<cd_zPSSHj3'12WsbN#bz4
U")>#^XbcRfo>Z.M#]dPP]<K,qqocSX5J9>kw%8q<[huZCX-EsU*&CgU_+F)W[c)?
U"Q&6MASr.6F%-OyKt%&7cx^Nu11#&Hh4Q,S/spEo*il4<HWynGt_V+s9PvPd(_G*
U"ACyfB%7X?5Q1a0;1xsZ,5-vKIiV?Q#7Lp6<VvsKR69\9Xz*gveS39&2pM\6gNNa
U"Gf[X$n?9&4G<)ctNBbQ5Vrm$A-jTA<HqFABV5xB3R7Wt<-fkZVM+V%h2IPRLEq>
U"8BlM:;SgBk&,I'5Zw*4C(?v'=paw*7P/>QVcQ,XTP>,f0TgQ9>R^tstUBf\DAzN
U"6o^G*D*JB=X*%hA]locx^5J6$Zh1Ek^/gROjB#h,a&,&EMfe':U<6-if&RXO(;z
U"zTqf9tl15fSXd>bG1MOz,mO_,^Rbz><$GAPJ80H8Ly;M\5P'mi7[LWA5Vc$'t$Q
U"b(reNC-_>rYDIVBs)+&[fm=]^9M/E:y#s$Ak:qgfSNa9h=\g&o[bY;BSiU4>^Kg
U"8DRfUqGF\Nw,eGIW&YEk<mt]0$O;A[>?vCq&$=a\*KK?)Ihi5m_*U6+T64HJsHr
U"%5OL,&&/d0#'D:o&iI29wQm,SsT11i)m'b0YN[s[=ZX+Fq=QOmHHn%3cu[?fC5u
U"<sKF5_-tovcN9tb[w6l%\-%P?UDoC96)Cs'27ke/'Qe6#n'2NPBi_)$U%%BDc<d
U"v,%:1ZNg'AwSeBAkpsBCMK51Q:VUjk-]>EDKjSF4W]^O9W(do<f<bKhuK'.>jAm
U"q;o/H+01j&$)r<$),j)NRxx_p&0lP<+Qb6';9o3QH*IXP/YoaD//R[VWRR.=&be
U"k7&Mb)lir:b93nS\HPc\Peh7.8JXj1[\Clt1%D-nngMBI'-McCUVfglV8$*)lpp
U"vU#Mp[D.tEpe5l3lS$2Y^4SmXb=6lPl8_g%PfgE'QMG$=BjM(*mQO>)Ox$P'f22
U"TBZk]4pwb;p46*O#vW>0iR$Wc<_&ke>J0i/1:NWa1Lo^8g9O+5gSl1EsPr_^+aW
U"98DOv?<,'>(L$hWni$>D.CiUvK*a%Z^.UfVD1892i11$Wd?cu'h%EGQS--kXm+T
U"3cW1$*%'nIosRDEiqlUMM3;v2OSr).-pN_,QPEn_opZQRr&oFbzKZ+mIcG<3<o(
U".T'eB&8S.F+qz*?PaGK.1f64)d;Wy[gLYG8kUQP=tNl3_VS1TWa8PQUUFJ2q0$D
U"/rCSNX7)=g5s64uK,g[LxGN7/KZ*7j,G7/r:uf.H7<%HXaE_7Wi&QuY_cp5[MMj
U"=:IMob%rac1cUl:KaG_=[+a>Z*By7\JG.G1fi/;=h#yY0pl?5/GT=b2Q)>1O52^
U"1eO9ZGQg=XVB)kfsaIAS/X.m.QMW0B(R]2)w;VX9n?JBEnTAPWnE/B+:%LEy4\G
U"\4x:*2+m=VpV^++b1?Yo:8wpGG]R*pQsqH4wq#y0d)i)h\*:<1O\<-2k:<-R5zD
U"S]8U(F#&Zp(1n%X*#.^H&^zTYHbt39:p;g5QIR\+20s(;%Qcd4)7CsY%<iio=Nv
U"Wn7E>bu<Vac>*+#qIPmUo&BI(4D;+%'%j2ilaT#aFjg_ptwUE9#oWA(Mq0n]X<C
U"Al%0MZCBK#aen5l(yLLxnNX[2l0Z[mcZ)qcVKIKD$qnzb7hg2v0P*CJ.rC_NdV6
U"'qF.QvEnYjEUZa#C6pw3*Y51sr5'pDfq5d3CY[GwG7]w]h5sGC#g1fP(:JGO_f/
U"3Ju<k07+,l0%h0bIg-5*HSJ:08l0$mwQgG\t)254:Px]7i2N5[&oklGa48N^qHS
U"rI;jJ[8re%a+AE<?t]G2Fja1kd,>L),449PkA#U*6;ad29MOz3mM7Dn,p;WP(RL
U"IEzr1k;T7N:7*Gll'oe++JE_,n\RJY)F(.Ns\m;(b&wM1On;_LP2M#j'E9fqx]9
U":?%3MM,z$^(a:d/LcV?KuUOJdHoSz*glN7x;)UJ;qfR2WVYsJJ8>n#,KHT,.5xP
U"YJnWxV<PJMA84is?F9:3Y(>cGJDcS$<*/j=;fC53I\6r7QF3g&:lW9(adf]+=+:
U"ZohOS1z.Qc-]Jg5g4aQ\l&F87y*H*IxlR89NMnab;/gdWKjRPa>izBE=\VvB111
U"5nf,id/JA=8E&D8w8Q-ATo498IMNi9'4>jk:g1+Aq;d'Uicee7BLvkHId63yDCP
U"X_/<'CcvGDN\s,;C<QLqvVj%-#y./)IS)ba5ALK%L>YmzmdMf*&GiN]t'Liic1&
U"TxoXt1(HAyX2]:YCi%,A9O8_ECpc1:=Pacl(z$&T9K/2yYiUi'n/WAq)UDYfrx)
U"S\YSJ#Gnk8&.+1%.Mbexw+%JwR,J/A,Oey;'wdFgEg:fo8STiq9m[^6BtApb%Z^
U"1Egam^$YacF?\XP;M#wnFeX.A3)1r(qWJ]6,empF'4'B%MY#&_;hp\bW,?vs.s>
U";gqu.2d,9h]i2+faKk]v'k:\s]'>E2'hbV<viCV^a-l6?>=&t[5ty.\Pi?/dj.f
U"y:ylrdEQiGRP(=FeFm1XorxCMcYC+^&gAWlBCnCpX_5'B(J;L)_>up9xhKIXh3E
U"hP#;PGFc$(_/iNO#sB:''kEue.6Y:]NFA)XCfirEoR_0i+e2P:^a_Gg(FNSPm=D
U".vV4oYPft3KA'U&fVnlycV(dNE2FO#((mNi59kde'mBi^e?0<WBn\hMI2\4mxk?
U"n4t$5(cj[MgM\6)pnvW8aGiF/nJEPsUWo=c9S,gGMAC/csv5lNP<.xdOq/^Gw4D
U"_+J\DF+g-i).bAJV%Iya?3w<7xJGeYvoZ+&qG]M*qC&as%aca.(n)rQ7-)a6G\c
U"4m.O5l&g[&>9^S]Wep8Ohm-E?.(45t>3uX^H(4$U:D9;iMg5ADS/k4)nj+a61QO
U"#3xjSA.1%^pp_k-<-A)L8+KF*Pl.G#ih/\[uj$I[:18fM4e>OA.19['^Q[s3*_U
U"1'/uc;En0VuU\'YK/VEcKbdt=yAC-1.un-3a3LIl9'X^Q)EMG0/D&sLQR+-a'p\
U"7u-6-pP8&\y>e4j#:]c4,8gu7%?O,mM=et(/O\2u<MgvVV-ethmXORShwx^ARY]
U"Sp,&(_^m/&QC4af[Vh9<u-Z'J61+\*ift2k;d%)S,I2SQM=g70>2Q<'.]<]&:X*
U"CnAB_%-doTYl]:O>r]4vF.'#9'?n&(4gOL^+0_j%TSA+q)/pCCG]_%,8DvtF%M>
U"UQp9FRt.M>-A3iz;^C0U^%L83NL7i4H41Yzp\tw/WWnP:_V/<'[>(dQ5S*wS=fq
U"6,*9scU^16=5;t+6AaxX<j&^=i+(U[0CcM?8>0Ud%0**gYPBEz4.b0#Uwon(uE;
U"w+O\S#FQMm*C,Lf3F-3MZB_Cjs3RPO28ssJJeR;6Yi^DG/pMcdR#MB(\X%/eE-w
U"Tau<^Q#j?bFg&SR(qUeNAD-Qbk7c+w7f^VxLTF^&S4j[r11g5uV(.EaEd=+R(K5
U"iQ8PabIo+e)V'Vp:jm9=$&](;kIsUPP%QJ<ycv[[bMk9U87(5?qf6K;'FnS.n2P
U"u93U#,#g(u+0*i*11-)*LBa=DhRfcgcNK>putK69Xo&a8IoTfc2e8z1MY/YD(h;
U"U687vfF5:u42OmqAk#DFZ/.BkKnIgA0s(l;YS\?qBdhrsWh#(v1Q+c3kGFMnL7A
U"+^Q\pU*a98am<ZmQ3Pd)8882r*r93I-5zJI]oB4lqaRYY)._$Gs[Zp:U>&?Gt/T
U"qTM+=u0n(0<cu66fpp_Jl31EV5<(Xc:8/t?E,&la$smcELE=D38t(KQZ[0xfJe&
U"y&'A.L8agU8Ke]?XE)X.Ln^EIqX'D3OyheI^e2kc^HEt6Gk%,rdEeb]h7GtTQWS
U"#fn=Mf7GAImjM1G&$*>Z9OQH7f3SEN#OnD/Q4moz;%Gs\6u^t?PF:?oS/uMbo+e
U":)FaNrMtMbs#7>xV$t+]r+qz1?pV6_pVsd8MCc04322-CLxs_N&3b=QzPsrq>oM
U"[]<k0D/-V8Jn?*=Qbj^h*d?8U;+HWeS]V]\LSP=3uu(v\]OsFi1psgnj+]NK'Ob
U"R3'8%-XJn_w_Qq=6d>\WlRXj=_r*#6];<Y5f._A-lP<$v*MXRIO2j=tj:\K,OUL
U"H<1Bko.%aTeK:n<2?g-_qmL(spOm7*P?zhP$U8FlZdpP9^;=.A]rX;=wuR<4ALd
U"gkL\,i%Ylm805hiU$]JYM>)T2+IGoPZ8F1$W,TqvD0O,ACw:XrsBGkG6K$?#:Q?
U"N0N?(+]A0xw]J8p18=VLJ=lsp8WqpCnXNWmUj#1e40en?kTjV6JsQFbVvu0;nor
U"mPbsI>X5Gn55;j#oDA476Id6A6g*gQ]Tgki1%riB2kp/]obKB'2kI]tUitj_ak8
U"\%X-x%+d/2na6g04(AYhh9q4jF;?9u*mShqXN\0FzQXtTl^Zs2^fh(_s(a?J0h+
U"E%8*6eJSAM^%w3=nz#+EE5s(UGXTueF\:jx\gH_R)nQnnIcu;67>)mNwsvU;Pjn
U">po,gC7cL9)<Xk%H_KwBOw96J/U*p4DHT)B.,7/h2Kx%4BQ(yRUfW(iWHQ,=;:k
U"CTWYRuL]tDNRLDpS$-A2u/+/8D<'3YBw*6$\A7DFd#R^\Ix(<>j_)4k8TeM5MVF
U"U94*+zP'C]OZpV%58^,M5v^Un5G$=IvMkO5KpRUbvaI<lw5M4FOm+0c'kawY:4h
U"rt;aNP.XQk#e)S:Hrh9^#;UTxb]-mKdIs,,.]Qj[ai3:^5IL,,O_oo07I4DuE#T
U"*dJ]Vec%/N7XXa%&*F6peGrdg*HndV5TX1,o^'GVnHy'A*F;A$V%$Brd8JA$0_(
U"IchT'r:*Ri(IAIyFF=;J##FO5Xoifx/wIji7yKv*P;13^-,LF3Cmff+r&6p5l]U
U"HnsEeY2JlL+aSH/K:46(C73jipjK5CNP\j*f,cm8:jOwL6(Rn9&e\QP;bkrUZZM
U":ce4ujdSRCFRDJt7AYSYygcjm7Wsj[8YI*-ZNmYYSI(#=W&=C$gl*X;T1u]eP3h
U"u'Q)sE>+%7h/bI7=iWP3u+YV$5bYn8(#n>0qB)Z#6%hKABle=^J9:8ZIf31Qr[k
U"anVbHnJ[)1xa-ECg,&dqa;j(q\,jNOB1R<+*:,5dHarV&F<SUf+gcV,JF7S.+E<
END SUB
SUB V2
U")6VdT9<_/f(t=6V??.pJ=[F+TlLc9/o)R,&$Q9'PGcUkV*Sgu#U#9LTHS1uj+cM
U";8e9XUSpqp/1^uj^Mn5..RLg<Xp$/suTSSuTs=uTmu/*kwRXXMo35wfxuM*%w<M
U"=w<-Mw<MwmR$M_X..^UHSkg<d0g<rYp/>p$/QuTJau*0bw&MMo/YM/=QM/acM/G
U"MT/WMuYUSI0*mqW,G=3<dqh?L8&was/,N&qK00bYBb=MC>I1\5^_qV#4.lfNg,_
U"Xk\D+%;Vqf$-,Y?'3]pudkT,D\ve75*%v1:gr_As]4ha9\FG^(:QI)VC:zW(Qti
U"O\gcFG-FuRAfJX><drNtn0TQf[V(^b.n8NvV1tDLJ.hcn+9VT2li6]KPFKrXC\)
U"3W_e?yflHdBeFFbF5=#BFfN10q+.?wjE_%)&4rt%NdKnC4D&?U+^3GePMeuF$*J
U"IG'dn+m.Y<[XKB-$GP,SaF3v$<hm2(,ul.6=ouH;oO#6q0B5W#ii5W56hHAHv:9
U"yLmZ6.2kegd]&i_XNGDv%fBl\YnQTB5=UQhd[V#_1CTluJOOY0'RK(Sy8mj)>.$
U"iV5FIn3kTi03P:8[A?<EHuFh9TO:8bHD>jBfhVtxTrB$/[0&L9HeRTiWw'[t]fI
U"jZrmQDWq>X\#iK]bRS^D$[n=i%*z87\[]>HIzhIo>NniN=9;Ew9jfhu.m4hnNQx
U"md).P97J=ISm'cs2]Gl/B+SYR=97TxYJ]F;oL;-+iWWVuX#59$tHHe%5iiSlI=R
U"UP=aAJMbcX+p]&gfoE-Q=Q)5WR)K<<rG8n4A&_F_PZDYI7f*P^1DJktRZH(tcM$
U">NQ_7>)m4(*n;[V9/jqQCo70ibK/O?c)xq>grJRq1tyU<$$:d:v//^KEC&W'(LY
U"Ghx+[:d+J#IWiT*^,KpKGr3MZj4RL26hF,%C$-G4U]N6vuDmL)30'Du]/0=O1d'
U"/(KjgYPLE340+oN:Hqwm1)$mz$G3xFFV/?tM,D(HVNma/0]v6N6obFg++sA#S/a
U",rX_rv$Owb28&DwZuogjbLrJ1bvkL,<w^#MFO-2lT(F*%d((%dBaoWWL/pDuKBc
U"F*vfk#Vx]^&7[<,UidH;$\9xutegMW_h/rO(oPbYMJOt/v6G*c3m0,YRb,<'a$o
U"GIYnag+1A:%*T;0blOxIk93;?+)(AUin7p%C[fg>QK&PB1&SJ^kCF^Y43EpT'=u
U"mR/m0tL<)n\kBkfG6iFyN<ntH.6+%$Z\*0+eBxuJI3]e#t3qtdJjxih\Ux=x47\
U"m/Y[Muh5mCkWd,W58L%DqmuQ-EnVLfLrrO&kb^6CHC4R_eBF6fGlAP;HOW.Kpne
U"=PBiIHaWu3U?JI,JFh-8(>P%eJe+r''$CYg\P;>6i.YDJ/J>Z+<#G'BabQh]G-R
U"J$,5\m,b?&/.zMr2SxueHN_qtdcHlfkmkQLab&aVivlY[rP<jfOamP.t(903bvd
U";nJpixM5qoNt'7fWkAKf0Yl?Hws:JKRT)JZT=N4SNB5uBGd\jS%&wJ[-s$slOKi
U"8Sg[HDU4Ie'';%z:Ra.tA,5todHN7t8cemj;lwUvji+l_bl#WvrrS:.fQ](&A:x
U"VHtEtD5<g?NR[+,9UK]rPAf?=.kC=_$xYd(Ag\eK1+=#c=pIrxrWNOX6sjzg5+]
U"c7Nl9z.AoHB<:23-0rT2i8Cj+T?cIE0I^1;Y55O&.lRW$/DCC1S-H8Q0-,zlODZ
U"Ypwc^4-db$Ul-MXw^Zv>ROg.h>d$'p=q0':^IQvL4&=do$v60Jzm5Dn#n_bP/sL
U"J_sjMtt/WPop:$pj3+WCVGgpbW:k5X;5wuE3pt^Ym;W5R2b:T+BL^XnviphQ$.X
U"+gPTE:.kWK9TxU,uLQ-^YWx%l$J=L3QcTFqp#2Ek']<C=ny:Fr)6rOX'6Cae;t<
U"f^7dxX680cp4iPiBq.3;YbhkDt+/d4k_4$Rtpkx=0D)n+gVX7Kl6l;'t;G;3No(
U"'v)-/fld4\vlea^bpsrA_5W57FEPdi1;GEs?1E'gpH/P?M*#d2bLi4rb3h&:2jm
U"ok^x>P#F_ZQrwj=s^xL9(nqXp4i$iqs6up#4Wt>dX4*tD'1)9f-'YZ\\,/PpaZ#
U"8/JE^D=:n$R$*$yc86M8P&^d+lqKWw0?):dR$l;P?D<P'j'wmO?>PeK'WTgAsb\
U"WCVc0Q[;YT7Ks\:[mPUA*a]*oa,T'r[b<;YPPBUBIbqkB$tIS&i;AsF<0D*g_WL
U"-Y_7<Pi%L:?NfY7tDs]o/GQ[*[d/3gbjF,XcDB<R2%%X0n-dsV;s^u\/wA9(0AL
U">nOV7[)h66-F(aLI.G#f.G3:gMv54i%zbT0=(JYy%7D7\JwC)S')IFy<MVYvoIf
U"rEo3LJl>mu90EZSjpre+qWd[Ff-5YEOZVpQQQeh?u7ba#sC0gD6P+OoHEpe%;AX
U"_7gvRaV(q^MiIGMF/yt2lSXIE0)K#>\*36go:M3QSB+vh6)r9R?m%Gir/)xQ>R,
U"N+QRU%+++)Cts%[aEpn(ZgKHZCFi*7>.ASBN+(cI7gT5EP+]&,fs<M,<nS/ZlBK
U"JX>l+\pRNaEU5$h3dQr#jtS+:=Jm7Qf)GeQOQ)P'bUXf7j7k5a?]_SM24-j*BG\
U"I]O3A21uoWr/bx,vG5;AL_>hv2]>b9*?YkxLG&N=wdcw9/mpDwfbPT/Wk8pC[S0
U"o*kjF[>&.5uFU4'F6XyMhrr3g6pG,UUPIN%?TI=cY.c($Aew#,$s9)q$ro(]ipH
U"w%6zmF39co2^ZTy$RHUX\abbj/OH#g%6coIb]:)lQ-#N1LASsw13BMRmRdn4QmS
U"04V7ZDM;Cn%7oC-El8K]V=z0dnj?:FG*MM^FA(%[io5%jo1oCg5,/=,iMoC(9&x
U"i<I(7&$?pNWa5cWpk]hkM%,7Aqc18sX[>?7F9tSn)<Z7YXa_Rq)CKHZ.Rg)=5dL
U"F]jdE_L(JAR&B((CLuY>f<U:oZaNcaOI1oQKN[D^8Eb)<lGOjG4m/%AY#pIhr7r
U"6GR/D?_,(Yen.LL^3rP#=(hYE<N\+'nlox=NqQUHwWUGgUyAaC_Im=+j<WM4k(C
U"DbE,50&w%Z-b=DWu8z,Yf1D6Kb#cYqSaYJE^0Y=(tdY:GD6]%w7;HY<*4MQfj*O
U"R;wLp]+0^k.ArI'u<R?Vav(M\.O6tN-jFQWi7d8-C&_Wi5hgM-eUp9D(fV$Vejf
U"kC04.KQTbdU/Evu<$Bb)bLU:qAd<y7INd?R=cZx%13q5V$8I$j^\($2UomgXMI?
U"aU5R9mXKHj]68KnMjHIrb<0IQ;2tlHk&CNocM^]s.0LTVq[=vk/cpi#l10^[0)l
U"eNwp(8CQ<S[?)iC<_MV8zU7HV-*tQTgy[T?Ud.6d8&99MKTyL_-*R46)>:HXUrS
U"VN+3MUn.Kj^3uA(h>\UuQhnHDTW#A*>agIqi0rdGy$#<X4T9aQ5Pm?>VK;oHKGb
U"vlYfeW0]c)PJt2,P)IN\-dW.-GTFA4Bsqr.):;WTvf/?0<';X3hQxu[AbfZ_(fd
U"-k<8X;8nA2\&+dnAeY3MP)^2g4840sMWq0z*9hH8:L<ZL/(7aK)[fY=d'f8#6l_
U"GpPQNe7'$Bn8dKsI^lNPMtOGnZI<o&T?</:n$qpM0flPxqN0x0xt<js_q*BLaTY
U"<:MKQP;8Z/uTmvjUl&gG<,?m$QmCq:s?/Yb6#g$kqRZLI0we'I0xZuLQLKhV2HS
U"Y/xP,tk6%i,F_B$p0Qw1Pgr-bqU1.ol3kSYLaOfz,Tu4a)GlA.ubqQ_lS9p=)pW
U"#<]evD*Zq+ieV1wyy6#K7D(d;N]q%G#Hdb\uQk08GjGLd^;];;XqHS*H8WKMlMX
U"'IvF.Gw$5BF&h8b)3nHL023]:5<YAKrt[,ESJ?LRu8v^5o?F2-]e:UU0SNrPZLS
U"FRTrKc.F:7%nKPd$1WmwqlO4$\P$:=)6.cR]vMVdd)i+s/A]2SI_]U6Qf4M$PU]
U"0SV#OTG=T[50]R=s_%&ZlU$jiUgMin&B;854pX(Zfw&$G[rcBc43Z[>lh\?o:%X
U"vJ)ZkO1'.*gfI*%Nj=d2v>2s(LTWu[/9QVbD9fnTg:QK2[;]G21KiQgUm:hbJ,f
U"_f/Os.+z8RE)-3hNk,9Oj.1'6ki#I.1jB*vMFK<Pq/k[)UQYoY?i0*Hg8>X7lG.
U"?X&EL+e*)m[4eGP7?VVu0K3vH8gTbktFAkGQer\2Tb,,4PPdTs(FTHcQ;PUXR-e
U"1I&g-IGS]'u^18RHJ39S-clYu0[T/pTUQ,(W;JEi'.1o[_o\.FUSCyqbX\=:Epa
U"VtIJpB_/feB\+G^+rxu*H;LMuUpjw:6qZC9SR*4-9$CZ2ZUc)uBu\=B_DKQfPG9
U"V\O50_].K7ga4kn5GinQ^dp,-Ytm^0<$dEMWO3NJn$^.vrkNZ.&m)tjdsh)\_Tj
U"lpXBQE0<KIqFa6fXi'=aT0p\b?lg;6K206GwXhpO.#DDoiF<r0=G7m9Cont8wJ]
U"W3xTl>=WqJ+A.BsT'pS=&m3q2V%HeE#La^6Cgd-Q&E=Ujkp,-QjxL_#+8F92PFU
U"Y=->6rd'M&HkLpFm7/SUZsXVZ_*3'oMV41b:55fjL0Gqn5C7J/XJiGO+Xdbph\i
U"IUBTLBK%x8RQ?($Y2Zpl;S7<BHA.F.OZd,,?RR]Z;$>jFzi?u%V5FW$FU[YE5o&
U"=s5SL8ceH$$POu>ARp9ltnA_lcBghN^YFuU?<aX:P:[Hiw,(j$TLI=n+m+l3BQw
U"w=Du\YVVceezTA(n[,C6d/Fk6^yfc*KZAJ4w,ZnGR9)AV>+favcSpY#_5J;wDo[
U",,GxcD:.QsA=k_AW+LUqHWt0*?$5*_Wq8d;VaH7?<_vm,ow4J*SNoMR.mIM^.G&
U"r^+U=+W_w(U,X#cW0u[9/[i(Vziq\J=wgA[56b/3DxFBk7<6'XEBUwsYa,^C3[C
U"CKN7XC*;X7e+x$rq=/)D?SyNOeD5m()(#P:Gv>U9fA*gJL%Ph2=QsF_+]EjWt<^
U".$6tvS9AV;ZSv=,0$K&Nw$Fw98CBiRUURF)W6W\,oEw3'B&v'7n9A5Q-Oy[8_]l
U"I<<oZF\9t,VeRlT'&CEnlQ/t/w_1QOR$bHw*^q++2ZW(#<UfY*f,*9$i16a7#?;
U"eNA==LlUX5OG$;7[]=*jtqjuDuO=$#R4I)7'X^]zU;8U\<(LKM>NdQm=Nw$taE[
U"c[2KFRfF0bL&V[n+WU'lU/BWFpzS1t;HnVgGM]J\hY-V#Fb/8:gtTYTeN2L&:oo
U"x#BCh2t4>[rGA-$jelx8anepE;LT&b-OY0>7umr3eGjs$K'>p'g+XYLQ,#.L;<L
U"z1E<E#ftk0h2oCeY>w]prS;]L6\8]xthhC5iZcBF51=pA^nITZCXp-GyhMbHNV(
U"%CH+p-hc<IjO\2R6,tFCh8vA-d$M%S)sl6YbnYD]rljEvqtyrBPFjgGAe]Kh;7N
U"h^T:SR-4S#%<7S1W'U\f3Ke']&4.LJ'F4tohiL#ECB.1XE*MSDInDa'JpA-tAS\
U"P^5_5YA-LDA%;fnVd[/s#u6LHSt;q(bIPr0c3Dtjs>daR,?5nvtTJz91L&8IDW=
U"^9XsZQZ5b^E,3*r?1uukXC9H=N:7#SQuH-4x[s6fud4:uZ,7J7$uV=7:&\lGJ;8
U"d]i4tr?FDfyrLFZ1,auMNWw.'P8cMfI^LkEcM&\x:,p<3RP00kJ,U)](:lu8hkH
U"2aat9/uR.v6meT:&&z)l+\tBZZy]mpqUg6e_#FPDMQA8e/s[OhG9PJ)JlZT5P;P
U"X=p24]#3$Y:a:bX4r&_iN8]KX2-U[T<?NSd\?aj41\+x3/][1/'S8we/KsU/R6s
U"(Wl/?fv2n=8^re7eo_?VBV3llVB(^^h9Q\mM4Iksy7$iN_aOd6&HLQ6yw7D]g<^
U"RY:?79l7,XE8;URd.(9+1;>VUwzl^3KQhyPivrXR5Q$^g^/%C4GA,79,#'eo5sA
U"c&m4bfkA3whGMC.d.xF3,643$iCVx)Neu(GkVhC^4-H>Ouf+HX)6.vVUmSgV26d
U"Y_=2sg14U/-HhmGUf,A%nD5Jmc_L%wU>$]'4Smb^F']g1-U4F=8oY$%=rB'g=do
U"g(eD+eKeXLJ]\Rn895uy-vQ$E3<P1]GIUz3:eWILSS,d1>,TRgmtB=iRJm#y/Zz
U"Z1K]QHlTJ:uEK2v,<7EsSWXmcm.CENYSW]Ao]1%52F*/k/^)7_(jeadFNd5HfT?
U"RJ715+:I5Wolr?h=$f'o.TvhjxJkZ=s'=;lT>dS&_jWl-q_VcaR[^gmX)EDired
U"5VKcWBY:C%\5wrc(-h5Oh&QAnU6=KD-YUV>3-HN'ZK;zAGS>:(f^.Z]ncn<X=61
U"[2&OCGvUs_$m8q(HEDMjbtMlic#BMomXE6g])8j6Z92Y+FSl\'/6?'6TKo%hJwt
U"r_8[$>$E48+>lKcP/Wf']nrv9NuI1TnCOl;7\*8t11i.q3U=MH$*)_trfYv\(:>
U"Ko5,t-qVKPTlB1CwUJM*=_p+-ogr1c>93UF-'Z5faWCcFy7u^gjk-TTsSc36Aib
U"N]ILjoX-Mp?NtAX^+b+PcJ#J#^NFFF]M_-&/%5:EgI2CqHzgotq6X$TLQ0zdOY.
U"Com.rM^NSgj^07dK*dP;sePal.;s2B8GT1M8>8wKDLQ,&Wk7]lY2vrOQMqgVO5N
U"u:eIb%mv8:MM?%t(EGAOT<;%ilD&K_;9OGUadcj9vFmRL*&?=M/Ik8XNwa-Qj/8
U"Vu?,HD?tK3/CAD;3qVv0*3rj*f&YLkoi1]>M8$Yeh1m;vdC<,f<swtUq];SlTd]
U"[9X^x>E3i8$KY8[O'HD#h2k#]L+7%;H4]qpj)lktaYi-zZx)XMmcu]FaA'7Qapl
U"e90*-S(s5/YHvmu<*<;Oo&p0u*9(3JTniRh;'gde&XU>L^V\cVNC3/+^EgAZmi$
U"W]5=38m($Xh0kqCiuermhX'ZMO4b1UD]sRM')2>LofG?aX<RfRf;Q2s\O>2FC?6
U"7[ZZrIm?<&iJ67;yKv\a%l3c%=VcC;h54q<jvIZX40'f,E$o/q&OuMP*U7(2(8W
U"0'cS0-bnoQk+_#>IaYpH2Xq]G,1%j\ra(0]X;Q#mRI2cqQW];6LZ.f3<565TG)+
U"&PPD*?A2[:TXc?&n=W+cq6qH1wo'J/$ATwJ;QUG?)<6aXE'$xWa?QPZ<lB1k6[F
U"%k<G?65&P<cy+j]PP[QU^?WG#Gr4m9t&biuD,u/kJwjjr$Jv6m;HqE<mVQ0j\-w
U"kqJM\FFE%M'HM'I<IzLZ%_1+,(h3w3E:K<EhkAMsNdY7=tB%>3P(\KKb*#]D:>6
U"iecluC6Z^\]lnCLsuG)F:l6jOt.#/tD8/0GU=m8O+T*d+-x8WjUkxo-F/e>om]n
U"QfHIg(sZ_Ng3]h3stN+E?jELb'ZHNN0)TPE+j0,7ke:.tb#pxsrsb%U0m9Q6aj(
U"lxoe-k$[e<U./?+'ote<4t01wq?8C%&UuVlnq1(D:T*kjsy9d(sk8qpZ-q?C#%G
U"N1x]o7Lc$uFHo]c]_RiH$F*Nuam6&JXvXFfei1r$4(dY^4*ux*d>yJ-0K)l%;2l
U"iT=jZblBW\n&k<AO>.DtQiTU)JL\?3X[Z7=K4mYmk+'Yq*ds7\fnUNPZhcie,#v
U"cKPL$si.p-a3IYDi^Ia:UE4J,,Fbd%\8WVgH.gTmubj6OtX+gN,-.Qc:Y#/'+/p
U"j&Yn:uJhLn0[FT?^C*Tx_FNti24'hwrARq1AJSf<[Z^q'dB1o4dbZ$g*UYl*Y;p
U"UidVMwsrdasFn??GQ4b0?1#cF5?DgCAuj$tApHu57J;F=IzM9N\c_]bgv\5H7$C
U"BrB_f=2UcIw]x*VXKLcIzw%Xh2x_Y:>SMGC]&u7dS(b8Au[0[6e&$7#lR0Id6gl
U"cuDC\K_dI^7'$O)4C9q%LS04ptt2<vV8_O5+*[2J3cf5)bLy)4eX+$(sYTQj5r=
U"J<C+Qb/X6R$aS9gag>R92llJ>$9<s/(.Rhr_noQ^Iy=\F(PnEAW]EG*YU7=Y?qb
U"T#3gN=]EB5#j_wpTds^bOJlusQ7ml+T&(Kvh5pF2]Fn$';3-FwAldpyuNjBZU<w
U"%F*2.eF7A3Oocr]&g$/l61js1p,oJtF,pu.OGN\hyED/<;kN^K6\YrxpQ?b)3JK
U",(]+%tuc(.PZ(?Kud\L#.e8&Qsqj3#W../.)1Gf1aJW9(-6ve4*-%6Uj_'YmdO*
U"+Lj/BGJCzUuAzKhxu.&3[E/qb;i&*Ie8eoD:C)^wRjy>*j8iU[RojIxhfFIWfHg
U"otkhhFKhtJXtWupW5pH6h#:k&sN2HrVTJTc1=c#T_AyIEU4pUd*b.oDDAc6]u$Q
U"cvGoxN=f&+,xR5uf4FOvs/NUiB(2-/#dj,#K&GJW(XB33n$AoN;FP&h''eVODX.
U"8?Emw6]%4o()h_OOSmF&%O#2W4<%^FGJ_o(xih]na_j9CX/&gE2\n^YAq9_RAcs
U"-vuV3-e0a;rsY_DXH%yfLANwIMSW]Bx=3RT6'0Ll[8&n5xxF]3f/khTh2WQ/[i$
U"Q4WUA3-^'bRl?hL8Rj:M8O-?nwg$W-r18B9q'4s6<JGptbdU<5F1a'#lhd7Slss
U"t(G/(XlF8FyI)[Mv+DjHIyT):ka^Bvf:WBB&;%YTt[_]ir2Q^/GOSB:T3;[:xM#
U"#*5Kg?FY24Il<HYHr$*#2z_P29EWLZIsMww>*^\]++TKl?4\=u>SEY)=3'fNGmg
U"1H2>Uv^mx3#c[OK:t-N[2^^=I'S&jq#<T8C;_EG^7_QB\G#F-O/F+Ep+AuH<G#c
U"L2y7s*4:?54CenJDW?6A,/+ibS_UL+)w8wT#.i[U]P_5dT5W=pyuHrdhGdxGP=f
U"LFm].;0IA%]V\b28rxlEx(ms'8Cn\n$=4GmA&bg2+dt3vJjrbQ2RSgZ^[2H3k[l
U"OG6ewj,tI6=bZ'I=lnm4wc=RZmro$e'n\\V&4n_/P7NRqFx1X60CC9*LCa93l>Y
U"50h]N#v$Cx'=3X94Q.]^K\]XVJDy8o-W8G=sjfQgj4Z<wauqhx17sacU'pw05*9
U"ghWYvwT7O-\AgGywmoXFkX0+-[ZH/5m_(Ukzw4rPevAwkGK#m*;WIv'7vU2qglP
U"BN?(8($eN(Xx?JTSBP/.uK=Y2G=Q*=/oT*gh9=\WX0]W%ot).4xNPcVn>>N&cif
U"v^7X)'<Yaco%.M5z(fuk>XB8En:%*Rx4J>qhO7)8<qsoCp6q.KpM3Kfyq4KS/sS
U"Nodky%eA5_dyl-_qDzE_w?dTq<,F;l9#c&'gD%T(FarF.Fyb1o]'0>)$6l'>%q8
U"WNx;53bAW$DwLOGexv]s/X&GD1=)0x1VPVz)e_s:G/?:(*FPrO#;q7?2#wuJPi+
U"x))1VW5W$9,o#1\?=\(D?v#BLB6[rL6L\u]+?l<tdVrF?=HOnYP#>zFj[#u]C%Y
U"(RfqG^KYGPZ6*srtX2#nMOKNnQjFnTOP&<T/H;,?uQp)8L)2G0pq<-h1U.2opYt
U"F9W2)1J<y,Br+()JMq*7%pjShP)k3#iYU;M#UnU=#BB+2;PoZ'3c:1VY8d^O](L
U"d#n-#x1NJy9EZ[MZ:K4b#\*<6?eW-B1uU=JG[YfeN6B8M6Bvh;jbWp4m[tdy-t)
U"i0W^Kn'#J6h&3clp]oKvPXI3$W\3p-H;Yj.[O+dMf9k7X7c:lu4AXw7H#hxD]hz
U"?B+Vj,yFJG<X?N[S<SX7$vpbz=.tno).,1Erx_KRo3X9)B)4Gd)GHH0iV&kx.Te
U"%3gX(r,zrIU3>Xfg%]p_u#OeY^dVxUG5Kfb7R7bUP%76Y1T:[YKP',/ep-\)YFR
U"%'X3Pqj)Ph,KEVuhqLRI>qQ=E<lbVw[>=+(8D8?CcFJ/&6drl_bO=cxv?htaS],
U"X.v+hswtgzKq;*2+V*MNYujJ=&bH?i>'bbyS%'m8DeSr1:<'V;oow'C_LH2l8Ob
U"mPM[=o/QXo^Q.[D'pC=wH-.C8(b5*6jn]Q*2oSF&BD+fF$vN0CF/]7cW0_gJ(5c
U"zmB0L2C1crjyYomb3B%]):JU/u,MK)&ml>DX7tlTi#1AzE;],Fm$Y.ki6rH40a7
U";vd*0*:NLt%U7up'FJC%Sj+4\_6.AnW]NLS8r6>D4.jUlt:p3F$\a%Xx:vDS&nr
U"ZOU5%,4187r=nNM&kfg*4fpc:5Xr<ao62d'%-'LRo757\>AEIWkdC<1ad)1V#nH
U"Qt^R$>GvnkECXPx^&l(yR/5T>jNxTmH7sB\fr2^uQO[(?wG_.f:#>A;x$IEH];O
U"Wndt<f2rcaj/fb1dh43'4u[%tn&MFSBH:?H]#l-JI#\zSY_s#i\P]iO0gD+;_$W
U"O3PMw4?gh*9[,VxO?r,BpW,N]Jc1CD8uNR[Pk=NjQ,Gb5J>XdpNVkXTa3:oKWNk
U"HlV=CHnCAo79-5SpRj+;xlWd5HHJ$jL5mjXqeT])qBPLqel2xq^VUcCT5s)YIZ$
U"*ZH6i%QBaseVnT8V4.k2$tY?<fn-gUR1>>>O9iVVra-O3euAkx7Wn5;WB0K4muu
U"^WH9'Ju$aTxPBjtJ:1\SDL7t#bAt9.l(IaawJ$Z&wDMEWDV0Zgrb\OZhN?DHNgI
U"ekVx>W(5D&U.JW^arWBq<npp8ei_MUd8<e<<5$iouvc(L,&syTUmGZ<qy5<X%+a
U"qocq=CtfBXl>C$ntwl1q2goC9Tbq[Gc$O6,fhPkhe[;N#Y#%0lr/PztA+P:Ejbd
U"\zp#6#[yP7a9G:Gac*A-#R^0+o%N-?W#HUuF&Pj,>GMNlQEuTWG(G0'tS6Q?v>f
U"RQ\C.7VH#x+$G5jF+y4DHq<u's-vqgX>D#haGSv++8fC%^LOKjzr_ii=dDp2)lT
U"he4ZHZhLD0VKBCmrd'.vXsIC9t..(rzOwueY8t5C)h_Z^p2NaX^b9BZ46tEhw%G
U"Zqro&:DS[cK7d\9\uwzh>];*XPMW2j8xs8yr1Ft6=%p9&Mp?NM<9s*]#dfZ81aM
U"I3/7+f1,Y84>B).EQ:,/3hF,Ep;Du51'+'nNz#\n1JQ;(A1pXD<h4QUd(H'<bK7
U"e$U,-r_,[7x&7K$1.A),CQfYIbbHIaq-iw3Sq4FdFFb$$5W_IA0IK%Ioc_K^THI
U"rH4]K9o65q<p_(Rj+5$KJ./_g_dHKI5\fa5mT+0Ci$5RYGOlu)I'O47ynrf'.SC
U"]%tp2&1jm5)vngd6[/d1%*6XvqF+rEk6noH>YRD#W/1$Sy*d5?hobjVqZ?7]AMi
U",PBU\)3Lup*x$G#]4B;WNj_1_H,+6I.nz^8(KQ>-0eR0V*BM4C]H$5S7FgTmu-R
U"C'&E&psJ-%?zd56l5OuZ\E(M0>0Q/F/XUxM+28VLSFCh%M:_%PR^%4/y:(6(#-h
U"=vX_qptYpfLqEUKW8swR^P(</_0GaKoAt9:oxSDSweQk(i['j1-OFaV3];R7^+-
U"0AGk&m-96(EqmWJUu*KWw7mIY%N^OW^>bO-1cLNFE-N\p6-IlUbo)/qUW'x,sMO
U"PHFmX&/a2SPq4p6o%QtX8#TChC\b7kt)\5$JVm3ouW$-WVQ(#U>+b0R4WQ/P9q4
U"-OJ<CbD0204gjoYJ'vQ5b1u()Z%BksL^>W^/Y6^lIi;gGd5u#r9j']fTBuI+jx\
U"_rJn$:\pGKSH_kY'09iMixVnZpk*oEvKeE_0+[nKz]t7,-IN$2;EYj6f/MFBl0%
U";Qsp_=lH3O#c[91lRiU(KE\M8\Wu&[(:<*;mU\Gb>%NoiYm(he7u16*Rd)KUoX[
U"qkKYDG,mcVZDHiF-tM54uT]]4S6a/QBd5\Dv+8E+4N7sgZ8+4$,g9*V1+Vd*AWW
U"O<-C(<<fLDFcng1MaCG=aV,K\VF*gb\8E><L^#jE5RC+t?tj&GD/T62kbF15UF4
U"tc$?3]D?kI%,bV_mCHIN4,bG\TKcf%HifCW9TR_wEO*3OkDHm?6-/]:U\#N&%rB
U"w#O[<::L$O<HplAvO00C;bF-aB%mVWU/0KdbrmNGY9+GW$QlTw)H0AC%sL-$z^)
U"8>>7EFSHcGalV1*LL>M+5hPfO;GViEgV?6$\M=s:Y&Pa2MYzuVC5BHUieMR.$wy
U"18kl9$ov:Lrd=?_BA7e[a]7NPRn.tZU&F6<KdykcU[l)ApI:HGVSAhanp8H2RY.
U"WWYrhvTD4t#zuE2kwp\&kc/LtK+M,A.t^8b_Av'hQ[1'ds>mR#z^6U0KqCcLcfA
U"NY(1^#tIwpd#/K%$)sqnUVvshmxz_M:%BcE5]>A$hy]oh=5\d51]^Oh?&6lvMF2
U"q#%+yD]1LB5_NIO^bP]LfsACp$L;p]72.G'1n9hLpSYd(*ft5s66h)4-f3LcqO:
U"\vs\\t1aalEohtOooQo.L9*(lL843d#n2E<0egkn$VeTeD$8\qg>FQp79]01J/k
U"86q&8Ln81qomRUOj6ro>$SdkH>-Pey#qx>Pg#qYGMEU%Es8oi)heN4><EXjP[eE
U"uSspF3e00V4TYjvYp9G$GeSbQ+3fPoIw#[s&o/825mu9AE-h+3?U9qEU^$^NTe^
U"#[:?h)oOF_fC>S$9%vAx(MvSd[CTl^b[0AJ_f=PcWV7C^^dQLYo;^)[o3R8-G=-
U"'4o)DtFhNVQVNA:L_XapX_8k1]h&AyV-jqTVugC*ohMKuP8.(ldc:H2=h?PA9:[
U"f6:kO%*dHVJqg%%p-qtRR2mtC)H0]BrH5_r,U\hZSXaH2'me6PgB+T%(r0nPJOt
U"u;ifC)j(s=ToA%HJ\:?PD$F3_wquE]<fkh8;5CBB:2Eb:M=d][QD/y/no$k?\_H
U"]qP2kkl:NP7Ke%nIkb.1BNa9MM.ItY?VIhx?Y,>6uB3-iinIE?nb6d5\$d$$5,F
END SUB
SUB V3
U"TH_mFpj][(5YLYr2YTYz$iKlj\Yg4H/F:B9hNP63IGt0QT$q>:JY7Gi.:>YgGGG
U"u7s:>iucMdB(*1pvhgR-NlZSan$fPLm>h-.Hwj%p%1gsI-kkkh4mk)]DLaXOPR;
U":uPBcX#&8^3g7i;d.se2hN4eEt_2R>Z6wZ6iu_2ahQFv(+T,3[111m[0A6qt;YQ
U"9n1TLi>,<p4o4$%Q=pqV0Sk^;*Y,e.8-InF]$wNh8O=3D7Z^IhVQ'^n*b,8Bi9T
U"_-+tAPk*Xqhv-kv6)Y[Lat;;>apnPWZGc3piM<rZHHdJq<MYu5Vrp:E[LJrvTuT
U"V-^6MbT4$X#2twX78.*i6cWH8;DLwhAliIE,TcuGpRA3xF7q:AQ*L(+:Q3XM7;W
U"'<upR=4ZjIq5ursHVPF/ViDJk-LPg'<gtGeTLC]Li?urdnh-CP]F?v&UXopZ0B>
U"Nn:f/2I$22ZV<d*J>d3$p'+0l55KDo(]u\j2xHH$>Lv>D:CBV=C7.jo6*\xPA>p
U"%YV8g:J[x[MlvdnSu\$^6#H&gq\vD07Y6tnw1Lc7$Z^8a)Enm\LsEvY4>(RE?'c
U"Sq.=u[K?dZFa%-Qc&^#0<B)b&mreiwM_,BjfoB>^$p<DLNxQOiZB4PVoNkQob2w
U"<jfO(Ul-WH*<Uz?UDh#CEekZDnz);SDX8>V?ePPxp5-xk3g$fTjrs';$PvY>k3C
U"65\I(Xt3CFPpcOHq4;UB[kLShz-Yno^>ppWI_4%BllGcZ;]iBEnpnjb7uey\S8>
U"))<_Z.v?2IdCy?3R.2=$^6L]p5jHwu.uF(u>T9uF3&[H>+j4\EoJ:.s$2ehd2BB
U"w^w]^0JDk'FY3o462/4VQpTF7J?.8f#r%$Sx?%#I<IS[)/mK'5NppZ[$bY7Q<sA
U"v8d5iH<f$]%1.Q*ScN6gGQ_9E\PMGviMv/inBB,[Sh//Topy%1waq,rYj&N_po?
U"=,vFH^u#YhG,f\HRWX6Vp^=,S'%KuSk):rjbg5Q>MjbfQA,[le3/d(pdxik3K0a
U"%:ke/fN*n1%)o-b;/ZP/PAESCFw9n'Y=pSTBi%+\*aNB>Wf8qW9E;2i=[Mk9$;b
U"mE*x&vAkWnHW$<=i;V#B%MW#CSs[Wh>g&t0jX+Xi5r_STOJu?>LWqhIHW'_<dso
U"T.v_J/uF>MZ:ngbVb,pY#r8^1BCu-x&R0=Ge+ZhuF*D8#LEu+-s,OYrN,fHsfW3
U"#_w0pvFbe8E#R\=PAocI0jVTnG</_OIzSM6MnCTPZ8B*ZK;\SU26:hQ8mYAU.9'
U",]IBhOQ0;fmjl<4K#aWZTpkpYkX4%O)jg4Pjn)yFe-up[*PkW/\-0[D_7GRu0Ue
U".qS_\[gXdsUH[[m/dTIhokkJE#Lm*/q4Ffc3<Y$+0leLmy5o\GBc>UQW0<tTMvs
U"tZ>ZtFvf(rpV)EXU+]u5']w<=x?wJ-pB7(>;uieZ.khVoPP9vs$>#cAwloRsLUj
U"xkHMu-ohv3;PNh6N04D5Ko)6t;1onS#*sS409n3*49ctXIorUwehiLEx$gI/4j-
U"Rvo$#+p-'gfY<$1VkUseFZc<$4U%ZFZ.]$cxWGX8[i_]9hS,7IPic2%ms%N88#J
U"'1vCcG*Gqf%VnE-]HU3DCvEK)SfF01AsIL1IAgn[u(JB;WZc+gLB[/zpE3P%2e#
U"lgoAG\ZX=ao_:tmueMYOv%/k1VjVmniN6'==o=&5R#2MCHbf0+3o^Q'zU*w;>.c
U";HU0l2.2c>&CO_cOU7hd(2Ftfqn7n70>,=,reL'/TD,F2Ak5+aULjE2Ka(jON3e
U"ZKfT$u4s;CASPoCCX;RPX:X5F1Od3d0nFX/V?E7Vq$t=rpWS:)9RTWnGf(Asa(W
U"Wr,a-Id._Q*NeSgqPc]DS>KPDHhI2wdi4B9b4Eh(StJlKjP^Pw^utl>;(GP)g0J
U"aqLZRQ+wU68*T.C)=<*2ShR>Gnj#1o=<#W)NQjh)-M&QA1ul8brJI3\a3l0whG^
U"2(.X&666xA)c>+e$$Fr]$^$m,nb5d&6&fo]UNc\ui_MULdGY[XY8tq:lA':%Vmc
U"Lf]_;7B-_[3$sXonbctbZh>X7C%t=C+H;LSVs,>L64'I<;>F70PLu2AN%Cs4A-X
U")-..LX:e#Qe#^_=e:^_:L(Nh16)sH]_6=tKt,OO539jE2D+4rIZdpv^.GE'7ssP
U"(V0?LMcO0J,$$DhK/$h_it9-wHaGB2hpXG(X(ocXdjZc?eswU2Xg3/y<zP9^mBJ
U"J6ge1M>iu:heO[#Wg=K>*aELx<8<uq)72wT5<gEuE8>VTulps/K7WnH(EWq;.[z
U"VC?D/$5Tp,PVcXC%0#\x84D9uegsDXweNJQ;-<wGZ(FNU%y*P\-4:'\lD7_*xvX
U"]Un6nbXEj&R5$:'F&*0%cwniPBQ#?3>on--3na;u*O<3'ZZ#vrU;CaC>f)5:z#l
U"iIkvkvTWxJohw&'jf2YCk<*&_S6A/^H;gw&mE\[$yAN:YzP3U\4m8AV,fK\83,g
U"4:#%6us_o'U0K7O[\Uc^1G7lZT(*.*l35e0rVJ%+kZ-9FBL[Wqf2RatHDEtM)ZV
U"?pm7XH=W#$k>Y5]^p<f7by&mX)4lV+]K+hSA/m8J^h-E]IZUy\oaS08MaSRr.E=
U",b'teADjW#0pnIiL>$R0w:RxhOKQtwV],5]Y3qU#.BYAGK;DH7^<i**M*ZUSmP$
U"^&01)#L%%E-#v9Eh_$Um81P2bC>6>.&^[r]i,p;r,_S?oc+<Nj4/jmW+p36.e.1
U"=QGr4t9RSc+2#m_JPS:DjA=Ke40'L:6/l'k^9;A)Ac0hgTd9-o_rT'voj4]\k4+
U"D4ukMIfheL%B?W2vdGI1pap?3YgKGhZ>&.BfKBg(,Dm<PCJraWX;XlL7^V^:TD_
U"4KT'es[Z0A/7C((QjX$hp?W7AFOWljoE(ELXj_rsU^hCij4GpdE-A]K(p+:uoKh
U"M&heh\+_u3*+s'4RxeJ%hu9mR\#DXN_>W1U<;TGs]BmFK$bQ;Gl;]Fk>tDK>NkF
U"+#\l_rFXpskh/Q,)dk73/L:?$t70+<3+S']s%BWm2[a<$98y,CS&C+65RkI_*6u
U"%\jRZ(qSfP3aIK1o((s:Wnzu[8ajm(SJG/StklwTY'SE:LeGgQ%VYw<8*.g+6dE
U"okKPI>E'MMGTR'T*01XHwQL$4LX;^+WcE(aXJnk9Bd0tmtGR*S=TfO5/NYre4AW
U"#3p0M_P$I0mqxApa#dRL?]is#Ctrz6E#f]&/nKZR<2/C1uhBl&Nf[n1'/m3PO59
U"xg[R[il4q)G(Zheqv^0UP5K]&qD^heniE$t+'&;KPVL%+Q<#Pa=*n:,V\pYwWTN
U">'F(O&/*Mk#r8gX+U(ARlU+6BtE0O[PQ)xV&FIZ'klF:<T41A9P)b7'U#<EJBLn
U"H<>1V:Owjx;a<p^g8a(UJn[QMJ:SHL^Rc%&Y_MfLVKKE>1;5bEa2YNlBIEe&D(g
U"^(B5FP+'B/%SMr1l*U./d;DZ^]rgf_9g]lOx?':C,T(ZvG;4qR:XaNV:JgcoW&r
U"JjLGh*'jLZLtbg6YZFrSeqj#9;AV7qo(XA<c4PjI:<ZZB?Bx?$htUM\CfVUC'%x
U"QmAWz5V>V-j_d=B#1TdT\g:'1YvOyp>Q4$CZ'hc/QjevIvZ^[Qy1M9&k+G#TA[J
U"<qu$E_HyG+\pN;R84w3e<<'X\1f>HKEKgHA1Kn1nhK.RurBq=D>n#?[4U24mQP^
U"m=:3ckl*uY5;Mfv=l+EbL1<7J<B+DgE4^:LIKiq_yhj'ykM4GI'>D/]V<j7nN:0
U"7x./&TC\Rm2,G(vIW/_.SP-$4PY=&E\M1O66SP6Z'xfC+>a_aN3:&[=2.B==jCF
U"t+3f5'wM,/.3B8$Z(t2>/hd94<,&[9k2dHu,b\veqnv^$_F(rP[NfSr6on$sjd1
U"UOeKFB&<gEDT6e[)FM\cnS,8[#>nF>%v<HAuWjc-3(dx1:-#;xb8d&lVD<-4/90
U"?5b4797/sGo]Y'*IE(>:SI1ZeGsP<JfUgW.tX<z'vuD649T,Gj=7NV.Y*B-6Gx/
U"2hGE,7QUwYwa4UnO1*vxXElb0m;1w_I[>v,LrBF=38+*wTIde\jAs5>2'Ys=h_g
U"8WLrvM>HaXrI,Va1ugSHGoH76A4,K9%$.&+f_s[=mr<)A^*eJvzBgU8%>G?BV^?
U"F5p9JX2\jVg$yQseab\v4bRmKkVLCPP8SZ.FbI%7LW4NnH)#]hr#i'*1o3.p;3Q
U"02''1t?c6MsYSx2$xm2OOmDtEJp'aW38bwnYV2Ei=^'Zb&WGr*Sv;O1_)^]\=35
U"H+z6K&^;D=2[oLTmP%Y%+hgz:g.spQ(umMLVwCHW+\vomw*5Is$:(p$i'Z+rxQe
U"3aCuNQ[r#;icV3<p$eb;E$Y*5BK0EpGagX;eRf'n1_%RYF9D,4[q4R(1(\4?L[T
U"<l1UpY#Y)VY,kL6Fa>a45*2,Z)cc7'P]8qFJH:Nr)Tiq%xtOSc++pV7E.&j/f4v
U"M$df_7c7L)hSAE)M?ClNBdiBF2/lM?/^E#b.qw5d0la$^8nY()lwOhe:.]\TH&E
U"V[FVVt+[Z<9bDzL:<AYH+$+L:A8b]hro[u]w]+Vaj[G*#RF-EoPQB3k0>G&Q9$?
U"?$ih/51b\>O6ZzJ;[R.usf7%.T]$7oZ<V_:%+,%6QRlIqv\#2O3wHYs$mMec6hw
U"hNe,)&VIq%p9%B(euVZJ4OrP0rN^mj08-3hCO4sEM[kCZO5hIFkCS(.J_;2<)(x
U"$Tw[)#TYGhr1b7tNUN?'Rr%dd.73n/3G$ERct#5fi8ys5'4Cn(Q85>zHW$0[w>\
U"9\.3/6J4M,kreTb\=;>8p:5k7a%PTok=Y,(VGh=hFEEc/+m4wFAF?##Qn4/h]bO
U"xves1-*Q]CZT.%9QF1'YCu3)2,_?L,D/qJIuagz_KV*HaQ#ZRhrLmqWN?q)uD^E
U"t0s9R<LBYu5#<k#pVC%P.vOL]O:C9%b5NVnF8Q<9D;4,aYIG)?K[nW7+6m%T%m-
U"/LZ9hvW),),5_HV,Aw%_sQZ$evQAd%_')#+Dg<(++k;^o[4EQ0-n*25H$IHQl;=
U"q5u1GfWD.)<ZDVo+:^F.U=03,L:IH6uAC7(D2)t>w^#(^j5$C;M3N1zsi$a*4C8
U"RcqVAJpTR/6N-u6rOKKcFdDg],<p7w5Pk$YPmuOCD-XJaLzJJ?Chy,HY?wNrdb]
U"ncS?4GzO_WRbOzh$#H[cK(dD&L_AQpehoTq5kIN*Qd66RtL$x3dX1*iWK'H]%Ot
U"e*x7q=9o]-'l_O%E1yOdh1R*rgY.klIXEv%%bkWLhFhVMssCOEG7<nY-WNvHO($
U"+Q.[Q:UB;GD#eylO4TJ9CE1o0^U4EcD1=kL>51g?X#I(xZgZ,i'_59#eWSO?:Sm
U"q+;gqa;#2Vw&dS$q&q:e#:r/+Dfi]bkRl_Xjlc^'fN[huXCw-DA]d;,N/?Gh[dS
U"I&\g,VZ[fkSn5l14>==h'%C>#F^==3]EO^ek^Kg6/up^9OFT_40-<qT:cS<J:.L
U"jVJVtTFB;O,EX;<aZ0.]m-[ls]'nuToYF]*3YY73eHl0/H:&HUSL69Z7GP]o?vC
U"%[$U3Pjm'%B7]\Q\'*04W]dB+sh4vodJ).H;FK_N.&&$7iJl'B:+HzNfc-<Q,bK
U"/AP(L,AR^4K4OO8$&txWbJoT1^ggfe9%Iv'WScIxkR;#H3]OsjF*Bo%+^Nn'DO^
U"5wjURQl6e8G>(VGqnmL^(5I$Qr8X3$16z%>PB<2M9nHQgMZN/A_h[prl\'hg<T>
U"m(xh1>JX0\^-)71Vl5oh9c.XXPGD<mLthvblFBopV=eYmD*O$aWVN.5pO1T'[_f
U"J_Q)Gx,$pcYO]%h0%LTE#hYttD]OXuQ8CYbFvF$a<*b\By_CAg%3HY0I,Nd'JOT
U"7iIf8X<h?2ndFR#$%Tq2aI6',ODo?/k.#,P[v,rfpXrmRXHrh>$9S'h88LR;#:f
U"oT=C?%Gy.jgUIm+6i(5Ve_MF&tI6DlhJ(((MG&,fU+XRqLkz7iv1oVl^hblhG4c
U"_?WjeHl<^a30'Hk9aa4,Ym_R8<:tV^ARhEe/LJ5X\Z_.;-,<SWWt[g7G<2T?KAI
U"R[$gy3.Iy,j$X8>/#u:J$B093>]gs1taU,gXf;Pz]\OvFn0>TM)r^':=-)q[2f(
U"Bkr?=fZWl._9;i3e$4beGS/J3W,c]5N]=qZ+FE*am2sANxmA/T/xH<2Q'UmJMCc
U"CQdnB)H^PqA_=cde^*PUX6&Rs,4WbQgPjlWG3UrWxjcNDm#x\><]+5L$l2Iu+$M
U"_^GE7#*EfZL-<:frW0[fH*5[)6hhc]BV=NE&'jKy[AFf_jtV_;sE[sFec*&E8#&
U"H^?glGxnYQwZk3ObO.Q8+/0(y^<k[ujr']IXTnqaiRrR,yCI2xkR^NrH65P\ARl
U"[Ju6I5hFI.t\&w,,kvsmN64F2Ud>h:;j\ftsi5&u#\Hoxohkej(>(J'5jgy6>K[
U"8FW*9=m.,HykJ/h>:b/SQAj3RzsS5)wgIh5G34*+EL=IuT*<kv%5>6A8l'%4^Be
U".^1_p41MJ'lom\.z^Q[q_;?bph_tFj-egIlQJkk(eU]je>i]EIpTi&2Fc5d-Sss
U"oa4,yo?ocDq*cRlO-bftWMgtA5X-w3j3v:?ZI?*5O[4l#6_z3M&^oCE&QCMgUQ8
U"Md%_DOo,2+w;nZl'SXBKyqr/Sg/(V?6M$tMi1EG3,q9LLbHdM(IR(>LD-?9u9vo
U"2%FRxc71Q4<43nbLccA^=N1o4?W35eX)=U#XSfrV=^^+^JjZvEhipGC:>BCZBlw
U"],f2ziVh,iA(sQtJT.pTR:$j9/LGKt85Kbj5DF,/;U,&Jw^Zwc,_()_gO#?\S4t
U"Is]qDG$WLCjPF6i2)zLO:c_'I^PHEc?%yno+a<[(grfbeHkI?#iiO6Oe1?$p_8;
U"eI.mqKdNd.tS)s7IP$*/p=F()e'6ULd7DvC>=p.3jWrTD_NM,/XJEnp=F*kuu:#
U".NT-M^:fhy_rDCNGrZH]CI2pvMW;LAR%lMz,c&;_VjFATWN>D8mCrhMDTs=2&'5
U"eHN6(OMKyfl]bf]%=;SkcWgOmg+,-:2:9Lv'GgRwjOLTa8qgV7h2M]SLu'w-5'1
U"sMb.4Ar[Ox0N<,aLX&uLHdSt5a<5x9O%M4aE8oWg&S,_0i03B7o$/0v]V$XO+48
U":RCN?KcIX]Cn8KtbNBLNYu,-hs,7IN_q6dnh^35qk&l.;9loTB?aBsATPx-Lome
U"s1SCBmhrKx9,oN:%1<TiHJc8BAWNZko7yfG7H&3uv#SUSH.:OXyPuixTg+7d*%E
U"<jbC&,wg8zjJ'7es7s;jb4g2,'sR7eV'/fn+/f17<Pfel(,.gyZ1VU2IbTO>'y.
U"YK35EVHmWo1l#KR=_f;gG,'_.P*ii0[V?4v_qNBs+B3$C\)u)E=MCJ(0p/AV&&U
U"rMDp>f&I#7n=LBisk72B,IDv/*nAwln=*+[*^ppBkkaVtu+SAwZa+J?'Q#DE02A
U".ZS)GsNb0)1YWrez(XYI*J&*J_,kmgQ_W2'>\,r9Z8?SuJ__^T1?uanAggKMkQT
U")IEnj2jUcm'MEyAePehRkbT3g6_-l0^Qna44h)]0j.0'z;FSMgUDO<?nNJvNk3C
U"[QG&_g(T#('5q268B0NNZCTgp?na11WoLf'U7nV_sNILFYmdgx_*1>3%9U$.-0=
U".b$%8%CB:(Xg%?PQa$_cDma,,L.;J,f4'vd0-eM&j3b&aMpv$[G%$:we$,\ts(B
U"bu95'&?1N7_9%Hu([aXcA9h_jz<dRe-m0l8Pt'(d4L6$bLk#71?l3G'3etanB1I
U"&=8At%+I<uMsmROXK_CbLh5EY(q3:U)qp0k_jd32)Qxf)j6.HFf(si,$'347.0>
U"'Sm4+xOh=5pDU+H.66G'U(;^cZmd>]]Z$6:FIc7<MAIs6>i?wSA]QABmqgZN]E_
U"cAlGI*[vGw067lD%wI]IuTrS'<&=46kaHC6n<]]lE*c.'?Y/>ppqCMTc+<LSOXH
U"#U2+Rjaf:IN++grPA.GUa'Em?4(=/%/+u*uh7K<*)ZhU#hxBC(a>jeM+(%,4O#t
U".0].*pl)CT*=(AobVAC=t0;m:_RBIg8HCOP3rA-0u-1acuT<MqX&,Hle6L=700J
U"Pf&gpdE[%'].ThA\0fEL&_>;%dCQ7\R>0UR8#X=_mn%ZcU[JhffNmhY9]=EpILx
U"/0<ZdeOP^.6Mr^GV%BGV#]eG-Ke4ZRaS)'>JXq4bVSaa9Oe&b8*YEZdI'\7EB#)
U"R\sUdi#v%tU?;7(Xq<IjSq_BGH'S#MW;p&dC(5Ef$ywMnc.w6PkrxFE$jDnJd->
U"N\tQtmEh2co>U5k0.F7UKsLUmI37OPWL+e#5f2rir8G]2ZC1X>37wr\9FZm<<[X
U"P44bigxo1q(NfbV$,1<:TNgsPK])HIZd7X:5['%P/22fvRMf'-%8R/WeM'^=;(g
U"5./_.iZuX#<5f=GM7UL#>0gUqpHkR93:cA7ara<+h.jPTi=YZF;b/.-L^Q.>P\4
U"\W^8uG]gXXY-wFPUn9huIR[^-G4;EUt-*##z]B<bn,5jk,]]jtFV4Macr5oI>Ra
U"ehm=H6IB$2Z8;i5JmqF+nhd)4s_Q%_WaW^qrfhP_cWgl)Iw)F--CQSpVZ$5pa,w
U"%b[q8%;#;>(?T[eMA3;C\cK?6gly2;MQrqQnrZ:J+V:Vvf:v$:7vV:v-*:6vfqC
U"R<*aLwRIIkV1qOgAYWawYg[-18<Avilp+4wLO(MW8H'Ike:j>%U;B;Xa'#2*GSt
U"1J:Jq07Lxak]+TCqy&8D'7I+1V?T*P:;Rr\qF9:i#12Za6F,<0;G?KG/c8Z>W>p
U"u*mFE-69;?khG?'1m%EYNX-Q;q\QHgrE]WU&lJA7wAn+lPCm+A&L-_00fJ'U)ZI
U"YQ7Am]<0S0S;q.*]+(&.PkBRN5,T_S&s)BiT9d)bgtg8RGVe^adaw(UPg-ulnif
U"6:9K*+SQm<jbgA'9Ofva,?qx1]eR:n7)tMx)'J>B'dO6OLYOVXtDJ]g.:\AF.R9
U"<*mN2d^GNe8]91p4?3B.K]2c>0)%thTLTUBMvC^=A$=':*t>)[czq&px9;I&V]j
U"L5>DuqKJ'oW.h&H?V_&&6hVCA-M(S2UqNe,v2]&6^Vl54?JjI+elZlkVxU&t=Op
U"/6ANUuA&JaYrQv1l-XtVWX+Ar_)fw=r_n%i3byZ._cZ<hrS6MsWMV]AF*'Za<*F
U"G=iNjG+A7B/78Y=eZ0Q'7Bp:1\vB_?T%eM11gzLe77>C&k+T)OrS6m3jTVh4qqw
U"1-CVe8JQXA*PW5_680F)#/*cSqq^t+j+p3eqNUt]d452aoX:sM^bahJA6E6pH6I
U"SIAJ$a[AfEfe-UvO1D^-&Wca&+DO+G[L59;ApqI7qLjWmn$k[)v_L1-5FNkbAC:
U"QmOHCGJl*hsJ%:OV7GCEh/6wV[WallU;mi+Jen8qT16kIRE^[^1]9g&0]%mmGhj
U"8/W=k7[/P?[+Un2/#KO\]g:M/5g.F>m(2yGOB4mNA\6-d*7PSxr-3iHESdi8TqL
U"aktFa5qilwUQ$P3\]^Am]S8,+j]olg%bPKBl/*3N_X8'Kv-Q?Dr^yfg%K65^7#S
U"Cldp/*J,^?Bx3aR(rO.G(E\-e<apH8bAK5;bE*M<D&7:QioQLl7u:saR.7Y.&$y
U"ooktLo.%Wy^5kt?s?9iz:('xtH-%bX6leH_J8/;(Mg,Wx32Ew:/JBsLJWP6:'(G
U"U=wCg)8WXu_xJh/>eZ/az'LY'RDzcO7ExJOKjdT3tq<(G#UDA7bv^l#W6)uJpo$
U"N*Us*N#Trp-fiw9CO1UJR(utDO%NNF-=N=uvW^%x^)3bI5fogdT^'U2e9aDY6Ka
U"FVS;#wK8sA2$:'.-Sbq+>9npK+dZO'nqsO/'Z?_leRx;,FV6apA=+b,u.rF>rHH
U"WH2qg,/w#G>B$())a8U6VvHcBPp\O5DMdqWL)RAxjqgpirmq]1.0lqhMa&XD*+9
U".]8_H2-0xgOcRDyR:G?wBXQloW_Te^rB*k(8>H/-sq+iWf$%mI+Hsv)*np+tIvp
U">[\jWf^LysG9r(<M)Sc&t1sG,9tFuC=%_>ExBWwa%&xqGc(nuNB0:2dpt[*ubBK
U"opVVTGMX>clI%D)klS9vOrjxpCs?7-Q+w:aHc>KU+26+tv?k^fT:]9U\9?J0d0/
U"YO[Qvdi?0;$W.aIJHFn0%5Yp0U;O'+_]*U[PwzNx717E#<U8E20ud#YEJFby-S*
U"Q%GC,%.>e4QP:OU%w+On<Q_VE$9**Go%VbNQY')EYc2k_TR#[KZZ4=9F6sfTIo4
U"cl0QXS%)tq8ak)K/\)vDNFukmg6rZFaP6kb76dOkjJ(NCD^A$LV^8'r5j05rKg'
U"uqAKTG7WqM0q#qa1J7JA.j;$WHJ8WEgYi1atjmjHl[I#kyqDjk.=*>cN[kjkMj0
U"jjNjHj+b*<^AiqF.(HZmH32Y+pVeaX_jlBz]G,kVx\_Iow^QHx+jnk$]G2B\aC(
U"a0a]t7^^Lh\oQAxmOm/iqtv4>M+O,fKvY;DS[M'*Ye_&%_v_(liTZOmXc)JsC-F
U"*/(O_RO9lKf$2jpT[a+nXl8MMurvgp)b>4x:s&wnV(w5+jv[B>OLKFniX+NXAP&
U"(Va3%=Q,(jquA25X13TW::90O3P=[FSZJzrB)(HX-m8NuJCdVZL#hsmY-\c^NSD
U"cnwM^s8pjejaC+t7t>BqR5PGp3kkc>cufjoT2T#Uqt/6UsDGujXwe*gc22?RL>x
U"IurEDKn8&lbieg&8t)qg[-/>px.PX3XW56q4a3Hix?lhx&%up()%9%%%[-%e+S^
U"D%F2iaD'%%%rW%%%.%%%%fy%fwnS[nrlfbgfr<.U5UX=&<)'77w4*-83n+J/'uX
U"l0Y6/Leq$B-GrcwGNOnip(c].bL*D8K$'N.rX,prZwL6D[FV1w<N&eb/<#UjO&V
U"Uv%e/Y?=,Pa1Ni+olB7LRCL_A=8D=g3((^r;pM6,rF+cFS$Xg6l/6x>h4>=bU6J
U"cLDo:t%Lw*h]jliCfvNPo\6vnD8+(ge5<NM)4S8VC%wmlNo]gOMxhJYVLBxLGHN
U"7kj7^f#O0X'lxU$k:bA^?C.ML4\8t,4+jd<spl*xk2u+na9T$-keCrFW8i8;ZrA
U"&xU^.thtq9iwT[r>cbG;Ks4os;giJ4c^LYQ,=kpG#-K+O&1B-fUNl1l-H]ArYot
U"jcJ:>T#bS8V*rLeRk6h[JrE#$,:\A.,2#v?9%N7OG^&z((LlGfA6XsYgmQo)\C)
U"eK2'm;DJCgWXnz;P;\?nkWI^B$fK].u7R=^<O89$=L,IuF].$1zT1qv5%nlC>UN
U"MJp9^bXq&\6vhl:F7Sn3$sbrVv(U+8?*M#SZn4+quZt7QBvsKWkJ0GpOvL2*x/e
U"L%Bo,(F_b-CLAob]+q#'_cbIxrVI,7jlLr4*KKtKGjg8Or-NrpGc_&Rs)<Ts>po
U"pr[*WD9_ga6-7sRIZptHvCKY]fpKuh=&YbWWNPpT]oOZb-&SZKvS%;%X6SDl>XC
U"a'sB^pyMRx#P<4Rog1Ngba*4Lc>Q0-X#m.ul2*'TC.lEQ-?9?<sggJ:q?Ce>Po*
U"%SQ*#q2p<4_..?U_fu-)<9_./La;;k/tX_KU0sn9>N(nVO-ccGe,&B.%i\UPDx%
U"up()%9%%%[-%e+S^D%F2iaD'%%%rW%%%.%%%%fy%fwnS[xuwfbgfr<.U5UX=&<)
U"'77w4*-83n+J/'uXl0Y6/Leq$B-GrcwGNOnip(c].bL*D8K$'N.rX,prZwL6D[F
U"V1w<N&eb/<#UjO&VUv%e/Y?=,Pa1Ni+olB7LRCL_A=8D=g3((^r;pM6,rF+cFS$
U"Xg6l/6x>h4>=bU6JcLDo:t%Lw*h]jliCfvNPo\6vnD8+(ge5<NM)4S8VC%wmlNo
U"]gOMxhJYVLBxLGHN7kj7^f#O0X'lxU$k:bA^?C.ML4\8t,4+jd<spl*xk2u+na9
U"T$-keCrFW8i8;ZrA&xU^.thtq9iwT[r>cbG;Ks4os;giJ4c^LYQ,=kpG#-K+O&1
U"B-fUNl1l-H]ArYotjcJ:>T#bS8V*rLeRk6h[JrE#$,:\A.,2#v?9%N7OG^&z((L
U"lGfA6XsYgmQo)\C)eK2'm;DJCgWXnz;P;\?nkWI^B$fK].u7R=^<O89$=L,IuF]
U".$1zT1qv5%nlC>UNMJp9^bXq&\6vhl:F7Sn3$sbrVv(U+8?*M#SZn4+quZt7QBv
U"sKWkJ0GpOvL2*x/eL%Bo,(F_b-CLAob]+q#'_cbIxrVI,7jlLr4*KKtKGjg8Or-
U"NrpGc_&Rs)<Ts>popr[*WD9_ga6-7sRIZptHvCKY]fpKuh=&YbWWNPpT]oOZb-&
U"SZKvS%;%X6SDl>XCa'sB^pyMRx#P<4Rog1Ngba*4Lc>Q0-X#m.ul2*'TC.lEQ-?
U"9?<sggJ:q?Ce>Po*%SQ*#q2p<4_..?U_fu-)<9_./La;;k/tX_KU0sn9>N(nVO-
U"ccGe,&B.%i\UPDx%up()%9%%%I-%6)\_Dk;UL]G=I%%yf%%%/%%%%fz%ymjs.Sj
U"'jQe5J+19&m]tIcJN#r(rF:h&\H.2=;D&l]+7(78ey:).J+R1t>lQrFllGLFqiX
U"OBGD*-,WgAF>84:[2QI:HaB]#k8Ag2h%F:7Q'7U,qRiVA#9qA(_d=HeU\,pVJyJ
U"3u$gWt6ttMSmmbGriOHKHrpKX#&vP3w\:5gBJ7Vty&HkDa>jJ;Ma,UNmZxxuNcv
U"$,xl1]hn:Pe(rdskwXB15^qFG^0vicbraM>P8n<2jl?&CMmF;^iZZ:)(].[wcti
END SUB
SUB V4
U"e>1m?bNIbt/&:cL+Mut:C$uOir5U_6(+w3R#iTB>RY]m+k#\kaV6$]GcVI$IL$?
U"1VkPR/U&dl\Z7?IwzYRL(FTspbuoP22Fo(#UUt-<OLMs$L)[Hdh#9plSm6NSGH?
U"K?X=>sDIor*i*XoYT2PNqZg62$v$G;&xcC)x8a2Hi.^>+?I[KK=GdJTLeW'J$.(
U"pPK80P$9S]M+2^9wF?BBp/u\/5b>9EoX>/O$<gf<AWgKTN,<GB(SQ;_rku4UWa#
U"6\/'0DU%aCg=u6rx45lc_JSL%c]fm%W0rT'FTQ-//*zZNLq4\+)ppK-.up\fmhK
U"(:g8>$0CJ6uV\(sUDvm/GWp1*'4mXhe)XMc-8-7AbP^EYcVU)E,Z5+LDowoV:uB
U"QelW8RD&>#4#&ivy\7l(N)'bMt5^jH?x9EGmw+\#kFGe5,(fqpUkn73S[Vqi1wA
U"5hyr:>\+b2^6sjTnaG4diZu;,:,VO'6bY81nFId;dm(g0(U+qIya>Yh9]Xk?<&B
U"APdT;]VAB?wu&P/$L=oR.-u3.jLZ*rQ5%ao/^_MUC(B$:,33#yZQipsi)0YwXD1
U"q?j4QHaZ)(]-F]%)7mm)XZd+A9AQBjQiWUJQ9/,=M9k%#<i6'UIi&WcqYPIL4T3
U"=ZwhRF]7pEJ)X4NBNq1o)zjXjMLVOUd1eExC5=oW,I1B+evh\xn0Em<Cl$KBFui
U"LOFjQhS^GQY-&ckl[+z\XUGl?4\fikW>[A:NoaYwXl2;s$u%*N&OeMeOSFU7h6k
U"nw>-m3yoXsZwKx'u8OfUl8MgI9lukePu]-qhbQ_evuFw969mg'wbtU4(3+*c6=G
U"6_px1FDu_[J7#/wamOWCY*(uCg7-ZWXpbZGK+Mm+_)9WYQ\<[m%d3R<Gde4)$#W
U"6f>s;2wpLb4p&uur0v1JFiWdCaLTm$Et9CyvrzS_dx=?fO49%Qg1/,m7d=(#QgS
U"XwqJF%kmu7.>KZga,Jvo'wU^W$E;=_oGPFrOmV;7]U0)JYknx]_[195R,bEjW;L
U"IS7Gp-;9SJfaPwINvIG=2ku;XEt14mx,M<[$X4nrFD.1[e__9KUQim:$&H,,Boc
U"g8m+jdx]/haZtF7k2P?*sjX6RY),aukhuh(q74/HwE=he_[[Ti.*>x:ZMx3NiJj
U"]+9Ot24a-m9pW$;?3tTZn%F#Na5C8?c+NMj/U$\X(u,Tx<_i8(r=gCxG&Q43ZK7
U".twVcBafcm#CnSpFg<OPAQr\WKtB1'BcgPT>mb?Jjbhqs3/AlYPxmk:7k<n%o)t
U"PAWUjJH>HtI*(Ht1*9hYD]NmH=R]NEPeNyc2'[fx?CH+>jI=8X>WJR_^IGgw$rp
U"xl$,8Ik3#oZX)<(bN'WZ2]V$awQUxwc1&O7DJT&Hj03KNy5FB&/X3K.%PG\C8$:
U"3[.OORc]RE1y0,UmO?SL($P'4hx:cb8Y05MAP&fq,S=TnpjlD=OCdS#<:Wu5ljN
U"uBTyaUlCv:1=</=XJr7cd2kW]DhKryKr8Pk&HJ*Rw+R(LJ5?cOtMgn):?AL.ui.
U"6bxhsdIxIv#a7?bG\Md9>['U0YaLq>*dR/palt.YAo*m;?CFgWWhqk>\tL3JvSl
U"N/VKw]/4z,<b6KTWZv\FTtXo*rijjV*UM0g/-h<,(zJ.NtnY-qQVVH5PSmj3\KP
U"NmhrHM#Rc0W2?d_o&&o1mXI_3(tUpaUe.2(1?ZKT^a0mFKFS(mk<q0_qFR0#[hp
U"2+VnKKh>Z;I24]C7iV>jxVD^\rO^vsqZlGc0&gC7%xT6V*F.%W_Yw/*9HN:)D&(
U"KAggqLRCx8m^Rfh0'_cH&NV?P^JK(FKZ0[cltV&nI$,#eIKZ>^GW&80spOr-OpE
U"d=YVL7\(7(/VEiXC#);E,UFLPay15s1Pdd;pjagea>YOT)hL0\PT>Z27jDkQ&Tn
U"A\<.uL;R>KVXop\IT:teT]o5J,UOQL8d=ioc&R['bsM8Aq2U'e4*:m8pm'YO;Hh
U"I4'$;9Y^Q_;NivtprqOtE,?\?WwON$OT^>(EbDo3xh?C<.obU(:2t3xTOageeq;
U"p([4$Df-3kdJ6/u?/>Y^#9\p/iBpO.^9kxXwCN,j+KFaY0YD?)y(UnpZCZYs#n*
U"^:pTd/;^4L&(oCS:/\L[[fU#fOf'it.o(7e?[FVCx$$CdI4xV4bKm?IBXsaqk?I
U"($%#ooo.3Q9O^L2gtV*izN'5R$z*4*vF:[+T)3]XyJ^'Lw.P'v)n(G$J9H*Gdm>
U"Q(RrVFiD5F]Hk&KTXm(aQj/(Yl'F[8L-&Hhia*Am9&vrc(E*:_L]:WT.RAiX5vF
U"YtVVz7*4lH=p7ucxsR&X4\P&'MvS/G.<<3As$d*o9TXq^Hm$[aSgMoTYcj0dUkU
U"=nY7>X>8yYPY;Qa*'8TO]1]<cL.=jIty4pCTZ:v14#l[2%Wf[b?'2_2)T=n7;]e
U"v\&PHi'j/:e2fxY3bm,yK1&yyQ)bt]e'q%dZj-:snD/w_S=8NwVo2OmBT\J7kH8
U"0H#jKIKXghOe87qOpsue)<W[X(>vaup:gPh%a8o-\71:iQ68JLr[eG/,f:^38(^
U"t$'.^Nmsct+4Nj/1>;h>ER+zdmePbP(34J06\?EFIcP%WZDs7f6DsH2rvGk:24V
U"c5XQ%/mdA5XmPp<pN:\26Bhn%biBh7#/0R\mp5:H=vRZ=QI2ExY0\;W=(=.3EOb
U"R1zVTEZKIA_iz+0f[iMpemR)>Tud1Xw7J.p5bo^L0j2YBLTBEc*H:_]s0q<$vJ3
U"tX0E'Z9.WTDbyUXu90Vw':HMknV>i8O-dOHY#y5jZ;B:#MUT&\W8=,%<7iv[Gcb
U"UDa++u44Ln&FeHKwLx(?rW\\CHZs>aYi9tt08+bC1K?D>vo\$JfOC.)Hr,fg(\M
U"5+<,;R=vSfK6\J>NOE?MUxCuubyI[-+V-d:,u^NQ%'A2nn0E$E&D+Vyouqf4VU)
U"Rs0=T.3VRc3V'$mHwMfCFG^3BlCFl''ItZeOx'[IXwot&ch*T'.E&N#X*cl0VEg
U"B5#u'Pw&B9VS1'mKhu^Uth',QfK.Oup]oWS7KV&Mcf<KM$Z\NM$ZZ6tkJjc>QQq
U"uVK9shb;baZ.wJkyJ4m>.#ye0GMMxp5q/w(0l80nb8b/E(IQx/)'*6Y&\<v%lKK
U"_Io4=)cP_uu4r>:13?j?WK)rNnmY26vf4h3/I3]k=C/0Y[zW14nLg[_RROXe%6p
U"'WuVmSyle3dfksL/dpIh?bf4/Za:0/KnfVRr*3uI?Wr1d3\_4Lcp/*x+=rqZtE,
U"7cuU$H2/mjnd^0f7'WB4X#FHTmJ*8aAdZ-<mj-X/mt_a^aJ),4g'jY8zVFN^RW<
U"[m,pdt'OksNoH?]x^0O0qt\TetbZ5Qhaz3CN5eN'1urMBhDbVVr$H(_2&?&BEMP
U"f2Al]h:;v-R9JN&Xl2WBa-42T775G\BPKDnBg$0v\Gne]\%m?e2%M)wcKQ,k*r'
U"m'kY,OAj;C-^tdtbzuM(zm/3+Sw4-bfhA]Epq1$X^.sjVd,h$nU+XX_2LM*M]+4
U"#oDZ=1,LRUN=)Td>Aw?CrmTXCNFD^JjlH$w0Hjsq9ldR.ckA?r;A-.HsfprAhKq
U"-h1*5wi:f#]6I#YLLRKbCEt#(SN+8#7?(dS2JVf;HPus6NJoqxn=Vz$;y\Bf9Le
U"b7[nsZh.\&t4PBb/DF>(>sNJmJmLC*E/'w-e:)oB*+877J[AE0>53M&T.WYpFf_
U"$BfTy#)([mpgnSjJ-[cQk8G?0S\c+ZggKM^25aTttQ?hq1&d4LyE;DIpFw^T'up
U"vK7YF>/td6KgP<kWC4#JM#L)Zbj_SN*w&ts5(kRR;^YMs^Ok);hzq&/On0MsPe(
U"KSLN%$rJ.q[LmnB#:BONRLFIhPEdW8uadr$tFhnaUqWm*3g4?LPyS'-Xv2hH]t&
U"kM&&CU-2C44v-Z2bO8N\:\Ap/NPpsTV,ihg\-7''DUZ8LD52my]WfW7'KiDwKut
U"]F(p?PIp*bV9l]?Joi3$4/Isp2PMRiA_24$YQ)gB=J$-nSY?ABfh[2itBx[Xh)L
U"Aiw/(0js3&TS4aCognVMiT08K&Z.hKj>yi\-XiX8xPIbb\B$-RlE5b%UQHY>P[9
U"fQT^/HbiTPwQ)u:]]:<0yCzAMGfe04]3xdbr[&5h+dj]?j_neh%Lq*rV\7_)9VZ
U"I\AmeX=u3rEK.eFobN&1;c:5*u/W(P0&HS0m1hZomAzN4P>hHvY5A8\$O>G]fPo
U"60pK30+lR&Uen%K;aodBHTJZBId;v;^<shW1G<&+fr.b>9:oR/bfj3n#iSA=:1j
U"FUL;9&vtk-I-p^iQ+d>ZqDm,QP;vTbc.AwjdKa+IC6'_I1am^RsyTV?1$f+qPx6
U"FH;Mh^1LT+nUURwV>MfDk\qs#,FIKWKse$$t<ZXe5V/EQ5i&m,P(,j7\,(ZC,p1
U"q'H%D,xC;W9i<tSdsi^_z[9^XaB(00OfG3LP,35uF%sbiBamRXLw&4pV'VS]jK,
U"3Q(4x;Ba'DWWLq4uQ?8&,uW-FG:a\]*m>d,Sm%U/7#R>ZhOwE#D<ULF6tYjGm,J
U"g12U&rTkPB?OfK%a]*.x;HAjA9ET\RjWd,L(crs-Mh?28\n_b#(J-YFu1;$&nnQ
U"e0c$GIKR$MeZ$/kUgs#-jHQTYvVK'S<mhW\[/Y?ia:*hLmo3<T_3h$1Cf1,Ye(s
U"6NGLD*P][cMjf(5?D,6#sYz'L*mDb]Is4E6t3/g)-gYIEi]Frz^T[<'z()h+AA>
U"FM\Q.eh)l<m:CGvI,[N5G9PRd%dEe9oOSIO(pt6QAq57^9$_/Z<:%5p8JmRPKC;
U"EmhRF1ep,zHP4*Z#_uhdminhcrQ59t?F:b[c>acnU0)3W(4h#ml(Jf/T%7nGg,x
U"bV2EgebcsETa0mX'Wd\5ax%hW>K&Z-;]:%Y7KZQ0QtDBPxPbMU60;s=%\7)#gR,
U"8%fTVV=E[7-n>C]:Sf_'$iPTgxn;9-B_/W0ldzx9,_GE]5Z3I>$HN8G$YToio_y
U"YEpN3KS#n>LDcBUw%pg71n9M'1KgQ(kD?RhNRMxoAkhVi?<MN0wLxY/c/<yE#<&
U"<=-a.>2E.(?9n4Ccs)P=i<Pb.+ss'Izo4PDKo\5['jADKJgokeMl>,J\?Gu4Lfu
U"kPVj%VA*f9cwI^N=)p.h6HR9$9b<2dq(-]S4QcQ[+0m67*BSh(#Xm>xaH)Tu_7;
U"xNbZU;t#k'JDo3_5h^d9iW-pUAYGJ_c7JI$KyV5;*fJc;I+a\v0/fQn^K()[$GX
U"^n]Jn;jq;Ca>odJMH'fK6\hj5o*&7C3'g;;f]W#UT;_ga$ceaGNF%XJS\P25=Xj
U"[%4SF4N8RVvTJC)>j?iA-eJ4e_\HdM(%U3.no?p;r$9xqgXRT_'G.G$/+*xlKbF
U"9KwC^b$7]lC.phWUP0RWr#;=Z8>Xdw(.\?M]Hpc90vm7L/x^:js<<g'n%A2$D-K
U"ESRYV*XmHaL+m8.iG^p.I^fs&>5&'B2v:e*0][L;K^r72Y:E1MP])o<g/W=Li\N
U"nfDltR]Xl^x3mPHd;<Yyrh\lQMjVDBip(I<0cpd,[X3-45AN,<5?EFkbJ4.0T.)
U"5AugK0uJv([#5vo=%KnG*9:flB62V*x]zU?YQrEI-GC+CwI7p\rVMf]K5<+SwG6
U"A,4qypXcwl+]egRBWql2TZ)&\P[BC'^#a_P%s)k:(?Ef8(j;=m2Z^.V;9x*IX:'
U"vW\f?S+a_j'M+:$=-IeJ'l1hI=(aDvif*/1)a[eMOu%J)fU'.bRbdM/z].Si#1R
U"bJ_YM5=^_m_8jUm$t8xEa,(kqNLG0hIDiqch6=m)ePZ)naBg)5+A8#T$EYysB+M
U"FP997:itla0\C>r6M?nK-uTVYQz\rkzu4kwKcMw8n&S$0D]T+i2erk2Ura+J'Oe
U"O$ntWF;-sU<.5465jI>UVS8T+=V7Z3+\Zee8zzDkf_x>WDYOUPf&**ja2;V$L^r
U"9LJ<K\P6v22A?n#TOpsW6;t6rU%OSOFKT5E;b+b0(\<lP0??s/uqhqwiXouF;2T
U",Qrg97W#UQ^_59g>I,)'K(.gaux-Bogr9?'lvg'VEURd#3e\'xe(d^^StEacaC(
U";hd.e4qi\b8.bF\ToTN^U3DJ1bkh'&>sYXE9*Axb^wmwOb4F<Qc%>G\o4er?)9z
U"<(Jwmv,A)ocP?hQF.l]4'Xq'cPQW+/#ANnoAKWVywNYRsF;L&m\EpDcWT$]ITIP
U"t(yw8chHI/5JJl[p0tW0.D\kbFX;74QXsYagLG42=la)f<6vP>M>'0-aiYIP[10
U"-?W,]R(?XH*c#w*r)BQ;^D:Re6&LtSbW9X_dlEaaf,rTvr3lpRE\I,\B5<LIwQo
U"ce3$CTU$p781&POq-yo9tk*r6_)<j?3E*ZGdk<n0X>R4L(*qJILW?D0I.GRo4ZL
U")x>0_b5-orQ5x=d^XoX/1PC)$l)?Ar/%afU_h?QwsVTd5+.vNcrTE#ohS<$fl\r
U"^l>^jc?N,++'Cikj/W49wt9aFO-k*)g:9J9w^(8#EzMc&U%0>g\]aBo<9N*QHW.
U"r:\C$5cOlQ+q^9]'AWT*j+yb$twC]h)>.hkdW:vRHe&14aIsfRlF[P9KlpjJ.6x
U"+)hKc#S+[bf$-=<Y7KY='pd?^>eOHZBmX(ma.dLUSKlw-[6-WsN;VUVwUCV8s;E
U"^Ax8JH6B*u,CIXk\<9VsZ$AQ8,F[eo0Yl].CwBT==uBhiCrdNGZPoGV_,95pj>N
U"S'$[lNLsA718^nVm0_[h4'&XtV>&[WY5H:?<,p<X.wT$mU#w/tT)q6d?+Owhk$o
U"vLoqh.AqRJMkKCG^CO>0z4(:Y^W[x[zYesaR-0WMR#mq3uIC/NQ(AQw2x=p9*FR
U"Q&Ppu-:eW#5Hs>1.RJ(I[8Mb*KJD,1#EUdRTKviDNR^_X#(_hNZzLqUb:37i>80
U"i:s[0qmDzmQnX'2OS$r);mWMRJq3K([<..6+27I#?i1a.)VT-*TQwGuDT<.34<I
U"oUYY0l$h#h^[FDV_)nWIQWb-dgM8Z%SpiFlJ-<_CV;RS3WI(C6Tb:Q3i'#nsJ(7
U"d5trCZL(N:nrxm>qoUP$J)PPlMA,H%t'x%]q>Kd&pm=DFh=*+eIu*9&;nC2775n
U"4$/aO4tA0NXaoWs%5Y9cYuTkW2Gd\cj+HTtytX1'H8NJfm*aEK(l\:h9I=.:aY$
U"xi=x;Ib-k#H8[()Sg#uOn0)unH_^IIp.Tt>D6)5'S_Rd//;DCdaT+_lbEH<5QPo
U"/S>cj:<bw5=:J9a9n#%$>=u.dr0a^h5->INoJkNlB/lCgf(u[Pz3>IO7ESx2UHS
U"nksEu(_V$HU\:G=VBU&taenE$O]sI4ju<h#E*'8RpcnInG:$AM+k_5z2$sJ1By*
U"S2C)HMYZ-'.DtWNg<?o#cT<:YAv/:Sjb=^]dBObJZ$T9uZ$32ft<<L3l2)<tNm,
U"+Xlv1y/l&;zRfc#?DP26&j87cp-nJ>$gl5Cko,j3Q$L$gBM'L.u_eit(3E2EpvY
U"tr%t-r-jTL<:%DEiSBv:XIipl:'E3/:q-3i'5>%KLzbw7btpwo2zkgKYLE;Y3]m
U"EQpP-lPJ)U)gFJO8bP(epQr(0?M4SSP+tZLeT29$m*qF0M=CN,IbPVCgN-WF0C<
U"%LOL'IkESl?7Qa66,H4gNC_'Zv)VT3]+BAJd,m*jld>#tgqER0P&vhtv8_P8GDE
U"Wqydq?t-P/2P;?uur0*wX2%MVA6uH4SSHMMn0EUk#YU(F+&0^;ox;:#>op2TVID
U"iPi+4FsGt[<y4ki)zj?%Sv]-eOYGW'//5TqLyS-.3cec,\L7wCdTY/vdoTs_WW<
U"9NHO0RSGb$W8&n%o/(DMyCFOQD6,h),+-;77x9n1#8fQq,En[JIy%dnMr35O/_J
U"V>a'HPWY/+/5$Cm7&;g7Y5l#E<)OXwz7K(;;h</Ta%,-xMj^mgN%h=(,&d)(#\/
U"iAEo741,O0rpsF09<<Mo:57rX+(VF'Cj+Bf;;X+vKBb-RvemqYt=Z<gzOrLW&gZ
U"^l$>)Ilpv,mBu?3Q'3IFk,TDCQV$4hAzqT#?CnWqmDGiKEP:FiUAEpX=_x\*#*P
U",NL0zLA^GxoWYH>P8MEB,e%?oKH#Q^;%8,aF(NfL]&bzq(]Ic*Lknq%]kF2bY2b
U"qrK=B\RvMVGyKURz]MH.lqST\=mu_4_f\&s-pbF(_+7zh<O6IltP7i<4^)_jX3K
U">\FP.ar3r2D7w3MPI^s'UjT44a+l?[/#m]gOl)m6;/Gba)(?)(#=-)8l5d'bJ3j
U"A=CF+Fo?7*og8euZl)313KbgQlQTSJE.]8xOGli<&uAd7m+3.m+HI?_k$WD_T0u
U"CIfM;a.%nb3(v%p&Wxd)josiIQB%?t&QnueNJPZrTV'LoC6X6O(lB=mC>1r5\?s
U"23W#y8q3k792DzK;#*sQb)T+-1jF&HiG;uy=3).PbV9U,_XIsv#LO=#8U4Dgl%3
U"<WPB#P<'qEA]LWh$GgEsjbMv0Z'e-JfEWAm^oeE+:Y73Oy&Vj:BHF1Scn+Z:$0j
U"(Uit%<N\mc9%S#7TBav^*#43'\3jSMD\VaJD;S3X^I/d[y.BebEq#z\*4o\G)4S
U"*%)2Wy5gh.gO_MOit[.0;X*#3^T*^zTyp2di3FKWdBhsp'4G41s(duMPC-:a9Z%
U"?i3o=WrW87B:XuDhqc#Wjw#.)K9kx],E<h2*dVPeh$56^C/^o0253T9+$Mf.Ivp
U"S(#q,XyuUj,YD,kNDC%ylgUL94goSt<g<4jHoUD[CsEGzL,DVmzt74-^kRA3IdC
U"YBmuo=)Q;_^QBQ%J;Ut.kc%c>$;D)#LX=PH1p%1Z/M&rF6Z7#].B1j\4MD2eU*5
U"&fx.NG[*0v6?A_D[eHoiG5*UF)0W#\Jg:nv)I2N5&KP/QUKl;+r'[EZw%j=M>?F
U"D'Sou6^7$[,?b^Ve'/DANU.n7]3YpWl0mhU9>Ld),bYEoq]gPQ\QTQ2[VzP337#
U"Vl*b^*L>GIWEz1c6;nc/WXQEH#6uSRjc_yFE23fQDzs=v2St[pm;N:Ht.+5AWs:
U";MS/Zu%*4NbPV,e'&HB#7<-#:x5;YZVcZw+&IQfo#V'f#>k_*'/ceI0a?Hh7RDg
U"1.+*;x+(:dp5,3PZpytrKgm:^7QB9d,-l\43Tq'eE0RFI-gRs4Vh&Uf=(9n==1q
U"aVa+#,u+qnVO*%ye_$ea=>Xk.Igp6PBo(u:XZ9MIo\)Zm6$pjRLl3ms0&2+aq(W
U"#ca)%''/c,L2q]nc10MZei8^y-=qJfrY*][$hNo&.4H%.+SNEm91=LIIE$&3Tqd
U"],9,M+z^iALUL,I:y(jR7Nl$/q5uDF,,--+C.)IS:)k59cL%$$\YjmfQK*MGP?$
U"K/?j;L,teS(m9V_YL0#zN3K%mGl^d:8RLA3XaD/<*,-f1OW6Yt(R[<pXd=CkH)U
U"C.0$=KaXe]4BUsXM0\q2tiPZX&:k.4o/TPJ4d[r7#uN1]DdgA]GZ1m9P2w)$)C8
U"I:nVF4/Z1Ig+UN+]qIzZ&00?CATcDKF[TD(>%MBG%\]T7U/&)EZ0_u?FF'Q7vT/
U"HG8TmLaf4.lhfB^Su35qt9rtQLf1M1x]d)ae&\HiHA\#DycGUen$z83)T<7,v.2
U"B8c&zJ[4r9YrC8;%(HA9JK20>)Tj%BS,g7sPpdLZX5DuQEk4xqD](cx]=%(krGf
U";.NVI5SHEGdTHfSSLd<0j_)Ytpl$rftsKlMQ5^2v>hD*WgiLn;2l^pgy7GekKtW
U"):=f9F/?,q<NbHVjCVP^4h$94M_aoH6d<buK)KZlHqO)F<17Z.j4n(%)\OX;&cb
U"gnqpG_;_FIZcQ>wXH/:198J;s>%LHN%HHh^qZ0;?zOti>g\C2gE8n>mfhs-&8[k
U"z=x;i#PEREp?N8V-J7g;CNe_T_+jY/q0p1r0a9QH:D)0jBx#S'(]Y<%he2$&,l/
U";LM:(RiMhbn9Fc(%U(aM]+$o)DjQBq7lUwO%MPSIPRCI0=(\SUU.:si,,M^NV?H
U"P=R>kY7'QUo:5_v1%MG+Sc_vtZ<$6p7bgn_(DGen4&1N=.;4RGb[&[(y9fifNWs
U"]9;aGsdSW9tX.Fd(.5Z&nqiG8(#?NObrSpU/[9eP/ctOo'PKbT3Z<Dd#kfq3PTJ
U"hrK18GE8k+P3IN>820oi'$-v&mSwfi5C.HE0i6OQZGP(%G]DMqffg$I*)nIK1h9
U"6Afmd3LYf?B-08]HZ%iQM_;e0q&d3/[ET.4X7odH_/Y%9+EE1-<?7om8k6KF5;*
U"%&Rx)[)<MPcDbh9py=LEE\:btRxi.7%^u-m)K58UDxsuh.f';81GZUzn'cb_AOD
U"qN+eVVw4\,k'&^$Ju98Kd7m6bKPWrMaj$IlkLsQTFnn(1B.Z0n7ko65qI$Zy.iJ
U"-rjWfA7SHat;Kn_Q1]HTYN_9W^wSP<)>EELWO0k(\(Bl=)lYi[Zius.QU&bVKTf
U"riq&bqVh#23b/s7IZvkUufpRj\5s(#;AaSmFZi?JfJd*=_^Ej^u<pbQZ(34Pl>.
U"oGE_OQ2;lYjwg1''$kcpP%;*:&HP_z34:(C-U&9w7^FtxD>6/>F*IaS+fAHE-rQ
U"$fb)<5oid;%nUrW&,\9-$j[eab)5Pj3h*?1m]nW0+5A/UJrGJ9iD3PtH'ibOl<H
U"VBX;qsT(Zc0-Z%TNP',LfQ'=56UDK4RC=m3N2e.vIOgn6,hUnFv:3-qvNE6+y+,
U"q&W-eQPeFCVP)ojj.f%$jfz9KZp#=PgMOE+=oK/**3Hb'Qkx14L3Lx8S9jbLEY0
U"_alPnUGro9\0DltVS5#f.XC'4]6>J)b1R<pF?[\X=L+1D\:k7')CDn1;CuzC?1O
U"-2/(t<uHHMojSrSOQ-JME'QK8duL7.asN?ghfgPk?y&ARc>T8kr08JOxvn.F3>m
U"DuaK]L+5Ro^TzQX'-vKIX6&f2^<m,ZUmg'>A[;BP['(I1cMCVE8d1phJ-xUJCH,
U"(0b<uZRf25$T#UQ.r1TcT4[$.*P'QXE4W?iZ-ssP=%n,PbvG;0C3rN9pYi_^.'k
U"A^\s*lUjbXNl$\9CDHLr8(GMnHDHHqBa$VXsl5hulAtv9XQ&alPrFG4:G>p:dm(
U"_g#<yljzqJVYeO7RHtA'-^V*vSmJQbj\vn:;*69b5#C.q]cAtd+Uesg2a0Cw>WR
U"80c,cvD(kH.xCWEOl2d0)Os',yfvV[m-*FI,J(N=_6#,ra49)HRQ[i5$y$N(*W*
U"VHW4=Apj<KB,[P89lWkoC.%4'5bY;+M4F:+'10Lx24sQ:&2Pen-<X,d^]yyG54#
U"Q0j^feCHh,NnKsKw>Ni)V1^HL==L$$]r?-[)hI]nqrl-kj-V*(TWA&>+G.MPt_=
U"bKZHSmlm(EU5X+<nQj6=SD)JIVPI*^g#FLoW5uw=AHA'3nFNd#,\?OICg-DrbbH
U"Fuv^UP]$c$pN#?LB6gTBtHG6^F&?SFAY^mw#.;fYBJ#KcPjo7RB)Y<V/;n8-)G9
U"XhaDk<iQ8L)8<4LB(v)-RU09i88^sVEf06B:'Y,Qx=<p)v?#n?>:8S^(d%W8>8\
U"gZs]]fg,_S.A-[/q+5?hG<NQ#6EDMeaJwqVO1:P_c>Yn86-hm27aZoj^aW:D\Pi
U"v$[$pPJ5_Qsd\/;=X,(c%PIIgHQ3Oe7)&/SZJdP>K/h6(/s&_2mU-Pr5=i=&yn&
U"ObeZUMSqi]bA]dl/#yuF\/%N-IoLoEoTN0CQKFgn[gh>1+.i0=NLA8eY0bn^2.=
U"cNKZnV343k:FL7DIo<U=8e2zlX3Q/,XcMFvZL0oEID87KKdfAV;58AJT1%BYqsW
U"]Dr]6r:sd(U&rFNwRjcp<qa-NT$O/+=(JY:Hh9B^LlT/ND(O2bDv(HGv[$I2]N6
U"10nf([seu9O.XV]LwJ%38VvFu4S%NG\X3%&#*q,;(];OHE(-+1c$t&mXf1(E7q:
U"2%Ri5KU:EmwD:i.]';]2/YR:au>k6;bA/$%R5Oxa8O,'ODrlW64^'=miJlK#o<F
U"J2B*Qe[_C=:QNKYEhD]G,P3R=*Hf_$^cq,2_-ZxIRE#yhH)kcTZ<2MnWxVsbn[y
U"c)QMR'8%r::kZm#g5tIDo<D\qzln;o:bVVY]M,<&F+4E/?,Lqv?=wHi_dI?QaJ&
U"]X%)1][cF'X*r,KQg,)rL]?8ke1udbfbMS3=WpaIuYVdd9[j+6(n.=0%)J^86gw
U"m?Ba;44JPx8pi3)+gikajhVDf54[1NRd1;g(,&qA;gGJ2SVjOL>9,+l3:Vdtqaq
U"(f\P.(4]UJ$p5hIM1tBTNgQD:eX3FIA0SZvGLjT,x_fvFZ,HBE[NX/Z07n?rB&5
U"C)d.Z/+:%5,)d0l/cR&Ov:%2])Z_Q.?#;Zp**F:QOq/:+g)ZV]Q_RQ7_HQ_4\Qi
U";\;r4/IcC;L4GQi6_;LWQTsy)D+v)ZXcQc3/J5,*BPQ&ZRu&2:Ot4:O5Y/dk/q:
U"M).=EQ3GcQ3WQo3OQ3=_Q3KEQy+*TJvmaTk=UCmTNlZDuNnH8g9woJhn=JR:#Uw
U"E6Y.=*E-j4U\E(Q*w[EPY\'4y7Q0&INB1p;/DHpOB^\#v;1F9/)'rOUE#Dm#LAX
U"%[[l]\%]*eDJ8dz5+rg:W14pWDRIr2+d=q$&(E-I8;9:C0.BAntiNq'X$0'3K(E
U"*HwCu(QHhf.<n1j:B[J7W\-Yepo.G=Po6I;xrLo^W95'&jS<,KNkW?hePDXDqIa
U"m*\rQAFUr8N0')'VO2bVdfLfz])Qy><:sfg],EnBo2Qgk38vH^S&wCj5M$jZO#'
U"Ck3bj\rJAS*&JWo+=$e.qp+TM]otR^.2BMYsZ<A+toT,KU-S<qqmp<<R7xL0pRJ
END SUB
SUB V5
U"oKN.0#1Ck4pWofcm^)?Q.6_WEU:FacFtI2lS1iO/*36$gB&;UG_A3^&96R6LVtm
U"83=r4Mg)$6^%dTx^.\3L-36?r^cJZGHS$*SL]bQQ^#$[n>i.Jz27&[]8d8x+neu
U"xcJL1MWh:<[3xm7u4riNQpmb;.T=4J=QWm9anj$uW0g]Fc)+(cf^/5Nm(RxcSDl
U"ikAVyXVHIPd>2xg/,qRbN6#S,fkeUN/^Eg/pPsPOpf/\n-O[p*jM>(B#*4,AT8b
U"Ff/PsN(_G%9hlV6<<pc#':Ni_kSil%&xX7/'Q9nL0xC=SaZ$UdND)(&]Wz#Yf%H
U"g=FwCD,K6+D($4%B:,7OUM_tQr8>(/BqKE]%)vX[0d6>Yr5KLFrn*:YFQjaaeK'
U"p-J*<>+T5&bJ[Q1P306qg20g_NkeVzp958O02])EN<5qw'=_$mz'3<yis2)zc[r
U"NHS_<D#R>GHUv[Q6s,_4\wh:UUmW-YhmW'l*m$-+S*7MQp+CBK5uI>ixv%X^Rn5
U"\?Qnju+Cdp7(e3,_2i>'4o9y31HH%y*A;t/H(%iJfnF]Z;PUZx<\0toL=2djhE/
U"psnX=X&v^6G*3'npW(R0c.q]hN.I%InbWCEvDCr,<m='Y#n#2j^)F002U-D<X:(
U"[mM&6JDr%c9)aDMN]_u[5(-_,AQcx0iZ8=akbjW\HKj1mr&I\Kl(.dp)s3Lh3g5
U"E/4?RgY$^X16m_cnh<uGadZ.dr#Jo6VMiPd&#tkhkhY*.NVJvP%<?vZbH\zk&(X
U"JBHc5cogFmxgGQkFJu)s>tW,C:4mK7'tk=<B>SRVV61NV&.l)</;x4$Qs/I[h(^
U"hHRS=Kpo,3\ugKEI_5%WVi)D#$n<O*E>iGTe/]V'g\4o[R5N7k4$99nj*^?a7nv
U"\V)^NXrPS<o5%=S[f^<$<s^^e<fv,k[gt46wFK='s#z=$g'GVLHS73u[);(N,-K
U"eXrg.<4\;pNMpFb4jA4?o0gQJVf2]vm.v#W)6E(,:]5'M/:c>H\]S-Ip25d$%-Z
U"EG6n5>ab-qns_h,B7<j++.6#&k%^>UDS\c7LAdZ)f&ZARF<Lf+qBDv2PAkBP<(r
U"sAm5F&[X?5Zni(t]hj7PB7e^e-81<hvdwP))K'B;=>&H;r,K;DTN<E-7AfXk_pP
U"9cIi%/AM:s>QXJDSW2K\A:dG&SPyu1MuXpq98\s#/haS%Zl_(RMKg2<fG$'5qu0
U"G#mJ/v^eM>fnqNs>&_YKa;q0mXP*:,<ZC+Ge(^P>R%VcX<P<HK^e]LBq$h]0*O0
U"k\<B<eGf'L]ekZ,pfAmSPmKJrR(<LU/gcutpRt-S^[9Ws_[/c5XW36\I71VPfDg
U"Ms0&.HG/c_Y$6Nc7U?=a-#P8f_u:xF.mW^bqLUvK936]jrABaKa.E<4_HAMX-:M
U"dNgf#.c21gG$stM=*lhhkhDga\,3639Q[CP<34bIqFjFn)K#jSqZL8lY>gE[*kC
U"M%:x9Tpur([hvpvhPEMxJ]&_+(A0ycT]#r_)2KNvxurR5?-ZHs[)L5Hb6\8lqsd
U",<m2]DOJ(ookP%E=3s^O+x842xEwem_AbTD>0a4)a6Mknlmf:IkEF?kXE+n=YX/
U"<'mK*Z?%s2CN71A=g#%8CGb_MVJKxwDD[0M;t#P$W9,h)VRF-fGJiW3<NB:MtGV
U"R'AfS$E/,.Mj%]Q<Y>K0e3CNB%=W'?:hlS0%V#sSfvgt9Z<o;iY<?9iwtV<Pl(o
U"2GT;4O*P#?#r=45L0wQ89XiL[tvF7DY);uA.pdB[Q6f[C5-ap_.)Cq<5qExkWPU
U"DoDY-?%5y'gF&&5y#[N[9+D#,%ZNF0;XrhRi+d,ZjHjFFjM>1i77K9&<)rQVVfF
U"\;tl(T?K>SXM4#7%cRt[*HZGCIVY?C]B7l&kP=Nl8)L%O$s]S0;\\=r4NX[D7^Z
U"O]CWd%?^<6):$%5YPHNi%7q]e/$:S&,_^GuCcAC0eaQ4>/cpVPqT7sw)#:\\e8Z
U"rvj8OI$_f%,B9B)o\I(<]6oF5L3K1.:1$9$:X5hfS(L<n*ltP^mw.TeZ=W0i:O)
U"'XtE/>6HXMC#.)ON^x%(Xkom.=DaLQ=EL.)(6TiA(0F28xXlXJ#cP2mZ]XF(].-
U"w=dwA/fmDxsm*8O)_kuCZ7S4qB;b%>3D.uSS.4r08CyhGrJ36pGebU\I_Nnr)==
U"Y.[P6Ki+W<$s3g)$r/Z(iD2'7Vzm4K9c5%t_rKcN2-MVF2hQXnd*bIq0DJMbm/Q
U"sHT#R4)$I_XN*aOCfsDvJl&vh3&FM*21Zs=[.u)OIvOH[uVguUDyU.-ZEC<,0U<
U"%i%o5jod1/w.8OB9x.02w*Vs]c4*r%o1)totxK?YAKYf0cQ[XH9t*NFN[UorQF9
U"r$O-=f<\bM:S]>2tsUnX0\kQMl],8Kk'X+YZ9dO]#Lb1,<-1I)+1rG#utvOY^[<
U"6%(>kc/KFKFNv[1&>+9Bq1,<TP)FS'ali+[0D;zEV+1Q=MmwAwJ57>nMUrsYbYr
U"qtrlY:wA;q:a6f2*\C[E=bK4b)5FA=v+145UeJiqfbYpfnSqMIK3c(U8Gfao:V+
U"\XmOi,eB>6FFk)V0lu/E,R%,R\s9Bd52?.?'t'uBs4Oa6Ih2.Oq6N5ZZ&wIG_T-
U"C(j]m%x2S-ekGpDh<Rvb_tM<C^HAl]Mbed/Cxc3pXbs9VZm-xK(G^YYD3pjnk6+
U"4#hX;g.w]cZP>4f1]mg2\G?77l()bE$.-F_sLn=jj90$3Bo'UI2BXKIpWW^gD^7
U"ElfD$AT?MsR.cm#t/#M-=^(LZ[]v)>D[*G/%]_*I;fZ?[hm=<X/K1LTGjFp#j.i
U"jO?Lu.p9dd<.FpS8_[m.q'oJpQhq*rd7D6D(aZHMArX>Ks.BjDBTW\8&8:]$YCN
U"&?$qDqPI)<?m*&C=/D^N+Htt9f*W0]G/d7Jh&oeC*1.JQ2Q?0mUYVl2[dG?WkMF
U"Q&C,z;]lUQw;iihILt*IIvJBSxNY$dsU2>IY?MU>%G=>_MC-[RaW.smV5)]ntsa
U"-]=qqOR\vR3l;]%P$kX'ti[X(Q;OKW[qUj.4MhrTqAZQSQFf%n5LR^S_;dD<N,F
U")oneuHmq,)?Np?GQ<iqt7B_,O-\xk)QeW'0+*]SKl4'Qf67^)];-Arv'D(v%N3:
U"u5I?kqpHLTAXK=b5Oh\#byh4p].zZrNu:?^YL#m#(TA&UDBK#01O%\jfx+.m[Dp
U"LW/F/u0/7_HZ-TFQ<RyB82OxM#T(8Tl-Ai#3oN/(70QN\\myX4WW#L50u7]W8]K
U"NI<Oj'(I+fNYVxF9bB\+yX')Jk&[x9_$O&dVUD[ZmU;IWxW/1YH?GN%#4o2mb'7
U"x2Y5TPNJG0q06ef81Umd25EU-9[mbGS#-:;EYlE;fAh/Su(S?6e1Rxb=Pe7TRFi
U"UGhslzuC.Zt#LgX>_&dD;5V7OH7wC5z+*xsOs(7uaGTI+k9#W92SQUs&nK^HTjF
U"8eUO7=+xncs8/o$mk<-f8UA;HC1T8-C7wLwG1H=gvE7%]XpQ-*(P#tU8W<gS+*H
U"LoACnqwc23uCPO#amPFdgiD]QUY&i-e59[t>cV'3N_q:sG4Z3,fO8-d[e1IR>TT
U",Wu6UKw/Jp)CF$1S?$,4FB$e,WxsKv7hp(CkZ%)b5TEjo5))\3P5)84uXq/50M,
U"Lh5p3#Y&tXyYE>)WuUATBt94-XYDFs4Z4s#B\EhR*S2wr]?<Z/f(u;UPk11uih:
U"C?W?;6+bvFR_*C+=iP&VHnWFSJ21TId('TO?0K$?N>Q=Sd=Mx_NG]IkeO6'(TB1
U"gFL1:2lvMYzV5+0:]/49IJbOPA$BB_s>ScuB5Q7Uy[^)_lG<c;Z1\ZIP3T:0FUM
U"Vf:4'l99q&]*R0<kl7X#Ii2AJ8GFSA:2<.R_;HQEi.'0[IH]5q(&jL-74F$=/7]
U"G'5mvxq32eS<Su77(6-xH]f.8=QSRDh>P_8beV.[4>gg;CEQjg5R(;KrOPjC1^1
U"%D=[ifct.1Vl_tbmHj0F4E8GA&,Ia'%*f,;ml:\,E0I4%CqwC#OSN;'u53W\GoH
U"xnFhEDB;b4&>)KqzZwMbU)gx[Bbs*7gHVFK7P'cB,a:\,O:gQ\3io/Mx3)C]Y,w
U"]3qB($$/f'$*vhXCEq5)$%88[u2?K2<#t1j)6:o8s8_7MN_a+jSF/TardjZ:xKn
U"aYNL'Bbd\dnF4R$YGdFUjNm7,WXJ,a1AWjOXG2svZ,-xPVQ:eR+,f]&a.e)OH:j
U"[8J*1k1MRb7u9tLJqWW'_]^\Yi<Ucb3t%4mylX36j4-avTD(EHR^(+dc)KG>j>j
U"AE:uWW6;.:G(8IQp+g3KvknH3g[C:E4>13%9hyK;d3'J-rr\QI$B>)_szfOD'WD
U"LZ05KLY))fPS?fiUd7P\Zo1S:g9.CeDhy;W)2Oxr82pnL>UWklhh_\9u#&A,$%D
U"IBP(\Op9)F$8Ig5nx=/t\QdN.:xdGtUX3/ZX?INnJcVUPY%5>B.6Q1Y\Q(sUP31
U"q)m;dJxQvgjuhw^e#cDU5[+%-$s%hO1_P)P8,-8P$;P(PDTdLNV9VlQc>HY/:ea
U"kk0kJI*_AB=X+>Xulr+E(d/z1[\8//S8haPLG&S/6s:,Wj2Q(q==k:wx6tp#Fvu
U"MW,AfjxJO6<Y>cJBehfAdG?KL\VL6BoN449F;nhmBcJ%_'0q*$]J%kUN;aX+TO[
U")BY13xZNr?8':iOr-7j)-5:kqBD5tQT[Q8V,''4GP7gkHGTa.KW:jLH813wk2o:
U":I8o#7==+Ge[%aarqckJ>L2R'3)^^JO6KbpY'M,b663'ZeWEVEr9\$%('LloA)b
U"GRmXVIW$T7k2t\Z4J7XlR%^<&oZS?&Yd;d)SaXTv/]OO3&cIDwY1.\r'Yv=+G^;
U"EM/BiU(qj?-,649O5\pt-]cM=]d3RKF2(i*Jm2kxXvm01]%;=\J><q=2v_,6Eg]
U"-7m8$l,Gxob'B3]dD(E'?e9U4*+TEh*Tsbcf'Gcj-0z6\<J]fum9e4PAZ+gsr3W
U"/-[8t?^7cSGm5DLFaj>H,V39\jQw9vUKVB-RWXSq5hif^L8Jdh(WIu&E5Kd2>(w
U"hmO==7R4D0Z'T>7#FuPBo2Ap]Y^n+WRG3>LfaasV/i]n1CGx+*0c[<q%rn&]\Jn
U"kRYNZ&aea8ubU>vIM&$,1Rfy>.P7YF+;-Td#f?Na>ILH5_Z+W&Cm/q8H5XyeOuj
U"<$0Xy$u^Kls8Wm<:U)SONd>pWm\p.dK2*h%yr(zKdfQcWnn9iG0GA08IFl1:/Fr
U"_4HG[P>1EbLP:9uTGoAMBJh%$giO8i6rBbffzOx)2lq02LJ8p6Uf2<;WH)Y?&vo
U"ORwgg?h7?y9[%EOUTn?ayX;VftWtulx?_T)[6=]l$CRf_\.uU=V0fhIbrIQ(Yk(
U"-:b*%4TSiT&?*V/sYp.:LfFg?HurBa-EZFM_c/?[+8'9M(Yj*3YgR&#Y%Gm']7]
U">(mI(c9XQL.%2$D8c=r^)M8n0dA_k):w1+TC,;809SQgx7#]6QY8f#LLpKrBs*V
U"jXgT8pbWGrl_g,vUD,inavBKD;lP<sWrLLeg&'2ZAV/YTMva4W,K%Ir1u#PD,\W
U">aph('7aXEqf//6^p.%aRmHTcHmHkI6t)J9_zZ,%i4A::PLcYJpUKi%YAXO-%J?
U"?O:lKygpgp2.WkTLVL9Sw-qQvH0^#nP;g^+59*_s>IGTUraL9kZ&HKWG-o['C[-
U"L&m[fHdk.#5+L)NkE^[7mKW(eI$.Y2aX1?]wjrus+P^^HBhN29)Jm#unlXd'Ah*
U".7<eph3Qc.kDZLH'UcbtdYms687%9yEYeK)_R%pS6.t?fN6-XPKDxkmAVKYJ:c1
U"K8/4R1oHfug=L+ZrbgYwZq'vWB;T7KJG*PGtYA6'':51Y330P'6]J*7X54NjXaC
U"vN,7&TB2b>^iRT#*SPx;5?#N_Kaa?HNYB,c1fp:[-ED<cdNBVC6vgK5361'A,h<
U"\nvwnY/2Bas7ZLk$Hgsc\u4Qhdm\#:4Spd;-r3t>xQGt[n(+/jfhrE-)D8zM)_X
U"ABaRpxBgGr.V^3AWq>k%#h;iL6;\D6gRX$Luocj1wO-Bl*xk3R1\tu)jo=k8L65
U"usSd8VHXsf5)of$ucc.s8,u8LWw&xyHNxPxLtEv36FCM]pLDje5+$a^Fp$SjSf\
U"xff'B^Mpb)89?x69g6b*lp%Ap<Sh*_f53UinwpU:><4Pfzwk&H-\eK_<f,2d7b9
U"L/Fjcj>nd:8mZp37&9NYJ-U%NjW>aQ'OXk(5,5x22)63M*Zu>>mrmhAzBPa4aTY
U"zjZES\T;P<Tq0>q2KidVNaCwd<>*;8-/>2>0ut;T<9x7'2pd^IjNrX/z^A0SZcv
U"'iRn:,u#k6>=_N+5I\;^go[RQ-u5VL-<W;++kOIf84C&UQbanooM8^KK&*<iNKm
U"TafjX+\lKeKZYQA.dLev^ldZSTJL:_\DhmAf3HgTjuOsiA3rge:t+Q'Dx&5K6hE
U")4V=J(Fk5<Q<E8;<M&f^E3Z.r/V6b^-xGj3bk?5UDZhO2MHEddzd=W=YRI&LG*^
U"L'Td5jINX*ve70i<])iZZWM<H=lT&r#aa0g&mTaFv>uKKulH_Di.N&'dE^yGSpB
U"HWYD%c>pP)=%t7kr0Rcn5Md<%*T;'Amra*=gop?,;pH1G>1#Jcj.)MU%]b&m]t)
U";J05cMr0O5EfC/r$1c)Pe\q.Q]kN(0+dA#Ku]a=$isMav2u==uKmA-Usn8sAV't
U"+is.$kD9j:R0,izVnSgD+i-WmtpieJ/]Gc437PZdcMMK<DcI/IEJ=u:Xnv&RKCr
U"8BjqB0b9jsfd*\WcH3cs']FAc_,]FWBb_6Ih#MabpNm-wm1^F0>u9.DnaYp(f3c
U"^?LIuavdjM9JON#CY1u7?sgognA7H(%&q9%3BeP+qHGbqM.VWV^KJvOOnMLs(JI
U"aEtJjN\NliW+8mtRNCC64o$Qo^nK.wIQ2tMc15$rLAnpMLC\2+N$M[+Xg]'$M7g
U"8SV/:$^-0G-K7S(HOLjv)zujaW:WjVKQ7/TH[h&2QH?522zV1;?u'JN;\<_U(\Y
U"h;he,#v_FP=$=;Tj&rnhaauo&1/=_b6G<JmDOjY>4q8%mnIMpG6bxZ+gN,,4;EA
U"n9mQ()>.%UVTu(mcsEjWg\gs;axknwN7M&/TYRFD[rAmL.YFPBv?$fO%Vc\'/p)
U"3fbMh/Jm%MiOQYf8SxVd?kQ*?$Bu.$qSe9FvINg5mEzb_ZA1/5meOX-Co_NelGX
U"S'&kIc8DWAh.W\gfOPYk<=^kGv'Oo>+ot/:[(CU9HL]._>dO&R+&y_(qQ1f0R$6
U"i*&d0gmc=PC<wb.&AP/J2Q-m/v(5RF\P;3XK>4Ss1(Vp]h:'DljEl^o:rK$iqZ-
U"R5XN[DGFyHOic25qIlK^S,Bg0uJ)Ajh2JD5i;:<oXO]0<j:-yTax#o6[WG3W25f
U"LOrO70h<]uRr%n5r_;%udn*ZbIxY)[9Q,,Ua$AsvbQ-W^CtQURfM.RhDQsq%OjC
U"np<xV[F2veo5]oh9tKKO5pU\a61S12pB$tLr^oP_[,BbhyE?fI6]XHE;7DKCxWc
U"yJ=p>VX(LLc+t9+oDaUtuoR4fV8LMUS[uP3oF4ln_ZK[t,5ivs;bgn?.uI%h>pY
U"JgctNwe=5Y=bPa7j$)-rfLTlQjja4Abd3%RupoKB8z_Gbox/Wn7c0O#Smb>dq:,
U"CGS6e%KkeSTQtw.)\L.eR9lO?9nAFU+X9-]\wMq5)AW)=%sve*LaqW+/1y+Gh23
U"RY<GP#O:Yh%_ELS=2/[P=GLVVX#.hYj5#n5=TAof,XtY0[N82p5>jt_NNgbRgeb
U"Mr>4i4]&(5-6Izt,nc6EoWDr;#PEj&jt/C8We<Kc\U[>6FBs(&<[g?)=mmT*Zi\
U"do$EmlQ0L)nT\=^%.Peg,nognl<\]]'kx1&ZFuQH/odA8vlC2MXl[-R*DElLGO2
U"K1(eaeNTpVSvfh(#MhutFC9\:ffq^(A,Jre&bLnr_-+<QOfoW&g7gj[l/N,fC)(
U"VkJSMVDsFCL)NxSIKeX3J'vRErV%$Y-Ab,O[fq3)9)KE,GVqT1'9kxS9d%x]*)(
U"qKBf<fgh/%R$9H]3u4S]m<2T<K+7[YDoJ&$ooi%Md0fv];CTfBob#h5WP#0\]u4
U"LD,>cKW12[Np/#'do_*PJ>1D.4=K'3S*C$a#03;5_G\7G_B8G0d&%08FFpKsAL<
U"7G)gMeb=?s%N*(at)=).]Jr;Rp(KpcgC\PDTGjvIGCmkiB>A_liS1OL6KvN$YTx
U"g[o.cIA)g[y^A^AUnec-xr_ANJwU&XIlJspv,]DranN6ia?=V+cGn]\I9w8gu[E
U"bF-GIC.)zJ^\Ov2U%\+fKnET%)'V94gP]ff7p>imC,eM$lF]FCmw&4C_GxLK4Yk
U"*J<VS6adKl=T8t9Sr=u)UW?c%v9jCO$^7&TszU*pA<$RM5G<kR;>_M4mbfo=SsG
U"VM&rg3RfrGfCe[PB)o9>pX/?H^_j/6-*H1Bje)Ydu\DPf_670,gx1/A;dGHNI:%
U"W-3mWZ2MaY3NI'3$8D/-X9/v(mNQwfNj%D.e]80+Nle?N;KA6cnO1]vyC(LcVbY
U"xm*S[I>1CV+f4Q.N1'#UM(\]tIyUA7d';J5tfdj/oX:*/DD.sz7#f^9*H[f/N*#
U"Vt=VuHuqx4_E:iiYvC#u=]&K9)x&/4JhaZdBToeT:qPp56mJG]'Vzo6/2k:bJfM
U"8O88G0O<*H39<[E+i[.T\K0WU0%0OWSy<&%K&q:d_YT&o9[4P+g'&%O>UXr9>pG
U"iOMAH.+Z5I-2#EJ>[c0al;RtghRnvkcvkjU9qT4l#:W1=jJV1=lv%=mC=0Ca90?
U"M3R:d;<_2:lqx9%9oRNIw4iX6cU87pQk4F\/qz<fOkru,qH=$ID[9^HpG\f-1rs
U".Rp]MRKHP4C5A,Tk\,Sb2TGMyd1cgi'Zsa9LMI1<t[r0ML[r*Kzfba(#Hl$#]'h
U"QEJU(4Ne?O'grmv.KXj*.NN_S[D$?O\PVp>S2h9s(]jzX/vB4R%'6pWff3y>F85
U"-c[-JX0)X^w>XPJ6.2/_A]5oKe)Y7+9MDyJdpEpoSfeQd99L/7.XDaMI[_*p9?n
U"dM4p.P1qvq#c+E(VUM6BgBhcR^cd(XJUt(O4,&WN28[*)uCP+V;aOW6sOW09&v:
U"#kduZ.:/gXrGM%A>a=S?N7.Ahrezw18>+H&oJ1KDhJaQEj5<ZIKnu(EBYFeQ0l7
U"e#,kC#Ki?j)9i)?RclLDvjh(:S[+=;;g3]H:ooF;l+$a/$gRdgP?OAG9>^_rm+c
U">P0o/:XbIbnqSpM9=JAAiD3bjVV33x/%Ul,tne6^?CnYgQjw]\s$OhAU&9Ddhe(
U"hb/CH7iaeFP-P5tC39tURcQp:oql6f7T/#0Wm.'#S*FJ%0'm[-3dEx*uegHvo5Y
U"T-XRbo%gS1bxov+A2w.jO>:-g*V/F.ujF-$H7P,R^^JDZ)dxk52.]wdK=8v9CCv
U"GM.Ij94:-,9P)iF&8TBDS*+fQqXVK4R)[WfkJSNAVOJ^PT8H2bDg)T7h)]DTFkR
U"s8(MZs2/>G&39PEBak,q',Sjb)ChPN:?VbQJf*a\)%U)o):EpIU,E)?sdX1['N2
U"[UA>du7mI0(7kt_:ec8zan($A&4oe9p#(%MO2tYYI(Jo-p&Y'X4eJD2g9,&9sk.
U",pC18c'Y02We\**.GQIH1&<ap=>FoQGFAUwR-uGIi4iWKWST1nBV7ydO2o=FJWj
U";xYim)yNnoDFx?3ocS4lx,3MroltxVdni3-=^f:mX++?>S\htom98v-[PDK8;re
U"OilMveBFD7];MEQVLJ?(2YJ;rAF#NW8rHJT#W8$rK?EToJE$&swX]tY.5^QaT\6
U"sQ7?qDf<M.Mz;;31dTQuXrG6bj<pZ?:fM>Ke2>_>Nua,<5<DSs>QhlfpLTQ&q0>
U"jrknmZNwHNbZxS8<Y:jtpvzRqmDL%1qKC<WV2&\nOACLzQXK.EM+YnBt0s73O2h
U".8/Xt^ZsI/sOG<w_MNHUgs8l&XAoW5XMlr\mQ3I+IjQueUaP>K&IQPG^NWr<+=9
U"vdsdpo[xMs;lbloPo08g9.Dbl#5dBKOXh#9]T<W\e?Bh)e\#X5?>Q6m8hd8a?T;
U"vE_s49rIb\*9.zgWi#A#fqKxvUQ%r4en3)h\u$b_/F#q\:nS#QGVu*Hj*H2$TC&
U";&S4B&2P_.=BLUWV.)duX(Z6t/*Xur*(w<^5kp*XZ5crYJDfD/,^>:d'p.6x=n_
U"tr*th$_lT[i(D0#7Kxi/Od)uuFj[5crCNl%mkPT?YL.b/=X2W\lP(hU?$t.Dpii
U"5HcY#&h5e9Ruiu6><DW5ws\kW'#+[q[*LZb*LuBJF]5&7&F*uzT(Zpl7^qQ?w6i
U"wn]:9HkX;Y?Fq$T4Djl4&IlAiV&Kdf?Zb[fwHo75uwFig=El(\FgXrkhhG1X\rG
U"S+$\$+rg%hZ=&F]FWh'1>ogDuU%fYbbM8ICct'ss;tt:::2b5\f,la-7m7P>h,Z
U"8<dF;xxK40.,1Nq0dso[i)\%(*/a&gWH_29kVYs%-wl(Pia(rN]#U8)_f,(VyxH
U"*$)_1ZOKsz]e]-;ZbA868[Yp,bj66qEF+on?4vh>QYZ#gU1sT:eHP#Ho9bJq,J<
U"]AfQiQbIU$G,q/:8Z7'PlV=Q5\E.jT4IW<C[i%C,q)RX5Q,i;1ardCan0FF-rO<
U"/YIK70x[):;n3-'Y;cGp]D*C^8<x9(WE1E'P0PtMD=brJ<73P]+KJQ+ywEhFZZ6
U"J=(9vY0:YsA3uNij;lFo)?CcGnBp[oHOagJ]q$D^]9WDA%NQkS^#%Z#OJFcq^*:
U"Rc36-lGkg%mOvKvFmO?JU.u_mMm9T\%Nb2OZZQqxh?d>RbdLnY6Il.Mbo+lqUp'
U"I\LRp)HFX&O[bSmAs38o4/T]dGvThCC\Z1A0)$$u8VjERg&Jq4/('/771K*B459
U"XZ8q3Oxd<DF0a4.ej09y'vkQW:Ush))B8ex%L'=li0'#FG##qb-w-1kiF&ALJMh
U"?]#X3YH.]]o?)q*MncBX.gZ$-Y(c,0h^<BSQQeKjg$Wap9P6VKUo,Wu/S%/roRV
U"FHnsY';keVc^tC\O7#yok^:0ma&=y=I'qh+o^[KBnWI*hXoHFUR?$PR#C:'PJ1Z
U"m]yboQm)#w9WvDJ[rA+8=Pt2C&m?\:88VF;),1Pv'JYY(hGda9+6dNYCY3Bc6$9
U":B^<8Y?Qco?f;C8-oCxfdtxhn=b?X]cEV;2UFd72E5A8SSFu^x$1x-hFhZJ&\HO
U"=;ligPkNe7&(TvUco:Ar\UL',L__]BFf$L=>PrgP1VIg[Hlfr%'rleRfS?W2u;u
U"'s3*lLFYF?jST4q/jWZu%P3/)R<,&-6VGi]s$;c[<vx+R%])_ol7D*c6WX5DV$7
U"Kc]s8C(xQ)XrZO'esg-Iqme'cbI,/_T70F?,^FU1Ud4hm^cccLHe?:YG4Q4OiS4
U"2Ye&cG&LF7iwn,<55r%&W.*$AUx0(I4R24IGL<N*pK4+iR(i390AN)QFM$GgsJP
U"hbjeC/][Kd0LvHKCsXOtG/LVJTq8TS1LdvoT5Pbc+fo+ltxw2g3]Pcfq(H'IAjp
U"\eI1gIHAhRSP1mP=MZm/9aXW>Tc*[:ovAiw+g7w+*1beT6n1)Df=V&^9XI)A:<f
U"PCFhRpUEOKc(54'Fq,?<i0^.cc+#NfSf,%PvgOW)O'wRtqv>K?N/kQ6X00NY-[V
U"cH%%Yt'qZJ4saaAjAmX$6GMYxYmR&b46bgLGOhm=B0pcPFtCpSfVc0M=48/W?H7
U"41[/C'E#*0Z1(,E8*ks$W4xN*,0_Wh-6,e4EF(3Rm/e?U1&g#mk//bVwCWGU8\V
U"ODfo5opjAY-n*T/8=G:x&P:^'75/Ec*5\iH0?_GMcB/fIjh:RI[[N=>G_QNe2jv
U"3a5d).=.CTRFF_;6W-$%6m*GfxzMmWbqFoSxYPwDF3#2SYd7LC<8G?ZA'P#V$-A
U"-$wUCWhtKc$6h;>=]ncUm-u.#ms*?.FNy?R)KgR$xWR986CVm<0R<o_n$Veh$B3
U"Y2YoW7<2RQoja^w4]FA1LCx:HDU^-SY)2M-)r]kw=-4/:b&^OxXs(+ad2?+=;Xv
U"kscR9x*Sp\sh/%3DEDN2I.DJtnc]$8WBj5wk?OLd,A+YTV]9'K<^^g0g9;Q_3_#
U"DG-9tJzt43c#gX5%eL5H1CT[$161?XmL-?WKMO#YVr6Ux=simn4E?l$B(<[X?OF
U"B.hkfLqkn++RNX463aDA;A>%:lB3R;h3YmhC5cBw+HqC(7Ej-Hh+iP44iFYBW44
U"jikFcLAoZ<rh#$+C*hG_VgbwuZ*J\^H^t^etC.D2NOJ#V+v]f-^la1#C0b=EB2a
U"aga5IU$nHWY6Pwb,5Kfjc4u[&bVo2iIfxw^xF15UGiv/5)WPo)OJP&/$[9UQY;T
U"OJ&StC?p:$U/a>Fh2w44wFd,/_Ut:zx#,_R=1?cj81r5AAeF9Nh7DN+UJ=t#w/:
U"5>D__rA,<>0+a*arGG-;M^NmQ9XiHx=5<jmQHN-frYHX\/a,M/pa,rppF[L>?vq
U"u$#CtaMbT4PX%*TG8[K5g*;j:$r?Mpr4e97_I(>yl.tc9ZskZ$%AAt3l8gNnL,>
U"cH1v$S68hT;hZjWrj8EcXv]=cM\ea$<Cr\tS\4H6Ym0f_d>Y5UP,fOum0kG7cuX
U"6*vv43I/HX7t+mU#OL6)?u1#eXusC+FZ8[i^s\v_74=t42>vJ.DYMmO5iN5[xkz
U"^VTWeMS>[UsFsZnh(EZ=FFN.l1Si#rdCC?XsdV1^c7duf0i0KSb>IXhs:Fr,BaN
END SUB
SUB V6
U"0]bg7to=^N#OgE-H7>BA[;Qa5YEB'gm;TARoqU22=lwvJ5nXd5Gp)^aK<RnsGMo
U")9jaMEYTaPT>b)*o\jHLwG$f8x0SWF%hh_iHQ)E2B.rZD(epAM^kT=t=+JL/2CV
U"eC?:m\V,(SM#)GuVEMXn?sei$>BydXw8sL7.&SY:eKpVPx8\2Dal<KFX?z-rpSi
U"PQl0(ukEUK['Df:R$vJY&6qus9k1lg8Y&7r\e?PgZep7rtXzXtri8&A.qZew,r*
U"BOXmOV$/TE-f]<AHpQl%e_r_d:P3P)SF08\yD0fgh-7--H1X=6Y&R&-7\l]iz*_
U"Na.=wH8)+YN//w\l.?QlYF$P2'7^l^\Xl^RmQWN<AwbQb^N4/R4ERryC7-9/#K/
U"/F-IXa+m:llwF7XnbcabbmU.z>9gVQAJg'm\#St:Bmc%-AeE,(vH2JTtaP(9yIW
U"D2.5AHljL%T+eeuR;&tZ&tF6\[<(TIS']p\=U>W/3LRl0rr0V&y%17f3n7>Vx5j
U"uUn;INWDp>bXK*WCa)Ub:[kL0$gg9riVux=fkjZiZ^BTyOjSwVd-l=DAP$9Q+<d
U"5t/etXvJ#AqBmbSbC\F22N=((1LfVHDv-W9?'qDHj7hiH'(w9$iY+O-WC2:0gBm
U"a$O92C&D\WfmG+/0T'VcBMBfF8Reh4su(2nbhXLWYBGh;U=f>]81gg>_0iLQ$$G
U"/EplxG:?_TOPhQ20VnrC??VHqtt]=b0\OnERdpI'P_HE(wA&:s..K(*zHFI5;M_
U"8sS>XppZgXDs;#aSI2OhpV<2cpb8?SZIiF$6jP-rR\2\]ahwn&,Ln;s<=#6r).3
U"R7#m5]lu/nfD\M5eiaVfV77/e2sgKI(3ePwq%4#damuRUtEZ\O?m(to/0Q#_g^T
U"V$w:dSS:B/b/6iqn-/-06UXMP\ONYfTL?;2ni6u7W:/Ofvw*.GS[dr85DaHPVe1
U"n&FTM2Mg:.JebW1F(ouW(BwcwitaSfo(c+?\-$z;'CF34.Vas7_Ba1h22tXWEin
U";EJS>s0d>wI3&Ss)fVGm/j\^VXJ0Sqx*7H:*'uSGpB91_&I=1G9pC>N)*m*c4'j
U"i;-\(h5.,7lh0,>Nsm,[w)a.*Y3]QqaNCv7^84nO>i5N6Q*42ie9_RVB/,B6$lt
U"Gg5Mi7c<'>No)w+?u7s/iP6I?F2[jWoG-Gqr12an-g9E;2i9MUg[tt<I9limO=w
U"O.q)7jGW/-H[LL5ws[i$_<&IUX<5-Q*RYr,b/g;sNWnGFeyFH(r2%0fp[b\mP,B
U"c3mg\7&'mt5<Y-/R$K\>hYtfnHbS<\ab]on6tYu,o4Q;5uHUr7WrgreZ2NEirHh
U"h\Wl&\>qatvmOT-,==$KO+d?W:+BZ3$?oFFtw5GQj>/*z<1IAul<O$REu0lSL-t
U"N=#7fX6^,2WN4Tm#OmnShKih4Pk(nfc9<$F%o)U?NZu)Nsu<dq?c(xUYPx+&$de
U"1UwFT^ZTTf<9oHoXipK]raAk^dKL(/nT9EHufgwx/EFQqB=tQfY\0hgc<IVYnfC
U"gjihP^kg.T$qL*flYhXDA]a19Cu%ZKUfl3;nLs,QO53TjERZMRKiiUR:9)C$6.$
U"sX(<$Yi*F(Aq4G&-+a>i;K9/1KtfBW)sE2ND3K3OGM(<Ta0,PrSFI3arB-%GMcr
U"4fsBjR+rvxc'#YC>VlVNsX-JfoKYNXqhZI?=-<S+fE6xQ17Z$hp8Jjb^M*AZq[1
U"[(VC?D*^7a4u#;h=6Qtnj6ew\in5_CLFcNIadVb7dsqej/PRcSDH;RXefqf5%?L
U"Ap3Fv2\sqxU+E=qj<,iBf'qmJ&rF1?;1:\MGGw/0'Q=S]75VO<i0*>sf(Cj-k5J
U"*B*R+f%+^LfZCC?3;KIc2lKkKokr=^/*)FB2*xXB*#C3(P5zg9JBbMGJF)9s,cS
U"<s-Nkg)cZeY&bTxLzj?g$-.:Wlm2%.%>lI5_0[lI)I)^-oF>NghN7]xqhHwEZtd
U"XL+t$Xhca26r();gcW]5]rNUQC,/e>rEoFDKu7Fra.eH&_P#mP\q_J;p..-3]'q
U"0CnuX1[qWmc&4PbrcSOC+b/ms?+$RS)CRj>$<Y4c\c(lqHB,rk$r[Re5c37uv:t
U"_t.FYG'nc%u_UTN6+hg]slIX/L/4l4,\sU[:[TQ6H#gOPr<nVD0r/jMK=FS$f^.
U"qDCNs5v)^T8,*tAA[<-Y;rZ^8oWP,XoGOI>]BcCc/c0rTP/Cm5eF,jW3^X5fgb[
U"ki(OkkR3Ax_LgXG:d*#8_'a1J(+D\ncmH$d=-]c=Qa%rnN3Z9aZq-skWjH[y+Me
U"-$cBC%+-j8lkG#A?Xrx\EQFmmj%K.&L/3c>iSFUF8hYaAeHTYI3%pHT<0\Sz(C;
U"IWs7GXBE8(oaF0r)jrDXhA]u8>.PmluLI;IZ95B/5'f0%VNl<kEk3cI[ogf8IpZ
U"Y=]72[JALLNo]s,.E&M]0rvHn7jcSQeUSv/OI_eTDVRV<BKYay-&jL2OEV3ocu%
U"NDOP51h%Q;D:<bqA)o#(G03iOoSha)MhCJ??St\R_i)3f_Y8E]_ExjFc#S/-qR%
U"#5Jq=*49bGsb+UGEgO*Ug&Ny7H</.0Nl%>Il'Qkak5Gb/tlxOJ*O0PhO5/LUn;:
U"AO#&p0=)P$MZCtbn*R12_8UwGv\PrIyB-\CAJe6it_IaUcVlp]T/O3S&e:F_;/:
U")?CWGSsM]^.5tYnl2x-Lf?TdIbicE]iwVwfEyN,$N7FsVR:)DK2$<<3dsIA5I^J
U"$,7D30*9EpTmR$<WkStDo7Mkog^D3(Ym/2?xSDAmqim#?NK#7+]2<QCVNg\Z_r2
U"lD5>9/e-c'sq+GRv'F9B&oWdk;1h=58b=R\%&Y_IfHVKUM<qRXim+2aJlBIEe&D
U"CwV(l3p%.+B/%S=$1lZX.3$1#ZZYqglcYh]uKx)G:C,L(ZvG94YTd$$s$PmIaB6
U"(k8Fti[n,$PFdYr;C(5i/-V(zeOKrSDTM)zfUGD(2v:Sd;$Pat\Bu1b6?eP30AM
U"7V_f%50T38^M<2IUc1#<P.:Vs>=9,Gww$Q4b?X'hcoRidLJvZ([Qy]M:fl)GM#9
U"SJ<quXpqBB),=oXQsKgUBoS3)fE?QW]oGEa2#g_v;km_5.q#bjBoXdP\CCo#FDg
U"&oxnzyFFFwbz8T<3T#D3mPt7Sw/SJ3$[;UwQvW'$>Tz-0)y:smim)<c+R8W[#B8
U":X7x./6TC\?3bL](vI_/c#9:KoVMK#nC\CmQZ6SP>(1*vC'>a_(Ny2R%D..ns=j
U"C:Y;3nQ'g=0/X3&AIaftpX:WNOC>I8QFc=7>qOL>rO'3enTHe)=>P_5+AHfdHlE
U"7?2xTtw[+QVfc-?U:/f/imI/2uX,7To/qaVk224SKmRMSV5O7H&?+$j>U7'+u_1
U"\.=hC&dum'(d&J69ac4#At?K<'*?B/A<7S;ihKU=(0jgLiLu7BYq/'DS88WsU>k
U"x:??iUS'Vx</oa4UN?:.v'\D#b0m>1A_i[.v4LuB0=S7a>w4I$e\j#M8=qBZs=Q
U"$b87\X((Kf]a'66hasLb92'_J7&A44\O&G63-+3d/x<x#>f2H,7_RcHaQ8O?apg
U"S$bO1TT0(DVd]Yv8Qkfe8E4DBe#9f3\bDV#dMBne(o3Bs<(h0ZEIOtM,rX:A/U0
U"A'.S/+>mY_IxBH7v#?vg#'yg+pfogNO4G]hv%=5T\UWEE9J'31k<(k='>mnS?nK
U"F;B3PGpoL=[+A=BtNbf(3Y\sqiZq7mfb.vHvRgubAS3#5omw>5Ii(PNhG$JO3g$
U"S;SaCunQs4OH$$3DdgERvRgH:.EQe:fKbcq7RQVRGcTJ[?xj,fr$\P4w&,SjW.R
U"hbZreb4R8RFHRhRnOb>.j,WQe(J'DDnT:kBtJ6$Y5+&KrJzyL:Ro*R_mZ$Tdj+f
U"4uM_Tb_7c7L)bS+[)MCCmNJ:*lF20lM+/^E0(#qwK.NL+Px1e3).cu&\SH[fLuZ
U"%EN^#Wcm'[Z,9bRJc+E9Rv6essI#r3\JrR()]9^d1_PN<SHT:H,w/Zr'$uT%:[j
U"G<<ZqF(VSo#?:gi_:[j:T]v3D?C,knXB)pSB4%/h,65OlM\t1LQOsgHisbuEeuv
U"l^WuR457Eu3j2Ij,-PH3;HF:?>9k]DZ\<95AObs3mfUe[a1-XH7h[b+/7oEQUS/
U",v%eEd0W+=jXl(3;Oc2w>k,l&A=7uFf:A+9N*xO3XT\LwLe+F\JryI4Uln6FZq^
U"W=0?8C2;qEu&akJ0L]VQUer_6k7[%\Snk=Yl(;GXQ6HHHc/,u6wKnD=oZ<cF9Wi
U"L(uoS8>51iBbek%&M)hR)9boY/#3C336V*uomqJnzEr?*DkI>ugnKHnC7RGDgvp
U"t#RULD%-8Jpsa#:k#p[3%;.-9ciDAFYLCWc_o6*eZ;3ZR(C?7&'28#I>06%I%\%
U"I?)RCZHd/(T)T=o$:(Iy%l=50$fJOpdfZ&/\1C:yaQIHBCfttP)<YK0?GnhpD.c
U"KRiIo%)[&d%-[+d4e2QDc\RvuY5to?k9RHa.+SA>?WuDsE)%cEaaeawB3mRJ^?E
U"b7qLg3r_1.+:;y8nct'l2NBwz7K*u24c%:MDs-ZB4m3$c''4n&v$O$1E_4$d&$r
U"Kln'12B6bY9\U(+nfC.OP%<aom6I$#T_*c97h#NAmvE'2g*,_<Jz/0M,oX7,a#'
U"uqxSrgkU*(G6WYCy.e=wys+dv*WgY*?ZI44M\OC8J1hEg+ILLFQEG7,fY-RNvEO
U">_lQ.[Q:9eqg2#eytO)v).,k+QT#7,Xn+=1G71:VD3=haXx>/iSD<sA7<':27ur
U"%sLnkRJo/L;WIn8+n]O7R9<eSPD*XsbE=whHQ2G<f9w(eUYPO>SxMO&3T^xjH?1
U"40H9rX:h_pRn*^2C1V\g&W9JF<c4;JI.]6o/teryI8Qjk2(3i%3C3bPwp5^Y?ng
U"q,I;o[xZfQ)CPlW>BMt06]m%[ls]'nqSnYF]*;Ykw4;rl00I9\HUS#6<Z7'Y]o)
U"vC&[b]NPjAmI3Vkj'*\QU:>AC3PV$VwTfWQ)$Z58A3KzzmCIb]Ph/Q_>hI)v+t)
U".W)39PbSGNOBnVY,,m9OOaC]I<V#SopD/&aM(>1ocMfd.26,]osjF(no%+^Nn1D
U"j^5wDs59r,e*'6(tG+f7INn1K*Mr:cV/2K9X1NoZ:dDE7G-L.NSA]aEYD6vmh_8
U"R>j(V/86p9v\^-)712lpN[#[5c6<jeTY&^Yr<dZLPWN4([J8=cgmku^IVXy=-._
U"FOoEV=h.FTfXK'o0;F0k[b1,*C*OsQIUQ8CIlNtC_xV<AUIW:%;q%7NiYB*M2.B
U"OB3qu&8WVp1RTm4e(CO<v)(RHCK9J4\>]qQ(qUMGJut2:fVBRaB:(P.*,=^2:IL
U"QJ&aG_-/=wV4)bb=vol;nkYYlhG64c[qXc,cED$pI3Ae?;b^S/yPBq5FSaf,^(b
U"'E8;LO(mk(fmHui7_,EFtHA_EhmXZYZK#QksQ?X:V+52qlorKP:*o%cJr)-*cG*
U".+km<[6h=xlcQGEB'S?AM)AXw=T<Gr4cSRIhkh:_?n59R9y8Fi;Y-naGf[*'Q7W
U"<5NlJdU*Il1u&Q]3K.l#s4X]$Fh*[d&^>k:^bRA+m%Kwq8Jf8EVhpK'cu[#X;Kg
U"DTPIEzObE?e\vAI*m[eCMQpE)2Q$9=+tBnd&_:]IUbrx\NTxcdqX?TA4(H5_pup
U"]ESMjVgX[QbtK&k),,GDV7u-$Bw6YWA=C:qE#8E'Y\po+^lL)hKY,fO<vmjV-D2
U"\7<=BVP*;c</Z3l-,Ss&XKuCQATv(-#=f:D;HKHq]bJZd*SnuN3btA;c_]<Pc+c
U")g[q?t>DO:^[s,XQSK8oh>?rMT[a<o0/u7/RQowi9RHCh?%CsM$;>^pi?j&QCPa
U"1\78PR=i0AJC3z^>U26IR&x8S_B5.$2:=w\whEq't*U[d,IK$()HZ$oQ6uVW)D:
U"6i[yVF0ufW_DJ5,F>bN<M<6WBaJB=AF42<].Kt_jb%Do5PEd\m$Pxqaxbs,a$Nj
U"eFakJa1BfTJ&aMcV^d_=FcFhsZtm5/ud\oT\YA7['E%CD\YGBOmu9G\Ye92\#.O
U"Nw1&9]F&WN>K*3Z6N,5$mozKt'=I'#GO4H]>I:\/>l<INuPa%dbCjr3?]/*)i5/
U"LD=o3:.gl'$LM,%AnR0JXv:0Nt<26,-M:%1g_VYJw4jo71C\0qNP[quar9%Nr\d
U"xVk'oUSHbRSt7.t$lqf0[P/jJ+g1i*hKo<).qp_c*.U5hYYtq6dHK7Oekx7ueQ]
U"brbb[[p)Ym^YTsU4LO\%*&sjgjA)wk5M)Y98E7Mv$4f(iY.HbB'.7N5e317pOV#
U"K?G(I%qNXMI5mM*o)7gM+oH%TOyR'ARMe_s1k*Xk4)oJ7NABU:'%(M+s,]TU:bU
U"$PC0-BrpEd?HJ_;-7'fw1jq0nOfwQ+K6kdvM(g.gG^jFh7GV8]_.Vv8</+.g&rR
U"gC;Y[^ppYy>ru3>2sL*Z_vJz/l-qj.q3Fo0IF&P+N9NbKC0V$E*p1E&tT%OwRM5
U")5se9,1rMCwYy8jnbhLVb_(QX4m/c,69%jDqu]NePktHP.%P3jYId)FUPuoXlw'
U")bf]SJY7JlYYX\LbmynLY;u(/io,e(B[hTM+tA.r20(:7y>)FX1*r)m0%xItn2i
U"ewO_A#m&egwwPJ70PZYKFZYO.2HyGTruy:UF*k(zsz:7?;8+AdiMa-2MGbH-Cug
U"JVGnQmSSCL&oMCEf0ezB<F*'O))qNiHJG/DVI/f1Lrp-d^0,z%7fV'+LrHHUc,c
U"VHbePQD6PbDMDezjze(usF.x:7/,.PTgN\o.C8>e8h,F#f0Ae%XeQ]cOJ2THgP\
U"gK9X<0o,2=.H/3.ry3e9#QGRb+GJc1uqZQLh0=#D=M&5%DowqpQ)5Q:uW^(V30m
U":)UT0Z*Svqqh%s9-IE6ko$]8/lPPLbGm7V01W_oB+Z;a>iQ5u+6_RvM?9$:$;+S
U"I%n;i+6f<t;.x^:8?'C4A<7)ZC_zUCcPpe&9x2]sjTl<%))e[(>a/D8+kn*w#MW
U"10fO9]c^>YJP5du'BPwR]M;R?;LqNHVQi)+H(Jfa4k\Pm7OR0UW(7j7Dm0OlL+W
U"J0'-_QOIW?S'&T(vTIG\9A^cCJ)Tf2FA>k'N%ErT]sP*'Rm#k7od_.wgg+9g4I8
U"t/k0#ZOIr%ew1eX2QEwAA&h-8m;0%&HuTrm%c6jL7kkv'p>nUk7-)<[7b7(ap;2
U"9Umb+b]qCKP;t6EmUj=dIVV/gQ(\kH5_<Of?4zc;./u+<o0\lQsAd]H,%:;A?8Q
U"*5%J3xZWCrK2Hj+'I&)p?YC/LO=WTARA.*:Dc72;IEsU6=;wZqAa+ORmgb$NqrB
U"<2)NGjrgaWUkoF8&$FFF=CKJs_),G]%Fj'S7T1$f+/M*YdQNQW*\I9w0kYH%sK]
U"9M7=1kYo(hDkq/]CL'Y>/U%H.,5/\&?fgr0$ZBnjs5i;;sClN7=9[(v,)fgA;E<
U"xSN9O;$:Z%/V]e0DVCMUl07B9_RMe#8^OP(3Rs(#uCAco3TM;Id%HAFeZ=7Ifvp
U"-A*yUIpg)Kq;&o?*aE4%A4ZOZ(PZ9/UsgP=?<.j\L#e][JLmJJY-\4/^])BnXW8
U"^ZigoodK;>AI+3G0Vm9A&4-Xg]-i4fM-'c>2t4$^Z7V3:O&Zh#$5:R#_<1%EB)R
U"FT1Di3Dt^\'a<&X'1<jCl1M:VrNpZ:Ap6Vo/hQ#t+QKrQjMK81-*B8X=k.X02<A
U"nwA'17cDv))RAze8[6uJ&=8I_md.+sDWo#z_'X'v[mThQ\Il4rolW68GP]8%t4u
U"7a7t3%qt_2\%VniE'sZmL]QL4olDOD=-OKQv2>-.kO8_=-[kE$N:E:K'<]M.6%#
U"*tu$;9\*+TJ:g=OWm9+hl7l>K1*fAzSJmCCZbo;JDZ*eloT:u0-F/fmR4>ghkhJ
U"qAb<;6W;bmahb;a6_L&.yRR:QA+ikvclp=aIHwt6tq29md=S7IhN..Gz7q)[)BB
U"U:\?ZXyZJpgF$pZ&7'3kClTkS)rX%6#??:yD][yr#i1Cy(3Z10%jnGz'-_M_%IM
U"_Q[M/'Z(f$Vf<Z$qCIB2Fc[Qwj[%euym(u3iu&Ciuy#I+(gZII)ohgwoID_7YXI
U"l(T+L]qqM%,W>eCgRy$A$f=p%/ey%VrY[yE\bHQd%0i;%&'q9PVG(J%y54.)Og1
U"Z&iOw&(npF6I=$+pXfc)o1m+&]L<ZXP%l9<1R22#hNJ$L29ZVqC2Q-P+1''7M1l
U";7==49\z-lQgHbR;h1H]iu6$JWMgAn?lrtq2[1o;uU]#MCh7>W,bSK;glSjjj?1
U"O+'%[C_QL58i-WH=fu85%YB]6Eg;uSL0Wra9<DCx:-0'CB'b=g,z9.#<Zs#zHGR
U"_wAn(3JVUP6tUGn[X/K+:T2r2kJFgq+?#UVsi>+6[gNGvTo#9s-,iu^HCL6&864
U"H2Z0)V?R1r$7a^hSzRs4Y#TH\QL]_e8pk6TcQm.>'h%#W$Sn<^>&_CfR$06lN1)
U"$$e;M?Q:l4O'I5Y(=_FB.XMhcS>_iWI1Ciz^OOeF;tD*70FjG[S7]PZuT=a<l6x
U"V^6'JesOmLvJcOc&W?b%<6EN:VT?BH5YbMR]CD*'baL$FG=mFBK%n*OZbQ6MRFs
U"AcFVNR%s$PAlq1D[;-.bUROLo:5?MN];FM<[zKWkBHeXHrS21_[]l)Xur66<=xA
U"lFU)4n4X2gBg]x3\ddt52aRd9CE,\]5Y##IGsF<Sn>M>VVAX7=Daqz.rZ]JP%Zl
U"6N/R$9hVH(q'Sna4ZOu6(lH-/IzSLD'gi0fw3^a[Bv6'nh(#1JxFyFOeicSGVps
U"/8ptTCHs->K$*->_&$li)=jipu%A%I6OFq.G#Ys.P8t-jb020\K\yxklpdSiV+8
U"fgZFin2$g#A4i(dpXS$v,_x#HEzS8M4tYN^^HGeLHMJuh>8?T5$kb5gH1SK=ms]
U"Lk8rC%)[W2&mUcBO*<Ii\*,2cG^(27Df2>ydC&z^mjHjhuF$*f%Sf1m[J+EmG\p
U"xA%w&\SXMlZ*VTo6/>gUWD'BKe'ru*[_LKABjO+&doNcPW[LKrHNiZ7Sx/z5?>0
U"[qb^C_JdG#)3cW]ta6wdP.Lo'$k5T;Od*)=.VIvJsKMnWx68N%%RoyN6]O6Rdyv
U"gW0Rgh]Az;_\Rw,[o1D]CFvn+X7%'LuDD\WE?[u]N<La_tInnmPDJ>5yKoj4484
U")Z+#Vdyl-_0fW.v104Cyl_oP<9uMa(U(U)t_U;=zD:(/JS+0uZK:.a''\Z/),&Z
U"J+Z?,kQdk]q>Na'M=pj7k[asiGBJ<qa_JhphprQ1V^OEhB07mu)OP9l/LCCAHIE
U"R>..&>.fgK$3HD]CsU9FZ?9-tu?'*owP4+H>I4:Y.U6XI>j+]bp&/a1c3Dcurok
U"hkI*C'H+=%8FF=_DQr%.LM#C<EoftNgKa)R83GIW^ek]KB:?AH)P0PYQ(S#6$Xb
U"eh46hEDtKHqYjeOE>uu]M\zsyWaVcmtYHZFYYbYlYmx#2MSISnMOj\&5/:/gxCI
U"j#V<p[&[tW83ldJp]Vh4'K$C8BH7688x0[Ha(bd%6I%.c'O<tL9)P#wv4vT/kI&
U"'n#n1-b5(KmM\nCK+ks/:tfPLFyM#>[ME(ae0$8I#MoeTI-#wjg)Gf9[>XK6+;U
U"pP5]J&D6JtRB1TNju%PedMOvrPY)bJ+8Jo)CO#,oO;BMYstsf7G.Gft/l'UaBR1
U"it78(_\CEC,a8B8X7[R<[<[x9[<[-;#]i9%aL=P'A9Q;3u,/;Z5/w_*YmeE/c0V
U"0&.7K/1xS>-9xKUG9%:g80/-^-%t0T-Bh0,Y2UYm<06QY6<>XkiA:jDY.c<LRKs
U"nC*(Y'AS/mGmNTG7$X<*.Z3Wj^[Lr[r[,W[z[j3[J1F3R^+mB'I\_M._D34$B_t
U"Om*j^Pj8*tcuZldf/W*$$E(U$V>BEBL[I%Itmpej,s69zO;(B-cP6->cn&cWlD6
U"j6>.nfwnM_YD^&.41-2.MeFCQccg>IFdlv&^0V-lr7Pu8IS5I3IvC?ywT/>sJd#
U"fyZ0i[cX,^KMb*Y=[wXM3q&qksc'[>.L6W%9n>nWSy[y%:zhK*BzKthi$0F1]i#
U"co\o?6G[HL*dLdg5k7'DWWS+#:^<-D/_w=_C7qrBoZBDM5tqxlh'x&up%()9%%%
U"%-%6H+ADRv\iZ%]'%%%,+%%%0%%%%ijkf%zqyS[ufq6eb0=S.e=Sldzo8E0De1/
U"*Z$_a12AQj%Ao#DVyfb4UPDoR2ARe6gHR%tcH0$wQvdvski'nFK^#KBnL_x3Q4w
U"JF:zDr+'(St$Q(T,MGlxByD=\:(=X.%yc*.uXn)P*/\-Zygpz2f6M9uR&\tOZ03
U"784zoW\eu\;zO%4o(%ioGKW?525VLfq-n[=N7=Xaa#05K=tGT0PFWE&7f5hEIVE
U"P8/-:=&Q>)NC)B-%F5eEGhUoOY7:'v<%'fE-()PE5()Qe5%-'fEm-):r/-*PEm5
U")s#:)nIR_9q3cep)\IL9t7X1Wcr'kdaSwcol(2G=A:K;p^oZo(k_LX0]03P;Q.K
U"eUF8#eMuf5bLtvpSsCQNge*8;mnY%7WHtfsV,:AjXWoCP'H_Itr6A[25^O)t<Oe
U"u^k>Um_:D7w#d9Lix*ghls*vU)ZXs3?<iPh,p;MAoLVJRl=KjkFG=t4WTf-Eks#
U"brAGl8IThTo,gEjgsgmGLKLs1DaMq9s>bx]KTm8jKvemX^bpsUd_w\omLK8_JA]
U"H7TY_&A]NA.rZgLSs:&FarF]O_l-oTO=;-$eJ:p)Jfm1##bP73vb6aHaF#I\pS>
U"fXU07ha32<\p4Hptmys^p4[kMP3Ts]h2vj6f>K0w[FCcLwCf4tQ>)NRcet*-N.x
U"%+r3ld&fHF+Cs>V5pBS[^81KmDg_U0*=SN8#wKQhA_VF6Og:Sa%.LKy+qq(u%p(
U")9%%%%-F%eBSOE+)z,2R%%(%l&%%%/%%%%ijx%jwyS%xuwB5_F<*IV-SlOCK;=E
U"h_?A7sNE%oO[j]moG^<1m:0XZEHwLtL(nlHj4c&:iGlv5a/iXo6z+3d^wd62b&5
U"s2ybjSS]SLVb,LB6Z:+B/7->IBg5YCa]VZWfkK.6:]^LW%\\sbYJOZ3a,^mk8T+
U"rHE5CoPV%).;B,vojel.Llkap\2:-Z68adifc.eH>w'N0m32IFk[Dk51suX1:Y1
U")A#fWIYFE_iq3P8OC#%E*EkH\Jj_S9e[&\DYAq8E5lJldl_:_N&ti<LPmUT$?#6
U"Od%up()%9%%%%-%asnHDPR,\0I*[%%vH%%%/%%%%iz%sljs%SxuwEfkr=Arm9O7
U"^fDP2_BPm'bjS6WH1'0%NE93YOM0g5ZEq4]9&QFEC1(y>b-MzNuhyIN^#;a?-fh
U"NUwkHdPqcrOup9k($8MiJ?Xxv#VLZc4=g2Jf&^4rBgcD/j,(0XauXQuNru.#PQg
U"99$_y0m;J/JyH.9R2sNV,Kg^^XotstSPLu[,OIYXdF-hF2&oLKR:-mac]B?R_Kq
U"alcmJFUHbk_5Hv]_()r_6S/xK?S-<k<SuBkAiZHMg,<4S.YzeOdhzibHF.,iDxq
U"uhbpFm,mh4RR9-U-=Kbw:]olA$2RTdH0C3BLho\/jrJ&-DF8P^Ev1h+.2Yp=pp4
U"FSj0'=tFYI:?inDNk=wQVk:w#]WTM)U5A-b2gHouB&LJ;kc*Q8c.B>Mec\,PktT
U"wqn8O._cdCFM/l;fHlUD?bm4.scWlA_^UV^EJ03Bg>*OUl9]$pvphWhP=<Uf5\n
U"UBgn5A8TmFc^+c3(<2NT#(SuOU&#Xw_]L+GhdJZhdI,c)IB,\2to^LH4)KYv%r2
U"ItofX*:+$igXUHHO91d]*<*Hb=iN<_Zn;Iqh>su_=BG4uKr=ij9/s]lD7o,#Y:k
U"Ak8(yvQ9]>d$(,]CO8MOwPuH$gk/mU:3;Bg\a3#H]ZXl>8Kl>Hv9-Gr9=EH*t's
U"P:$&+xB_;b8nmt#drbffn*q:;d,r*G:PYlBS1*40J<WxKJ^cn=BFV_Kn-dIG_0;
U"w5,du7n5FHQ,dLYy9uyuyHuM5g9<A_U8V^Evrjb.6l8[ND>SQ7.MGzxVf0BDi_E
U"o;WgsCU0jXs5<G$7306JP&#:$?9S-e*,$0ehR*YwjJrkD:GwsS:$h^cM[M'<ttt
U"M^^^-J2hT]SnI1Gqk<'V<fE&4P*NIG2v:dmKfsqA=4kOq(L$9GWV,WeOP=1&=-G
U"uyQu]Bgi4DB]SB0$BK%^]%oEvjX4q>NYV-C%%scU#B>If<]%no0#W3^p4hhJC8X
U"tCKq1#RbIYH)buVr=T\U>RT>CtlVg_]D4GJG(B*i'=Lb*<P#BLSmoT_JoZRbCXl
U"5*08A#j=#B3#oq=H/z^,Lkt?4+PmL7,qetobVwZOHoru_'f3TxqS&PX6<--d.0c
U"B;h#bfR752\+tEIv?EXbQmpX8p[Cu%Tg4XB[oz_FVp4+V=SZQ\n0/M=ZhbsgU*[
U"^G_<EMy.(Xl61-[n0F3DqB'/o4'h,o-D7$GE_R50BYE0&ruK']PkHd_;d_HvZ0W
U"mBj-gu,l_1&;O:[imlYi8Pcs5t4g7n)0J13Bgft'BU-d^>dorA_18&gVoZVCJYp
U"^mjlh[nosT;A_w$qpyu_Kr:XA7j2PO^E#m]\al>jt>NHSP^E0M]YnYPn%SKg3Bg
U"<FA_UV.^OMO)MyT'hBgr[Gv[Ln9<A_USV^E0^3ByuFyuy.\gHUp.N:NR[u2aSZv
U"bK)j]8](W$Cw9;I<vt&,$24'M#m\1a4VY2\P-9qp:d&F,_UFZ6_SuuB+-AO0vb5
END SUB
SUB V7
U"Y(L-uNxmi>s-F,,;8txypjpm(rCqC-:zU/b(Z,qbR1rt]1Ts<xt\-cZOUvX)mww
U"lfDvIW]kzMK8jeCi\Y7>UD;iblB#^\wAXC^]0uluEGHbwLf2jD2xIZJEvi]bPU/
U"B>8X8B)N<0_UV^g'Bg<+A_UlJ/3Bg0<AP^EE03BAgHUV4^E038B)_UZp$#>%up(
U")%9%%%#-%:AA^DfB%]*[;[%%pR%%%1%#%%j'%fruq%jxSxRuwfl*F=AlMaOB.i9
U"O6MV;XY0%4)lI+*h$1g-jqt'e<=-L[eO/?*fwf8jar&%-ZqB>stU*K%]O^0ouqj
U"7e0Qiu0=$iJ[I/PlFx[8iE;X-CiY:uYy4cZuAECEYWCcYY=xXNfXz9fl2s^xgy.
U"k25[%obNpEvfA?ymJ1$U^kM_^/8JeHTlblg<9_kdD15zVBEDURByeo4C4L52=^m
U")cSR^>\)7&Rs8yc$js9k,Db;^sF]e)EV$&##&/rqMFDAlIfDt)U>lCP?PA<?b1R
U"]uUPEiY$<'K^xTzIfTR6X].$3pi4udVXTE?hg#=ighyFj7i&<:-Ob+K3ZFFJ0Q8
U"tlzmfDU+V4;RbQMsi>/V;'0M29i6d/\KV/XNKY1ADFqFx/lrtDTknRIhl>M7JBw
U"ujsFZ]s-EtIWYd]?UgF%e=+=eH&Yg$O1P>ED=qHGm4A52W75WifF?&3V84vBTlk
U"d'Oz8,.h***x6u_i:GBE;0?WbFrol+D$8#(o0?[q$onhMIA1$$];eE11-6D2'Km
U"Oc63EpsgNOq8EQ77SMBVCVve-NP.J4vg;6sl^tLa4^,v4kGRY4vY+inW/CkQYsY
U"GDM?^dd'h?5<aqjuSK<wa2R6HL]H$E[MDk=;.qLmq2vr/j\\YvY%wT6s,PL'es&
U"pcI]a7a-GrA/o(8L8^%^RDlg%GP#<^vIf8q#%jN)>sXa'F'YV\#5s:PK*,Rf&i?
U"Bnk6tVRZb_,OL&6FH2U.>q=+V2^&N=8mIlK#3Yvot$LCPM.rjOu]bBbcJkdV7JM
U")YqVfj]]+B*;X,1&&rIt:K.'kQ3d/dY&R)_aunOi)U0#M\Y:vo2j_OZ)b.'r&6X
U"Bi2,2?1K]T?-x0gC?DY?3]le8G-Vy]Y#1u:nSvy[5+)1nauaWhPxlkN7x(#mYvY
U"[oX#]5[Bc<aAO(B?Rbz=xcIFd3i)FotEDnuE7WsN6A%*G6:*Ps:M+?/-Nt's$$,
U"W'6eQ=tW_=%'PrHJtKg[AtsoK[k*sb?/,Me>-sQf><ncbuwtkIoG7bL6V[kdk:f
U"6lSK#VGMd-W#hf[u^HO7S#92Lt3_KopN3HT#,Aj;Pnc(6\QRkwMrChi/^f*]i8B
U"vEZDo\#$H=U(?q0);d=2[a3uS\s86h81(I;YQ3P>3QElSj=Hi?k6n2h_Gq)BRWU
U"<m\pBgA\/=h8c<c,d]7Wo'iu$up;nZI5b;5gpidpi+rF[h01P044PbuYGWec$e:
U",G&'6OGrstJPM$UjZjLl)r8gbf;Gg$ku/C\(;U*67KP.)*M*H=wpv/lPJvE<H\T
U"R_x#F,/c.x*PH+*?r&gfpVv\*l&a'jkk/%0QvwD/kM?&]:E4A,-:_B6D'w1EAoE
U"AByjiLv=Yh>59aiE2Mfv7]X0FW9I+B&<#F'4\*1HpiQYs:/Gehu$;9Wf#-3(c+o
U"c=kGgy?uu-$pRc]mG[D'[5q)0u0>Y50Z:Q#dop7FlPO$53>_\LaiKGnGAD5$X[#
U"^-*$=LxgjYcii,/NS/'Vv#'P\qp-Hf\dv#TfzVM>_,w(o^$464*^>qNZe*Qr2f8
U"nS=6g#o]mZ4/W8^/c/7C$t-ZO&u(7scf/M%:oYE0Jp#*)=S>L>*N/GzX*e>J*Nl
U">JJb*8nq]/b7rl/GsOj/0r.:d11^OdHPsFHoID_83qqe$Xi=GdBzltK.2rY]$gJ
U"WsCic<6?cv\GPNFc+CQ&cFk>55s_4zITRIHRJoMq[qZoF49^Yvf+?4XHVER,;45
U"3oj:(A^Vz3l[+EBf*:Dc.3pOtE?El\]bTcP$'r^>P*nsy/H41Ggx>T,WL(,Ssi)
U"Vss+-#=V]*Amqa'gjZt^/jMi-/>\v)oX'r197qe.8*iMk?Wr9se760B0q(F9d8X
U"1b_kes48r/5<WoC+i%chgr'MGBLnhnk>kMqnE2KRFSc_EWK:L*FtAu=ju&&0]Q*
U"uv(G#fP0DBM:+NYy$BI;*mG5$Nmm4w:gd(kQZ=A]/tAgAeOj[&w%u7n1<,XGP#N
U".+/c#'%JOe;m?MEZu9kn,MsNM0ahWdF[_d((*'fQ-x*X\(/[dk'u%[%G#P%Cg'o
U"KK5MCR'og%QxkplM/$vF%r%&w%(^554\hGKnu$ln+D-\(Cd'BqUW=h\%7+Lt8K.
U"/p\xO*>tQ(dk$'_gvFZu4s80Z$64FiF.mxGor4(u'**HgO7EPTwPYmPoi<9<V'x
U"<6r0wt.QCjdo(5scqj>8jT$c/K?et9Dt^o6*%n,X^nAb:WD0j\5p9IQ7HT,N#_]
U"jQ4J-\\dJ%XKf,?nr]$jWZpl(/O9c4JAkG=[6^/2f)&ikOJ7Pp4_*Yr*HYud2e7
U"oI0ZMZ&*DgHdrx\NUzVk1_*X^X71N%r<p$s+N3z%?U7p/9oF4NXXNhzsoHY:f:M
U"VjTVxu35OB$S59Yn:'1l/(u8teRN,r.]X3:LYUfKa/0/l)3s4\\+:fG]5*2(,CX
U"*gcEUvo1?aCM<O:ZJeoZXaxwD#K5t?R0_d21>Vf^tzS04t<7ZQ]slRT]Yeg.k2$
U"L)T#SiRi\9rY>cPrmW),X]=7ww,?Q0/E42<<t/tFm=0WZ:hMO4Q]R>:?Os:d#YC
U"mEBf$cEs\**<FR3&$Q9r]rW])don?hks4g4NXfslQ0xHAGn?iw2KwMuUvxux?5x
U"-Cv4':f5u+RhYwk.4yWgu;u*w?JDHSmdd#2?rde0Wlnqfq7Ns.(eW9Oo=.qM+W?
U"?$^AVKKkO9b158Bp3[w_y>o):1VFBS%&#16tTAo^xw3&U9<ip#wXDTKQ+jO9t9I
U",6?x(>rpr]fwz43MDP,.itRAq-Y#u:w*2yotpvQr29=Z.w4f/K4V-Eojw<pkX$e
U"i>tCQSUzE>tLoLxbS*ONek)NtSn[p6csw*/M'%Szt949'S?.XDB^&XheUW\\g12
U"A)HM,73JRBWf[WCk(r6OBT]U=xjJ.CJr<WS:;_3l#Cw_-BT1(''qgh9v#Y%_9bZ
U"[P\ehp'6hR;'D]<&6bX&Qh;ztp058Qr>l/^/'Pg0ivpjUqF0Vw0TIid$,k0_?9W
U"&;m%d[nn^xvb<ek;S7uUftZ\\HN(<nd?TvCcoGp2=_TrveNLYM-Pn.JJq70aGDd
U"$(sdi%nl4hKMqrn:^+$<lno%k*_%'clNjsY;oFbH;_n0Wls)HUwwW\daUQo(]ME
U"PotHphCdW$JqJkhb8R6hb91ldtQU5r+4b1>4*dICmS'N<RFa1L?=xgWgDJ-[FHn
U"GTKH-9?n'ql00ifTTIju:MZGr/NP$n^d:*6T*x\Qb6=Y+xeLt3xoor)QgSutjeS
U",JpDu>=sW?Y(&tGZ);YTZ7T4NchWbKRclF0TX^p7?t.FbqF]/h3wy3Vp*:wPFAP
U"Zx=Z<,/so&&&)le<:dG\>O?+UxCiqjBn1K+X7lShH,:;7O'NF)o(10wFEjdH_1+
U"x:J:__XHkf<hg%CH/HHMd_5RCwM)m+vJ.WLU(V8'1A?n;T3^U1:ff(pX#)C;Xc1
U"hEKUy9IJv#8:lFgMG(^Is1JPmEJ(febBGK?*fACxQ?S0gUfez/\LJ8Aa]WG/EqJ
U"$N_gJx/E9(F:?d1lTrCAVJ/&K:N%CcNZY?Anj^noe2:_)q'][.l2;W()W93.QQc
U"GSqZ2cW+/);Q'wZ)6=9=<8UqzTQ%=,F(I.O9kntN74/1(k/xVGYj,vF4:kzm#&1
U"egpb[\j;l>02Pe#.,,jHqUmWh\%77Ltag8Tt?;xQ[w6:$:R6I/N^>806sp.62#V
U"Xb$pb<ko7bVR3.-0^,6#Ces9,>,X)WNV\Ol<H(T[',JQB/nAm\buc=:30tf_TJ*
U"ITjwv?5/S8E3[Rc[1]VE?tPI6=(A?\c09A#a<)<Ut5owE?^d3Cdk^>'lKBI#&AN
U"$s_0/_mq#[\:8IeMpLVKK58Z=go$6;*frDo_+wHVWiqJK.#QY748>Y=onNt$pt)
U"(6e,qq*71<r9-Y1_Iqu?1oqh$)Q1=-V]gJ7IXde#S]0hGc^R;/Yp(]r8Oglug]#
U"$0]Tj3<YrAB%&C8tsW#tk#<q<,6M;rb/>MEF.+<'&7$H,mSt?u12YQ,ChB#]eKr
U"U]JjW]g=P%YTx=9Y/#]%15*?1*gvBD>1\5kmaG=hkJk.&Vve1(84Qk5XE)%^,:s
U"Z>'_VaN$V4m/HtqeiW\Z5t\1a##JcluOXZBCl3\HUUSA]5V<P<&WG8i4Gk5F$jA
U"qW-;q2*#W8OK:D+-UQX\)Zk2rEv]j%1n4\IZ%Pg(?%3mUU:'0YLe.I%/UPUr3#q
U"s%j-\src?=#8btgikOBo#]/m0&uA,IJInMXVKNX;5cXoB_TE7WatQDSRl_tMm8:
U"ov9wcWz3Bc#u#hHX]Y32LykL3.:nvQw<Hqx6+sl;n(Y.XOa'^3L*-%*2j%u=ec%
U"5/=eRvGxI75[3ZlT]V;6)6>5u\XTfQlI-%?9pXh.s?oeHj;4dQ2\T[T'c)%'LNt
U"*Fh^tv^e4e=G#R_?DXuxO9N41E3%zq=emIrY4Y,GEP1QcqbDcJn=aAx?;XJHBe&
U"O06AQ%/p1&$RR9]x4\)L=r0Wo1vAHh[3y)/(ff+NYg9Lua+fTv<[KD_/VO9_XK=
U".e0oVqOB\x.S++<_MM7np%BZYu]G#2_ZJ*9PdirVMxRtn]8Ay+sg:iu3s:U+2\.
U"X+1B1)%B\W2<(M)4+<-D3ZeTNwr&Oo*H%3/,RGd)yOTg.aTTM*Fx.k1k=#[%kPs
U"7(QDunHY=L:+CA>h$P'Ad=%eI'>mFA#9,A[/M-]GK=m]>Nf$n'?nx<?]rp*#L4p
U"PLQ&?lRFZ)a0v2+aDZl+\7&YAz5H'?JX_2)aSq=3q)/-37FzwP\%'Y-2nW5E'i>
U"gz]6>W\n*v;REilYL'MMHx%H[crHt0uGchBP1OY^HdxZj5?0[^Pm:A3A>fUYm+C
U"gBeq;(wMUS59ICBYu:kHSyjEyO&l9S>5Y=#\_6)K&]ml%J\8cDK=YK%=6DsF%/a
U"R-&tB.n^j-Hw)ea7ZOgGbW4#BKSH)cj%M*dsQCV.fQ.Z=]/&z^3p*9G>N=%73As
U"j]sq_.O'^1+:X/&_LAZU-./K)88NMfahW(F=lJzd%PW^K(]Brc9q/[HD)&W04+o
U"8j%^bo#xC9?=,9w4blp<T5ND_T%H*U%G0oU]r#FnsqDR^jJ&PzhI.k57Skz[3h.
U"4q)'M]zuS+Oq+n65T5a,x45PDTPJ3TF91'p60O1Fdq4rnO2W.i7z46htL:/Zv6O
U"enk$b;6nbd]ltw**Mj#RV-E[Q?6^OU>7*SdYTkR6i5IFUN6?J;BGt6fXSkBvS0H
U"o_hMCv:Li441,Dk/?%rmC%E$T/[M#pKVB+/;gG\%UPSqc]6R)D/k\>TL;q*VVqe
U"KkP+8Zqkc[;8%W)2cu8lX=;jDvYGp-u[N[OvYC-;[uj*-mkp7O*GHcUMfx0Ck$K
U":GwB?9*+Um.kv9f^>]Y#DeNQ1x,^BHK>>;xFZCeu$6WTNiZ0)oNQed235ZrrlnC
U"pqx<I<<TX:(E^l[uyEuHSu7h7:Pl.>jiMlJiZdW>fh]3Y^XGgrc75lq[Ij$4Z'^
U"r-nShm*BOk,QC/U7zkA6-:2Ywne.KYN1sObD8s_yR/],7CkTXw7hO[r-cAI*6^+
U"YumBLq0&[WnhKu<PQ7gSd-Kv;$_,C]:skKK$uS*jjV5a]sH*(?lLgB,Y%Ar=*-V
U"J$N-Rpw:g08gQZ^=]/(JBAeO0jps%6qdfvji'^x#0Mu=3)ew%GH;vRiifex?wth
U"f[fDgundVxVFO9/1lr(k2:v/u:0[T0((5F2e7L%CL*fvaMfY3OvRD_h.6/x-gBw
U"7NOR&-,Vn#a7(Qxv>Rl^j&()-6K=Mhp#%;XbvZg8Tt?;xQ[w6:$LR.%8Vmn9uEW
U"3B2kyEM&MB=mZ=F&m^i7qV7_IGhBYXMW^^v6w82fY0cZCES9r^5t;*?XqV(QdrL
U"k0JoU=^kMr4Q/-6H7T?hjNiwBh0tA5K7[?4/'fw<YDZm>l/rFbeVlpo-acmt<Hi
U".qa^or0&jq1i<ohzN(\pd)[m4rrEjmqL0ld&HYvSQ6,6K_jKX3+Uuu7IL/coe[E
U"FMvPG>(K=c2IsCKP61rc]C.D8U,*1&R75)U0,EL;89Exjc1/3Hpl_%L.BlHB'j^
U"xsY?T#<)I-7AgRUf;I'rY8K?-;Mk2X;gM\,)S>XB:>?;1j,V8l-<Y6:;[L-OBLx
U"Q8>==+o/scij-]VAK?39rDeY_9U,iYJfUCb*BsJ-HljT2I9E0omJ.Y)Bs5*AK5J
U"#xuvYu=Ho<F_(/O(u0bdw5oSt;=JC'RS%5KK[Imq;cJgm0q(]Ng5,hQMW*BS6Xa
U"deQ6h70sBU?9+UOc)CqJLVNw\Qh_JT76)n9.L_:EupjPdjL(ub*x\vnfxIQ5?&_
U"N<Ug$0n'awFZD*EPOmMM*5<BL*h_8G5?3]8(l11WgklsZD)gb7;E<F6fE;F1fC>
U".nk7O]l#GnUU+o857ar79pBhNL11\MFRi,kQTxb=7z06]7P\X#h\ba,U\IEX;SU
U"9SbpRse^TOYJgH/^6Ec)q.#o15Nuf*5fKFe(F.124qvZ+.M1.?IDWMZAZpp5nG+
U"oe;fea)Nb:TMBYPp3GIQs'fe4V<o:ulwPqqxdZ\<Npu9UV7^F)P<4zXLMGe<<4%
U"Ru3GU[Y]RAWwKQ23RW4+g>My%3G[of1E$<&zpcmrI$a#7MGEVIU2f%]R9sQ/IVD
U"FFPGr<#9-SS19ehbdSEMV\GN_rGjicY77P50hkjJ'&*Mif6fT]#pLv$04=7>Ar6
U"gi>Ha>P1L=F=;c5M^*/1Cs:aaPsEsBB1*ojw$=*+r^T0H_xWM-+?1ld96gW=fh]
U"_/UMk/*dz5BOG^MIapc'\lJo)%pjZoR=\4$&^'[o2Ka^'kZEm(%jove-[Y9g9dp
U"oP(\=iTi$,S6/+3RZLT.X-mS1*oq1F&FqJ#8[Q>g)+rj1wrou,nb2o__X2J-_t4
U"1Cv*(Be9e1OZk+8atsf/8dq'3AD$pA/>^v.v]L:NhoSQ+'EO_n,:r%(FjzIA4Bj
U"TMb+%$Dy#*aSYi'KRovgvD[/w$MkCs1BGvVx?a;]A]>MU$Lj%jb_sQV#.D%22VU
U"r;+,]<7U*7Q9%,n47jZ]sqn8O'^+D:X/_%LAZ-r81r#(DNA9TmF=*Q?u2zd%PW^
U"<0k2vk/5Tqa:Q%=8,(I.bOknt[N4/1U(/xVlGtbfK8P_..f//%6;e0AP^hkHUY?
U"^Y4awyZMfh/35U?(J+so^K./p\xO*>tQ<Xbud%up()%9%%%%-%MB&SE;\:M4W%.
U"%%l&%%%.%%%%lw%fxxS%xuwb+uTr%%V1P$FE*t+4L*qCax*'XgQYSha5Ul(sovE
U"pQT#)nUT.dD+*1\>:6dasjWZJ-=LZjmI6G1>/X_VueHyT'Qe%_otkEO-NAu.2:7
U"VNxJt/;rAQ^$\pjn#&:R)mh9mZ^1o-luRZK73_YuRPPI1cwg[CjZmR0ys1WQX=5
U"#?<ZkuDc4Q4wk.7]Qo9IMbLFg:McK2cup;+V\XdfT[%9[-Wda/?3t9ql0YA);x8
U"LZJC]yGIP>&F07$Bah<;?]_EI[sbKWghLQ;J%,)gc%m_?Ps%&up(%)/%%#%%%=(
U"3'E0-)G()%%%%)%%%%,%%%%X%VYSV%Z^RV%2/up%&'9%%9%%%%-%R#8SE#t0DF,
U"%.%%l&%%%-%%%%%%%%%%%%E%%%%%%%%%sjwi%Sxuw%up&'%9%9%%%%-%1U9_D4y
U"mog(r>%%*3g%%%/%%%%%%%%%%%E%.%%R%%%%fh%mjhp.Sj'j%up&'%9%9%%%%-%
U"4e+^DN%Fia&D'%%%rW%%%.%%%%%%%%%%%E%R%%q>%%%fy%fwnS%nrlu%p&'9%%9
U"%%%%-%e$+^D%MFiaD%'%%r%W%%.%%%%%%%%%%%%E%%1%cA%%%fyf%wnSx%uwup%
U"&'9%%9%%%I-%6)\_Dk;UL]G=I%%yf%%%/%%%%%%%%%%%%E%%%(UD%%%fzym%jsS
U"j&'jup%&'9%%9%%%m-%H+&ADv\*iZ]'%%%,+%%%0%%%%%%%%%%%%E%%%+K]%%%i
U"jkf%zqyS%ufqu%p&'9%%9%%[%-%e^BSE+h)z2R#%%%l%&%%/%%%%%%%%%&%%E%%
U":%V_%%%ijx%jwyS%xuwu%p&'9%%9%%%%-%a^sHDP<R\0I%*%%v'H%%/%%%%%%%%
U"%%%%E%%:%W$%%%izs%ljsS%xuwu%p&'9%%9%%%%-%:)A^Df&B]*[%;%%p'R%%1%
U"%%%%%%%%%%%E%%=%Me%.%j'f%ruqj%xSxu%wup&%'9%9%%%%-#%MBS%E;\M,4W%
U"%(%l&%%%.%%%%%%%%%&%E%%%%Y%(&%l%wfxx%Sxuw%up&'%9%/%%%%%%/=3'E=0
U")G(%)%%%%)%%%%,%%%%%%%%%&%E%%%%^)%&%XV%YSVZ%^up*%+%%%%%0%0(%2'%
U"(%1)&%%%%
END SUB
V2
V3
V4
V5
V6
V7
CLOSE:IF S=158AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of SPRITE1B.ZIP ends here. Last page. TCHK:158
<PAGEEND:"Sprite.Page.File2">

<PAGESTART:"Fido.Faq.File1">
'>>> Page 1 of QBJ.ZIP begins here. TYPE:BINAA TLEN:78569
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBJ.ZIP",4^6:Z&=78569:?STRING$(50,177);
U"%up()%9%%%I-%4;\X?'G2I8>W#&%b0%(%1%%%%vg%ynux&.oSiRthEL)<F#\Pag
U"FlENNec'EmoM^kcQTZkQGp4IC5GAX/n^VblVha0+f*_r5\LCTa^6>Nu>xp*oJFn
U"uAHgNVBhh+ie+//TgpuJw\=>q<>VA_TIJulHH6\q?hv\-#ojW(:jc<mWl0$*XnC
U"(7o\C7%VwCI^(tPkDHi9FPBto^l_T*0+j3qW5N]#G;e8k5I+oS#s;WFl+qA]5/(
U"wsxLJuXMe$L1'_qt]dt]s$TP*d78L-Fx+IQyiX&R(VvDF0AzBMFFR%,>tz]I+3d
U"-V(7>Qa/0ujvI2&?mI[VRn(9l&yQpwPpxvQmUtK/pkH'[7KURyo?GE>mq\G<S/7
U"cx27'OA<XZ#UJYY5qZAM%WCYgDZ^Q>',dXRAjP6*c(E'EiuhuHg=[1N/hJX?h)9
U"Cy_oHE;m4]&KM2.kwsjJ[dWY2<-P6lJN.s#X:J^4%8z62kT#Ep;IGk1s41OMfH$
U"yXeEK3^f_S<FE2v\PGx+SHpx]bShuLH>q$pv>dvH,d<b-OBiS36oZy?26A<4XNg
U"7wqS?6?Ih]PgGh4mzM+qYWn7<WpLNi&hU1O:Xe#RzASEjlmGuS+A$snS;X50cgi
U"g\7+6/K:x;q\\78[<O(Zl*kH+C1v#GVvZ^-4AEckPChKm>M,P^HSX<A]2yWFhSk
U"8ET>GBA4lNE88gV1tRkvk78G+TG:)$m0*?9SD/cuA_i0_iYieTyVi[%Sn37mfqA
U"BuiYJ'bYt*g7M^jyL3*(u#EV7vumKkXN&F'lAJ0LJahG>kDUWLpucgj5p7](L8=
U"j;p[l[(\='7Awj76(^'\8I4O,XD4ay%4k]9_A^hu.'<^P?m^rc*.ZO0S-)\Ecce
U"/7Zb[Al-$;S\grrj:1RL_(i).My1#f\7HL?yOU0-$Xk?9U$OIZAb<egU22&_P6L
U"C^<lhgBSgSB(?+m0L]HG8Qi\#)THCZ:'QiF'kI?*]rnhN7U+*7_xa>*-4E>^,>)
U"Kek0?<VRC,cH5w8Y$>ddR;NjcE,_a9uj;,sx1R#F^xG[,jgD407:k33II'2oRgS
U"EAWRhhUDX%]V2EcP(W*VV\/)FKRcOHVBU=JXl-V\G\\D5o*Z\Ee.*MqQw6t_Zg9
U"2_GS%=[o*nD+WeWr^KA7&-=hj]N6^%\hA/h]S1>Bx%WX%8b(sd>#ql#gA81[p)4
U"hM2(qu,f**[gu$2c.MIqI8GF<?W9D3IG3KBXxi,T*/Ak&/SxDEe9#0ImuY3>ASQ
U"OFfOIuuwEjXZ*=k*Q<S#2F/cIipC)c)x4EqIpt=e,s5\w=:&%155M?YO[:prPA'
U"'%J0'5ebC?NeM5e)hQC*fW?:<%.QK=m1[u%;9%Izx:;J[GG8h#/jE0ha#JaP-E/
U"o:ztg3O,:C5aYa+5dp^Z60[C#(xA>q/Y,Wr^/Q,fuQ35l[B4cV=p*58Y^vJ0EF4
U"?pzf:YCLpf#Eh(Ox\JKC$<ZC'D#;v%sjTsrgA7aAK^=<5h<XMtR_s-WDb\Su=s,
U"2Ca-q&gK#zew^grOUV>:%^QUoeDdX-;emB]hunW.mOr&I/567&a+XGL.(_:$PwT
U"RI*Di'2q(6ksZRS.<t19CN75h%fh4Obp2_iZf/QB,VRc(;9uLJF9:tAE*[1&1XI
U"R4b2*(Gi<0/GIEwt30UM3CRy?G%^Jr>?#;?3ZMHIeu29iZ,I>:y$l$lsK2?hs^[
U"n7mJA%jcj5<XGiVtms+MY25ldq>Da#VrY)JnjTjn(i32DgwQ>20&$]IFBG]A\=\
U"9Xf3<r#kXLPW&#2ji$1e'/'H.I.V9?u7^FvauT-la&)'6j>ZL8><pU<43021A?p
U"fLcF0VqXS(6,a0VMFx[JC3MpfI)+Io+oUKjhA^m^jB\(fsCy%IS+H;/EODJ[?4l
U"(BT:#t-u+0kk[y:A[^r?dCdUrQ5jSQgOeUR5Lod5?0^SfY='(HmpID_0t/<A76I
U"Mm6^LE0'sypmE4;xxsLE=8Lbv*gSsHiB=0#5(f/QeE<XfVVf]\P[dr0p9tjeFxr
U"MV:Z>ndesGKvoW,fHt4sj\$$j4vnG'3HVO(KbiHJsLDhRK0VvKPB-Xud:Fq?VY3
U"\QuN&P:zk87,V#,l#T3s^sj$mN],hG?s]Jv3h&&qr(Xkc)u(=:F3YO)4k#tIXut
U"^Y%>NL7=Ak84>M>LkVU6lcx<C7,Q2%1p;[nolb,Jnn+A9?S37iW_QD[4oYemYk4
U"D6>S'E,3kN4kB,]KNbatLo4]BrxDp_6[&GbO=7<X^c:._e_4B3/3hrmC)3%lhT(
U"j(OK1lO1Rf0I3r)S6taE/;i>Ap=VAmC[(iJKy2kVs.EaXI^M#*[ai37C[:krH7,
U",\70h17h/1EMA:ptdAk<-g[O^n)s/.yvsloro5Gg;0sW3g>>R#HJXkQG1]X(*c=
U"b.f-7P%CZ?fIWR?YQJ6h6?/6^Cq5B[TrCL;AFZ3^d^kU[&P'\1FA\7tg<M&GSs<
U"ppXU5L\1[VvNAYf&+++R=itdN%_G)BpGjX,)gJs6W:/X%B=,DCrhvCQ+/hDX(gF
U"$B&YIJ0pC)E[wJ]5*[(ptk-=l;eGJ7pT*[-FJ3R#9O7$Rb#J765e1sS+h.q:EA>
U"trGO#QVrbk%HN;o,3mO8D]O6_g3hu$>tr$u?bHHh$vh1>-o0U<xB%U8lLK;a=ZU
U"Pdh5\s0cGb&YWUh5Pb,1msCo'YT?6Yce-(fbKTm+yuG_$[\]V-W3sCLm1zhPvWT
U"huPj2Xi,RmHtDPGl9fRa2Gv[$Mq?3_G?Q^boXm7vgWVQtcuqltD-DcIZj9U:qFo
U"WUXH6D\l;bLJ^l:9IQnbOCuPk?NEiQ5cmS.ecSA__FsgkXgBlMWla+A=*[O<Qg$
U"C7bz]GzdLB_i*?L&H.fEjV?S=;P8L;Fh.u/FYjw_5(D;0bOsfU^I^=F+&AD8UFR
U"Xa__ca-WBGTUMnAt1>Q9m(#DAC<r_S$H<m*D06M\8'RCVZ]_yC$-83$%cnf)d.Y
U"M>h^:sm8JPEJNOkm#VH:[FY[BH3tD[DU/wmW4ECbWh)OU+/mNWEJEWjKK^*l4<x
U"0O7-pf61/we:*1+7hNM.Ra^Ews=$L&>7-iWi8Xe^OG,I2#f+W9[_1PX[>EQ8>:8
U"wfR42DM*UiujTQRF3EKviq8F/JDTWRk:#Ynp6.-7R$_s^RpYfIXOSV6'Y\-A$Tg
U"gJ[Ri%F1/b+-*8YOB3&P,(Sk%p>]Dbos1K%BlCBThxaP\STFq/nJp02OW4Ktglj
U"u_e?U*V:uS8ICX0K-.$y#=Ll9i6PCvCWA9Y$<>gCOC/2x%[/bm1XDl]]snN__XA
U"JIL7R3C8F)].em^=OEw&rW+aRh^[B10ati8dl**m3\jsi,v-7UYQk4oLp[rM\,^
U"nXAnrbi<E]ec9sTWi\#o8ulg:xM.INbc-LbW2O%jtfZPrq%1?9D_r<>d)_MQEc)
U"qEF,gAOPUGB9UiO?iH]<YUFiS3Uo.3Y86kiY^<Ybf&x]wh7m[nH(iXfZ&L>&5O5
U"gYEGTVHy^hh=HG;9l]uArQBjs'Ms>1C^l;8n%?#c6L05$.HUe*9eAqhYuIK7*\H
U"$;NX60i]^+%(Y8?vxMp8cxe87J]?dHCKREX.$40>M0QS/C(FqNg)g5G<wtu>QWh
U"yP**poc]drYSs6.-D3)FbHqO0VVV+OI_%(k/*h4La.\26-Z5?p4UxX,$q4u903a
U"N$[%MS]R%kM7\rprQ$a7J-de29Gll\,X5cE?tD#u<YkV5*q]]WsU#Ox8fWS=08C
U"OxYq=fGJ^0=rhKAw;D9syFy#o<7F>89;J.>DZb8hk[_YXl43tpKNoV%.EbMtQlZ
U"IS:CE4raEkqFGUMuQXA]HRv\2eEW&JulpVZ^z>IWs24h4KP:>[W4Y7sYzaBzr<f
U"xc+z-H+tf[2ae-4U\uw8pSG6V6_0QbR<Q.k'+R#xa0sl8Px,z5a]8wFU7E0RX#u
U"kkrjE,e=\3T&R4Bvvp+s4=l\HGBpk$KH=$t.lB)u5\xcPViKhMvzCiWl.$RGz:u
U"Cq?fRWAI\=L=]<n[?RW3?qkFZDep<&vqjmaXEUM=ZN8Wl-(qJP/T*w*+Pw6;.?u
U"fRFD+YUe,Nst&l<:**ol<Lc>jf&,C>T&+XEXaPVFaR;)6JPoaKi%J\8$4ja\i$^
U"sttmmHdfRrqu5Ua?\twzdtYP;sWqa,4:Pj'Lb7gU&+I*AbQ=g,IUK^E5X8+%qHC
U"w6&_V+Q5niG;g#\,h3_1Jpc8#Qw?S6Shgx+qLjUObtei$Nv+J-]_*r.Ef$pEMw'
U"O^]_cjO2Gu=S=6+lFXLTX^HkQScxVVunq-)C]34r83cHe-C%_YMqx39gu$F^^qi
U"?(EQC:OKJKmPH=W:2cWnI1h;75-LSX\.5xKTcoo_[YOwvls-p>Xc>Wf5u88(XqS
U"4TwNFG>^Qww%CR34pDcTo.SPC7[O;lrx*os6&E4n3cP47W0KJQgPiJlH^Y)Zskk
U"Npoh],Z=5wu0TxE0=4z'i]N0[UPG6iN$LGG;?Icr;KdOK'gCYtMKdiX<dEtt:m4
U"7#<g[YrLmYK(S_=DuaNE&]JOE&qrq*ovK+i6JpPprht'+a(Q(nZ;kVM%l2<87h,
U"<t\d*nMZMopTrREG7l[6Xp=oD4]D6Vu2h9oMPX2Y-0n-&4t$IlnOgm[T2Il.\8V
U"L=2GRmm<\QK+DE[^2=XrxDM3-7EH*W);P51p6.T<G/eBll5rPBJ7(*04JH-#_5E
U"=GE&[\e\+mV[3Z>0;XrxufE2#%KUELmd/U%]QZ=i5>R&wk[\Q#%Xo(+(]?eyTOj
U"(L;6EqKC1'AX#OLYA5hNs16=xfi,3'i1GJ8P[>v5V5oYUeSjlvastjxTd$x0fx7
U"^W>YLL+Bsu4>oore?0w\zouR87lGf#xyrUnXj_AePdtlu[9Z.lPfHq$0%ZP%J8h
U"4\ytfF%h_lQEDam33&$3sBrB*KNOYl&I%8*u-aXq[=8gS>=C2HCC3yE0xTDHL,r
U"Zi.h7E]0DkvhjF1$Zd(8U2-iJqu#h#Vl,6bv38Wl/shOsKX^/oIW$J8ZG26+1N%
U"R*t>-Pnz[Y(AgtWh=)uxgvqYj6JG?qFWOiV>XG?7X0kMvA%lGrHrZUc<;V6q4$]
U"=lH8%11#HHMg6V.s%?e4l_>IoD4O[r?mu^<fG1j3rbk4s1Az,br>:nWqD54s1w=
U":%fq>E4usPrF_j)(<0&v5X3#HO?,'g.e9n*o%7ZUV8tOO2Gk.0D/8J?M8\7ZUWY
U"6_$#/mlN_=jm8m>+Lr^BFbjw[G6PCFfB&5?Ulphs//vDMuvE'T/A57S$:Z9miT/
U"0AE*Gd79js.F/w[%BunI2M'K1SjKjlQ7C(([50C2$p8Q(+Zj&V-ZUe$\5r]5GTk
U":UR=*LKa\)^Zw^0/Rd6)3#1?pD&o#6J,r$G_T>qj0.8e5V$K429RZ$'+rfSty<y
U"&xr2G=LoWyP/W-^_$>%n(&qhd?3foThS<07e\,2:kiWF[4DT*$Au2CBJz0=M?W8
U"67P6VzlMYULCKM7ly2ULjG(-v\_nfp+FJx]7hk/,J.Q[i*wWVT+b,ya]J)ba^p6
U"xDxJptA&ZGkch;B4<B;N4*HvN)WFdrpn$&gLE7BM+&Ncr4mShb:IcDn.2IO=>ec
U"0=^%by5Zv&zW).?3N[^AfX>BCnV0>u0>Gl#Jk]648HSWwxE,N+9Q3E\di9-]ap[
U"FN4rRrtsc7LSpc't<Xci<;VY_o>:I_N#>V=Gp%le-FoM0N.NkxXlO0NyZ;ZxP*G
U"Or#,Von+\MP/2HhjdOoRLpeU7bi5:GS7w;9c9BgI[bBF6FCsV;[<q$j\)=#FG/a
U"dMsP%2_SZmihDp:+mkG$.$[;_CZ>Q%SoNU&Y0Em<H;klIWJ(xallXTud_qN-Kph
U"z$jU$8]LE=D(E&t;^h,Yea5?i_pEN6R9p4&#7Du&io_2Y4=:<G#-7<_;H0$Ss'$
U"KFSLm4$[,O$8AvngN]<#dd9mx*S=-9#tBr0.X-;LrsxJqRmAfq75Jlb=eFlrwIr
U"bXuH_/^IO*PfD$T[,Pr[KIv<by$lgB=ATqCV<:aljxh>&kOEC'ba#,csk^%uXV3
U"(<YHW*,8?s[K6,pMDrWrZK#$>0>EE&5=p9j=XBC98iH=].u5fq3LSiu%iE;f/h5
U"N(%MS;Og2v7+VcPFrVYxZ3+J;axQJ%<1HkYkkDTFjyA/49B[2_t/c0gM,+1I;P$
U"]brho>>>0ga:nQKq$AqLF'Eh/ZUUN]J*&bnpWCRUn1kr:[1_gW-uph2oku>jE?C
U"O$0$+JQ6rD?9L8pVGa*Y9%9s7IR+?*Gn.aSI2ISYbAw9fZ%^g+^UaguJ36R:>Ik
U"gL)LkaRpL-)gB.3(o*mAF+60nc+n%Vs;R3sQ_<I/.+Uh9y+c7hDuD)gCF])$*gk
U"?rU_-:q<uGOJ2;>:r_-5aEQbJ#THJ$:8XU=PY9uoX>SwVKt[wUD4SmbIG42tUv\
U",+]B%-a]rrKa$;FRGaje026I1?'\W+A3%MoI8N&a1J5Z;&qs?ORqe20<Ma(+1Mj
U"Y2Z<\NO33B1N;&lBmmMdQoxCDb4KE[;9U+Q<WC85,w;%pz(_$pKin>Oe$Rj<J'm
U"5-dvL/3F?^ki$G?mf;coRiIrfoTJzha;nkSLpD=jvlqIM8U=K5pRLBt3bCTbhc6
U"hx8o\HtmuVYvY33V6Tk+DF<cW(1htTPg/Qt'6maCtR('t\DklmqhxrQqq[es)#g
U"tut[2uXOFio>0xj$fd&uo+)J4l2qxp[PbbnuTSr7ja%1e)mFMX<,NLDl6h,uMXd
U"cZPPYrwPKwi^EBZ&nsL\WnP<N9NRZ=UiG-oJnk0PR8R7B4rflbBR&v+uPamh>nW
U"'I$2b#WBnc1*^4Eil.2lHgB1<#86+4D?-PXi9\Rml]]in_AZgRuUKGtJdTxc_#,
U"qB&r7r+8^D]Xw';[?-sDy3v-w]M^%qjUFWl6Mbc9BC(K-d+iFvmrjQ0>dI/v[CG
U"pU^%v7:Kn'AxufHq1U=b4cFPQYK?XXgV[LldSv9X$fhm$bCW1C0-#ck1XL(=C=2
U";U2K'?m$Y%*+qmX&sPuagkes2C=L]zp1D=6WHb>QLYSpqCA-:W:FZ,+1P=5_H6x
U"UM\.#WE76_OUK]?[2;U#ODun3<l0pC[..,95otuL213u?Bc0g4=OV'jG,_bpS?<
U"ASDAe?23$Q6]SOFU_X$ZA$2oJ+3]pMn<Nm#ivmhCE2^8RoPFmq#VDJrqEQ8igHg
U"XMx'#ilg,n7C$Ub6;0RF#%+[yIl76e*E5ruDjV[?iMpSnybXsLUQh\/Gcj7$kmN
U"lbpMPUfU181)AG=i6%;W6iDQReOOJ(p[,%7VXN4wj-v/1u30:0?a87DbD9R.7ry
U"Lq9Gk%LS\W8)F&Ncpa<[-UFi60<KcLR.*xk*dH,FWk63s&=uKr^AWc)e]NoMFte
U"Av4o_zo%'8[nh]_C]Ft2AZ1Ur;*nreZY7he%CdUzck:5?J'V%FeDZ1+jFV+i^a0
U"DT_ghvQ1CP0'c=.DlWQ[zV;GsI_u5>Hl7WrhnZvWY-')kq8Z-sxKbAZBdQl0d^[
U"cnkzkQ4DukI/rHWG+Xb+007i_;2D^36SSqVV#67z>ka#eYnKWajTv7EchQye%0E
U"ugB.?r4)r>FPAe_I=h^/Pe6iV[jb'pJ1^HJ1Xq#uynHqUI3Y<-'*qK^Yv_=d2]Q
U"G-,w0fw(d=.UipYs'KZm]TM58OJpYPkBY.3))9UG\e^N:IX6Sc7Bk.1(oCMwTiS
U"*H]SYF'^'pV(bWSyf_mN=gWKMXZ8bGWl&gWWLuU=v_NV8-O$0*Y=OSbixlCldA1
U"I2:7NE,W11[T\OiEC2x]oc0\h_7_^A_<:kPEYjekmmeJh,aUrnK&CYq5/kO*\k[
U"H1w[ePnuK162S3QFHbOf>dvRS/66Bw#oH0iP5U*KW7RY;>St+\)/2xZ<epp[_EU
U"(o3&bVv5DH:zKF5YrXl42JR?m%6HQ=XM;MZF$Y22#eGV<I'3EsncdMUEL[NC^wC
U"]]CzC[GIn=k+Bx;hZ4y_+O?ip1eMVm$?F*E2=uw)#:1M^[4syFIX6Sak2U4cjf;
U"<a48''Ki0.3%FuQiS23%Azk4>0)o$\.l,5fFy-%S6c%S\R*GbWJ'2]8gs_#lT[+
U"a]G1e(SvpRE;'*[RVrrQ9lF\u+=)p467DE-vT-)>s5$gR4xQQm9-K^T=^HR44>8
U">9_XVLfTa<stCS^TEc0RcBEX4DHA\nyc]vq'ENO^9MjcVT7k1aoE:hAC;Y1()Q5
U"X/l9w9_KKJT(%AeFi_COd&h+wb/ytf9Sa5P&+;AP:P1>()?u#dl-*-3*6WLWIcz
U".1]tKd$h#oto0dEWN$<PWv<pJI6G^RCWZqI&1n1O0We*?A)u>=q;eCl7FwiwP(,
U"QamnZS19%x%c0dv3vM'/z?4Xb2w1hdH2Spn>aX+]MC2;.&3SUX;)S_dW#:H2QVV
U"77/HHbjIQl8^C>#=9x'H;ggBcX&3e.p\\&h;i+e[MrK^N&eWSMc0\w(q2:yaWqr
U"V+=]$Pg>347UG4/4VTI^BXxpc2-pP6Vkd0(wL5Fhy[Sqs+\/-J,L:h<+5CMRoON
U"lT]*N47w:VglIZGm='(($8I2&%t.]fitooIc^dDNL^W>4<u,Dc7F=0KUbyiJP+J
U"s(qA[^n3KPSI3,c]XH'D6JrTYKNmuM.rB5sABcfQf=sMa%.:03'rKp+]^lO.(yI
U"IsT_s5r6;BS;s<HZuop12)*5F1#BKN4:49bB]s/LQPl/:Yp)Ic_zMMo,0DB%M.V
U"4xKTS[:N'h)_X&.)(Ej.>?[%-:RkS8agB1g>(\l:,WunP##4RE;6TncTMsxjMFA
U")T&i<e*q\))YDCv(J5nq6uJW(aOC*N_2;a>W[-qW+]\#=:#[B\J<jnob:KQ*eEx
U"zC8^:b6;j\>No__ylmdYB)9&R[Vnh*ryL(RctR[bQ[Efh*vNr^YKe%b&eO+,f=7
U"'0K$($kjwWIa'$ii>Q8[A0/[u0makbl3D>B2s<_Hr&q3^G_uRR%*SW8Jn^=I,Nf
U"2F)$x;55]X8yF)nXW+uYew*K_bK&,d-M9n8C9EF8N&\+cF0/='5g;nqA>7IC+NH
U"%m*i',^\Ct#XY%agU.a3YmSU)+&pKUe*EAh''TQ6d$4^:9hW:^O7&vVhk_4mc37
U"aRf%.y[uykYqdDID'+gM/m6FH<Xx2vy12^KN[U>\?=ALW<;qVl4eoC4ELN]Cy1m
U"#fIb-V<K7Mk)i4]^e^eP/[Jg/2(1%I%xpFt%7*5(WQE*IpVTJaEkp<1a?FbBPs^
U"m2+g?\Hyg2L3v8a=J,5zY9j)_EIDlu)xS#^=X/cUAvb$9sWhuf3kwB]=_eY0aN>
U"<6dp]#3X,x'J*a#B;brjueJD&I>>.9hWjCo>Wc.=:'tRh<40rcKvuW$t8NxVwK3
U"mR)8ij.qoorTL[(AtSm+6ZABsAf%C.*WfMpytE&+?rhkGQ\Qs6W3B%-Z?J22C*)
U"1ocn=B;S&f%:[]q3F>Jmx>H3=jLn].MfrjK7sE?'#XXajg,spm$R:pv_]gOGN]1
U"K0*B,1Da5K#e>C%b?1Xxv5gb/*VW;7:/JIRca(-<4$c2B86e/fVkiDohvxOP:yF
U"oH;InRwPihpeOK'<FPg-%O;k^^I/se39'RBOor6^5XAY.^w\XS[5m(G3DS7gqZ=
U"2%\A7I\h.OP=:9+YHTN(=Q&hT1RJbU9t<Wcg.UO5-;7n3W6Gs1?.rA6Orj0dmeZ
U"OqS<atMsip/83&#SXO:jkMr6j^g]tH$[qx+=7La3c.aPKFcylVg&BrnGH'G.+D=
U"SMG&IVLTErMrtpr&,RqkAnGssfr&Zw.01j1dOBx=Zj0*:0qrHI5ODP^BcpRRpn9
U"NNCS,pT1,22B,2R=u#f/SDeJ.7,-IX&g/=;['=-YI%t*s[j]>H5n<8$bCJ,j9gT
U"chKxZ5E:knR?M';X>LNtN?PmaDs$GCO3Ei#P[.U1Ut&_5,5Mkr0eP^OI??ZTRP9
U"CIk:7_q5<IxkXD40ttO'7llQ9^g3(9+Ast^6W=:0i/=pW5s/We\K^^5m+bO/=_2
U"%gw],G^&><cuv](unqqfqu^ru&QlA9mBUolsX&iiP%v\lF147C]GCfqJku?Zh\.
U"OF#%obD,#rWW#KvjOI)PU.&J]cqa6WBIR$DN_-'DeZC]jdoqvx*UsC$blTdZP6[
U"#L/I-Wv9VN.5MUxqf2t);g(Z#R<6308cDr>*J(V[q#K-t]Meful#IIaol+3vh.H
U"?K$]/P$QSp_3;x(4D6*P1hAj7GT,gFuqQF$Bf^9]<,J-sBvpfCP<7-GleLF53l2
U"\'D:H*mgpc/P]/(VEWSS>SFS(.,s*Q6:mZR&kInLa^JLHAU&2P(3N6rE9iDq%-1
U"YyiA?9%6,LJ_d,FcVP_fuHdl9LY;-EiX5RZBph;qx$WpI6jG*Gn0NQu/e'f4\Bn
U"//)slFPPM.6u*_O=Ej:';7bCvpDIN>9LZ$'MrlRFE?&Mc:2>.YvZpsoygLoDdm+
U"Hj7O\eXfT(b.P\+]Le4Y/=%O3>p4h?&T(h?$s0kFIo7SQMYqlOv,hjwYyk?aw1d
U"Coy<6&;/]^mnXl%JqVJA;3Kh<djcRxG4GjTJ$^n3J(]Xc'6[G)lP83<%M(b0VNG
U"oH$o$m7)51(Xtz;2p+EL53Rvx9CT?J0yf#d,6NbsVHDT3,+S+0$\$+P]hRcCI35
U"'6Lyjv]d-Qg,(3dOFl5qGv#r6C<V]j=6#k+]]aD:pQg)BbV2BN>BUaEfysXJ:O=
U"e8Xq'aRt6rjqKv>MVc^4r/'l$rVbt+$=$4]./B8kKWj[u#G<dRzHSPxtm&)ZEJ%
U"igwTu6bkmY-kvnpv/=ZrYsIq?r880h3J<lo46:sVHB.hpV6fS9;BV2SzV^qQ'pS
U"C.:4+N[Llx,KTU:)P58VNe/P1i0jN,j\.sBDS6Kb)f&[$d]xyfG8O?;j;hI=I*b
U"qd$&pL\hdD39rC0=]<%W\:R:GAWJlRG>g4h#Wn,2G3S&KC[IKg$++yQ[x2#u'&,
U"4c6QSg%5,T=sR9obJST_%)X.E%f)JCR%40iG$2^ke/mnDDF,J4a=4meDDBdch=%
U"4&ZIMGu.DOI^[Z4lW+(>5%d0zO-p%4:4Aryjk<A]K.1mLw?L;sHoLale=Hw()C)
U"9?h/qM0hIi(*$0BB0f4QRB#2u[zRp%1drH&<]QhTT9+$Mw(,%+E_l)[twt7s\Ue
U"-O3]xm;lx*.T8Ec8G\Fi&jf:VAz*9\,8^_)R7ammNLTs6Or8#;7vqE=A\Xd5*D2
U"/0I#<K3*24Q):[_LyMHd?iT)X3HaY/&;:^fk+>/gCq)lJ-gcV===1v9AH+2,/6o
U",/k5M0?J7ZJfK<qLam?[cmHD2c&[Qqj;hhK-Oe#6'^YxGZS=l_:f[p?'^i/RQS9
U"<6R=Ryi[0e^#Wn[//21yyd,3R5i)ejKtR)k46PvPaF:_QA7Nruf<62FCtxn\,qQ
U"cg;S;5Xb[Z*p>+0$Bm1YqjFU>WI=>\VDKA?dwG9,\(w2?BA35dBs5n[:2i8\6Ry
U"URQq4qC2sfm62/CN?sO30>7pWHE67&0EZIv(f+AVt+20gIa*t(^($sWIYXa6Dw6
U"0#g*]$jm1&>E:qHY5jKUMeAe7,nERgRZ_*lJfkTq^\*?mB4#s5=N:<r,;s%9QcC
U"&yCn9N_rUdcAIIV=W=nUFw#(r'ntr7)HHv%NbXm-qw4TOm;U&*EcY:V4p7/>lBb
U"Ve&s<^?+d3F2<ZG;7+Oom_p1/5F[SWH%YW:zG23M'HBkw=8M$<WLy8:sH;AIo.a
U"/4:3$9\WLy\F$2o'=w.QPY7Y&Wo%Z+/Z)fn*C:NeddS4^'HZ;XyU,3'<y\q4SS3
U")_4<Du49dtQ8Cc=tb,aa'+\B2R50DAI0G[t7kZ7e=k2jU=#NO'cT5?WEhSQY%M4
U">^&v6>T\5KStQ<Jgz81.H:4$cl4S=SAX:6TjbTV+gcFv#lD'bf+bSN^*I=jE8')
U"0KosAn<4p9m;1[:Fu8<2\7t+kzOEFqk_QYG)TJNicRXZ.eI,j:npY&i0ysEV&A/
U"[gQqG5PC:$3?^>C$,0OZBh^]I58/:Dj(]<>D>w.KMcsZ%BZ8Ri7O0F(j;<ykG?n
U"d.#4;+(m&aw6E-UE&+/J?QMe%+FotL%dXZoSkwA;FzhM4TZBeP(n;g%KMVQFEhz
U"-#l3nrY[+1Y9_rCsLC6Y(^/^p0jj]j:N5CX^$iZi)Wj^YVxQUk6g?ZZQ#q4ah[Y
U"XQ]lQq?6Gx&(PzLAN^C#.qi+xvs)HN_xsh^)-&)C]B3;oYT/&Q*lL>P8do4='&4
U"nnuv,h#?DX[\QSn=JCONMbly190VM:L]<4&$hmyCJS2pQO>hvC+493Q^&Zx;^7V
U"q'_<uq45NsMhL,am,'xuZuJX-d%O$;cP)Y'o4Gsygs#U7EA5\fMX2KPkXsoeCrQ
U"Il9=j>A3a(#MQLys8]h8db-$PK--sq:RfUfQ[>(M6Ez]1Ez2#N\>uG5D=?Lz\ll
U"_75pP]N+29'w[<6uc$H#cv8WfZcJCu.Y[T9EEbmh0Qh6wnqk1PGVxymX<WR&P-N
U"kN.:\t:sz.I851bxG1A?ZELewAh3&D;snPl2s3:N[,Y3L.M5Mxiu6nO*2Jl(yl(
U"F^rMnU58[R+:?P^wP8vj9'd?RO7hZ2K-]i(;\WJT;0:F026-im'pk7Sx4swCIwq
U"$_N<#:r0M\\oAeI;5IPk#SgTY%Q^\yhm.,Pr;$SNUjf(5.kXlm%I1b+[F'q$++9
U"qZD$1G^K;=+L^Gz:64t0vf&mvxoAEX=Nq-ZAjYre%X\^O[DR+fCenn9Yd42[bAV
END SUB
SUB V2
U"AV[y?bf<F+V1Q_j7(GcvX5slFFF?DJ3Vn/EdDvutcXP#v7<zU?'aKhV?wn/\_Ap
U"5W-$xAA_KFuroMbHuKrP4HQn(<('T7bos>KY>+-=C#30<caSqnx5<UJPh(J,V4[
U"P4E#ZJF3XUJDXruupGJ1pmN.n$7;iBn[t<m*SL>4cW>loFSe.tEl)BPffPFhNa:
U"ELt?:9<];taeM8)ukm?<9>UXSFSSe,wTmxwu-8SkgFQ;eNWXZAvm^4p>DNo_M[>
U"KNBO&D+sBT_zps)h2l$1(-0tZbdDG<Y6%NVRt:9)+\\Eq]#/X%rXyNg^yJi*Nx#
U"DG\kDq>^$9^/l(di0YF&=&<?F3D_SZ[<A4g?rOJZ:Gvxamin5n$s7F8Yz\4PaD<
U"LT75tEP\<[W[^K^G:Zq&c0upI^B6%LF(T7C$<u?q0xa;;Z;Zq(6d<*Z9T,EnqAc
U"m0Mn\jR^ibPxQ#QW'ul'3sMlq&#&&PHO]mcm%B*tr;V1:mh1pR5L#$cb*Gt<DYN
U"Q%_gj9r;eWX%2)SBl]>yU_#?D:[2^tA3HQ20'jD^*QH\a0bMQ5$0%eq.&^RrKVq
U"v<?.oGAMG3?voa#6z?^J7wGsZapwSi,qlsBsnC4o/rzjZQ*\08v4^SA_f$6dsow
U"Bqm1%SK49tPu[+[1(GA]DSYMdKJr*FSoTgf=TiL78c;#&Y)%^H)YU.jZ,fq6%-M
U"G/0?+\Mb45EkN+U_NldoMC1Yo[aKO-iAdfr[\H*L-y^v]s,%b0lYRABefP?<H0\
U"]r,v6oOD=cPHUZVNEV^Ol)R,Y(>j)MMyn9<N]LWh9nNh(Lqy:2sDR-N\CTB:*/7
U"8#?0_'uc<_uNT_'X#j=)$1^h,1J$+Qi[UYzSPjMfN8cOErNQ$tYD=WfzG'kB)(Q
U"3cJWN,rY5#hfcFwnj27Y<QRaUbA7c5(Gp*/]A93HHG\)>XN>l9>+S'-UKN/?YVn
U"LN)HhHic$y:_.:)#EH=uj%J8wLc-mGf;E>X7%EIjI(dzG%riBdpNqi/XFpqxVk2
U"Vvl<07k(#H\=eY/O>7Jp5Og:;6B(]^B*_+GlrFVS50jje<d'/TZpc\6<uNE0dm=
U"6;kmU>CGDUk[*0Z:7*tR1xkd)i*++)zZizfn/\$HCDZdkkHOx<olB?:;#h<sxrO
U"CnQam9^TZal;Ms/7UySDOAZNL#e=X^A(+h+:,n%w0)g.xo5_^W0$k1dQLDV7#D)
U"Ypp+Z:%QBdbfgfr\_VKEpH>.-YVuG3*r&=yx_;eh16l.0,+)%mwCLSB%#N0YWZh
U"O5$am;j[gPAHWJug[2FG4q1:sLL]R/;b<57h0osvjjc);RQLnAKq(n&*?+r*1yS
U"PpPZp_S_PDDs*o(8(AeO_h'DJrw%'Fj;Ov?(up]&TJBb,tjhA>$.M\npZVRsAqg
U":FunX.;emkN?lqW':ofWTNY*j30mFsgC9.&v6LHdGtm&B]RAMuAEk%ON_f'aLCp
U"18?H;CGYc_;B5*v?p?iqmec':vBu7=#fE6:-j144a_wEkw(5Hg8\gVvC.*+UtuW
U"Fu\D+#Gd4X8jRmIrHCa++n10w/jiADoiP<^]0/s#\eC]guW;M]?p=c79^IIt45g
U"E,s-r#l*T_<,M#.'>k(6']j?Gph8::Ryv#O%\OL&5#\dVG3]s:_qStZ%NaspAE*
U"v-)mxIeI6i'sYH2sui)\6ggLQA?[-,d4%E2'=SwQ5Z2:??%jxcLNS3smV3EhTO=
U"/UWN)wEgJ2L7hOsoZEY-#HP$L3RIY.HjM6Jx5)^.]Gsyhht3XWkif6\iQK)2d4Y
U"9[fkL\7]W'h0:gT6I(b[$uBT(,;hi_Ahegxm':y:GG^(NJguyD.uMv5g:t$[WMS
U"A_Z[].y]dW-ZEkO>2%IczZcbhj?OE+_Zi_Ccve2QsWYE/MK8KNnG%GgiS7<Sc[m
U"?,>of,3s4KEAUa8UmG_wVm+W&Kk]<c44rF23s4UJTl0Nv]+TRwHw]2T#r7,ug.y
U"4ASFQ,s1-Yr1;K3.eu,GBZBZFB3OFU$;5Anl)r+c:o#cXldX)c1UJ\&31T4ZGKi
U"Q2/M_5WpE^=inr?oL\IdWXt??oqitXA>a*4>6s41CY>xmKc?l9b5U*a-X^Nqwij
U"UUiH<G>P?Hs%o_y)f,:#G#P)\$guZ4G$r#8>qcl,v_eA$P;,hOwD;q=[QH('i=X
U"H)7A<=S],PMwtLJX/0Ewwomo+a]kU*DH&,qL^^#cbb<QT5AZ;K4HUCfq)tK9ClB
U"MTQS,9qG#uOv%h$n_CHQmfoNL=ILJjBF9+p;xguB?,QZdUNA=ru&50&H2Cp/uer
U"/5YWEfm[Z,M(MN2WjBp^^<2M,)heT=Y\q6vdfSW]tE_]K,%I+Cpjbdp:%ECY9^0
U"CUo.mjHbhOB&%)%xBeO\jlOKjiF\e_nBY$*QdK6DHi9W=wk%hKBHS?ETzCcLEtl
U"kiEKADkYq:*XhLUuIpebd/0.a4'WoIX5i%\/$Ul9LqJdh+*KeO>&G,(I<F&e)kr
U"U83axuE=^$JQQ+B9e1$B)y-4HmCpq)BL?3N\o7#=Xs5e>v9.:b=9K=]P2l#jaGj
U"'p6,K,d[U$,eTzt?t=.Fi.UaAD[Ae[Fp4)VpJQOa(i27?ugoRRf+^re*DHXJ2J?
U"v/XjjQ.7x,\;39Uiv(<;rxa_JE]*G*xj2OVw)=%j+$G)AYt8IPr?^fSnIju*zW9
U"]09N4y[8sYJs%FR^=om:)6]d/TSGQag_'=uHI>B,\rY=u4#u,447*82yfjmbZ'R
U"xLuyzERDz;jXMiTw/-OwBS=I[&Ok<QQA8t#..&WjRXhg7F'&eNnj_f-*fI=N'W?
U"f#Ppyhfk?<NNr\>Y7gnBc13Wc^sRd#To^&^I>/ixBAq=L*w^P9tx+oqaXIrgsOg
U"pj24\ro#&Vn8x4G=F?&?:eGotIKdcAmxwRCjlk=$PKdr1^/sE1[74:t25zeUaeN
U"HQ^5(NICVKg*qpw]kV-&Zi]%zx,(rS3<U^DJel%Mcs+pBmRa#Ui.]TaS(0d_s;M
U"J6xMTL^ekJ)R9h[KfV^DskkUdJGh;pql<<i<E<Km9ocFK5OfdAxR<5NOfZ'^;y_
U"P(W#rd8#>&:%wfgWmtEimpstW*:ja:h7/;_9aJGy9%0]PwC8jjb(Hs;o$^(rtfH
U"M1TNOzp9A7[GcSCDbbCON1\C_3M&GlRgMR/<>qFn6YYLDlvs$rA%7r^TcE91+X9
U"+VMNj6/H,F8R.+CV2]Vc1SqT/mnymFa>kNa#'&_I6NukwFlEmX[RECG&TU-8'Xc
U"KDAw]&9c\ZsGAFcxAKFUsC05-nk&Pwdj4oP8d:qsMd?%j+zq#ZPc=\,;k1:N:>(
U")j.QPLRZ\N96vX(#zgVir#cLo(fqM/8>v0N#O6:'p;Q$4#wjomN?<x?,?[+h?kb
U"??_ex;C^(fpi-7<3';%wc%tz+kB[-0iWoGqzPX3P\]5.Of/Q>&xu,J/4od#iWn=
U"e4hg]27_><X+Q-(T8%A4*/l8x;>WR?S5ZtbMUfpBJ06PKo^j<1QS]QCFYgY=A0S
U"EDm#83XezB74dmq]7^d1ie-\iR)NgGYXnAf*#VKH]1)F7::loV;APTL*tc:t-F7
U"<l93Nv.9#lbQ7Zead8dGmx-tm%CJG26YdoY-H[NlOQ]o^2YMp#3LOTUCy0:#&cR
U"G\wx%DBHAY1ml?t>c26;pS7VPBmN?RptZna)_dm,NPxLK2#$x_eo/(eYC#4$J.p
U">usxbc<d*$nY4a6xm]5#tNW^AH4ta&-tu[&AhLyep1&NpZoo21r\p0r8-9>&*2n
U"DlaWt[dSlF-CD(;Lx)5[[l]rY=F^GperXC#G<t;yBMIL7Io[QArp5SOL\NmJqm'
U"L-0bX5<'kfSaTq;kI]:7tBgjwQoE\0e;wU<YTk'ebJ8K>:SdhnkR=k\_C4mgQ^c
U"VLF#Nj%g0WL\ZwZI-iXCj^ig]T1\Bc.AhI9<'(84Od4vfxy9VvUG?g,w6#'&)Lk
U",H&^o)&lbgq.\:8LK<Y/)vAmI]RqKjha+[k,E[pJ8q6F+mnBy;KfH^kUVaBGd;'
U"xQuCp0+9_9yt5f\%E#JK1pP5Fj1fPlMF6$D81m:C_l[CiU-RVD]0I$tB[#jK>0W
U"mHaFjP)*Tnz;wkI$*2.aj8gbdf=5W*iq)pC.Iq85zB)%TRfC+UvQj+rSwdVtT?_
U"r1AtD.l<:OlI_,FO1l207B)x-k0D#v)9;1jOfD63#o9PDKdwb>D]Su;0XU$)E?L
U"25II*6-6UJ<UKC7G(>uKq:fP[#b;i0)e%Ku0b:Ny:zfs]*w+BHx#AhrmhPZqOV)
U"o2YWAE)r8F>ZRzcqr/X:?m4'?AOKzWnmSQ)^aODL?d85mwMu,6<['QBRlntZ-YA
U"5s+.<i^SYqVZk\<%E>[pbaWK4ph7ADs]gx=A%bd/eal=-Cpt-Bd$8>vskXIG>FG
U"Cm1o];:JEnWEg)yH5tSK4Z&a:?C(tenk7ig91r]DPRDT5lnyWvS-I?Zc%z4;q,>
U"07ZQ5tHG%\%VQDq8(7QKu,,.Q-N?XGhe,Ge+W_GZ,D\<<4?''R(OT>\49UE.hAk
U"lC*Fy.z07xUa&#.?Q\$>]FIn-du0#vHOrk%j](LB*zE[PVtD'I:.Mh/B]USoaxV
U"Yp7EOz/TGRZ-((4.#=LTBne9qu$ETM17Yiish]eWr2,s.*g;CdIIuO#sRwNTTK[
U"xPmS_#A'a6T()HNK)'v[:&*Xx=g6JqCV(ku'^N\maPgtydFW)#dqAqU#DD:VK7m
U">B=ckHm'sdGn?bXdn9BQ(Iq?<);ho?3N+KB3;\=jv,;2l+CGeg_.Cf)9Ko)ozDf
U"f)k/k<-*xO7Th>X8;HUP'k/F55BlJJdKYqNi%X8Y__P,NB;vJlZ%)0TD=H8#Vsl
U"(3Om$JxDiRoeuxQ5*dWx:JX;?.[+o5yp698F#^052e_]RwB)y9JzLL$#FJuj3]$
U"I1VZ\;nSm;s+K:^B*m>nmMO[3Ar.gY1P7l/:mGsJbwK_0>F2SsE7Kf$a1aw,R82
U"ul,l<u#5AVMZ+WPwlplVWuF1X6sWwNwprFavJu7M:qoF*WuxF8klRWqSa[52PCr
U"bZRb5F33-6.ufJ'QiJWP)P/lbGtJpvK'lmv2Oo1;ci2SLdXHDJz1=>8)hcpb^f&
U"/:ozU+CqTBut;g8/UtlkXZIT*;68kmY=9HrV,.4\sq3#EP;%]aJaf6+%;HX*XE1
U"u+F?e\()xn1I3/RKUoGp44D+]GK5,GsqPJ0[nqTxI8OI+I:poE,YDhhDh)#1R8R
U"0iQ?8#.xGe**2g.ns']VEy:FsWN87sR5nH>)NTAtp)#p,qE]#\XrNkt48[+h#d&
U"dt&1'xW646iLR%o7+MH4s&hiXx5uOSNhgZv(Mwi34D&-$&C0>oKu8/77fCVUI_(
U"=Se0-gvT#t1hIUWn1x3FVz2MD5:M8[uJ$'Ktbr4]^nN2t+DdM5iZbgOhpo9-DXi
U"5'1we^NEo]/F%=,s8%ch#$:4uJpWxSOKukZ41#FA746_Pe^[x;cZoeCp<v1'*0E
U"J>#w:n*GQ576QA3TZbE0/2VN>P'\wty+^]zOimz*JkMutLZmH_2G43iPnEV'^zV
U"y;/):qas2<M&gh5::03i16dtZ$\o$Whq#PM016p?X]ij,octmL-_%0)N5Iz14pI
U"Y=dBKZ&?5XuV%Niw1u,5O.9ifvie0&v?F4YlIWhoO5:B)?2Tv$J9Ro.JbftmU*F
U"LGX6XT.Qe\'7&Ta?n880;Ku3O9Hf&gr09a,/SqoS:H2obb.)de-hmkkk3Z+FPT7
U"6vKoCi8Xo\*U<J/MHOprf>z0<Ij-zaXZCM+0luSadmK+F?rL_PC/iItU3PLgo'D
U"$\tvAOM3*A(r_3%J_E]rO:M%4BRiDZa]rZl4bg_xc^A;ftLTlt^A0MW#T/toI.(
U"kUNQYkKG2SrErB:-+Fp:df9?:zb3RG#?Mk*0+Y2VaH4r3lMnxYIB[?3(%Mn]0VZ
U"+<l7%[L&%rq7NNkV7^O'?5GiS+#Kin1^]lt=cnYg5N)9a&2Cc-d3p-&AuE$msYT
U"ps(=Z_C\;E#iI)12q+\WZg_:S9K)avZg$^vRg0LGdbzdR-gih?oaF7/aro<5>t&
U"Mr-gVtFn[<OQ^C6X1q[W.Udqhu$A_Z5U/33+^*KP3J<W>5Al9#BuC:V\u[*3QQd
U"WNCv%I>;&4R/VrSQAiG'#cfu/<,M1aRxPSmKc3B;UbCptt^uEuF,&_/^uAqSI:9
U"Z<1Rdd(=u)U2Fk%UAC=#['nm-aigAjyqsoEs3b-DZ9<IRFvL)01yZpCa'V'5XM3
U"dO[%9tds\2?V>kP\bI5rwgTB>7oeM+]4.x.[fn3ye/is#P+X(%Fpi%P6'?SI)I-
U"5)5GIS5Z4e%1:>IshiXEbakrE)?3kJebNW;P9Xu><<<Mf.cRfX+9eqQZH0,ivfn
U"retItp=Z$$knX7,dw/Hm.3IAP(:eb7OL-l]M/Roj]v3&m9c'v+&V(GhGTBR_E[^
U"#DZ4q^DHM7d'1tDNNFqwfPg\bE\Ub:A/;0K%F8n+\t]Xs4oQ*T=n(?E4zSNCKvH
U"NcVLnPR^xS95xs-*\d#+mm4c3o>rfor3bosdRnaqnCv]lp3MK<t_8HplyP.[>)0
U"mD+dcvI='J-ErcDAa(p1D*(>HN_Hw?wuRCj6%rA_=:c&e^):gCaqEV<m/H&GSB=
U"1CjcPXT=TWT?NauaZ;6cpzY/Ji&2MULg*=DxJ#-iTdJ^rMhsuV[m)JIf(kPRfZF
U"EB2$LWKuX5MBQ,=9fyh'Fet1>qggp34x1X-=5mP#kGX#>8j2W2?Kr&+SF0&sNX'
U"D>ZtZhWcTt9n^DYf81eMPAF/<N.F-Vo0l0RN$QT%Mi:4oGTP3aJcaRES11^'-hc
U"::/tbyEbQ*tFh;l:PPum%ZrbRzb1VM2R<Vom/NqZU))IZ>74:aDZb%El8<IJZ,V
U"U$lMW6ZB4h^('O((=Rh^([f.ws,6hgC,_qrVF/D&M-#4*b-n-xqnObD'Re;?BoE
U"RWdahEL1cp/xQ>oFT*ukF?]sNm-xuKJtwOWk'rE#NEd>UqYX7-RA/mMT8*RNc(A
U"\NMUXkW0-E*ma2Q<sHQTIETC5:t:A8Fx70yBvtY7*kH1wt6*hMF,tsLiaJLwDG8
U"?1W)nw7=&99'*i-J7?;-pe3VUj%gzOBspC=WHEUmhJle*&:in[zoS%7UQDQ0v7$
U"%w+KtzVDgKg^q?l4t;)TqcdfhdffpcF80Kt9+3a/^<P%(U/cbj$G-V+.i)5e/oJ
U"qs]BP%C9/KG[iya5/oth2aHa46c8ixxWV&r(]64:hd8ZN3R>3i&8t8],pff^VSD
U"*U4su5o4Rnu*vtk(PE3Vvsia8_D:&^%,%J_S;e*]U8'^xoBVm?))'qP%dtS-4Eh
U"tVPd,a3t%LkLE8hSG)6DiH2Sn;e-fNqRJMAE<owfV>:UR4GxhP]NPeAlce5_POR
U":/YdK:-jlm10BigLGc9pb4WGmIWO39&NH,cfv79Yg%Y.RFP4/XVYlVILDt,I<U5
U":;?Q]72.e]6U+JB4c[yfG&f<\BqEjm/4m_2#RMfdl%ugD,BuYu;s11XZILn:W'h
U"&7F:-v*MHDhKT#DlEgeXEX\fm]UY/iGtpmin\L>1ZFci3Lk7<K(Z4DreBu-IL9g
U":p(qC=r*MdLGp+)s3%9ndR/H7UA7?Y\(IekQ<5Z[_2yfl<II<RH1RJ_DJR(Xg<E
U"uS]\tJgn]6;4)$FE=d63Tf</Fet&W4*$6?]_PoQ8WAO<V?mHhCr(BP'papiGlYZ
U"v:u;dg#,F50<-um-9OAVpV2=W:48\>;U'QFefdB-0epNE[v-uk'e^yr:gr$fT%R
U"1gf4)dtrC.e*RJFmLfzac5>uTh4tVkfKy?7PtMfN9ns78:89fBu0__;.mw[ReLq
U"C0U,eo:Nsm64IkUl:Elh%_%L5rBd+>5*eJ5GkQeR0>fV6QqoC%6-+e6B>Pmbb=s
U"(s3=1f6^$9pniTg'uIV^?6rKf6.W86xKrjiX,DnOjW'O:0;gS*Ebz5.3FgI(;Kp
U"eG\5RW7&:K-WPij64eTc%5&DF%qhd.Q+KJS#va7,2tC_gR=pqpptLjPI.($4NLJ
U",Qg_DPF[,kqXo%B6&c85J8tR=3wriQW?s0cpL;:/'#%g_\tphn#Ra\gCd?T$kh'
U"b'WR\=F;)dW46?^tFEIV^FBxPwsaek.tyeajlR-c\ReV?hlXiZx9rFctKt6AwVY
U"(P1rPsI1),,L3G)f1J-N3M_KH30GI2E<Iz0et/Olhf#D-r?f00V/kh(:\UMWqZT
U"YDW:gMuf<$n_=;?l<\&NCc-95TLpSO\HnemO-t>4L#?cuq(9C'(PudI4GqEJjif
U"pJT8F)uNfdO2an>HpX-$$#,UJScL5q?T%?ds2I(0=n&u_0q%rUEtbuottt<(N(D
U"HHcU,:UL,KOqnpdU_hF3&x=NSYjqO*mkgd?JiBj.GNEuT%z/8vQNfOD+PHtaR)<
U"8d86Rv*\.d&:i\k-hA5jUax<5^uAPco8,ajhZtbY*/i>r0V-;O2Ij4bQg(_hMJc
U"3cV_xpub.t^.Te-bQ0e2Nt)Ad;1TyoL4i(q\D^JD:XM.8,9WCJpM^?p-*[Ob5I5
U"%L.YRuSFgu3OooH%$br<VP>Nv8<ONH.&VTPWXz?WlriRU1rU^?DTnW.NMNol\qB
U"k*4IV]hz[o60.fgF?HTU$p=hW*NM-oBY=-fC+&yNQCKrbcxfDHZVx]R6qgOah<Y
U"Mhc<H2us=s6Kd,g1s/7#G7b)(:V#?)ZQmlIqhOye,[up6(XmC/Op\FdW(trjsul
U"\<-jeOtNffGcgl]RU&?Q9qU0ox03aZpdswONej*<[eThe'aIbX[56WNsEG.i'm:
U"o?6:vp?.x,;$uHPWFgkb\uR\kl(eMXe:U4wcsvZvtpi',-H:xa+=oUHuC<JBk<H
U"F*'dtuI-6^l:6]]FfgH*v_>$'D=HZx/g.1DKw&KqIYSAbj(/8MMocBJe+l#(77m
U"S+'X:K]To$rX1a:ZPxcj?XMt.,?gtyoN#Ig>z&h[(\<<_)c=[[#=Y&2CWzc<liR
U"5O?8j6?R'hHbGYThQo6?PK,V,KPt=WvkZJ>Hb<q,Pcn[#aptIg4wtj0ep>kIj6Z
U"?a#(8edfG3Xr2'q0D<Lia\<Ic9i1K7Had>5^wTW's$>MpDJh#YRUFiZrc)L5*uF
U"mOdMX&9to(#omkrTTn\L%O7WcKWfuhmI\\/GZwVBK,?ghJZ^'%KXu+cMJaf$4^U
U"G*',u)Vd4b&[tI^Z>>hMB3VSjJijh07>q<lTp-uMn,[&8i%xluwwI1dN>yQW?hM
U"nrD9*>ItCr_#KKv6F&>+TY$FIf[*?s8WB;1l7TIqqC%apYjvnXZKL=L7qFaEAHF
U"2#l6WEJ*Tib^huNJw9\$#ZLgTdG(w'dau+AD(SR48MRHww'<KNH<cr*Re$uE-ZK
U",AQ?I0DP2Tc#?MXuu0>Gs?DZiKF1c?p1kbG;a$09trw<ij&QkH7v&a\y%42Tw4)
U"va<a:o=*sacWw^W*cn\4DTk]qfW(R:c8iq8ta*53W=[c<F6,ZaNp9(kk<G+^,R/
U"TcyckwB<Upz(R+6w>H7dxq%UBL>v3)u5+3Wbe(t%VBuX\XKlc?v_qN%wn058VJN
U"?FAm1uS)_e#d+AOt$*LgbEI7Qi%AE^A07Uj<NxL,S:&oMJkod6U%Ovn<96JD?gp
U"\4nC>n:dP%n#DUP0]R<[WfgT.msixFMv;H>i5]\dPsXcDo=EqHIZQ;3BE'pd,hk
U"?2L/a36R-*%QdTD3Gj7Z#xsvN^Em,maxtjhV^NtXTrnsH7Lc?m#cKOE3u'P*jA2
U"l*q$)bY?fgmO<OVGoT(1D./D6<imwzi^KWv)X&EBNY0Fx/M'm^JqGLsTW9q^-Y.
U"eDL1?[PGfqcpl68,F&k2udWar+9=sYw>wlvjVxfw3M<6KXCUkKSFiSRtx.6od<S
U"rvd'.rDyAK+1_c2$_DAS$bnUlPlCFHO?1,z8v]c3:IX:%)wR\e\XN3\gG=(pA.C
U":c:9bP:n)CacESc9Mn7EpHrup5rh-$FK$_JjW<D_x[^[HTM/m^4.ng?)B>rO(:;
U"Q[Mb:CQd\a4t+uQoMi6,PQP'X\sxGqb%xmuRT>$t*aW,sOm7E(TR,9uPvDv$x>-
U"62>_N,#K2Q2EaGWq?A:X+u<7ax++w$%Y>Ut24r_%-?vPPWt/0m/%90o2.v'NN*m
U"w1+%/5T<3)^M>JoIUqaMn_x?gVw#c%DTiG28%13x>vFP;M.hhS?euWx7rG7$d76
U"_>FCq\5&F8W4Ou^-0S?ZFgXJW?u2/K$kyEa*u=EpudXLOUMw&$8..unJ*xHHu)\
U"8Juj7(&_#a&l+mE>duIa.:74;u3V9>4Nga1U54]GM?P?R,b;R-E$i-J'oLU[PFs
U"HiId's29IC:HB;BWd,)X1,5.ow0.:4)9uDE6J=J-(m&t,Go38:2;FW&_&.vU2J%
U"5AWw-;6.9p2lln.dba<idCh,z(?sb#DVO.36jcawp=,am0R+Hg=ZAC0CX#qJ^]9
U"i)qQgd/SJLCpnXNu^5[dSa02pD=EZLDh]'$p^[=pv((hT%Gl2B>1Dt]#6Om+[O0
U":9?_dWMc8SfNR2_d;HGD=u6.4%)AAhAO\2QjBsWo#tb5Ae1(DoMra8_tivSd^b5
U"0a4JYYA\Mk6)DDIg^d+cqaXx88;N<ffp)nA]g-7mZ)k,vwVnBtXYK\+#'.zE-.a
U"Ia$vlAV6&Jf[0$Dt?\L4%)mD_0_wnL-[9JNXImJY8(TNs)I^IZmS4pLY].yj=i8
U";,vuR_QZg.UGTsk2IE:w]o6Cm^X#Fr%WcN;viI\IT<*9I;ewabsLY'REc%L%-3i
U"#b\A'-X?C.z4F%):.-A6.m/o]S4ZPUmD>mqao?\_Hcu0s$^JiqOM+S3oCQ?XnDB
U"CUJh2Z8k?aF)%]y<r7TB>,w\+nU/>pF,)hnrEYv#0*t>Q*JLBDRHRmGeXQSU^Qz
U"Q8prpAdigekPtLidNqrqd0IKTeei^*VW7PZq]qR#hr7bj$ct.L%xm9-?qnr2kYH
U"\F/Hi\UJRZh-(>;lpJQHxl5njEX/[NpuA'hDEux+a=m)<Gv4K$PI\Ik?$M[Li(P
U"dEa5:9da,5XEp0n^CsSc)[U7ES(GlbZ1C?*2/qtE\D+9]-nL>qcuVbUDVsf8OJR
U"<SzmgVqdtlb8Io?7UrWn(bS76^0QeF=zKOLBH=<h%7NDu>PCGjRTcQYUM3ks<om
U";0nx,Q/]0T<UkmbH/s<OG)CToV$mXiX_Y8Jct8/-fwa-8N'g^4aDJ2[=-g;)F5c
U"8h5kQJ3u\x6XW(Dw,nh-l7\Oe,2P-x0vrVN9Bs/t$^5ntC%nL+5w.1-EAEI45Jr
U"V/ip?:Y2xY.tet=Ih/eWp_f3RUgx])rN,P990BT+.AMAWmh0nVIwMf646#f;\,m
U"6SwPTV_fQA-YV7/r980Jz:WgQ%%1FM#WU-7(0*,=$Zq$0lh?JiT#ER8e+\5H9H.
U"XTN>NS8%u?W4P'>b1k-Xre2'jHP]]G(d/,^h]26]rv('(M%ES+4fImD2)+mM>qA
U"prGWr3ee8'C;t<),?&&UqN/NtWM*mm=;(-,Q?(=Xoq[Ao:=KwaPOuEv:-+\btm/
U"tk?H^2*_/\C9=jpdeq\O;o]311wumpd3umWB%dLND46n%d]dnc?CW(LPMYIgJ.h
U"8g=xBAh0/\$LpnFN63su7(Zm)NIz'.-)nCtku1xPyxc-EX,b];-,vP>W,7*c,j;
U"(bgeq2+XvaqR+pTXJmX7jAm.Sn6g7g\tqZrYeXWOfXQ8by3wh><m4QiEBxXW>-?
U"ck+9_jmQ*M:5t,)#xl:(0jI_7mNUFjUh1/RUUfJ1(;[h6OV[d;MIrumkhT.oaX9
U",Djam3Pj4;k?ujhZwSHQ](t_TUP\4w\ICbIfbTn?^.c2WWnPaPIfQo?-cP:M[F%
U"3\DWI'U%%\UY8GtNNB8c0R[tCA%5.h_I7ecsUGbq2Wlglj0V;a<bPno%,q[O;bB
U"Fecrb>9#G*l\Q,Q,kJb+p4Fp^gP,^q.,UEQ+H.L9[o.Sbs-gRrhC:TrhLL%rT[u
U"uVcVxzQZn_aohJU4IK4m.l36I<UfS*LSoT,v$RCokE$X1f9>$4a327OE<tenE)D
U"_E$Kcx3.>m7;Sc;N2+]R2YZ$w\L+ST,8GWhx(R3Xd<e61X%#+-+7dPB<</u8pW4
U"+gHq',>Qt\:S(jwuYLD8BX[7]gc6OogVa9mT$tQT0p1/+tU8ugEd>0Pq>[?a$mX
U"6Y6a>n+lxd?rQp$w?+<WB.6]t(,QI'z&HNl#%(%Se1Nc*-Jn=RqtprF5\+j9>SR
U"y%kyp%+r8rY;tpMf^jTMleM^8D/;Qk.nOPb4GpV^AUH5q(_Y[$p\9nYnO6j6_v,
U"n]u,0OR2E_DPI5dR7bfhnYh26en5^i.r8.&7NZ\>3Q#,WH983p#:VGulBu93NM2
U"_6#Wp\iGqa7XAY\:hYtttEa<v]RH?onpl]pb\5edar0;Y'nsTca7B<nY%Du]w>p
U"sxtfY$X('sHJX#h9?Hk$6ft2H78pD;>[J]:YEo_lhj$8u)HSfHHLmP]07?heOa$
U"/x1OuwSNr6Kk0h?hUe1'o<mzBgb#,eeMR?%v(csac+LHPiD+Q5#%q/^no,Wt,,q
U"PKcFa)I-jsg\7jD#Q_\_I3gP##mEB+^Hb<,S,dqR:Tp-*w:DX\opSf-gY&/lpv)
U"Y->rt(aZqYa>=QRT#)f*ok,aPicJ\#10WP[DS72I'9t(<%=1jF3,5#%1RAI.f/.
U"+=-nO5\tT2XpLa:qO)ek1=7GP1(deR/#x:noK:)n=$fI%t&IlWPfKbnxX8pDNqq
END SUB
SUB V3
U"6kXPekB5y96Ajf$,CsK0Ss\ed(ZWJ*WQZY_s[0#b[(UFilSp.L<#OLdIP%p*F;x
U"HiitL$w'r<uy$poF)ptj.\[Kq,;[pnL1kV>7n.F3l&)fPuB3qY?#%)%'v)GF8Hf
U"I1n;G(tu%OMpJ2et<fWtf4RJ9pa)Zfp&nnOaP6WeGtja>fp9.>3pf\VsdmPoOE0
U"apCJfQKbtL>Tw<u=ul[NvLaGjE(EOsDYQaen(fYJ%g=X:hj89AoCw3%.g['l$Pd
U":zt]rHmj+&?c-O;cOq%(9,?9dtv#%UkSq2^Oz]&D%QH74hC%RIYAy%celThfL[l
U"I,8SVnj>%GIddKQcZ[d8FcObF1EJ\<)R6e6qU/>Y0[DR.^3q5:Bnbm21Eyu_uY+
U"-[gWWrxSoH;y7cM:kuo-sD7$ZI,)NPA(eYbw:AfEVGin&8:46ql&F=5^6-*h9=R
U"#aa,=(vQcVwPg5t4\.8?J$wC.4CeoED]hFPom/K4(_U2(WQA^K:%D'cHtUWuQY(
U")F0q8sc-vYqr&>rX%f\en<]tp,5LT=tq-wUhnRf5VqL9<a+xHO\r'H-[]GHEjsI
U"e\sXyi+0'k?Q+JHzr4ZWe41m-Pm0$:SEi..-s?9o:r#n'l9Xpb6:P=eJCpsCfa(
U"nN>5/Eh%5ai1fKs<\f:xMb>4.-aXpcjSZ&XVcQ.KZwclfWWM]dTgXBJe%%O6C3n
U"_7='*1leL,LwlhbpH5N6Vccx>Cs?uXXh-(Uj1dC6'vuvxm+cq\4d7I&ab+,h.TR
U":SK,M%R(CB-0<O5)m8u<(?6UA<G)h4jW^d]]tpx:2r\cn?EOh)+RaF\_o0_-#f&
U"0BOk0;pxUEt8P:X3c%W4ee^dg0V;ncE]cjBTC5UxI=r98F=U#Vt7\=h%P7cLAnr
U"<$^UEz:0s6hNA\fT4wThHD5KCes4)hM_QE_l?XdhZAkSDq5yh$/vkuvXpMgm-eo
U"OYM(/>9eXF[3.m_%)KiRdPPxsO.%B05M<oqC,-A-9:S,'__#%?j8Qq\%]agm)zj
U"#&pI#vqC(S;Q?R>6b*DBF_k;([]%%2:)_15Ud9FShfJgbcH,NAMa]&1mC]T%e=[
U"5$&b/*kEx4PCj;m08]8QU5\Lc'xpb5*^PFF%cGn(+m043;wmXaVLQvi51I)(X_3
U".(;4-xZuJ4Gd3u5;JyluIXNne$'dr0%=sFd$a8tGhXf)Wz?WjnN((YCs8u)k]4Z
U"s>8rubmB-urP5jym>64Axy2b8]\ecxIdwU%ub&?l$XcoQ,#nEu25m\q]n,3u+cz
U"lV-fg's&a\tNw^_0hWNk,MrUg(VKqq'ANZiXcuqRcqZQNq,;ESNM+_]M<ZZzk<T
U"-Mogp4-Ot.&l?-_5cJ^O&ZkZm/T2p$?YJ<;DO/20\+LYKHW\&k<sG-)=\1KaKcQ
U"(K_'>]Fm9k6jEXV]rd5Cr51Z7LY$HY*=3/MCs\(3.e\?KIEkhVTWU]hm2l\hExZ
U"e,V*$Crg(L5IMY)4\c9LrIUw_k/iO(Ujfuy\0pVY\%_kh?o40Lc^TNrSAz#lypg
U"b-/^n^Mf$'F?*dYT5^1P$1ssy[Atlj;6??U^-sN^R0uEQ9+7T-c,FezRLN',s4T
U")bzhX3syqUPp*,2L$31x_[hX;M-hEZitst(St62YS9S1C(*A'Y6Mn)PexFTH,tD
U")bM?:]m5B$ULs9O[4Gd2c5DfUkFO63aYDpXT6ioi;Kgr=D/%cf0ek2,.d,c)Ylu
U"=i1a$Usjpl+/ib-qr7JsCOSNSKCtXIg?:6A]r?=OT[reI#ryz+^\U1?I1GJE78K
U"1jlFr\lc5>*AWA[ZG:#F*JMiZG%BUkR5%ayX0lHRKkz2[dg_F;\K[O\0Pn_*N(n
U"E'$eD*^_5)'\4i4,h4iqY;?'J5nl6?ksXe)oj>_9-[TYr<gsXIJ)t(:wE#P*u?h
U"L]6y$N0yM_N?1[h2\^mL6ebA2PtK*e*Pp9LppHNYqs.?-<bc2N0_qhtI]K3Zs=I
U"9J:r[Oo;zB4>ob6g)1z7k:\FA>gMa2B4UWv,3=#Zp$Ib#uDMjBVCe3vq,T]3M81
U")7[3Ihy^&nZr3_M9:I5U8h%A9]=Sycc4)/t3U6glK3H^%Qw2x.l\]y/].c9V.Xj
U"H^(7igXu8Cfh%F$Oa9R/LXkt_3u1+)<;8FR[J:Xlf?A:8]Hl^=^7qpkoEs?J3D\
U"r2\d,YC.BR$a%hS*4\*2MjPgjySl-c35#plc%b+fT:9lWqi]k<K)k;Q;1;Vt'\h
U"I9b&&.eH5<JD_fS+IN6z6iUT\sKI^R]bo:V2\]'b#kLhv-o-r=A7?kn:p<(DNE2
U"s-13sc#>O?jajN2?O&wIo)Wg1'o+sKvip=ur=i-'4AgSciG254wy/5EGinS6f'_
U"t;O/hKnTul*Z^f2H,j'MvXc[O4p8+H&PA4[yP[9AK6fz\Dh8$)ToEwMLkts%qlO
U"6Jun0A,)^'?5ziWZOz-'XgAfH]%SWSo82OT^HOe):-^>_VW6o%<0+nxP5a<j$VQ
U"CCBNPCq<K06o0I;hPgbSAwJ)K,H\S\Um_5b8sWQRD&9.hWxv3dIa=*UEFDo&/4s
U"-e2FaiMyWBJ#47o_$+kL]ie*ChA)p#nT?&P=0[SG$rPSDSZmbVk7<.m:G*]Qd\S
U"EFGWGyLb*F<&H7I%\^nrr'^K]Sma5>\5g\.eEhAVG=cA8A)q(FZP9:12AO;'%6R
U"GcH*]>T6X_,l37Z0X)OOkFuGIvVP+KDrjDo.^7?)8J65Z%?Far.Us=QPJt7dvNM
U"Y'iBOu3gEwYocOo5,7U&?V26:Zu:EY)'*UcF)=[y8'%bSpt<BQ7D>:0+IElaU:-
U"jFUAFHn_&;ZMbEdw[aQ_<I+q8F-e3G+6.\bHRbVS0>:sN1%0k'A$4_gm6_V)(]5
U"*0ln#nFiEF_r=Q.AzkBL%G](?h;9d;_x+;np[+'n'fyW2rE65n$MxBg2;F(g.tO
U"9a4Sqi8GB4Bx$aE_<mQ.^$T[=C3A0BRx-<;QLXM$YhaUHv#CqDycH#<*NT6/<IN
U"WiS4JIh;bsx_1<V)IAA*lRjv'Ez'Y*5Qv\)ZbTm2SHXAkhk6cYy-AQa_HNRF/bx
U"idFj4SaX6=S+/6b/OPUFje7C\P'^^*Y)s9C;M0)?&tED%1WlHW+X[&=F)8MjL)'
U"2l1J8IbEJ*t^xd]d^$&5SZO'(ruY[/m4IS/[s8hk-uZTnu?B-eEmX'W3LC98=R8
U"'[]smC;:Xf>afbkj$4zBcJR+5UTh$(5igT.V+>VBUCI:-_m9R7\1Lr0Ie3-LZjS
U"Q,5=lplgsD*W]&('DoaV33h=8HKV4G-94<B(\U&\+ll[7IF7ibmMJUI4J=S^B]8
U"Epjw)#rG^CmdvcLnUmUN\5AeurN=/UTE]ndpTxZp?D.&)+i2nXL+^T;c_%aND_0
U"(q$Jv%WqV^(M,yp$6dDIaO>beo<jVjy%a=r$t:Dj+I*Yc=f2XX\$AWJG#tAS'*i
U"%MqP^OK&N=ITtnmGJ^rrc]otC$4l[xClPU*L^3.dr,2]C4[O(Hcq<B%FCa-lQW_
U"h2P\ml23j=77s&kcLNuG6HGP6M;5,lCo(vjUZXfR?5<HLp].M9%2\7wrS,)F*uC
U"6)eEnpq&d?Z?%$\O\p^1anOY^qGES[JUD,^KkV+JFK2-nXk;T<*L-bRutS3mO$%
U"wxmc\ymi;j3A0D9qx(GalqG*3+ly[S-8D:Kmy'zHJqId->rqfWwg?iIAP:R-QF8
U"NPsp+O_;kH\XZU*cja5i_+*DmNW47#\FF(mxK*G;4AdaW0mSAiJ\WDKgmFs0>LZ
U"ZY,ZdDT;OtljD:m>_<h3&x_-ZQy=jnafD)#mEaWO_CYFl0l;UL5aDp4D3R0w73Q
U"e0):<Nk*KWJ'01d]DF\[Y_Z7AK-Uk=SwYOGOO3+f*DT=ClJF'1+u1VjSY5'B.Wg
U"$LYS[R_YsffaF6TV%T/m2=<)bCjr,]h)ehNZ:q3A3CQaJi$h2mtBN<?$wJD+8?#
U"lRbf%1$X.FrHK8V[Ba%[>7qT<2h,9EcYpEI=TD'8j.FfF8o0>PJOstoJ34la=I-
U"nPSmF8'e_ht6QsMBhz1OIBbk=vRHgjFn\Gh>9[wO]2i88Gjj#7^bkfn^=GNR6%&
U"2^7fU'\\Mrcnils5,^m$NBcSdbPzcqIRTpj[t\2IIhkYK*/llc9c=ZU1?G5SJT1
U"3#t#3t]OOTgqxFlEf5puh+(=pVb\PYbBJK0M0r?AImt]v2=%1Cc:/[SV7kErIh[
U">#+e<FYVQY/yY5F##Ua6_1iZ^x.VMhs6$44=fF?*Xj*VZk\cU'h;S(8cpIF:s-T
U"ql>RbK37BHGk;$KVBU%.Y_tHtC*)i<LE>AqYe';0lV:7[FQ3Lax.NdHU2K#bdhI
U"p?YaL7]'2h+a;<Y\so%1eGq/ItB_UHqr]I>_k768e9E\H7Pd4K48[^*Q?v.RiPl
U"d4g[hl7eOx(*er?d>3kGSm/TdF6*P]B$v)E-VSUt4VqjxLt>%8<v#jJ*?'89^Fv
U"EeA:%VVI/U;:E.]$'GO%UN+EXH3&M5AFs]e,+c)Z_=<VVMp\P^)QXGsdoJ3ecs;
U"C02*5mxQDv_O=_8.DuG2>b[MtJ?X:^=XUw:/C6qGaK<fu)lWm78wAsa#.2a(EB&
U"h8VY]MS.?j),Bd/-KVYIdrTCADCR6#PpAT*u%f]eLX(cfTPY%&VIW1Uui$[C?vZ
U"x8YW]apk&e-$ek0MP0)x3ff2%m^_$XQm(_d/=+0Jn(N9k<P#R(vgBBsfkz-'?hP
U"jsV%^RTki$GP+Cv^a+X#/_xqlf;?Z8g#-PxNH97[l(V5uqyHL3uLa-orifMd5wj
U"i>w-ZJI;<k'93Br(^wL&9'vwJ\jroKm;;WW/1S9ypAUE]nIC2:<?lGQC\WiZY9<
U"iG:[W2$tt[V_Q51U-f6]n51^cvV/2AQ^j\SHC4G7_vhJl6t1sfysgUEzVWs9cW]
U"2^S//2:dWBjQjWp^Xl&ZDl,\F+pThac:3d\d8BPWZe7G*gGV0bRF3VXL&>#2:9r
U"N<2-3Z_f;k4tAP_<D/\y(n=DTC:pou=hfmEUS)$o9_kF:*A^(\n.ru.4:sABpZu
U"k]he=li<Q*;S*c-'Kt#j:BKh#wq,9D''vTeyh50Lp:lmqWhSe7?XBtD*4YG]KF%
U"'IJvW9lzg5dFlHf,\THRp;Hc(W-$K8MyAOKY9iG'Yl&6zi9'6bAWBN09M20cU;0
U"BDaHhs7AIr<8my\NWl];YRHNU])>wS-=2l%*]A.[iElCovk2kv)OEM4#6olV3KT
U"ShMl3'Q/r?;+Q,OL4<(V(X+%<g?;o5DS8iu'IZwdJS2Ls>GT6/N/+G[vGFR3e_\
U"V^w3<XY<$jd7jYXUBoho92EPTAfiR$KnjsL#'[q&Y/7GslV2=6.QgPbdW-*+ssR
U",ZBFdB05dX?uLCNz5]fYT6KqUW$BV4GJ\P#.+//j_,EUu.(DQ#UHV8,YbI'#0hG
U"Bb5)vHe[5_;BUXX%-v77GL+..IANzDY*3CcX/(Qe_q5JUYZ^VHnZ/db,MEC^ZS%
U"o;qf?j)?j#5D/u8My>4KB3p_+0,,Z,$^a=,3Mh,D%[)9:j9f]4=34:k[kK#_m*F
U"x<dV?GCUAD8CI0sLt^0O^QEVRmAfV>V>2m0]jJEbk[uqJ&7T:uo>/R0,h-TEagC
U"AXx+*b__ys,qr6qBo)3v_V'=)+($/Yw$hd*,XCt=?bL*suGM7mp&=n^JtNV=NVh
U"_B['>2QY24l:rE:vZ]XL)Ui&m9BtoknFhpS<6$]T'n'CANkjhZMQ+&?$bX6BoAG
U"0L0py<dX>DpL2&-M[%fH>\L[*DYlVs.p73kHDmO\FavOvh+qpBqK::2FTi8t1v4
U"PLc%JO(NPrKwQBSCtJh0A3XG.7=m-^R&q+:dYQAOj&eMS;Mr^?7T3L&N,/79uY2
U"Yhq;kxJ82\iW;,G=(yc-_KVG^Q0mA%zFq;LJl2zg=\zDr7dqV_#3PTb=FJI&UW2
U"kk13zpo?7RfL\u0s^l;j&.q&lITSc:\<S'Es.BtU0gRl3$e_#>'h<7er5;QiBZ]
U"L2m0'kV:FglSh'ilR5*2cby13Hk0G:%hV.jU.ri39y&L51W.tS6I-CGFN7)R,^^
U"D+>nR1.fzjuT+sGMo[1e'AFOB%Nxg4g>>qt_%es,q<e(JHg[;z^g12C?k[.t<ba
U"a]auxmfA1OxTmf]_afAz4*?Yo?OVY\ltqxE5I/h,0[8kUOzj$=:HpU%D?NAB4G\
U"3>SDuZ1=N3[+\zCPn*b/9PF-T6P];3/W]m8yD/hUpi(d+h>ua<.60Bp87$be;b[
U",uBBV&'Y_\w>$15yI+KwU_=8#b3-*IpM]j\%eAf&RDh#=*YxI2(;[l6bu:VuaAF
U"OPuoCG2k)?^AjJKv)zJlo$s8h>#ZWSs1W71$F#GzT6AH-mVQJ)e.;QO+R-7_iEk
U"IqaA1Bv?sp&=nxmgpIzUFoUEai$ACN*$jQ4K_P3CNC66J#DxN6+F#[0DYpua>VB
U"/r4o]A5]R^jme:9&#-fMm*]EgG>cHov1M6B*aElQbBF#&$[8'3pLO8JAdI'dmqB
U"Sb)U5^-2Ij]#_#keC8$\5yG1)*>M5dXclELg;Fo1aa?*eN#VB]ZM>#Gq7A5WLqS
U"zYZ&dg#&<qKN<*.on.xs0JNq>MiENMv]$,2]rPov:FpR2YF7=(56bjv4Y.$8p7T
U"Tv[gBLS^LU/3M9.2plVTcI5Bv*OJb8FC0pnxeO_HS*tgh??a$,0AGPfAn,FB&Oe
U"J67r3krW1EEKnHPSFG'\C6^lWL_UYioe;\2ME-m;D+F^RK9z9Ct(J$1n?Ro)*S<
U"'hFbfvf_u?y>3EGAB5$%x8Gv=LU,UM#HJHQuL8k2Lv9*0[pnioLFmzNjJ;3>IGB
U"*<8A?Tf_<G3;$:Uw4lquY$37qk.aBe3)Tn)8M>:i\0oGFk%;xAq6,Z&ZA>g)Sus
U"lJup]aPwsSu5i.-kZQ+k4jWQt4\[Q$vFM;.\(y2IKhjAC=^ANaSr]I/[Q$:U)Tf
U"A[SIAUQBiH69d.1Bj7t#UnSLXpH6^8*zQeG'd%RzWNEkD&c_n#o=qdZ/Tf1KjsM
U"aH%Z'lFJGgOWUt#EPWt=Y:J3CW#B74:6NG1IV&=m9p=+>P4NTjX]TAyjOrYZ70t
U"T6]_.4ITm9^b,1dvw,tHBl+$?PZ5'#$OB%0f'K]=+GuGwIY&'ga$<j_<^YjNEkJ
U"XrJ+k2Lb7Rk.dgIqmLdYg3[Y$TyX<=j#Tiu,c=%0Vsp&f(i6_HCTZA>aY3Cey$E
U"ae7<p\VQ85gVH4g^=/4m#Ff)wSl<_&BI/^Q:1;hG;7O#IU))6GJ0n^D[FK\pxgN
U"X8^WEaZc9RS(zhx8Zb4JY_r*>lY8e,HxRW/u8WAu^xC&*0?'&Ewu0Vu']pbV%5r
U"G/l9=4D]O2s\S;?bf_:8r+mBd3e=]oDlkul*'7J7?Mf2YEZSCD1FUGXI<P5Ic,W
U"Ne3G'y;=_ei'-(Nu5Q0#B:r%Z.9ZODlPe5iB5Yx/k-K*_\)1Dp/^dC$80hg5r6&
U"St1GV9xJmPjH<#Y$Jod423:VGurQ$h,ZlTqx7h?r\Od=G<,ovUa+5WiDEpD0JQ<
U"5_Xvyv(ofl>8zv\agOG:UPx,0;k1w1cP1a#(SvsIweVnqC,q2Dv%*YKIT,UU6l-
U"7X,^h?]?DyKmqWB33't:Wu)EQ+x6q';*Vh#G<\m.cg-;3(=oNY+rI'/^hC1xQlY
U"+3a(x>JN*_,.MNl?iNJhG52Kb2<Eya943LW^^5OPh<EC-cT&1]lU3;[[,3/rB\W
U"^gWe30At4S?L2<&Hzgy(:/.2_6qn;kmc2_]3He9gN^?/r/0Srp^uiaT/B]q'*w3
U"s7kR#Kc6HGff-V_'lW64kj8LEN4PoZKQ<Ug;42N/k]na7RYrUIh(m\+im_0m9]/
U"T:WB11gvq[<kK3woBkAB-jsM-'.lcr=UpH8f5F$hd+xAG^$_xOjd/G'uQKS*MB*
U"%YyUZ.HcsIEDKtbMfe*)ntje2B*$K\Up[WF-&yQdB0T<v76_.yXQrgOTYm-dUD$
U"Br=SO[FL#Di[QDCUf7<ZDV\G9sRQec>qsTys>hUvfU/FdA;Ky2VX[e[=fe<sLK)
U"=H%/(>?XIqf4HNFvn'0xZ9raBT-EZYmibp1iG9Z>$K\eH4je4JkDY4I>jn7x/>-
U"3Cz$$Mq)ITYKd:FqOn2h-H<daA]z7[CFzYZ]L>++#ZcPUXSVSWK8045EME^e6Mi
U"]aIM?.>9Y:^T$_lAA-rZuUAx.LthG1,cK)v/+6$gxbhgiVS1O/'ZrP&(_wEFgP]
U"md,9_HR0jg6Ou5#Sai^y)8SPd.u+G-#yQ+nto5MypL7kyDM3Y9ej5*Vu^XVcqL]
U"R$l,IejFu4+mq0yaq];V1+bd$N&V&lBBSQ.<gL>o-6rsU,+>x4lBN_PKQWpF=N,
U"4o-WE3[C+5Ez8$qtu:f)4pMs-nDXkX+rqS1-/Ce6K81Wl;q(53z<t\Q>R_Q586N
U"Ib$KlMa(-f3_jn<3##uM]dBE4Gj6KT8qPBER2jLCvlM;;TBOg?MK&V,B;RXiJt_
U"V42T'9Jvxui1Y=e+0lo1pM'^$gq1+5O)UtJAAx[A^T%k?F$V][0p.=/w$ngxKrs
U"iGBC89DWRio=pP=RqCGa'=C$gcx&1#XZO=4CEyRlXC[%<VGiLIM_q#]tm4V(+;Y
U"dz;mFen>3^#SBO_H't[''fp(?IY4Y*p]MaOJZ'#,uv)V1\wR1rQ,6%YKbn]W0L&
U"*>3L#kSZ2G^S0KBbQLb.I('/oO]</&MC*'s521;[Tq?072t/6w,R^<Khh3B$aK1
U"_bU,dzc=6l3LlBLM2WkRBvd2,7)_YViFkkB7m)Lj3(X>J\-c56QK02Ji$?Q<.n4
U"^Zd$aH9+?$^Dj/3Zl0]PK2f5BCBblD=5]aT\ZXQ*%%s'#P5b>mx-BBUQ9PJLY/A
U"S-wOYSEP^W.3(VzQ$Ejx]GgR3S3yNI,#OJ]OAM)8VZrO=aP_\&Nf>e+cz.8+S.:
U"m^263axfUna)V5,(Mi\q*%=M+2*3Ak_\40CD^l8JR$FKT2$=bmd_4Q5TYxe;OB0
U"J9/hkKWB,Lfp[*xiG3+IH3U]F]^H&6Q;f%U);<2^Ipk95](\vpGGprK2.mL$.,8
U"[6,TQVjHh'ixJ<*/v5.W+4b#[h.v<_#,*j#+TjwQu'+B+:IfJKHtjsOwEG)dpHs
U"Q;X'_::gEV\-+Mr>7PQ>h'FQ4fsgBG.WG'$Y#C3BcLf)4\dV:,_DaoW[LE^847n
U"FQ5<B<BSVIF7P:&FwjN)<j]ZX2lpnP\%HTN1dLrs09Jp8-#ct0SB=.gN1PcDppJ
U";BtGcJb$NL=-T-$YY$>tkyOj=>QdUgZ&UrxXN)Z;J]EWT?hU3y^1clPK:]fek/x
U"9Za].W(u]1jJM\%(\Z)1g&*ATGxBaU$w2;WkTdQb10&#PF<\:qCIVO5Ct+y%0.Z
U"RIn4U77aTQCJR=Au^ZmZHDRHRTp;WP/YkZ^GPvVF*NmbG3d63LC0d+2+u3z/zai
U"whVHRG?l1UA^R&cL/ZzR7fDg^itE4S,'IvZD9ghjgojo$qD*Nn#427z(BRh#6[w
U"W[,S%3s#3,kqxbH:N?e;lo>/TJDHt?bOSc:wEp's5fKPc[v;YS+kSMYs/09F/T<
U"$mRrFZ=q]nniM3]qs(B;.m?=4\QX3FhT3pdI+?XV=lFMJb6>wq4+X.4S&SFUo9S
U"hE94U1++PWd2snHMH5y3W4Ej8v^:4*TIKc?2e=u$0[pl[duRn8L6kiWz+gbh+M,
U"k+T#d_^U3+S2PPYjES8m$cA<&HYyS'4Sv4Et4IZX;]nxGO+vBi9vP8PZMYi$s&a
U"R2Gm6CnAWj6E^;\&'/RTF?:>D;8uYR_ks-7rmw86ZqqFwB1#SkER,G]LHXZ1Pr=
U"r6#k\PbK$V47(\=QPMdqJ>,<K^=?AdlH0dBWuU3E+5+F\Y[Im2\g;pRe#vGmIl&
U"7_UNFESm2xO/0yUs<nk]$('aP8sB\sd.,,F]\JwkOiIqzXF]nhalrw2$JdoUKO>
U"XmIuf'-;urQve6&22iOgD%D3Zv9P/N2Jf2JuJ1a(Dx3Cp^G?U8=,EH+56\vg-J8
U"dR5]G%ck;2rrFa1_UnI3a3,rB/LK,F9DgbCqQczqjbac5*gOwt?gl;KJzKH3M<z
U"+-BOzbEJG^iG'n;budf'Bnu0uaINOh.)8c-6FxD)hRvPbqAGV<-JoCc+TQ^LwHF
U"Q2U):Q6Lh(H81u^7?=k7AbLOM9y(DA(I-&#eZIZ.1n][AJMS>gtB6QGv=WJeq5v
U"8Pg1XkkU-U8Qmd?-R%Tk?YQa18B#pa;^wlCc(]-V1tG&I,egqXEAc9oUvC\.;zZ
U"1c;];8_gNXb4N/vle<'?)jL+hZbQM^]:PK0e8O.RhBnv3PBWrQGZ+^S:.[YkOk(
U"u#adKREz_:lY6_e+;-+TQ9W#n.+/=CsGH$3.l_P)bKB\#$zO53LIB9)T?#_4u'>
U"?+g.XtoL6r-HUl99;W;42P7;3G3>7Hn5=HZQe._h--o?mQMnA#0bH_-V:jr^*s?
U"hLN+.D2HV,k4ZER/Zm5a?$K[(p$39.?ak[b2_l^M;ROa<_PP/h80W;0&E_%W\n0
U"b4kSp5fr4:8]*4cl'c0'IS*1;X4pCk3kZ\J<N'+pZ?w%BlGedeQ3K*i2I=6B.hn
U"a.]tyWQ_5xCA#R^zQ-K=;[nv,CWO8*8cAd.Kl/4Bz\-$>FKLqA30/-o3I;z%rca
U"0a+Ghf0uF;*:7$VA2\S3er($cVMA<n1RREW<h_n<2h,-QLR?\C7zp&VE<cXU_Am
U"%YZ?^0e?n$43dzmlLLUrVr;mS%qvy-[VUZ%ks5NBSRAA0huQl,F6HqT]dlzA=5k
U"eyk4IZ)_Y?('FP)Se7PyDXV^j$_\PqUnE/Mp\S]*DCpYkc%zCWgTR^ZFBJQ\NM%
U"s.ldJ]$5/8dgLQ5Yx'W#MVVx_TM_2+FTpzrhS9<-%]B.k<L3QOuQ[]cMi4iJ[eG
U"$k/ei%#.k9zBlUHdtD18Z49&X&^&i-a77W=_AgA0;bZ_g5iH>ZQ/8kw&]A#H$V\
U"<FsBK&mDd=J+5'<^'>S?*S,tZj;6m+jPbi_DZ<Cpi.sOVpk2*8qc_LS(#hcA:Ms
U"Eso-Jf^uv0\_C]'>/VWHoJm3r4$^;qV_0tb6Cww(#W&QngX84LigdUX*XDP_KZ&
U"]g=2.9)uc)B=(V[[K#j=930\DePQi+qVM\1nXO1O(7,>A3?Q.WQgr:RHOiH(&WB
U"A;zf]Wns?kiJ1M_2&6umepxtS/y.?xZI-S/18^v-?W=TB[xyLL?RQtPMPJQ>_]&
U"vA'\6H.1,0]/HO-SYoDsMZ\Msj_KOO*VC#]0:;X3D],*(nc/9R6_Q>*4zo0xNI3
U"#Z)a(9AfAoT>3nElbUZ:R#LeB#1ts-JQl<5QPSR(DSMDAw]bntnH_BcQIn=L14B
U"[aBBBBQEoQz6]7>QBG7ztt6Bi,'7tB;,nck$e-v9M*AGz[YK$aZZ9_K,2Mi?I<_
U"t:K921No+?(95X6,&ri\8#QoiSMrtv&M'Q'EK:;ex(T<OvD^jb&Ub%>hRJG7kAj
U"'aP/vY&e^c=wcBy1g9iD>gkCjkr%S3kEZ3;UV#MZhi_Jvi;WaHRN#BEFT#HEjcC
U"E,m>,,=KJ2HItqO*2n:^2]eF<[Z_h03p$RH6tS6f'[L^#kcEt+:ugw?C4]baj$d
U">>_d#w<65#hrbv3VEawpTZl;BSpP-^7)?gS>\K[0,[dTf/pz'b#Fsou$2eI4L^S
U"=*$d$TR7W&&l7e;?F#[e_2Bh+_NNq[hba$v1H(]YQ8e#KC6[mUMsP$+,3i%llk)
U"1-sQ>:'#4R.rx.wYF39<)=]CD=w50%w'c)*]kUq'>6QA'orX3A[m^lOKA/;gvix
U"TKE[Qel4&a:9,&yAFKz0O5j%fb,P=3=\KZWBZvSQ?nakB5X?z:K0CmX'myUHRIU
U"Nqe?o;8LMv6lRkXx;'2,*RXu;4ED3%JX1LZQO]-K2p<RS^YIOW#t5WDu0M#8^_m
U"GY6j</0TVXb#VZZZid5B5j.kKR[#xIo<Bv2VIi9E1cf-8.;Wc9F;qk3UZByo#I+
U"F.6Ct.JyfD+,anrUJjr9Pt+tu?mAtaLBUXJq6J)L_1b[pQ79r5k3$QJ?9gM<W)^
U"x\XK?8FbpjUarG1VwsDCp)SaV].&6s<+:>hGFrWwS+f7>3pvieIM_P88EfI3eP\
U">lL.73P71XaphIZg#,t*4Z;rc%n\SxnmH^afE94%f.H&Ha_'4aVi_*\0&zPvkuD
U"8$kWPARPWKypFp*OlVZYQ4Is<VqdS?:ZV3Z[AFm.v%A4Z\)me>=tbp>>NrU/GlG
U"r#AdhA)DcaOCm\W%l6T_L?T43D9I]K*LrsY1g5^W?]GoEDcT;IC+C8mNKCtc&Pr
U"6>[pa:^$nG<Ry$D&c]1>tJV*P9lcjI:,fDmrguY\[=z5NT42g1JtR:.:KMpH3S6
U"HM)rBsdh5%UMMi[p6=&wCX^Cb&9EN-&W1L\)=6mowi3-SYK7G4nm*Y?MVGe^suh
U"Z%pQnk'h.WuaFpqVnghVKP2<CK,O9jpEXjs,a^<>Wp6j0Qeqr(aM*C3fFuUGooc
U"ZL,&TNg/9alHbD%\r:+YdUb=>oTT4fTuOj?-BkYC6<:>-rpZ(j\hDP>/D;X'K3C
U"D\b*q'1Z=(A>BkU?.5L1-8w]$$II*=VpG=]Toq&2ZfzRcP1a5'G-oL=PO(qsb9.
U"K%EprKbgnKQXQ/?88Uxf&Sy\;Du#+MeWxrf<AJ#la=)Zh+ouD+NGm+yeV;$MJDd
U"yteM4fy3Trj+,?'bT^goq;/%Jwjw]/z=EtN36>dBUF9BUQ/g'444U\g*;QS6;QN
END SUB
SUB V4
U"ZkYBWKAIbci]ADHMwz4$iE[[EM[[[We[-9Li,L<k**bdO>j?1w'2aP\j,6%Z<\(
U"Y4j<\28J?zis5<Vl:]pTPbf0ddCDfn#<OW6&)uWtc#=,xuUQlLo(-2qaXo'?VYQ
U"_VT=V+M7*^)f*hB\npjS'DDn2l[NYbmU:'Id1VFN\TFFVZ11EM#z:6Zs[*AMCII
U">#CqdG/FDjjlvsBrieu4neDdLuB*ZNt-tVt4Q^mxN]LP9uYR\HMPMM>Lsi,2j>x
U"c5d0jkbjHx3^lioMIehn.)Pi'*La^aK1EbB6^DY[-[,NwMqNlgEzht)hvl$DHdh
U"'nDKD(uSc^urmLtlLkHji&#Ej/?WkqcW^#VXv^%At*Kvv(0v51ss.c&*_v<>D2;
U"ZRubV>i:INb[P=Wi^,7+W(tr3aQTVhxA5K8g<L_Rzrs#tL&lJ8:hqj=0IoaT%>H
U"iIt*>n#:tuOMuitplgjZ,t/*2HJIlb67,\u\gm]q2>ow?g;OTNh;BItb(shuuKR
U"-2oF>3ad^#&Vzh^sBTl,bX$TGFZ5#tze^<B8&K\jaJYlfTZG<foQxbw'WuxUl6p
U"X-[Q3p^htCh++bNwVv;0eJYuf*Scg#TAbc3nx4/>C^$ertbp(l28rgjP$bSF;,Z
U"j08;berjvUA>CB*%\kTBgQIhtSZxv%:TN73QeG?#]8MrCctbll?YL^nG6Oq.dZv
U"LwS?Yx72..-;Z4>Oqlqgv\ZJmVvk0RxU0pSZLOj&gx&E4DCZfEe3eidz_XtLO,T
U"sGf.)-(D0/lSi8pc4EmNTJ#O\>2qLXa4\.qdzTTeF(J)aUh($nLUogo6(V[C4]o
U"\lLLz\kV4(ZQi\pPlwcHhZ_<tVsHf_*9U#vyjNm='Pj>R^uVgtBrn4psulJZu*A
U"l\,r$bbZ36HG\h9Q-UOM/Q*cxMS[lR[DnuYk5Tjo0+6/Iv;^r^os/awG4H/uDkX
U"q:060cCVj*0R?.17Pbtu?DX-d/d3IkRU=Xg&bhypd3$\okJtM880AXB:bKwy?28
U"2_#>B:6ettUV-CUCzr(kjwuR.RDGs(ddO?O$5lm?V_?t4#,\>]lNhFI-gt%Tf[?
U"Y5d1dC?vbrHbuau_<r:evtl:ZF4LyuxB4aZrN#bidFrBZRZrHju5JpjU0R[<vVC
U"-r>YHbXtrR4uhwVmQig5+im[PR*q'[tt]$bmLnxJlrr?)Xsah^LLDj=2bAd=\iD
U"YFoq#NxI]wAq(5?T?sp4RojlB4ro*;Ja\5>Wd_CLnS64A+Mx01bzCMMkgxWF\pD
U"<6'%.EG+nA\5(],HfUhs3_Fx?E=sf%dvmZoh]Y1%QwB8zGjSt4$.;O[iGx)p+j6
U"wNBb=vB<oq'f7mrp*OYOxV_$w5\nEydM(pj#dks.Kw?>D,<8hD4TM-tMdSIz4y*
U"pNar2fAlqRr;6yA.fi:Qx^8iZXVXy;2Q,PZOYAPezpvW-BbZ-t\N+R-v&?j;?5.
U"?Xkiu_^_SMaWO2Yhc<9?N,cv)$612#yudPTVb-xaV6XC1[oEk3lQ[#a$NBE-/k%
U"5a*;r4.q:KvN_4Tcl<p$)f5cN8]h:wKcv)INPxV:sThp_%XX-Cc>A2T^DBp+pLc
U"tuHt$Nf2GeQBMi*50:^AZg_?(iv;vJ2:ujAp3qV'E0HHfcnm>otb\ks[r_i+TL_
U"e2,<=Nxft&ah5Tv=D]+pV(YxLTT2^XP$N/2t-N..t;p-7#BR:>u8_Ud)i%9g<+u
U"I&DnBry%,trTg*lp$\_?Tw3%]3'+I88ZC\$qB'aRs43;>N8#_Nf-nt[Zm[(q21C
U";Ym*#P'DtblWxT^<7d50UDTLD19NKuKcl%>]Cv#'n4vIjT,RMsNN/=9HBTc$_b#
U"o5,-X.'-XqXUOn7_EwA/$HJOm*;gdqw5%A*u5u.^A)5KK,3XV>6iHeB5J#ZjTUO
U"ETM;3nq(p:th1_A,vE6;H(ZfM.Q8QDcrlvq]UAh3pNbZ+dZ&zF&\U=UocBEuJQ^
U"Obrb/;3,kf1L>BX7<^fNoxq,6+QKU-=,EAHKJa[*'a[5Kq6T0r_'?:M-L&94V>#
U")K?ogQJStK_+/O$jPbD&1TV,QT9i?s]Il<BwN3Z[tnYXQ0':js#v>EWk:e<H(HE
U"v>3hUB$1PbmHZ^9m'F$1tl-;=Zm3KrKcIpFrt0,Vh6,t,h%DeW2JF_RK9Qvc9;-
U"6$.;7tV/:g:osbpJK(ad$eYR_):*P1*eqe5yYvGGv&YML+K7JD)/P:;5db,RUk<
U"'n0,+I+8D44FF-B0?BqBsBAE#1D<=A;CoaZJN7rOBD_rJjYb(OX^1%F,+$+NiMS
U"gI^pTI3VD6HS]?t43?)Qc5AS.NZfuQ1UN&F,YQE=jjC#>bn'C^0m$\WIk-jqRw\
U"ne#LI$ganJ$z2VZoAf)(&RP6'$4jT^_Dm#s=dM_pkl65faZ-+TsTu;b=m'Cg8DI
U"d1_%cWj/aV'73dN=/]G?%+k6/dYWsP-btiRa[Y)4LVAI7g^Pdo2YKNIX&]jWjZq
U"xYa\N\=]X$G$BMIPN2$&ivKMZJT1/PhITRF:l)o'uE$*CHRt&cj)4DxcN,Rr(xx
U"ID3x)-VLY33$rSxGQm\TdgS.M%06^8YkD.?XY&)vJd]o5Ih'y92tk09)ATg^:tZ
U"c^O-bH2r('A([&yv#Ka^O1:=d.'Sz?N+;x_P)Mo6/se#eI7\q'W-5K'ozt0O-]g
U"=TOk4+E)C'/T.m'XPgsGp_nS.vZ6y-k2oj(Xmdk;i-RP9:5nHIWWAdqAd<L-n.-
U"RK<N7JDi59r[1qdh^xxzllN61s)KNDwosD-;J#')yL;BtyMe6IP#+G[B0Vz7:3l
U"J)>1I%T)Nmkp&2Bd9J:kcJW8(*AMk85R5kJf?6Pdld+;xaHz(0IcGeP&1lf=e8>
U"o6o*+62J8i6D&_XLOt+t2qfndo[k.)>&WU]G%9yASI6As[ws79lsN5anTb6+.7u
U"py-O8:u&4>uNtvbs0L'y9z$4598::_G&KnG]sjf0ArLo-(<;.*xkpN.9BHh70x#
U"-UOBuE9Wms2d85>6]nIho1(Hh8I-x&%ez3fa_+0himzcN^+p)Br;C(l'edlJ4:_
U"p::B>wDP2jZC1pIG_s/m1G\-ecPxbtK>T?a_K[mtkOvJAd,q*Yk*d6rTk8?m'3^
U"b_OTNo'/8coHDUI]KmMuQx9_Tk&tA$vy%6ePVm*XR\_aJZ=2PA*_6<H-)%Rl(vr
U"*T[%zMBItcUPf84)S[7U0Tz?/i>QmU-)8'l]P0AKt4=MmDk-YAqtq7=:imSEMzJ
U"4kE+4eIV(0,.EX8*obbpvXb/WP2_Y-wa>Ii.*=wGh:Tk+]X)$O/?$#wuA.z0)Ni
U"2RC^13Ak$k33#dHrJ+(QVL/[fsD'1?Kk27Whi'8u>N[J0CBsw0WPP5&$%yST_/^
U"YH;q828cT[wEL:k-#&yOxVOY5:?>+:p::YHLh;raPWpCF';Us$OFk27ygK1OOXf
U"3aw.5O)^)&w=^b,(=X#Ed=1'7GezTYhN19'uNgm/'v$q:lKoN-K8B9\oRb5y21*
U"XiJca\39/?$DO/^Ubo=znWV_D'2w*)Keg[LVC1Ld0(>#&S*Pf8+JMe?tBI]FM.s
U"T;V=+SeE\gAE6:A8^<6iH>)t1jJc=]OT-UI^?BrbE2Ui3XiuUQlb.TzV[[\?si_
U"/HX?d1b6]MCr/chzHX>)402SSIzXzC9Z'hPubgr&.[MgmXXv4A,Vxth+p3]71rt
U"+^Su:kGJiWgJ4]T1[j6<oc83?[L5Yd1OS(&2O/#&ST='%UrF\,2jZ)U=95O2w2p
U"az;PzrsAU<Aqaa^F>_gy0vIXHQVfa&^pN2'f%'89Bmzde:k*dh4DvfsTm(sPD40
U"hVnA6*rW>+#MCz,iPTO0J[y1cimipd,JsoULzroN.8=22R[kbjW9WnDh3HgN$uf
U"3I5JHD+VeF<'DpiP8_4]z*(u'PM9]P)x,7irM$bTOm;[LTl,z?q)c#&cnJyBgbb
U".SLecO*^2W*KX4<Ew_1jhHdlJtgxyb[mxdFy(>U5/jz%)d\O2EIB&8l^NOkorOj
U"Mo$'K.iF\LTeCkm\01Fowe(Tf8:6ru/Re:&i7T972=H&+?RHhxeZ'b5:Z3YNl*r
U"rZBr1Bh_j<i:)hpHuh/*32$7kvH>h)xkP\t:X=A9bwIO>MIPOxPQf.VrG\ivn^M
U"6_?PZ#>&k[U>)''>O67u8-Wgm8kO_Y>vb,N>:/s')vYfO+>tjD+*I&lt6X>0Ld?
U"c/Znd3%Oo'NX=vAuhh[Yi7nv:nFY\Oi]i6/&/%Z&ekSpuF8NNKd,Hc)*+0cIAo9
U"J:3+(bZUOQ_lJipv-X.t78XUO]k+G&P;1J113mH,-E#n$*c?4J-V]SADzq=Hh:?
U"('GT83#[\_e(\v3:^o7nK+o>wVJ8%c[%Yt[w#hUegYa5*6qO<,wc0ruKdmaf95k
U"^/N)URhDllAjpnub:05u9xli<#l><Mlt^X]09+ln\//h:*e.*dI\QG\R0vX[5cO
U"g3P=F<B?Z_K4hFiG$h;jKF,J2GJ]_%')\#^sG(/d$R_v3GLC?c30#BhOP]Fzhd,
U"\W,lE5RcOiatNWk?+:AFg1rbTX[EfBnkn,,k:/*C>.li$wj:L_i6*H3E&9k%Li4
U"7'g2nc/]iZQA0kO6,AC9I(2ciZW99ljGXLtzxmRkit0ps&B/EONfHZK$Bn0s7YQ
U"Z-J_kALP#YdS4XCL2\7T,IuSJ6X_5AJ9HAW+_p\E4u2jsnWbH4Fe[LNbVy%Aw*o
U"UQuKxS2_kZTEaN.[OdC^OIdGWrffU(PPwW\hU-s,g-4SVL4\$lFYr9L*l<DM/rF
U"o\T0W(3^u0fHt48+RHuTuTFwBa^4s7CS#NfIbQZatGPVlm4v0^+NcJIE5>Dn;mk
U"p#BVc$=NnI\ra;]'$ZxWS(HO9<x&TPjN6TaEtpSi&\+;xBc\NhZj0U*-^U%h[4X
U"[LK=bmGe<^<2h+jwoOhZ2j%hpJ-f^\'4A=;g.Gb[]2BE->jGIAuDeYHQ2XQATI%
U">/Rtg^>qpJw$\<ahZ%lW?6eS\sAl3NXCQ6%&--m=U'&9SB/o*gx&o\3-R3_Z/LR
U"9VA>isM2+]O'O\Tzk#elH:a+'B3;3e;=4cho#6)Eb(WjL'2f1G)'8Ve]F#.ulUh
U"-)ArfaAps%8wd%t6\;WmqpB7D>ulZR,j3A5\kfgF;+]FahJ9IoG3:kB.pQ836=,
U"uSK)1#q1rgI'sLL$Nf%E'9cH9?H8#r:A2xTpHR\K]1ADk1NM4HFQV*5V**WQ2E4
U"4<Q5U,SF/$T640R0mYIED*='be<fQZGIn5$'Vl]?/<Tvmkfbj0.$V1]?eC5J<)S
U";69,W(rinCEJp4p7:;zre[IA9k#8=Mq[HqzdY;lO?7mL/(l$S_hj]=$uI7RV'at
U"6y%;ZS-XEi$6TKZnt''$R[Kf[)KaX_=Q?3M#)5iuR6G55/B(;xe$ce\%k)%'4kG
U"I9lt2LA?Nf=UT_j=KT]L6YTnR5G'a0%7MC<t:hR9?72ZE%]?3P$g9A=QNfQ<;fY
U"Td1%*/x*l]h&qyVlV>h^G](yoiIn[F_I5d90k5Xv#)&0i5t5>goxARWf_\l>;1+
U"q>qy4]*Q-cOEAWW:ojQ<<*DLRg>1rF*U>#'9A9sSyZ5D/$>gxA5b3<0ZcP9^],U
U"AO2ENh)r$21cSH'nMzxVFJF*1fj[equr#>=$f]\J8>(lrRWdDTvQe0znlwAzK+l
U"m<caLel/l_l*or/DW[hN%MoBQ.,RBW=]t#e&&#d/^'ptQwX5PH<IPX.'*2eUYvJ
U"iOQOwuhxll+cxx''qbFIY*f8<i*L)23(B>=SAQOr-MFrelKnw;fhJOx]lXVqb.C
U"]'lr5SxHwObd?6.>=RX=mBVJGD]u%BA,iYf%&CkMs0stxm^W$LwJC7R(1_o;apd
U"e\1gjQ)vo_6j-Y/lb4l6/d\qZ#vt/>?Zlk#v/Ajmh0rpV$6G=BJ\1+\lK8Ti8lq
U"d[4lm>Re>=2QL42>HRwagD??T/_ZBAO>.9N$)BG,nQ>x-R9Q=Q81$'Sq[&*kWd*
U"[j9n])<Dl7]gbn2+jhYe3)>Ig3C]lY*NL_j#uI?HWI2C'EZF-uZRgsIg:'ufrgX
U"'5025b'V,*/4'z)7&D>rKQs#Ft^k6<:Kna'[KaDFPV=:Pb2+&(3s/^]%aFviq+B
U"ZG?6NLM1ccaBjjQwT]XJpv^r%bx8F_p]M)o,<3<U3^RIZVaII-*[[$3,>U?p)^0
U"t4[4TGNssYPA8Z1UOb/#T\;gDFg[.7mE/X&j04$j=SpdiU*-Y8Z1qK]lRu,d%/>
U"L)nqd:D/PMpd,CJ1s*'Y[81:TJC-nwEs))WUIfb4j*V'IK32mL((W>q7>qg0B=d
U"i_h6U5?1ZWFvO-**$&%L]?,b^pC0MN_K=*eJ?C-cE0m/jTJ*P8qLG9R&Nx8s79P
U".SwO)r[rUtd%C9YZX$V*=Hm4(#7&MMdUD^*T'B)$5:JZ=PGJ/fc.#E_\QMe70:A
U"Ve[y\*CD(5'c\$Z[$\b%aK$_%M$*HLv?:[9#4.QxY5$u.hg-$)=H+G%jW7+pdJT
U"Y$=qn\1UgZ/'72aqO2X^H/b)Y*t_e2(2G$,Q^1<Qj^c4*7HtGs,q.]Zl5JO?pN6
U"llBB1gJ3IYA-i6%_6YH6X%<mlcZp&B'Awtg'MV$hQ82#o7?^i9KY5.D'7\7Rr2g
U"9i/%G#kI:)ALa^-#Jn4h%>N5Z:Z8&GhAT)sj>-9b);i3bbw%hq9=I'q;7Mt_u&$
U"iG>=^bU8pnQ39Xo]+G&t.w^h7UpD9ZjUAQMf_Q#&oVuJ[F\_8'e-3V\<t;g]d;]
U"B;#7%#O.r7/UZp9fcOHo.]FwTig0X6_+03WqEg]n\E?9C+[g#p)a8*;?/tpvW_?
U"&4p;]fxKaqKoiQVo6q1CmNWv1MD)HN;'9$9XVoO)fpWbqF9>)>K:J'Aa&>MLOoJ
U"OQlMd:r>n:?j>JeI*1>RuFY5FyFH_)CLWF3^V02p,dw0u9)\8>'%uAG5]MzGPDe
U"Wa)O2E#v</R;GE#B[BcZ&D-HEhQ:4kD+o_BR*trAJHW-25bjq%6bcIw0eVK4t#&
U"u\6,%m6v2YS,g^2ol>jI#._2r1nSigf?f,#QFPA+44%18LEJ_FYqvFBB$&uhJ6b
U"GE(5'i$r#s2j0/L?8.qhP^q/MYGbgn]\fFf,T\Vr8Q/WLU;W1C%6DITB)C(>37[
U"lq'aTT,(4WL0u^R,r225u^N*n*o1bU1M+U0=zLyg.HJp%YU%*CBsle=DT'^5cJk
U"Ha2s55%T,H0%aDzf?X^)C&H*Dy7B8mP:[gX5HV<3Lu$,m6Qf<jBe-UF?'D%8XCL
U"hQXd&H?an5HT8Z\n?2A_>vle0g8-N]MUwHY5.TF6pmx/:':C+q%NSU'ww89g',(
U"7B<B9=:V92:uP,K6oME'5o*&I/r-<30P'<6)uV(+DigL\GgA$G$,eX;.[r0T+e:
U"qV/$%SN?fdl>+#FbMOrl]ImVlCo]J/V)VGFJK3i/JEe&cg-Uvb9;P\o/G[lQR>6
U"1E=Ie,(O)REOYs-l<T%MQCI:V]S*UW%ZYpI3K)6jY*auFR2jxEk1R)c5?/s\b07
U"b(<\8AN:nOH%(\v)R)E4EdEr*1&,/63*9__+_W6>BK5Uy;f]'J*7Bk,sd$1W%Fr
U"aGdHZIC+;>S4:ea*VEf8bF_NR5/P\03%+g^g&u>pDt2=$-^.9V#pPYE/8F,II8$
U"*O[1Ma(YUJ/-huE%Kj/es(uSh[QG-=%cL.8r:_Q_^lefaFbgW11C_)l711>ER('
U"KeU\(%i%8yomLJXus8aXk^uIb;2+%^TN.hF66D1ZT\WX$iWLj;_N[AIDTUlxEP=
U"3/#Ps0t%;U9e9?2YS;KNe?pk&ciko1qpxje1i=x84*'5h,&o).P[ti+H1kzVMiS
U">Tmw=%#uK(?+gGHXF1i-)IEKRD1_Pl&#R7m#XEj)cXdmAuW#u_\[bq&?aw>Z$(\
U"GOFQ.=,x(G=(\\lRat0_;tCn/i;9]?CqHafWe0:hJHShib0Z+4_\I#Hn;wih%g)
U"W8h)IV_*FVFhDgmVs[+[VcX?co23Scde)S&$BqFn9FNGy.]Z$F(zpB7Z*vrGA;d
U"WY5?Y'hDn#58U1$fgi-y>&Lm0#h;N6Hm3%k(o2nLo]BLnqz%Ed0YAG5ms&_-Q?7
U";VR>\>RLO[/=p$]GSp0cRACZud5/JE%F,Y3#l^OF&J>Y8(=fHiJGX/$3f=[LFQJ
U"3n8%<4O9'-_AvU7SRRq[#hw:?)8o>2gGE-(U,BwhKK-(tzI^R)u/>r>i3_BbVb[
U"kXm.1T3/fZPsx:1b,&SVeggMPD$\W$7GccDfM$KH,;3I+K\]?Q+E%HW?L-,To%k
U"C[IQ%#BS6s-a9(.UI_J&8,PQJQZTS:7<t/qAGv?)7dVS-9XupBlD60#k>pb%:/u
U"b=d*=9?(<V)pL;cC2nM(fa8I;Fw(>x3nR[+dFH_RMt(K%q[f5+PBd<[4XICq_S'
U"E&q#98nttgS?B1;itV>r]f%Cp7sS,Y,BxYLBkC*6T-d,DefJH&,Sh3==I2.]&o(
U"Ler6i1EglT]$nG2RqjNu#tNu(Z)VttA\Z2Kgui''xOoS$0j<GW[A</fZ9jJ#C2)
U"$3G=lY?+CR^1K_/5BR%&Q274&I+1'd>1B6tO3g=8l96R0Uk='YSmPbHvNqInA50
U"r1)Y+r,LL0SVY-3?A1.=):mADF\3,*;[\$3b9q1SY/l9mJoEQc\v1:eEUCg9R7w
U"m5[j&Bg6t0G9X_+Ig,],EYVWxbPh9bIBOdeOmGZ<Oq52QSHaaRpu2sON[^unBW#
U"/mT^UTIvfDC7*/Lk[$oGHW_m)Q+YLIvJUI]YWa']>*rF0ek2yC8jtw7a5ljNQ'R
U"In1^-CD8#Wc=n^Z5#pj[og9[kd7&EYukn_enSh1w?J7ypM<im.q]JNf*--B7+)?
U";Q9N'OdD844>HF)KVH5f99Ya+Q6._aQX.+9V29Rv5^W-N;qfg)5WK^>kJ,^PG+h
U"#O)B5B]pX\B=M5v#Vu0*A2Q*SEe4x[BS82q(aO*Ij[9T0%zYeu/kHZ'ir8GdC/,
U"B[m+\0=o.^W5M^SgXI$eJJKC'>0m8%X]k,#_1X8)($Ej_KY.[rD;]:[QBFreW((
U"VW]7H5Sy]+*REQuM:Y7^Ecc#\bQsZp7YfJEk/I;VZTthA+<(ZbtIa[_j2P.4P:_
U"V+23zO\wg=EMkczX'oyj<D)da8-v4C#ltFROuZJTol4pl\ugBbRPH(N#tHnZs>r
U"s?l7&+&'*;k(kFmQA=FR-ngp&;B->vK'0<TLm[Fq2]_hU#HI1%/'Si&1/JY/=-v
U"_7d)9BwA\JKRnA4&_p&zV6j9zV'P/SFql&%'4,G1:Y_g0.NLk.Mi=_?CIve705f
U"F]bk<o3ADDe)^5QVS\8r[/RC7,O9/wL#Fq%6S8k+)us)BD6(Kq)aB=B%NDVDE[8
U"<wp,VP.oxSch:cV9QC/1&x[ruYfA>Z9A4?2U(95eSx:TCLjJmt*X1gg-tEi&qJs
U"f&B&;u7;/S1KEL/dB>N6*'M)2f;B6gH59Z=*#WABC>q?fQngd82uZiamO7?J;I$
U"HIS7+'2p*A4J;B5HB-Ckm$R*a:xCqHb*P8iqiSPI%OCM_Zn;uZ:ZDH8:lLB(O%<
U"MmCJLuOpi&]A^RD43FX4H84LCA*;>JK'8o$Z3Gk(7yC>:j]4<8QG^?nkh231+et
U"&.jVHBV(h(wM+1;\&B?go0O,&5v>#W;yI,rxF3mwG_L8NM/+rE*plp%pxP,k$6X
U"ce4^^QLVl99eK.kUgSxY#jckr'Ig=#CJOYoM8a/qd;(fNQP<Qtc)maTA/SY7lwk
U"VCmq,=1$'I%JXC;-XCw[zVgN.qp%[HsF7Z.(<3VobgeLZpBJWLCDR.A'SMepNQ,
U"2P&[RuVr[8mIK#f6aZb<rLlqOMJV=1TgZH'[RmtIOEmN%d2Cp/a'-6i%K-r)(3*
U")dK[4'o<&aY(v9.>MK4Z=lg<xbB5y:NnQ_y,eIhH?OKVP,qg:YVGGJ<HoTL,rO?
U"EB:'w[ugMO9$];wrY<vV',;T-%+oM9KMh%1O;d'm6,GH90kW[8G%JeBj^aBDvBR
U"GQWljtn-Y><>#SMKK9I.cs2<J?kcGbxaJEIm5*8.q2r<pW(O4c.#f3rANjO&683
U"=s;mF=CBg8E<HpfS0PlQwcB%^paaD.Y8%;vH-b:wr/(C6D>pm:%R?&f)R4uv?>1
U"W=O-#OfiTsV3^UR^7J<Y=>e&k(.ZhPk?OPIl8WC\o8,'Q&9V<6'fPuP4TC<K;;h
U"Hwt15ucM,?BoHY713IP$Zl\.=6FY?/i^I?A[nsB]ajC9WahPl'O$S1DcoM0(o\J
U"bhm38h8f?pG&c4k7ech0w+E67'G]Nwv)Y=22pd-.*i+2bXgZn)O>=&TE,#V?[F)
U"B;*0KRsk#GU6bs^^P3/.wGfvN=hd1PAIo3q&c]&>DE2X'5J8WA(xvwCGjmSb4A$
U"xOC%bi\PybfghX#xg$]78,LU_4JV*,VXe=m3:Fd8w%FU_.%4%YJ7-,CQo,'Iano
U"u1>AS(cAFz:>4eG..Z9JY(-Fyaa(L[kO8k8%[-)QF3S15#F;3#jA?)T:lY&E3wm
U"LOqSc)A.R7Y*U('bYMOT+n6w^*?z=yReVf6/gawwP0,Z-<4J=w$&X^l4jkb?utw
U"tV3hh>2$v,30?xV_+pKdSU2Gifx[7R;WD1_S9Q8V<kG.,k^VL^*Gcvb1Ac)Vb6i
U"a>tnqKeX$2Dp7(T>LYqJgdxH#0*Vxm9yC+Ckef1LNs7GNqitg1E5Xt:Bt-?'<iu
U"A8uws2FpvscDM:\INFEjf5e8E=8S_0cTmV<rQ5tU89sOqMCOEsIFRJLo\-^Y*M0
U"Y<5]Z%ND#M^i_HR]*>MtBAgPU7A3Eiiw\lJ50DlmlL49Lv:J&X.<,RM^a,%18T<
U"h)Kj&Nl%%Dh3TK202FsVoE0KZ<a:>Q8+-3SKYjQmphjQ86,$Lws$8RUpmX3x_m)
U"'A?hwndcw\dqcpH&qcPN%>c0=YwY&wsFm&nbJp_OmraP[OxKk42Wj]wQ8s70QV3
U".,U'['=x?gy]SkNph,5>00x/GgBVL[?ET1L1_IztCw(ZKX-_IQvN(ufZ/NK$QT\
U"<4dZ^]&U1bHdxFl'mIrrrX0xhnWR.7Kor(tkSfTe.crPD=s\WuP4TxRd[4..gTl
U"?en_&/R6lEqNxt\vbDjdxjijytLa6-ovTcZl5[tn7ujj4e.7kKrvns5x^D>n8u#
U"otXt\j<?Njp#N?T?iv$Tlq].q\F-6hq#Wx/71vbLhC_0P-Y[0bcsD<50u(d1rtk
U"%-m1]egihT^Zddvnx9XdAsu\Pxwp(duLqf7CMjoDO<b-x0n5cv$k7)S;TQje^.0
U"M6WzDaOhqdU9qanl[L3;mH>wtAXp%5JTf,^#ypdS=o&s^zpw],Lsg=8wg$yR:s%
U"uMmVi#mLyIoe&Aq=GjMZwNQVb]CmM(*+h[mdDP7.9RZ:#^.<PKYh2]:4BJ'O=D=
U"oZOcNBU+'2FR-n);wbf>Qz]kTBOeRNu([V#^_Q-jsVb#6:NK>qJ/'+_5;z_Sl*K
U"1kDIF=^A\^-bah0A+qN<n/G^\s/T#_K?c3*^3tYWKs.;+ULveqNT>F'._Rt\LOg
U"0>3c[9hZ7G-wNwUy6>%.qRUKdF\(,J)gs*W$&YE=X7m$z:A4f92i[b4)I-dl$lM
U"*8Ob/d4Y>Kw)N:;dA_:^.&EfIEU_DCUPLoCi<N1/8$;PAaI)wFw_zw#u5>oJ7IX
U"z*J;6C$+')j0uNWIVDX;12k%D\Wxkg%(%qWN^.2:8^f)IcDDg\_#Mlu&ldJkSPG
U"MgIbtCz(2'9F\/)-4Flw&$$Fu/J#j3Ks+R_P]zMtsaQE=N7]CM'=*FMnNqdC324
U"]T7E8?P+%FSSaA?%?:__<bn);gi6mD[=9z&Rg78I?Tg-=N^(<;M4h53NQ:_Yed-
U"kXet]]7JTsDo*&a+*&w/XgCMaHSCgUdG=1so)iBga23Ca(5W1$Cp/JvxUb<g7CI
U"o#S5R)O%n_2)+F:NecnGOl5%Rt-Nz>b6Ky)/[r]'xB<Vn(\t*#.xK:T2TMOF]BL
U"v'f.i,^RM-Nu9]-+(Z'glQb1.%cf._&M5nPT:glGq7i3qMcn4yUfKEwe41u_sek
U")hB(49s,gL:_Z(bI*S2NGu]kZPe=7;l;qF&,nLLs4(yaf8d;ZhhZ:X07KCl0sB)
U"u>-E%BGUJ#/D.*a*&shGQm3)<tHb1g8,mPVAB9u*2K32fqzo('SMIb3/,Z)N:bg
U"pQ6.8u2rB>PmG.vYqAD(uJ0-yEghuHU/_h9>g8Tp1,HT:8<%LLZ[e=6&b^RfE7r
U"7Kx9[i$9wER0GTDC2PR=X_1XjPDUg\3'C%,r2Da>V?/8JsH8uB'wuqL75W-sr]a
U"f[8_r4uY[aUIj1de[DVzUuofH5,tDkLLB]ymKBQRdbP)Wi^v='VE#o$n/Uip8Rv
U"%h[lP#2lp'Tpw)]]NR_67no7oUOVe&?+#rsPJf$hS.YEKkI$4<)OS.gsZLu+pYs
U"+#ko9M$n/e[gS5=P&E6hP%'3-OVNe5bb6;u&9g6E9DuaHkrh83CI[hvHM28%Yyj
U"4vp>+mx09s:Fkp:Kp6eHj#5Fi[Wgd,Q%>&E,b0_I;qdoyfm'%5XGDe+L02Ep<;k
U"^*cF=>e7O2dVlu.=hKI[]oTJ&czSpdnN=vT5'jc0v-L,\$uQGG'LuSOWAB'e_h-
U"eFN9%G^BlSpD0lNh-^hiV3QBC=-_vRN,M>*F1IxC8\90?BCEOYgGtm1\0,Ovus4
U"^wtVYtA*ZJp:N\<FNX%G0yM]1-gSR\lJX%dKR-(h=nRTrs**hTaf)mmCN=>S:s&
END SUB
SUB V5
U"Yi&*M$1cuC9D7,(DMb*0C9w_chIp^5Sr$%nJ0Th-]<#ro4HLZJDMfdQ,MdjUsvC
U"mqN5<40NNe[A1weSgdWI'm1ii-6rrS_)k;\&^9C_d5&v91xg_74=5k[#]X$09f)
U"YK',ug6.]gcT6Wj]6_8).8%jpfdU\2vOC4gr$y^CU+QY/$wCSbk^JtOFV%F$AGl
U"^$JZa=:pvSVf8vpTYv:D>Y^eoh^D'OD_A)kRWB%n#eH8,L)t4.$Gk/z*D$qgQmF
U"z*UClC0k)vqN6B2p#S[?.tm'k(r:Uni((.h=r:((#hV8u0t]9(f]t]Tmq3D&V%z
U"&u)jO.,nQi$>z9Mhx+,\+]/a40An*s>5ui9g/k*-*.Q:fPgN2b_s)#=LwQoKD(8
U"CuR=m6Yn[]Qd1-AaX>t]j3nh^KPhhc/6l$QTd^zKn3ksAb*AC\vzYzSLbg]b^&_
U"W[L^If^T*,ujP1BG9+g).veYa'rMnVn$-$E+PNVdUeB47s.7Ac4T:,W%mslV>Tt
U":W,FW8MFT3*tdqC+*a)XZ(DdA2%5)[1'_=yhIS^IpA'Svs.FTlC,'a2si0.94g+
U"KoS##hTf'Cw*y74F(x]CA6xSG(nZ0BB&M9UZnI+qV$G\N\m*/O&.ADJJ_nMUAe-
U"5GxlG1EUZ]677rHDE#?aEUg#z?$f;,M^D631^?K;r0rvs_)hbR#x^nXe]OvR'ZN
U"xqB+lG,A5apB&99yOC+BfQu+N.U.7?a^N9'$*3pPQ7TJ^V6'8Se,E=I<vKjg+[h
U"UOcHhwV0:HPD'c:'s)I4Y>IvjoGD]C2o3Q0u#)%Dx.e:UeP]sg/0#]\AYhXL'em
U"iY^4%SW'Kw=,Uv_*b[D4OA=f2'8ZVO;OSFa'Yi)RS[UW.ZRv*'Q/($Zj,l0eEGr
U"K>D55\/G.o*<vApJ*V]OHR76VLEN6?iqL#9fHPXj$q:>'Ocfd3(B]Ls\r<CMr2R
U"MX<UrA7Ik$Di,Z[#Fg-0Kv%%2JRj4pZDZowJINsEmxt/>\nH&A5*cOl%C3pp,RW
U"eJJQ\M,XN?tyUyKFY3cutgo%9Po:vZnVmzN+Q8%QV)cI(J;^.>x[L*[j6iZ*']5
U"]p:g+9E*5T>GZWigT/>&e)x;*VRvIh2H'fOZUXIhvO*X].gcOW.3H1)yqGmP>,:
U":Ae2(m.U;yRf,P\+91lE'f-+0e4E^65cJJ9'>T74Wi;If*ZU^.Atq8W.s102g\K
U"W..i'Ku?bI9mp.r4X-O_JEKL46SYZg)MH/yKqC5100FkE%#i:cEpb^TK3KbCu[A
U"V/>V8+A;6T$TAk*\JLN:dH-8o4?-05O;=DlOzkoDZ/3+NJoRlmNmG>cMRhQcI#i
U"p&q_=Lm\Q4Ekb0Z?q>rq'lR[WeDQ1(T%$mgfn\1[wR.zqjKoY]Tj5,Z3C6m/-j-
U"<uOOYOi;b)y4b$[)S5Vj6&W.hd48)RCF_osA_Cu&5nOTaZOKBWtLdIA:n.O3Z:b
U"ph[qY-M#D7X#c/Yt&.nM4IMk-Gh\)*.X5[VE.4sv1jb'r9nYyi?tTAT?&#'BgF5
U"d?JsGqCIt7=.:T],:T9_k5/0#vgB$T*1Qpd8XB.7/YPV[^Dit&+VoNOY):(qdFB
U"5UlkUQS'==2hKmYLg%eu.f>E9QK<P,j_[HWkwcpZqem9Y-K<:hkgeCg6hK8u*5%
U"ACRIobXts'j*/(t7tQ&wS<&\sD:Vw/6K?.CuQf#]d)F>#+<STzxXD$(^aRph*9d
U"5zB+#):?Z[R,'C]A82EMbzHR937aiO-p[tL6^w^6qvb);QO=[T,3K:eD7FO)P\R
U"[m)P/3i($S3P3MuMuWSJO$'lZ$mDV'uNNDO*>>5UO2)qR,Y6-'7eKebedC*V=3)
U"X<ZE]ut_DeA9k:5p-Qu=)9WC;9v$)gbYahY('$LRwI/tb>v9^?rh5H-X<teL6k]
U"f^h8GPfP$,I__^RpjjG5ZUB_E6pYKfHqO00dpP&J^tJTp1HNG;JS4[QgYbpuB>F
U"kM]+Yba/W3Q01^mVJ*o<i?#soq^/MRnwsI%1KT:=(*l&pG1kz>3aci$3L,T^41<
U"We\hog:nMsb_eDe:?$5Ys1RRU^m0c;e3U&hbu1GcA>/<4oV54PcAC1t\:?1VCwu
U"12TwPsp1#kT5VQ5=O^:Np]=/N^nDbB2b&h8D8[YReB$jk[p=U*2X5V3K:UV#JdR
U"_&H./=AP$9rIAX[]BR1E'Cy(K=asVZ19W*-1w$=yO'W14XPs[1<kG]%[E\A%KhG
U"FeUh-1j74*3;Ydj?sEIw'?6>tZ_w&a[ahISep%/AW[9S]>WE,FBv2VA4n_A8,%h
U"f)/+R[]5qi\u+l#Z(2k)^#3k%jC1gNI1Y:;3y%2sfCm4QO\[Cp<Km=f95,+]=I=
U"?IZR53sQ5R18LMB\F1Vj\+Uo.-re&Q?Tby_VVxKKY:t/4e#_ZH1,BT?.%+kOR*T
U"tF-/1m?Q)vjIa&t/U9*[c;\wWEZGoxP7.gU/-NkR]d>meU),,w\E)w]Vm)l6Mp<
U"?Ib<FO0yeH^V1,km<h0(/,xZMo&C;*8'\+xv0_d3&[0,\5*?rY.ZBmI[=8,E9/=
U";AIM/T<6CyJgu'OR6xUS*d5I*SU=7am;AiwcTF#B=[9(U2;6B(Mc%\2</O8k\qv
U"RWTaGJ5/;Y(OuZtoZhHttLTY,UZF<]ih3LeIF6OQVm8Y(Mdai+#m)/p+XT%I=Gh
U"s3U&FH>)XE&u#,n_r2mNprjl=IV]Gr3$-vBu*He*:bPk#woCx9i(B.+0mPmWKVw
U";Ws_b.E7Pma7z7=eHL88n$w+Yv^d:nN5m4k9>6AW/CwZg=3<WoQns6aKi(bHI<^
U"N9Uhj4lL(xWMh\JI/$Uo;&Aca8G7pm#/=0iGB5:oMNq[2t2_I(jS_f#-#4Mu7iU
U"[7?%eEIpkzK*8VFJtpx$\_5]/:eVu$T#/]j&R[z]CJSU?BmY[LE>$vC0/iAXt(T
U"HT:l>rH%?%hF93WGx(MZp^U.0iI()HL1\*rlqJy;vB3pPGisGY%/L9;eYqh)45I
U"CiYPJ>(R4=ffCj=GFoQma0^^Qd;E*&R+g8Aoi+6A<*9gi7bZ7/kd,f8-Bk\[pKX
U";$mJbDjwDX>axaK5Dd%eOZHt'qWhVn&64K15$-2PgM\9R.UtF7yGt86u]jUnPTf
U"e?c&gz'+K.48m[yr(=-ULx*-%^2FM^(lt<.Kw*AJNZWF1tVCgRWX&/e<ImquM4p
U"H^#yeAtJ9_A_2y(Q\7a:%-tiAtM#7x6wt.fhKpOx^oq:,9Ta^?#R4Af?34KgR%k
U"TSZPfwK65;_=Wlegu/puUR]dUPF4cH9%'g'(En\?Z([[WImnVfaR()DUea?uKb[
U"Z=WPQRAC=uQiOTCo&WgB]I2vE4X+/fM+:#P8rmQ#ZVYPT9eS%1In\qi70XnC3uo
U"V's(?Q*JxLL/td'\))&G-tu/MTJCYb>_1X#A9(rb8YGS5PV-s/2]gWV=s*>JX^J
U"RW2=bZ*7;Ip'Uj?CtSC5CPC-nw.Pr]((Xm_2^8I:KI4YKJ$VJ;#.#:6U*f7j7u#
U";m?qzgG6nh[3q':R/yN%hTYxWXw\9frdr$'*xkFi\0K)5,USQ/dbs]W3S0e:r9g
U"mmKQOWUsC#7c2Ak3AqyB48QO4,t).X1wUJkcW6lqw\=e,5hnT1K<kHdg&PtXDSr
U"3;guX[kqiu#qL]r,1J40G2YaFPRMgmUg]P_FC*X\YmU08a%ODFej[nL^8.<Gef%
U"4?:%fel=_YlDWvvHe=Hx.toPE?ccVlRY[Lb?'DbbJ7;?TM8nG4mCG)bxBd#<L^j
U"Ql;Xus3113fwhI'm<RO)3esb1LPd;kpIpMDe:pZ06UJkm,bxN;#K9(1&BV6BdWp
U"%dJzJG3Gz1P;LTS<)BCY.Ri(ze34F=X]n'Orus-6Foa:Hs<m(psH'/&[it_wPTS
U"mAI6PswkYSYIR__n>4.:(M5zZ(fPcc2T'_:4eS;/HFQZk]yW-2H9_yUkL6ie&fm
U".L%(B75Ou[*w#X*sQMZTucwiSwyELY-jP8QCpggaWrU6oF)<.cQ=AW3:.br\sDb
U"QD8F:V;kGkKci96PJQxoUQNA3hZ7kE9grevIE%MI-8RGW/CU]7*0D<YfR;$Ao<p
U"QFq(52eIrbX<5?1lr.QL[q,iaYesE*e7#+/*A$.b/&El0s?$qt4%]9X.t?AzP)>
U"&tHPaCF.->FbEpZ)uXuI8^Jq&[,^YwChXiw=%1>nNjSEq/'zwfZT%[#&wyv/Z#V
U"cc:.Xu4VxP)M;edPD#kONQ,?':\-?AFx(VsMLhRhg42n9k.h,$&S:p-*h_[N&d-
U"APRHHTY[,32bXC)rfHiX.Cj<s-Kk.&;X6&f?5'ikslv+-%\6&Z(MjNg*06umpy#
U"%^pMOEK0)vrN;DQu2AB2#e^kcmW\U)T:J-B-_Y74+UB^]*OIANK2FFfa6e]GGbY
U"Fs(*oR7_g+$2.[MzHTJ=Sh-a)hvk[&5MMF5cGAoeYVAQMnN7$M/.NJ?qHFoH'aq
U"Q7qTyq.%DC7,Vkys%p0cb0VLKAZNe:K5oN:Ilu/N+P,8'(m3<pG[pvY\3j6uSda
U"'-PJcsu3)Ii_c;lRA)$cURIorHVICg&qm:Hk7JTt(y$^[ys:]UPMkS2b>*DsK0H
U"jOT$<o,]b4+W.7mdNX?$_Uq1&PT?YAl$D=MNVoJ%8qu]&\JE<(LG)Kq;Gb^_GO>
U"5NEA44+J&VKhslY0ZaApGT:xE4Yy59SPfv,HV&^)^LW7/*][*_mS).E6IpZ8P]L
U"$b=hz1Lc,fn-cR&5;O2=xgulLQzg(z\10BPqY#-VsxXh&J.P5Z>i]N6<=4b-8nG
U"GtEEWr^8Hr[f5CU&PUb>8^Lh7>(03,\x=O-]_uLhZO]JQr3op3.T#(-eOiSc5H*
U"Gj]aOk<9N_nwaAcz6lx\83Pcd39H+Ezl/qE.gm1I(JuBb.v$&I9lmM%8HNMO29?
U"Rew;c'v]]ID%\5PKu1c\lA2e6pBlW[_U-]*7dAXs>SqNdv$y.cdfB&HO(0b3Q%e
U"GuK0+fr%eB]W-),m>=gmXUTDwz:nLtvLTeEca]>?B;(#I]J)53,F8rTiA*Z1lH(
U"<vlg=s9fWYsOz5V*2])Y6$k1JbXhX0\J()2zC+PkpA)/5LYZ*(eX$pWs10ArJew
U"Yp\=[qj*n_KOs2zUKGQytgH1aMGQjun^cW1?Q>c:&jNJ'u=E2)G]qTfsdnM#^AW
U"rToMqjL*0L6o23\E:Lcy33;t_dMr(ucUZwUeM#gHxON=[+#7LJn/^AGM<6)x/,*
U"<*087Aeq:BjC.IYnu7&AX[MI$]3WZA4*TpuXVe;XS28dXy9=PK<?x9MN:(SV)JE
U"sSYrX?PwmDPn7j$ig1ueeV%+<ZRmTbRX:8Wp&Cjv0L2Yo2FLZsfVt2n*oL#:7#&
U"SPw0=UBAn'C,E'ZRsAJ<&<w2K:]Mmc(Fs&E%<x%m1_y[7\b1XAcEBD6e\(UM1M9
U".tX\a5F]\\8DZA)3PAk9nt$33]Y?HAofBrY[I;AbV;ABw;XY\n;FIvkQ8V3\cAg
U"#p(jIR29>BL4[sAZbkqUq9IIMNY.NeiCVibZKL'=Cu77wg-\nC?wJ$>oMD8hx$L
U"(pVy>NAj^B=+kR0#CVdPrQ?H#L/6v_Og+R5=a3FBe(S=]Nk&:2O0ctUZ05W/mM%
U"-+NrnLPsM-9DdhJy:PNfIB&;vTM'kPieaZCDLpkJ<p,/,;(f%Kd7G/T.>+m%//=
U"v0\K#.bA9+<1pnWuv?'kNG^&id2'6+EK:LuK7c5-&#cM+Xvi(Cu6__'1pC?RP0F
U"bpsS?-[qylH4qV$#oioxpZTO3-X&yLt%Qf;Z3-TZ-EFVDn\ZY]'1Rzvn]*8c#b<
U"t=XSO3^Fs>eQ1:?8q%wEae#;noDQa=ZN_E'(G-5J*^][a6ep,:tWe1\=9&0tfr^
U"%nn_]14.X5/^1lgkO;<*'5.J.)6BlMewK?LGSmg*d4VGD\<u$If4OO$.O%=$UCh
U"7,Yv%;7xW;aLVq88efGT5#IAc$$KdVq)$d/OazC6^mMv[p^7jr9RNWg?PkeF];f
U"2TFYq7ax]mrrEf]XaJaXSD;92%XY1YbRN'#.I-,^pwK'0%P/j=]q]*S'P*_MD(p
U"[V*=AJFuO9Z/]$EfI_36oO6hRGZ05Hh7LiT3YJE/\-6TW_9H6cjmp0MI0:'<qTY
U"+Ck3?S)bL#jEOexDPa:S&2W-=t;Kc_=eQ?rVGgI=SAJMJn&1<TS0&o&SqNj\L>U
U"^[p$,\eN*EVq;JtIk7>dq;JN_T)d^f\Mu]]_mXg#h[g_/g,=5K1x5\\=Q;O-XUU
U"(;Cj'miPMaK)%3:i7>z/K&O(U5n=K'I$/Fh%R%;BG\c-v9Sa<3O/RG_BCUlGX%&
U"=I't[Y9#1B^L0:b*GNf6F;^/)N^$d[J&=fFb=XQ#jqy8(+Vym4q]b^ID\O*<tIC
U";Sx<pBI9q+$C%&AMY#[IET$B[Bn['r.qh'dp[lXWBR:BtTg.C*W25\hk/MK3?rI
U"rt'c]tKBa9:dOQ5Vme4bg9)0b;?p->'c4^w4i*bswq255\#P=O56Or*ZG^K%EhR
U"#oMYiNcaX_gTZ>T7Jt9hYLBOQNQodb&E16SYH[fP:Gj?7(;ZWP(OnJ_]cpwtNow
U"-0Tz2nU=S8Jl.xR'hty:4/;\R%fBtDn&17XEd+F'n?oLEE[KV.:i(>P-uHW$qUA
U".XISydm)3h(6ppGVAErAWAEYWAYNtKxVkWqN%MeKpMg>*ZP3<]dtv6Txh8$Pj4P
U"rDZe\rvVxuS?,^NuuB[wVVW)N2.#zMlE46qGcPp?5Ur\huPr1LYsgu9eX[lXk;-
U"GilH*ETlN5AGVd,(.im#B^n03EJpiL7c]4Yt4rj>l>FH0-N\j4qxh-FfxnGyrnW
U"j>'8lGZf3r7K9HZ#PU&6r%qq$$oWUX1,EmdTxiXtOmaFrfxrlVee4y_)Dr8Omut
U"2KlBSErn7Cd?42:Ft+ve4H^4I*Xg32Z(IJ[W2V'H%c'S[nlkPqo'B9U,UaibM.s
U"TRJdylks,zx$qcwH>;ode8ssDxPx)>0mw=vfp<X:68sTaHxqfhFKZV.%4.n%5mD
U":/Jubpt+(.<o2O,:_JM,^dH0x[EP+v't4DSUmP9vUaL27oZLNcfc[,chv&F7J#D
U"T0Twi$2c=,KYqtXkW>r3-XOW$PNO(kZFt5lY+?i2^AW4Cu<f.-q-ctTT,qaE^_T
U"r0oAM6wl.5an+QHLo#_KVlvU4LjCzAdT#\ui75Gq2(EX;2D6fPM9+d80\h_BT^%
U")okRAf$c_+NPrarj7i=F#ZE*c.bZsql+zMRgi*z-)>6uE<M/m6yc-u;]qAKd:cX
U"TL;<V(Da\VyQ$lN6Hc&YcfruD'vv5,MK2=KqLosNlj>J4tacjw8x_/-c)^X71G$
U">BY/<iM2ns0RX#mWlK^TZXaf93.i.Ud[tjxmY(8/u&l-H6Ms8L/n[.u<?Qs4jWk
U":Y2pn%D9;(.tpgj*st9eB3C0<bPo0nN$<:r8PCj->YrC$Xg)G)ck=a\l.ioXk0E
U"0ybXu5HV0\=TXjDU\W[iK>$l4(k15D(oy<upTc)D_l$j1FMnju?)m*c%W_vcaf,
U"2<1Ax)W+jHs'ukp4VwpXF]D1Qg$E>[fO<Y4n*c&r8Q/PykY\hXU6u+]Tpp0sUFv
U"7MK\DY^ZnN717cYYDE<Q9.]&&Tf^NsuLC_xiNhFV7aLW8knsJP\.RPf]GK#\0TM
U"a(k(_q:6kToUoq>:p>SzlJHI1N)<.Oi$:6,;K>S^=e^hdZvo<JW-A]LsLljNX<I
U"ofs:mW_q^;3i]eO0#(<\To]NL06-=L7w\[wc?)\'gouumtc9f-n9r]>KthfF$wV
U"tMgN\*s.l?#pXnk<5)xi7)pAk&px,<HqB.ul5a60$z=8CayCi;yGMV^]8jI]+q#
U"?hfp:<6+tL*D;N*_Y.pi[k/iH0NXwMn9n?[\ZSKu*Zitc&5(rDNi&TBb;dxL,Xx
U"uE9NxVf>m:zrM1P=%dis=jEjoWHdsFK8%<'=iT.dbF1ptvu7Tm<XU?GF;4RCJvD
U"jkxMwlpTM8k;ei)NdjA(AGd^jK5-FemRX2ugOv4Qq\zrds&8cTu2[k=Wo4IS<HV
U"07YzNkaUiyCBi0(QBpa)uXRf%q<qM#[U<NhC1NFsn>1eKl.QWS=&6,$J]Lhlfz-
U"0mldQUrvn7bf7icA+3xlv<<AWNKGgj<6^(2m)E>:v.GuhY#Mlk'3?tue9KwQ+[m
U"F4J4s.;V4tWl\)z[e?Vb5U*D\%E^1/h>4HDcF^8H7a..xnJZa\iS?6[B?jc.XpD
U"nY_W*c\9P?#4TF#K[(/+&mVtWWGeVzMWu?.w55i7z#WQ>jtIR94WZ'H;DTrEzZ0
U"aL*xmgffh$7pAx>HCZ3z=J$Xd)<?dy,Ir^Q/-\nM#YQD2MJUuL;C1lHs-umDe9[
U">u31.MaqNLxVAa.Q]o1duwaO3aFZ3Y0c?^CS40?uLo_PnNBG[ID-au/pS5pcjti
U">_6K<eDm(BsohfRYb6N(OTbx$;(hiU+;J)'ueT,lk0At^J<F[LtLLEWVGO+T?,7
U"vcuwAjt*p<+[#dJ7/\E<caIGhq?w4#=be=<9'0fiD^/M?=bV-4<e'w.N1d[3stL
U"F:TpmmfE=jXts]$tyu3wivtlvH>Z5JcV&VS><N4#<B?kmb>^WXVj(-ktmc5Rk#U
U";ndxU>kHKda1b*aQthKNGuS4p[>;D0L^<ETuCl86l5H-^Z_-Z>YnU3-exD+3o_?
U"8'o_WxwZ3G6It>[fP9u/5DGm></n>AlNba8&9S2)HQ44a>?r'&;ic0$B>90HZ0N
U"_NKY,Po><i7hc$%x.a$WjL:a8>uu4q7(-M8n+s%lwLkxYGsT*F1,de,gfyDJ;F^
U"s>f[l0TthpA_**=^4.mv4pJph8U?u^($iB$9=8kl;ubwl%00kmiuics(\zj6rml
U"5956hq4*p(BU-h.%B%Y<mjVj&Hj='tTQ]Zh9X0Hx$\/cxJQkQFSzNkJ[3?lhd=\
U"/bUn]_i,=7YAFb2iIUt>d4FTwI?'P4?qDq<#)Q='Xu)Y/Of;QTq>oZ<#iS((skk
U"<Tj?xTh]udeCRd*D>7cu]0G2wLi,S7;>0dX[YtN=A4NJ=py]()qsnK/$hcP-b:e
U"LRcM?0Bm#Q]SKZ>+xDIQt&mF=DSt/X.xB[3v4WDQAsNMXB=cBVAN[#ujUvSENaT
U"7KwtH0utHl;eb>mU3i3VL[da>[BB6teYGk=&F5vr1SMwlvZ6iP'C(K9J=wCwPc-
U"kz*3/OMw$DnUD$xZ1lWPg_nq6k8A+axQ(]vTXJhN$$wR'XvF4VMN<Ixb&3p%'i8
U"]xOnGo3?iD5,:nv-MxG6=Sfv.5Ax&LSCffBpu>QwsK#wL=G+u7Emv*NK*VKBm_d
U"Y$U^TxO6Jx;slxx+vrx4'w<h2dd6opzpjMk-_XT,s+C5I:+=-t6A]uF/P[dN2w8
U"P9qTjtwn)K$d)zT8j9na8g8_$(N._<PxaT:m_(7rF6=+ZMtb,;MK&D2.rgTZjwZ
U"S]oRD0pTxvD_/ptmURZCnG&uI\;pNouojzSxplAhHQ^V.f2BNhaWWS:n?D0x+cK
U"wpk]eTvYeNvMv=z2nzsFmeLo#QgiAxptl9Yxh7o7'jxci5piuoQwihH\&batHsQ
U"RQo=^c^xe<stNmemM>7>ri(1$Qjd,?u6B&>B49)5bdHYvfDpp-5Os8s4>$s^K\d
U"6To#YVXhmN,F/hp><PlpVz;Q^$T]n^duLazo5VVgt*BQU1IWW$UMHxVGIr$)8%f
U"gpn_[U<XhBECPzEt6*/?mNmTJB\MIa#p<3Ys2ejXWc,[P&Z^m8WDF7stLC4Rz*<
U"o7dwAdr)yI1+K'Ij#[=jqOZtz%U:C/y=eYh-*m=z^?E'L9tv\+kF<%Oi51EuMd:
U"<8<YonN^DZpoN\in3F,KLM.Vj?.'PhXKC7<8_pfVCVVhqy.gWwT:136gnD]b4-g
U"soFV/V?&VGm2d2MNF=V,>'''tQd<1/aq4lNGf.W.YqLE&l1S?otJqT\Af;;=>b.
U"8TQ?1vvu[e0Q;U,4=/;CxLg+.lKjE%mGligAJG0^dRuovv_r_L1K4=[8Vh,a&I8
U">X5^Qk\2[q<&6eLN>u^hEtP8Y7,f3_uK2w,<2z;u'CR,P1osyGqrWPE7)SeuE&F
U"iqfeSH_i(QLuDn^rg6KRL+2NX'suT2VqA<e^+JKcr$0^&H2'#ZzlT8[w<7*G&(N
U".3F7p#D)fFBCv-RZdt$T3.QfsYp1*^ADEGw_k6jl\dQ?tR\\?fGJjEX>nMExls9
U"%YRTFg1f-va-EkJVnMv#$JhR/bZrSBWDer=Z#uE[9r?[4*XNlcE<pv^=TkbvQO_
U"0GSlzYNDfnkq=l#k\.'/nS;YZ#irqs*CQptuLDC+V\?N8+U>Xvk%cpa'nr3:3IY
U"OT7p?rth?J?v+zOdGt6BDo(LJh%N$fi+JpNDrj^*JL:Yiq-=xrDyr[=6su6G-vB
U"N'2HRS(8z<s/5H(z>Sfd><sO_RrmU_#i(.e%pLAJ(mE<sZX>^f8WjlvnGac_j$W
U"54]ttR>n$g>PgHh>O'.=FlNPJj4*&+p<D5sY>tsNn[l?mB1tt^[#)?(\D52G1?w
U"Q]Mdp,:8abdy<YkuVduGqZTD(.tSN^,.v-hc9H5i9qh_-_ENLXJuYKzHmmE'G=?
U"diIRhNMSbm,go6D&b\s+e8^bYcRVskR:NjUL);+^=OMG[6EeL#nOQR7K0KtN/eb
U"9,Z*),qbYfZZC4l^$&Qb12kl^%-a6a:xc4BAc.AAEgoRNI<NjPtQrx>ucD455>F
U"N$jK:A4q:n?]i<t,odws0at%*uB7GjLcnto</4o$]qVm&$--o^DUS0tM3qWWD:c
U"2G47905T,VDc3Xh*H7X6q;.bBj9?%<ZCFRO].iB<1'N$Emh&:Stwvk*cjT-lv(P
U"db?%X=?o;]LRNN#XKqt9>0Ar#b-[UF-UusDeZIm*cu04D1aQK;O0Z2TPC/3&-Pp
U"opLP^^N)*8WZO$0M)Bvcw0[x+d/1dLwZ3pxPcNNQ-1Z[jjeom^ShAN5,Bq>R>T*
U"\TB5:&OX<G^YT*;.Y.t:C;4z$Tv0B1YNE1VMHU^A<<;Ne_bNKfo<Qb/<we-XYDE
U"K\cID0OShjfsBo2Xrx.R5UuYBWn^AJMq()t3jpA=Wo5%tXtpVt_0>us:hX:ikj,
U"P_(D<-qhR$Turs#1-m9XExh<hjPbssgh:ZCFT9qdvR[V?_FM]OTV$Q4l*[*[(;R
U"PB[]>.F-UUrE%W1^%J_[rHCots05nA&t;qT+\tCd3TN,n[/Z$U6G&N]5#6YSEbn
U"3*98dcba?Ta&<?LLcpCMq%X-q*Wd:+4qT#WI6Y/s(cJOde_,yk4*]/D0a'vD0Ee
U"n:gX5>mVGHa#GVaKvyYu\J^tQhmy8l?RP=DF6db=IE(TEp]S(^MNzpBZ7w3i^I>
U"0UveBlJ,lM<s$01wlkvF,;omp_hZn()ZEa06ZipHqf.uYn^TzD2VaA4?pc$uvZ^
U"I,AYn4.HM\g.>pzEHr]wHfuO-E6$R<;_L6I\8fWSK*N%;DtA-x+/$rxv>r0l.t0
U"iXKBS,Mjp0^cBAsLfaMtqw.f#l8>%xbOKJl?Za#tjvV.6hMUErbD2nkilA-xsyo
U"n\6X7%.qIzmvDFc$M=(ko0lA(aD3P&pGohufI,<7&;ot1e5Gi5:M_MN:mHgloNY
U"xGwZ6wxTO=Ei#F8KOwgHa8T0>E$1VBlP7MqK5x5SQv].9$(hPfZd&TO>Kvv8f:p
U"b:<GWgBwM?mj2EaeX8D8)qHMxTQUAv;oaPRHJFPK1TnT+nt>,t=<$.]cIzLng3u
U"Z+5bIHk8Ma\OnZ+*(3ZhW,FPNEUmlj(ferv&+0Bi$wO6(]2D6k8UZk/tmxsZ-:T
U"cHnOl$k6R]3t%3K<snWI]sdcSch)4Pujw[cjMIk:9'QU5U](xU?<]+_^cU-h#d]
U"q91+:9P,l^yfi*CPtQLN$kJF'Z.]nXI;#dBG6r7ZlU5+u8eLA1XMOhcUHX]u_?u
U"cpXF;p=wIl=F&[NSK[6llvFEa4.&1bpkX\u2.GX'Ak-(YUiAncvalDTt^QVDl((
U",R%W'fYmL76(pg>]oUQ(JQAEiV:,Ww1a6Ac;&v.HsJH?73Mmv9]-#d8kJG-x92s
U"U\Opf#mn2-r_b:1E1$/q6W^0<URe6vO],IYC9KaeO5]*Ty)^:M3Rh8,f)b[eh1;
U"ccWUH:MT04LUFw]*SWXi<Qm?>_SGs6(.fBmDVG2p:kBA8&ceZODnEK$IMEw=Tpi
U"RP==MWV,:Xs9MpD6BJC\m)#mX-I#XEZL0PzS[1mVFABA'i;o)_NKEHJ/sMw:]vn
U"veU,*+Xiz%'[<WX-cTUQ3#*?L+0et.pz?d,-^qnA1.yS&[^ra$CmqL%hG'1=z5?
U"56)6VJA5;;m5zaIdAHONof,:crDP^zB<CviMg9X%QM?hwJ*iKs0KrCnb')^yasG
U"aU&<ck4rLD(6F#r.'FCBX%he,ZR9msyP/HI)z3'2\8CWMoT4CDCbub*t-:;;,O5
U"*,7No_DWf7\rhQWpsviQScc,D7<5'6#=RK8(KP6IPIR4JkR5CpapD*AYhSTkZEM
U"Mo'h,/_iPxVIoWJnPR,Z\K>l2EEU?e2R9]><Fjn_IFB7(#K*XhLW:1;C_^)rrt)
U"Ef^B%><:A9QHCFeD3[7Ub']LAh6X[E0-]HcGaJ4:vYLG6ae[L'r$/AdSNI&Mx;N
U"fJ/MbO_rFFOQSr?+U$sH>S>%*jXfeodG]2MDYOHp'l[&lFAx6[g&rDi8?$q$PO(
U"+4xSl(RVm6nX$[<CNZmGk'[N1*IpT?iR+:bs*\C6P6tQ]ai=/xZYCP44UA+'0$2
END SUB
SUB V6
U"MU=9mYoV]j&;A3vk2VcFkp*>c(glr/oifc>hHO&0;DS:'1$tUc725A0#C\ayueC
U"B='#Fc\ZqZ9W$^mSldEiW;9$<cYQHn+t%cD&/#5f(gDEkgpgg[>nJQvZX+*GC+]
U"Br/SA4&jOanX-><l/<[JF08XegiH]aUewkA''hKdx_,8O-'LY^q-QLAO:zbs+Nn
U"61;]pm&&<GbD4CLVe9<^W[1GH(Do,XF=R:il5v.k)QE9n/gZV0)jQg;*G\lyWng
U"n(,VKF'B0Ic6V<D=De(lR>irIZ\=im9a^.s1y5,U]vC0)71?oNMVSW+&#lSwVBO
U"HboE-AU[utdk9^\8HDhsdX-LVf_\lO]&kJ)GD-<=/c3lFFJ5lccIiaBIpWNep[3
U"nq*TaI3gcM(n7_wjS)Xx*<\/4'$^qEqW%h?DJ_kyruBiK4JS:GGPSv*W\O-)DtT
U"(>4VT,q1$.Rj6Ip$[/75O)<b)1kbjuQ[I=[<:kGKkbVxH7m-,]_8u=l;9]]/ZvX
U"m_D[#[FmlEBSWP1O#<5cF&v%1^QkJ,0_YQ^44xf06;6lH+ki;v_\=AJ?louc#5Z
U"742ZC,d;[#qy:#eY_RB9Fy#cP^)ZXy?ZD8BsKe+<R&<2ta?Lmfvm&0cs[yV&DE2
U"&D3/Ab%PUpKq1[;R+VUV*.f1\:,6GLTfqNIQ*&=J<_;Uzb[<RNnOF(%.82:efZW
U"14pUksuM+Hq'c=CgYedLwV%rBe36[.S8qo'3.#QV]_n^%oMbQ^61(hrB'(#Y/(R
U"Lb(\;RVeN2hV=&CURmL7?(];E]+)g5_:_StLEsI&L%-=QYhsb0fQuQB*Hj6)jU\
U"vm8>mfRV5\97\Kr1Rg?6xPOHeLXsl4L]38]TVT:+)Y>&6T.^<.ha82J:jY3toQo
U"1myhWUDWYyP1Sax$jiBj698TMk320Y9)?E<P%UgU:UE(yd//$.u%,-i=y046ter
U"N$yAu71</K5-12YSRE?*;m.uGHLn?<KU]Q>)H&AgeV4Zq%iNLN($,&qL.2?&[Ij
U"?CeKI/[(]x1vWDZAxR?P:iD<G7Vd-Bit$-2(YmUWu7(QdVw\rw.N;B/e-*aYG#2
U"ruv$L?V2]N2?I,+eML_&SQRql=v=EtQ<*1oa9WhRM'VALnxvO]\J2\17e:YM8^?
U"1n7/cBO/rO3ET4EGX9mO4S/'=p.%fDS:zEFPJ>XiFh_^0<%U:xbC<dF:++.B_1M
U"1w#W+D9WICQ:(6R:?<)S7v9i.*y)]'_K^6f+zzAU,%&m%?np*76V+KPH_US3>>I
U":RbV9s$<q7h^fPY9$#+F4Z1fM7Ofmw.NCtBa$o)cGE,VwD&Gg6Z36#ZEM5RGqW:
U"%<=x]4?HJ>0je<pQkn>UI\)e.9LRa0iI5qcz<'sqwZ?O]?HWE%3Z\ffj,YLXBeO
U"JAM\DVaCc7X-DKmJc-5j%6ffjr%y&i<.yn#9i^JV40C?=5wSP=Y)nYUI(h[X0fc
U"ES.PWU7$Lq1&1yP1guZj[pF8$j#saofE;R&xV%Ep*jl$vGQ.%U9.%:,D44FmqJa
U"pP[60Z)v]RG$6PLN\M54eoF8%Vr1Gd3_3YOOj&b8Yg&iE#-=JTZx<cnURBXb9bH
U"d&M-\3P%dQT6mAU7v[/;*YmeN+&(,1\s*/a/V1obkUPB9lt'?4p:=]2a\cNiBhd
U"&VS?+j2-vS?W5Liw:*kD8fM3O.]=--d>9(R5K[GsG5g6^p9,_CzyHFi7nnKxK>j
U"juiu0Fy>jtCkM**LWeH&larUP1CXK9WP[,Y\iMxQdekR7t\LM\DE7GZ\w=5NbEh
U"$fMfAr[wASN$ba7a(RUoA#<V7qX.QgFuaW:MQeIklSu\i\.feV3k_J(;IAP_jmH
U"=w)Ft0\c^eUi8(VHhq.fcH-*6ebu[h?0(7X>6BUZl_*AvMZSL$QIHXw<ieC4jI.
U"=KN>u1:R)>]Wx$15/=LMcA6I41k&&E.epOnhxTvO(I5k*^Qy^d+2$_PolVG0'EW
U"H3uY+LQI3B;BDFC9u_Lqy[(_F-G3c?_6L1dyE-++N92B+BYLTn/eFoc8ULz:J(I
U")?8?2KNvDuLd71Okis*)9D7/_E+(^KBWY;]C[ODe<%zM)4rM$\(7>j#_vyVQdP4
U"(<WAEI2+0>r8\$bu/l#3_5FTLbL7J?nd^h4TWa/p_?Q2**m'C1R#<%L8Y:WXvcf
U";H^r/\/<eC5?;<6g=?GUJwklg)F]^p#9CKD98sIej-M'Z$b-JsxO$\+GlUApdT*
U"cP;eajo;;*AYs,<<C;KCe8q#J\?D/Bh4BFb)REKJCo[])7UrUQ,S6Rn7V;Q;'3-
U"c)LZ,6CnsZb*Rl^V5Q9_cm*K8$mSW9Z&hTCHJjP^;<9f.TOAS&OAg1<;0oB(x)f
U"%H.XAYnlD-5<mAeWQ/T'I_soA9w17)J:UeVT^%2*4aRQ-+,r7Sec=;Yn<OG'(Vy
U"I\EK0[gIk0&W&_)m:X]FNYuE\P%F[\RoB.x;'e-;#qvTRfhIk]S-V3v$mS*nlfb
U"Mc;Ib_xlN+>81[^NVQV4Wv?iQ^F#e5kY^(FysVrSm\9IVd/71Q8Dqfkv7tJ%Vs1
U"B-CZ\j9r*Z(,6GCB:I[9Osm)$D%Kdr>^=^q)>/w*hP8)Q.1M/(9mA6bU?I2=.u1
U"X,J;P,xI(tQ9MRv/#<MJn9JVL>bJ:Lo\CC2FJ[9W4F:g)LRoJM6EHG0Kh,O&/MI
U"-WAVmhGlACZx7H:M4ww:-V_-L&;Bn$C*nbL[q227r0E1812baH932w-W'IY$e90
U"&n:5+ECx&<]Ce8ZztBVJb9QAi$cBa,B8?nlieCK_Rob1[+Q('<PdHKN5)s0rmaC
U";^;OET3AW\dkE=_\OZ2_Xg&ky<<6NOl*aGj.\\=ShRp(TKM4)(md)6/,]NWiWt(
U"naW>j)+.G-GYKe4U[CS,G7-Iw-WVm*&0yvx+OC[5Faa^xH2J_G;z$MZEDA_z,2^
U"G)3;H*&M<x=zd5Uc#<h)\edva'eX2M\#5VZ37E_P^RWa=P$N==wx0=I]>#yB%6t
U"cgDB_VyPdS+=-znv0hZl#GlI<wE5>NCMZm(jy.VCi'3hCWspUGw,S$4oE44mKwZ
U"fX4p];X2kF'Z$bbS2$OXX2#gPMXyM:8-K31b0'H_e\55ueW\=b7>x[ZC:%Gt5iN
U",i\&gSTllQ4c'pFHk=\#]??ujM+UE5/X;'_qzz%T)C(/vRDQfQRB6FoT9[l,5I'
U"2tfZ#LBbG([p:t4K3;&7G5=6,D,*aytF+V,.0-PTQ=qoP8(\scf1Qtt0DnSTcg1
U"zE49fx(JGw7bK$hxpmXRbA_k)TD5wT/XF-<M)9q?Um-#U8o)X>&)L$bf%hVCtE3
U":C^1u$bg[oT/]m:a3q]Iaz%dJ[.X</Pj-EVo61Ea*)2]9N=a&J5BsJDc(l1C_-F
U"'s-H%bqqvkM$t1?)i4Zb)U/sWXcbQ\m6+\Z#++&F[L]ndBJ\y896s/)#H#9YW/R
U"8t)ON?e+-VBsC_=a2mMT'R+>-e%[R[<jJ(+pR+fM\V(;j5(HI&HcwDmCvY_^*jR
U"627(VJe*WXNN[sDYoUD$I<9^5.,B5<0v*jyM-%$IOzq[q0kEJn;CUTb;mX1FKaF
U"$ud%h=]sjGjm&GaXCDCu/NRTws'sgDRElg5Q*RMYDESi$sbYZYTS>XX09Z\6J+;
U"%lG3c^?dnW#nvn_ZwD'60a5Wcv+9vJTrT/Z)^b3&g%MOC<sqH[IdFrorwNd.>iX
U"6M1m-W7nJ?S+L50>n/xgQVvxLWCSv_[eoAW1u&fqAUU);QnU.8hE&fn,L8r)3UY
U"29_->:%)GpIur.70BkCv8,<0kSGs\[<,<Pkc-^osk;'o?yjbAEtSvqqv[D4foW4
U"]Tz19$QSkG2I;Wvs1YW4ZWQ,OVt7(2<%7QO,I6Ct02kw&tUSf+>P'VZ;vo9U.eR
U"SnYRVWP%?c'#L9T_(dl;n'Zc=A3Cglww#$[QV>s;Z/N:_3h+tf?zG#E+07i'Ntf
U"cKjogH8&RNGXECVu+pH:P,Ow7*IPN[aI7#Bo;Tbg)SSK^6_tDS9;;qM(8iFS8G5
U"ecj?h'=#]So7UqbGg0$dW*^HuZ1yFV+/W7U?mLpcaeGr_YVV#OZmWdqoo)rMQb0
U"]bHP')^WncoM.DeBUote)GgUkO)<4S*Ey5m'XRAjtUVC)55VMvO'UFW^yG-K5cT
U"8,Tt^9uv5sEJ,EOPr.4Mj+uncYn&sI0g0BQ<E<BZLJyG(BcVH*5SZql/0p5#Tj<
U"G2dT2_OVfqRtkEC,RkqbBnH;Vz-AwHT37TSDH2tMX(\lf:O$QXC9#S'=W79TMT1
U"*QcE)*pF#BWaUc+ihOsI7%We]9A#*:9'vwJix8u;yGZ_7[hL==?\f1VQX0O(yZv
U"7^>d=b3c$j/'*VsF?d7?[QwQ'^N*\8K_r>no2bdGdLW>r*CY*gl3fN;0EpA#lWD
U"%Y#ueUD_u7j\Ip/PWUs4m:^n:<0Gfd&Y4\JZEU=[QbUYosoQC0C-4G&Q]T2w-=o
U"IuO9G\]k)L8ZN(?WVzOD,1*]mrYbCeA1fn=i#z#%Rp[QzTD;3cF3[VY3--CToPK
U"#6arO)RXRA5C'AR,(iMMN1.NBD1<?#<-PQIf)\<MB+iG^D6]%IB\\+fBc,(du$.
U"bIu7JSZhlt;VDa5e&\#QWadrVJ=frrh<6draI.f:x&8#3V4Vv0Tzi<BgY+Ptq-<
U"nZ]V/MDo+fptu6n?n*Dun6:<>:]e_,?Td>8?UTJ03hqa#^H^YTT=q/L3&4fEOXf
U"B=CNb=jJ5mL,s=.a_]SlY+)$T[CACa;%o?gc5:.,Iu=[_Pc.L^:Z4C:W^WC:LJA
U"n\FAjkU4K:H#RkBOiLuC8za2$NFq(fZB'lE.]GTED>R6*hE*3)c<FKB<jJ)b42'
U"NDL.eR3)1k-G+O-e0I(<4rgA0x*00tLQGJsCYFJ)7t2%*%zFI?o[;/ll?\3&7jg
U"9qD,RR6-0l$kF9%Pu+/Ze=7*A8B(fCyW>Gh?<^m&*+)<PXZ+;7PqQfb3L$L\fq:
U"oPa5t>'p'$lnSF>puLj_]-kgEB89r++4DfIeh:+woQfF1'gE9^/KYfUEccrI,=F
U")WIJr4AUUNP3G.X8Pf[\#4VnC=YflD%aiIP<>W_<1ZVYDR)loPFJ('^vh\J$tpd
U".*5msK>q(HO\;<tSm6>=K3_bI&ZwLwq>fm5j>^XoM\2?(>G=<%[5kKxDWn7zO$\
U"(Q-19V7h3U]q'6#V:\F+pnJkgqIN2im4\r#hT,Sm_'Q.:.c+Eg+Wfj[-0Oz#9Ch
U"\R-4DzSrG'k'Q>]#$hK?:Fat2RGcEd+0P<Hj1N=+kGAJ>8J(j2gvs?.d;&aGyT]
U"i?qZ;#^83vP;<3fV=ClK('BDtaK8ZaBT/sPO^M<3FkUR:d>5J4C$s]/^%Rb:5(9
U"P9o>qPFkgs4q>hxR$rMfY]8Cne9le_u+14o%[Y]YV6/j:+,mEj5pE<p_XD:/,dO
U"/6\UKW?(t*>7C%ji^r$,lOBZ$LVDx0PU&Nc%(pr*&t>PtM+]h$u2pcD6Nd<EY3L
U"F_lS-jS\YR&%D*s6E+BZHlhtL#nmHl%Hf4p.AM^n)LOKl4<dT[^#2BLe-CJQ\j+
U"2PO2al1V+Q//1WZ?TAv>Qf1xuB1\b\b.05n8O5:1w9x$:0j*9k.cPGIwyxF7?pV
U"p8ld+yQlA&(mOTn]('=x$Clr;81qUS[-5be<_D^MsUz)/\>J,I44G4&/TvI)J-'
U"I\a]4L0v-sq?CnHA4(O0V0TBnj%y3)Vuvms(bU'=YRQtiib+_DZqiWiWg9FR-RO
U"+T/Vx<MX-*kG/?b\/LNRV?wH:\ua8qhUdjU0T:ITs_#>ADAd$$aM(;S>6=/d3?d
U"WlUonWg</hA1IanEvQnYOuSuZ[dC=D#bRH_P;D+4Qa/t<%tjJ7ejE:^s?Y#rU\F
U"SgNFMD2,rGc0p+L)f#fb:VZg^o^t;lnr-mc?;#piWE$YP:6A4QU*+bBX*2+gs=_
U"2-L]k[Rpt4S'R;q=1V:4M#M]2P6wY-X5f>,JpW>:1oea6mXCM\8=1KG#Wj/THoT
U"h)f]6v%;$;TnPV8Rd,MBFOvj%A_MDu>rXHnqIbBsiSZLe1lKeZp9DZ0==\2/mEH
U"nVa1#NASR$$i+/X8ag^wb/NXo'^YUsoLB5Zug/&0Om&*lb6#BSl4P5E&lSy7Rks
U"h^XLPY1F-e&F?hn9StKu9*\37fwZC;mmN$j9aH]^uBQp,<D,Coc7_bm<f/_gVJG
U"Eh9IXC<OsL7?e0cf2I4^'9WR<UHnFu^EE(PXFTJ/=3Ae/1I)l0Gw>\S=LJ876&Z
U";(Da8Y4i'i86<]>*ucj#;e=Z\#8'xQUJz'_S']*)>tbdK.XHd]$IS/ms/l-^:DT
U"esm+u1iu%?ypfT*;Y+HeHM3H6aD%rRL*Ipjg-m*n+/[?Fmms44p??df*OV5(si'
U"'Q_J[gvOx\AG-([OC#Jo[Cg*7aW/ieHOD_ATeuLrW#EPel&0EbP$dKUob1pa_',
U"=fMKW^'I_wFc[u?Q_4qtCW&+]msUvIicU*lJGciKNSpcmjA#RYtFgTTJLTVvJt:
U"m06y)\+B^F3EJ5N%P81sK74^uRVB/Q4AZll(T=1EjP;&Gr&=1oBM.ciW4k9<ooB
U"BL%^hE'0Iz/;Y5Q;<UIgmUBa&aN.&:pcG9/(DDFFEmSFoAZ:g:K/J2z'eV1oIt,
U"b+0PK:tIjE/YL?RPVhQ8FdXp;q&DLMZD(WckE#']HxkHVwl4:pYV>_FYm7Vv]N9
U"W.C^72b]sR[3(KLIKeRFsh9-1A*;i2ORDAsLl*4/p'XjtbiaP\4YjaA>^0FN[e*
U"MYHCt^29;F))2CBzL(FxgFM#2[6D4/^$9mZO4p_zkTnG$;3t-ckFppA'Xdlb'IA
U"_+Hdtaq2[u=$,4ZW=*D0cSJLjt03KUQzRPi<F:pG;Z:SZ\dV=RhGRI.Ysgr#*]Y
U"jf?,x1$<=8llBryt,x;C^R-V%Iu+PW+B+PQlne%H)Luu^pl::MIJJ;q32ey)*8<
U"zq+$%JQbUr$KP0kOva_G5BBm6p?H]Y>)#;0yT6KGKJcI_,5>Cf#lS,aMKKr1\CM
U"7-TP$:.e5?^V6E-#ka=ZfKTs:eZ$6JH4kO4Nf,zAWZ=SdA^7.Co(Vj;^8p0](N.
U"=gb3b<J)A#a[ShU/;47a)zk=vR1;obGT<4J4bL0eK0Tl$[lsS%Urd,^s(kfVpVM
U"Iqd3?e6p\WC%T\H;:DQa/Wf<N2e)<.vdGRMEg?_'nP4k'v0urR^;auVW?^rSLD1
U"vmeGVLov=,;n(y<w1ouj'pa$;w8sTg8%/_1>jO$$]RlSAZ??FSoBw:'#J%xLK<\
U".3bA??/Po=.#c%z9t:-$%nzqdQ/6\;3aF#JwxVN5b;k%?X.L%5_DrfLUC:[w7hV
U"]doIsK-$;w8x^,e(z3:,bx$FCX)m7;nobqUh_HE6/5$x-th<a]on3&O<I)K70<x
U"dAn#_:*M>8JiGE//47rP*uP:X,w&)385:L#3Ml9'gD4ySxuk;pU:0gW5tj8s%>P
U"VK>=io$s);X6fy23<bgKhWPRH5&TsLzYb>4=K']e+M;3Ag4wAViQGyEP0QHHO?]
U"O,U1\BaUNJpAk&8%'t1AeQ0DIbmR(b+;K\\*htI[aggA-+Gr*Z]WYu0?3hu,vgd
U"]X57&47GsCD43(.E:(lO.GkhHR-ouYY?Bb/gMA=OA);<L]P&oXP.?Si1(5qgGJG
U"IvbC&Ckf_UaRsA63X,3Glg9p7cPD^nUC&&(#-az_hIy8TuQ6i5[FYafQoNtwksI
U"nqTbSc)jxDSDGCYNWRFZ1b=MCf<,CsO^CwHo0MSiv(q_t#:5:'Fzt;]nnD-v_A#
U"a0:;^VeFQD?X,0%k7j'kF/Oo?Uik_6A#K_2A9An)dSMLH&;+cs&1.7sBSv3\/(3
U"QDjv0xo]LGGb4L*TVo5u.Tcx0OR]lj8l4$QYu$[$mT$'aYYWH<j]IyvX:jm6Aml
U"p>3q,_)21w/L*Q<W:=:f%prQ0Q8Scw[j0<D-a=3k(-+d=DNu_L?ck9]#Bk\pwBO
U"]BtIc-v]T;PulE$rYl$VEw+NCd]'tG%x+xM337kMnl:FR\.M7o<Zqja^(a8CdeM
U"?^d.UC#G'emZEBXM9WL'$FWM>d?'$%[/+^fBu1m'42jhm_:5)Q[yfmwFG8ji)gB
U"BOIcTRKj4<\_C[<5_prXT>GxR*^gE7Q3Th?O]Us#B\Rl;CsXR<OqmEY1%)2+pB<
U"x=Vpbaae-Ahc-%0+?TZQ(b&Ksa[NbIj>7e--LF:,xf=9ct*1)yVQS3&G(N\sfQ4
U"8cGrFhoSfCB5aeTBT,g:w)N;wjC?bl%/#$t*PdDuC^,oKAYad*</L8>)BssP/JQ
U"DK*EKFv+xL'EAr1Pi.Z[A+E9R4SnKK1=#:LQTi_-731N-D&F6K,)edxoL(\U#'4
U".EB%d)2I#E]T+X4_puu*%TMD)TIruw4.)?&/a]FxoMD.IF+.0V/E4J(jZHCM<Vp
U"gJx_b-.8K&4BvAXA4_IRS8ngLPx2Aq(>lO.c9YUrZVlLMeHFu1V4ZcTA?g)h:Dj
U"i?B=ga5HDvJib[d9E31$uYK7/G+uWFcnLs;f<l:j__'Ms1Y_3AH%B2:j15lVj[,
U"KT2%P]M&>)XfR*<PJ3f&$$99()G1;C^%FBMt;\:wBWoaT6-4H4m%L7=5K_/Irsn
U"Mu,mgBIaFJ$jqBRkX.s'[LlppLcxHehdL%n'aMQ?9KYwy6WuFz[tD3JmdwlE7E[
U"K6;c1dgocB<g(\j80=4pG<*om7M:Qd%#:/zV;g0p,FG0'BA'kvN2RL7%jVH)uRY
U"C4M\amYpVL)\b7FW6.Qd+xcwf.^o6I\6VK6C.k=MR*IXD#pWcVw6nWojh_-Y;P%
U",-(tb80ML3a(UmZ7VW>kXJF6H$8pQ8cBtZA,N(-OH0ThN^:&?c7Se*R(Re>DxJW
U"r,H$kQVit?h+&:4(#\UM_OvRb#paU2w63IATM;JDtTSiZJYMjMWE87^3YWFHCr#
U"<#<G^9:ceJPIO4+1E4Fb+4YK41vO1yoQD*C'<S$DEoojp4%cDc'sR9R;*&7q2bZ
U"ANsrHLUqvA9Xoj;qMU3GdrQA=0Hm$nL:%dXm:U9Vd7W/RPY6UW-[;\C*<OHp?i3
U"OC<[St-.Jr^eZ0rC<kBW5RYmpv+lY(w&8UhblOJ$fhaJUIN5YO>0;cTauTEor&f
U"BjtSOelIT?fc/].8oCUVe)b_v\04rvL^F6-d,_NsBJ8i'CG.E#7NbaU'Ym^6v8]
U"#O2K<-zd&$3XN/6^sxT?OCsZt\$o>[d#t,m^12E9:,7_B/v=IY_0/I_>.o7O5)i
U"Ss1:BDx=xpsVGO)f43ridK1^_l2W\\lF3\]W6/:GTr=72=d.87pFQS1BBGQO7gy
U";sh+;S<+fa&YF/cK'JF\/Zex/*2gvHNu<NUfP;YFIWYK#UeJBvL4d]n51D'xM>R
U"16#VE:I4jV_E1Iut'\OR\H,'f+y>iI[s9b,vC$e%qlAhnmlgEl:h$^eWEEl[)UR
U"d9ZYMIF]gqV(^mXAS?z^u\;04BmH$S%e^-kW(UFlUYumq'm9gW\(ludc6opDN5+
U"NzkZh.D0i3r[1*ZL02E*5<'MQsS?f)ZrJ)lEnwFEt(FQF6vt>u4o*aBJ,^\u8ST
U"<nVGcB1c=D>3gXo=U(HlcOTMYW]mD:8oI-91xdfA22ay;XpF1#\05DYo)5<V.+O
U"y'MSE4OO>LGGDKxxbU(?MP+z1,7)5Z'I:F/_+nqq0;tQ>Ogg+je:L/C'>^-%bU,
U"0b?1qlB%YHF_ITfOc39SanGr,7S%aI9q-p(^\]U\_4-)7Qk%8)=<=)9o$f9Z9a:
U"Y:3jd?h21:eZc:*hXq'6OT7u34(D'2*IV_.nY(iOWF.LSmaE$c*N]EFYJ9m=:F_
U"HiS+$N145qwH1C)E,O6E'6eS_^#;<3:1r$d7EA=2P7cbgDnnUk06^KOOM%2FaIk
U"%^o.SNT<V?g+JrG[zNX>&O^I+of[-9DUs>\Nsd9]gi?cvLj=0gnl605U$lGxB06
U"RMSl*'?8h/pc=UCN6^sC^cu+_hh5v)Q1lm_O]+3]>f.2kF6R_l8r#Nv^x0L'O[_
U"h:\Y69Rq3A]LEh+\f=JPe>Gv,SOnWSjuDSh,<g2PD43Z\MrH5un&f?0]V9'(dhJ
U"H<UYlRj)G$+a^WVMlW^:(;>t4?UA3q/M%sDaPhU3AV,H'y>u6Rut820OY0C'Vk%
U"2C)f5$>M>]RIqS&BVSXWm<(rec]7U$oe#B\A,oOb.Imn+<c=d?T0en<shSikgFT
U"B9])89fDFs,u#CXWkPOyU3blIVlF/Bs=kGC6Pt/ifh\C6o)>0'O[P2*l&&[Z;xb
U"2p&W_m=.[^JjV^iQGr&r<R\QTVd[:,7LH)6V#%+g+os^bDS5=g0#<[d\=ZY+^$=
U"w42h\&R_sICrP&422sOB/kK.H>oH\J%5^UBk2gCN7axrT6A&iZoWSlCn)9:cK9^
U"7Pu1;:;&dkPmp^&.$Lenou9n%inw$U^?LS&4d_Kv=YLM4/[VQeW%+C8(N5>3K8F
U"b(>==jabODhl7>f(0fE8Dj0>ledPW\OEeAbE:eNpVmST]V(fjbXU<Dd9b:KwL=r
U"2-u,8>AP;A#&v9>_REiSHt?j*=RTr5%OyAx+I]BHOVumJ$[0^.sDTT&>]j9LQEc
U"skTim7PA663Wl?S,qlM2HiTsiD+%?]=ee0yJVtj*:Qt3-l?,7j5o7AxTC/<Z=x%
U"E/Mp1t'I0ooxhjqbMXX#6Uf0DlA[v.0]H*Vie)1.Ct+JJbuXA>ZKm%McFZvE.ok
U"7VEWr:Drd:Y<pF,E>PLro_77ijj-Lyop;OTn&8P#'<';kNS-LD[_o*2Zd+&%Or)
U"O2k#bdx2J.>jJAAUnYP-Dk\6a]MPJj^?u_>Vy&TSc4=9?3Y3HL+-7$Pq&+8\lWH
U"Af>maHH&)z*[<3B,2YCC;0cCmEM>=K(g<Pl(+D=Kq_P-<PM9^Z<gO3HWweS6P_&
U"m8uY7TUt?]IT*r?5$VIrAp2&9eRID8T9:#XM3CQLi>$:=Q5\zCQ6-Q1a,m*x*W$
U"s5yDdhZOpTMsB95ba)e_O2Siss*6?Kr=cr/NrRKa23Y1G<6$Bk-GW$%=dL$p+Z\
U"_JaZmDe-X_>G5./(G^x?3*b52f\=z)pCORh,ss%%)?+W3-A%NQj]PAeuLBi>,[Q
U"*]W(qo0AjXKI\s%\IAUA$jqe#GKB7G2w7mw,We'^iU,.w.=$bGJZCM,>UQ.Q%5k
U"RO$ZmJ1>;Iqs1o$_s3k3Hpp&0?B6\oq+En[8?Oex-DA-MU\8,'3G/NpKmA$+EPu
U"D%N7<IoE7m9sVzvuSo/*CSFufE0nE-nkEU,bP:d\uSRDBTY-q>pd<S4m=V-9(p[
U"(XzOav/lP\6?=32J8t$e^H$/RvOjIn=Om_sUdm'16$u:ET/Ew?^5e]rW8\KK)4S
U"X)t0;O.C[I75lD5Bh>Fv)s_AP4U^aECmU0ZeA,RT&uZ,PB##r3f^bnV9<FXw6<W
U",Ev]/\\'j-qQWek?#CE0'X+CkwPR\?dVJT=&dR2bc1n-$wj[.6m-eV3Q$6H=b7E
U"%nKO'K*dZPFF]?mPG0]?/qSkS\J6P/Fu,3o>]c0'E=CrInA\P+q'EZ*A,XaDt(D
U"JSb=aQTYGUW<e,3\mqc3^.7l20cB8Pb_?COWq2[EfD;zpV2<vPk;:[bSP+jXeM?
U"RV+gJb9_Y%_EwW_[sb/rI<C)nsC09#+HNy<2>I0I-8<C//)xVlZ>Z'A>rTTu\43
U"&a$xUn:+a?,4i6n[SXzU'(kxs#>p4BkPFij[pLYB*5jFl#4lkKc.Q01A:5\+pR9
U"xKu;K2.WMBZp\hEa$4)I&aMn=sdCF%>e\U_WRsnxc)Ce/&q'ko<ER>:f0FudtVF
U"5[qu1=z%8<[Bc::=-C%Tg-vsZq3Lf&aNcAeoG*805vAXQ=LV0r]bRLNOag*i2Y?
U"54KX84WH'ceF'qKuB8i6i].sAJ<OHO-z1i<F=Q5VcZ%aC;)Ve9S83*_O78#(3]*
U"XQk=9VuVwUo'^]1sE&S17fjl*8&TwE?aLp+N,mB<e8o&Q34GxYTk+]&/\#JuSig
U"f[Q5A?GU$_v-)0YVj2a(G#.CEbsq<EIWLWZ=6;S5W^m0Q\tXodfVqe3o-ajc3AF
U"B3Eq7<(&0Sc2Fk-BE\0+'X?.f4,=L#i=&8V%qNE1PYT.y\+RPi+-sL;VX7G)r/z
U"OwQ\p0%XHbR^VOo:yb_fdsr(GJvy*QR%q35AZ6_;eHZR%dVJWP^0W?FJg2Zk]=g
U"gc%.Bi9#&ai<codqF&b.NlgWrGfH)h8JPl:f,iBrk1<4se?=me^u((^b-$WE&PA
U"2Cf>&'(FMqlrVf]/)'VHR2-G(dYmm7q=c9GuG#y%[YUH')\&SX;3)o6\WotU=.b
U"Kq[;\788nqy5vp$?/74#]Y$8gP2,A]SZoZ=,\bvlJBiS]3R-A0Z<5'tZ/HgA3mx
U"4m?&vtaeb.9%pgr1*2o0(f<pJdMSOZB>CeIQ$mGKg7c>zKnRP1E4r8C2p<sGFK_
U"]gk24?F)-'tc5_hD%9^euVLRaoRZuxu)p_6b\\m\cix2mtFY/60TnF_P2BF5oK0
U"r7+TBL+5'ao3h*fDQkejK#3X&Ij+w+JLiblHi+%hd3>5K/iU;Z>1K*S%eEUKU9$
U"0eu',f,Jl,80OgjPA2$oQiQN[/_dUt?u+L4M2yM#mznjVZP*7MeElAI]*<zpTzi
U"9Sf^PVTnAEFN]4r?HAQr;BY^*#q-lH.T*Z[wi^9$NWd+*%8jvv_2.Od;_b<DG%R
U"Nx>A&ofHl8BZ$WrqTtepYPrd*3V;Vl<^E<<Xg4:]JCAdple.pZYS%P7$3m56Raf
END SUB
SUB V7
U"U4gBP#b<oVUq_VY>vV'IP8uXEp_45F4;Oo)N^q;Cmoz'U/)Ors.V\3#'fZJo1s:
U"hXMj=$1KRk?7^QL_,iG%Jl*EAUUJvfzSl,a'_aq.AlF99zV4R0Qq/zED/ftspO[
U"NY_ST1XGDooBW-FW\k]<*Z7aEJy2']Dzb\sU:]UTGa1imyW^Wu5?p$AJ\d9XZMe
U"3P#U4IqH0fgoPCTXV%5W)>T3>/p&z/nta5(-(?(:,RGL6H)t0Y[>d*Vak4+-&So
U"s.R^Ux:?/HjBzVLEe[JeZcvDgvO9hnV*F<'m+h/uo6P#]eR^sOC7bS=XO?=YLGo
U"o4/>GqiykTE+7yZ3N;t3JF#p-;9c,+]f)J4Skb]51ppm^/k#g;]5_ypf#ot2=Op
U"1qHJOOlSXvDn319m8\TgzF6kK_Ngt)r%l#n/_+]'?hGDM>zrk5_\K-?V9_z5:v<
U"hlqv&J\U:>(fGs]vosTb=s,.k&B<0r,9&MuIe,4[[/rJh6ZM()$d<S^s%R*/[^_
U"YZTd&i%bHx/0Qh\_EfIzG0'9%f/(O&Onuwg'L0yv^YY>s)FPF,B/6U)3i_<;KM[
U"30(/:[p[ul+lVA;KX[K%TdAn(R0mQ_w_T-^wMxjur<,dVB)mFed.CDfnN,Z4)a0
U"CDCL:Rz=osLQe;MnaPl>_D*bOiut<Ge5k%FR9L&On*)kkf-a#Nso0:]?0FOFt*%
U"_PVeP&q)q(?]^(y]O_/jw1Y;9Gfr5*G/_eDxU:4y'X4aFzL1_jhw)\ky8jE0y1A
U"C[]f&il&#lU\qKD+6srbqQ.C*>u_MXttn$5y^6*e.\z_;%+0PpZrA(E-q&0[VHR
U"5jj0fFP>vP=/2po*,*NB$^?ljDnyof+fZu\J<K:F=(fFR]gb?rnD%:1JQ^G#<F,
U"67>.1*UxWH(WtRZA,1,gS_xre9<\o%KOlq:M_LDtEZJfo$tkVOBE<24KktHRowx
U"OTS9#e*5e6M#:o]bu'^9iWkeBi$EQ/]A9o,)]BAps,/N^DUyU4g/R/)rJ*:'saW
U"j&,q<CkArGb)?%ES+]2rQj&WR&[SjPd*/Di#O,>O3h>jX'4QDl31;3TUYhnfRuQ
U"36$]p1kHE*5*S0uE?)f:a*B[Q.\Q+.aS]3U*vIf(kv8X*a;oCgrX=(<R%SzNOcy
U"%<6q-<fnEFG8G^7GVYjoK07A)oW&u)GVj#d)mLh4^Noa$gEKP\zCwjS4aFHn[oq
U"qL-]K$^diuW4SJVr5k$\Y?V^N7L3.2#v^/EcWJLZ'kiqZuMCkxTl/Szn<y#^3kK
U"Y:LRe9k+8NYle^w[i$Z>'Lo8Xs\(frfUG2^]sA[%7sRNWKsj,0/sjn^s?rgR1;l
U"%NrQADbOI4C;DIHu)SDP<FQpN4u]WQ)VkTP:PZOR%^?F4gn52OAlkw&%_&s\3;K
U"L[39:RNYoC#:waB,rJ&<$U+\J<[k$-;S>8Wou['P8^u6R6lG'5tC>EOzI0<(n64
U"J8<y(-(>xz^[,ZkOfd^>CX..eqKM\/teDMWr,0Hv0i%,u?'vV.2n60o/hB)zFU7
U"S<YpVq0i=UFEot0pJ5iBATc6?W4vhuGo:$lM\Ht%-SRWV9Vi+MY-.1\.<sEviVg
U"<nI'4lTD$2uC0&E(a*dTLZEt<9bfVY4:*;S8HRT8HoFsXVpunLaH8D\rmX_]U9c
U"n0'J8ixFv3b&nz=$v/KdmmGETC'hZAzXk;DI.OVg%JR[Z]s]Bu5qM4j-g5JeF2D
U"+Hd.d\LJ/l0isLn]>$0hdl)Y?#f.lNRdyyLSFywZ_TR8E4/y]]I].^e)s;FbiE=
U"4_RKnW1+bI>*sYu-rQ46Lo[P6LS)=l(MD%RA4uP8TKX4];#zyXtNV9yfJx+3zM(
U"922jZWg'hw9MdA>,zt;<#l:DNstEXv%e%1ztKMWRA0;:PC2SN;k7EQS4\+fRrT7
U"Yr'EEX;t.g\eY\b<r?2wAe?b(rd=&-0bZiR]WBre?6Pc-k<&e$VF4&-.Rt]8sL\
U".]P06C+H9c&6mBYC,f<SvITsoJEm1\,2aqR8_ZVF+8Y8L.69dH.zq%ZS27pp+qh
U"F*mItnET>I_PD5XS2ZC+OH__d\5*FcE/wk59nmc6A*qam>[t#;Oh,>,BMA?icSa
U"^$/21a;u*HB:$ZRie8ZXps<>c&DB6_cF$guA,48dP_[J(?Dulo^\dAZ0Thn#9CL
U"rnCQ6bnV2ILuUADJMCeIa#>\c[$T?%$U[u8SOmNO-1KB8avFqTH<SXn.&.cF-0l
U"fEw7Au#s%4aaP0tE.<OQ=md#1gsPrRnQl^N?%VZi.?;+oF7S*5f1-/#J5l2t%r4
U"KR07b.)ZlRekLR>FAkpWcGD)DL6K4]t*8x/LxW^7-695vF<(Xd'\edlrKM'*4<A
U"8D9(QlQ:)u[w9^T+0(EMy[tkr&dE6(bpba_$pFQ$->M6CxMG]*C]y5aOok&uoe7
U"LEJ9s*bjB2CG8,b6XyJuUo6cM+iO5-0bGO1)UjaHC?Gw=X90QLM>EGDzG/($I24
U"M'OGKZarI?2Yu4olHNDw6sZo&vTmmFL2O/xW3\,(%g#O^N>7?<;)cP.]HJH2T3V
U"u.r14N[hU2A%<kBbF'NEZ%a0RbK2Xh;&LfuDdjxG0Ao:3Ip1pwUAVTKt8N(.qy1
U"&L\xCXU--/P[32i'ar'B-8UW*NmE1+o+e*O'TaqVSeT//434nWPgdZXVO&CZ[<H
U"D&]k^ycVHeyR0Uj?_IE81aRy2%4z]S+<N96W]ik$'(CG,zVopdO?B5*V:qk4]O<
U"V=H-VBLd>#*n9yWfG&nzEaL^LMN%+-drMy/[O)3pnr1%TGezp9Jl\T%F6<S%$S:
U"pMAD.9^d,h$r,EKG[;OBQ;*VxkSE7n=Fsq1v%l'RlbH+1..bpQ5NwSC(&I]085L
U"3C-%l>T%4A_4Al&HUaRCER=/diUuGYlF[%dm*wFYQ%_y%h8h)o:ylSJ'#_,ohEi
U"Pq+UkYnq7W_/q&mk_E2*ScXKDGAtzq\Zjm(YoSyS9QLbT-=uP*rujvgGnd8pf4]
U"rk*O;#)2EmT$r%s\Js)]7MQSA2zSy6>'i^X_+UvEfMp,LS*AvVkznegzftH5)85
U"Ao=o,-dVP'au9E3JB$=MylF<'Rt=pN3c3SA.l6=\^e4s+iq1XK-N\sin(3t/\XT
U"mcINN#ebce2c<9TqU2_FHZAQi>2z%Fq(J_Sw/[92XC_9NN&PEE7ccGzrw5[/la]
U"Y;WS*t*oA^N01]s?9FfkrT9F0_2LVhk3,9O7]RoPu'f-.)THCDi+KHD:t\5MICJ
U"<-e'x<$LytSDH<*Y>eWTR$1RTRXWRAVx8pzcUFM$tt2m.?$(g&=DdlZxIOQAj%Y
U"lk15ERnCZ,5gya]M$(RfHYW*04PGsH#S<*GD*Tju<eeU[-?HhsQ+RGQ'17[lq[q
U"'O,O1ijBbY5rlzfwmSH:+s]kSQN,tffS4NAwth<KDM'TT-W'JF(q(?NZ5A8EI3P
U"nk;_dtYbq6C0ci-e1/'HDPp)Dy40o'eq;_jkJ3*RgQ*\%u24V,imut9NG.0o^8_
U"b#d^2*>X*\9XQhJnE8)_hwfxmg2h*-8AiiniDBJ5QcdJF/c#^W0>x8$T%96aJ;T
U"c-t%dB-S?OFScrCOnQZ3%dfPbFR#ypBR1w<K10->LQtFp\J;xCQzrEHN*HQ;wva
U">6,#lGGO#hm)+n4_fLn[QT;f3Sp2N%ZVUzRrNA'hHt:\jn,ibo_1Q'1hr%vpP[0
U".3r<lDi-J:7B731-3(xESsd_&ZTAX&E](OMDSiQ%GGeQj4Sd7N%3PqxzY#Wf5rq
U"HR%Y&-K(42XD03:Q5/U*B.idPfv:4P6-HV*lHIu6cbMN:=xeF?/PmLli)%jo$Kq
U"QH*C=Y<N+%RcT;Njo^u&5z^,FX=b#PY0-,Zo/uXL<2Xash]'9^D8F_slb\#8lG^
U"E#)qAQ3ptJSVY*25gu(ek2T_V$mZoVn96agdrGLa*D\$[r'_FgTAF*a*4VGv5MX
U"O)t9DHvYTebG[bsf(C*_A*WRQ2Un&QFlwI+wsXkBg4r]<^'7tPQoGvkY^kBo^K>
U"7pz%taG1(u;*F9^jSBt2,tM6%o)\XZ=sD]/)Fr]&HElT^vc)/Z)gY=;dJBO&qs\
U"IKUAK^X+2Eue\EEXcJ8;4Z]P*S6vt]0lm3Kx([#pCdwsR$'2a2i^[fmOQ.U9uEM
U"N/fppO:f4lJaPKd:\J,(Kh;HnDD,v8](_LWn_;55Y3noqE9^L)2>Wrjil86?h*D
U"VZ:$A4dM'5SIsjjTtqM*_?jWPe.//V++E[pb:-<w7s:(seOB<JAm0]N];X:G>u.
U"J/IE#C(klg<3*)[jVTe-l6b1$Q<BG0?^]?,?%^uVQT)(ii9.E?j/A9R?OONlt.L
U"J23:Zsqr9+^Z%9;/Cb.g%NXw;#Y+h0jrvE4XZgoTdcwA7utA(].0czfw<oRuC6(
U"AGg2DYl+s$T_du^\*AFAb1,_U\3#2#%^#fe\eRKTT]jV<\Z9HE/\+8DB#QGAlZN
U"Y)ZF-h'^V:K2wjH.hk<Q=oo)NQfGc,e:)5'HAGl<)y'1?A<c\oU32/%RdVrqiF:
U"C'DzzaEC9]QMWV<_83,(nP<G;VC14%:nkiH80n_v_dVL8O:CrfHz>5c.?.$YGs?
U"^l>z#Udp]VYFcCE,*\Rav23taS0?4U>MBkrS_hD8+t[ZklB*ulw1Z+H>7NK_J'd
U"'6]C9\(^<Baq$VoMSHy[c'*4PmjjNrM+XLM,N$)2*I$0*JeSJGqVT8FCq65P?-[
U"IO+;b),x7$4&/go(8)5R?KXdNRxecJK</Ii^MnOZR1d/r+etaS'.M./:_?2]:Qb
U"-FG[*G5(zJ$m)^'+j*$Oe^pwQo9i(nh*VI2qsH#N-g-\O25r^SWV/vqdK-zWQ-P
U".eNbo1%'.gzde;Z0[E.E,L&9>r#askpLY3C<y>xFGqdUMnV;5mGTIN8VI_SqSfB
U"5gx)WhdnM&.^3;I&p#upv9mOtM6K-'>jSHFqiS*?Ls%Y.YrnXhzDEeX)Qv_Pz&]
U"vR2h(F]ciD/SY0DsX[E5E6m41v^TFO4eXT?#>Mg%BKGj$,k7$X/Sg*kH$$<ZemM
U"aT;oOUkW-+Q9$5a#?0W&4$e>t\7iZ$t%jWR9VeLME3=r*s6Yc5cB_uGRi$QrJIa
U"Mh1^6kM&4=u2MH$Z1r30Om&9#R0RFm4=o%$dCb4A.23RkNWt0UdN2gr9-a$[Uje
U"FwJd.](C2UAfnrQb9Z^]Cupv>M6rRy#]O$>ay#As1,rO7RHV^B)0qnZZD5uWr=m
U"d,p?eOJT3WQ/Wn3i*>pkF#<t*Mw4s379m_BNK\$ORv351?;FZh8;]W_p$D%X^</
U"]Dv$dh,lHL.3tofr\4[?,-l2XNb>?,lHUf[Ff#?LAQ'=KtmPw,V]UAVL1SlR0f0
U"u=ehse0MhiVb47b+Q.r+/Qo8_WPGf,UHxM+pH28qXSn6Gl<lRC1Gj:*DS_K4Qk&
U"l-_I%3M?\XJ4FxHMHUlutRF)5das'DdU3\_'1eB#LRNwW-r7a$]g_kGh>\+(%cv
U"L,8Hg00PZG$=3fAhx2#6?G*BF:[6,JoEp4ftUq/)JfEG/a9r$46GMfxBrYcd(Z/
U"weeW[bMlNOOG38<Y\azT8W]Y=B%?tWUU1kR2P,a0H]zgJFc*FcF&\nH/E&Ein[B
U"Gg:[hPk*nd;W:-M9_\5k'Ylpcs-BE)16;a;2G0[N_QlM0PNV%CID8\+5k^Dk?l>
U"[gd>maekp[tBIqywlF29,z4m,pFG?$tTbD](vAf0Iy^CXFSm$cjo4OUM6y95N-]
U"r2+kD6.v]?5(k]O9LJWD*efh_T\_rtetscrrrOpAeI?[oMhdJy[zoP83bG?6Qmv
U")MK'UZduS&.Ef\KN[K&k\x:XtjnC^lku]d;tmf;?IQd8S#WUCmP:\Z0avQ5-A:j
U"tov5TTU_%Pop5aN2*4[_,#\J5&;SB*&lVrADAT70%K20^XGuH(WqwUibLp-_9l;
U"cj3Og[33ln\?ld9-l5fC<26HyH8]47S4O-/[X;^S$C:%g#nXpWARPVuCWaS8V_q
U"EOt#JO-Ig>*yjXS4V46_v=HO5#\+r4/i&KSmuvWt]RkV;IuMlV#95jFPHRl*5\,
U";A7>[nFgje9F?Lr8<]ay5Fs0?0e;<h3GyybEX^yIF^WmD*dG?CG94VEoJZkNlKb
U"/HC,jnN(a's<W6]UhGCSZI.G1ZBlT)Bv84$81$_9Td<:u#m::.0Xe%*f<9:o\e3
U"pQ,4:C0X^g;I:F/n[BxN*xkBWwGLlfm$D<t.pPtE&c.N,H/YU_urv#CzQv>tV&^
U"&2#+^4/)3E?j7Uh<j^XFftPR(^)KDM+3OHv2U$c:C$0\g:tlM3We=[+G)gDz8D%
U"skZ$+Q5+o-1pk61VC1J4P50RTuPB**+O+bdb=OLOlkeXdp%M6(7:xfTV:S5i-<w
U"AJ8XG>UTO3jh?(JhT1H*n<o^:MP8k4kxhk3^P=q0^2Pwogg4GkQ6WqucT,sWlbc
U"qAY6bgmY+/Vw=g88-V;,Lpd&jZTK/$*=2;Ega/b#]^&vKCY/0IZpdFo\WIdQl29
U",SI*_KzbLrKs#9hM;ZXWUR8VtchYkh[]kdp4Z51^[e9Xe,zcuYM-eVl8pto5?FF
U"bYrhj,\;.MCWS&;ubj7gtbYA1lp*6d'XKvZuCU+Sd06KlYn84<Ga/,#_^(D\VlL
U"SI.jD^';hl2M8Y*TEi/UoxEQgr=NT(Wd0f*WSlVtaRZ,Y+\kEDkwwKt*<co(P>;
U">0(&+<<LJDi[wO^OWEpD+yS$dV.(f^ao0^C58GK]kqtjBq)kJ<I5$4I2wX1&73\
U"tz'TzBpsbfv'a$9lJei[^D?:u)VG73r>8jL#OL9L46cnlp^?-h$2e4\JQ\BcT+7
U"4MH;8e(r)T0P7?c]NlEVlJZp'w#Ta,78FZ\tM_/L.L,=]l_t-MimF+'BCJ3+q&S
U"aZe,Gr?uTwvhK;>NXl5F?L:sCnPUEX?p]cf575agLi[rU4mQjljb)$EceQri)Yj
U"9hZh7wq;]f1pti?LR1<Lm.C&#Cat<2Q/9)HkR45#/KL3iZV+oG_qOVQ^[>5^f>&
U"#JbiHl<aI1X5ps$=Pp<S=P62MaQ8pX?=XYhrt*x%uYOQ\t8Ep7Sr-B#uWBC#'vO
U"rJmCJ$h*pw4'Y$g0i'/sYX'e-4^8Np)XF)nF$ENk?:b[2XejL-'0qC?v#.V8]JS
U"_&05-UJm5_*GuH$>dAmlC^;#hG;28Hd0Bp.AzKq3f$?YU^GSTlvqL$G#8OLl$J.
U"%hHtY>k9ntx.o<ZTTV;wBs_ne\RDdb+E2)JNZG$X.k95SwN_Q5JuxqkKRAZ[9-&
U"qTV2\-qd%FfJ0c8w[s]?av^fkHUs=owQ3V7^RH42-.+W(tHnYe(UnVbVK^c:\pu
U">Kr3)pF3gT0]FK_SGBuoq.9RPMI6eLe''5MX%v#f$Bk(MBLxRZkz<Mw*m>Yi<vd
U"Cz;1K#$S[Kr2.j)LvtT[Gn_\G'fkfg:ps$n;6\ElFO:4+o.U<='6>n3atO'xo-c
U"c(4n?hU\\a_uyxebSe7+dMV3tC*qqgW:Al?RalLG[q(b2LK0$41sj]Hne0qcGm:
U"x<Vocp>2u;k8RURLpadbpSK*vPJu5>eQYE3.3BnM0Gj)dw-#hVJnvtNk3\F[?PI
U"nlImIzm:-+LBY[&pO]uO,(nEeFKZJ6B1Cf&EK(:DK(DGK(DKf(DK(:DK(DGK(DK
U"f(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(D
U"K(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:
U"DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(
U"DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK
U"(DKf(DK(:DK(DGK(DKf(DK(:DK(DGK(DKf(DK(:DK(DnkQuscTa#lUidD^d=Oyd
U"bI(DuoxlvYS:*Z9>TsT:VSjE;:%U\6BPC4j?,n4:MSzwQ7Ur89^0X/;GR:,2S$/
U";0pdY;vSw<3i&wJaCCsgvFda'bRK1b2U2WSZ[ARp0N5li],UM/Bos-ei,j0cRgG
U"sR]cnmhm<%+15Rc<_rFUWPf'bY<#9f,UO)iZBBN[1#2rmB)'h.e5'c,?r()\m/f
U"<C7LHk1978_5I;Je</CV_c3Z<FX*/^ITx-4R);FyD9E#F<*iDTas0SPHqnqs?]v
U"LUr]uNi7L^j\6Aob3$MV]2TQxrm5Q;)0F^-94>P+g$KeeCwDK$nFT67>.ZELP//
U"/'UR/a<Qv$X5If2a,3Ch/GTndl*n(,7^'2<%ul:>dKXSMefI\7W5OqxJ4,]uJwC
U"Gw^dQKhNa/7h_m1>I[.%z&-_7i5^cNG4JB,RWI$)w7*_DaO]x'?FL;/j<oi/wNG
U"0;nS6QGgJ'qGw*<sF:-c$n9wcx4xq;,?;,Xcv4nNx,_YKqPIytf;(mohwwpgT#.
U":Von;fktXtKlhZ:8VS-.jLAGons%vq\,pk)OA^teYqm%<hOzmkqd/tOCDpFZ+Y$
U"slv*jk0V?DP<KXv&b,8WP'[J,Sd.seu7sbSAl]cCT^N1+2u&9EQq3f7aZ5ov*07
U"8<<7RZY_x<TInq<<K;oD)E^N1[KV+,B_51H]F)8;EEndlTw>op4oZw&3wSU6YL#
U".kPfHn__/K]v0lNKl5u'h$7=uZ#[R#[gY]sFDKo*C*p%Nxk7J;CF(gsN;Fn]JG6
U"hfj6d=+p:-)n,R0tmSHbl#uADj+'WE:2Ug2X+$\=8FC9)8&D4'?Xe:.V,R<Y?^a
U"gBAT%Z9hpHodcVQfLejFok6:b_XJ:LXRkOM<h&Ca<M&b7m#R0*h]IlgR3Hn=VeN
U"FL<q(2:%&46dc2qPY)g5-uiBP4eNQQ-k=-sv<rXHmjaO,8S)iBtjw7/On+<Pf8W
U"Xi2sZ,M8?TWx5;N>85C2hmxMjYGZln:EnDJti_JW=E(w%5t=Z7/MAoCgyY-Z?0q
U"ND2ogGvQ5ZVg;T-W/AX<u2Ahj8K3jo0dL0iX3'=8M:<CdUdsG:u/0P#$vMM&3KZ
U"w=YLUaH9aZ[jlv?B1X)T4L9K'wiikN-2ynIdjJX*?_Sw0XUGx4'+2>\GdG.m3gl
U"^<DtBDWfn(<*DaeRnO%uJZrrCpQ\HOuixk7>3wKl]$I\3#.B1O%k4DPa+eNq*:D
U"x/KkIakn,,mI_5Tx$%B+fhp(8IXC[4fxK7aU-IEqKbI<KG4)<jCdI*g\5PP7w7'
U"%lX2NqK&xroSZ<RKkSCP57be(X35gvuSuqrWSOxtXrd$:b,^r^9KG=D?FO^2R=b
U"Z,)/h5-o3Jg[?Pq)rT;>uKSlfHFHE1j1ab9vlXyDpaWMSZSH<H\Z69kV5Y$9kl'
U"1&e0re/Agg$obvN$g+/G=X7:Kg7tWSFAdW&%<r-[d.dT<5SY?D%s^$,,j1_8e&j
U"xop/asaCq[?FQ;mV-+p1K[o][g['YTVQ[lv*SYZ<FGf/7)f[#GqKti8g'h[pH(j
U"O(kZPBmGCLK+<rAJqtsXar'#,ypf(5G((ao)SZ,LW1UEdV]W5eb8KKZ9K'0ITnd
U"h<=]V?Ft#SelutKb)<0q*XxOT)OwONaNm<=6Gx)xCnXlC,Q7io_(sQuPG9ajAyc
U"6x#rzDnt_?t8(;TTE%R/hA82vq0DqKQi**m-g7Mm<N2U^Z^VQ0qZD<A)P(ESze.
U"-ut'>/2_).ycN?AClrOOYp?99Zab7Hwi)w#'B04cMpiMFZM$;tALtm.)/Wkdt-A
U"3lhbqiZ>sWY[glwnX*%JVawqi<>vP$t0]4t]cZ5WMj8qQOaFuq6;O%0^;7Oi>JT
U"qV#0o_lG$?wy61GHLW%-LC[L3n0zSDWg]g]S2i'qm-:='Mw>X2(Z4^J'(Md-vCE
U"[[hy'=-w(uaQVwuRosse;kW$WF=&<_7gPKR3?(swCuTmr/iU7\Ab^FyT$Vb.QAW
U"CFDi<Boclrx3A()L)tt1NDR,x#Weep3vdOFY+0GP'3q;L<wPAZnA'g.NENAKxq,
U"^N/>:&zRGiSN&kl\bWB_X_Tr(0yFIa)'=;(5r^jn-?3qs)k2QI39N^o=zw88*.A
U"-*-LTW7\7kPP^eOz[>5NO4\SNw/Nkv]Fv,Trgm._\2VK=i^h-Mn+JJuqjY%N2$G
U"-idb[J;:jt]q2c7CJ3fxmCxUtyt^Fppd1Q=(l2\1H0$3POw'Knf^^sU#docDrj-
U"8FYLX9Z6d=$x4o8BgFLI0-7giRQ+7RU/1,W^A8[tfuN\(;jO>KS^[](df0Lnp#+
U"sa/XcR9i?Q=j:7%&fTcm2Cfn8,$$0K7fYw)jdtDWTaEjeeaRBa%wjL)uI?\Q9*#
U"dec;bXwfw(*A/pHjbx[t]Va)$1<BfJrT.=6/AJ#HY8#a-A_.F)&-%;?tZ(DU.#o
U"$LrXJL+too/<:^Epe3w$*uiB+w$^'<DX.psmlenz*8w\lo11jgGtPorLr($1Q>q
U"0YweBtRt::Er\$mJ,4$hN:4:o9+.b?0Pl(3ELQ0=o&%rZfa>:DOC:9'T;T$=9jo
U"8;N*O#yNW6f<Cdd0\/M=+3u,cQcJ2q=v][<IdfxiDGPyPci>_rM1lM#F*.sOsoh
U"D8qA[50Or<v>i/8yL3&oXzfHmZt0juycPT1Ms2?MoP2v,,.#jUJf^cNorhk-WHO
U"sIHB6$?U4#Wd5]0g47oBg#L)dQk=vqET8g'0PI)Dsa5_rfw^&(X\iePaVb=EccL
U"H3R<?B=uB>CN2(blC4jEAg_.tSjp;:fXKuLzPvA6lYIqrbu%bI.qpWjuhUlxYF$
U"JX$1,k7LJ#5s+[i/vb#6v+PGI_tGcra;KbVdMSd5[>Gb5l.0/I-nHm2505S[Cod
U"MG^NEJp7E\%Cch\VI;BAl[*?3:BxIi7HjHI3m[4?;\VDQE'wn=cqk,nHPJ7Rl=A
U"7DN1'6WW-WYq:kLwi7gc]vVa^\X,LwIdGj5&2elnZX5pRL,*r+1';jASH-q\L'G
U"Cf9NAY;G9BomE8%i[RVfliR#p0Dfqp*Krvs2jwO(WLq4[WY3c.6VQ,pD\dEAs:s
U"Z42XT2l4&^RAv$gJ]f0/jgES$Z/]9]TB8(XZ]/S.biVOL25'vk/1BW,*eu*m<'p
U"%Xe7].[+AbY,YGm^)&6(>J]rmjd[Y.SUsibDxXu3>(T=8L_OA&du4>WjmkYdr)D
U"1qacKZrk*h2PQb.+X\g^F9sh[Qjg*3GS=(,F:9MA]lv9_pk+#v5>x=OVdrCNa\c
U"^dfO$oV.AY5r-mbTlIbhWrX6YORT_1mgDInB^5MnFx-#<nSFlPv+R3u8ds6OQN=
U"?w#(.8Cp(43I#vOULaXGvFW;$]GgW?/gP(C)Y(H.t4O;+c035rty9$[tw9Dc]6i
U"$RMEsS0HH($5T&HEB<H5KE>L++fQiQP%6gUO3hi.bLE1>v'mAc.?xtsDomXwHt>
U"xrY*$N%$ocs9xu5xoHl)dNwkR[wa861w)=Duu4faY6FNinFN8M(\5[+K<SeQeKt
U"D&44tl$UBQZa$Hn/OjV::GSFPR5uH37Kdw4&MgU]q/[=BR0m(9-q'&nNWS5h(To
U"C6+<3%ASGl\TT)HIp)xGO%Q'$7ua77GgSAUQcfDVl[gDPF<=n33K/pKaK=G9581
U"%-&Q+lly(*FG+4)iZl12Nw6O2KSU3<JCiH]?0,^&,4q?pQ9HqMm9$&+%EYv1*<w
U"p#31dpFNiCKJX6/;FlLvGm]D7:\Bd6rK$i2q$j-USKMX7(4cKLacXOI=_5wFd1M
U";WdV;SARam\EZVE$p,VWk/mm*qD<deAWVKEV<?I$YLCOe=[LaJ<Xg%hd(k_ao)w
U"(:Ed_)eV\3BS4S?^R/hDoOF);B'3'7=']04Kx.#TY]djubS:AJ8'-7/qDlApNif
U"xofvN(AI84-Mja[ur86U<,nY9GIqR]BdFeor[%;CX)(8OH_Ca;,a$6Vau9YpDvE
U"7/5iNbI_frIk7-bKl0I'.B)xA.Xr?0]ho7;h+Z>W)y\jp$ok'7/aEhMmTK0kT)^
U"2R0fdi1puyH+L.&2]D.5Oo70BM\_)5Y5TWaK;pLggbWLJ-#Mo'+:#UI1\.y./kU
U"^I]r=Jw8]TbmgCE%,&7CkDS9rGSKtWw9N]G5bT<t)q'dEAPd_p/8KD=O5Se/A7d
U"35WeL'_:pk>aDZj#4_Sha%)R5IcSP0UHu.KA&4gG'IiA<)DMkGdB2L>PXP^K<YQ
U"ibE=0:((X$%ZAGtyPY[Mu7-]XhU)i[Y)Tk3*eF%<K7:TS&%lSW7\5.)Z>,hmlPU
U":0\j]*ak;oSI[VGT58Q6>sF]9DhQdAiBKe..t-'*oBQKC6'EpN)c>I;i]jhmIqI
U"A&P]s9Rss1mRZmiR0'>Q.]:Hk;D#p0(+5M(oI>.v40Q_K',Qh&*&IvM/iYvf<%M
U")8ske=I;e#-VZm(tIi,U_6gg_aXi<x_B_oOVC[PX+Q]Pe,B.SW1\asTI+3P3^oZ
U"?PN0j-D9f](i(F%Veriu/EK#^NDFH;NNpHt-oXvjSa9>TG?iRe6g]#]Oj+Q3?b[
U"qFGu+(bbzkErhGRrf)]U9R5,#a[j/6Ux)he,aZ##ey^(O/^Gq>'mS5id#9^#5O-
U"PNxq9DfuA[s;R2/XgWF?a#$m<5Vll_aX\>#57fi*ERqHeihaxa7u)7+U._7n>lD
U"P:JO1osX(*KO).m_f-gs#BaJ\d#>ihUV/?W$_Xi5Z2Xo2+<]2g(8wPSv;Wd'8oo
U"y#k1:dS:N8aM7P'5v?iCgR^1^/1.\#.PkS]'<U#)HW^Ti^[2T-l\5>ehRMG)d^_
END SUB
SUB V8
U"[\g]%)5YI]AI&=Db]>=9f;>P*5HUc\7xW9(^iqfbcb+:JKjoo'bqa$xbFtHCM.2
U"M;XuS9W-^9GwUa#MUFa[5V=FLo.W-GVT]=/*jh:Cm,[muH82&d]I-t?WFJMO)gJ
U"\a/o'1OaeIx4Os%BY.V7ji?0>[1nd,1a<]F]cxW7D4r8AV*WXE&Td.1>(UGX_w)
U"7=^1HnBkbl7MDG&L%,R&'=CQOVa7BldjWwt<LPoBT-Ct(j#lR?s/Pzgm\D+hF#A
U"G+I<3k3]Mo>IiYBJDP:)<]DLgPEcH5mzO+6dgI:.rrk/OuIp8Q+jX93y;P-;&Lr
U"=uL5V/5paK)WWx0Ia]e4C<I%H_2_VWP=GqFt0laNPJh9Mg],V5Lh&;W*&\+G03Y
U"/Hkt-#JE?_vUAKgv-cen*oHiYsl8Z3l)7EDG&Ga,'/J40x-miJKICnFYb.G(zh+
U"rMLJeDHHdKW-yF&3RFRDQAbWY,1ppINGQvJ?lGAa-FPc5Rdw<6.[hECYQL^-><d
U"a&q9/c-1EPkHhlLw%F*9f%g$Ok#xxq-Y^mU']58^]8I<ReII*$j%mkGEX.2>jOi
U"0\iq2'am&OwOzR*L//1.Wt..v2rIFCFhr8s9d9#b7X[d-'WxUTIXDW4u_865'l6
U"6U=j.NS,2h^$)4Q%(f:D)2e'%An\WmVyyBmGjcngMh[iL5Y7ErTRgv>8gbJ2Zj5
U"D(?*fn)<_5u>mRM?57ZDN^VcDUA_cIgQ(cCrSnkNkgj6Rqd5eAJ5Jz434e$O[F.
U"KqmI;^rRbn+ISp0DcLiUFR#3K()FpIs<(BBTSnD-Mi'an9mS+S]W)Gob'msL'h,
U"beWtWi[ktV9<d2cO+OU&o;yH6JKZ*/2a1_H'+$1FN]kdL4[l(&iE.$Y'_D3oamu
U"'7v-h1*e,M)#a+T,Is$IzVu_DWq<8S6u*.J&Ln/k^&zT=JS=&y$[CjGf+-M;\'>
U"s;I5$G34\S(p_bCicuL;Z=67X;LbYg&];WF+yd-1Gs_-WG3Ym;=vB3]=:HZ=g.S
U"q>)7'FKq>Vh/p7sx\7o/expqE6-moGM=7XYZVdn_kUgi%fILL0G1S*^ckF9<.K8
U"(l:w+cSotCN9ctZRhbYS17&gW2W.^5%fUK>WY=O.o(N4TS$%\adxm.S]&X;t]mp
U"h*hEnXspcdp&j:h<m^GM7)E45XE]&T<2O0\82;LK)+5jAru7T3VGJbrQC(a\Qeb
U"OrQb3-APhu&Hs&ku8uQgCDm[..5voU-ED\5lsspPnd7bz?_+eO:Xm][RBFeRZCA
U"$$mera<IHZGcSo.:#_x$bArHJ3tpwJ/q:\>&n8i*&Wm=DQJj#JTVS=x%?bL>>h=
U"SJJEm1P:8MW-ocXaCBZiv'E'=n_GghmtRah#I.G+m.QYBUq)VbrHmD'2,8Q+=F'
U"65<.03T&do[4c;l?QCmbDv^jnes6n1QZ'ecHBXK1\$J5RRqoA.gc,vP\ag9Fk[v
U"GBbSXYoF,=tC<4Ft&Llgk;bP%^W'Vf(dI;2PESD8s*m\5WRVuKJcZ/2+J6wApHp
U"(PVKZ>[6)O^HJ[yVR\C8I1^Toxh.Hbp='Hqd#o<:&/X%m'K6VfFGS)j<;g=epj7
U"Io-8El,^rbIK)X8SLE9nFe=[i_Vg8^GDlf3AtadR_N.-s:;bU2^^b0rmHV2_5yD
U"t\+/:.$Pj)hjDvnumRL^ha,vD*\2qw2+Q?V2zaNeAr)Lrrjq[6;bRlrP$RVJiQ^
U"C+Q]8'=6X)vnFKc2UT$^jNa(6]ct]-qc0e7c*KW:JQJ;SjUn53oPqPq>Td\+$4'
U"$K#S?L2k%n'WvmUMltw1[k,]Cs;<3]JeEKeE4V.$ZnE6Vh.CR7L)KhZl2.a*F._
U"*wD3r^J;aC\QLZAlig<a(qv6q166onAo43RV*_/UbZd+ojq=[4*16_*Up(U8Bj[
U"-6WAc?04iPeZt1L[\)G(m-$\le(''i8ua0.Vnjb0YDZd.;t9rWu<pPsm,_K8)eN
U"ycR+v6_TpW<zj]2$MT]CcViO%1]Z#T\&fJRPP]BNAFR3^jo1Q:q+RrVq/s$Y<ZB
U"vx;TEr(lx,z5(C,9d*XX%al4#>-MAoVglI]F0C$IB6qr\os]'DTqf&RPd7/9iZS
U"xkXNG7KQu&l:)^v2TIta%^rSH7)2Jj4t:1P,P_YHr2Za6N,DpdFj1kk,:a-#1_K
U"h>3_pX^mRkD#&k/IBFH5C>qDhv1ESK/V75oJQlL,*)jl^?>M0TP%ITFRW$g.Dyp
U"R=Jw1H/4uO=l;YVk#/qL/_I_I%seat)1CIK2G23i^sd#8-q>z8j[#/Ke$es6[ic
U"4=4-=b/[S&b[IzG-ckZNQ:>s5on=.j'LrBAL7Ss59D=GHj1'jf0rGC$]Acf9#8I
U":3P_1%b:^IvEj&'Yx]MCI5Pm_otpif[-A:X(2rQIAKi0/VB$L:XIrm]kyEhFiGk
U";2xLL$0fp/N*)KxnAQt&W)WEfJck:j;%zkp7&TM73?dac7L[;?c:LALl,-s5>H#
U"#CLg1T+OqXUxco7fk[tx8=XZW1an'X^aVNoWlGFvm2.T$bDH]7mduN_dG9^Gmsg
U"8gli2<]8)?NHa+NG2N6%l8R+BFKA:CoLL60aCB2AQa92$NpZ+8B3jakBp&7M&EV
U"v5q5);.5X[N<aeBUYENmk%%n7I/(]q66l&JgBCF+0''AzD$#FTe=K\yg*^uS^o7
U"tGEDtYXk(Iy6X5#Axo79TVVDFCiLki[drlkSW^0=)$JrfHlA<-qZB,e(Q2q9]aj
U"rNx'Q-i5p8(PASrk39^,WMbSHW2_KK/'#Eu8Ic57Imseu(:]BZW>%;?rVgb=)%%
U"n98Wa,9o)Z6NU:n$Bg-hc:k/Uw)i\pi(]CiW)/T-C5OWU434ER34*HQqpTRI'5W
U"h$cS_#jmGF^0$ia.PnP0O,9?oJXh:8&JH:A0#F9A\^aKe#7QW,>K:gGjz'#Qb6i
U"U?SHFJ=I\RcS2Q*+ZCN$\$^j[+<j%[w&a%6H3:iXJ;auUB>qWmXg?Jx7LYx8)Du
U"(Du.n0F3l;qW-pR8O5V'/wO)qO<)AfiwHTCkfb#+ej')CTe6q?fV]UIi0XvR:g9
U"0tFPY*1*n?%ukY$^ccFR\Hv1bOfXv5W]lCL^pNAV?Abf]t#8vG^jgSOweNNvos:
U"TdwZsDQ$2'&s/][T8Db\NPunL%F#Hd2#j:rPdfC(W]KSY'J#3?+cgip^sxWuytp
U"3t7f\87Sj-TZa[/HU^buTvD(o_K2wW,I17)Xm6[nsew&tNeL[qCDS7^T'LU?CeW
U"jmbI\VxRJOhpMb?IsFvsT7B6,PPl[N?7un^.qO(+lC<DTGJ(0RmZ,;J8\eQJJIF
U"IG)hu8-43;R1/e\3Mw0kCqzDq#4'c3X+d499ur\gxMV:Y(]xNCmh500XPc0J^(e
U"2r1=vCcc'T=C.DI\(*n6;=vcwjVwIB4MWSXcO-PU?P_2e?b5kM/Qb[k_%0S<:8:
U"Ad*HbLLYjK?p=+Y-=-d_fW3D[D_cE^_1\Av7vHWVP5SMs4kw#74=x<wWC.]L,U3
U"e:b,N/eYIiM)(Xc&j5g9C0DEWTj&5Q71%h(*unfP<C%:=[JQmpgOiX'QtoK\:9L
U"[O+Ede%<U3>%4c^(sAa4jU-FDo1#Zh8FUMFCF.A95KIpA4e,qBKtNWGr+FiRP%#
U"b.D(+%cFYOXkuJFOGF[/w7(TI7n=O.L64c,oK('5[Ev]SB,$LM)GFqHLcryA*)U
U"$9k+55#+I,H^qJ)s,agkwJCUr.i9LD(]u>c#ub*=EFFUR+'rbGkR7Ze2Bpw%2b(
U"kii=-$b=VKknC9:?bNWI$<F7M$'P&bo(5A4pdtVuv23M0Fi<mhN>[%\9E,.8G:]
U"(F&hSfEmJk&X4YjI,58,nm:(;rF;LL7ii<eN[K#k?,[[IE5:k0H5p8/0'nqiiPZ
U"(<7JFDY/(SaF81Re\VHL#;_A#YunIw#J)Dq[J7\e%o*?qP?li3bZE.+)UP#F;WG
U"g5s?:hR7KE.p=dB0oF%Zr[=q;S)Of5d;]5bwS#vO=Zi]h0vUv+6V(I=S]jQ28r/
U"FgO(8'LntRqQ\Y5z>$N2k/-.:L2&j+].H6bi2u>1&Y4XLC,G.982:Glk,1f7Xjo
U"%-%X6Z.]5]Rs?TiZcE?Jx\)ZT-'O87D.I%'N<R='Jow4_\.e]h//X2#In(Mb\=f
U"jLjb)04SbgKZ1AW?3=v5gJav>.T36=uA9<W&JL*G6NmU?b&wf=$qH:M>>n2#p^M
U"foRfX;_;&1V[B4sR1tyPiddnXK\B_qfB/Bb1peu%+,:S27HRN2*tAUx_r\Coz4b
U"Aj*9)Tu\yOncE3o/<w1:S.%p6V9;h:4*R]]DToDW7Wus[yssk^2cHhS-S<K=eX8
U"QBl7d>R7hWL-m.*6n9]6t/2Vgmffooq8$55cVNK\3DGV<q&J'vwaHoh\mp7AvN=
U"rsDjQ)Xt.E'#riR\BUCVJi#+mM(ntt6Hd6Qb$ym:Gu8i?Fq)t>bcX'#<:Ia2#B)
U"_%Ar1V^;5w%d^/TDY<ol.mD'V\&jD8MRVsYlmqp;.seuz<ocPdQfVNzf&lx79gZ
U"PA8Jq*t3hA4F&Y?JSFRY13>K:lKRDPZo1eqCaVJjme*Akf,Rq?d'Iyu&:ARoC)A
U"[IjI18YbKE([IAn<n_21)bfn\-wQV)<,NqCFvj;dvlM7-d4de5xiGP?w7Ov4rP'
U"r1o8habEjFpKazj\(I=7esI=*wWo$QHn^gA^DJt7LAtwG-nKH'aeSANHgU^U;Hk
U"\H&Bm$bMqh;mGVph[[,^;$.$m>]b^O7v^*^^3GOO*Z=CMaaW+SF52.d5XD6_GD8
U":\;A3K0A1dH5jl1bn/kUqPfw]T?s[oc?bzO1ZiGPbVWWe.D.MBHH9hQk%B&hp_0
U"w[F_X_,'73YhQ4*7_W/WkCr%c#rbUvufJU)MGUBbDDDLf?]%joS>%RsUkPjc9'W
U"7fe_AgK^mpx;r\sHbkjcJpVLu7LxPk*[u<%J&TNQOXW6bCZ53a\g7;Y%h^iea0S
U"7^R0btU7L33^qu7O>n(#m^G4YuohPwwC[s#jsNPMGnCGi4Cv)c$kzsgO+tq\leN
U"YAKd38p'c4H%>UB_sU97kS,n50elB$T<DN9&azPg1vhqo*Qm=,n0L.xp:Suu\Te
U"A*I89)wGxgl49g[16#ya\AsLf8p)oV75.c5+j;w_*O4c]l6$R9KG2\:J'M/SNWa
U"G]92HB=E'dkW(=S3O1M?2YttkKWEpzH9qtKdh8tOX]NXNP>hqyG=W%&p55soo-Y
U".%g[SK(6IG.P^qtmgnwABIp?;m1s_#z_RR*=hJ.;^ShMS9\BsaD]W6't=r:O(sU
U"ARU7BKEhtpp'aSCc/i=#g6\gi>]Z%qdBqSCf2[zFD2N^X:RtU7iJ\h&PbVlB(=X
U"vpj0JHTa<WTr8\c.YE0HIR0kRsT5eMT8aEVkDaN]TWU<LXWJ_=+Hx]8L<8-xu$N
U"p:g)VIArYBl%A-=2;SQ%%Mv',Z(\Y=f-As/bH^?'NO[cBc\hUDbn17L,&/Xh%%T
U"EP$]MZ_tRdcxS,3q$AQny)ACX;-TueJi/,Al[.DLT(LPku5/qds6k*X#gF)3XlW
U"O+WvQnH&?/j]Vianbb69^rWNo77qnjD%6RMxk^FNNPSL3w]elOs[cw5XKa^Ydp7
U"q>1'x%P,Yo39,%A5?c=B3I2&T&E*<M'ASq<-<98<FngM6sU?2a-6g5r$hF'N;uP
U"U*8FQkBruTIGGJLg<CXB^.SY_Ij\H[L+C5m:_<AQ59yS=:&Vi[b9,m-.]TfpU7A
U"^$I5Vnw*JFVA;#.nYKYU6NqyU(t?6E*G$6RgA5W[SfWCWgJ=+aJsSUqe0VgDhT:
U"1hTSuMGUBwZJ=b+<Ja2*Z2,1g*[r=F^*7B.3Cs&;d'U*?C<;Wsa$gSY28DFR=h6
U"WaUT+CrBP[5xX3:],uL1_R,PFG>rl_eACu'F_RDrP*2MM8pAw[spSpkaD,di-K+
U"XK^<D)m]wJ\olLMt(wz**LR?EN5C3p=2dOA4R1pK3k\q4]NA2[f^#4Gk2gnO#eg
U"CNslubu310q)G0>bLb?0J%4Vg(lagIX)7hf]^wUfFZm?9QoY[h$hurfaVuQH#^0
U":Z?m2+h4A+Dx]v8Am>X9;[VVr:8?VFo3PsrI8h9'H7uN($gnlt^t(8x:iT6?rV(
U"oZZ_r066h]Lf5G=M0%Ks+J^Wpt''nkp,r7qh,.v(KHFtJ^$tZT[3N+0Ns=AN3Hb
U"5/kP7'XMJ[Ka=0^Cwli#l-:*#d-=HU;R1Y#\MJa?-tJ^g;fevrxy4/0^[=Ics7z
U"r7,i.QIOVtgVad=XA&zHhl+aZ+O;2jVEVL=$^8j6B&#]y9?vv+#Gfb+I&=IjLMM
U"A#O*?4U%63tkH0CE+:CY8+v$pi\Q64S6J]87ummkCbcS=_VbtaE_r?2StvjUqrS
U"shQjZ0ZFyPQ^-tG-*u7[P7v-k(H4;*85^Sh\Q9x)+qkl/_Wg>W(;H9VnnB3gtG0
U"5>tvx\Lshk::l)qo)?Pc91MR[zNsfYrZrrsf2%7fmFLaHQX2M(:CA.KH84SEFh#
U"lx[?OcEl[HK_r'Nx.kIRpD8^f:5,\MQO[$l$HNimdCDp#.<3Lf[tsw]o2;8A3PF
U"nAh;uR:f'bYSk(v&tamgbEfA<FllpuN<8zv&P1sj=nzR7(c/52K/i(>N=0JdgA$
U"o)HgpS_0T;5,/nkF3M)M'e)4z.Ky2d/('bz-_Mpi(^;W9H60]^_w;&_'4:ZwXk+
U"Fyr93E=^;4qPNj0roNG&beMW7%rYFn%L<K>[WDYRrH+emS.+Aal>hX3YX#pbujk
U"\ZcxuhVq7=m'a,IcNZU1w&?HY[SaGIbu>V3snix[vi)=d\eor'$YgXy*eb+Ugt#
U"Fbhu$Mb(3LR?ZVBtVO\fVawp?<P134kLGVn(c](n6znsHNrz9.Tx%CJcaKjoGdI
U"#Xluj(Fa7ia%5a$3tm&c6Z.BSRk6:2<3qh,e$O;z[IIM$ZK6AKzbVTyEhr]e#jC
U"]3oLcZiV_U[t1JI7/:HL4jUVi;8:hN8qb(Z).(d<MG1C%GZF)C?5&1m+q3#wF31
U"26TSCM\-VLMqPB/jkD?iE1Blb?DE5A8C(^5&Yq&HnIgnxLWoLuX9i\Z4R2f;i/Z
U"G/I,Ycu]0%C;'A,nm]$I2])wz\nTk.7GtcDLLPZ[2/B\cNoD?CgC42JX'7fSMT?
U"4#:J5N=F+[M+Q-Ttz2kMavVhM39Nku%SKXtxo-m&F1;Q9K,a.A4?Lj<djeiiFSc
U"FRVqW)iN0/S/htuJXgl_v[Ed)xCIQLH%]aO4>V$fjjFEKTT[Md82r;,B5t2;n)$
U"mo;dO*9NF9(_w?%VH0RYyaDH&Eh8gGYA1^:(9WKHG\c9[3P84rB#LGi6r2?JR37
U"sNw-F_W;FgnBc]P$7X/*Scd(%^o]qsL0YtGD*yMedwNf;M+jv[n%6Qpo]wE]d:o
U"q-\ZYvSeqMYH3OuVlDroIZM$g?mSZkJa0gbaeAeDvrIVS.ujfj]BnyIo7?WLk8a
U"IM%'C<&6x%u=f\0&q-I&yFT7OzAZcWbYMc%:6ZjgG+d_sAe6fSl4NH+Ya:T)>Ko
U"3i-qX.2m]_Cc[s?Gh7N/>:_y%x:tyKcN_i?3ugTIYS8(No-'VWzf,I(S5;90Y?1
U";U/Pw_MWU<2P-h*tI>GqWR-kXVauR9T[(_ql&d.d'l.jak'v,aU#OgI'Pv'Tu&7
U"&fR\)d1H)/T5t[*Ml1WvYWF*8hhE5F(=m'-'1'TVD,[2rC7bWw<w6409Z/A+Qb7
U"8o<ry#p#\SheV'\Y229C[1\&9b)J#WitSHcCtJWu:&>6'-FZ1VYW^u:;].wxwce
U"PyYJ3EU8Vu27XgCEPbjTEL,GDYog:Av4I4Ml0Qh8?c?TJF0?wC_9?:Wu%1WKVPH
U"qco4tN3P;jF_$)QU$>T&l%*,P'X>rSqUWsuXo(#C7J&YMsGC1bhMKg>;6X,L1u/
U"(\rg]l<TtC0D_FI1qAq4%h4U26^hY>wAnhd\)if&DJlUw055Zh<vs>xgHHHcryy
U"co5_Xai.l#jS0wSm8/kiTdrY_'gy_l'5rYyNG$D?$;*zV:1P%VmHhI&<7[(P3,$
U"uq6m1iW%vBr>XX1fW-C%LPFHAow0.z/q*^+0k-&&(h[kIlP9cN:=(X+i,('Z2j2
U"/[le#/kZe\PF(lr>/%8G'&+2=[o&mi:Gn='soU:&)UL*IgUmg1)U7JjattLY/2%
U"po:7NMM/X'/JqmSTnv(qpN[&>wc/[n08+?b;$X9RRR:4]zelV0<ERQIZg;40Q-a
U"a6i+os<Pi,vp\1Q\c.[$7\S+3V(+1<4a*8H33NrOfaI*.'-idPTgTCgpeVd9axI
U"JF5)x=U\d$GS,x*BT&8[bfv&1l7<nMS(tvKBVD3JM&yNtKWjRF,.kNI^%:Rvael
U"_N/Q3aE]9?qgiSc:7];0=Pd*Y97n1hK'#4zNrS'8?g*wKJ&1*1YPD\;ea=3bH_a
U"K42o-,,ygJMK43^Sia0UjBe>eVY.Zl?NSAre9&B/2St/hf[eZbbDk4OB?>0D%pF
U"200.Xz3UfivP'PujS52aujA5=[T:-iAXF/=HZhgtT#dv+xoXUK*O*?xf3H)f;'3
U"Kby^aLogSylg/GbwZu,]'jF1Rva;DfFDso=X&s7S#kvF#iwz5)oM4-8dRV4mP*'
U"2pS&^jh-kZ[Pxk^H2B[q5Qg].ZCo?iIauC&-0>(2pu\O6.MKRk4rBov%V>Y7psd
U"Fb2o/SXjg&nL&C9C0LYaX\1ZXo*(C-r?Sv>PuaiG/]./LA;k[PR0+9p]aKqjc;l
U"A\;P0ljiWsU*Z(-dKT\;1%OGXr'BUBU::As8O[?cM=l\a5+I2nG6(]#.[ESCbL3
U"S<)r\D1sm>mC-J.Sl)53pC#Z:5*HN[a$Nj,hmTP\NZnvRH?xV._I$#wNOSK.b#6
U"g7VFK(0xb6u(9i<V8+su(\J2<eaI#FCGUHa2&jmp'98Loe6b)4ZyOpRg.eiw0Pn
U"IBzruT\+M9E#$/GJ83t>g+uNsIjVY-*;s0u]i7)qS.:x<s6ovrS=%o*O*O1v1._
U"e1hQr*nQC^:xG=I2G(lBV2KdhQ7ON0.b<UevIdnfE3?I9&u4):8j<$UQ.5&hJ.:
U"OcH0=XEGXEDx9VXKvs.5jI_$OGvIoQH61OkhTH5;\Vh$kDXv4L#'TV1xx&z9(zs
U":r'GZT^;.?7)=MB74_jG0XgsnXA,K9Mj.M(KlBuiaW&p%3=6f8F)8XKpTbrlt.i
U"SQztW>K<uKHtTK;Z#SeS<k(gv_wg8M0Di\r,m4o#=8NT917z>SF1H&Q97%J>A7y
U"l%--%J[gQ]S^T\jWBC+K3)xA:G4/eu(.,eb2oUeDuLEAi7^6^J+GPu=lY?Qbe[$
U"S3C1996gyqq&=GYREX:?.U*Nbdqn-x>lHiMo/(WgBA+;KfYs9S+j4qSL;Xt-IQ*
U"fuCQ([/AYD9\eZJ>CcdNXB,S--u)A&Iuq=B:zf6O]L+vPiHchkr2ee#WO3=K/1t
U"X://<0CUF19?bviZEFH7?>j-ZaTdegeb.-21[rtabDT2T9pO\6[+%sE1O..d5=(
U";).YXRRVpZ6XBLMT(*)dmD-NF4wF#2/Awn?G=mi>D>O?:NVq/wERo%NuPaa(Pks
U"TgCd*YQoFxlNYowT4D%Wa8+G)7ssLSGwjBxgfP(KVIJWp#u--JPItmE(5.)ruPQ
U"bUkT0K,t2,;7O4TFbl(m?DZ:gg^6&t,LYk^(W=Vk_0C5OwD]8w3vV2-1K$aFnq[
U"gcsBm-0g'f->fU)0L^2Z#FP9]xGdwlbTe<iB<D/F%.ko%#CqFc=3qNRG>X\.7La
U"'&*+ej)MO2TsYJ%:rn9q2+Zd7cmv%\Eo($tXQlTvgd^-1iD\*^xBJovMkq)D2Y4
U"Kc#qHz+Oi=6JB[Inq?-I&?icrm)o,m($LHWXMx3AZJBM/.3mph$d:HBl_V.9];q
U"=n'']6sbk'^i7o^J+\&4._1EI;7y(XEt\+.1Zayv[Uesvl0d<XQWU(b$5maqm_(
U"9Y,BJKIZm45F?W3i\a7c++bg)ViK[yT6+#;GJoesV<gbgjY2W5By/efcFZPe/)k
U"#t?0.,-wnW9Ng2tQERx%&up&%'9%9%%%%-L%4;XR?'GI)8>W&.%b0(%%1%%%%%%
U"%%%&%E%%%%%%%%%v%gynu(x.oS%ithu%p*+%%%%%&%%&%_#%%%h%W&%%%%
END SUB
V2
V3
V4
V5
V6
V7
V8
CLOSE:IF S=26AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBJ.ZIP ends here. Last page. TCHK:26
<PAGEEND:"Fido.Faq.File1">

<PAGESTART:"Fido.Faq.File2">
'>>> Page 1 of QBK.ZIP begins here. TYPE:BINAA TLEN:76941
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBK.ZIP",4^6:Z&=76941:?STRING$(50,177);
U"%up()%9%%%.-%$qSv?6O%Gh8QI&%]B%'%1%%%%vg%ynux&.pSiRtheLrxNS1u+a
U"hrH5u49X[V9UAseE<V8b6KA#-2.]+=oKu4pf#&/&cV+[QK.tLpvhItXa;d>qi-W
U"VBgLDnjbv6?K7Y.X?\kpH(SV6RV8#^X)GcKXDdmsZpx3=_'2HZ+f(5m)uefGjpL
U"O;t;tS3JxQnJ/Nb/uc2DB.yKK'liVldJt\FL6._mpN_mJ>Mhc']J>ruP7t1#I?7
U"4mkMc[+e4613oKf^xcKnkDFD6bQUb0[>,O>nKAJCiUC\1^3n[gG1l$W?kM%a+?[
U"eZ\,<k3)eHgm/D&t'N]:9nq9$Yq7hIPSv^ik%YI#G[]ND>aIqH0<F%e]?1])WEp
U">'b01%,&BlCQNT5c$8tt#pqjpr-*mRIY2Jr4eeMJB<a4aCjTbM)+qV2+&1$cUt3
U"$U6)Dc[Rj*shIQI&HaGIp,Mo19^H0faM&.TbPME7D%v&1H?;^CKhVmn\.nB*Ag,
U"ph^i3eT2X=CM0h=jsKKv#ZK3tzP1qS]SuS\>perkNmsr\FA9rA:);\1L(EPZtAu
U"B%xG<FQVij7aJ]M-'c#.+S+)>5)O^(n2HMqMUg\CsBLnAK=^S;#D/$cI>qM<Hpa
U"pUO=O^0%[FG/VuE**sc-CC)c?Q$O7Zigcp2e6l2C#-rzvEWMOf1tvXVnnx<lJXV
U"5c;bhd,Jpy^bcImet41TEDbSGe0')emQ&RxZZfgNp?&7OVJfZn(mO]<p_ocY\DK
U"i'_W7fAseQ_%o_h3f]UER[_u1&[QiHT'h.jJlx47XoUVDHg?P.y;nwRWif0]=4b
U"D9/R<./]^?7U7bG+B#4eD_LAt6U:h4=*%4me7lx#'BbXad24qu>E%=kYR:5a#e/
U"c30aGO=>GV+'UZ0orEMvv$+.N^Be%^++i4'HqK/%NJ79O%5t\xLY?HX;UvVA5%W
U"9\+QB=2xA'*O=>34m#I'DfgSrlP/Q9[si)?=,>\WC7[lU>dZa]qcGMiOvV\OC8v
U"ye>SAk^Y;Q#Plm91(\3g(?HfK>0E(BbUrChQe2vdWNTi1#nk(7>2d3HuE(Olwtm
U"7IdZkLI61Bg7>2d-'e^eb9C-uNUnLMO;1'^sUai)E?3'0J1[_S6pxtJot/9RLDA
U"?(>_,UGOIwu)j$/$6pUpVi-&3*f-kFoaOJ3EWVOE<&2i*,\oiww#tNxM8ZWneOr
U")(U\cFX5^HB^0LR_A3d85[18mZ*AB<syI193sX.CB*3mZh&Ed5ZFe%SBXv^qm,F
U")0#0N:P3n\N?p-r[oqvV/uk14<-,p3Rlp?i:4QBUu_?'#$tUlfYd-:k#Y=?b-iY
U"u^5tU%&((QpAT\Mm55=.K?(e.g*-0uIqIh^YP%(U(oIa_q]>qaUI5B92wds;^\(
U"+c\$t_^I#15P;fI0Qx<2O(n#/r$8so0M>BL;tw7:<l'K$nh=GnYX$L$B[vF7J;s
U"T/%%%KWJDbC]'-h>(p^b(YZt]029\uQ2#8jePC&pfrn-0LlP0gp<XMt2*%m$3YS
U"T)Cn]'c\Ti##[3'OPJT/FceP*Ie2WTlH&?=-u$9-4__<P[&,'s9G9s'aAW,w-,M
U"9pqo)jp:<FHMiq1,IObr\bLN+^NG57CERz9GO$?q#dcKxA?UpBjiBA3m%liJPgF
U"<p<Nk5s98loe*l/U58253wMUb73Ngx6\2&$q.'>K14j\lg_DHC9_kJ<-K^il4Us
U"=YUnF'-I/[jXVtjQ3L[a5^NghB3]2ccqy1dh4mD-AsKN%Aq7wj3A_s.f+I:Si8m
U"PGvI6l.iTW:2G/3+,7)>R_b8e?iWYJ]+XP&,UAseqkNg>d&H]R&g8T\LY7p-=<0
U"NVh9>.XCuLUas2c[f3bF+8fo'lBvR6bk]>%KB%i%eBh]W&t/it?3LMJ9b)7l,CO
U"M\]m7$d3RU6*Z\D&d[kU6NYY^DA0aMi)Q8[R-*'gk6rFwRPg'ro/(42cR_>[<Gb
U"$PiQ#Wb%G52kT#>ivjW=_F[[W=<>+qPz)kT>]g)MzZQ1gO)jS$+8aTCb)NXWYF\
U")U/5qblv%^d]3wb:r8kLpX_+-ZmRnlutrXN1ycD/qTVhSf6=g?3iU>=Pl2vrfD3
U"]Z/JX?DPx8cOm/?c7PC6dXF20teKCTJVB(2-evjy^Y=0L;W'dd]-gF7^29F]5o3
U"0,(dy\,J$DnZk(PxY$]^?Okcrr^DSlQ6X.:=7,5Ig[yj2HB:EvCnhdbcMuO-9f%
U":+A2^ohzH^/W32Cca;=X*u$lN_G62o[/hn9>Mj_V8,c^*.RHk;+c?%WJsNRM.yh
U"#MQ1GA/h?ZK'49Y:$'=Ur4pZg:RiMhOk$[C2u.oPGj+mF*tL3CyaI'A>obemPen
U"UP[Ju>Kk9qUS''-*4(X3U&s6sAqaNOc1-O?\ZJ6&&Z(u.3>vp7T?1buC9v2CVq1
U"P&?V%va]4(nCHe44&p_/KLUorO,i5L51WgA\NSCFF1GNWt$9#o?alQ+*Y5?=ArI
U"I$+k(;,bmVqW69KVt(mFyVRLAyVy*>S.'72+phh^;:a4>WYpC316[7d)q(K+PU>
U"_\GX6>8ggAsAj8VMli%<be4?JTt:KqE,y$.;$A,vQOB-4u8%dfgbayU\MS\B\Ts
U"L(RXi5Cr?MqKc'%'cZ$;pmX/RTSHE8szXI)X<BpFhSTAv^e4h:DrW47-JVsKmT*
U"pR(Wq+$HOp-[q&MT])H$g([B[:WIp[Cgo9DY]_zO$Oks5C\m[SQYJJ3^-r/OM_U
U"^$W:3&?)HkXpIZ8:p8D6=mnkuhAOU'#fc]s+/cn5ps$)_I4mIQA4p\QY#APE6Z]
U";)LLoIf)a$;T+GIWwx6-O7&#,sOnrF5Lc9qyLSYW'N(kX%Q\;Qs'ZofOnd/4Ffr
U";bA4ks/hK]f\^J%<NV*3ZDMbSuZqn+0kSzE<Ki3k?/<?eJ(B\ZO2;GQ]E1*92j/
U"\9Vx=5Y41B5m=FtwYdhcf4%1z/It_?0d;-&7&2SwS6;jOe#n4XdN]&x18$mM*Nr
U"kN>?;P1/mA-]3Kic7s&lN4lo<o#Y)W?Pe8-b]Y?L,9lMbl-?FkuOL?p]ops7<<]
U"ol4&CC9V?h[*&Bw*YJc%+hVaOS([hvWJDD?)R9Q#2/Al&GJ'.,]T6Fj3lAkwp($
U"]4UEb+>3W[e[LG$8jeIh,Sdi^gs'4=KLyWRRXM'CDl:&z*7Uuj3X6$gO;)QXQfK
U"'c*cf4?/Ak?w*m(Y1qY1/*&h?aU2&$SUH:pgt\%Cc[#5S\a8$PN*&3;/\(%721Z
U"mVbQ2&EBhIGk'_&faI3'w5E?7/5gC5P/a$3HD-rjt:.yw*-<4VcWY?64LeAkiSg
U"j>n$S6m'gZWMbRn+VGPerZ*G[5n8#Q^PWuelgcKOk&jv6dGdk09OdXre$LA)EJO
U"?&6o2XG--OY^CU:xT?7kjmj(<+#*BUhB6&/BbsP.DjJOZnb/%8QOJI*U^5G-F&#
U"i-HTZkMmUF46ie9Z9tA+%>eJbs2$W/EL2M>#XWm\Nx6sb>I%VhhLb^<j>&NU<a%
U"PvVzF;))p[QJEkQkhBn=fEqH<rFKCEV74v%r(ET#S[-ed^5<?4^5>+08ue_5OI_
U"mU/gvOhIXW;W-x>pD:YQ.m].nF%I4co%CTb%Q=KUji+da:P8q>w/CEfcL.jSw&A
U"z'c8r-D&TRHbfu8fFY585-p$=T._Z/0Z9UK_AO*^Y*gU4#x#b\UhqUb/r(i;A%u
U"7DR=v6&h$[2C1h5GuD\T#bY^=WEckJH:8C>=tQY:^Um':A:5GOUpO9YtIX0&vAU
U"<:T$06;]+W#:M>4Bd=:*pAA+;^SQ\W2DYdw&I,LH^1wbE1GPB'DYQt&]wm.]0E.
U"Au7_^$u^V_CtAQheZ9UHdA3qR(7x[>$sH33qLXElHIho[C)J^BWq>HLAOD]S#-(
U"FL5^*<qq3fa-YXOfEr3sWbtDqML2BfP*bljo4Xr^Ks9LS:m,fCldLtqnT$a6Vs#
U".cvvG\a*eAI,Qt(t<_/%gP<'']J%D:uImVF-ls3aC1YU9D1l/IW4)1aR(Ml(Sxb
U",&NIGL=P,-l=Pa2Z0Pta8j,*k9hBLPSbEV^%^c'E8^kjFTR<Tv9>(PoxR;=_OlG
U")8Iphk$K[J'NrRUJH/ZI?FBWQguFmchW8-XV&h2)RE*g$)32t/V/9G682]B-Mj_
U"kaVl?m*f+p;yJaH5adAx-dnYz06gg0+&<*'[&WJ,sAD]6=tBwA*D].XkS2(<,>T
U"c[&&-u8U%p_-:xv_c(]J/q.d&udS&F;)/IBQ2624BlP&I>0NUyM=8s=UFhx-EpC
U"x(=)&'n*E6pw<SK(7)Fo45cSkSD6,,#1KBq>O^,MTF:/c9K+/hFTb.k)tBI*FW.
U"f%ln=)coHFBp0z9w80T4$)p85da3:Y)>i=d^>0-9I5U:NIsLhXl.nqQj2PNnM_K
U"myqh,%eGa<*E5,k,<3j<D1M:H]paLtACs_ACi1L+>wRpu4't^%eF)Z/E+q#S5pM
U"(3m)At9r'OrdFTI=/ICodHIaEKKda;kk0>0fOv+YdDn]D1#3d$*F=:\uu46er#S
U"+c'AF?/RoMfc;J]a48bj(K9xyJh<JgwXfGyh+6PVlrm*sO<2aqDV#alA^HMKg%Q
U"olYuh,fWW*d+dt.T>iiQFu:F:Lepxk4Mn#ecXX,+r&nwhOaq2LnAM]hI;$9HZXM
U"PjZXr-i4B,fP+Xq*u.V#;S_ORRb1Y>grZoTeXyD)CDKQjj,\/k?3f:+qSyouKWN
U"TeLjE?M5:)r+0c,sb+rf>h<LxD?^\F>EkcZ7WQ&NS\x3?M)6^(s1:CL$GY'2Jwm
U"jVHS*#r=+cRr3Rdg7[k,WKi9A'A;/q3Il2>+LR7vF.(=r34XV6iby:4uWhA9DS#
U"US8G<K_X&k8Tua;naU+qj3?8=wFD6ohO/ZJs8g?e#Q;8E31+Y<O4-djEEg?\]*(
U"/H#odViMa(815rb+,q7IM+j,e?B4-Nm/6ioZ8Lk^UERPa%9t>YhHhJ>0r?=6<RB
U"1WJNM/O:ekt7aAhj4'C#&=nR99a(o.;%)0mJ\J>WW#t9iw[]gJ9:ezSHJc'bFbF
U"q';1=KsbBR<W77*HRi>MqlzLIX?k/(frK#8cG6B]MLJD6kIm2jLm#OSbeB[)kZR
U"Is]&k/+F3FEOlTAJ6_tYC*ws,J:iLt]&/Vq9u>hv4)3c'Cz[flDk0PAAxOuv:Vw
U";>_Y;(cJ<1yG8Uo/&9nSGl'o1Kku)B,_Gy]hZUj?P+:Nz$%P'.0fT?+[+:Sp=*4
U"T:F>FkkwZK^8YdQ*Q6Z:c_A)Cg8zEN2'bW;anHf5v)3(A5E.C*?)k964:1<?)sF
U"0Hi^AL7sl)>gWq+:C8:$P2vE]P:B1iG(XW9M(j12N>Ym<GHvrkP_':z2=b:&tc)
U"NhgQaj\J02JPt01o$z:nw]]iC<P&B;jn]p?f5;D#bl2/v+.[Dq^Q$0NZrv'r-9g
U"&JofCjAo/+,q)(H8+c4KYO+,QAoWYG\f+pH_P.R<MAcuRKbtMLjW7D/&ftYIQ+x
U"z$O4)+lYM4?wS1er>^tu8j6cveKOK\0c^F58,)YnfoXi8NJ/)0%sXB,marj)+9b
U"vWV0XKg<?I%Yb+;GvH;HWbx=JPWx.qByMS56M(kgKI?RM79q--%)i+G)4KYUiEo
U"*Jmw+*2?jt8P'GaUNsk[r$\[Mg'V8B#EFftsePOm\2ep?icWt;>LnA$P2[aO6*\
U"+Yc<e4AM_m6i'e,+eJ%V4gaS^W=RWL:6vh,VYrHA)-l8K)H*:0A>#ljqo:]#hnP
U"5P_g5;.SaSD[HG%B2C8NrxF?=F0>D\hXbeOogDPCLb+x>rctXnt-0J'ihvYRsqg
U"f4eCn(Agcw=?/+t^jQq%KUAabR,tvCb,HuxSfgeItGH.OKJ,d6qSo,<NN9TdTXJ
U"UHb]7LxdDYFoE#9$0H4Gep4^5z(JJ>eXTds9J9W5Ms?T5jDn9hYv>XQ6x4NqFv7
U"poWYsblGu9/>?E^<=Hp;LMoG8hf.Loq?W+[.LMmSH=$3c#h2JCL,'a;rJI'Y<5H
U"HK',YhRPqmO[4rCEe>$b7.h2O1C$Gxdhz;1KX8puWXd]n=2,A-=Q,0SWJjGrc3)
U"P5,7'Qg%<MjOOzg=7Wd:7<#.6Du,;\7?a(%bER[8d9<40oIWTqMM4eZs1$eCrmZ
U"n9'>_;_VoWl(oh#Poj'X$O^fMW4ky]Y&b9xDfXo,QyQm6Eth-gGvM5zA*AK%9.K
U"tsza+R_P%mxQ_lSb=8R$5p$?8N:6]a2nYWUSO[J6T-1WLCT-K7\4q)%9dE,/G'Y
U"mk&2mGN'uvTiZre6Mi]Zf5P/;s,n[.u>;]b3Z\lRCC%YD:TLLn1n,t0id'MmVPe
U"BIi\;T+r)p-XO$L6b*DvM0EW4m+Fe;6Vd5hwlt\;6lcoc\^8gf64Z:&YwJWQPuy
U"YNX'3eZ4.t0<k4&QoZLzrKU$1azb:l<NM(\b[\eRc?ngJ3Lnr<aT-<H5><\Lk)i
U"S5*1;:bQVMj6Zb>LDPKD-W1Wu#4D2R32jg6<Os0uv/u1Y\A=zDe<#<P=:t'WK.u
U"S_$['YPaTR&KMt*SU2%#bjkcK*D8,b4#\Nkpng64BPzh3x#hDld.0n(VhLeI6tJ
U"uo&fq:6NmB6E&%r*N/v.YIhprnPu0Tjbho7RC'Ym&H0dNehxJ^OO<?j6Rd?02Y)
U"lC^-OB=uCY:\zu#>BqtBf+s)GDWsW'>dgK1^]/X><P7h:I*5u%j$iDz5Yu6L[4:
U"TW,>05(49rId:>yj?SZ$-cI;b3>m)X4K.j>liPR/(A3>t/[\iDV6:W&^mn%XkRu
U"gj]5v,c?>,sJCT2;V4:Y0uQm79ZQOmpW#y]T9T<2vXTejEu1OIi2lnm5j5'H^Th
U":fd#sOi=KF<RV]sH9$cV3bH63c87T;e&Lph7rzomYMW%^Yzbfd<\4pW5#]hPI3c
U"IqY-GQo%2DItUvSFk&afnlcIJ53C^>83S?r34e*\t_-5&5TV;6iC[:tbkG:ms_1
U"*<L^x4AZW)bSt=8cbGU$mP=kei=Oe=O^Rlu1&lh%^Tu9qO]6gu;z$/8b,9e>OiW
U"&i[&*-m8DBIl7;9Mammw,IsSdaCMafD$J^9mdq/*Otc8KFA:WZ$OCym5%IUrN)v
U"&&iLVvmOyQZ6HR3RIm/Xts$W2b+8y3-Coo_?rmO$7'd2Po*k./:cBlat-Z\6/;+
U"rtjcb9U'0pk239P$=z82%:y<B6Wmo7(;Bo-O_i2#g4HH<mnMaY&NMuWY8VqMY$3
U"rLZ.ox6Xf0ilH.$]2hiIxOBGSuBWd'YU_7_4s:q5WDupt7Hc_qDqZf3vl2b058'
U"x>mTk(6LqzVj-gjLe$fr'Z3$_0ab&tctTr7820'Eyhcc:<q8VG=,<Y-m-eg'VXl
U"\q<b8E&lTG6wQK>].9u5SCSn.XM7ocoxP.m-k2Vp4ej2V$LNjUHnV-%QNS6Tk;o
U"<b0cQ.Q\e?<q..eDdZvj5G[w]F1Xslt-#*[G^^a:C5ZS4kf3,&JJq+kYjk<UbX=
U"SBnhRZywuEv*^bGJt[\>wH[$m7pF,lLVl:t(hHd-MbvXV,abRK,&0gPJ8,vq'9l
U"%)HcTzloH?dT]%pf_,tp)Vq$D3aOtJ7+?j$ymvbD^0Xpy$\FmKx(/YXVYiKJlo;
U"e6M^]:A_=o6,kejvlc<f6i#POcMuk$BtLal2wn[QzbeqtND,b.Ndl?>L<y::8A<
U"bZbw1&:(-t>dpLJuv+UNV9s3.X'bu#ne,b5+TN_J\,ywWBHEPN:Am58.#fDsVBH
U"x[>NB:eimr+sRuok^uEt0b[hI2+L3B8'6Ye+8i7=slpZTcwq(Dx)$5.w7MH)*Fs
U"N]wGhDf1o26KZeTCb?EXj'7;0t=Gc[^K^q#E&d<nEK]Nqz&T8I&c_J'Xp)/l[%o
U"3]q_R]GVR?Jn)L<db)6W&r_VncJ/[t.WQB*ioGsQLnwrdrP0,5'mx/ie,l:(/D%
U"5Z,_m?A?KfU.2S4+r0js5nM(;4VoS(x\3)G*#y8u0ADN)AK=bQnUQ1+[31Pf%v.
U"#X5,zuXSw=anOkW+nFMtH(kF,g2oZJWUVu(t]N:K#$h+.ad2eDQj&ImhMqvjXQQ
U"X-Q?AZm]xyk/gc#OwmVAattHLsB\?5O$JqW,q4wMu9>0h2wNOz_]^o3jC+83q1e
U".<c)e_D-Nd+zGx2+zrwBm&\&_7:_DN,C%VGd$BP0kn%;QC7RIY(R;Z\H6/w:(<s
U"xin1zk$v+kWP;wt>CvkdO$Z.TG?m8)v3xNCzZ+2x#4z/MZ8(u7-Bv#ad0U4IO))
U"jyTWD,bs-uF$ihqyMG:3$Mgnn#0<kPa.?,N^&WHvVyo74,Hf_gMx&4$LzTI6:&v
U"LF;p99EiRC/NS5%nJHCg5:uH0,?O<Vsq,-G:$]<'rQP9*iATCEZai,6sya4B-iO
U"XQh9[Un;TG[mr8e/o)kG(t8LDZ$QY'2,2K+x#+dIOd>7Jd0d<H-)UV3)AqD+Q,l
U"q?^$RadjvEQ37uj.u.=TL1d*<EuNTYpowp-B/Z5sjQgD<00T;tT%Qtn/?CgppWT
U"7h_<Z:5$RCFY?%WV2K]Ykm*[4YC+hLHr[IZc#ZHo*cE[UeJLJGc&DRGbXj6qpj6
U"o4wI+cz&9)mt:U;:tk7lej);nRumkH8,D0xwwXbm^m88?iT26NwH'V<XhRsd;/&
U"DNPcUtC^.A5L4xScUbqo<bwH2VyU9<SK.Te-ZG.Ae^<y67=QUPV'7'&MmrndkHq
U"]oN;lLYB<Qch2TQozfM\HK?&x*[hL]-qiIUZf8L5ngOrLlpukg=D9MBY6k#PTei
U"dRg6*1x3An=4Rtje.vKd;31oLYzGOSr0>udS*]%n9td+G<lF^9RP)XY.*,B>,&:
U"+W/vmCZ%5$c\Ke&8d0*2_Io?4NmQMvj;>ngJ9Qy7V\q+#dN7xvKh^.c/Y)LLz:t
U"57EoTpo>;PxSx$UDNc'hN[Zecl,.\vF3Nhmq-A,MYk[j:j2R5zAmcU;\+JTNW,o
U"'(FT=7:s_xtN(ab&/rt<1XfMgU#SoQTJMb'9uP<%rUu'93_KJQaA]R^96E#6FJf
U"+;S9BsrIGxIr0Qx80ZdVA-_?jOfe0V;TeT$,BT*l.vX(R/.49x1KAKIQ*97-r1n
U"o2TI8e0Y6MKPehPZ.8KpAx-\/I>b(iv35Jm+.V\Q5IN4)G7+#_hyR,dxY9Kn-qN
U"Ff*#ISR#jf4r%^ta8.exAg93.[0n)ybYd/il/9ttRT=;bzF[nic:BzoyrS:\6A1
U"t<=es<RAnu3'EP:)xD<a^)&HqCQQTWKSmjfW%#a6s.qY+LLPc<v#g_6#B4;(ffd
U"pXa)'5vD?(>BEhyb;c<>N/'jIS)ixUZT0A-4Q?yrJd[7oTSxR>5DNmGRHwX>[yD
U"zcnV</&XGL:J.jt#Wa6cOIBce#%_TmS9ohvn-bu/<P#xe6\ovXi<?J8*GYneZ6E
U"tlTh_^+Z:Qx'O\Q:*#zpbd\AOE85*t1)09T\gax0mRz\G$6ej=OfZgD&Ly8j0Xx
U"oTmo[G^<\HQuh]U+Sm2TeVv2R)&7t<c'm^A8-Rlp6of*SKZ]j+0,%o:bY,'bxI*
U"arQC0,2Lu^BHoU$NsKW]J_xS%YGLjzfx-GTQG>^:jOeV0Dj(*fB(v0OwL=+^(i0
U"sCRMT2?=(dcr??#.[km:qf5.AlJ3BlEXvj-57:>HNh2q)^w8*8>w6FuV)si%rj/
U"]%hA#zGC-t**_yeymkIexh-Wx-TbNLqYc$H5xs$c>xRQ-wBQn;oDE<+QU<DyZ;U
U"$.UF0Rt?WZMW7+,YB<7)f1st]x#S>49w6Fb5t^2qvT;X]39xqiZ^D\0$G=d;=6l
U"9Fcn%mG)2,n&^8a,oLVqNLkGyYj]1A[[wDt.D5g_+2gGo,HroDm/DN^5pI?qp)K
U"Tl:A_0_SkB'B4p$iZRDsHq)]'8qU4>n%-ey9d#PptGu(Kmln?k>LPjWj[r0M?$6
U";k:4vHCk.\ZGS=A,GH7A$=Hq/GlU.kZhg9$s76ai-Gi76AMu[YO4Hg$_&s&5o1_
U";$;ccZ%%,]h#[4S<$VXA2Z.H6OeP#Xjo_-m+C#4qNBQkYGVBaE/Fe[<sYVT'?_n
U"pTdN%kH_5B[]Q6]9Jd'*h*%:AL(dA86h1q[1Twt4dJpd8>OZf^g>O/u^UvX(-da
U"\mC4R=/qeVdnvHD)PdlDrX7uA/^&WL*li\/ii<NM'4akGJm4Z'35?YPRP'xG$4$
U"#B(Eii:7%EaI)d4DUt*<ecZTP^p^<Btt%S&DBZlM=pqW[OE>KA2>pAQ0SQoao42
U"u$G_)\MN*9F0jhw7]zwY<5ne=Y><<CIHaJL78jQ78n&FVPP\<q.i%jj4l0jYdUQ
U"MhBM=TJW,+$'/WMNSXso=285p]?Acib24Ijs5Dj]fZa)w,aBPmW2#%T]Pt2.Z%O
U"yJQG.2>1<nv]]Hmvy+5c1BT?2uAa9bC3m*l1]K?B,pQHnh78S5SZO(W3,?x:n\i
U"S(*MmQmTk?OU)>IB,fke;VP1Cy=^_#tB=/eBWCR)&$[aVG^Buk0)60D+Cc^.k0\
U"58T)yl&+u?,Y]M'^njIG3\aLR#A]nVgrC0:U7vci/D1<T_PL8=2-N;)(oG;96nw
U"a,(N*qK1K*H*-fc#1(=68(nZAL4?1+ATL/JBgqyQ;fSjH-:^*4CuXQ*ga^]Vq_8
U"2e7^CN/cnM_sUV84?*^c0o^[az9et'7tu*FY[4W5,g(?N5OVQw\T.]PVcWC:;o-
U"3k^(*(*EI3'<2<ZH9jLBD4iaWawkSPlI5TZP%uJH+2?Q-2s4v%v:O7^L^iFIFW:
U"_CN^19uZZ;PiIDLamWCQPZ)85X7qKm.F:D*%f:t)[_dw,rtSVHkVXJHaG?9/VF?
U"B0'X2e)GPpNYFCi#v'Z%/7o'2d<9FP\gCJg5mT>UNJlF0(FbR:N#n\R[h$mV>=K
U"4#?^WX7NV/PDQlH.xf^s&c/=$(a]jf[GP:_uSkNj<_'o7/:kr$-bi;j%h;AkB?'
U"s:lo%hZ2(GT?p1,/dbXJ:pQCoJiY-[v-aApK?V/H/*ShD?3UiEMs]U\4f(M+xX/
U"O8[>tu7HfYvZ:xV[G*OC9<I<<Z7Y&WHf^El&R7POpZd#Fx5uU2FFRv.JTs/-46P
U"3sVUVZL(W<bUNkk4t_Zkd/&yeU&2M23]0+]u%fd4#f%25KVjTIuKdu0#Y/i=0j4
U"fP1S>.JB?[9w/c[e:$nxfu^A3gjNpYf,rNSWtV8u2t$q]Iu+Dt$$.ZfgiJ?[YgK
U"-1;j>T+uT\a^nW=nFHwI?=\^*P]BYrRomD[^zrD9T#;Z%T&^b>BlTc4?7O1GTNs
U"2vcbTT,AG0sIEg,Nv<efc[hyfs'1Z:,2/MNNnpsI.L63G&n_(>&6Q$e^$cMbZS,
U"DK*tf+s<LkriZXG<\]s60+xl.c>r$T1YkrQ1UWC-d$AERh?=CfrB[IFBi?m77p=
U"9YU_G#=D]V=-u?ZWd[aP;I4ey?U<_5%KHB^L1?3cp_Y]n\$Ym7Q;%=,lje$B9pQ
U"=W<g&:F$p(kwHnLg1:g6)nNsGit=AKa0:RUCHGpJ'#a9jQ30Kb=;hpr)M-Ge,1F
U"J^F,Jd1aVaYW%E>IvO,J9u?_4hB#Wt8D2$$XQ8V>H7Dg-Vz+fE2OWJ(_c[v9Y(m
U"ZQQWq+4Z_W,N5\#[%Y^$Gffw9AN0-4G8.6pBB]iDku7WZ164%HRy)X\Hh)_v%]m
U"RKUQ=#Oq&X)/]LLtkR>d^1u]J*nTLd0)l=r=7&+B2$,>W<^*upy5[vtd5<+1?x.
U"WWP9-x#Fi,f+z5xS0KvgnPo#nI.E2%STs5\R>8:M,9o+_h.X0&rIlyJC;]'v,s7
U"xt)SC'D5L-0_,,r[D3XMD8\Y2iOgE1unkT^1m6F-P\pE<PRbOfx=TFL[7NKvk6w
U"5N1-dC7:#MGO1mS\M-,iZxT8d$OSgvlK8jOPN)i;^M=UYMOIGzXXQ3E]8.E?pHh
U"4a8])g8^7Ej8J,8As?Pdp7#/j6l>Qdo,?iHq]BFXoW&e8%Y+JNtB/B;To_-=vX8
U"fsWkO;.%=$0>n0px8-n-qNgn+;.qST-&rr?(b6kPv&ZZi.1e.S5]GYkCVp^<qKI
U"660=#p5)dmp;:Xp+o[jc;9<DL,S=ujUWbdAbDFUs/i[ZF].'32c<p/c#(ubvfUi
U"9gg/#)p7V%Kai6[k(H>kf\6n^]e:3&aGpbk$>uSuXXT(>&EUS(QDm(t\F23%$08
U"9PX>rjkXJ#p3S1'i4lI0uUSVJp>>/Gq93qQ?x14\/qKk#63mTl&ZelRL?KlOCL2
U"t+0H/uX(YKeR$8xz)O%:OO^tv%V66Z(U6#?JT:rRH050'Q*[=t[o<sid=6/B:gL
U"Nge>0qcl20:v:yn)ATBS8[5#fA[kBWKgI2/#pGm%nmD)ALC(^ZGYW,._C*H40UI
U"k+[#Kp]qXhMF_<FWQqO&%aPk('_Ucq22*=8bi&zf9?vE7K26qf(ZLM?o8[T6tmS
U")R'6ihMOKF6xN:WVZ7:Js=i=vav9=n>A5>c$Jx66--CV0aJSCqC>lPUHLSud^I/
U"Uks_Q1HhP5'Un+?2rJ+c7KzP-$9EAi1M<wMUIT56r;iLU=Q)MAdm)B^sUD\%Xad
U"\HD3l:/cou87[j0XkdF;A=(&qf#G1<HFBb)%R*ZBQ5R>KoIc;D(I9g3AI;&Y^<C
U")M+FN1]n_3?T31sfK]\Dhau/I.5A%dRFmZX.n]rLyWlzOUsoKOB#jX/2zPHaCY>
U"CsE=V'RVOP7?_)$Ir4l5U.K/s_\c3)<jh:0d50).iH>Bfwp'o#;.a:a2aBq1lS4
U"50Fn26J=>Pv:XW_BDhZuG8>3u-2;AhYW/&',1P]oWuo(Cn(/S:[$BMJ2rN8SXs1
END SUB
SUB V2
U"/$i0,akp(\L7O;5pa),^7q]#aTW^/wuBqPYh7*k00QuE+[XSVxGa?%K^d07>K%y
U"id>92RQ4j-BT&Cdh=g]4D6keEc4'n76s]ccF]7M1HPT?k^Xgv?OuDS5(l([P;5-
U"%*Iug&Ss&HL3S$\eS'O2>^BGN\J\W_3bIkGXeF#561iKe/UVJ^OAIEIFfTm7,CS
U"'oWD166:-^F1M&5a']:ex_gL=N^15)LZiMPr*)nYS#-SBTT-c75iuPtVG2xnCka
U"+G8o\l[?AZhBOnSAZHEmV-+b?jMQ&YW]h(nGIFD9.<7C)RoVf$b(74FVY\o#=6g
U"Nax;i8k8jb8e]R\&=SgHEjWW,dX49x2b-p_I$Tk_u=8f,rl%2To4J.wkD,pd,)k
U"7?Wsar;txqV$6VoD2cu>k4PuV_Zmkx<rG3>[U.hCKU>Kib#6]Gp47agNE%4QVU9
U"e$ED?3DY:j9c0Y:3]gC,199A=pLkl[pDH3d-meqbt/=%OR#s^0YA,gFnD,2.8+7
U"?$1%*:S2<\6MK,1='qc+/TZi_LSoS-8HY;Y9j\fMd7Zp$V7=anDe\8^f34BYFSs
U"N^d)2K=b_.+,\mVKgpYDbAT3o7BLeV614Wgl-8C=LW\-9Y='_fdL?jqiVjacZtT
U"eU\p4U$x;[+sKo67E<_B.=hWaLZ'bR6Rn;jOsWla%g;.(2>HFlQ=UH+3T2?X#H=
U"rd)F[L'tnWKZTZyGz.(0Gaaw;m:E0Du'_WaZBEYM;i*W#jZ)2WjCPB>UtrM9,Uc
U"NAj82,T8-PxLOZNe&a9qg^f^*eD+#^.Jih<o)\G14%Bka(]5I;J+%KE8$Aw[Ul%
U"boFs4G04<ea6A6f:CdrgU6.U:y,$EkpB-YhyEM.;%;/F$%YeK.9)v,$IEP4B%QN
U"4lMivaKc0dbwI[KfM:1/+OQAS#;i?73OHi8Sc-sQL-bK(>-zV1%r9(buCXeAX7g
U"D$=U9PwO:=>[;b>^lFQ.^XS6N7V%rPJ5(XEQLaT\s:S/1/v;zlkliUe;yXB=kT.
U"[uN-R]R<dGY+7^I$,f54rK?3/t%Wv4]i-QxB\L%L3TdS?,6L<>^uHOLnrHVaZi\
U"\T?Jpc:VT$W4(mg)9>3X4Mtd2^USYReoF7d]jxZk/SnHU^+,B+FnKr'WiJ%Vw6F
U"wiXBj'\J<3)%,<5n#)H+$T>>E\Sp8rp885Db780(kG'G^,FziNH;\qc\ZU\(DXm
U"8FgAXEcm.jru9(0NOxATZ'2r(qZrTo)i'SiYiH=AM;=G/T*%(iJWWoq]4WEA$kt
U")S;4*p,8B;ilC-P;i).l*YbyyA>Sq+HR)'1^(#c>$I$:q/YZBlhrt69ni+SC^Vy
U",=81v/,+b)y1,P^Pc:(%kiC4Zl#];KM8UKYeru8hc'lCX5(daoy_$2ayoqb/HVm
U"qdaK1UEtQeD#A)#mO(NTT))d(WM<egWDyDXIw=-4>+8w3[d=V,2jO3b?.;#OHaH
U"BYg0ZQ5d^R:[.^;o&)F1q:;;VvMctpbJ^t:[8YF-Cb*SXJgwaw<iB.#\^1I;:'=
U"_X_2s:C8XzRP6*TpBq7C,w^L9q.[NV-=bf;AD]8[tO8eUCd*o&HY(n7q1KWH_Z?
U"\N.3R+UOiRN1L_[B?PcEOj\)QXTx[d0/t\;\x\_VY)2VHdWSkHJe/v$aTX>9-7#
U"k*u[;Xo3^*lcd\/ls\H:(/bU,'(;>1Vx^WR5e%D:w]gSacdh$rC1[kA4A_1HC:$
U"9'JXt:-mbO#ufgJm**ZKIM2+bPeZbX]QD/c:6SeY1RD_c6wAw\T2+i#)5w(g+PZ
U"(>,7Pj674G?u$:&4UaOF)Am$YUEoYq/*:[f^/rN.)SFL7g+7Yy)SF=rFg=W724c
U"=#D%aP%sDvUb52?.0K9+ACw.5H/qD?Migm#ap2=l#ukLFUQ6]+w>78^iG^6;R^8
U"dmG?J\/Z#3I5*OgR)qp<id]ad4s,hFis469fwRNO<]%((+'<=R)0+8g+Xab=XK*
U"&pU,Z>S1QU3+*%a\rL'ZYZNZ2gOSJ=>xj7;zg0Kn>Z;v:\%]m'-(e_+;Iubo(^D
U"SeTIVcDEw2:,$a%qsCJLLj*_KE8bL#P>nA[WQcr4.IMGFYVmenb+gu>Z&.Cf^]T
U")bqr0EBW#U%5IDHeOwe6Jm^xi:4=0%]ZlPg]941OwiL*?W0uisR0MqPTOR'u0Wx
U"CSIb^-a-qQ6)Z[z,<n71kap)'(aHP?Vm:?TeP..6/=n1/LX&h>Q2)+11p(Za_iE
U"d783DABDWs:ZAf1t8kwDbor4;\G]=2;]8B2G^5K2+17-LpCwQV?Z8*cZ''1FhYt
U"H+8>/TI.f*B%p/:tu#2Fh3H9+eUXpxK;bXVO*t:_kr?.TC%GisH2:s000eCoY_p
U"2XQ\EtLn[O*i8q6T]?41XGZg=7JQK8yveD$XbhF1b[Pju<UoTew)3aq%#A7.3x6
U"+cxDT86YxrDo%)/M1,;x4>Q1g[H[1Z-trg2=0jM+iVkA$,Qwvi'S/4u%.OO=U7:
U"iqdImj;vc41zd9\^:RZmr088xXI^I[Z[_+(w$y#F.HJs*;9Y6]Su=p4#8OWg]56
U"h\VK\'vZ1p%eLd[HYKR0F>A&x4?)NQNebsgR(J-kbJpscf*1\r(=Q5j5p4A<^qC
U"G2MN^bD+qA*sMuO)'BR8$-RH7kAaH;&%ABx4f2THC#6jrP6Xu*Ti-H%H7gXWVxW
U"DGY33k?jL4.*&U;tF=cT5/K?c?dD[0M&[0ez_d[_HV5USLhk83>-a(67ZA3KT)t
U"NQ#B,2[KaYcsE>03erm0^h%?VtszURUO-%p4,*:Oie/'QHl^gD(Jj'IA]bYYE&_
U"+45$H+1:JB'v6#-0'>$L0fcWlQ3%J&/Qhukr/'kgQ=O?]/4(0cB:uh#ghM0=%q/
U"_YubY<nZMI6Mi;p%6f',7t6r1N+m;?8AEuU*Q93ruNg0)P49]r8jiFML7sAWRhv
U"ArfapBPZ0;&HK;kSR1.).4m,ZBcPn]lCuX:AB&kvQl^?mu\9I)^o6d/)&$]:EVr
U"=QrK'3Bz%Mp/3OBO3[ZmtFW7.JTkg#y_:A<&D([85'C90[B=RQB?]0<&CDZCw>Y
U"jP)(vLeB/$cYuT^e#k_<sY%7>X1xtMs*q;'GBs=iUS</):qS>)<$&,p7J#o,emX
U"2r>PX9101y*MABk$nX/^W%GV9=3Ys&m>=C#F\w_#H8EJ$1;j>KH>()tFJ3YN)X7
U"V&jviA%G,Z?ZjI_\_[k3G%eN1rIYZqfnW.G,qQG8uEKO3C);EAAQNSs[nZ).uqn
U"k[(GjrhkO'WLR\kP:%jzJ1k3&wZ36]czje42Y[Fq\[G4M-)4)EVi4qEeEgB>]Mn
U"f3t2Vv3_qWEe4mDh^WJspc(^8mi2(\9_#rU*tmC6b&6<bre0H,)DazV7U.#>h&?
U"3E]W4OLDWM,W'9txGKs(8lo3\OSMohD9px5rfKQDh/7Tm*Wf__:P\;D'>V9_%S*
U"M4xWe?TF*2UBSGn>3FA)_^Xa_UDvFk4rI90r&pLcdz&WJU'<r42,R8K4HbuG6B\
U"sYq(8uwcunH_(RNTxnmEW\iu6kAgn%ia.NjaZh3rqb;rtLtAxDaZomu&Jh_5V/T
U"'Ve:zrF9L0htG^,Ul:bf$O]\)B7j1BXvTBVO]Um^sPXTr&1[4;T.Z\q%EV28b1c
U"b9SZey$jhAR\*n4vf6ml^oB2bXXy:=yb.qHaE(:25LtG%6\MyV,b7%RKxdwD:CI
U"$flbytJ:*PpeU(Ai*^vZH-Pj(hfevkYkC=r=E9oZKj:9W9UrC<4UeKTL:E?2Smh
U"8Y_FwqASHH3=*I=tR$D.uVI)3)&PVf+[ag8[g2.XmIx8v3n1_j+T6?2dL1WBn:v
U"sFO=Bq_b,'$ZgSeZ/aE2btBfoCqnx985mgql07YH52'pXS%$&%r2,\pin-zpcnk
U"<1os;?9skv+0tn3W#l>q^$,3ht:'e?TrWxb:euZ.Oad'Qsv>EuTCU<wa$7wtA6S
U"W'vMrDDWiIK6>wFbu3>/(o5_,b64wSSDo?%jk&xK)%ocAz'm?%.iQ(M?E2B42J+
U"USrOhNAOr,1]dg^]?,5HxHi=se+14ROV\E2J=0\FTLG])P-6/U2_cZt2YCqn7f\
U"Gm6$7bnIrK-S/\oSCoQf2P0[H+M&B7BOWJ2DzAScv_VA'SQkP&Vh['?k>0P/3rz
U"6=#%w*[;i%AK6%68U>+M_<%T&JJSj]Gb+NnqBaD+98RdS8Llc+1ZpXgQ5e><Nv6
U"r(DcfH-Xn59I?)vB?UH3Xy,E6;^_f]L\%_qSh+Wj/\cYIA8d'b7-B;]>XKo5M$f
U"T,40$RsSG2^9NxH*3XpHrF50n29<2o?[x[:c$K9/ao]i#/q%b2XbDh0OP+#+zX4
U"j9rIv.5xSq[J+Ft1KgNuWduM)S9t5Zm_'_xpR=bJWFo#/N=Ckl8sG*?t<OZSy,)
U"1r/#Hx=:RzVmx?Nx%K(qu*Pkcfv5Zu=?Z\^Bd,Br=R#C^Ma.udwHL<'=nMSFo?U
U"\4TbsjO/^f9r)><mzHd3LV=OV6;qf/tvSS.IViw5-mtUQ4J?l]4>N5lcPq5#O8O
U"<p.ArbxNPDA>[Ti9s+2cE>5Tksx%7RaO7,W%n_*Vtncv9?r,tAXed(qqcIffcPY
U"B<JOZF^O&L?Q#$-9bFVa8mV7(2(ENBXx4K\2zR:dpQT:lV.ogsTehqMf.'4CNDY
U"N+8(2_/(SjTT=Ue$j$w(HVkI=v5r6'14kb?tqb9?sR5Lo4\skz6&cs^#s$q'BV'
U"$HM&-U#$2'j]z<>Ce)VX_4Pr<[tUe#v=v:Z#dTQgr\LiFWJ)gDw##&vrnD+[[<I
U"<YTlTG.1#MRew)DYJ]Gc%4OQDX3e9U99R_hAM;-K,J>4?l9;A0PC4R.=(\mrjSj
U"%DM<e[Z5]j>?[VA/X.^R#h+KXF=;Mvjlu^_F$4o&r8QcU*m]d%v(7m/8YYUNPxg
U":/HHZ.BI2re5qrI'p+[XJZ$:YGQ9##?siWSLIR81\>.F-Vc1uj2[O]Vz46D_+8A
U"%i^Cz2^xmqwHB,k>bqq,(jhe:DbD3\JPxZ\uaI>PJk<DsPDK>s'kBM8=(ibt&1d
U":,BKcw5T36=.8J#km?LvU2Y<Go>Vpxu0tNFu[3cggAM,+U_ZeBr:5rSg6Cb>Z2T
U"\F*1EnFg2,cx8/$btOMISH)x,]gb)Tg4)1#TxAolt/eh:X2$/._+V/q>K/iSqSv
U"pME*&iKiqWv#jmM0RtejQ;q\v%eNb8g9#^Wz;&x3N]F^_x4S'9('^f6>EAfftSu
U"s1#VTZDZa2st3M_q3L^,&q?gPgHFx$?Vbu:)0,UW->Hd^e*;%>p*=<U:0tW/^^/
U"V0<YTVrbL[ds=/Zj%:1NBk%/*($/,>?_W80H>;3GiuFG#,1PUHng2b#B]ks[kb'
U"2Kx21Q4<s[+Du?l,R*8KeCE\Y#5N&=:WsY$a'u0%QR'P''2G8z91Jc*5p<bnoe+
U"hj(<s1=?=UP^=%zK23W_%sgs(asXMdldcq'/F#^bBH'DEn\AIN=]?2yL[4bAKUw
U"wU#g]Zkg<dFi0[x0l7$1tfL?us8*.cG:dMIxSAOxjSJB)X+g%A'VVjcn%c<*'D'
U")F\K$5[G*D[+mY(Z(_qA]Znc'%[Gp;daFMo[IJ$(O4C+GX,:H8z6+WHe<)Z1<Lr
U"6$js=UV7mF8;ZaP(#YQN1roG&dYU1<_SV'45#+E3s(E\lwP/XHk65),[9$5TE\^
U"g84<ol2\B:G%W%lTaV\\51O2+UG8/j?IFdDHZ71nrYLjQk3FK3\PEJ3)a?_K%^F
U"*=jO84z*]kt[,j;QBI9ZOi8^1?IZ][o'Mjpc<=Gj;UY6CE'X\EqO+\[..jY0O#8
U"W)rdl20G8UtO^w[ePEm'1?/61kvilsaDTYgUO)TLMCs.L6B7%[Wzl%9VOrE5AT:
U"L?]7N$ajuq?j.T>9V1ZVZ>Y[th\$q>S[vT8%yn/EPqGq'NAPe#dYqXjgf9Z3)\d
U"e*wI%x>\j(.L-SwaOCFor6AA(]3s2)i6IO%;BXkM2.wAKrs.H18I>>&4Fzk^y$=
U"&O\I[HXK<bl%f1KL=7-fZcLQ2LbFMT>0&i6n>[b^&ik#IVbbq2&mJtxuiNAOT?/
U"Qlr8U$6]1QJT'j6?q$uPtX>^3':tDa/%+0j)upcA&aySpDMZNcX71ZZ*5O:4J91
U"vdG#wga]HmsrM'*]t;yfw#7v%qOUV/xNle68,/rmaMus6FsOd]cCqvt%%7Oe%^8
U"lb?G'*0)'U)Efi.*$Wj[mQg8Bw.smKEx(h#ZbX>le66o/3KXJo;HiiHiiRkiH]t
U"x8M(X%TXq9.8+zx),;ud(L?UNVAddQbk>Y1XZSsxWnd\Mn7'Br;4Pxl+o7*7r.+
U"PN3rtnetSFmsFF0B#Nm.gwbF7jlEcjF'l6#t.9f%TzAQhhM%-(W/ogX>le$uo-_
U"E\d^XGa(Q:tY&_1^\vdgihVFIrP8oV::CWxY;ieF9;0x+Zx+r#1rCy^K#;M%QSP
U">95q8od*'XrZgz(K6$j,ixa2t*xDb=h.G/E-IZLoM>Ta<qzV#ewa=B]L\,ZkD:>
U"bh.jWuw4n6#nfna1r#j40r25KM<+L6bEfCWx\syj&uM.kJRnlUhT]j4cu]YT87o
U"6H\kDs>RxIy]llpFoha0(XPwh&olTc:WP)liB(>d-t1xao02K5%eynssMLV5\ju
U"(>iB$hJy9YdM;PFh%.ug7t#SvT?bfnA,mu_WXXHZaDb5Ju8De-[O6oo(rSh^>Gx
U"e:WPPu4hwjl.#N+PBg*Xik\'qo/<dp9A,c,+5wy7lx:-0TX2OjebD=Tnji3XO4i
U"^nfb$*IQw<\B>>1vP9Kcv>Gy89ltW\.aRYeXDjVvp.XD46M.lR..RnXWiivNFd>
U"V]mtF2eITqKGpFrQMXxrwU5Y5FxG$:CN+X]l2_8Y%q$_HmrV515Ng;Q8u7=lw#'
U"w=Vjv%iGnbqeFOLnF=wCbfxj5ncXYyxUd#v^=8Pxxkcnd1c8=e8ft?.r]0TvId9
U"jMtKYdYQ-w(^'?Bx/H>_te-5S8D)YAxhFX)7tBnn?pXWixv861]*LfO<^NYVhqy
U"u7$fqm8L#x[LbAxk8ELPbumr^rx[n$llD(7RY\$CkRjX.T7-N>4_+H.E]kzo9XX
U"0dH/l*Ze>/LXPQk5pPJ.fMI.RgCg&*+FPY;j]8/DWFc(2?_1_>QUN7.RGXx\&e:
U"hjeDfCwb'EpyH+\bTO_YF9GJX*P8bWo&XoNlfFb?Gnpd6mlne]Y<wtuHYi&YTaD
U"bc7V/i??gsRuRuZj/W4NAJb\et-$>DOcY(-qhqQN:ZAHh/0u$?djPY.eF#X?xix
U"/Pqt=H7*-\82EAI2LRS8xv6\J^<t>,t(j?86qD?m_Nrck43v9vDXF0rdY2fxY#u
U"mferjX%vPmcbd=vV_U7#5xwXmrt,vt$t8P7_ZPTM=bjSD5i(uNcr/_m>(2vWZ,x
U"w^UT7s%k;u=,<Ha(J*w5iJW1m8uqbgK_Lrh7u1=f*$e4qGBU+_7\kfs95uuT$M&
U"3T>.).EVrZtosw-s5N?Rq;'fF->ND7n=.vriadmSV(iTcp8n.fm$J?6$Qx\nA;n
U"g8NwGg4\xD^gp2s(-kNpKQTYi,2-QYe5%Vu7W,'=Wil-cTKh[ZK[aSdvF)uE[o[
U"IFkeBv%ntt2WSo'Dg\i\v^4Q$vx\\.:tqQb(NhjGmNKGMs%N'QRdq[6QDX+]i4D
U"8]P[(8[Ed4T?,jRck(D]j.w#rf,Z$ehADkEJ2T&MMQ/3R&1]fwYzn,hZBLt8)E&
U"8DoNtAxJ0cInborWvq8]D><J6N:ZlZDQMC+Mosd9dn<sbpQZdv%Mbk,0KLDg^VI
U"t-ULQupnuF9iEGWRL)*cwnTu.t//0.x=yH:oP$L)\nd]Gxg(?^(4..Ad4\M-N0;
U"NL\6T3dPDO)a^I965bYd$MP'BjM2LI?/4zzkgOzH)oght:1;q'=m/w$pG*CECED
U"(Ozg06(ppDjYQ9^IJn0^rle_gc5r(\>]*suejm=HTbJZKLIeElbcspTiSQ_lm_J
U")83IDi/?:6Y$2d8u<i/-]NK50Dr;c1rfI(6h$SqmQ?lfV9B'&fBrZlAek=*%b2'
U"tnHAd1VK>MN6k^a8\s4&52[qEC5.VEJgV-,Y,9*HtVN+U<iG7eM4<23d#9Kn;y3
U".J=,>)%3x3A5CTM<Wu]<w7c.2SvlA&2pD3rtg1_R4Yjl>)Son-Pn*QfV[6$Z;NB
U"W*)9C)NM7'g7z-T]4kHCr[s&,uIt<_ED1GUwdIG%whm&:44ZpcIJ\awO81hA>Xr
U"dv0GJPqi8?2M>PqIzi)rD_LDV#'$):yR/f#:2sTt$Dsp]qVP_4^/-P(.<)2GVgV
U"UBO,Ib?A3U-:Q=)8l.^jbDg1oSgeq0'7nf;ZK%LUaf;2JOfU]'IH677=pOccC1:
U";QgbUesUll]jhjD.h2]dtI\78Ll2R7S)5Bk?d_ykH'/b[7TgHI#fM$,z&K%/&^^
U")ECFD4D$A2pD<ZeFzxBE)]rZbSs.=Ec#635>,b'0PW[2-/[[yJ>)sH<T[]B^9^'
U"ACGxa%+l=YChAav<I^qzj&mn&i.+8Wvm9f#M(qeb%+7Usn%S8oxV)e/<g-5:<&h
U"GXiM*JrwVOO7rbiE:r%kM,-?ShK.diG='rCLT&4Ih[-p_Dh)$mUNpZtJ?xHEQ-h
U"*\>HVoah84Z2rOPsb(/BU#l,hA028W)JR#Q9AGRnq0uW4MzRLv\#BkOc-^-R*^'
U"iW8,ANcKVF6Ll9OIbYS$Q4_=Ip^3lo=*XiA*LF\g4SPQ=AtYX#Seg5Y<4XSKozI
U"6cG$lC^QwlQXwFtdVW6EoA9;oDQdf()1dU&8lLLJ-KBrdttWcWN'-r-HKs\0;:c
U"uEBe:h__Q]j;s=Uq1nFDE&gU9*/f1mD:)RpSUlBv0a<hTu7vu-&':43L*>FIyNM
U"*g*U/P9-YC&YI*X4efe=C9V6r<y<A&8-M\b)G0(vJ7yp]J.(Ug7WFU;d/YJ)^d#
U"4+0Gpl2&:_-</7:unEY9QT>kI0(]F+b0%Y*Q_QZn1\F[_RpZ^F5Ua,m>5D%G>hU
U"ZQ^]-vqtC\+mmFIiI:$zVZDVDv'lPq[GfUG%3YxKdRZe%IVu_tUZ+VSlJ#/tM.^
U"]Rg=HANn_($K8VfOaO.F]Uw>Wet,N8le)fX+$ToeufmDN4WaKU=dml9,0e(qQtF
U"gYU0[m]Wyc44DPHxu=?>jNmr9.6.3l.Yk1iGO$;,SV6zf03l7KM(5UbtIk#\[%j
U"zbV:w2oyo6P)DINqHt;3-qZ'Q'%K[5r7uqP6#PRTa49Z:=,LB$UoVJy7%J8=r])
U"i0NG+-U=XSM=PLR;SEToY6$*%cvDu21zPeG(=H*4D#UKtpkbSvNS>/LoI3[a$U>
U"Mbt-(KgA;qESGZ[pF#DBT24O%Zb>7l1ibl.C>8L=VP0d62a+>XSfV5;(FQ'C=9X
U"+qQ'R$V#JL8WR<i2I#'(9wa_9VE&u$aA:oTm.joA2fwI'DwMjV,_.Wq4dBK+3Ly
U"ZjCXVFi:8FlFw=PKW+PPiQV16i63'jS(%z9x#6e0,r(6#o?-c;8W;j=G*ML6N%1
U"o,J2Xy(?&?8-?)Vk9?_%-G*j>Q-Q,US:m7>&7dOaAaas^.SOf6ok[Lz\'*L0arS
U"B$P](\*C6Gb+d=&;,voPc:V43O#Df50,>$$8wsF/Zc0W%S#Ip/C8*iPCW8(>rLm
U"EBT'-h&)bj,z.[txa3*'1$f)zl,7zSeQEEO55Ei7ltIr],<\x$)D,]:uw0?mEH\
U"jykJ.Gs187-vQ+qDqZTeRs5TcJO]nkI42UXvo+:at3f(2+XO/FgtG=Qf:Y^,V*r
U"*f3D>govqF6MG_xG<*H0mT/Pg%k7kpDQho4,JnpCfPuk8lVeR.Fm+Aj(fs%rv(H
U"aSWU'nHC\9rEI^urp2\#f:<VD7j^DSBS:/,AFf<g;b+qA]B_Im+SWsV;vK>WFig
U"-XJ-%b7_^[r8ph5Gc4UeVyh/BcasgTTkM_V:8*\#V:6fx>RKLYpT;<=*9p.iqOm
U"[,42p6<1V#UcqlLZUU.M7^khDHmC2cpoVzSK5BR(+9bSqQJk\[':lIthKdrE1X'
U"1l>DJUz8/J:Q8)-<\$Ee*lY9:#t?4Dfw,H)kj_>m[l6U4z0BTf]?0;Ar$8Gu'1V
U"WqvoZ7WLbJx5IOB9*a/yJ\I>55DR3?Bd(I1a;b&fC'GB:9U-8vIqzcVDjA*hQo?
U"fBWEM,'E'#m54t4CS0tdLVBD<%uK8&D,Ipr<EeBp<L+]PfpYHFAW7G1EPJO:YrJ
U"HOC+\SwvVF_mCoA+IRF]c8L8<C5z#5Y]RGHTU3V0E)7v\Ov4[&SAlbXIbTWl.so
U"(hitjJKf2\_&=iu33gVNdJqH=lGl_5fp\fzCo:G;Q]u\]rSqeE?OQ/Imm7JcwcY
U"=QJa7)o5'>L5;[BMCQ>W<;McDBq8Ek&il8To*[sfeag5'W>=v[4PMT4zM#'GP(x
U"U^g%C2;PaVsf.+ohtFoVZj,<B\C29Ot93P/=jGW+v'aIY1bXiI]Yebl6Ju0[v9H
U"Elr>v29vF<?u&M01b&2F1qP8/?<Bl:neVs_=c[bw:c0PZu?Gp-6v*Z2W_Du]-4#
U":ZVO^B>^1Jgx*rZAc)IKiNU:nKU<<;uJ'#'LNd1zZ%*6ql4U]V3JPozC[PuHKqC
U"wM->'\b(2dL_KVby#<4.L'adi2]qX=7HqZBR*_l8JaW*A%ze*Ec=[IJaH<M*/w1
U"awf[#y)DCji\rU/2Ys<^QrZ[qBx;)PYK,2lT.wmK0RpYt/FoWR+bpCgVZ:=r_UC
U">Izr]^OgVd:n'giFZ9O7L#8[ND28\wuo^r-ST/Ie(Kcs+Zc>gCpASP9Q1XP7(on
U"*H:(YH&cTZ53A'E#Alo(]g(Nk[2oVCFn+/.s-a2B?0lUj/QkrVBYj9/7IPcbG-)
U"fdu#&)EK'?]I]j_Nm5]/^gZD%/*xf4DM4yQ4Z,k]i)3UKEPAub01E1&_)'M8E:K
U"9R'qs?3T<66k=)p+xZPosI3F]L/VS;pH),l.As%Ye_0W.g_Wjled<h3V2lBTE3t
U"&$i/V$]fiqR^dn,G+p]#EmKmlr>=Lu*mr31C=8m2r#i/#%iE)]4ao')L>r>/(^w
U"'(?b\,R_NtQA<wT</ZEQE-xYtE4mpUJ*?(z9Xle4b;fEp;?,gvs\p^F_(1diQmi
U"Q:5m2pwtsdYF$o=rxwm8(;B+3iTdqLkpL)LcjjkH0*GUka$<f,0QaVEJWM#rTZT
U"FQiPIN2Mz1^sUn\sJ.>llGsrjuBqr1O78ykrmzCrQP8WnW=nj^WL]3Ng5nJ*SOd
U"E#4>?;ds^%xf5ru8Jrx;%$oL.SxOk)6lat[9X.VNzDVdNvs?udHUU)LuF<^.x\Z
U"/r0fp)*MstvxnLi8LKRb_q&w]q$\IA3/]uYovTcjxj.7r5i^^VT:L5]t^dtS3-a
U"Qilkbj:B]6Pnr)5e:;z\^tXs(ho=^FEhcA0sjsBxwhEZ-KO$s,ADJ&i#*t0OWnM
U".G4gkog/qlCB4Z%sn<?T^5ho_w8e<nne^K(6JBbAc4h3?wl7OjG-f)EwLuZ033L
U"SKLG(+L$)^lld[YBFpGW2AAbKUxGtk>gw>uhCja[lH0.La/ETCEqk^)\KgoceFE
U"\9eZP7ciH+6GFyraI$$6x[_W&#HDzX,P5/anZQj5)Gl/-p5Xx.v$uPM&j-Vp0EQ
U"i$ks<ijuK?x2p09QaFOtqwdo^Y6K^N3f&]dq>r9Dc6cgLwd,rVuj,RoENm(cJdU
U"5Yxud.BxGsxPmXPFjlLGBe'?OD'DPze=Z7TEEIJ)ISMVu,/A*fYm0c8R]]BMc4N
U"QBsfO^\e[*9vtlr66SPMt]h$LCr?_t.d8$e2oAC^<oKPH$+*UthCZkIqDGu0qjX
U";.aOT8&=m&sKAn#Q(owFVN2xg7O*x:Qsd.-6_b;F9;dcPbIv.rjdm;kKr]v\iqX
U"h%7wdv3P.x$#rd*\MV*zM1B/<zIsQskc$ZR1i(.'STYh8kj3)+4&QQ7^%C&7M/t
U"Uh(h;(NVJuh2p1r8=+pcctx)Sm:R1oF$hLh?,%hb$pg1?Oc.howA&^t5V=wq)]O
U"It<FPwU_WP3N0=INr6ZPGr)E/wWSnPyT.^7&lv.g%:BIVAqndKn*1*$0rxL/g'q
U"ZD)fd[*ll;3hs%j(c(84%=zF.Q%om8-Y]:EZ9CQi\C\^,K&+g9'OX%&Y%/*Yzz%
U"4UIce(3PDYpZ_,$a^XsNO3,\S8>%c(mc%ecIaB8o,Kw)sF+]X/Z;$fWU*PHrQw,
U"YlacHllkHgWZ<lK/0]%1es091i/p]69tN9gsb$$H&C,1^$KV7K)H7[%Q'Skf\O]
U"G,fq1Qmde2hD04/[&wh^c+zYi7QO\nRcuf^4n4uS7cYze.j<gQ#RYfuv.sT,>d.
U"iuqTH]\A.'X)A%Bo'(?b4S6iFV(scjej_%S<1oA&N3<VO1j'M\:b+G^HraK&_qk
U"PY'OI9ApN5tPu6(??O#=qb=2S1+N>96Ked>]?N6YDdz4cTkZ'(L%b:1u?'mD-H(
U"MCMM..EjO\jCHy^TC%SrC,(%Cq1T[bS:L_D/jC1ESQ+(&J%8O]hE&59Yz6H6uHc
U"#HENH(L%bOGDr5-5qpXWQcn%x>v\9c]%um9J?QN$zZboJkYY3Y7h<SvHPq:4Nj3
U"$uOZI#&.#Kaqcq8>oiQ=;qGWWJK)3Js)7HLU\6rBd&MZm.PbM_rXIrt1/MqXE/Q
U"65Z0d;CY%%kqBe?LuaI:CU4nFX=PeRqC5OT27ZB8%<C-e'TnO/QQ]t4#,rJD6LE
U"BO>FnY&bcIhc9Iz7g0SW:1nf81y_[D7cH$/\K(+?b;%YY-:qty&N2\r8DeU'/jz
END SUB
SUB V3
U"KG(4Vu3FKD/y.4;NYvvh%rs8*eo&o&D/i.yacF'Wii&Y3tl_HDP'wU)::w>o[oA
U"?Y.i+$f.A5<vBGQLD%ZP&7<)ZJ\#()_C)m/W9%evlZ].Y%5R9W''&6&-8mXMU>k
U"(Q:rsNZLMqh\<bgF#;lEK'??+oYRn,rgR,CY,6mar8NSXO6nTY:nprf/p3f(W-A
U"676A*QBd0V*02<OM)<EMvevaI]>U[N)#]5E<=SLk5Ao*Uet=h#+&I+21;Gg#/Am
U"8qK/UX:#;HB'la?qMI>L24R&h5.dHPF<\-1EBw/-MFsaTvzL_r*c%u;d61i<qHB
U"_W(I]oYx;,\:lqm%k?MhJ\eRO>u11Wfd.5*6Co<F.w[i]W[LP8,V=^9AC9=eSEr
U"EHVuEQE.**lLKA/:rYQ-N74uI#UA.H*ep\*#d*rxBeAh3',$:#&*<RaR,3m05^Y
U"4aUZ)0JdX.P?.:2pRZ1$U>vF%\8cdE\O,(.pQa1Vw)_bFEYGvj2YY8qYTfHlsX0
U"N)S]Tn35.Yl#.QtsV;pG]gy-mpj.'oLbo1^[l[ZWvG'spU3nfUCa'-),TSYq1M3
U"5=wD$7:Fg2L'ntpl2SmC9qW^T_bA\#..BJHY'*[CxB^8Dd[hVHeljb*GfP+<e\B
U"L6h+/A]sFats%;$*E=FIkF=z&T2*vSUx-mqgKfW95z$d\mtXK_%7r4Kl3S0vuvU
U"'D-I:kCHk4Yz#(X<QIAq3IR0Afes[[/ZX%G1vO)]og:,dHphkfP2nCb9OFn?&WI
U"8I/6[modZW))St]ugRHdW=>[F[D&05fVeL^5OcD[qE=YEs;)EK5wQ44.s2kX9mW
U"n45*8*_Z^#FgqkB,CXLT#5eDeN*rO&zfcSvHU)1r.'rq0227uxXYPahg0DTkA+Q
U"TYm/vcP9O=>8X^aG:-eK('L0HwV&LK?oVYBX;Yj#&sSF.v'nQn8o'I-jU._<O+[
U"%'RefFl7zmgr/9PMoB%w)z(&DNgiqyrKj1NNGosPR&u#Fr=h^Qp0n0?=7Yt)/g2
U"8-Le2c_-(pcE,q^F(*1T(RSL%$El+dO0Tu09b56RPY83Ul0m'3r>Eo(c-oK^9HQ
U"7(TF9YI'r4dD:2E9d=gU/8ePA%16>[2cUkH^r1?4Vn65BD3]qq:zHko\2YJ*,Ks
U"?+aI1_?]0.d,mK>hP:6Oe<O7si'YQ.TlhS'b-sRw(6pT$T(o)U&SI8NuI%T;a][
U"<J,t9g^=RN0s5Zs_G=p)?5;;;e\LZLPkL4aH$-M's,',P<lRr(Qt=P#fqm+f3Xm
U"51$s8-ZK/a5[)-I;[2&AM6qo0f/Hm=l&YW4nX8]50=5)o#[s.WcEjyW73'W_.y%
U"F(5mnzGb'YN9o>8Ig56Y-bYB/Yp,.?e*TRKp9]:cddR>Z9Z86b3Q0[*m&.aFPk5
U"s9TBeBev*kg?0D]Gpv2ljJ/.XXd7x;XGj_^Qj=1DvTNonU/-[jAjDp;;1\25q6l
U"ueN*GaflXWTc>A<(jh=S9'fnxh42v(t>\qf>V3x.jZqrDc-o\Q'oM?[GDZhq.M%
U"E77[bfCLVA_:GG4kODYlIneA?3;0TZR(f#RIV=)L>[%6,03NLCBQda&UT>g>Sh.
U"qP5$rYeHlTI1-X'OSphnNX3/ScM;'SS4>%o[oS%gV(OU#.>Om7N+'hZNKi(]5E:
U"R:8K9L;r4l/S,H.-&XhrHQ4&8?/l)5vJ%ivt]aQgS0S7/-lc555[0+KZ>7)s1p3
U"dHl-q2[#=(_P/%-<Y=eJ5QbK;P^52Gi6d13HA(+;7Im(hnnw<s+RE.2UZv<:0U0
U"%is;2E^%ZdZ8:*YQKT2%J40.La*YZJF5W9H;(JmjFD;#S%jxBhvIcp*sGlO&ghY
U"VGITe.<+#^^tU2OZkU2Q^vjRJ*VqCZ.?JCgIgcPvxH(;mp_(3M*Z\XRCX8uj..Z
U"Ur:l3qN<*Z3cu7LWE$:YQ<Vtt9^Pp7/=MzmC=/(Ao0L52AL:qR][9PFYkb;H&R/
U"Y,aQgoBV'Oi5hQfuq,1Bmlp%0gTE'Wx&iAh.q'aYn0<wtPt#]-dp2aKt-Hq:Tu-
U"2%cfT6u?T_BX<C3q[ZJOFaO.>/]$:P/Y/#<t?=rHgEAr&j;(D#4(l;'51.UBFFW
U"e?dCINE/JUx-LutFEghc7r1O6=ilQ%%_uj*7d9Tt&'<_J+*o1(_J'Y*u8zw0P]i
U"]M/kvYEX-H=zCn]w916[Op&49mmE7<P7SC&i^y^Nt8mFAA77Mh*dYb;DTGto5\n
U"8h904DMeaZAT'yEC>>w9JgfgrFXBjopyKau.aD,VW>eSq2#KuW[x&4vt)%q>Gig
U"\/W_*DbU8]G)<'s$b-M/m^7zjW(Z5su^]e?ax#<sE1652CfMx,UCm*0ZJ&UKK_)
U"bG8^JiD+.^>z%t2uei.m][HlK[W&PT'gchbc)B2qfVfEd=azIlIEC+Vl(7WM'b'
U"25:PsaCAKm#qRHR%:RNNR/hY'W;Jn7*eO4it<2,61S.aHaIR$XJ)]WaA'*XXSWI
U"q&2>94EA9<n;N+;N2zUaOSPeZypZI7Y6hYadc=h?:6jmEA17#P3IxkyiLT5v10S
U"$>C^Bf'TqD6Uu0Z^.E8,gpu:/STrV7e^XLWm88n8[;#]VD+DTaqx,nVs2OsdfFm
U"yM(:blHj2Q6RH-m5;4#EC&EZlL3&FuAvM6)=5j6+'6m-P+X*aIXNVA79Q6P\c&n
U"_D&_c?_Jj(*VevJRn&m6jak7'9&D]Tg)b4dvR?>IT;]G0HB#02u$H[V,=_Xio(3
U"FZXC2>Ps16*-d_z>'Y7X0Yto3k^IxU+<TH3D+Kb*9,K,,kN:rmp^,z/5L/+-ZVZ
U"p0k)TmnodIL$w^*(xXh4Le;(#,tKsJinOFIjslDurE0%Aa)sj%o8an49>QdcykF
U"_4<S9$;)%e7j/pm'4rP.*Sspvf,v6s=Dfj)iG4hVRs&1>?);]]aNMS?<>(;biXu
U"^Kgdiwp2(_>gT$jgmFJP<yMJgMa=_D2X\*L%f=b=K/DigeMVbfb=P\onVk<_mpG
U"rOs3^Y2eo[b(<<3^&?Ada8=r.wg9t0lNc(DR[yEc/_]KMEbRK\vDuPLkl>7(V'\
U"8nLbY74dR8/f-pa'MoV;^&xH3<\M;#^r=xVD06cYYqOni#AZx>xHVOl<fbfZ$B6
U"YT+\P/x9'VG/4.P-G<+,pvfip4#OC6nU?'BkhdJUm(D>h9%6/]w-Iqr22;LhF1,
U"M0HEL<lT<[L:;hfbuWcqI^Eoh]Mhj3=Le$>Cb(1k_0kD\&y9VU[0GQJU07o0q'f
U"7ACQn%k=<L;a%Gh6O/92G4;c%oj8lQ#j:uu7FJfh0rM]pYpJiYo=D7_PlVG$J,6
U"9<=$JP]5MI_Yb=nC4QjsCAHx=nW'?D#RRHb9>J_8C>VRG;QJXGbxW6&WnX?B$JV
U"r'jzA_<ns'GNU8%*[.9AujVnBuir>9H<o._sIr;W.Bk<^#\+5Nv9vYt-?LMM;aj
U")9D2X4d<dbhktq%PVHiow.Hno.:9eDrGcD=\TA%LYMB^5_ah+[lA&f07b<tah3J
U".bJ(j8x1=FQE*&(<E.jcE897/_F?)-X)-v52cISzEtcVdpYB$q;YP*DrpVel+FA
U"W50?O2vj.#6p*#$w^OJ74o3BPNw&(JsChgNr&4O^Sx9;MPF&j,:/4W4ZX&WoW=R
U"p=t(n=WrZO&Xv#qcHN,G=(WKp^[GnQG2La$R^Ilc+)il5?//]lu7S#LUbw6rvK<
U"c,O#e(AF\doI*QHgu6Ck+fCmcCX_H(?GlsQ]hgN:n_9mH-]IL1H9o4,o&7l0e7<
U"rfh(rxiBjtWI7KRU.mKd93E;m5wNrc^\Mrp(SCnSOZmN#LSI.I%(\t28&]WgO3\
U"6h#c/lqG6tcJ>+S3[U[D^LRFUWUC*gRH#[6q*,+NVzclKtf*uYDp&#)hW=(+uSr
U"(>$(zIZkZi(slP^AprT>8j?8voC-3u[P2Gzb4Zj:H2D*d:CVRqXMlsd.o/nucIO
U"dCBg-[$2+reAvpDN/9Xl7n86r=AwD=tk&PQx^v^8BsD\U3zv6a<J$qo&rv0<vJs
U"(7q5d>3mvf2PdhG<3oHLyjcZNvtZlbqc8n:wtZ+wqtIVr]CqJ?]uhnNlbyknr=*
U"rAQ+dF3Nk6o7BWd^3DeK,Nq]9Qd7n3.sp8x.o8PT6E)X$H6KbD5rHC5sv?PMLNM
U"<kOv1/NaM7Zp_Jgf[]6$=?4uEXsG..WY^evX:tl#0vCHCr*bLeB$:$Fs&:)ngl2
U"J-5[v*D?W$qxeE^Jl13n_.+^MlsNt7M=qS-7qB_3d>lARL0qJ67mMh-MI?R#jQb
U"1w'(_NMj]]Z(j%qNMnt\hdt4Dqvr)'hAfy?/hE<oX(4uK=SNuMf.LCh.F96)Ifm
U"'rtP#$H#WJHIPCTFg3Lc>u6rt6><(WJVWk\V$Z^#c;\FB]p/ejGd9i,O[Ax;x?M
U"4=s2W17xq3vwwOtt5'Wl7fEi8IqwMNV:u[^gEKHWlc7gqx6(SA9k[cH74[>d\84
U";xw.?/w20CcqRNdp_pSieRm*NRJCr7e-_ig&SU=:$L^,:'Qj;?J;v3I#fL0jh/K
U"[N+2OEktlZ=fZ^WYW.$1=i+Ci=KW50o7?Y:Fr%+a>?,I9;-X713YnG][1%hxH#/
U"FeU)uWaMJF_ZAL;JQ2HgrKZ>5r+#D*,Rm^k4wRW2JWXmj+?\OCus]R:#+jERRKN
U"/A'lNu_90'2fV.V3Rb]?7FtO-e<7-G&Z>T^OXZT4xb2THd1nmV]&_g1sSz$_Xi[
U"/]4L9C5V7/JeRaQ'xqki,0QTmpgmMoBsrIzzOzj\VGR,n.Yv\0rcl9oh;*6T+KQ
U"G5YmvI#'R>$pwG%*Kp0BA.u4.M64kij^'ca3OrGiF,2q\HKVyx4s:vxt%ghBpN\
U"'45);3xuedO4l4TRYM$f[057Yx1<Eb,TtP)2o&Eh+y-Th$P_d/(b/BO;$3;Cw=L
U"H+B>h/%H\O]V2U'vBD7tt0fa,?&'C5l>='XA<\\.u2ZFm=;HBgXD3lromX=I5$#
U"cXPgrUd#q9Ye_xbruQOH,t/*LHV1/7wh2&P8Q<eXoC6DTEMUJVe4YN)[^#TS$ue
U";JVg+=Jo\)[Ndjra]1&WZ*Ys+gY)$pHi%mMfvaNZJrnMari3Y4Q36;Xdg]c-DXu
U"iK?6ci'=_,R/Buke(=vVY0Z*P,So5hNGu%yI[.OBZ4Fbm_wah3AqC8RdZ+0uX56
U"YCNZ0py8[x141[g9wdjS0NSuq)Z1WaBTimSx'm<D43EDgFgaonq<bCm+#:4J0fL
U"/UE*V2RmI>$[fH*)SI?W[zL:uDVNf_6xi2D5_95JMwSCKVT11dH0^e&7c+)2e3.
U"AnmzAcY0J\_Yk'm=]#P:.$&YU;JgW_5cc-sF(yt^B[E3wY+HmEjY\<^SjkFaPED
U"V%lSK'R.=XQ&oUIU%<rH778+^3;^Dbegw,kH3(5h*V/L?a-:IrXfPP:#es(y(MM
U"l3.Tn6>6$4Y$+&BsK,HTSEDb<sWGSfYh69=Q<X\c)oVIWm/;+;ZY*JZoF+'C04u
U"qnb$BVx1UjBfDmi'E+t$i5]IOYj&(C-$V4Kil)mm0ThPDS9,Y1-*j:,]nYwo0y'
U"LlwV*qCEqnFukZ=;cczRv3\X4oA(sRY<0qO\0uB0N>16UxAHhTA.JqYJEB&Cn1J
U"D:TlMJ8*d8MuDKil$A8;*4s08WDV;O?d,hvl-W,ID]4+]\HN0YW-sve^a4_9s=k
U"apqImQ9Bu:4V_hKeJor?<H%pU[g%TJN':H?5l#_[z1PaIP\Q)8NT[V+&r[E2fw'
U"UFqI\Zpr*%Q)s_+Ph<%QEr,w>-CF1G+5hAi\/,N7h:K(kOLi7KdG;lL3bW6#*tI
U"dCXyWnRpqqDg[KA^Xk<G7q]YoCR<G#1Y2Q:/v.b5i$2ZCBb2t(7OB;eP9i>OV%J
U"8KyRF,([D&bmix-9+mYfFkKwtU#R4OXUVT8n36l9lLT]M#\(qSDtjv*\,Li6SJ^
U"#l=(iMXE')k&^)>jb^']NN7qcXd[8GfrDITd#(QGaD$YWaGwvr/%+4.UrALUYTc
U"%V$3J\oJK#jpfSl;#lS^vU-jgs?oVC4:eGOo\'m)=m9MUriF\X5EpC&1[_;C66X
U"-bizjXA1fH_HdQU';+8bASowb\2_#,QMJNcVjb\mu+[gS_FU;S>7:O0$MpA;'D(
U"(t]p\;Gf[cBJc<[v#*T\N^NFQ%8'gYXcINk1R2*yF'eMi]:AZUi/iuQ6HQ3GTt3
U"W?_z0so5i5gTnD>v3oC)6)kRo3)\%J&W2.C9Humsr,:(CEX\LrJe4A_bqW*j^F%
U"H]o*G-:MPBW4R,7TK>Wp[L4l6ilvEAcDzb7&4Y+dFr?Vdv[f/F-L#HXygO<[nc1
U"KGv%9Cn+u2YQkEQ;DFUaX?Q:%jeWVR7e<AS]kc#O9^ml<VpE:r]gm,]:vVc&E1k
U"?umC(T?&#:3O0q75(+=$n$9+;)<M5_%3$LD9q5l]smO65gc.YS;.]OBqeaFjM78
U"eMsOd\Wp]AaImGVHns=c:jME?kH)4VHW>[i+Q7#ub#axpQGFLH<v_YE5&Cf*aoX
U"'XZ^)1VF+JEcBQtN\H6E_m.xEd5Ru\ptb/D3\rvMA+Yh)d%cpqJ=[D>+X4)EK87
U"29kR^pj/0+AIc+]ZEA](/(U<WtjX-11,oXeBKf)48QL$_=gC+Bj_rOtdbzl%B01
U"698KIz'>kT':pS]HhR)U]yXi%5DEA4zNATu58&N0-x:WMbkI9j-\g]1-#gWa0Kt
U"cL/5c:#'3EG^r;gk=P7wdwat,WtAM:X'KD-ul*%n[JT>NH5m\_rS7]6k>0TVX'#
U"2A8&m#<PVVd1]LYT*'*DSZMFmHv=tNf='Ml7>U7lQnY_CMVpX3-KmjB=A/w/)w;
U"7H:?Mw(OY8tEJQmoml(sf\M,_(>qRFP(R,LHsLh9LgB1,H=-Zg]WGA4-jJL1g.t
U"gg9dJo0MBjls=UPIlg>rJ\K;2rUSKOY,s_?H8;m$,[1F$W<8dwZh5;4,dy3$Ec,
U"SjJ]&MteB9wr4k58eMh*I.?l/(^&$:S+d(:(oU)^QNK;($W>b[(dSTOR=\rV*#C
U";S1rYjw/?G*IHiWR4PoH62D:$9H=5t2_Yu:nQj/EH?fmkok-v5W4m5:2Fsfls+R
U".I^Cn]EVpU>($#uW-0#>;m$FmT''EHQCjc/,etLQ9'j3Vkp_GNUEr&ClC?C9=(;
U";%/C(jLVQ*L1CyFeY_PHUo#Y[H\J(pu$5h]Mb]/#r2h*+:+K8Z-W)S(:f#j.T)N
U"]4Z$y=nb'^$+6jEEsa?TIV=+j]5^kRo3.)(9=C<=R=2lkvi$9A(7RpF?j<[%S0T
U"#Pp^#jEc&T$T'V&DiQ\OY4R\TOTjE_0_I5<DtUUSoCEY]^r#k-cQ1qSkCUjDDyV
U"Sz/(+mCAPK6_5$R7ijwFS.[wQI#nD&tn'Q\*MqyX#W9qlN6pE,)K?$in8f[9A_4
U"Tx#77z2%F*y[&VZ$:qIZJZ3*b8+o];,QG;ioH9U\wf_ycv'fkl;)7W<tj4S.5=_
U"yEm)k13^>2,FijQPkW<M:d?dj_/F?u\e+gB1JYO#lyIvcrk3/=$\=s/5=#PJ*;<
U"dOW^y9UgS'R$H[4<ORY\mi3/LZ?)HIX---X$MJoRYexVLJA'ENM'.dTj2Y#lw:C
U"_+E$iz0'Rj=E*XgMhZ,1cfD'h#Q.I:&A,23$s:6pI]-*S..m]XA)H^*yPHQ5leu
U"3;Ef-k,*#?8JhY/(h)'qE,jX#JBZE2X;5$Yki.faNiw+J.HRgE'$nkEc?#aR3V5
U"KAY[4LBqsg:_TBcAdhK^<6WNwTeAhZJmEAVIWU+95JISdAQ)S?rk,;V*WN(5Gq7
U"?r;o,#]+s^^3o5.=2Rzbs71;L8b[?&iA#vWj>C%p0Qlol9]vf>A<cU$mgBCI>y=
U"]l)hh0?<J%;V&k9a8PeN0N0b''H8K>+aCEs0YbAof_T0h0]Qm0/K<6:FbLRHRJv
U"+6%0$xNr.D5yhg?U\[;=fgJreaOb;Mwowt-C4d(&PK$P%N&k*b1KV1[*H[&wR5x
U"JQ)?T?nw;GF(R]GQL9W2ER<xICW6YQaN/,(#:/M7EN2\w4l9)[rL)IR;l\G^1z.
U"=J;\(KF3HqUvnLqm]Y0h+8CT8z>;n7$7NghSVWc,8'2g-n;,%\dksErgU&Z%NGL
U"faEp'dR73=cI:^ZFqk?,9k=fo[QMrf^[:lCR-V+g,e9BXAdq)\8??CFckWwu>j_
U"J:\R^S<$B*bg\XeDDpKg:Wa%b7[Bflf,HU=G'%M$l*a0X>gnQ5LSw-$WYX/8[XQ
U"J\eGe)Y#*]i5_ZZT'I.)mL6r5k#T*_$pc;L7:(HhshN'MM9d+NUZG0)^UjKSHuI
U"%yq&U>hC$92kyttufgbBX>ov#:v3/r$)_jlLnCU#_s;gtk0-6uN)W05)EdFn:eR
U"CXOWFvL4-kx-4\:%9lr/w?h\n&YYwstVOMKGc1I^jE%s0[TGk6l,.\XPLM_\AVm
U"werD%jjX]m^<nD;)i$EpcsB5Ve97#1&]'?A%QW<BL]7=</J08855+yXOBGO-Hf=
U")6i5cwQ2&;ALUqidTZB0R2<<:ngws-0e6H<RqQ*EDaM17,lbt'WU[f)6gbZ1-AY
U"kF[s]*rF7iq&OWY[;UHL\37$-Uj,DWGNXleSxL(V4.9,ir*+otlYO__?juhUOLA
U"k9;[;Trj%3o\*RA9Jn)%2=&E<CM(M_*2f/?kqXh#tp4G:hJDA^]j+6;'Ln$ZM'l
U"4%uYcFjC5)l5c$>><pOX,(<h;4DkINT3gw8/*RMn$e8'Xtb':-oearhnFKnoh'H
U"AD:=hu<kJ1Hy8IO-%iF#Amnl-dA_$+3],n?Ou&Ueg#0/e.-8fqn:O%WDOPCm.;k
U"MT]jkHKGI&5:$scHjI)mF0p*lB73LWl(s+>u1/6]:OWd5=rdf5<HZ$X8/OVG%&[
U"kxcBrOw[*pz&)<v#k]t_%4<6tYL>PF<t^2JZnB5Ex[udFDTC*/^;)1P)]z)hS:[
U"q%kk3Y(EjNC)r9(KGaC5n;0?H3R_G9Dm:d)_R80'7J=Gh;gMZK(,m\wI&c)j?(+
U"naew05M6Dled\=5lU.e-QHghRz;dkae.B*XCMRs<EgnJ)ZNEp5Yf(O#^c&9NhNP
U"EOY-(1.Ckt0:?&(87haQiQ*[_&5y;Or$.I'ZI8>NWhSo^A,B8J+3E0^UImYEg<;
U"o+#)5Z[A?+]nU5cYcWgu,%^epA=l)BkbeQ<vZ:hRc0,Xsb\+*6Dc]V*RgEy26Y'
U"P1)$]f=(jU18d6DlR?G(0cbe-q=HESTO=G97u:FM6aq2,yYgK$mJe+f)mbLeJJ-
U"NFq\1rNUZ$iPg=o?mN#S4peAx7\#Gyp)S&Fo/M;sQC.F3Ie]H7>7/[3)mN2x8I\
U"7iR.)gOquI[jSJo[lCrONk0GY\v\W#m(C[ue]X5\31Nc_+$%R=yM%C#60f&UXe_
U"_hD^Lv?$<*q,v&Hxuc)CNflKnf>aY5ouJMS'\hl<_Aco\:QR-a7(:'ur$E$Llp[
U"q*R]Gy[a?p29a0r:rCi55MahjXU<p5EMTmZFh,ajQ)^SA-L7%hH^7ia'[.lwjgF
U"059Xu%r$Dhf=%0:g\lXgMt?8sOwjDHw5sd]WN1COdQg)H4bOOPLd+D;TXmjJAgE
U"P#DKQgg9r=V8K%dcQM4[8ry'lm$79$J6#&&o$6X#XQb0LDI-$xQ8[.nk=/;BiFh
U")VUo_pr;fr+iL8v=>FvPEX8k-cQY9QgO9M%S^#R+I8QhnOX/7mi#mm4_q#y&DqL
U"b_f-kxaH(2Tdul;vG=-$,K9n?Nmdj&b_'2aXmh$oBiOK*w?^C&io-NTvJI%0VNV
U"][[_*]_f:ft-DlZaupZRH>U;j-Omhw,?(.UF+A#JT3DA&>fFv:*gj#7_dmTs^06
U"0;G>lYe?0(hcqpjWdRIrv_^to32mTJDv9L)vjJp-KM8k[9>UbO4)fC-5.r>#d%M
U"*:21h+r42<?ThJEoMS)Ut;v>Kk.eQ>WGvtIa(5BhDFKuQ&k':Dn&aQHbY8?j>6K
U"Qz:JRb1E06CH9TThj**<0sN?fVVt<)n;6^F?TD<]5;I'xAaS_J-r[NMTO)kTH-X
U"?;hc2IJ0/qR6Q*)vPyoNBH8GPY^Au4xROYbk&%qEl47VD2%3Z\*]7,6->UIV<,L
U"Q37Vwb,OYcWVQWehHj:U#)8Sk91'+W0sqY?Gl.43hJj9aw5?&w\_2-z*)Sw-kBi
U"s0'qO'EPAg#]rLqGZ)aEVF8E=HICXxpg3Rr'^hPkij0#/*2=7a1HA6<D,L(oTf6
U"9+$XzeKBDcsCVopna]>Emvrgo5ppYbK2xF\Ap_hOK0B3+a&K)g^p3ML3q*6X'e6
U"wdERJFQ4;DC1P/j7xW)xm%XOlqAZb\De2OKy_0POL6JbJRuuG.6E4'T864VV1d+
U"?qW34]5EET?\2SW(986T9rfG(j8D<Whpp#Q_>Inq6v^1hN;R\=FE$^][855T:C:
U"P0/xvb-J$9(fIFep0u[eMX5l.GSQPvcLFYm.jQX#j6^J'k'Tj1#Q<e+vo:7*at*
U"+1N3&/;#O?o>3[RTHT14XCA9ha423t264BCfjGLGQEVZ<+e^^*NuN-R7;8$7e>K
U"q'-a192Jjhp?AbqReAgQ'?3jmVSnf'*b/p7\Iqt$4j/O9>D24SkHC'En8(G46'^
U"qb33Lc-a7<AG*[fN+Y?HU7)=Fa,bH6r/<c-Nqjk>8req/Je%/Dw>f&VC/$#*\/]
U"6l7.dPrr&1bA[Q1gCwcl+oQ<=:\*5FATtuV69,rj:VQ<:cCmqlO'2f$H8k'9*jr
U"r,Mj$<2YS;^G3g;3Q'_y_+%CQK=S\_EMA(&-GQQxig8hF^3wH7YjL/gP<oAra#b
U"ZLdZJ[FAf29>SCz3eQ#RAyX0i)\(%Silwh6b%SHSOkeIQpb]L'v&u#\tXP&bOXY
U"g*]zETO51JA4o,Po4chdC'&y5ki<7_g;GK<9';HGXpBk__+vUFr5w,Qgm(t2%x)
U"oP(r*;MK*YfaOe*tHbHw2H)JqeZbtb.k1Gfp_rc_#1THgnCOr/*HE/SdAg9c6Rk
U"v\<T:=$deCwXKK*RsO/[ng./gFx9$50Pk;hKD1a>t)8;Lc(il0[B5L<D4XOgqD#
U"ilgEoV(Fx:_uO3%$G>P,JVU<N<\\3Ci$EAk3P%[E8\Xq0%=PI?WVlJZCA+?=6LN
U"+H0^3s'=F^)0/[C<2G*r3/U\It(j%+;Yu,n81-nssj#'KDNDnl^q;l%:moCA/n3
U",GVy4p5m:\g&1&Q4cAcldpcYreT[cULKZo=.,S6EfIeZ&dcA6BZLHg0OXS2gH.w
U"mVk7dr4=5fuvDUq7;t'YV;-DV%I*]:5[)s\:]k^MHwi+82H^V>mcEQPHu&\8]oj
U"/[\-s**#g99F/[ZZAqOerv%'7&,PBuh_o9kJPE$g4F?4orXPc5j[KEfj3+'Y2Z.
U"$tekte'wa(l7VfY3:'cXfG3maokXmp9TKjQ;mNn3O(4DdPXZpY[0O,^/r)SnvGg
U"=oBJr/c&Sij+#7C_,^VnXTxb1T72bmp;ba\4q-9Gf<Q,Bjj]IMEd&00KEwF$p/)
U"2DjdVU9pm_-SA5(36/UltOCUl^P;evI=4Xp=.J23/0;hHA8E[0I<:?2Q#o(O-</
U"oOtj*_iBCPw]8%>Ge%?ZQ<$kuu3C8]]n3bNr07y^LjYcW/fRxJ4*Q7Ta5:i<+=7
U"NF[S&;T>i.QW5>DVSc]]4MI/$\G4n2,s<S$5zW])1-l3pR=rTTjkWybj8%TCv;(
U"mq>^YYC^<9bm&G>;+[Ons$']'ZUbwe#^)jU.<\;p7iHM^#Dlnb1$mHs#/oYK89]
U"Jar1U9u?h:QnbmVU*<c9$.ha1uZZ8bN^*FEpSgBr*>g1SWe&;Crn=%zGGB*Njs&
U"0W0,D_HO&kTr,RvMh%A*Y-1:wI4k=fYqSrE;#5c1tlaK-%^h'klb)lTK:*IXEca
U"k](u8'Z)vke+&+,Js)8n'8oe_-I(C*^ks&(FWt4.nGbm0di+zUwPg24dojix.er
U"66L,am/Eq8LG_dh7)Ybi$xH4m?4m=&l.a')0S6m#6$6Ga5W(8\MJyNXzV0=lXV>
U"t&0.>qf_nFkN]#HGYc*33C4v\)/t^B[%<P-*X(/Iv#el2BOMmc&qdC0h.Ue2X4k
U"-(-#:F=*tI%&TdKN9+Lsv*WfBuG'#;\<qg^C3eOY.jkNO$kI..SXOp5Lux*i#[j
U"A,g738Tr,WHNBtZ9lm?H2'A_&5r.e+GTom+KP$ma-=22t0kv3-VbEt9$?nN[-a2
U"3z.h9DIeW8R_u#N3ZJF[soN08K%oC*o3mioV?[1Wr5SmFMAlSfMm3pd,8-2%'IL
U"fSAB,\%XAVSrhot)ga3(xAsrkl9E=uLJ7)#KuZ9pKP'q.uCfoX-kVlWkK?DD>oD
U"v<udC2QfJPaDP]9tCt<5XPzEYmQF;Od5s#Q0FiGoTD:(*tsWtB)=,.iI_lDmHex
U"bGQ5WcdG_Te;8[aJ_k/OGbo^p]BlDH#aY(o;Fo&k$(1?6'o&YNR4bpPm=KXH'ew
U"4t*'ucxo9NXFYNW_:m)X=Hw>nDB#>R_bU===Ol:A]OU&FV=zmJp)j=h2#Mre1Vw
U"L=^0me6g:G7Sj<m+60C4OJd(w4BBAZ64Epql23<3v7B5VWH:XFp.:2j$A1xZ'./
U"14cS-O]Eo'IeEJC?Iel,Q$e'602c>DYM]re]vhoe?2t'jXiMXnh(Xi-aE[Fixu)
U"00Gsr2PSUz<)*eN$V)9bsPx>fOcl_84bD'-M24-nFWVl\+N?elPWo002PY58A#g
U"NHP&.Djp,/n6_dOk9rN3%o^UfMUvl%8<=q,Vk'e&iw8[TCyhK;)C%HG_jUf6pp+
END SUB
SUB V4
U"$RohBGL-Q$KA*ardriv_jOaut;d0jr=7hRjc5TQ/&wY*o>Fl,vHq+*ett%^\4AB
U"vFk$;[Ri/??S_2cM7kB+GI<3_o(TEq>BqB/<TCeOh7\ICtr*W_FT\]9z+03T+a#
U"mRO#9.5d/emkVkULr:Q1IpZ3T](fA9&;v9a7.%/-f^;m=;pRgqBI]i0rOz_gMW]
U"IH(Fq$h):W/FEb^MeH?=UBGhHgfCEW^q'/D[8p#6%tK4-mu#j2gffweQ\aVX<7e
U"7hN:neUnnk\OHN+%q/Yb/^1g?,zKemUO0UUPm?80UeqcgV>a-EC;>PZLI$N^0m,
U"568:;lvKx#)58X8663A2g$Q2BkF1q;:M6aWVTV4[>\$r<3(R1R6/d(thnheKrN5
U"Mqn[.9r/7GBt%CpVaL(sLJ1W)#$oX0NoK9c;T0YlJ#JE5=k9U5kA/Uddde4dd9+
U"u?w6grA&#o\5tp8,A&Y26Iqv?P)YCZ(<huUU>#=cQfYkuqm\bjnCR9PKKzOm5u(
U"hNhk^K;D1=]WK9wgeMXgx+Be;Ka<RNquYtL8S%/j&\oWJOm7oF58'\O9XToT.UM
U"eB7WPG3O*kWyE>aHN2l)EV.NT$Ebp8,//&DQ;QQaTWGC%F1I0m0oVf)S)Of>l6$
U"+83pXXPlZm4wRX9&vyU&pnb$b$:7mmV3eLw1I^*4tmHL.]]6cheYXp()vmp,IK=
U"w^,6x*<S4g%cNYa,Y\OPgMpMw:AeVUnq]d-YEXb^/[:tbNGJ[=4)(xzT>_w]n6h
U"z1[\&wno;QX;mKe%yJ/KhlvG+-lM8RQJOoQgMz8J:l;BD9Y?ve-Z<^2HJ5*t?_o
U"7=%4jI=Pp%;#$hQ_:7dColUS:wIUS0F?mInA6C^;OVrcD%-KXxI-[,LTW)lUGF$
U"ZXa$YB\\bT#9se7mW:OA'LW%cAoE]Sa2OPyf^(:BhBPFT[umj7sU(pz')P:g=Cp
U"dMe)JAElq7&n4;#PRB:[7#_](P,k^JnJCHr9>qG:/JrnlYsahKbxB#>f4D*_?kQ
U"OqaQ#UhfGr:-JLOtj+mqOGS4:l';:(mS$vin>EJ$ed7e(GrsH]lp>X_lc<Vwp[b
U"Lp=HRZpLR>^#5uFy$+kK.5:fd$Gk:hYQ]<DTu?i175=iA^5;sK4kxBa6^<6&Wma
U"lPO\6c5#'M<g#YL(e=g3X=ukkY-'[K_BCUWzP2sN&clePtP*N21ci>w/Qn4iQBX
U"yb2XY#xhqi6X3)q+fJ2#m[^.-GH_KViG-AUeKL+RMi[^bEQW&IbCfpiJ?6hJC%(
U"D)4b1rRheTfgD3WOPLY4exW<IN3,;09-fI70CO7_RC#v\<_Z&UC/I2vEehuA;<8
U"jM,i*5ii;<6PCA1YR7v-T#l3kQh]%Y?Q+wcdTKKj/l2oDR;;]j?4n#DZ#0$2OX_
U"^EAa;mVeLM]]gHQc_V:9axw8P8rK_m_1AS##NKr8A,mv?*'HE2#U^g0;/Kr'bYD
U"FatP>U.lijYe>jYl.HIrvZZW3[CLs6\1$RvGf;%%IWZ/>:(DN7&9eh4gR&YT1^2
U"IMWh(&xCrKvo%b;X\5)^AEERI,u7s,u\n%GIvZ3Vc\4n+&&<ha>%4YnvwAjKhnY
U"JZJHX=bw/BZ2Ogyj0MbS\cxxf5D>5T#Em/ib6lCT3QOl7=WGnSbB\=brS+klKGM
U"#$AP1*^t\EX.[&^dWZZOdh4#NwU3P$8I9aL[Yhg8C/*]2I?W0P*1ga-ElL+%H[M
U"Dx+d?mnnI\Iv9\6&/Av9'9[>XB-.]MB4HlQGSIKnlo[RIW%yL^%L&eVYgGsORU3
U"a.LyVW2m-'p0obE]EN'gXFReBrp]i]rjzuHmka]Ce22dcBhgy-FbNUdSV.T7OW?
U"IC2(aSGqr:>$=2Y5-C[&Q3T%Sa38>OY3K3O-+Ri(>:VR(rlHCHv-0bFE,S#k]Py
U"S?s-iHnP-LR)UQaB)2>KW\b<?dcs%g/WqttgUas&=R*N'lITd;WJ^AlCdwJE#C<
U"5nSK>Ey>E7FRj('Sv45'=s:&m'rR?ws7s6X\LrjY;R)SJ)RZQCd6n&-r(kbUKvY
U"_D*a+#6V]rKGkTJQ.fbI9]'SnFiaA8Y;:Fk1#z0L68)q1IN=cPj0,?P7?aZ1^-j
U"qKS8V$=Dg5<>Oj990:yPj$d-jxhsPj$J%rwtqka).Dn-8U$&FpFPIk/_kiZw5+i
U"=.OKd7SWXO=&<i^.Ns'O:%AC4/B$%eOE=H9IW=nnEOoS9aU<if-Gcs*5=_E\X;D
U"2MPdKqkV#.JUtvj.7^3IhOd_3?d>7(*i+/j\\:As2OP1k)PLV7ID6AVCfOI[e*-
U"25j8lv_eW0X,s3fu1s02Ss4Fp3r6$GZ+O+[+#eCj?cpSxIhSmEgg^_9tU][;wt8
U"ePk0YI7.Qg)1P4,U+m%/oe['.-/=G/5iFc'n4()$HBX/H56py18Z^&QOcczU8Yg
U"1D6%0nI-Wo6gpk'0K'ypk0j,Rhi=Xb>tW*\N>;Qgo_V&ZQfb;]XDBIOUuTFFuQL
U">$]tHaBHQ&me(NIiVK<\yNyM\O+=dv2(Q'm%>'/c)(4)&>L_rP/YQqZEL0.B%60
U"BFUxOud)u<tfJUX[-fpMIpg7$8BxeSLWAh7OR4?ut67dP+1Sdslv)u(t%LMF0')
U"HO]VN'U/'$,<aA48>KJDJ4KJh-TPH45k\jO9/UugS6Xz.hvC8jzs_B[WjX]pSB8
U"Oz;bibR?[VSp7IgN:h5SJ>-C^FGq58mCP>Wa>6(PsF]lkG$v;#BN]qZ('>OAS;D
U"5;<?.,_d*lUUO5Gw^,+RS82VUD*u+1s8#I<:n*Ke1st,l*mcZP77c_2E0*\jm'b
U"[q*UVDvAN=;K<3SgFBNqhWMTBX1PkbOE/RuKMyZFUPEVjSh_Vs,P_.wBnv-sL'Z
U"CkK2K&]*#(DL5_Mai0e#WBd<9Fm;GDAQuxyszosR?MMnpeND;?/0jj(<UsBM*n=
U"Y_O#M]E%$?\iImno#mZ.l_aj6B6/e\#Z;rfNA?;V)%0rLGrCR?^xs9J1#AFm]]8
U"c7k6+8>6.sl=4A3#c;#]Z&/AM(PC'OJr$PQM.7FPmhCuu-sqOWu>$b6wUWSd_\t
U"6U'fD4_i\PS[TL4d)\k-E=q'Hg\hW0GcYMwqg<MfSc(vY.[.:+->,X-#^:z8ak-
U"Y_gFA[N4P^BV^#\sb6BZ(,'bkf#KmsQZGW=S8M6;.u4TTe'F+bbXE:3(#q[j3&#
U"k<mtF,+A**[x1[R?#bo)s\8=+s/Oed3f+z1Uy0t5C\a,y*>$]HA;vskU8xb[Py?
U"w#]*p+1K22</.VPpg-(X6%*g^\i*.3o$1:*Aq9p6:57(bHW0%B0>QpMt?rRD%&<
U"Lak[$<AlnAKlrU7iy4%;+=[Xu6g#5F^&(?6_0L6:Ui+(<kbHQ9*LE1#H:sY'P.w
U"eKP)'q:P[*^/R*le><QVNiI(n$#29ERpL6c39d3Q*d25eEYp4gA09gkKX/^#JOV
U"lfPg$89]M&UB&r(x?obl;=5<A,*NXIOK>rE?(><BbGu*1dlIQ)\%lfd>++YJ?Mv
U"'MYg?J+0(I/cmb9;:'&f2bT,;(3(]FowG14G[aKcAj7'maIVXh,K#b/n_H_&R3^
U"(^d&^uVLg_&fTZw$?M3yxb&fsc_jtRx])lHR%7YE)'-ji1](pE/bBZiu]nv,)GM
U"lIuBrb1Va(e#=p&IkQTiRriCloE7Zsi94'%vBk$\az>)\BkH]jJ<BQ9o>FCHV-7
U"%S=1A_tEMjZsN$5j_b7Ph*0-uvXuf+=<0k:&1g^6_2<]E5uN:VoXfl18laI=>+2
U"dpq95hf()\AcWLPF7K>(3&7jv%^4R8p4fnMq]Ud?b*8]\g$LD]#s1^lf(_M0xk[
U"ciH1SMF)L8ZU'?u;V?E;DR]2rOi;h5qFHrjEi>L^&R(EodB(F)^0NWLZQ&32SQ5
U"0wl_N5*S&kQGi4c,8G#ugV),Nut8U?fannZ<VP\tQXkv6yp*LCShbx]s0-g+:-?
U"WFH:(?yUGm\FWGN9$NsWNt[Y<YxSMGsgEAfR4As3o[UY*87WrW3fIa^0Rov_8oD
U"j^5<tk_Qf-MIBh7/IliUSkpD=WqxxCH5e4JPXmelwl?#J#?^rBdVb-hl?*QE=mv
U"bseUa\>q/\eu_2sl)bpv+d2OL_$63vLiN5L<A8U-t=cMfUqP\;a%*be\1$MZtH6
U"%Rl>NO,e?UY44^SdbfggM2-_d3GUFTu3*0v%1s;Bh8VOX7k0F7jCNfT:NDCnX9-
U"sE_aVn.R+caAnXS0#]6$R$MD4+f9X<=I/s$\m^Z*V/Z[]mymUJIBW1xaq(Ti4JQ
U"Vf'*oYJM\#&7s(55Gq[s$9>MT)>RHdR7X=%E=K$be3OK*j#N,89P<:Fy>eeM>8F
U"%NFrN3\(\IURwGh*3uWlljko,^Nha9$n[b#?8ce;pPyF#rHHUel=gv:.^WdIbB\
U"sIwmh?n>=EqRL-/[GvRvn\h50UE0:.wI8%UI*'A)va0_urz)bM7ck^jJO$H;7+r
U"KwyA$Q2B,dl#sKXBWceZ#lzks-gd-cTVV3^1;n?e_?-$b7aaC$Z;JT[*29fp:%b
U"_+8=l7f*HZ2#kvF1]'.o[S27$,Run=)d6+GZ.nV)OWJ^sJFijWyN5J$XW;R(Z-^
U"bT$-4rFR+/sRkeS]jdXZKD'9hFyD?1T'%,qiw,qjI)]DFY0lQSF=T4Uj')*\-m>
U"T&&E%XtmV\-..$MP/ol+0Gb\3q<>AZIGq0pxkofUF#<1*KXyhA2T'<bUe%Pb,Pa
U":b2nId_i_bwIeJKFmhnG)KtsSM9d(-Q86SmlUvN2b7p1Y:m^%4fOEIYDSVYQDnQ
U"OkmU2,^K[J7p\_3L;3#a<ZA#04,3a;kF<tS&c79nl?'6Y)*jRP^$BcsL].sUU)W
U"M\VnFwEt=KN=3)7$DIq)+$Ut;'oM4=7#3?Dm$+*Ur''1L=w\PrH.4\j+%;&;S?C
U"r)q+tE&IE)DV9$QPR#YL*J6chiWKKM(mDZC<FGaE\(27%jPRsf_aktQA^zNq>0#
U"+:Ty9$=vEYLB%p)mcir:WVd23n9LmZN44DBis;dL9a4BU,YR.5#n'S[(pK3H;pF
U"rB<3&M[=pEQ>Qq0$bQk?4OP^FPrSVEuNym*_gf%yU;o'L+MX%C76aJD7u\14^Sk
U"8/PWcWY/,>B$X9TSI)XE2B7c\CZ_PIpV-%_XoFQ;Air+QR4<ceA9Xs'C.,ML#W\
U")j>]db>LQH]TGh0eltWhLe;%.)Mak\w=Rm0$l%i:ve:V(Z3:+0#$=e>nM;7ie_-
U"*G-B]hLw+>^G^w_,&CTH6aq9X(r')-OA:r2k.^a(7YmPjG-W)21uX?OE/q&0Nl\
U"*Aw+B2RbHRWO+ApkHm6$n9?52_G#=Jjro34fh0d6LhbMjlnr)tpH764ufuI[ZAm
U"kj<3szh/7*;0)rHmKV(5xp[W:eeR0I?=^&m+?nu(R]d:Yq:n3OvTV_Zyh8Kv90_
U"Cm4TIS522k19YSsN==o]dzG82<wH%:?NA/i^Ere5qRsp=_RaiBa8:ir*<6U;^dd
U"u0J12MiX%<jhZ\-*JM.GxaB/Xf?.SS(l--B-vgT8G*FmQ/KASqt-nwu1GVzv:aY
U"q\%$MtayqGe?426UV9_[umPk'vB;tF:kpdZ=bR'S3'Am(4HoJ('Gc2ta?Q%QRsJ
U"XP?:7qkr=m[G*8$zA1Kz,-;%>I;fbCH*/i82+S2ik:#P1P+C[)vXJqr]Jshpq:M
U"BHU3t1F<uN2Q;jSKw*-hIA<k4??+5B<WN.OSk)0#xkT*1E_jH1%C$iMJAe1zxpp
U"sKrIRLXaBR3Us,,LRm9QpWf]_bg)3Y^CI<KJhCluUW[kcICvl.-&T?$5Z,'I_#5
U"Nq?BjL.OJZJ,Bgw6);0fg')q);.M/1l%<LE5C+dj3xj*fTep$4*B[*_B(dE0S-^
U"D(SJghvD<?1RX*\=2r1$t#vJLe+#c7pTqzG5MYR(23QOE+I+F_PopMSBX-[aGm=
U"W5UT(_?:HjwaY4I9IlahjGy3*DCrU'-/EEz_C(>uMZJPJD?+MtX&2:.<<$J,o)g
U"&Ocq4tTBidp;0A(v9L:dq$qAh2_/QY46[I5K_v\<9VuV1DNbWI5t9m/s;U/S9LG
U"f7H8uRJz(L>DR.^bK^&25nV]-q5WV%VTbBnmRJn(19A(TM^Q.B,+DbC-fEnzmvm
U"62O:vGzjrc/W7J&l)-Y>Xz7fPnO\Iw?h2Hnkr6PDb4D+0]-?Z4i-S6O+\j/g#Ue
U"vC4Lf9K#[u+roR2G[y8KKFAw.S0D6FDQ%P.fT#g1G_5:&aZhIN;\(P]f]%h$Yp4
U":0/Bts\7_VpV85V8oj-n1BYuFTCr-jU1'SlGBH/(<AREM$Geg3z#KJq^Jr+'7^+
U"Xm/7eg=S6o'K-<)C6REU\0HUEL_(CsV/(q8zcjj4jX:Ytp9eB?vVw_rbF<om/)b
U"fO(=#U?_&,r))q-:S4-m,wiKxeB.n0OKaG;;L)Gz.d^,(7^x;XcnJ$02sB3]83b
U"X+UnohvQL1ZFf$Jrgu*aL'k*ba/-W'gilJuGbT<l&2*jXp%o?w[ZQC*liYgF*Y2
U"s:oJUa?VQ3VA5K5spWe2sW7,I_r'u1WSN1MH1*8#OS=/E1)cL330A>46uS)0)GD
U"NA1[]w?BS#YJKgiv-1Ux3/ZGTM+za>riPrP6E+z[6S)-r7?kLTxkKFq&HFf8$rJ
U"*xEWGCiHi2X44e^juD\ZFnvI=.])-2)uD9f8,^5hb5t-a;yzj7Yd\S4LB>d^6r9
U"XPL+?>zfg8Yk7%G2poRDIynAe$s[M0*O=Zb;;S_wiX?-_GS1E('fqo2hw'p'?q7
U"$-QI&9Fu6dS#r&L$m3Oc=h61]c+(dXaj7ar14J/h_8Qc]8_?;;bO%EJVl?^[\Y+
U"5i+lG84_7X1\$y(XGYK4c+i3+HkCFgRF.l(sxflcjC9IX%Dd;eafI=kAp)YdE#h
U"]^.KY]1Lod0PaiBKG-AiwXRTn5V78IO$A,W:jL%XH)Gbe]%8ieuSXgwWtXucDk,
U"c%;58P:vMK7&_f&]=[23_MT/I?JmjQ#J6ny\f9kZ7_J<)f\>sh[s%PF#P^I:+j>
U"R6^f-.,Q=qC^_eTDj3^4g>\D=+,XcdsA'G'$ppNM,c#xY-TGu=6#IhD;K(0*\cV
U"hJBad$k+;U50od7iU0jn/(9Fm>*LUR'&1]H-N0Ta%O2vcx3Z?*Id:<Wd>J/;>U>
U"miUlutt/N3PjGzk1*&;.cC4($Js0N#eBFh_0f'&O9GsGfEgWZ'?rN=LHpg3mjiB
U"t;w1)l]Wy1IU0mtsF072x>#=nYpl;/GFhs^aRl&*^>]H?XM2kl\4fSJx(JM%:Nl
U"#FP/Rq3%ZZmMW&%%jmU4U7OOuC<\c=?y.(iOS_Th.o<0.22$-ZHak7=SUW^W^t$
U"*Vt$FcvdgE2t/GJ(.rl'Z*'*yV1)_m5i),v$,iJ'=3SB'Os0P-#-R)i:1zSk;VU
U"6Faob\I8'KK'NdPYFaF[8F.HJtklg=[gPSEW(B)8qxLxX;3GjtinrcVFMqm(&4[
U"i'D>k<MVc&8wQO;=]4[bF*EeBBna3.Xee*RF5,<h;4]D<f(K4s^+;7S-->K_kE;
U"3j)K$Fd9i0e+#eZs]wy9S?OG'l$*,jWmoSXa8SWIvh'0+-;4AEKsW_'JnC/ht0D
U"YGD:r5^.b2'ql/3eZG7^D&P2lrkj4,aK,YoJ&G%w/ALE-S5x/nluf3k61_?_#hE
U"s&2\=q.,&3a^HeJnXilEGcpZ-R&Icuob4;>S:y2r.N.&;\&'A'lQ]hYsh--p'bs
U"xlhN5iYfa0Lg?R5n)Iza>,9?b^FE%R+]E4'o5H'^h;r*'5I$9x(WdItwbKHPOS.
U"x8QsGZjB0=1<n7;9U;tB_nmWCj7U.^Zee=X0hm,^ALJL#F*btckn6N3E(+dSqz\
U"_:OAcB9n-E>9Go0G/=]n%=Ca]zfaXbOS_S&ihB8Q(H+Lg-j#%z0IZ^,^-J7=2>(
U"a,fWnciz2&<6AE:ClC5mBwNA9f+\cDq6K_+r&Al>?R$e'Ag>bSiXEm76,4>dt*H
U"$;vfH<]W2F#\fp2mYjHbY#g['/U?ht1BV^jCAoJVfer7D533k',Q<C:f*8laMG6
U"4ZMYQcjZ-]r;.nKDDPBOUe#;$e?]l'1E$+(LZAz77e&\mqfMElrnX[?Qv)(_P^,
U"k'l4qlHO8H'B01Kc,jw8m_k/d:.tSmoq;QKj?x-e3Z-VfOtB/EY6%KY+YeUU:9W
U"M>9>F;:tvmysS0O.SSsA=*NurLg4NIP.73Q^<E;]3F/VgQrwlfcn;uoFNY?l'S$
U"6PLANRXQDX%A-CU8iIoJdtSc%KF;OFjR6u9:[i0j_r:*)o8Ht-[jA;MSVAR>_*=
U"^vm.]]1ws???'%_2;PH7YBm?yLCI2Y6.7,tq9$=rIm/AM%1HauU,0P;O:1RV'dV
U"bsWG?%$)*PX(P6YMndOsJhW;MMfj#ZS3eKQI+<\lYISJXZsBPgfIExR<R$7T5#i
U"c]>sG8R-g^S,x++&q;-<(IH%(V>*m14BG#qi^N%aybmAV4;VG9YhqgA68Y&4SS-
U"*4YnWS]QxFIL&Zj*(GlWN,Uu*X>KT&VX^3L3MKfIV7pV*)3L5.+p)yI[2Bzx0F[
U"^i42b,<G#s&vTL98,-Ok,cq''I/RX;Y0jIet1lQI:)t;(Q=$Tl/Ji<G$#X%uk'8
U"/dY$7lMi;54L\,)cbgVp-.m/_e<%'lA9jBy))_mdY#aQF+blH<BZN=s6u2Ues<.
U"H$;r6\:Uh3QeN7ml$'n+v-Xw2'l9%GdJ5a=mmET_IA5(=,RW>v(C3au5N_m/#uW
U"sj*\MNuGU>>0PDDUBr$T[^+y*>KNpEZC8K)uT%bQanHvS)UM.d:-i$]o3%rA[KX
U"ymQRM0%Z%,U,$<%\X(vKmuh'K0EBRvUJd.oyr+sB7\L[eXi9A'YS1fEel=lSlYf
U"=PoJZi)5LQSd8H#+r%AjoSXn;u*%Lye8hbmuVS]hXZ9GPC'C=y'jyqM>enOvWoP
U"+Id<E,Vh3NhfILJVu'in-8l(?Ne*4RO$0Dx.Xp:/[#)Ua46N(49\l>66(no%W:7
U"GQ^78L%:b,4FdD/;Z]i/#5X0fQLWn+pD_sb-8bEuPNC?<Ad+>S]1[=8CbCzaVHO
U"bc\5fX,XYMYZ&Ud\TEEFg1Fmhu6a+V*Zez_7GZL(vm=0ck>^s11$[gRP0*tE>e5
U"6fdr#O&/71Fqala3<7hViJ#G4X?(4.-9Ru'3$u12_/do<I,=uK-P/8Tt:[)FL#8
U">?/nP<D%jSBIl#D\Td4(9:'U/0Ll<xdb;9&qsKi+34[jLX[OH4fi5'jmryM23Pb
U"[*f;GT+eA9Wf^1S[2ahok/K-Y&ED6r#,jy3+r\.XfqarM%1BFan1jD+t9B3-k^3
U"aSlTuGK&cjxtUn#H,M&peLKp;Fn6eA,xNO\o\^fpwo&UZ/<o_#QIEe)&wD8z'WA
U"qPPG09*kY)b5;/#k#TRMOB$I$4qu&Q6thRhpY2eSsXgQVE#h0G7Tu^mA8tWV1U=
U".OB.uzDQurtZm%MRpvF.0T)pphVIL]F/=z#KqaJDN<sr$uJZ5HAJ;npfI:9+Jrf
U"kx[aRox[[./X4sVZ_sZkeoUnK.PgX$rN40ed[ETnpmwMCr'K<V7on>>w,vnF/w3
U"hoGra;[UO'Jtk&l0_iIxt9[f+$;i<O5Mag(tm_31RZFQ\3+(hMM8PfIiu;+l+fp
U"BejoJ7832m[,+g.>Njfp37j,:(>FZeB;IeT7h\n=ADYURFfB/IO%qM>3Ror0Spb
U",bOB733&iCj5-(sqHEPI,cnY2:,Ar,s<szFv1g%bh*vd4*XI3_U/,%JEx^^(;0c
U"EM+G>bbJT7lQ^/io(zd=PfVlUY,iY+AMLLn4)FwUUDtykz[G>xd<O,v%?Ig5aOM
U"amvqIpia?&'9,Y4LlG+3I'<DX+DL2:ePR&j[YUP>Ru6g\2\0hKG54hq?:uV6(;R
U"2RAP=g3cDDfq+?)H2>E'=[t\X+$lfEZ?OFPMUDBtZBg/Ar-0n'sD(4?j876#093
U"4=H)e$*/UaXcer_:mi+H5lIaIYD\hSQUjhJ$;gScL>P<dPi]_VJm3V5Dv[Q0%dP
U"?+OgbG)1D(1UPvN)W18#WR9S\6ua;m?5*FGU7CA&T)wHs5.^>9u)cWq&*O6l$iS
U"G,iIQQqB(?-e)ia,Hm1SeQcAi6_&6DlsU*i^)=drb4Tcw#lT/S4=3SZ7ahNqTWg
U"Cup4rNEc,BrqhHLB2/0[AOkD=&OD#bheCfd6kFFh7Q8q=)s$H5go_(#4//b'V(c
U";%H\k1e-x<sy/=)pLCj^f+b=Y?kekxA38>FKP7I^q#eU;L9]\,28IHMT1Xd5_,e
U"8D\8-],*uwI&XQ#?k\ZJUkA9dUI8yt*3F.Ark#Fc,]L0if%lijFn1DUIfP1>8P*
U"DdM?3jqx'IA<[V/R#Z&0kBL,9Ao'xCWvZ96=Z4u(F&K9.0:F[t-hR9mV9;9LkyB
U"$r,<UH<NB13gt9YG?>*T%\sY+BJd839S=YFAr#gWSay$M<fXfc[?,mnF,X%Fz+5
U"ln9J_xzfOo+]ZMUqiD;-oLHK'g,xkXMM1)FivSssO9)Nu;Fjd:=n*FE>\:7h<_f
U"(-Ww=G8ueG=P?*6,vTAyBd],#=-l?podMI*3h/vsZn=WuqL]U(bzSCV_Mp.EOB2
U"=W_=zaK*)lu\R\bLKmZdY>Mz(i1IMq*ae4vz7Rl<a%=P<'.O4&p\u/t6/WOpQka
U"?14jkGnI/Z-d._t[)CVh2hr2Y-17=GypsRFe*#%ZON.I4lid^.vfQy1uZ/S?8UK
U"a8qNmS]9[,XEPABmiPVFkReVIu]*-7A-(Q#srHuhskw,V5YXVYDU[X(.FJA;KQ=
U"9DdA]rmJZ6rE^i/K5P(e2&&INbm%Y2aSY(:vdI?(6D$U#.?[p<Fni-aU3oniOpJ
U"n<UQd)R%SGSh<LD*F>g>tnK-*/*ZTA]f6WnB5M8lP:4Y]JTn;hs?tkIY4f[+D>a
U"=ZT3MI_fgPwQ&c2E$X'e%ELOlUW1#w_=5Z_'8JJ]klb859<8ipJA6BV[mWp;5AT
U"9ZYam2=.#D(fjusAhk6qLU#PQHISfNkyy1Pn%ycuhKk,YkhScU&$AU^v-N/XLpF
U"t2a8/qqd/&0[axi),sGt;1fIlc442p](+DLXZXv=7FnUMYdqM]Sn'81':qm:NYa
U"Om=d,]U'K=zZ7#g)WGMb9(1JA&K9k5N3ZSb(T9jlirnesLTc\+-fj$Tb0jTDi**
U"XACVA&ER27#oDq)Jnue#h_=CJR=GUl8ZEisZI2v;i/Ls7XQXOuNAYw[5QSI/?[L
U"KO)$QNe6J%]3kuE&\Q9jN#V\=8k,=_=Djgo,f[lc086P_*-kMcv*t\9*T0<XEV.
U"EPw<]Up,mfGS$9u&cA(BX;8c*4FCotHiG4^I_IpCVHJL'A.YK:&t9mQpe,,e%CW
U"[I]njTmp;/J^PBg^j/5urr.T+4iTyOrT:sF:$lJhVSpM:_YonGA/jwF*UJcAE)a
U"2#I1n*y3S_EEW83OEIRMW.hJJv)C1yEzeoVxM=NHX_^XUZ/B,A_yEEd;jT3]VM4
U"d1mHNFS2sCd5E$k27,ptf4_,SljU.o,ta3zW,B*v%l.f'lm]e'akIVBJ:>Ea;td
U"ZWrB\(Os?69u>ItRk]q?TJlLn_Rjp8Feb;vT_W(mxdZvnFu8ofPyWJ'=Q_&GD'.
U"k?5\=C9Ywq4[xNtm3hql(fFimRaLh;Lifv,_wV4C#*fs^M#(t3dFz,lXRm>p.yh
U"XT[AuaJ4<8-<RK(jKXjpXhdfDobbnx-q69FskJpRpZ9WHku9T6^PrV*-J+lC1PF
U"(Rncqa$qud0iLg/U.8oq280tVt8_fs0ODf(Q=:TV5$NASd*NP\7Sn9]RRxoh?HK
U"b=#Sj;N.GDtG^hrm-Sr.g9/;TDFm\WYNE$-0r*q9cJx'?N$vEtqnMvGbzrDCWKE
U"eKl^lH,i#uMuNOw&(Wwv96rn:?kVFlfNnt#c?;zS\LH*u;Ec6dtrbv$emotD_Ak
U"z-GvY$8kHu&qV3uQxioFE;EY,a]DiC6U%kFIxM[6ix6(^-R%j]xl5wnJ)Z8Hu#,
U"2/*,$Xu1xarZZ8wfRdxV_k]V^<J_kLCZi3aL;EW,Goc4ld9;PkM1aGMbp3V_nFB
U"cIIGta3BL[sJ/NX;GPE:M+M[cASJ/?MrhY-Nl0ss6Z)HO\0-b%^,(jd=-pTw0c9
U"GY3FzAatvDq&I<HRT=O-eT^IN0:PYh=Bx'O'$hw49(7%Y9d4(4ikM[ea\5OhJ.L
U"N$>revg)VNDvm>)jx0P6dJ%ry4'bD2uxm=trhp6dZ8-9YCv+>v#1Bw;v(YveDP1
U"V;Z6KrXF0F4xWqikzK__,PXln90s3o]qd%txxP4oo_l8k-&m,[cb1n\vpdVRz9n
U"kXzBXMarm_eQwVj5Lb%p.GGv5D[d3rZi&VAel,Yd(,z#IbQmwp>dGT^33<fb2Eb
U"JqNn%Yo#43a6kEZNAmb2xC<?+gOhgd[#uHlHjebN)g8Xup<npMirLpFwDKbz;h-
U"%)vXAJa_JV_1Nfrl.%FsZXCtH7D<d*SBm,Ml(snxQk(^o*Aih?PDJNah=VDq:4]
U"6p43mvt3W&,5CBg_[KwjmR<[TJ$n9ZV62)'&,f?PY%r(zX^^VqITFf;)$u7jjV\
U"+T14twhxSa4WUoVVugU1DVFLo:)rpCip\G$tr4?uhQu\Y\E:z;ALm_<&YnbsNoM
U"5Tk>;n^4VTd/DBGz7::v&Bu0-MID3Bij*bJKE7/*D$RGh_O<J694wZ.S>hx\D64
U"YDnsDm'wt#)KP$f&(aO\WNyq(INsR'y8v*pJkvUj#Qvjjx9S:c4t\pNGHY7dOcu
END SUB
SUB V5
U"kFx'QO0Ojm<uBc\O+5oBIpxG(EnIw&lv(b6b+X>,)IK<7o7X5d<i=WTbGnkRPF;
U"uzGbGPFc5sRalq$Y27u+pKY](?iahVA7u7xr/s6nJiX,p.#uIdgn2sZaD>V^Xb0
U"P0>zBdF_K<>,MCSNAc/lqw/Yum##tY$ntHu4LQpK1t-f5Hh-.qroi3mtluHu<rH
U"^qpW5b4<s'Cu+cIP8>os+U:G(zaMsuPL\dKFl?(_sLBE+FDNJJLPL[qMqtIPmnN
U"Cw<-\(dB3q&YVVyQnntnvmP:<c%??WFu<[Ecu-k/iua:4mvB[o<JxpNc8Hr%ywr
U"_^pQx+??3j?(lau;\tx'XYMhQIdeNRGavdOCG+Yio3AQ*+QPhvlPFpH,aCPcsuW
U"<jYNwqG,2=Tm9ocr$]Oe]wsXm\im,&wxN%30'mi,_I;v-PAuccV$Hhwi.#5SAvC
U"Do\wpBnxn<j6^rc;v\*CMYMKB0d=VOhxmiWhYf+iJVlrpHSx(oxj,&E<N<0tQqj
U"g$1N'wlCI[<qVev6_*.j5WCj4;U=qcDWnUk5P\GVN=$e%Huo7lGTx+q>PV,yNof
U"Je^f6>j<$r&_wYNwk(Z]pwM:H5OjWvzo4)CWcILHzaLEZ^c<>I.,0NX3An45h4W
U"1PFYv*8xi5-nvF#-wuFM<(KQ0Sw<oVr1zDHaOn#2lwIj9X#tadu$V%R6TRj\LbU
U"MUC44;CADD*Dj:78QB6C4Y)<),zK,3tfRl,()X4n(,pyNYx5%BF>:T7lTb:h#qd
U"s6UpP[hVlmYC5k;d0QNE[zFV6%sZD(2B9zrtOo8=[VT#BbZr$Xjv:^n-Rxj<dAu
U"Soo2u6Taex'TdDhdm2kx2s8WDK+0UT0*L>]e]w]QxpYei8jlXN9hYLTDhy.)xpP
U"]uJribX8sDuX6+8\dFH/hp7MV2LPsd<YZ;vlAB38N&HQ_<4M2)g=$=:i_trWlOv
U"uhxo86xTJk]v_(w*4W&db-8aih^FhPG,iD>Ov(*nO_5TS8&;wDtnL($V..xg7'%
U"74MNLlP9h8F]bK6?lSy\+.Q9IvJ9W:xqSP\;TA(Al,.y2VE?v%td:30vk?*rF<f
U"v[Gx?Q#8%#&;?G?0sntQ6RV.M0KGVXdag.HANd\^[SE8,Dcdtu3MdpL)N69cWQN
U"6)61ui5-PNO0m$I'Tu3O>4awJ>fx<Gi_uHDs6jHl1]uB=n.;6ITR04(AnZQcwSR
U"Cuvd'cq;qnN^s&\XHC=)g;?ZUte^$Wr'f]hv&IQ86.Slj$.R5McA^Zujj0Et.>0
U"b/Hmu+2?c>&F.%%aECyWA>^^ODNTcA?DX2q;zMl+>,]nDuw4H/laV48lDmmFK8m
U"6D#:B3H>%Mw_[id3hQGuBk;D>+=qU>?fp\hCdrtwmXGK_S+12>s_n+C[:EdQYjD
U"qlBKFJ%c(>Fod*rul[hOno+VeFBM2?llHdB8/b3IzdC2riMlD(js3z?6LJ\O8q5
U"]SN&.fWtZ)#WaV3J$<JH;ZG,8ij75=5YT#<'q<(l4+;x]IcJiK*dTm>qdDF3a$5
U"/])jd89q;p^N$3pn.R4sX:M\rN_ls+iswZQ(Q.c(WYm(*QV=p5JXQuTIMvZ4whi
U"Y9--f;#tV\?_8^,]h5llsFmOw9YJnTG[k$7$:>rtN.VN0bH&<Y9<)v13eoEKe<Q
U"YnX5O:'jkNz%_nN>suxn8wbfgJJO&uv#9g,(#0shfJ-b)pjZxfpKuhXw,s<]i(c
U"$8ft<LNvToh\fuUnJ878VdvE7e7s#_J%387M['d9%Tu,7-fXd8[D$D>fxwhrwF(
U"QrR.Cl?3l4\ifKLxh8&WIqnftY8Nxw2osdmXaCx+u3fF)Ig1H4v)qNuK6l.:$c%
U"L4cr&Wrwc0#Pf$\NM4bu\evkoxEVo.zxtOtU6OWX:^nuqXW$lLs-YB6cKb5:2vn
U"BS<_hc7$&3WeH(VB(HgRAP7HkI'RUa/h=ISTPATD8?>EeR9aO=4W52\0J_AtNuD
U"2m]&>5Mf-:;p1%ya*pA/9e-mbYR-sE<z]6%Op*.*v[\0p[a51Kbc0$txIqhi^8$
U"7hTc>:q?<g)T_qrTqrtuYiX[j\k\:uZ0vVAykw-kVV'bVU&sZZ]8qSJ_z5UX?X7
U"<Z];^[Dd\4A3D&t2O5%qO]deca+++^W8;5,8I,7xF<0QB97AwM2f:e:T>XD_ObZ
U"X8g(b0H&X-ioddb+GOTPg:+BF.>zgM,J)l')VC<a6T3NuTX3ZC23r0+M&_^s::Z
U"uPP\_r(.i\:7K#J*H%?cL^]pGbD9d=jgor%WFd[(Qe'I54[3soq6aZn_O1*W2S[
U"jQ5JWuMUtN63^6Rw>[E,\.bhg>e^xq=T,ATyC6<+Jh2SvlzC_BLWpG_DDf2Eyhe
U"5$N2aiRd;4EY>x%W$Io?N'mB7pWnzhu^MQ[C6GB_f^4Jooe8kI,i;ZVAjcXBc)y
U"uZPGEu4ub3LJO'$X0PM.jqSbnajV\RQHkZh2uKCXthQ:_lednJf3%fu\b#&EYc-
U"5s=i2#3fWEa's5(rEvIWu'6<a$W(g6<x(pq%ic],Jf+Rkw=XH1j=A\gYQ.[mIa\
U"24sb<8$P\Q.%byH1A%WH7FnH2NaWz$JEwM-p0EX-J=52wVbM'1EX2jGsSEM*2?N
U"g+$kouh3[^=]N<DWfb6Z+J5#/#fF5<tpOPH4fKh-=coc5LnbLD]1'NJ_OZL$k/%
U"XstC/:l;2Rs+sS[#eD;9\QZURvZqe>Af0rjwu=Pa7L72$SsBFfXyJ,<B>90K&#q
U"q:j7Y2cL[toAz21MOEiCj$(3:TSrVMwp81If'j.mhbM\I=B10mO\%r-X/.xWt69
U"Nq=3;OY9SF,t:P/h)&,z?RD?LaS5r;2J0htqdlV6zCK$w9&5gOZ\4qeUbo;9)Ln
U"SAt%wG1n+T5nIANjfbq_d4s&+VM=im7qE/AGX6TgjKt5b#kL6=Ejkr9:#MrO+PF
U"o#348nyqN,-RkbjgBLX*L-YgU)vLZtn*jm/^VN35,(*?)K(VLQnDW+USmRDXwK+
U"q0G&&7iCT2l9/98(JY<d+^)<_M,mU5:[>lN.fLn\X2nbl0gb,tP\^PLMro/.p2Z
U"q<<&tRLS2gwTa28Kl:qT]j(3B5XX]+A_JHYZivJF<U\:*N+wkQY24c\qe(r3Q87
U"*UZ(odgeP/>xb:'<INEHVIMPX_T6F&w.N'PnqE_Jgs/Rs-xKUL\,^JS.Y(7:nUA
U"Pw<y#i]>:YDcU8hh-vkh44]:Y<d-?7%A9G:>wmtc1xzXrayopv\McF++K::JTU_
U"sMCZ^fKid5M#&pMz2I%SfY5lfcW4xnMK_46F8r7iVVGSxsv*doK)/pyEZgtDOlW
U";HK<p:XHruvNG1Vts>yZm(k+BcP<s*/[Sn_)rBcle_oCOim8T/O&pjfhQj;_UnX
U"$h-V7CI^nbeNrWm>4r.Un?RX#7dJpSa^e'Vv.XS5D4x3NRJ43)du3maKajdZZu5
U"dk>'n8/h_^3Mj:*EPlHKJY4*K^Ok/=]):KXH9i*4h5eUe4*D4Z8<s*Y.?_6?qBJ
U";]1Tr2/85YFL3/8NBAGHFIjR$#f;\Z8d/>m5faLT)e?DKnIEP^L[-841g4t2k6a
U"mQtsIoLKmqa)jh/'saoUq%gagvt[',\G;Gg3>ce_EhqMNonI%WZ(G7ibPE[aJJh
U"SEdndnzCP>eX>J7S1x#bd8q';JKXDYc(+._d1Zr^LOzsNY<W</35Fga3?N[[c9m
U"Mqey9DiPIAr+TY'L0mq=r]=,1l?eH<-N]F(x<c^r]c1XYGRZPk[)Zk02c6rm*6q
U"/[8KrJA0N0(b3N_u,u&iX;oUQjSf7SH&L]3t=ST0Im.LPBT/HK/(M#s7%IVSiK/
U"$OS8X7w.cHX\OY9.%bzu\r+X]5,kC_Hj8WfW^PVFNVc[30v?P]5TVo+oQ^KH1Rk
U".frdi-lfR'_41h7P>s.6dGl6><*_TjWtB&JM,rmnNE7xDNKh3.u_Nd.&XJKIj.s
U"lXk\hM4TM65M4'(gbXOi2l)e$lJ%eK_vNj]6UE4+x&uHI=Lh%'E8uVS,DAIg4aE
U"mo/P;F]]Rt(DxJf,kquq%NhXe/a3]g5cO-vv0w;F)FtLsKk=p6=VfO\*%3V-z(U
U"3&YuaXF.ldm>6[U[>-7MoxC\uRj.gPR\*,;itlZR6?<+AB-Q[NNg^I&8j=Hw_w(
U"IB,l.F)V_\usO$rnf=Ddm][kmDSvZ33RBN>m\mVP+yr'f9EEXa[Jy68)]1?Cgm(
U"M]8HAJtZ0<&z7[g[u%e-x2&I<6.71h\+,NFe%*hZ%&H2WMK1^OHN:PD/pQClu/X
U":[UN=W&nq8<#OWR_L5=ebb4Ih;HELCA?(&U&ZV?0tjBGHClc?[JA?42n&yL6[du
U"M>s9c3e.4cu]WpL,/F9ml(LLg=ayk3UMEm$c044$\N1.3&JhF5*QZ5m>:RMh*IH
U"ym#U&D5[_+$.7'(ABaT3qCb3fQ7Rk[ZO'uQomq5'\0CNa'9E#/$KzAqj8)bC7O1
U"9jE2q..q?,K1<4(.g[za.d)BgKq&ruM'B06<pW>m?[K'Cq/LTP'oa-o#e2I7O2$
U"xkiNOb,IqT6wTM1BL-MA_b0]0jXdYRm,W.[p)0m0dWl*&5aJ;+e<.hc>QiUi,*R
U"K%JvQu6h.6?pDAr#OM\N=zzYts=cxFKhrjm9l+.Q:h8e0xfd6'V2zvD(a5aYW7R
U"<'Se'.qPE)/9b6S5&7h0Eue.rf,R4EGMAzt>6V*:[)0dvFrZMuqujf1tJHCAH[N
U"^oVh$no45P=*'ps\[nD5+S[[qNZ^;;%aWk+_e+_g.;r.y29^,>AN[$^2f9^rAbE
U"+:+0\kp1R+<%&Qa52c(OC2cZIn+C_*9^-,wA7]cki.*X&p,]C$<Sk9XjO'FOpjg
U"rO35UZeXaBA<qOJ<3+inch^,:N0#Hfw3Ak7IE5P?fHE<Ya8cJ6)%-$FjB:=e,/?
U"1Vw1PR]%H[tELMMm45=#FrTpP$)j+5ZlAC/jHHb<J<*Ze?Fo6HvMBWsyJhD7)T.
U"Y_B[g1,i&TI7X?FL5:Kb\$dZ;EnqN1(Xt^b;2zU9=+lacveulxUL0T%#Y+Gn%9j
U"FC?AEme**%aufNLRefTcs9xKwGlc3Be+tu.a-W6sM9^hhB%dJ8p2u:PZ.uF1_vN
U"#\CU#bs^U=$;Zg/F9p0<DuuVu+.eyJ2VU8Uib0Ib4r#-hmqi/X8]k5Y-O,Rr6$;
U"0D>wSS_'lQ11C#]YXO5,,Aho6x#A>Lxjm0OLZD'Z]5hIGa\.ME(rL-Ukg_db6Lp
U"0'm1RlBC489=*Gp2'Eh$D(hcm^Vl#H%GyXB4y4s4zcuCHfQX>8cIT1K<RpBdn8i
U"lC2>S+;[0#1\CvASaw]>WQLU\klD=?*J.wB:MeAf8S\Xmc)3v2J/JpUN%HCzKns
U"YTHh%9R*ef/dYSQ]fj%Lyd7%itzwMY6\pmTQ[^-wKIHl;bpW/-Y4Jn()D\oiM%0
U"r2[K^Pk.JTe?A<Z<W;>0ph;RHFK;K2lP+34\iJt\U;2PghH-B'U_BlP[[V'Cn\o
U"/#0JQ-[Z<_a9Q/4U?s>EID/%diH'lWBzBRY8zRGFcpe6xv?L:]#o4LSwQ4sG0d)
U"\^[BVY:w;Q&TH2S\A1]u][''EFcG?eRtW6\eu,lX=MlQJ]/VriGPYt;cf=pM9h=
U"ESr^$\Z?#NK<W7re]gUuLr]'_Mgv+z$;[_^V)#WMgaCS+&Ym]lx2,m&3jV=JJrM
U"Yd&n'=s30=X5o.BSBXPS6bDY5d&0;=xfj8)[T9,vRWZ;2COxL#+te[y9Qk$WaYr
U"a6VA$$Na#(U8#Y=KH<T2P/8ge8vENA07>h(V[cRo[aB\agQA?hl[Y78IyPEb&(p
U"oqjGSb.c<K>nV5gf<CR<]V3,eDYD&]qqBZ-x%AY$FW<Yy<YZAUcaf^NUR_jPch5
U"Z5b0qjB'e.JR0K&clp*:sU)jcO#Xd31worL;0PZR#xLz77<[ZbnIL-d\Bd\=EQh
U"b-L_3,-6W-l&0M4uO,d\9QHcW/1u9[W^X07I<*C?z7aB%wD9M-XhC?/b$JKeG-?
U"dX^ho4KTGz]&(=T?veIGr6iEN?B8V&SN?Vz%0W>_Q2$cSa\GtP.Ia9[1=BhB'2U
U"U_'jx06Nlrn.ES5kFS'mNIhjfUV+RJna_*o$THi2Es#]'%qWj=io\$BekqrE1b9
U"eQgs6(\,Y2gYW%]gFY5Im*)5XBt::C\8iOcJdjO87,MUCR\a?(aHj3Vu(C4%0)G
U"if0>uQ_,r0]O3r;dV:_kDP=3>E\DF)PV4pD,*BFR$T^c*>Kf.83tdP4IJZ+UvEm
U"l#xZRloQmka.]9acGf*(+SnsG+Alni-[e6=Th=1RB2QuqWdwH,W^V3w[lOGa:3b
U"8tDWP+\\5awP=q/S,E2a/e.:_2^P$xsh8nb:#K[E_t]k\]^m'fi>A)QQ=wSRX\[
U"1lc7_]'ZHo^#MnPM-NQeB4IarMBigmiKiSG)Ph]#n2r*U505iSuS^1*e6,\mcdE
U"[Qsp4UQD89RSm8\kpU<L9+13cDa8<G'\d?4EIsv3ql\AEt=cQf^,:((fm26C;LZ
U"fR<'ohUCOBDCk755'+KoLgofnZcUHS&I8*.t^:*=HU1WVtav4iBJeS(OjJXMy56
U"K]XXH60^.>A5aU8Ob2*E?e9pafCn=LZcJ7->Lz\r?H79.=$F[SSjFT/'(b[<[7Z
U"Gfe'CaF=C4QXYdppd_.jRwiYuZ#\jxiI^HHmh[NhU?4uH$tEcR-bFkbd(\Rz)Nw
U"B?qkB#^dsuBt^FonKW(jB)<_v[z#1r6bSZKEm/a^%M/+1rK[-JQpWy-D/vp'Sqh
U">*a:mvn,gsW<f)N2n5\Jm1qW_]6J/9mT;x8[;o3Hc7)zCuh$G,*2?<2%c=_HTi.
U"uJITkasOTdTY#9;$3)Butdw;iIv1Iqv56Wd^b-e8WUHW?W:>BePDg:A'rZcG:/+
U"t*%8XAAd2;,h'BK->[Bb=E0Hopplu+JM4;]t:u:LN'^6cA;5a6yt10G&?V>ot-[
U"9?4/3S:gsrCMi^9sL;W;e^iq^(L$$Apl'\E,>,si?n+H3\h?taWGQFt2Mk-q^g>
U"Y2*N'<g=Vpf*m.qM3Z5::j''WmVsK1Au2Pg60,_#>hwmYnSfq:&7b-s;uYT2XVO
U"n)QEEIT+?$0KuDg+R%2LLr),>T^7d^_H<[_?(n65FVAEAlXF40YV1zIuKS<jIPn
U"D6Os27p]7dsQi,1BwPYYDo2OWLy&#J:R9De5_>0Q.*Yw=r7Jx$aF;TUr-DuFWh\
U"g02Yre1n\5]u2a&2l-Hr:uR;+ZkiVt_G#LQXD764]Ec->ek#7jJ:UEVQo>m(TbB
U"3U0F#0\]7gl#\Q,%c^LvE=+k=JF;SD[4WuN:o1VxZHv1^p\L(oI7r'QGstt$ua%
U"]0::0<<B3dmu7.W?N-3YAuQd/n?6h.D6^###<:bkN67Lqh18>e1\OECnER<I[vX
U"G;nr:.nOvTg*3FjS#fERI&Pi*;T&zYFlXf:fY#cR?Q;itDq/sJ9mXRZ/.7$1:K0
U"W>ozHXe>itBv>o$+0bKY9G97c$+bZD2MW[pqZjB*LXb15ql#GA;4I99;N$a#wx2
U"kU:yl#L6eVSgb%PU5jpixl-T)vnD:NFPw1+5L#;eX&1nA,1piutM(^uL1-Z/sSp
U"nGx*R4oODTat,hE[]#DbZMT'GYJ:Lc&hd,)>)[oWDa5h_r?V13QWyV9>0T3TMyE
U"?UNW=L9r#LVe^C8XERuubg2$G5rB_eX\-fh>L;,YALIsu7Y3qikl?fmA,he.\:5
U"l#.r]g;mC\H_/Cz\Lu;q-agT6(Ut.QgRmR3o5?c(vxX[SR*hiwFS)s>43t[>M)D
U":x#2nm5/&L6f3NrC&ZMer\JD)\Sa]k*B+*G,f9XC[Lctc%9.4c*_2Q>t1?VkA+U
U"]OLrq7/&<MF6R[T]G,]GtAhRkIRvKo^YrEQc2kzr[X<H]tN+6CLbpjK.k*Ar\%Y
U"ae6p?H'.:z;OhVbi%wSlAS(Eh1Rw,?:nl'baH9U>Bs+a4(mZ8?aOSG.erj8p.tG
U"Q_iO=;6UDgtcpeK_tU#;2(7Pdm#t/*$7-L\I^Xh)Zf3=%JUy;&e5]FFQWW>6bM;
U"\>/I8DiGBdX:W,VJ#3;a)]1C<60Aj+Hr?P=UNF#&^x4k.Uv+)EWZH:SBAPKZ/(8
U"R*>;h=8s%gD[^.[o<j-eZ:tnuGWRC6+W)H2uLJD0'\TMYkp%5u?q%ZA?G?j<by$
U"RSlR4TI]fLDJaojE;TuMy2RrDXE/lqqTjrZ^'oXlvS[])^fgCjet8?,/tA5XZN6
U"mGu.mbVC.D?Z/Z:=2LW9\VpN[K=*.iwl8<L'Mbda9XQh>kG>IK2]#c;bW'bxi7G
U"?ODDYkj:RTks'w;G#*f;k^+uA[o8hj:Gn>sZ'-q?Q:d+>r(TLLqp/#G:^)4v/rT
U"AY#=s[U+$hEG5bO%)ZLL$*uH]cc/yj5xHT,p\gy6_4eK]jNU$(X>rJ3#d7whgSa
U"p&tD;Zacfd6apcJ]z8GmMma5dqR:8/CQbnC3V.L?Y2<Oss/,f:c(RNShwjtCobv
U"E,XEjhG,3>k?LOZF*Q9PThk]I4dy$$;m]SA2cVQpcf;qFLM-_fvp7lg$?nWg0Rp
U"..I*fwtx0w)Y=e^<+_Nq%iA(bRCCkq\8+j0/R)fRox(B0$h''ev$$Cjv2^0GStE
U"<n\\Y.^q\j&wflN&2lz#%W+$3YInukBbw#eO0G*U)z7YyR/g:AaqVCnkl?sL/9T
U"]sTCuSg5Rn#[m]hoeN2'V2mq$#3V^#OS2Ah[/324r.pH><4ZCn:AJel<Th,ixBj
U"k>_X;ae3L$pccJBYUHh<nE/i0&nuMg$TxID-1xItEmt,q<.g,RX.d^6#<x5?Iv*
U"XYu%nqUB\S/fR#^?p3+F']Hpj;s+eiYM_Tyniqi_Bc<qq>JvKhmEK1\\E^X<TB<
U"6TsbwR_k3EEz&0G4U<j]vuJf/=lBYmWgyn9S2=3io6x8=sicPp+=oe3P#TZX_%L
U"Ng^Qh)Ze6d6_S5kZ.tFCrS,*isR0,qJRuGdOWgZB8P8\U^$36*CJxp^qr5vM4HL
U"L$Ra:vPtC%?EIsE%]r8*oZbKJt#t48#dijEot2v/-D5kbcXk9N;oN;5vr\C^SMG
U"B4m6&[\kzQ0%sbk,MI>E?fCkjTu1a6MK#YrDt[+BVDohn8U\;,anCxNp;\]Y*^5
U":8ZXDWdfd0&VCwt0ehM4TOA3>Ta0_IG)*:wyS^jGd;7J=AVArt$^P%J$CVRXN^O
U"5^HkBLiobCE^^o-NHpj(35V^?I^QN+h39FwH/Ne=73Ssx5-8?(u9J[[Ht>n1lSN
U"ib$6Pan,br*r=Y?e<w=,p6r;]iY9u]2:h?(dt#*NMCCuc]Ms[de2W,'ROo6WMMN
U"?$3I,wom,s+lgbHYt]JF\JVAF3;Ao^>a2kljn_tfo<48e3KYTLVek,j9M\nIp8u
U"frBY9]UtC?T#>jhNs>%_4(yanYW&g:?aLz&d6WtZJA^a?+Q6qgB8ro8aH.^AI0W
U"\YjwKlXt$,8e>i=a$L+/pP-5AQ7JT,5WQ5e+b:0-MAg$1IUpe'5h1S)qV0f^USz
U",DP+\Pnr.n3z[b#IVC.o&d4Y1T'c7/2Y3/$Y]s*Yl[fT(VNA+a+IqZaZ#UdJ:kB
U"D;yOtVm=SrJ)&]bQ7\Y)TURH*6>W/R[.NS%+f.Hqd+H8(L:vgqkJ6,3+gbz4LTt
U"DaO0o$*f0ZFEbecgjOuG?^HK7MFOHuCabo4KFYRA[cLr02HuZgGUki2s$hak+18
U"3;b<\#CBrl63,M2qf:VMn4LKTh/c;p>qvgc4bw,TJsFA^v)pRL0?RhZFpD285+7
U"$Z?N6y;GfC<nQ8(G3+gAs]\[SsdrJVfCNryW6*W[qu%KQ>G9Fs[Y)=kL#7J72qg
U"S^B]4w:6Q79db&lr)pV;vG2mJkDlK_Yx6*wI3\d8n'C^lJNB#bjKi/,R<Ni/x'T
U"sm6NQRQ7gW>A1GPDyrMzFk]oMK_t%-ntW4jh(QJ,_cqp;2z\s-1sTFn$Obi=F]j
U"W\C<qx,4IdGIiC?yc*D5I)ncc?^o/<Kj&U]yiC1h9B)2xtA#R[L2N0+vRBFquUE
U"FeV7>xn_/Kg8x:Agc?5Cp)WqrK&;.'J#TZq2;G4](J7;&rmBKJTPltpGlK4YICj
U":DEq]U.ZtwXRl<*F9[2sG,b<HFXB-^o=OSNc%$<N,T#ma%p9#]qq3l#qsZ^]54O
U"tv>,>DK[C.vX-KN<6=Y>_cK9O-lzCZ;Ree0SCG]oS<A-N*_jKd69ls<uc=MmyWt
U"pvnZ*I^xotW.7DZt?OGfb$6-_X^n/Jnd8q9RPSLW$>F.%BAfTt+r6q<GQ6$=+[&
U"]>7)x\i+sUxDOtCy<$oC#h1w8ZsD%CbpOt4aWNF8x[_e+24ZO;i5=((FOLsi^4K
U"EX<<+$mS<bXPGr4=R[=B[2K&*;8xv-$Bj<C1fTe.0k'6flCk:96G)AdS8y6^f6.
U"(hHRSB91I'aFzjpl]Xv(>Uhf&r;wb?^8cw=tp]hD<?fgsd]1Dn/=q1\k]UY^,Z6
U"AQybD>l3IR+\+M>VHhHenz?o_;&^E^f8xT*)4)=AUce,/DvD5E&XoY[Ljebtf]:
U"CR\8#Q<T-w2DQrhlG']]I>:9bOAAZ0p9B>==v/E_mbNLN_;EyY<p1IXmgb3l:W+
U"mg0>U%fu<EcZ7%:;Kss\2,AjuoH.Qp\1(vt=Aq#YKIG;.bTsV,\Yqx:FHfVJbfY
U"ZR*9C:,=jtC-C[ZLe5+\q6KqN,5Lp7MO(Y$r/3P2]m3Ll<R*\8SzLz[<U%oNQB5
U"6YB4&Zu(,,bjR#)':4eWc2x2nwPke1_L#8p8:KpPN7oXGjUF&sal_Y#IPEM=wr>
U"(5w1sIAfVeE8>NnfLvYgLdmOIGBc$2Ycp<PLX0WKm^xEmaT%gsK%V#=kc'3vAmn
U"r,m</RkBZEXTi<e.W0&[E=xUolMlI5gH[;Heu#ckZ)m[A#:?yc3B15'_vkj<Q^^
U"u9qgP>,oSGRK*B5QT?s^>rM\BNO/P0aZW.9^T-'fl^t:rG>2p^bz);o:1m=]r6:
U"0I[0.qRe85X<fo)_fR;k^dx-TVZL<OEr:bqr%/Z(.VkbnlQDWh-c-MDc%2Vj>F=
U"?-r=dT1qCwQ[;S$'BL]2kowWVH<%c8Ap4<G%2E%z_D:Tk&G)5wZVA#jL%^=fTr#
U"v?g8kKEN5L]BWO8-0j04,9pec[H/kkog+s8?Do0Ug%^I,J*d;#QL1G>QwspRG&9
U"=n2]zkG(mM_EKK/MH>:B3\0m)$uT#3njonNsp*)0K5otg5LM2Xty#o+*M1nPoZ=
U"R&LZMZ4d$tB=Au7]1WZ6msn7,:>Q+9&(]OpFF&tfQ7.M8mRa#VZdgrkP(/o$F3b
U"COx?lt7s\J=:'4)QH/d&yTbfY0cbHWWoeKJvn6p^vjf%a#d>PNDKR6mmN+jK7.^
U"^Wt]=oDf?^*]*;P+?D6/_9Hs<fABqQyq(5eYUE.eTH8,'K(pjbdgL]igiJc<%J;
U"#9PloJr<b=NV>u[\wJ'blbVg;DbBCqJnyPY4>b9sEtKk2rC(6Z>dtf#<A>3FiB:
U"agPZ_?pk)\S^+,4NZ_6K\5rW4IE0lmcosS=8;['#l3*Jv*H-RK1pFap?]ueii'J
U"Ot,$C(.'gd,<YS)VN5=j9rhAk;3X<'4#9f9un-ai:5]ZgmZZe8wPk0]*e1Kv#dV
U"KG_3Iz<m6\aQH\'#$[w&>a50PNv'.ibUo57*Y7.9H(1u-FII*o95tvk6fboPbJb
U"-Q<ngJH1WzT+tKtI$93ox2o=)a8/BivqRPHDQwXn6VnI,n0-cK)9K%77IeWNuW4
U"oX6lr(n]Q8wSpcald^-8w0#2qNV7oivx<n.cuveU^L;J-6^.u[tiZb/mlj2Lkyn
U"]5_l'FodG28NdK<gHm#mX:Xp*kP7n\]t1v1<wb_84%w31(i$]r?NN*&0M<RIoBf
U"ea+4Vx>Hu&g+:IXd_VP/+n0l1$J^;x&O=lsTV%e[%*>?CDbVWS5M1/1k<Z5wDaQ
U"v>1H:zV9_4Nla++)u'Q=&;^jbzPJ=C,i\(,-WIc7-J0)h<Tk'2ICa)t0oqDCgl.
U"^IDdMKWx]BKA3ALX37^ZS0\zqD7%1Ez+_A&5dDBOZP);uxW4'[29e,r2shqwV4B
U"e_+%:iN[g*[znB/S)hB69%_(r=wf[InxV/?P*\qZ/elNtFM+d&m2Y)F(&Q$c<fA
U"E6k_>H5fB+I/9z/b;&9;MG1WrnSv9n#Rm=xc/IA(Aozrdtn'8-#Li<4]iphuBuH
U"->te;ph[e;dH*w%h6KfBADd:8VIp=j1'__mSw0QlaE<%0AT>[TfuhE4-4#ZipER
U".ZnzeSu0G=W]uOjS'oqU\wR*.(mBh&g-?Ya^Yg29C7;UZicqg0-%\'(0P5WGB'p
U"bu29pX1E7rWX%Y)zA7%*P:Rb6o'7fh_A'-18eUoLs*mX:KHKu>(Z+32'hK3tdGz
U"HvAM>I+^M,([[b7P'm=EsD8Zks%UuZvrXHhXFEs>P:TXYi>j7iu%A;3Nr'8b,s4
U"fT'_A;jK8OBaOIyi0NH3=;T6%aG7JOTGpxNmeQefO\*&X=Ewtj0Az/:QMXf8]2n
U"85[:_[$CAO1R^sZU+Z=aAVqN.xw]iwgbR*TkCTIl8bM,Jb,WtrRDuj.md$XNa49
U"oKtD+Sv[y3gh/LeeWgo$Lvt;hkVLmKv$OD(;3i6GGBymsEgssYa47SiiaTBTC7p
U"uoxc6m3'vf3ZjmKUOtpA.-,w#sOBxUB^,w-usR<Ju#_M;i0CF2kdhq,IC6-lC..
U"&Nma-$aVu#C,&Y9uLL_sCthlXVJZ6fLJD95bWk1-KQ:7wydOoxj_fn\S6Ac666m
END SUB
SUB V6
U"Dvf3MTHK6Yc86'SrVY17EJS*GYz,i>*\Z_/DBM&psipJrMHt.zEtzZIQxg-lnvs
U"M$Xztv9/FORLc?b?i8%(Vu?XOYjuV0s<k8YN*uwo$sphDXcj4$jxYLsXIolXkKj
U"-Kk4s/1wJ3J-Ot20(>Oj,dA(iULT5ZPfbD<aN'MXMm^r]d$lNj5WH[Vl&jFV(FR
U"/1IN0Y[u6N\?VS6>#0sm.GdMJH]&aqnVHpV3ffa#knz')9g\t:xhbt:X1M,JRsB
U"E_xV2t<tr[ZK:f4\txa4OB'gY.dwD)F-]]g[=(]T0/x,rT0vKI95]oEJ:-'(G>k
U"3wIJVbQT0eg>vNx]o'Bw8[gS62CCvBEbWi'*V5;B=mKQ'DqS?_8Ve#;a%C&,%'w
U"+C\Og+$7GM\%+eeE]rfip]a;9:H[p%SFT,%1\S=2YlQRX9sW7uo$r1McUc\1kuC
U"aOc3bDF-)5G9^Sr(Qg-F19JDs9vbv=$Zs#SPmE9tNFw[_ARb#mZ6(c[5o#UAE+%
U"ru12C<fp\w[rtF2$[Z*uYZ_$Xx4V'($p^&Ff?4YYAkFa6qoB8MdZv44%;&\D%nq
U"2Zgp'q;lLW]1OBb,U?JO4f9?1<3^'Ad%]aE957)N&,5C9GR/0LGH6b3VK\nya[$
U"R:w141BF3;V#UQ#l_$vc..Nj1.Kq*)sHJvV5hW;O?90Zk.f.a,-'0js7Ut0pYOs
U"<,sCUK9ZS?R\ljZ)]].wT^I&W\2au/ZU3oG=?mE#PTQ8eW+n3#PW<o2PbjI=^v%
U"3;.fKnjh>SaE&-XYn/#l[X*+]c?r3Nj&Co+m)>P0:krPt+C3CSJr[e'(Z+ONX71
U"y<'vVnb2':d^O?z.F3C/7[)_?)O$U]-MTy(OeC:ag#DhCi_b*&^tpflplh[=,9T
U"v\YUnANslWW$p>nN].U.]Pi?=ZPDE6N,sF'lG,]>edlARU+j5pd:m7]']gd3;-^
U"bo?m^?/V/=?;o(GuW84jX:qv^8W?O\'<Z5q*dEBXL]..&q#MTeq=,x?2m?z.^eQ
U"WPgtmovkY1OttwYujc/BkwU4a_4$INZfTORvs,T?(MP.AQ?s:;3.-068^*:X%eb
U"#DKt)GnKE?JKnDPP58YI'E&pjsVkk5F)+,lRn2Y<vDfLr#(im$wl;M(rhf_Yl'L
U"QGH]JHg4=Y(,>Y+:k[xMPG&K;1E-*upmERcc?v4dP*A<%m#DeJ=A[h\uaE_6rVS
U"KYmux^$NB8_PK=1G:,B]L)mU9pv:h<0ix,RUw&p8Lmk-m,YA.q(c)p_MuZ\VDct
U"Y'\wATvA6u=(,)Sa=3MAckvb)7*]tguQd8dJzLSJ<eN5J7CpGRgVka$^^aYWuw7
U"R79.1)lqi&nd'I'XB\79]=?c+f_RZ]vGcxgrdZ8--*5P<Yxm+%X#So#o(cV1nKC
U"cD1(hW*EVXR8BR#,%:oJWnio.$n/CV02*^aT/:_hesxl-#W,sjzmT9PLaN<,*g<
U")bgd(loK%0'Nqdl>.[]P:Jw#&jVuY,ohy-vP'9,1zU2o_O,X+AnTk1EU/(%]N\,
U"e:nZ>qwd_pL:hVDXgB<E\s(qkk1R*tFz%FucT1\=I?B_\C(G+WVW,Ycbs:d>iO\
U"a%'Z2e&&r6/N,Wc*coq&8#vIrBTTa4L%9.nQk0rx\FD2A&.d#blvg+ek=,^8TO9
U"X=;OjjdHUEb8F%H.'tnxr+5Qv?Lp+RlLgzr<gOd6?y-6GiBe<ue8MNF:QBtQ+pc
U"fYigBFy']Bb[&g:l__p$ZlzXQ8d]ej_4EU%)Uv:'Mr&;HZ1$ZhR:_t'cXeo#H45
U"gCy/1cbon$Cg^'ktM4rRiDOCuvf3RQtS+BW\p3jefYyl/<tQ,dN//?y5Cef'v'A
U"<o2=]u'4sjVJ5c5jG+OEiz]&u0uE$q,<rKi0VKeG:NhDvjEYu4^igfHe\4eYz?,
U"hKj^he]+'bR_<&24+aesl8EZ[hMyHd=Z(S7YOqgt0eLs,M,ob*<u+$dXhPd=Paw
U"<w*=FT,:QA9)8_Q_Hh3\GJ+Gl%87r%UJr9:l[^NC2Xrr\p>'(*Iz)p*'6QZtFl%
U"D..gN'NE,rZ5&48./PaXE6\)iA$<YDe&bMSGJ_Gb#:ne^#kn83gQ*7_6w?+>aE(
U"mcZ7]ZhvmXZVNI;>6&9x^<+/1>%X6%4q_o<\uuqb^n7D]6XBh8_sG;7X=B$XmtO
U";5u*ZiSTa'A2j\C#XVEZC)g;(o$1\GE_(9]cu'H]QSQ_/^9'30Fr%ooL:T9_\(Q
U"=SU%+sPbxl0Ntv#K$;DBUHMEQ8B2bR<9#vzg=+C31oM3>+BE-F6eWoG+\^%d/j0
U"xE5tsV#kLalc#Re=<-SF\T>>kFSlic]Ym21ETLANF\FFh./Cbx$d_aGx3G4t1d>
U",+Heh4(iHM_.eueSMQ;;xZNlM(1nmYmw.3Hx>S48e=wBpK.isHl(LFQ98:]evSR
U">rkHnuTv1iikttLFuM^bqpkaUnE4Lu_aB\WH?9ifOcvZ<rFS$('Z.vqTc=G0ueu
U"1ypchU/1QsB*fiLJ#%(ED/W(CQv'bJ94X59Ffk>L2f%dCfK\CeA6e?N8R0,-k&C
U";bfG.a;:AEiO>i[q)4]xp<\mw'V\?.<rBT-L1D7=Zaf?/Dzx,(c#L(O3%z5zK0<
U";qpMw3&9^zq]Hol^gL4=KblhX0H7=owWaeZst/u=g=fx25?H9T']d?bB\sI6wdS
U"i-*1H)Ff%b#Lb\%Yce]m\0'kbR=lqIW+j-C].[$8*GkzSdL=?C5YGwav#xmF4i(
U"uYnTm?Dvx&*g0GTqmJ^\X2=3VBrd)IN*jyVP3:MDr9iMF^QR]T63]>oZ;M-+DfR
U"=?ftl8u=>1rgHXEo#f%DU,ptki_Fe^EP>Tw'OCb/H*(.Hj_<=.a/:$QtZ>=4Vjl
U"2kDCp'wZf.)h8X4;;Dw+<2>V16rYK%NsU4M;r7T+iAZmK*fUTm*l2\Qc'Bf_LTB
U"KG<&Om&.5\L['(cFv73.ME$&302p1PUTmY4wmWlf,g%_%#L+m-0kue#H&ij\nXJ
U"8U?ill.$Q.E)3rBpbc+)r-AWno)YZs(RLUb^<;sW</9O1>2#D^Fo+V&Hgl=NpAg
U"?T&ZAJb2FP6uYpO?K%Eb5rN;C5exfHH?PPXC2HO-06sSlbpD$WdsRUDv0TAAl8y
U"F12,w9j7TA*pIT0+bPoXoiqcm_3h5e4NL]j'ljG/h-Yubww3Pw0qPuAgKj%#?f&
U"gTqHilqPje6T<>0c$8P6^8#8x<lNt,%m&St?$x7.5:iRYI,)0_'f91,NQ\>j./D
U"[)'9G+_X7U/P]rG.9XsdnO-D6299YBVL(6?g'MkW*gtRwDvS=uhNlu,9mr^+?B6
U"stFk4uNo>j+Pnp]h;?q0u(G.Y>sg<6lU<\MpBD2UJLjlb/O4pu5(FR',=r<.Kb'
U"g9x.2c.S%L^tKeXKqN,]6qdN.A_n#uYppVq.Vam'X<ht9\q.e%g$xHDSaS+4S;^
U"&JBuD4f?(Zp)\9DFPGZ9rC\c)H43M<C?Zi[G(E8sVK(odnh(LGPpL[=liItL]8w
U"5#v.<q43>Ya_lOeB(GprS7<ZC>NrwB]Y+iJefg.S4o4Yw(:8REDUs-)ClC-=Pdg
U"+VI=rCpac(H*YbSV(mFd:xOb:,LAQMO^A/]*][o%6^6$hMi9iFR*[]&?pe][NiV
U"S/aZBZ5VUF3x.=u8T5rdL'Fl-0M]&&HL^z*79nbFF(>t&]\4+ZBuXFFrx+u&Nmf
U"/#lk;JR&'rz4xY$,sfoj\K#4NNedcSKn>7$Y'Q>54jh:_Ea#3Vg8<>dIVCMK<6O
U"5y3c=V)5t8x4\t'<[7'c._9T>Znjj>1F04WsS1mm?f8?A^lQQqZtJ>4f6%7mTrk
U"N.:(W$7/]Zf*\ot]XO<oMOJRFFo5u+oW#v,H35;ET4X1HbR:6Kax8?n6WC.:DH*
U"N-t:umKYl7Vgq,U#0G4?Zk%52Up2Qrxhp8JtH\<4sS4siS+Z-u&h]8u+O#CAOEa
U"Zv:Fpe&O_aakH16'1N*&P^\I(>U+o<lh)'$eNu[i6d18H4O.=$Vt-'W.P7]t*xi
U"Hrg7\&-0dhz8.K64FzV9&1>/#%oN*w:^pImB+#?BF54nhdfWy/(Qu<zkbn&:KUH
U"M:x/.kRcnQaxUZxi;FtK,>FZv^N6E]JzR;JfH+rZ:h1eDW9M?xt$.l4jCxr'Wph
U"D-QxMQ<DG#sUY-q>D'X:4LmdAlYOP9ae1,3rr#Hi$mF8Mk/rKdBWGr%g+x*gE4_
U"^?r/Kd7^uTtpaoXp2(;q)NtWo1d>D(K8hqRT]Pe,NLq3GwF<\,;rspYR6Wsh)r_
U"Nx-e:0nb,2h]>'W7z?<FjtBYVCC)FH4Xn6]hsCiss7\[Rf*Wuu.4-8NS/N5-t5y
U"CBM9OIu($D<_f5&VZ5tiJORiT0q>E-X4o0Nri3Lbw:2eV\2VHN],+p4Bo_6xFK<
U"a(1hN0C^(<%g5oe<e/tI5vGJjL[qutH(g+Ek\3pCTqY59qM5^kMiV?tp$eRgykH
U"WJ2snlixZbH7D*?B)GD'se;sZt)mHP\AdWSd9WzwUOjdf5+%>n&'DEbrc3j)nF.
U"#VTu=Tsk5>B_hf.mSQ\bOH*n=\pm[$2c^B7ZKrJM4-(a&m4lv+v$)g7SGjmvGaW
U"Lqx2P$sbMNu2E;)9N9YMf0DwN*o6ZibRdnfK.rj(<LE]tsI%Kr#8/&d\$9-Lye_
U"-:).S+'(.#0M\d(iBEYtkt)4VkMq^'d1BmH_a>*97BS*Hlqiw$W:SELE&\[v9&W
U"5/r;;1:8cO;M(<Qp3:mCknBuRlT&m7#D)mmSGslI1D+hr,ENMebVrSD]'yM[.%1
U"VHO/?<BC#5f,l8?qBb+B(b#:DI,#Xz^]Fm*Az]<'J]JTXSLoCUPEoQb'NAPc.70
U"<;FhEzaF)cM+.XoRt?FRbU0jR$vQ]\g(]RgR%&S>;dNa)=_0uOFD6G4'I;)NNM(
U"*j*Ymil'j,X9Z'i^VBCSz+/Qk12RP^0Nf\OwW1*B>9QjU\B;HGs$iCnM9?M);;b
U"w1X2?[XF4L2Pa-:4Xrrog9;ALJ9>0^pAr8fm_C#BJMH=l;W55o6S8DFUtZBg-p9
U"ufumYwKB43KZuYg1BK_r]gTIkT\w3+#p<g,2Io_BL_KSt*Z$ngZm$;sQ(t+&Ba+
U"8'kMF?6Z6,YW&:;UvNA&&jgiT#fYRyk0YlpI(lEe]'UED)T:-CI;t3I.u7f,rH(
U"jlYUl$R-e;N5,;SK44r)ht0Hf+0)QgQo6Ci31QpPf,aB3'4tEjL\D72dS3w+/Qh
U":w_;SE8#f,++;x(MQ.jRfBFY_P$k^<)7kmMrvP[W&;Tci^)-kSB$<*>YX^hG:3M
U"r7ja2Q^T5KAKbaS/D_Ci<E[:b8t;=Dd;'?&z]2??j*]#$$u2cCnUCR^5$7pCp*Z
U"m_2+;W]=4S)s])>D7'%QPvaRKFrg=kT+_Q^f1r9I8F#Y%tU=HIRv18F1f:8:$i;
U"tHb?,._]-y#_GDb+NJeI=,'NqYDRH6(&FQsh[#=DSPdQ[PX^qy$lIO4E]r=1'4z
U"YYrV\4VD'6DvOpe[t)Rd1V*V#SQi_bE1,7C/zE#y#X-T*wWJjY?l]AdcKN]CmAp
U"LHNY\PqT/_GTRG:r[/;)HeEUQ_[szXoDc0Sd*wrS,?4RHWIx*5aMyBVqy]nD(n[
U"Qd/b05;G%k(aNRlgJKY]]^WQ::N%5H9'cBouo?EK^B[Yltq?6hF,\/_[PTx/g*b
U"i$c_UmU?Qp^Rwj3+7i%e1ah7qEkp7.lTzH>l[U7XJB.aN?WrbE7xooDOOGOc,g2
U"eKR6'f1W]t8Rwh'\<IcE)\ZEa#i5*&sag=v<EmK4\k^AbJ##q*njBC=\3iCDQVY
U"#>jP$95b.Y4T8VX^pjxVw,8lvP0-BMF*k^<&moB[oeOvKz/0?#iqYl%j9FS&,c/
U"yb-wNu#:J#xGYGh<V)%BFSlZcvwy'CmB%6H&VUNqk5ee\#5bMW^7$[lbIubErYP
U"KRG#RUC$s0IDN',cQ8V569BPu7Or]+s^WvHPg0'I6IRZ&+C+sToCo017j,6[?93
U"XJSPy+ch)XAoQuUWe+A_E/:SnR;h#=:I>_b_&F\a=0&h\1;cW[_/B)DO41LHtu^
U"nOSY5iKUXi3io=O]PW[CDpiq^^q7Oa(h%3(+7k[c?Iwsv>WIJVH=?.>WS33H\?n
U"$;)J.T#G\X4Y%D,xK4$We1g-0RD<?yo;1fn=s3ls>#NE4]r6:<h:1ZRwGk,<9Ra
U"H,xUJ97EwSLLSb.9P=hd>gpPb7+tDUn;0t,;2r7RqaGE+a_i[i&W%7b=Rv33crJ
U"07p-7u]OhC<hTr*qMv1B-N<D3e1viB9*ArOYg4RA+>?rM$3-69Z86L<mH7%]MXc
U"<6gQ[i96.[K(S5v$XzXIb:P5sGtd5).iS[yJnqH$j7N?=m:7MZ7z/+,OIQ$^s]g
U"0;jZp_v(aPb%oc7B]HznH_cURnK=.Cf]F.'FGMWg)(IiRf+=;P?lvmFn.Kk?AiC
U"UL$*+vUUw?NfFj5<;2+j3F0*,xUsrV0v;w>GD=7Whr/MijW?DIsE]DnOH(3Lx24
U"4Q^P#28s66bj#e48MAm<O<ERUEEpsu0?wAa8R^/^XHTCYJBnC6r]=tpXJHLgN(I
U"1:Y:=[.<RFFX]'0C=87V8YbDKP8ST2_U=5_C?1n#&Xf2eTLtvSA6-Q[.ueq]_'$
U"zUVGdvo>CS27<krBO#K^,9dO:U_Ttgg6PAUk[w5f/mQ6)lAPW185o*\$?s\QKkb
U"n3H0W&anraJ#?&8YKjU%]'al^#r6goi7'Yf-si]^)jMAlRSb1_,P3aT32d?^dBl
U"^^H\C<E,*:A-:ZbsQCH]DrtP^fOPID7??CZ=E1F;2Z]>[YDA&qGm<)_,Pf&[C[.
U"Gb=1oUZRcT+C+^kq1lSC4g_'_\S88Gqo';S$.6L(1tlYP'>P+9AY?rSDvDy?[1n
U"]e4[[0\d7b?_;tp'TMkTX:Ef,5d:Mp[&&*IRG'K(<o'Lw<b=LS.?t)+DVWx2WDu
U"MdeHt/l>?URV:<<y?#UoVVuPF/j=YssvRkM[h,r/o^5Po$^0o4ZGq6J?zU.[o<N
U"mP_j)m#n?mY0mY43fr(cT'9$Gja%KQVwVr9T+aY(=i\\gr#[b-S?4?hKn;IIhwr
U"(DksDEa,.Ch_L/CU28Y_^NgKicUP27R,^PpS'CY>ipCA<K(JPc;LDHcDtpJU[Ll
U"nObH[hVD1lR^G2t;bF<JK:SfSGrBZ;GFSfC/0y-u_<2-L]_C0Rq4$06E3Xx_oY\
U"nu>9=?S-Z_KGK5[xpJbb$3Jgq:Jyu^URW=+?Ng+];pz9.cUM;;$C[yARu9D>mgW
U"glr/;r-qfrW5FEf0e=4A<IElAj?+;HlHELdnl>$9kKrWvCWnP[f4s07=._bI^Qj
U"i]ov4$>?Bo.43RR<qT+cELkXM3I;w*DzYI#0k=JKm\WO'Vu^#K&n<9Z0Cw$=P3d
U"b,0.X=WK.kZtR#LJ9U:>#z#XTLq.(..3%RZW4l*hr,]Vs3-0aYkAr[,wa4Z5=y7
U"lAH>Vk\)2CCG#2CY:7\s61V<Dm(nH]#i6LhkpoO,;g8HkJ<age'u^M'wFL1My/F
U"ZC:va5H32b4gKu_;[W2tW&?bT08>AsFRi5TiO[)S5\-)0ou:+TfJRdgkZR.a922
U"98RFCuVr8$r&TM,Hp_iTdBY]IYlT7Q<b&4iFm<9qW],ViJJYj.cp=D8e)RT>wPT
U"rkpmV=\6726Fv96*^#dCfnL%,MbV_b=SwjI/VrGiFPl5mJir>qu]j5hgr;U>ef0
U"C%WH4VNd9i4;13?;Y9'(..Ndbjp,-;ek_5L[UQGAG9k-5P>/hc0>1hhDOKTv3#p
U"bYQuRa9&P]3#K<&'9#[9[BGjNHR04mP:]T/))mogCKmNk]M=X6-oUBFq1pc<$qT
U"UPt*fy#]=<8hmJhWI1sh^2lX%9(YHh$^7+l[\bQtnZfQ:kZ,^if8%drn9T)]HA&
U"$xd#ygY&2r7qUZ$#>e6_-pduibmYDj<M.Po4%Y\R2j=(vB[SVR\9uRrUF).QLeS
U"Rf1GVYUj?ku_ZSRcHNnaq3V6'av:g]1'JohBo*hfu5/&qG,6wv3G3,*BUnwcKl/
U"v6lwM:DVq'jbf#,96-_-lo5h>KZ[LS7F%-Mhg1T6=zXi5Wjrl#r9QPqGNXF5R$<
U"&FqhkGN9t:u[0hqh+F+e5O<E%OBtHT>hps>CEEHBU.-V8p\6mG^gOBRCSwUB:BX
U"%Ql\$c%b^o?,E^2nf,ETjjIWTJM-nwf?lA$;W5jK-c#C6sWN;BIG=2m%W?5PaJB
U"qj*qRiL6nqa+K]Oo2L&\CnWd-MM.ktvD[N_2Kv%,l7woi)[I&?*NM:GN(7NQ?1=
U"TUm$jn(;F)ebt[=J4s*=5h_*pC6:x5YSZ9^OmR.S6r1B?T&BtgMomj3CX^G8=zM
U"P7T4ro''57#GgW'MiA'acAdMPYcII5a2mr$3a2gBUw&0jwdGg#XCHo1>^$)IaM5
U"qm$Nh<EKZp+j&44vAm0^3jdZ8rFja2R.\G5\Zx0upQx(AN1kREJ*QGp<Wl<2V6G
U"%9s+[b5N7.mo5bLqb4wHl&SvyD%/*L;IeyF]1aHedt$hXR2n[NRYI]HAuxrwWEw
U"3H&QB?^ZuWn&uFnw>N\5Dd:[-Z#WuVEsHa0Le)nvLoj]2$NxdLMQtOY1:zNgpaF
U"\s_uWoT+W7t9K4s[8%>x(.J[cCnBB+%sbcfmY_pq[I&YscHQXpYx#v3rmN=(DN#
U"%40wx^(O?5NVp4Vv$?tJePZcvo<a\UH=]8TdZK9]r6V-LO>/tU^BqiLrLhOUOp1
U"VqFoLX^n3)0;e]c5wXOlxb=Al^LWc$xClCfdd0pLXC*cn3&J4nrDgj=8pq8HlqJ
U"wQvn[[Qq<632:UjF^xDSaBXdHRAg8AJ^+s1pdXWPJ\3iv$'?iz%sCuPHfA%SK32
U"N&:fkHqWBi8nZ?)flz_1YQCLp_f.8M/C7BUWfc1azra[2%]u0lIo%OJpRBXLxFV
U"[-x+gOX+/CdmlKvM3kfv>:n4H306Srni%*:bLN6xYWZVP7di(yXE-&Z+]v#1bsd
U"SA&/qyL%4iSogmLVFe+xHYoeX'X68D^&qW7u(HnmD,myD%;78aXy9w&8O$c]RB^
U"5OLfB7P/+TKE%*Z>W#:[75US80R[Q1).=*(G0$-9qzA2=4X>h^esmgp,,YtgBy,
U"49tEdYO+_#_:*NxS;y:^:60'$j#.EC=9bdXHs3:HX%6sX]%i0G5f;vEi]ZS/UJA
U"pG^6>^(=.lrFF=4H<fj0x*8_9a)xs+*CHSn0L0#9Te)#f^)Y9wgIM;[9gyeNRm0
U"76)6K(=XT7+%gl1lY0'n%Ui,<lx0Ga0HWpMjk53[+tYK;9MABF6%i<o)0OvT%NF
U"CFfH5WZ%)>ctbk>.kA9?FR8Fy)w-X'sL*Z56cn>[8D+Gqz)4suij6)h()bN.mnH
U"8?InHN$Xbp1?mXtEe8Qc\4K2mKi=5f5EZqdAI.S\2]kJg<L0+s_(V]1pz\vcely
U"u8l6[peHMY8,sMfi2)fmr-U%HjBqQ^\nr(j&^*MRj/_eXTJ4HIj)H./j?JZ$gW8
U"$cFX=x>AQ>FAFrLb8PZm](hMm3N^ibVrXV<I_^;h-qHJu<Mv$bhdB?m]0rq^ra8
U"#2\&Pkcih1mdH8JC9/E,L8NN1b/#Mrbq2*Q%ca\f;[>--I[k.V$1I1Cci^wmjJF
U"W<Y-TOQs[aEodzH/QkfbSE$x4v_jZ;daTnDn4JeVUN?&ap_W>W=Ue>/OF]trrQj
U"6ouw$0Sgo>T5X^b4VRv5uZWTp?]w6m2lu?p?Vk8c0Z+;e>\k9luGU\rw?<j;NwZ
U")*cF[A4ow(2up?KN3$m[&7Ha(^P=SEzpDKtSo=+<Cu;l$>l_AL*F_\MW2$MLKXu
U"mT8TBTKa$8a;A4J7_prxYU0k8B*SHX'MfJvjmPtGb0D=TIkrfp*m:iTd2L;QpiW
U"Zn8JXU*bx/*ti41tfc>rjewYYRhiR-m5SB6Hv$>X]H/yU)Bk[N^uge92FfMV4]'
U"Ia[fR_n2-'k_ht_mlu-s;N]:+MwGSI=Hnf4'Mez='>>Pwn/uJ\D$?v\l+SPp\Zb
U"dh8oR\x8#*dme4uvE3=h>(fqZl&teb:YXd?[X.S<j,d_ptzHL/b)L\Nfn1*l[P;
U"tS58jTk<4#iObTa,THJ7:M*PI:b*spTuKX,f<YJ/B>KL/Iua2=hK/RU]fiLS3j;
U"xnRteu+Xs78(XCG.#fqoN<1i97N+>#*H/%y&c72R5LV9<\E0c]xslR3.[=oVd>5
U"up^x0l3gf_r>N.hZ[8RF^dj<7jWhF$STdQFTjdSF\8]VuVvLpzj^pForV>E2uXh
U"3qq>EVxlI/N1ld[N-idqF\Zw#OdGGZ4FrV>E3rX.JA-Xm<cSj=7)ZJwM(<p^t0t
U"N;5tcXj;Ab.n;AcXm;wjhTMW>BXQ;lt'<x+dm;cc0eDo7:)^Da[]cfS]uV*4179
U"?UB_HA>b\f]'l28hPDTrLJS's]$QB0)A5^]G068_3Y?m#z7kd[hU7uxWUU-#tI&
U"6gFNOnzWu(CfAXY9J=F>91_.498WRdMdy[+nE%%.M*J*=hDD,2xOB%-&I,DH)I#
U"Q.fs+BL'58>DvLrT4(d]P4myAd34jF.Q&o)R=4h50n22&$Hcx9eY66#1aPs]+Ca
U"Hmh-H#[L'O6mfVm_%4.lSA<h*7S6=7[T_H%(k4H)F1F&hh_qH#IZOsl:t%&>i'p
U"G*X8,zcK1M$n>djb^4RLgSv$Mv.,.[uh/rbRP<3^F'';U0Ys4>m((Tk=M&xZ:n>
U"'%8))U[cGduWIPl<8?%4'BAj<_*aO[i+sT;AHf#COOOUodgz_D)7*ei/o3?=(=h
U"kU#9oF6oAR)TOWOo3p<mrKR*/#lDj'QO9,(trM(M?('f38W/5]Lq)46hH+.uDO4
U"747gK\=>*V+:>JSI_'yuiqWWY0+H;W]],)96TwPEJIB+.0jfiH$ANfAuSxDTMjF
U"z\gQJqx/JRN,Z'HbJ)s*SDpr7i2Fz6Yr(.p..YD8te(5ie8niesmp4X6fh<fzGq
U"xMVFf+\_CM[[W[pAXq^6c,dbPgU%,r-i,5tO&E)$6Bi$71g-gFnu>T*8O(b;sJ)
U"cT#DP($7O6&$w5b<>O+oZE/N+A5'[Dd*'q^qJI&hIcaZJ3Z.%CnX2_N?G%VAQf/
U"E#%Tw;Vrc)h;qeX*=b5$f<E9o7qW-\)aO_C8zr9]p4t>>\gcrxZgM$(TduLX69i
U"n0DM>A\IPyQ/NFUt8RGWTn3w&Mf9/]#G6d+e<MW'9#>%$g1cl:U>\ZgG&Qx6tgg
U"okPY\L^/rS.p*P2^5IY%E[A;j&WL[zhWL)ui8[u2kLd'tpMY]H[/9D\ccM9)G?(
U").>(.f>LD2(Zs%.W?6xDdu)_cB[(N#Ti[U'_6:v4aw&'Z[RL%5wdlz#yVGk^0r%
U"oHK_I>Z0#4uemsFOr,c,4VhK2<[\'rQI063Fu#Te;2,qanYI>GSf/M9s0ECx+LD
U"K8Zr=iOpQSO%q?vQi<59&'qGvPr&Pdu\,&Wq*ReU5lt90Eoae&bzgDmC]pIkG/J
U"bCZ+,E+kh)M7+J,:k<pvZT_7k>.kd6GbPtl/oaFu+gEv3o_S2eJziZVscmvO<4,
U"dfKREa5>yp&M[D,/PP*vOD[,Rb^0GuaF%0L06Q.\TQ,%P8]B)Rc+14s=oJ-8>4M
U"2ju\=T^gu0,1^16d?>_ugGXGT-;/c*X9Qz'>06\rfkAg^Cichi5LimA<*ACVT4f
U"-dNe3kK'xagQGreWA-5y\u5^G]U[FPKi,eE2o35BN?F/;9FtX];\RP,><cvdbh#
U"kYj$%,DMMGwHV-o5ktfMjp2PJaOY([7GveniL&jd>#0o[_P=_\e\k3*(z=O52AL
U"*Q,Hw91N>_APLvV7yY/RJl')wUMG'0h(ig'+vHW0/$-FIi,BU]\sGeD&QLGiXLB
U"pu+$Wh:&CyQ;'?0g'#Hyu\FW7l2Oi-?GJDS*dhdpTAg6iq.->/-Ye]YnY_j$kNP
U"je0_71u'0G[>.v#Auy9Xq$0#[M(IYbIF3]gFZX'ETT-S+6Gc<sfc9ViFZ%T>fT\
U"dlkq.N9KJNwt=o3banTdZ]m-nKDwnAb9ha?*)ykA<dG=kkN9hyGKp-D8DT\Hw\n
U"vM(q:IFYIHc)H.aKk$S<[TOK$[]wi$2E3kduU#JBy*Wg13QVD^jA(qvvm=Lz*If
U"P6=Wqm$c[lKEW7(\pu$p(^5dEEO=4abfu1oM?>Jok3em&?\>C;cZFrC?['8$OP$
U"Yz=];'Cgoxw[M)Pi1)6E)D<m*g$Ru;%J9LP2rQ[D,2\rts3TG[hM(D&qh3T,EgL
U"xYtIEmg-f%V>(^#nPj28R%?2GO-4-=EK4P<A#2PU'=,(hW;pB#b0<a?5hl'aeVe
U"9fgn$aLhUO*$b-:.)r2U;O-)xcFJbXCN\<L=<,$<Y1t,0FLgc(O?%n\[X'AMA8R
U"W9bRS=RsOtgL*iVzB;QZTILbDv%?DwsOBKwW)8>u]eEFhngsP+XT5/\>,/)BuIL
U"Rk7OCq^,]W*Kii'eSPgM%KgHLGzYj.QnIjX5dJ,*KBW1h\AFGTnWpTd_MNYD>X0
U"VC42lrso.[^W]4I2EHlOi1XJ&G3LSjRRdP'3b?]3P'Wg?P$eTm$kuvWXUJV0(9q
U":iUMi]5FXhOX\k:)4Iqee3AbWeHku#2xZs2fMZ^3tKsVNJ:(27FGenG4)L6)*GS
U"DrZ]e?]+#Wd\uCS;D_9zqFD&B1j8Z\R\z,H5'0^xDmA%In6-en(T.q:gjGSw--^
U"3X'7>;V'7zsXA&)G$J:*0F,twd>5QA)uIP]?1t:7qeCr?zWhPSnB[iVf7cIAiM&
END SUB
SUB V7
U"6Nr<rkaFe#<(G0CA3^fhbQll;jA5YY(3jRt)Y/;JUZU2Mhn-l4#5clJrv1Dm$3/
U"29nV[mIf^1L)e=^,X]qe]#tO$cqdmv4S$gKZ:3qS]So2$WPf)poY-Le4Q8AZ]YW
U"pjV55&Qm/DHVQW\xxknhOMZL=[7hS96KfxahS9VigEyT,b)pApJxcw0-5xt]mSx
U"adP4pfo7\3eLa'y^m)R-6*Rdbq-US/Z7F_%2PHLn)lAX,E&saAtm:FCZmxLJ*=p
U"HF=r0j6.tMa0+FoULAgXqLnQ]qv+CV9$CRPAnuC$jCw34J2>>TeTCp2Lf/L5X>C
U"-<Q_7,S4]gWS8(8A4.npl&h_,#kdY3WSjVx0LKu85;u'o#\?BFYk%gGEoE#mI_v
U"9*JxS&sckd#7f/zs5=BbKO0#hw:VMVUYtXJgoK]A=xG:<aK(HUl'X\ki5Cbs0$<
U"$&(n/H3y3L2$tQnU9ns[eOKM8,?]=NX<jrskS0m<UfqGQ#Pmc:%U76>#p75PptK
U"vcX^v-2>A_31cclE%_TQ-KH/:,<p[)c=tis3&^60liO=B^hq0v[4*&)O7gaf)bm
U"CF6j:cRxcD]8gmbL+j0+hgMgVGA%>J4gN+v#\[aoLcU69]?></&du(0Hk?rtvR0
U"p2/oLVs-k5(EhpGn*mH>Xe]N:4e:uy+NlaJ:q04H&=MQ'I[smWV2<JLbJ;^[d^M
U"X5PY&dYH((NtA-SAMgM\*BjDViUp>SaU4&Dxq?P#DpqSrZ>#^1ORiRjJ3>P3e^N
U"+lKOARE,=ikgE^<dX$0DFQbpu;tfv['*f\e9#LIf(\K8SRtFEJO+yVedklG_u5N
U"HJP?=W\oqy84?U:G#^V3xNkL1^W25k;M:gXQd$rD*DyVOZ0&XiWb.Z_cJVa\YZM
U"LQ]^H]mp.pHifn0O^vIiPXg9CM/c.MU*04n$>b_R+<Psx;mgCH<#cYVUVm/aZJ^
U"#b<^mQhC6N]5Jldkg*rQ'hpVPSv-808V#T0qX;[s++X=q,6kSC5z9ig%\%jJ%6>
U"PV065pEldSDkr^UrOH>V[yIE_=LiO)uee;=BF^bK%a$jMnbUBDi<S2T;Fuag[LZ
U"YI6InG[*R)JF:N7%1fpK:GE_D(u\g*'Ybe_ioQtmbofc^85udrD_VC2y]Zf]3uU
U"U7JuoA8w2Yocjs;RiiCYh#]bJ=pf\;6/KcrF5H18%*gfefb/wcC*>5X1s7f^JR5
U"K^I:Ay$Gr#F._LAbVA)L9kTJ>]'yjrlqWM4BAbAzN2&lLGBn/M[[E*3tzF*Sv9Z
U"5$4hllcv8*(km/i(ga#m.pePd1d3UK;1J]5eLxPvTW&]*K3sGUjA?RRg$r)e3rU
U"YaZb1/p$]8L+G?X*mB1*oJ8YXuU=^qVl(](r&XNY1D2#vWNFDZ7OD*i8qMzhn30
U"97E1hi=E9kBCO3E,vq+Crx3Z=r21cq<c:c%u]]XL9Q.sqlNbT#avm^Wpxk)>jCs
U"YKrfV3TO=Vmg_#)=p_?E*ku)o4GtYNw&2%aBodY6p(z$\%h'EH+u7#U9?=$BkTH
U"N[k[\Crt#IVbVs'DPG[SMC:RxgOri46ZJ'ULn&s/>9#4;,VPZ:h#*3\QP1bQP'9
U"NP7LuMG*_t<ENgW*u)+(Ih8DA<5at=tOIO:0G8S/GH4blDWbAQs_9agA5#/Oi[l
U"yOJpx(uCofD_ld,D+Ec1]J#F+kzLzwAnd^$N,0R-U4r[w>NLHI:'6ta-Ld>UrdK
U"MnQI$o:+3#i+ufiHTnfu1b1*f:aOTn2;=:Q8)dJE6PnKB5RimjNg?mtoOBsh:FS
U"T2GKuCi$zk?6Lu+b^dbc%:;NVZX/xA.m<JO8lnP,ouNxoZsX<l4uXnUvp-Nwh[%
U"1fx]wDYqad0DwrT9?Blqi^xq*m4xfrP]5l^u\,ogPT8r6Dcxo(#hEoGDrigc,98
U"q-,nrR\&a.NgMIc1vH:JkimUOVM?KSf7+b(.dhN'YkvTb1KGt0CPKj:*38pc4d<
U"rR'%UXG9K\BPrfX.1tQY#l6#8>CZwulFg1N+f;C5.Kn#9t1H+etyTgmOK?=3;vt
U"GvY0tz3%e-wk)Xr'b$tjH*=+KkJD;u;grb&XT(hp0K>LF[kOx<7QOQd4y8DW(sf
U";O3x'LrY6QGgzg6lkhFQniUQzxnPfDF^qzG1Kxdz.OC(.&XDwjaud(hXI2fml0_
U"(p*lE/Y\m4XWepVG;hN5Nf56l$hd?crsigvNHxKg9T(=6]fXlLLXsUls_5>GDw#
U"8;3q0kU#^=^-Y>]0m*S$HGC>AlZmdxMoghnU0.toSkPuiZk%hdJj,FZe\dmH4we
U"8:5g,QX2A;%ctStD,Wi.w[pS_nx7*:I$bBndYVn$nj_E:C=988urEK^JnaX5m7N
U"]LWmi6c*v\L*H,=,F8Scs[=lpkEax,WeX/NNK?h&&f^Pb0wz(GwCS<fXMru7s8^
U"DhypKJsf2-vBL?;r-qt/%uYNHD3Xn%>?1s(:EiB.QcY\noaZh1:d(Qnx\2*hIR1
U"Un8jb$Px/k'6\uqx\s;*Cn'_M,,\DA[$.a8Pl,U[0]\:;Zc$^ZMnqf*CZcLj$^K
U"'Yd6A$sE%r98Eq]RHuv'S=-sh,qW-ca[X.wXJZ#Qk^FZY;^KYDG[CTwIl097ENF
U"T'KRT/,jz,i#qlhNxuJw6wZCGtFTNGxVb&.a7?w$\fNt0h5>.7NT<3(kc2p$m.b
U"aiqth/L'Og%.NF8JK0Ta*$*93P6.ocf7TnQ.]:d+pb,Lbaigb-^lx^gtp6DWr,6
U"KPx%M*'R#9[bSs+jWdD7,1R/e4GlFds$F?i,N+-:N-O/as,rY9ZifB8/pqsDcE%
U"K7LV377C<\;nDnzT<xY^3l+N[D1-?suHtL'.c,1yz.DU:oXxifZ[fn^9s;5;)+J
U"uio:E<jLgGq>PHWW7--CWx1t>Y.(AD3xj.D6wj<zNl)BDcx*VEN(4/GZ<WK.LCN
U"MIbjquI=HbP:+jved^pX\KuxAU_3H.fwN(nMI0Ta>;^z.cwrm;G(jRt5_SNYg:u
U"70f4QQHn7EVf[qN78r>HtT0$$)j$lupM8IeHfAuOcv4DQ15LriL>Ct>Gqp:ro1a
U"(Y.:XxEc\vMrLR7H$lLxx=Mfp?ldpdoW-*#au/[c<Y.wkfqH,S6FV3<G^pi&O0Y
U"d%Do7VAhoCSlQe>CNqHtTG.aqh,CoqR2*nHxm0-&qw&XYXv/so[?wpP/R_&.D?,
U"aDf47ORtlm'7o*Hoxq%^Wn8Z6-*hDO=,:x)Yh>CNdm+RwL)hfMup\?;fwApX\6.
U"LxMs3BvHwJav'wXxxuxAO7sTv6*qxNOSSMeinqgjs82=>>irtP:vRkX8>_#>-vZ
U"9]wOcIp2uGUI4[]g4-vuOcW/rT>Fg8^nv&\*dU58NGX#iDJrxe4;HuV(Ud49w14
U"\10p>k*=>;,S.RYtHW^%7>=8Xp>L&oR4WfQ+T3QH54m:d>$NH57C]\Qwu*:c1C)
U"TQfl)EwVh>vPHu8#b,'gTl-h>f;Ht,td?ufnnDm<rw7g7n*iX\-_O]]YD8=Q\x)
U"Q&sJ)VC(G-P-4wh6hSj4YDE$uQqp8LQsDBg_7eB9:#)o\>*LPrWbROF*DuD14^^
U"jLWXQT96oeF\RTD_pW\$-rUJ=nil\^j&<Tz$orhvNxZtwVVefaBkmX<pEBGo$DZ
U">IcVG>*u$n^PqT+:o8xYf0QoM-Klqukmj>c8e:Ji0ifVYLmZ*>+N$?3$z$S3#(^
U"dD.eJNG7.Terl<[Uff-GgkE,V]<UWB\ZHx2<]vf4vq9+c8h9,NM$XNhf>nSP4tw
U"vO9KMd80pdiNC<0^7Jlt$[eS.Z'fMY-VnZP,YNkD9HVh3NMx:S97AhNmq)*g-3.
U"b-pkDD5=cut./dYbf>J)#AzTX(Df27Z1sH4qqk0FpdGod6c<v4rYKAwNTV^6lMp
U"zMk&/mhn.Qu4OJg>8ovWPlFB&TA<6Kq2c.PbOGR[peh.&.Gsq7Ks7&t(97CJ8M0
U"krXlikKCj-MVhf%TlY4aR5nwPDnI)$lvyiptywgqKvui$8=RDueqrvZ4YTreaT.
U"$<cQ0lXHH<X^,2pc[WAF=uTVIT<bArc^thT;WvOHN>lNr%?]lD9Tu;/i$qAem6b
U"Tn#=cFY>MZf5'R:jMSV(_H'3Sz93,Kq2oEu&_;d?YHM-'=KmtR[TX+F3tPu.c,o
U"'d46XSlT[KBdCq$bNSbQ>cQFoo]zG]T$t8^I%10nnp\g:XQ&gtufep4?v/Q4,N-
U"&q$IiZ.::&-Oicu3HsU-hXZv3S3[PX0LbNt+H=H3PvlL&QL=U<fT6g-DxjBlwqc
U"-KT(5(49Kc)um/1Y0%SP=+J$P-fQK3?J-&K,<I'T^zLQUt6\7\DpDnK&q$hdpd,
U"GVn/aZM^#g&k<m7'J1fMnQJcb;bWC^x=<xm,p08ME?gr8c4BKtzm6*^$cr49(rS
U"/uq^miBCR<S8o0%dXdCOH7nlvd#]dH1L=Y6#V13?ygn4QR6b'EGJ0H)t/VMeKn5
U"H$^Y72.M%^R+X5LWnct*\XCN>Ch_F9Idc,sKx[RMB$r9k??Ne/lu]wC9x[lv<mH
U")'55)flnjb4H>pcx[OH5czi5npjV6vuHV=Kau?fsLqPo(nDe64lQNNyjLQ/$OOU
U"4#IKn'*hXgRi.6bq;)^o+Wrqg*hNZWYcFmrv0mC-?$TAA?TtM'*18%4q]68a+x0
U"rI.5$n->$L+3rhhdqP.CQp4YV&;I8lJ6-:Sd,Yil+5-M/G7Dj]HMRK)L:NqHSr$
U"LL7R+,E-Zqb[iS,bXRUzJf6#orzD^T_\H+cv7X?iwVDW-?)ITJgr/-Y:u8h[n%k
U"nz++'_,d4:tRuLtMFjwXfw[J-3(qJuZEI^.egyrgNjsl,EbrTp^/Nud>a3M0SgD
U">^j1qwx?v4>qj%irqcqH%Y2bj^T1b1-Np+(R'cYPSlG7N<sDkHe*UIMiK>IxgFf
U"DNjT.WPbtSz</.tIg;qu[=xTqe+v+#g6'NMXm.M)ONsZfs/-8fRTjUFHR)7<i6l
U"rJy]vY;ByqKDdhxhL^dHb33,C_sxZw\4ffvlcZx5$;FUt42UJbvp7-lwE$&[NPC
U"Ou%i0VYRpjv8%cahD8a6jnh:rU0Ph\4LiVqe$.L\\ml27d&zWvqfVX3$QdH(F].
U"lri;XYwvKustUw/5Jx=>E9]pFJl8VoWBeqVL\+NIB?PQSB_ajnMF(l6]Z'vmTwB
U")w-c\xx(D&v<JM'&BQ-MR;9TDTS6dsHe,jFP3KS,$tSU,Lf:^=[,nb6r&5YwFss
U"kdHQYjBan\H5ed/nFKN4l6IC+QL7)jF-tFm&2(Aq*Ntn3P.f%gjG-8r8HWGTi1f
U"ye(%T_uJxX7VXnq6uIk;\3r&9DQW8jrROcaBpuTiP&^IqFAn^n*661,=gD<Oq[-
U"H-qHJuMLXyxvrfk#?sRJ'\$0k+rC#%dQPFAEX_tRq%vbQu<lcRx*s?u?R*'#Cj&
U"f_H<*rHd0vrP^memI'w[=dksd_8ZxCYYwAKR[;hilxwP8&Fr5S68XK5Qwsjwp2Z
U"6aJfefDe/b'#1EOEoaUt&Fn-cd)&r\6f'<[pPh;[kh0?*.e0LXcjt7-(5/s$5x?
U"Ee)h\AALoGK.gaLCuk:)KwQ]$AT_UOnH=L_,nTpif%T/+a)eV4t[cq_W9V<$gE^
U"DO*>%k(%OQe[(BmUf*ZQ>GoF-V9G:92DWP]Im'Bi3pZb;atW>ph&3U%J%%ggOk*
U"oUM(l6dvtFw;Sb(hxL>4M'FDUfY3qCcHMGW<xv4?,ir:l0N'KJb'qLp<Eub7'P#
U";\ZSu+[Ye),6MqEF7W(hrXp0VVg:1vo4LOGX0Hb;m(2OC_I*T*R?%7pswWT2;*=
U"F<r'J.lm8%qtf\-o71?Q#F)?ts13':9f7:/wKD&]vE<67r^k.9=&6%pwRkbB5I(
U"giB+a(OtC&rFKr%$DlZGZQZlnFo1X-O<Fh5^m58=$C.S:(e\;Xf=,b8d$oe2aHw
U"92ycbJ\'t7YS$jdn9;uQ4lBFtOYC^B/%QPYu;sMTrVMSBY)IknaQ7%PZV^_L,9T
U"4NeO\[)0Z??CUGbOM=)WS#[pCrD13:G4<fr\qTh+Tb(N,8H+YC:PgP3)8z=p4;/
U"F+wOY1)r[(XNN'qmpA^B33LhypRR>j>UqbF?U%(Y&_N?vloPv8/Jt<-FW'(e'c+
U"Bt&</$n7i6fMGD<<#a;;&V\_SL?2$gswj24jJ7q#rG8\^0EL=j3NoSv#DR;,tad
U"1ac&Y1jY*sK_LdmeboW3bU%L;q_=bu;=R=MV0[mN>u_Yc_+=1V(;4g\x3x?krPl
U"EdijI7rt+?hg7N;AJxKw?[\5KM>mIwKd8M(OW=ck&NIp70K2R1b:;gZu^sC(b6d
U"WpeRM]RJ>;4GtRKv,&c[E&PBI9_a1mvjfYd*Lj5,.Et=]+p<1)2^'d./06R$q;E
U"(jYEU)kW&W);iJr[It.(2BO]$9ar.ZEpfc\_[i9vWt=3fY[/Y:6h]j)/+FqQ*kX
U"\/ZLkS<A)VnAjmew],En?bUHF.Oh4DJjirle.N0i7xO)ZYmq+C:Oa>AVnY];qJo
U"Ysk.+;gev3cE)$cnnq0<?,8*R/6,f6ERmz$o1_<ngW$b:i,v*,MQ[]cO74_fs1&
U"?M/FdBrl>=R4DoH'UVgKzZFO=8/yq/%pl+6_C%dGQm_+V&DB.Sk&?5^*SFlc5[7
U"i&m'C?;BZ2_)ps('Y_iWnaf/Itw%1owc5(W\#mGW#N&-N(t,n?f;0JyrJu2dj'<
U"=vO,jI^uv)lHJuO0C9Pg7$sV9N3U\Eco^2)K*yPRASX/%Inq1f/h)&J']v_u;uC
U"=s9B?0p>YU4m2RfLT?e#IRRq\+Q(kb3cj+m%N^OGg9k1-TCWV0bxH^9J*j3QQ$%
U"Xgz9aa'n(PY9VGpQE-p.;=n[_A(hiS,R2jkbK%3dbmc[BWN%w&vJ7(dq,rTIKIx
U"dCsH#yA_5i80Q^*QJeSVVPkjde<hE2(U/xQ\_Kg_CismsNr3(4si;TTf/U6P_G[
U"R)a)1X8F54gp_9&xWruc-1mM:8.f]\NNSUh.%x%'H#=6N%rin;;5U)R#Y/\Tlk&
U"dO'uilONgi_P#,qME'rWDnC*#=l6Jt1?UpRK?T2;=t%DAQePedLaRo/ufge/Yfv
U"]UOl.51;+_Cr-82[(_+'><e>a\+j:^ss+n5t9SgH%KJstj77LXeWTiB3Prbwj7'
U"h2k#3OYEb$V_h[=u[.B2UBay7_[>WV_GRuI1uP8JB'mGQL0E%'1E=,tV<2&U_g6
U"**2]C7#IS]y'>=t#<HCBYoP'ENd]\^Y\)&Q76j:RtIDD<'M9EL(h/xdMI<ASz1:
U"g?tmaoI]tpD*a));jf:Vy:8%%mj8B_krDCISQJV=t'V%S,jP_zAfrI34JlQp%aI
U"Wafp_?'.u9Y^ppMDoO2NJ9KJ_<&Z^9txgo2.;Pe39e9e?G;5XY0mXX;(=((fFN#
U".TD*aeW>NK.?00,Q)o^'WnVK.:r4..kk9p_Cw7,^QV9B6Aa1sOEpUD$F3()IMs7
U"vT%ETg;fsCPIV/9Tm'\WBU)R4pcp:tX&$VM)jn1,j)93EMbZb?0HRQ?Qs^I25Ot
U"D)FOFxAMWBzR-yuRN:Xxt&%j'H5RT:<=L.2X]QfsfV&oNY=B/9weZ:Ul<+4#'kX
U"]RZ,2\Fq*'LU>g=Nro,fMmb5Df$*seTY9]AM4lpLqKnJM0Qju>9L-iRkv<[^7/A
U"abSSRVX4Q4sFKf93S7iB?1DFnhP<iWGPVUtk:V/j^c%qZ<e9\W0]5'kB[nfbn*&
U"+i20Nkap_z[)4^_0XO3v=9.T</8pP2XPEC?kV6j=#wbzo8+,,_yj7j5/xioPES\
U"14B=F1SvYE[.S#W=k6U9)26lL[,]/Y;Rfi8WqIlA2sM?JRgCh7)m=0/I6?FmpRC
U"f9FNaEF=;v[FT#XJl.Hx\VoI?+NAohc4edCl<2Hb*BkgtR)B>K&4Uu5R7-lAE&,
U"+dmjHVa*(V8?JJA$&wC_)nsm?x1<X?6n=JIk?sp5+mS()5wQbobf$#&yx)=LU*t
U"T0vS.AXhPiaLfA$#mHMgSP2a0W]hI>4Wraq1Ou.vMkOEi9\1wW/-Ew%IZALBeBL
U"uCHu3sgJ\0c7#BEo$Ya1aD,74v9:>jegfkj:9JS3vVG'puF?:\#N4w6]&M3R]#&
U"d_v0ib]Qfds?YT4[]dQBT:\soIrRlCP;AK+j^SQN<;s;OQ[TZKosv;re;,nfF/<
U"#Lf]QHu$#E9Kd5-n::?+%m8Ys7L4x,k.)z(w<mu%yXhk-=&8y'_nr70$p6QCutr
U"Iee^w:qf6g-_6j#N-T2<v,JKdvv%7bS<Wbfja[uYw3K6i$,KU)JN[0g%>p'3x/.
U"3NK7Ul'T;hojo<p#Q<P2[OVBcNb+4=^VsI+Qg5nGZ^-XEKDI_X(Jmkmc1g?A^'8
U"WkGtCrG#nx6QDfgBcRr(F;(]Kt'franpVb]SJoh5*$3DLPP#dy%^PZ=Tphdoe]j
U"N/B_h'h(N/;XVwRDRY=7k#ZH=W5A&03F95%yVs?^nIm[84[lLhkuw&Qa\pI'mLX
U"w+7R2(06u4J$N2bGO7aa:'kEZ<K7[*eW&'Y_V,b+6QOQqZ.hC:u/#Zzk.ddC/og
U"/*BjxUfF6]_vLN[/W*JEdUue0Pe/clr?V4KY(eBbQVz(*^dqV1uR+2Euq<U>;k[
U"l%\:T?*b[OCtOQS.bK==)?sMs+7%WJWBY8-sGVmpMF](?6PPcNV0jkk/.nt-K2y
U"c,C[9B^>4oQub)jrF/a-6qUc),j'+6N?eW=71[eC6Ibl3i+/r1K'uN+#&%/xs'5
U"2J<Ca=s:X1\e2Jt6_GRs2Gmd+]>Q[Nh26J3]k,%*L[eTdp9^U2:yQ%)5?yP::*h
U"S=+*VP7*$BB^gbWGKAbpU%+r\.(,8GSRN<^o]pUX.G_-qW=WaUE,:9UeKP/Q2le
U"nXXk4?4c8B/l%4M5;AOzDF$aV%,W%tP:G8jR\'[ZdubB+\$?]u?[94w]^J3\za#
U"_gJzGUkgj0Z$g,PB'):9)YEi)+n<%Q]BEr8WgV9Cp(N2DX)/&5K-+VA1Kh9pZ2U
U"-Dq]DdIgJ=L9g4(3^=KNM\ihI$,T:J\\uHVpwZ1fpcc0EHN6_UDsgf/WFu^Q>E)
U"XzXiHV/KbNS2XJ&sHLG0EXRUkY\hS'+FJ1>Vf/\#PyBf2\dk4%rj1#P.8fg8y/Q
U"ZdFUDf3SsMxuh0J1IDa;\p%X5H$3CxT,eXEJRR8P8Qd=ZDUWm[v$/b7bII>L)7E
U"IL9#s+NOBWH_0R5n-z.%(F]PYeV<P:)Qnb>IE6jtSQElvYq2UjTb#4b^oUB'WvB
U"L#]_aAGm]H#-)[IoDAD6Uf;kSR1zl9eG9o9q=ggF$nE>.ioRBi.yAYNJ'$7PVW0
U"JR#,^OR/EOz'GUVH9b<:2$Xzuj-n8<BE)8$-nSxkiGe86N1^X-%jPu1Z:23BCq)
U"z<5cll2k5(fOqZ.g9,Stp\+PbzNBr2P.zMc]:%N>TtfX*-i5EY)Z>WEEs$q.H*I
U"MbWfZ?X/mC_9M;>:?:8\M\xGNInyMWfI)Ua?W#bD=8hl?(u/hR<>7f*=d$,6Kp+
U"JhCiep3klIFh79sUdlO,'?^D\F)Hk;%OTn#t'6]&X.D]E3m3l18sTSS-%0>\g=w
U"6\Pors^mF*AjOIcVKF4z1K*>Z$%6Qa2AEqC(A8(CY=f+['H>l*6u/iqkt#Ra2w6
U"VU5C\o,=Rm)HFJ^wVcd*w/3[RWt:Y&MT['dMupEj'rPAq/'E_0]nW<QNEoTB:\/
U"O.9].+I7wm3LhOiC\fRDHd1:Rc,Ra%f6p;3h;&o&'zTID/5a5C[,kLUpc1XL,k6
U"zZ1=smdfHsUq)RHoLFdR&^1TVH+MlmNVHZW&YVLF)<OlEk>_I]S8ylbiM(xwprP
U"w?O1)IvbAPG[]a<e:ebA]1+#0f69NGHKV]/IKX/Y3.;7,sgBh<n/QMz?_FnrFm'
U"8AZjx,&3[X>\?JRkYv]8?*MbWA(Mb,5Xv?$%KQe.3aH(MLrv<R,y[K0m%t2[Tf>
U"pwS09#JR-XZdCOL(OjVLx-gnc:no]sOso+bYUrRfRvCF.[hRrf]fuBY;6Cc9lRV
U"u)^]\+%L*#k30Tg=6>+:/6uK'LlADb>cMgAwpB>%3B'Rf\*Q*[crr_T.a;P64GE
U"S4fZ=I&dFD.27CV5HBIn=S2kfUfg^pp59G9tVYDF_ilIhRkzftmJ]H/UV9vm0SZ
U"66=#POyxTNECfFR?h+67f_=YW6T0k[OkeDVXmqB;[FWB^w;a;e]OJ^aC$qa[>2-
U"-O;hrC3ImFNLeV4nI4SM:*^)=Q$;WY?h5e]BAC_2.B=7pmt:RY%5zC#dU;DX8]^
U"(pN]4R*UMJRhp#c>j%M:scH1,RH18PS'O%p1gfU)Bg=O+U_CIHaV1_$o<XK=ox^
U"r7cbo=yL<cB=];u)0>T)_\zfme(V3D_$^Q19j2FI8FE)<3h]?e);CNTwa2v9T+V
U"0PwCeL/;otCWXq[Uif0rj32[#saQ73jl<ry;Bt2BSh4F+_[yT,GKoj5b&'aZ$Ur
U"O,L984Gcju9X.+$ZHy0s?>A0Cre<n(lSt&7$OV[p^Lr:[.AE)MWMDM\=]]B1bK'
U"G%0Nlog%Rpp.%N9laH:j55cM_(zk]y(9ERWKMhb<IU/(aqnEl:Z)qZI4MgS]]/=
U">fXLW0wnls^eYugh=eslae&,OCFPDP3L#X>R)NW]86RD7['OB&1(tHOb*]cylT8
U"Qbe=Is78TuV(>Bm?B<64xaL42f:n^j<G?e[2Q^4iao.-DDbz6VT+'LDBir1tD\6
U"Q+^bV%8SIoQN]wc\m_I^6a4QBa3>MxqYjocUB%AE*-2;qfrMYT?>(S=(jYbcUc&
U"*J+)#LTS\&gGuSBlcU%RXAo%H#)=]hFp*eb3,hY0[XWXq3QfG2%b&M*q<*h_b/j
U"T)t?=CU^s9MU1KS\R?=n2a0)i#LVZXP9o+Ru]?_n9+UC2dN6:;n'[w_eDb>\.b9
U"9fa,)rh$jV&C/DlhB5:<s\\t\iYr=D[efb8M4^V&Y2I4Gn-5#A(+/l$t<N_K)wD
U">T_=]'^X-J$/;PiwekL=ba0n9PxnY.Nl'N(\j+#^uRIBe*._]G82ccc7>37^Jcn
U"?i.)z]&O6Ef15v\9MJAP:;+tL,H6FU'W1+By;%bQDoJM:.dSavDi?nw*rY?*Jni
U"734(_7\ykA22&()6[IKj=R]&s#_EF;grZESWWXjA#7f9nLB_upQ+S4g,3]N?w+V
U"Ze/Uae<PW5P?TPUpw5YGF2gfLbD0RaDn=JD\Ex7d$Gu-3radWLiV1)sZJW_gWdi
U"Qc;.=NFSehkGBR,..jjpL7uNU95dJ#f5KX/U6Qr,/ULM2;Ka)?jxi/[*4\IaqU(
U"sA\8qEjM3aEb9?W<sUOm(zS#\U2QA&4XjZK-0<(L$bBW0lst++^7SIXquWhtVEb
U"O#3FCW9,?4J4UfFi352tfK3Pgu9;CA'pmZlPb0a'''7]SrY1g-xneH3,78#nk'6
U"Ukei%^g01XrbGhW85rJMS;8OvW^MI(D;x[s4s5R2AYA^?dxGQn.N+U3S/lhN6+_
U"#o2GRGj*etcCGJ$8m&m>ftupHdoB3oZ-?<Ju#]p$;:TeaZ1eZwCsfr\1yQ$UeC_
U"(PoB^L-jV5Vp_L('7PXBoJkXv26cZh<?\CWib&()p)Av]%pEZtqi#SL=VYjM13Q
U"9p\x0TQ8^khddK>rrd>>oALY:$ZUFZ19[TPs<Ly)5fX'C%j$Pt*N+_PR+\UWJ(^
U"-O6tK<fR8jOGXMzg;k<%5JX\'Euc6e9]]b',*u<7_gGm1>7\K2yqerT5;:XS0J/
U"YBxu+(D?ePFs'kcEz-:6(h]AZ*S5=QX'ZpHGp=p4aWS7zu-;;^E)Q*Q1tA2,\Fg
U"2:jU3-T.4S^ofmh7&fbCe)*+%jMV(.ISNcnm^pcj3l3gE,xg?'J'm?gq=HtOLi1
U"-Qo/r*Xe.1>h?IrnOha&]6+C+azKKpM?a05E+JxRAyek76P48LB1\6rd71kxH-_
U"2h'GVTH<HpFzj&-T4+V6Jk(+;qy2ZV_KRE7<<]2+.S(H:*a=n\+m-;n]R6Lf7M'
U"9XKPP3<1X$MFj\cdDYbZmM<MFPlUkeU/]Asqd2TPojE$&RuW>_+#yO>yUB2S5nS
U"-a/lpKa?Z1R*p#6D796&Ng+5&)m36ORs0Q26;wPj/e]+3c4/bI$<d<UC*%>jpE_
U"6:e-IF'3I1HOarmL/^+o=b7eb\2U4iHMD3b$M:S>cps*815e7SfV1vvdyVo6V'9
U"S(_r*-AG,;OVL8wso./WY)VRQ)e*rW)*mtEow2=swV.W%P7l5^Wg?jVIIU=4O&j
U"4(DdN?DgYD.T$$lVs+7j:n(G[yVq[=Z>j*N][my01fZGOA3mecZ0mKti3\9gh#<
U"4Jd';Lf.ohVb1U.LnhEKC]<K*L;Y#hE[:N&MUIk9]K6g[fArQdNb3ZkoZ5$'K4B
U"/i%b=/a4ZB[k)1K'Y8+897/M'SG#=>P0?1itp:0aX^B?5LR%,fj'Q&S+)][Ppvd
U"qCZ/ViNb4OigCv8?i#,*_$\ud3p#&MACMeIuI-KFK&$z4f+.'?nZx6oL_8ocgoy
U"vm_A<y3kVfX:T40%.&g37k$fMCd=$<I6SgXt1;<l[KrPi*8O+D>%]J;l1i6^>m>
U"p'Q+m?,Q<,^ON.U[<<UUYI$=0.w#ALPF37?:W&G1BDJf$B].3)4l(#W6'cHkvMv
U"&GRZ*oJT*G8.tvOB/xuVXdt_F>f9VMWGv0xDSuMc'?)#\KJxBEhZF-C&'*E/rt0
U"XCM,lI/\+dshSg#VeI,vF.i[L._#33C4Ju03Y0R1q'dm(Z$T;C+Mnl\1Ahl>O9-
END SUB
SUB V8
U",m<=vV$1rk%W,st%eV\spH?CJ/jl.%%+i[$P_+]Jhrx*a.UH$Rrt4OK)DiThHF=
U"2RBQX<d7=m40*lP]3]Z3T+dCYQ&K5z3OW;^]<4P>fUg$G$:Ax1Ybu)H:wW5Zm[i
U"6qO:>_&+n/obAbDfdB'M$PU*m0\.u/I=B4#7EkYSW/F+60N)Mk)oW1CbGvG[$ke
U"h$a\efCJg,_2p6?2Jppf77#.)AYfc-HiZ3lRQ3Tk\;Jy2l2GkNHm<deJ*o[^Yq[
U"bZ1;$0F/MPB#O0A(OYhan&5s$)wQf*h8aI$RS'.$=sp$VkN]hEbe^Pi-\aCbzB:
U"s<'cYMK6LI+Og2S:s;'I?O-RKp(FJL,,0.P=X\C7[iS&(#Pk1P-n+uOtkW5n??'
U"R#&9=F[$&;T?7u_JNR55vqY:ZMmuqa?b^oh6W7r=,?*e*ZC/>Jpl^XXH^u9&Be[
U"3cHS9V+'S_Hap-<f/tu7b\sK:)H/6'HS;>Wi(X5\)+ZpT\reckb8,/U8HUw)R:m
U"OMox'NNgsc/ise#f%Ga-sbl,(=dG;vb_muBsj2T?CdnaS&gsnT4?-eG/qQ;))c,
U"l_3lNZctk17PRfFI64b\PsK8M=)KqeDDa%NcGQ%&vlEFK,HEt<*e)dQv;<#7bXB
U"diF7u['bO5c/gxS^KtVU,9A.P+'T^fM#8_a&lYLR*o<eUgq*?/lF+xZE\0h+f>_
U"_gpw,A]i2b(gnp<F,lpTk1N,3lT+\GKLC:.4g\CZ2-Z&#<tc5P*4Em$]7g.;/2c
U"U(W]8$x5DO?iu?Z'c91IQPk=ufge>txm&KclTh4+Cp1r:t3>%BLiSVY20=vkovL
U"#pB=E&%r=7_TJA5tq:wRhr?5[hE_LAg;XFgjMg-CeW$q)m$]SfGorGANM9s2679
U"$Wbs4#\1a6Jm/b>1=UdeI>SQ*8_2/ESs9.743LPa0BRV4]U7Pc:EZ>8feuXf<*;
U"D(8PwY?a15033vn-[EiBp7fW=.m4zRnN$/=_,kQWs31SQcJu&T+'D-CZOJW2sp7
U"6QM3hB5kW_CB$_(#crSx*11XP9FM3[muPZ6F<DsS8(td&[miuG*o^HHo#h6e1^H
U"uG%Xklc,DUJe4XbI.pPgzb.%LhC6FT\c%u(#=W=PBQ,R<oY:+.*SuJ*cgu-RNh3
U"(G]erE5RQ0_16M]e5:O<,Tu3jlVRrc=2l3;R_I)ot0>rb4eYW796+^%U8L-/rf5
U"(1F'/4vtFPV?TZq1HY5;dljLg:UuaVj=K)9Ce-<;SCh_IZXsoES$'+B021u35MC
U"iI]i>.03hAlCeuU#2(o/rwsmw[i5iNYicN(Ntmdfs\T4eVTkJZQ<L4/iW4>bl,D
U"mLs%jD4I8?Q(D(w6-'kS$6)i&s[MMcEuNb/%&7eIfr:?M)1Da,3S(w9a7u4t_j7
U"\,M?_>+5UnR+aNG*K,slF/Qaa,b$a)RvUOMOLwb^+&D5ce',R?[t),)j<NNPO#[
U"E&fES5Pl[$?9ce.\^W^7sTV<Ggh,-g[#-6F+7q&Tg%vp]1Ze]D_Z,dRyF^/b\og
U"^?U0^NhD(*D,[RxuQFU5T$n:mK[Uny$D57u:,d)Hbl3T[F,p_E#>1_lO.3n#Z%P
U"SUM*W&pjzXr;hIBpwIg^^Yas7]<7,Pj3r:(rX=t6Ajs?_ZmF7*93>BA\ToaVnF3
U"-O5E4O6'3GPGI4YYZT+T18E1]:La]hlV'lZ7_bgRf(5jVC_nx6.%/AsS5S;nE$i
U"BPziSa\P21:+X9q:+u7Qp?p/%i_QTTesN(F4;llNoqjQ9mq,F-pD40B%yn0eZ%l
U"Q-2RBpIPED(;0,^6s\*dYHQcLLhyF=C]bi&4)Rd^nFL1k2;5aRQYL]eje+/f$HI
U"m[LuD,Qg1ya1btqJ-XB\.;F(+.y7Di<UW5]hJ<=_pwV(PTh4$Xn0a47IS0^M(mI
U"FktKVgh\r3a.YZ3>bhTC51/6xu3l6Whrh4t./0cL2jr#NS#6I((3_ft)qpN[Sc(
U",61[[#Vp4F^/aktFX+86vWfazlUZVb5^M_cCOCxT2uL:aS:gD+FZd''p:/2w,E%
U"=i%,.4qOrc/*A3_C+(Pc.YW_'Vzb^-mwi'Fb0^k<A;;4u%KXTVG(350Uj,(BT)z
U"[ZS<hW]+<p0N?:Zcm&Ual8'1sEDWRQG*uB4$9J-=o6;0FTp.Qd+:D8<^u<ddsmR
U"SNL>2&H,-jq/ySD1U13wW(pBKqG'eq7cxfu:Uj$0or%ZBwTVQH%y**u6jwrNdiP
U"EXQ[(s,D_.E0Op>=Am_55h(Gp<Y6l<BlL#_o7_eJ0(3J4L;M$M<;6iMWb&[T>Z8
U"9DAfU.B_XnV9MNK%M1&cnq,?r_xPjJn5i9wnBY65C66nXNv-xvL=SQcxF?nXxLr
U"5Uwjj1-o9s4xf<Od7Q2hLPMsK[KXKB$K>d>vobCurN:s$bfBEj3E(pt>,D_7A6L
U"iE:Z,GSjrJF_35yxpz?%sZgv4y2[%zpVe&##hEX,9N76C_iYCi:Zd8[2(,<#:N#
U"K+o]7;<rs>cXX*5N<YV0iFmfUtNb<ktewY9Gjw9dJ#wn9Z,i8aW<zr%sR^62fic
U"ekB/NF26OzKg>,&]Mp-Wgq8xol>4LN&Ez8RIZ9n56xN9;gIKsElG\z7Yk+s\09D
U"&nZm=tm5XH;k:t^D:upb:Xtv>*6>KxgvWq>,blveeGQcS]lTDdwNP+7#.B7RI'q
U"bTjrTtQ:yr'5amnv41GBAp3Rij%<Ns\Ze]mCl0N7N=Tz/_y^7<m&>clnrqW_7E[
U"g<KdvE05?_tKIg8E;^^tLq5NQHC&Ht_-l(;UglHKhCH[g:?uHs-lDm%+_%Yn,=#
U"tTWmTc;d/nF;f+><cHHxDM2U$=4aN/Q=9o-RbTEPZ=5=atRJJ)UH2fGX6r:ijk#
U"kntvdio9&^,(qz#&zKoCh134kh;P=%dDOLau0&[gp[:(f$,vhnCq93Y57+2dVJ5
U"(U1Q'7drcJjAnn#]v64#VGrA5(uII/i6kwBkHU?*6-lVK9oLJ._9W7o_nPz%klV
U"G.AL8+B$C&eR5$jfW%HMWTAkHtUq/Q:gNXL[7qKZb+,:uxXle'Q)r;i.N>L=lV,
U")ZhXF]TZr-KPHs^NMKD*.a%rDK$7AXLDzjO8AQ^uy5,eJ;o$.QocwVh#eB4:7Ci
U"8j.sYR'S7_/,]U0.^LaFMS:[.p]?L0zNn:H%+FHsthyd,xv($Cmzs5SS.jh0)Ls
U"f-=#os2f$ALx&Dnj,FK<^hjRJjS:q&kf3%(>s$kT-N63)H/=OnlW8b_YP(gj<3i
U"\bKSJm7d>*QrigREJiDA\?sAfLGd<e+_g3*-t;;%iQrFZb%)YHq^Uj,iwHY-orr
U"5M?'kLfs,/UC;S1t6ro\zcdF=vZNVqgV?\Z%AkxSOWcYL,t(YV1+.2TTj>ve&pf
U"9/d=dv48]^k,Z$3YtVOe7--RhKQg&$=qr=_uQ:[ADZAEE;9brNLob0fo\ZJ0RDx
U"I9G-5$6XT,xm0Ks1CI$tg.;ZDjjGPU%ixBGrZB?ubB0r0LSeKU.m$FP:7L(\&c<
U"$tu<6VN&7?oq7wIj+>r/W%'gOkG/9p+?gu))v7:12^y-T/$-%nd8*,Msaam>UV9
U"_%qZzuKi'M-=J'Ok\EYF^GU5-3-</[;zd7R0S5BpGz0wahzc0>)kQLH^u^bLlZ+
U"v$AhiMF8n_7O^epM^7/rQrBUN-)3Gj2'IaQalY-Hk0pVhm\Ngb(D=j;[^3jeH]V
U"gTE;x[eJore/:tm&u(7mjm<Pt;UyCsEqCi<WH+rKi3r]^^Cc;3o?tKd;CRN6/i.
U"+ZK>E,JSH\:p$E%kH7?3mv$33WiQ[1ccm'kMU#awiGC_R1y'%srzd+c?TA=T&t?
U"6DR3v(aVFdKJd.cr0S6E$&g*rnKfE%/yLx^C7yqqJH?-qCA-+V$2:ih-XFWc/)N
U"M5,lP\4^3nVo]n78kggG8._(*XNUM7,K<umeW6M7WWp<$_Z<)[3te.Ke2lZSAgn
U"dpPukHg&DMv18W^a)'K6W8J>pNn6uj>Xf$cH4y_Dpt=fEkZIvcL5gr[YlKGM^e:
U"JW_'&t>26E7rZRJj?F=i_JJQP4',;CJRdS>6pKRo+pQ;WEX/DKslrxI4ZO_-$=Q
U"sVzfw4,''e'8>O#4EbA4CN[*^g2&e^F^V'ST')A%>IdsIeZXh>nB4\t+dO1n9V4
U"VX$sLY.$WuM>&sUFBJtiPdBsw1SbToA1v]6J6H?NNAR35j6&C^9oELU\Z;vE+X2
U"Qv1>XAg3,s1)Ih[WJRJz+7;z_c&:Lo;J)&5jZh+jX[AX/$f,hfAQ;<tdv)PpbR]
U"Pqq9be^Vkg'UX>.e_G:k9<nWXI2.a8I9_7#J/xvc+<UHbI5kjC-Sef?)%OS,j2l
U"VbP(b08Yw/H%r]r&0i)_]fMl$4gL6DR;z08^Kw_eu*]+E4nsv:CoC])#EQ<g$2x
U"mhSA?UqDE(f]wtuPq9TJs6UW3cTq?wb%?gsLT>[_PDm)JR4AYQ.-4f$aFaAQSov
U"o<h&oNBjbrQL0yM[^?DVDlmqqH5Zf=]]28<QNFBaA:>;7&QWF,%$R$-;LH;wG;n
U"WY8>zF/?=wWrK+/:;+A)Bmf'-Y)u2Fh=nX<67\N[Aq'Ffl3W;%%hD3QW1%Ibid2
U"A1C>r^;+-8^\d.seKbj]oH:wX6Zmnc*,=Au8j'.+RfU#=O_.oT;pb)OI90-2,GN
U"4Ze=^m2Y\3B?;tu;BdxcZ-]AYZFk[GiSHmU>$hLo,M?]3o9_IfOPK3HzdVoUroU
U"u6Sao0nJ?l1)<$B)<xU-5h:MIG9otv#4EUk%lkK\kvP+C?$>&U^OSAs1Q'X9g[x
U"In?,JF#NH?4sE;s1w*(8Z*'XOBF#3Iep7s7uOv9PGvGSAP(W7d7K]Os3p]N?_,5
U"tSHS:.;#(7&U&sx69'5C31>BJp$uG,_/)&Q?L*&2/m>lNhsti&\?F3d&gL/Z?PJ
U"WJB2iuwSm8?Q_rE_;:VNSv0%,WHF,)t&6SDo)iFe1Y>mNU/'l4xMPw=ZVi_N&dV
U"R'^5_-8]6L.U62%*AQ#14T(DfAl=$Uc%EIe>'AzZ\&'rI$ZSXtxqxn/^%A]yG=4
U")H8[#6%F\4j._g%X/tY\[EXSbf.?dK5bF,hCk2l*6;>+X,O,oZ(jwMZ/PcKFUxp
U"Z2QGSp55KwpISgF+bpzrAoWOIAIA3+Ej/R/0t'aiYW_^0%=Ds[%aIs,'Xq4S'\_
U"2Jm>'CxQNsW#R6S+wTQY^k.V-mK5A0)kA8ZOv$mTa$F:^(o5Q_l(AfJVPqcAiFt
U"FhWj&0N%eXliVAIZnG$,m2STeYLcZh(cTLaGB[)#FE.g7G\p1$CYt;+^uBhj8EY
U"Hnjgag?>t/Og4wZh+Bl?]Ap2LSK2zK1ZVEGw6Tdh*#'=5-P9s.L.Om9W$V#Bsan
U"im<gXBQXS](l0q5SVEV6N(k8_g+3XN:'\.U<X8LKQyxAfZ?mh/n#$rvolJOT\(I
U"=n5K2Mn?Q#1Mv?*Va4O]I=?9iPHtJo%(ajK)Zo>Ot^o4EhzjOro\=V4RA0AUIe1
U"pR2Bv-?[-F';1-,g]t'1j?P7Ja8nW6ppccLQAS>avMs^lq[^5x)5NK,e>1a>-O,
U"N;.>&*9#]^#zXB)>O*1'_qWS$E+_:9Ax9PBjmufK*%DYk7SkG;T\5O.=mp6TSi*
U"=nP8M.lopGMhl:/Us/ZwiJ^G[xj>JUN#>^vfMc?c]O%&'GR#iZo0QV'G_Cg'&-&
U"L>Z[8D]sE9'Fzd9XPHs^9a+WK_6UQ3_yYF315:SUTMhM<j=/t*[e;%mDCBG0,Ka
U"dWJi\;h0]*]<'*Z2CG>KFQrm_%N>h:[wp)A/XMPd[V;EnAN2d,A&MmQJu9$wCU#
U"BSY<<9-N-x5h%j>Kk;2?31E6Q21<M[b6(R5etCIy6-q8tg=dQ_rjMSHS\f>s;F-
U"-MPY_$SUq\U$>,WKV66T-;*x=)c>:]NhLFa-%Bm2E-Xa0Fg-Srk[dbKM<:(*Chr
U"uC7u&8(GKy9u1/Ns_WD=S]wutEW]CYsS5J9-m*>g\L1AD?4^enDW1c<oc=PZ)^&
U"/h-hu03WYgC.ge;-+&U#8_:gU5\=bkY;Nt)be2a'RyCO4%CbaW%v0X[ocKb?O>n
U"l3=0s=pPp#CmT(n$3u<i(c%z<FW0*fKKM$HS18^sC\jai.+ptp.+s7e$Q.b]a_H
U"ZineyivJrN2Rt]f58%n)ktgOE63>gE^dKkA,9A1fq*e%0$;=EHh8+i5(IEljl#N
U")SMs)e'+0aFDK^Ue9=iQsj,aZNM/uU:1HP%=P2hEG/eI/f$sa05sFBdV:3q+E5j
U"htiGnG6.X$i>Q6Ze^>zzc]gld->t^U]n$kTFDQq9*Yl/xbHG[no#.ywKl4R%4;D
U"IM_4zcyXC?L>-MnzncWsho5IP+zf*qwm9I0\EjgUM1N?=^<KCaD#UiE?Sn()rpR
U"=XHHb:O*q(;oyndHSC*u-iTR-#YKI.qvOw=Si)t/qyh3e5[4frKlD_Wd.j5dG'Q
U"j1HY2Z#KEx5s#v9Gq%r08G3PR4p#G,zr?9s2.o7tf77z>;n\;%jI5>N+9Utfdh)
U"O)b$b/(7?E9Y-F.?k/$L:M#0,1nrYkgR(Ath/KQQ\fol'Nfkh$Asof,ghewDPC4
U"hG+EK'LUvYy#ga:znf_Q.(MlW:)byDra2;Yq9ZM)OFfxbFE_GYB12FrR%1Hhd>i
U"Sn$d/QNd6S8n2BuTH;unbS8r(rbf.>j/5?W$cS&([zpj48X5GL4$7S>s8Ds,fe3
U"KP>w^rVM$LQtDM>ciQ3SUNFI)Nfb2Fd,r&4#=3kM60lQB*-Ml\e<)'(6]>>q1fE
U"njR*('tK,p+V$BQkiFtLUs#giC*fe26FP5LsKX0QIL69MuvVKfUUOO#5$o9/RID
U"4%P#3f7Vw&;Fr'RKG\=8<]LR^/L*?JzZ4'W(T(I_Rzt\eFoL[[HnhA0QApnX=]e
U"j5ORE&O.MLokZtoc(hL1[188NoT]9EQK-5*X#rY(i?m)PKeu)>0BRyY7>PVvGLH
U"2<yZZR)yM8Du_I:mlmkcA8]Zpvg'sCD7n[_0*U^,Od^;G><rOOZ0D)hsKD^GQ&[
U"G5N3FXdcEN?(bSBtmtciBZ,n$u3vG.'(Sc2c3-4vRM3v(ay5wn?d]wT,mcKp-v(
U"D<$RuD?6sHzQ;(t>PM)_=N'M[6fKB\(%u(8jMDxVqG-cYp;R:7u=Sz(Oz-vsBD?
U"A=p1$lJ$,3RFz39iu+e5iOh>p;>mMi(UrsLV<&6Q2M2'd9\GEQ0(z$npeh;ORlj
U"IUH(Dzjg3-n3ppy$St4N*3b4C^*uQJDk\nWWE8y$BSfa9>6wW7MVt9Utn/s55ei
U"%:x-uaQbQNkcu]Tsg)KSI)wBb_hcd1U&P.bD)xk,vTFFu6W4FwI,yW'ugR1m3Sn
U"$a=6cN\=BYif<J2H<ioLL?[JL6w9Ur(_gjTt/n15=^;fI#0<iJZ0Z?P#8D['b)u
U"Y#ayVCRUYXh_-C+mq<MPb>;<LwSHa2t<4*877kYDXXo%aOt+F3\^B^^/si(<;p.
U"3<56(9Ok7TKM#/taLRhu'cIF;&ljnKd.:rS9n%jj?t=;scVqPNWGZat;]iF3Xm7
U")V7zh.n[z$sPIqTj$B9>G.JKgKnHI'i$O\>nE'M&mUdMmaU1Htzurxi:B.#4gjz
U"6e+Y=2Vc*u5?t;3*^Y.m4FCYh]pK>;e8MCHZTg6:<Zh_M3+xDG5+wB+mq)V#u,]
U"l[I<La3E1W5LnQVSh6-ms>:^ihr>U9<uJH2u[q43,Nt)doPIde-2XTr9]SbOq4J
U"UY4tf-i<E#1ok*-:wH>qzLo1S'Op5'OVfjx'qL)T\?_ftPNY,+n=J,x%&:[,7[6
U"FfAt28&ykfxLVfB5<(/MJK,(X0$sT:D3NL&An?o;lD3Dgk&lg$Ot#HF6bN<0jQH
U"C,*_Ln4yXpvH\xnoM>%AN%c&ttYg_n30$,NZQuG_f5%iv[*Lj%dtJU2<<At]Tp:
U"]rla)e*-i\aLQTaf6g\]4zrp\zs$caqh-5BZPe+'v)=nY%(=uC8SG=IN3jlL[uw
U"%<up&%'9%9%%%%-C%$qv4?6OG%h8Q&1%]B'%%1%%%%%%%%%&%E%%%%%%%%%v%gy
U"nu(x.pS%ithu%p*+%%%%%&%%&%_%%%%b%Q&%%%%
END SUB
V2
V3
V4
V5
V6
V7
V8
CLOSE:IF S=127AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBK.ZIP ends here. Last page. TCHK:127
<PAGEEND:"Fido.Faq.File2">

<PAGESTART:"Fido.Faq.File3">
'>>> Page 1 of QBL.ZIP begins here. TYPE:BINAA TLEN:45758
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBL.ZIP",4^6:Z&=45758:?STRING$(50,177);
U"%up()%9%%%#-%U%BJ?xT[TZi+%%%Vs%'%1%%%%vg%ynux&.qSiRthUL_<F?2QKY
U"Fn3nNwUBG=Kgg%MF[KE&[<#71)?V16gL'_YEqM^j=uZ4*Fk34N:dFa4DFlHgMQ6
U"x-yODx*2\5bEL^fHSF'Chzpt(wxyOpzd=_c?_kD)iY8UIdDzLnJ;uS1QkHhb'p^
U",jg%Eq$sG<*Uyk9R&mUUN%Q:-LT7\8j*aQ4-Z72Jh'tXTU5*gJUHl6,J4I9E(*t
U"=7+,/2H--52d9XUm]ZNIRX?n5u&mX?.F\Fz+IU4$XisnTD9GR31=lZf3;^,W)k4
U"Ae$9rX'K))66b(HC.:,a=)ROgI[2^m7dg5h.6)m4]kdV++hHTm8aL;r%h81Ra<e
U"5?77]-l1(*Ejo[gEgRbaS]IHNRH4E?Bl)qHd4B;YYh0ZaSDD05*pBAeEUYpf2[Z
U"B*hXL#Pg('7:/=$T]-k)8'gn4IqB<'85<0[a'b[8z^mzNZG^W)M*7]-/V6q;4n&
U"$X69IiMTB.[5/eJxN;C=^E5emtut\U76x.9*(EU8tZoh,WZdPS6eDC%tuG.#o*I
U"Ah-$f(_f#-MAJY94+^[H=s%mU97c?92$tu&Ie9=LD0jM_V$gg.F34kFY#0$&H]j
U"fuaM0'vmmIXecaTR0l]xt<%ttS+)AGXArIjcR<Z+Xx:Zm3g[TIgY*jq,*Rw^/f(
U":[C8eDOgZec<TM0;W)zTYY_LccD,#5lJ#X]R;h3aK:7yr%,+&;?s(YuYa_(*9k[
U"1jy$,38Qdgi]'YeYlgBMYYb,4Vmux$Z]QepMA-^H2[jI:dJWyeO\U#JX:901.SO
U"&Cn^IMQYT]2M*='/'YYIH=VnUEaiJ2YFfq0gMH-13RE9<X8:HpJ,mcazoKQR/+I
U">3&/6Ay4=b&9CO8tW&ZQZ.Bu7NgPhpCaw6k,/1[7-gX.;H9w0HI9&]tc672ag/r
U"VVhCx9.%P0e8_):h]\,4Sd])k'S.b=hHa-#%3hL:#6OD1\^Ln)JmI%Xbrf/ieT:
U"_1A*F86gYeUA#3=[iK\mI79Dl18tpefUsBK%lqKXC65B]&$R:xa*S=U.R69o+n%
U"qj[_+67Km60<BU>_1gx#$K6SBkz%(Mk7Zha<]5RVl44HPG]#?'0hZ1ea_FF'u:M
U"tqw9hW$9/C;%HOeAhx$fPm'$l6/PZ?;?itUC0W$Zy7bUlg8g^Ou/wCo5,8wdLaq
U"^Z;BMlVpA0>-X6EkFk3lh2H2f2let/Yro5lf)s,yI8Hq2hj><QE>MGaCagt>#WU
U"pBt+BEp#];<O_3f3RM2AfBZX=PS=<1btGe#llg8.Dc,0_pVHR2u*$lUriT,I^_g
U"n<&tV24^Rd8:B3/$oJIn:kZ9RE)[P5FG.J7?$am<YI&z=?%:xs=<FhZ?Q0GOh&#
U"0un6P^dTQSVBBA0>xSeM^o\icM*u&uH%Z6M%v:S21F\usyd$f;=,DX5'gQ$U<W4
U"x)si^;KRTEWS)KNCG80dOsi>.#97jN(qGkQ</XQk$mHIs%rJzmsQVoD>q\Ixb_v
U"nudGH\uh12BFL[9&R84nE3//'y2B;q=^/W#AeG-,R'k_E?tsY0-U:cR&lj.AG1'
U"KCm5GJafch,$u<ZO*diXi^^/]'T4G,9Hw]-'-E'j;U;MgBDZg.#Me[)3EA[MSlt
U"$7d-c(LMhrsiiB:.pLFRaVMZP)RrAc+U7yJlEVKJ5W%*r.[mma%_txEp>^US,DD
U"hZyha46)YcElhK^IwjlX.v%ubLc7^j#_B%2](C'5pEplNXb3L\d9+L&Syg=nWEE
U"\0%GDg+[i)L2qj9*KB/^a$E_9/5s^=7l;Q.)Rjcn+jY9$DsCR$:$3hlT%7yvYg]
U"\%8QWf-F]sI]JKLx]d/=E/a>FRAsZN47OnVB*\ThQ-$hP'<p?:4#cX^W\].HCS(
U",6fCwV%<-Jbx3s0*;U24;M+T?3[%R*YBaZINu7Vb'M:/raVX3gAR<%lGGeu>3']
U"HCW5(sMATK3[[a'7ZE)_lJ.O4eC*/pJ$uEEhMe7<5JX7q.Pb2Rf*kkH'7fHPLM3
U"XSYL#RO*mV3vxwC4rH$s]p6bm.ef+cTaf,uKh0c*Vs^PHUi)Yot$^<5l\,M1Bmc
U"42x2LtEOzYj>_wb3dDk+hF=d:^Oto]w8-<pyHNo2C?TPvk,zWXiilBtT,9-Ssf]
U"l(sfkd+KK_Xatt)4Rgb9r39)BljODfrj)kh0&f2%*&Xl-J(vUAInZJC1wo/U]]'
U")?NoXESkkf=[S3Tn3xUChr>V1gK'?$MJa->71(h.Xk7nW9KTDg'T:&[-5261JLF
U"0Z\;9\/;v?$N)zDk71Tu3YBlG?WHZ/WK_7RC[=W62VF5ZH11.8=GUG%o%p5Wb9L
U"6#jeRTs-q[S:5JMQuzu5(1pri/W;g22dGX_oT%_9gmqf57JEv5D8+e3oU^CU]SV
U"Jj572FjeU4xpk3e]hG&\D[;OW]^&eMWk(,hh$FK#fI_Wk(1topS4vu^AQ0+*OYY
U"%T_QV2^[53.1E9V]'oXDl4HLeUw=^jFcHe>#3.S*Um5#0A#kY;6oD30%vbf0;rw
U"r=AhR9*gu4g:z-5k/wlN9H#&cpyE7Yrp),Ko&hh37/2P3Pj=\;Y=nFhHfD<dhfH
U"w7LY-n.<09vkT4*.XT^\0?;*;rR%8'6yo6LAWuA30k]x\JuhQN9bnga#l:d(GpN
U"Am./JJ<x/Jnui.,9-p2_E?dVMmV#zGd&a0bmt)TW1QWt\Sc(cQkD;81d(KbqJhV
U"FZ^ZEJ5Cr*xn[hwOc>>/8KC?dMd*oV#,HQz46^K0Clonj\[wC3m'<vV4PVJjA1C
U"]r_(lHM:qr&tk&x9bBiAvAmK-PnE_rvbr]-<bBnep+bc;_kEkDRL]+^+a4dZnA\
U"UA=YlUQQw4o6*6H8d3UEX-63dW(=F&N0'b:Dd/l%JL04M^Rntj'HPuzljv<uow;
U"XXPypau2YKsv(HqIJG7D[3oZSmT%i]ezOcKW3I#^KeP7*)dsV[P?4.M>?/LYS\U
U"\)njdcY3d\)gPE(lcg.Pj6m4dp^_FTATay/H*(A#uzm.dzV]':Ou(yQ52$t$*%T
U"qr4K,2[6.=lMftnS.dLnwW3*svZnpq.ZVVK&Wt*s6t]h:8Q-8t>=>XKdqDOpx%*
U"BSQ<pHFEn248IQ5#8\9VI&u?;'>1*rq)%CETHzFarO&.%Y.%R7x6[aJxE_99_We
U"N5kK([H3NVsTv8NZxnV.J4ei;15P.omnF2N1gAjG.I\H.fmT/K6g8'kMw..dg6k
U"3xqNE8-Pux$SNM*67ks*w%B.D&CoRNgf?/+E2Tnc#7GCnJ+*CQi(F7flTgrfmC+
U"Gq.oa,+h$I<NWe2;-XgV1/Ol%g*O7]7i*^.A2WO<IkMU/4z3eTBGF'O2.vY.1M(
U"93j(RB]bW(gsMBDfYn7xR6.YJd2y%\(^JE52U$?l6N4E7*P]vVW%'NHPi-q)Cip
U"Y]OH9k<$J*=Fig6md/'w3/,&Z8U[p\.(n>6SsXekt;3%qjeO9,ic7Vo*(k^f:cF
U"#hJ1L5J9ta+>1)*.g'gOK99ZtBv5R/3j=W[Fs]h_q'M5%IC:ZiJcTick56d&A;N
U"ZCBtHOEEw->\AK6)'>aFC<m$uCJfEOa+Re#ZZ7SQDTY4'O8DNwlDRJV6)ioy#/e
U"djy70]JGS.*3f7prCMNRT6n:BM/N*fI#]->m?vnum?eH,$g3c*$wX-HH1tpjx(N
U"A?cC2JqY1>+Z2*vn/G,M:-U:4LU%J#tFw3qLN5=KwV%IIjd4+m^_^1\P-t?:Yj#
U"vM,T77.\$U+,]f'Ole_e2\P6to40iW&)nP-3j:YvNWX2l*Dnje$yWZcD/IqL)4W
U"3*JZB^6^=L8vm0\_u8sWm2&.2*h2E+&Baa.#U7*O+ph6CBJr=0G899,RGCtXqoA
U"B74Nk(u&3w;?gMMef;aj*&SPbVXHIEA[%]uc.BNEAa,oC21]]#V-_ve(^361EGY
U"mY5g0L6N\7gV.g11nr7H<Q8rdu3=#Z_w>c)wWm(q20ahP[IcY3r1#w$q(wSmEsq
U"Q4>o4b>)]&>&HA+FjEm)$iRFYErfJMfBCJ6'D8AXdJjaUYfB*[V[ilTr99IUN,E
U"kTu9WdYflU?/Om.jbgD3j?+];[>ohyLUIB?uG-KH:?VbmZNsnq+7)Ng4b^#S7qX
U"s*CF]AZ$$oAw/wN1bZ_5Gze%5N+F0-[$7,a$Lj^OPQ[,?#\<fO>.h%N(4AwAqCy
U"D6TdbKI]ixUp]>tO)9^NpDgd1wZak/h).9C3A=6hkOgG;TAda/K[dU)5hOUnVIe
U"QvD#l;UkFU2]V1gh2>gPVQTwTT_;H#ya_I_LC%<SXb\p'1&]&YCaHvYB#;g=j[l
U"\[E<E,:V/mXV.SZ1VBrCD(,eQLBw.DMW*KX)p)N>3eN&gG8V818-'iR,<6RegQV
U"Uw#ENp\ve)PnP?97=+7.V_Yo)HIom\\G11SXWIlp.;=1.<YwB4HKhA5[K[&GS^q
U")zl9obRI?WNxDBr3PofO5XDEl][nvjJn^UUBwoAL.Y(3,''(n4o#$G1rcW[Chch
U"qd3Dy6bO?JI^:mwnyY^\9xQ%HT3J.iTD#S9tpq>co12cW]pFJWs[)&Dr'SF1YwP
U"Ce'Fa&6Eb]+h-%[juu+R82L[llW1ZTBh^5-$eKtnRUi6,J:7m?w$:Gd9$PvJV=<
U"=Q=[UBf(%_&5+;^I9Lzuw;<AeK1,?Tv;>lckB[=eEcpaE8Q2*FC%uMm=.3A[U5h
U":BJ8,6o8Mw&=3t^VI+t,OTkt(8_r+^j[\_?Y*Ub&Z)[d2Y/]D0M+2>EJPcNo?9?
U"HtO%bMB[8q\3L46[+l.G(?)5J$rpb-gA6pro/XLrtQ]T#%%l5wRTV%)a_Q>QsF1
U"lbLe/--g(BP%bp=FkLOl^R:NgNGMcbL*'>,m0)<=u15/#Au$bx%<=gtXJ]CP3EU
U"t6/Rgh?%8.g#ja-hQ,1'Y.P-$lj#+.Nl[h#Eyv3[VCbe:Hu^)7XlKq^hl_EXo)l
U"?jKx.h1V^Ib\)unc%]\g*H\,,JCD/]hDrBDBY\U*fE<7,x6>F\].&(vhn-.($T<
U"[FS2<qY][_OeT7B/)]9j+\XFn_MmT]v=HJ0\U:K_*P\_ph5P4ip-Q/7Wzi(RqH5
U"hsR:61\SK=9GR#3(<HbKMI4oIb2T<J.Ag,q[/d4.O3,rbD^HfL%yK++;G#QhZCU
U"9T5FT#[1\C]:2TS<1K4FbQrInlG=g$uNaY(Nf9<3>yVzG[*#ClNgS0c_R8?;J=A
U"ry3SL/y\''Y+0eXmWl[lE?QF\\%:1=:9tPogs$3nVX2LKgiL5'.7rdsq(,<\lNk
U"G^l>MjNFkx2%48,N%T/J%BlH^p%TpGN>Jg\[Bj2GPK*buDFq[idN7233Da2,0ao
U"tL)[H$Pu[,VWPL5KHGj'6BAJ1b4bYfoOO?\$Y)97midkSh8irV69Fee:GrU>?RA
U"pj10_jt/2\iO#7r'wg\yU_P/K;Z$5V)4E=DAb-*-(aPX.4c+Ls93ZZJR6Br=P5r
U"Ew?j<j.qI/+/c/ve1QO9p3m9M&Y_Vr8a\FE#s$O[kQo=TT'InyiKXqM^S3D?Q0c
U"#/k.^2]\-[]J]CToGT9e;$k%&Vwp.Coj#sJS0c4gbkWZ#bOfk0F6-;*-X:U/]eo
U"S*t<CM+hB3sScq5SsxQ?Zk&ldI,$AF,*-s;=aD2Zwp2:^QFXN-Rem-pWZeNjJiD
U"rDo3,?kaqTX&*,>R=V-?=[0,r5Hs5(^[mWR6p]-k2R<d\/QKGV6';2=+IX6EB?;
U"Bri/B5k;u8(hHKtFbX/Q#g&sAub4(6t,qGVrP(ts8qNXYi(JfB:QR^IhRA1pln2
U"ATPy<vI/zw<KhF/84r(-4T%T9mf>Kwm3AoVJD\UbidiQaW3B0Uk,iR/RxnDTmjY
U"DYrp[3#8eACf]utefq;I?..j'aDVPW+VYwVy<GKLi#0r'T3MFoO<<2+DQ4ODGKN
U"K0*BwQLVqSW&G5cJ2pG2s'/IO]EQ\/)fq;yJoF2rhLi^;SH2)Ab(kNjq5,/Q+-j
U"DQ+b/6lZu8E<nA;KMYf4BP^$\5E.d:.[O.Ppi0Kom'wi1:mh[/,S$h7\EdO=x<I
U"jT,tk#vsd.uSs2P$:XvU]Ue5rDOM<uD8B(pIy6bv-:jT*=eHS]i9#pkJVp+SMUz
U"2X%iJpYRgQZyg7%Pk$Lt'\/vPKwc5CGKG&qSVeJit:7Y;u+\nT#F33U>oc107<2
U"X9PMjc:K<HG3OfH+C$yE;3uN\az?$bWbR6ji>oDYP\CSU-jGzE(fTB(VWfmD+7Y
U"ts0J>KU]&e$A\PODW<$$ke9F*W17NF5';Io6dpTb=qiRvK\oJCiJ71w>KBv.t.W
U"?/z4.nsn=*LqA+:W?W*7^/JhGiYablBjFH(F2rCy1Zkh<z)n'Y%wdZd.cHl0Ky.
U"m#ba/t>Pr-P]AvD\CwS>t)n/KG>mSpXxbPftA1K-k9/jdZN3nIm0H_+?q/l3+KS
U"Zj1SxJ&Qh(JLe<+Ul%%+;K,)XnWW%n*%#hJ\p>(eV.'KYOpg[go7?+uICp_cnMP
U"xf+(JFLw6r_PCm6UUoU4)r2Feg4c'akH.S&eH$e]\=g-+oBclrn9r/R\l.Z97t-
U"U=+OiC=x-U624Fzy+QouB2bl(OB\K.&kE:iuZJlhf&/\\o$5bGH=B_:vLs;mnPJ
U"V5rf>[:48fjX>HhUGjC)Fi9'hf.r95slv5eq;rq8^7gFlNVB2k8v<)#&[\i1R7<
U"S/cnXh-yWTQ1_[7lJbknHY)uIN<h-JbTvaqVQaqptVGV:;1B\xntP8k'w/$;IXb
U"jPdC4<NKkFb&OBFz-&1_rCcoRO4''?:FuT(XmZ0kI<YN?Ut8Exwb3(0QwEf43I'
U"voD4W%Dd&Ee<4OrY$Cs#j*\1Gn]dFf7ZjQE<O+O%\e(tBw^t?M4B2*Dav>rR+cY
U"<??Q?21AkHG?961C0P-#rK/gaO.6Fw14L/G5c18-_UsW+GuLgkZ_jvuf9UEiA\J
U")&Tj5Wg\Y<^K#9'eDt]\/?&6'1RoX43nZEw1K=rkg85.yk$kt[PnsTVkd11PZP(
U"'[gS4nWsFG,<ajr>#L<.LCoqs+bc[LK9xrToC2rdXp4>1h1]><ULAEq*&;4*DcE
U"LH&kwv5Sx=\wgG]9f-^+soM0B+x;Ud[S^=d9r;]?h]D<fPke0*CBKw)(c^7]D5&
U"QQ/0#dM)L>3wE0./]C>^ch&>gq[yWmh[ocj<RiJYAUoER5$*q:sE)sQ^e;L1BZr
U"9%Yu]T7Gtor?o#DwjVHgmcQ_yn'oayNVlXbiq/=o5Bo7jZb6<PqljkwAL1=mqG?
U"LiI=(NDx8IhWn=)#\ul7ngOMB5J)cx[\X*MZi4XuglIR7a7]6^fhJcfi57nBntM
U"kwn4hn=#Pd'<Y_#m>8q7[Z#^2hslF3e7[Fd;lE(45tP4WcKfaskkB/huRaaZbG=
U"Hw=.ia9._NT\JB)3N<Gp(4Fko-dVX]6oF<E6poI3vFI21uoR'kxQMgpJg_a,#1Z
U"cZkX[,.U>\haG4N_(vy#cYmz(Dm/iFd+bsul%-\*u34hoEMWU9Qnt%;m$>CaI0.
U"BPSHBtMrJ*HPwWMydYN)sdwdC6l#aJFVB7lOa,]/aE7brw$chpZC]-CdJyXI$<:
U";Ca[kBp-\_YNH*4Q/S2r,];-YB>i&#yIR852B*;WjQg&p%>z4fwHJZxI27+?,q,
U"W6X1l_Vh:SbQGwo$rO:E8St'B&FM/>Tk86_O]s\zVIf,:D=qM#6*A0q<IL9E0c2
U"vIFm[V*:9vZHut'%j+=H_$rlv286Ym/nj_^s8]Y12,4RQPcnXv8ua2f\T9.o83M
U"JH<#q=B'4[Kk:cN-;C_*[$(+[gw/A7UawY.?F2BM^q>GS-6W-B5xF0h1-4d.ri<
U"^gf=haM4kV9TE9<$$29>])tUQ:Y3pZ$(VCL>Izh&sQ>)cJg(hWB^Lh\I&NFp'=V
U"mUv__X?rG'V3gCmQNvm%j)675XDhpCBRpIqQ-N_3m>luVkZ:K:X2-4Swb,'VEe2
U"._Zh_Zcd#Kiv?NH%uP'3Ywv(]#Y_]q_p->b41uRlZq,ot_ojiqLd6%dUA80_uNT
U"_?r4Fha8[i[UVqY&JtRXi]p<yFA<3];=B?:/TGDdhh0P,9Z5?fhw_yL4=2b_3M[
U"p$=s'o1tJPqf<b^r>>&^S5'G?cNd0hGZT'>T\nm:wdJ*%>rXc')(WgCqwI\ZnK:
U"M&U.QYi8+5IM+zfZZ>EF,u$qgLtVc]7[wM9gs#(^XTXS>o,,1MA),d#<).=T#?Z
U"m+]dO<)8ef65MJ=2U-N^^PlRfI465h_3Wlw5*sivy+2680)<MTZ(r$UgC0Z<kNv
U"u[FeLugeccZD\F<P0h/GXvr6Kq?Fnbf.\;0YEpTSl])ajeY<Ff?kdJfKI>*nquR
U";iG18u7V-ItZb^fTf?ZhZfgNG,Vcv&Vv>AQq5&Ka]/lD6jK$v4u3mKIN<rE:hYk
U"BvD6[W1L&XTf)AW576mIdA%MeN=Nkkn3Z>leaxpQ3f)nu>Y[li##>(jzurrlj)4
U"v[F3-BNr-uHFagBL]7>Ytt^hD8gryn>>v>WLq>EUvE\)Y^DuNa,m3L#VQ_[^vur
U"a0cYVo]'UA)G?lX7kVpEaVVXw_Y?Ba;Syuh4LYl7eN7USq?xDfYjw#Cf6En:u&9
U"K:cc/eF<9#du$REO08eP;9,7S-<7)aYRl+KlQXVc[^AB:LV])xeC-hHB4>]zag.
U")$d:]y9eH6f=A).3/901nbbwMEl-oqF(=lkXTHkXWck:k<2nUMC$q?WH^O_MFpe
U"M)6k&>6Ou($Oojr;mB?3C_8YH'_>KLH$n&G08+V$t?1tR:i+Fs-tk4_s14oPYQP
U"A..3FJM5(?[HVTdalV\Au;*c(W\Da$pn1P,2t#*2j_$<d/a&.*1P.uM&9jz\hmB
U"SdNtI08O.'IvklbY3H8?:PO0Ft\;qkFd&6S^&RK9st(?hpdu?4%-SWc?V:o-SIg
U"etcOkuPkj_7lc)_&t$9kFU/kCH5CJ.n#&x#5dm<*r'VJNlqUyk(A;4AcT64/HrI
U"bU&vU_5&/rXa=\,aA.ShTvP9>OqOxJ]eM2='fE*rn8/mIB)DVi^b[kPirhqZYn#
U"g]H.J_,1jW(5YBH]UA(26gKh:[z>/-l%wXs'.1v%znmvq+V0FoggO=VR&;##U^k
U"luS;^M;jTo9BL#vx-JF1US,e)_IMN3YunhIf\125p4&i\0T5))*&)*Mc8%f14u/
U"h21J$pDS_n*HJ$py3?bA,bSji^p'Qw>f6-;*;T6MRtL0RZ[[kE>lSD_B^vLABD+
U"69,[&axn/t2g<V:F0O8>i-Zt<%8gz=//.&x%UhQvWNB)bSK^;f8nOVsE8jZj)[)
U"5&X(Yg=L>OFAus='W$B0Zw8jxevg.K:),G\VC$/+p?eaJB)j06M6Ar78*K[N[Ha
U"?R?(%1k8Anm%xjPA0EcG^s4k^WH#japOw-XIq6j2Z-7l0e<lg_GjXur9.a%-N4x
U"MgSHQZ_BtfFSnzkueBaqc4]HdHZ0(Z/uw/c>C9^VtV*ASv%/ImGSf=o%VB[[OVc
U"i'/%^Se]_=[)BEF\9%fc&Y>OZ_-Q0vqxkr3Et7b.UT;nFOh__Dr,nV-vJ9DNxaz
U"]548Cutt/h==$dJWwqFK:%&=>j<+4rrV)9jJ=3Gb+10[C1BtZPIaq>M$),n,)?V
U"8:^USt0chM0UK64SR?w8qIf*T;pafofVdKGmMg&0[Rd:yDnFt5T^53=4pV=Ow;+
U"a:s34amI$MFm>VPbbE_=l0l91<fxuNP00]AwsOXt$J;k/7*c+)yaTOaXmou0n<t
U"s[JWyYNarpTL)^x2]Y$kk9B3eBI/9Ekg^Qb>Kf-Y,bzM8ED)pPKT5lkDFoY:18K
U"fBR'ar2/oaukfH42=pl8Mu5+k<&g&P't*;'$ckTnO?cBvi3'4cXlP*i,TSGhacu
U"QGkPH0U.\Ng^W'IW.5oW('hVG[T3SmfN?;t$-WC<0AC^*6&,WZ5WOu,n*a'2mMF
U"vLbkT&MVRhfIqN'-w$xycfq..x3c_l\a].?Bqt*sT8WAyu0%L0p3J5XuNfw+fn8
U"=BL3TLc(p=RJIf5ISR1/Lf&;m2;IjbQ)672OVRgg6&<U=anq+T%VVLp*t;+)nw_
U"DR1A:$B^kMuU9''pO:-KSo1\*gPTx<_<;#7*-iU/g7ATT%J+.9j^:[Uq00zWmLN
U"Nd7iZW0q[Ry\U=eqX-.>kQQ,0VU>o44;3XHIKHPhxDBm(Sf4MX(u/Qi]F-l8=VU
U"9sHdZ.7+9J2q<THZljQHUCu\Gn0H]L'f(aP0GEj#lT?PiOPdX$b/sl4MDP-uG%(
U"DfAng>,D0kZOU24nzDkAi<MB\eV^2a.+U9\aY^NuuO$ay[7/+Ug.o:^[0Al_Lv0
U"J;K#8.kkfRp5s(1J#7h;,oH+)/1L/)?XiY9]>_uV7x%<,q,e#Oj#cwUu>O:DLwz
U"I,Dr/pAODGj&Pbzaep%XA7=u^I.9tu:,wVJM\an1V7Q(gJC&(I&5oof#4j\L>*a
U"/Bu*RS_qIg6r&#uBJPq?I(9IAL07GM=e3K-5v(\8\#&L_3ZHjM_E+tJtkD'W6+J
U"r^fc21'0V<UCzHe4VKC;6i2caUA_ZuEv51=%s67o7WW08fLgfdSRd/em)R9CjFP
U"zp:F:$>uWG^q9g&/26R_YB,Q^I^a>eW4O^rb0WiPZ20u;pXBm\xl&.GWNDLU7N%
U"+a7h%hNc(IC.rp^>n&Xq^XJd9=XI,sPI^$B9H^\Af/2,ao&5B,;5=bb.Z]g<&pV
U"x-c%EU)T*Gp5[mn<gXO-,>-h)mfub7ORnO%MRWKu=jCoYcsM8eMh*c0S]iu4^qn
U"&+=Q%idh]Cc#RY;V*5o:.uiahZ,wG3We%l[T$q,AS.s2)+6L^Q*XJfCqbU:jAi.
U"XDg^R/zXv7P;46Mm^/9_dl)H(+f[p/M4nxprpgw>9XU>M(<>wNo2p:]Ir5IzYeS
U"pHbGH,sV1l-aDrs,YWx\oFIOV2HZbHkx3:DroHiazq:Oh(-pt1rW<*.Jf)+JRV;
U"u0$cGb)myhf>TKgni7v*L,eSYi-VTf^'uC7sR7Ze<#9Wb;:s,9KVW>;2Q]N<dmW
U"w/U,422zI,fa&?6s5RGLFpC#$I:CUWe-q=Ciqv/.D8>QZAc3sQHT01vWJxIKJ>l
U"C:f>Ccgm9'$?eoiZW*8sg#SSn]JF(;(x_k0_q^Fc[#b32qHLJ4G#dMbV5gmnJX=
U"ENg;j<0NT_fdYWG;w#fg<E53,[n^0jFG+te*dI0/5GX(4)9RO]C>cS*,lCkz00)
U"=&$J<\p<\CK7R:T9IK-;yl&UP.Ih:\]PKH)IM,7YnA,l+s7Q^26u_Biz\WhNJzD
U"f,scr8a1[PxRo2dw?D8]FWKTeWO;?B7IJb)(yi8KPQ_g8rojaN_8kw2gNuCfFYm
U"T'mW4PUU#nk$Km1k^3J?tW1Ul_iHJkk&JS2g_>ULw4s.BOrG5N%<YNL^QI47t8D
U";$ci3+qPh+cC1'vn+KVa,8^Y$slLm1rno:>[TV$6L6P+Y4218XYJIi7C;db?&I$
U"Y-0s\/ukqr:)r&JB^D0O.v$m6n>t:5#rgDwOtg%b%pGsBK5^r[.xK)#7&mS533q
U"'^DoZ<qUi2GKCBode#JKPjK$?R+Qe/t6\-4tn,*vw2i_Of6Z:kCV.23[+28d.j,
U"yarGI0r3xm0ysGMK42mk.ScLRcbSePj4A)NEGzZ[]zW08UigSr:9g4Co8j<4=)y
U"i]*iD(;^wNl)_[;.=+r+w5skmnY[U1H-DpH'n%-NP3gX('Pr%r*BObEbjf;#jdQ
U"isqX\C/]2Wetm5n=pu;7YM\AIfxpkZOEMty+mE:f[U9#Ic:4Eio#mmB/*PnlObV
U"M3TFb)d7Tnr3i%\L/qxo^fI9<I4=M_7'tF3F9u7DGU(O5),i6):5nTU2]<3xWH<
U"]%1s8?cJyhm_FQ$Edq^Aa$_WlH+O.5LcL/C\/G5qg/Qn,\=$at88AGh]k3kg=t0
U"&LI/,7M:&K:Q&?RmFcb1EX&8BT]5q-)BdoFqm?uqZrRH^=briI#gg7)/H^I#%23
U"3$<:E5MPLSE4/[NJqZB*.=&SunkW7SHB>leg)5L1Es'+jm)W0aVX2/gt.c8awDb
U"E6XnimgtNa;[yfR]fQQW[ZGh#t4NesFn9JjubE#C\AU^yuu2ZMmK(>Xqm(181g;
U"n'*rr4;#5l-7PYW*N'?x]6GZodo^\)FC*JPDXxGwlpDZ-);anVX^.K5mIBD&H7x
U"orU.aPm?6JEu3b/aKbXdBiBmFBd&knkzY(solhi=9XSEz2PS-LlUOP&7le4\EsM
U"A.YeitG]Nh?T.,$s2b/C%->DgrZiP>ERHU'[YGANYf?DojtTOVyt6e2*=,bu%%o
U".saW$n2ddM^2;$3mUr:,PBb#=h</VOI_iFHcUdVB2Srtlo+7r&O[ndee1+w7\.e
U"JA(nw3Zk-,e*=Z=<+]Y<=aGEW9g:=maad('PHRg.U7P0YRgn<_I-7Vpr]/2,h29
U"G8Hkzkn6QPHJ*cS\)Sp]U]72^_1c85f7VxNmDu$AVm-bl[>7XB88#pFT07K^oR\
U"Je/JU(\lB<RBT/../Uu0i5LgEDatZ%tPi*zk?:T+^PrRLsGuWo\viVA8N$Pra+:
U":+2sbbPtRPCvcs[8pX>8[VJ=*B27.c3NOR3#+c&;Q\UT)z[#b<><&6uWLS,hrl>
U"jQiW7mq&y6e\Jn/g=[W<$LMy>>bbCMoH)VlY<]L5DHMw[KUtzYaB8rTI8i3\%86
U"7*;SgI;j4);6BhEzP1t;G)AVmDW#lVQJpo_Pg4J']#5&CJFd7j5-ZfIGjkF?0a)
END SUB
SUB V2
U"O2%C3XJ0]oQuVXPA.b?AB)xQ0S=n2K-+xBl=h)WCW^sel2cE\9r:E(XQa8ORIg.
U"EETWfbD5x-KsPS?JJ_YH6l:6n[8U&=GCico#=q*VVrR)dx%k^CYQNUWNh.,BTX$
U"DEBs_tRE3^\s%=#-e\Ql$_rMO*3WOtMAA9)pN9jW.h#U5SDMmDfiBXFFXWE=:vo
U"0aC_>Q-'^T/guFNl#;v<z=0cIH#+PMt?JqZ^_LNq2TuF(<gw90poY(+\4&H/_e[
U"p6?/;dbO'*cnGgo_Wk7Hw,HHO$jK\*sibi2kWflxvNwuU$8CQ3x]I.eZSw+*1_e
U"Dd'3>YFWj^fpf^l?6Blsrp1v4c%tdxrtntu+<NSo8DGpX=4hfN5+Qmd*++4HFuw
U"b+6[(=]H;HxT2N&DdWG<PTTwg7O9p;WxHY_Jdn-=;$'2#ES_cy]Nky9DxrPn]Nh
U"NbD^5NsV5b#1VR,mg2F6r<Ry'cAIo7ACF8=H3+p/e+KP:+lLI*BC*L>vK9l]8#e
U"8*Y1&0FaQSmqBZ+n;VmtE[Ufm$]j,'6*SW*xE0u;-*CPy5^n'rx/k56D2x21]sd
U"Nhtp6)s&Cf^7,rNX*AY$(aoCINatCohsC_/[_;XrQ'QIh9)a-i=8s:pki*o_A-=
U"RHnQ'P'QG?9;x?(,wEh4ch7>+s+)V40P7FMHm2w;)<VtAd)Nda7sIGZk_9YaG4i
U"XPIX0VSa:>3X:c5xFa1kKl1$p^[41&hZ?)j'Hl]oO'QX[:)RQ=HX/Lo$SZ$sc;,
U"a7tcE(l75Bp_&MZ#LT'o%fic0HKla\dT4MC&j>nsK\t2#yoD.*FY^I3O'S0nl1%
U"kD(I8JCA54APHu(hth\\:B2jMQ9oaEhBX0RV0g=tlKvRPo,2VN_?ksWlgQaSTOs
U"mq>12Ip\(0ar8%\6q[/IKQubLf/DrZFk:q9yL.Fk>SmOs(H]$uRn$+b5:zpZ\-#
U"U4g,V#\*L9YNouJ63pC_lljtuowVU;rwZ*vgis[&?2<MEB0Sa>1iEsZp=]=qV=1
U"xEKhq,>Ho4DSWlV#vp*mLK=uuhPu1?)r_%eCJ-QA9pu^V6vkR<r\aD/MfJp6,$6
U"42#cMFV'(;S\q_OL+h[&+-)oEDU%w],AHB%+e^+Z1kH82)st$uY&Fq*dqY9cc%T
U"wnO5FKc5svC^.,#<=<H>:]j,rH]5k-Jg>2DR_qmoZ\Ka[TV$wG7kxod9g7A-64J
U"oph%\9v\_[*TQXCM<=$Y*3N;6eWR\RK)sU23q6_.;\l<?cV\%PREjKREvNM5u_i
U"/c)?:uUna+30S7LQ]R_B>B_=xCPh0s5quC[Fj[>lqgV[qKA/l92o*Nm<t7SycFa
U"/UDY:^Zdd)3H?Nb%R4_v)_ENY\%6>^w1fNLeeYms[=lgY>b.juJv7>hjtFFe:^O
U"4aQw,5tATE'M0d3quAS(xv##Q&GDN:0lHyRiJ6MPfo.h/)+vqr,Fk,f7i/8&gTB
U"CK^s1D=.T.zPZ$o_BZD\xa=7T&OKAfR21Vv4JHRk(gfo>sZi<Qc#yXjBjRSgkXr
U"dJ<r7I$8iKP<cW9YVd:g+Ui1^d)ji'udBH7k0/ZGan3=jQp]K:TAS;dZ3^gA\7d
U"bz?hXIhx>44J9Aa',[v$h5K6UC\2MzHSK4hc*COkuHO%5>7mYR'e?/pVN1sFtbP
U"U(CGG,tHkZOU^p*7S,7I2bKuR#j#uWbX)lwp2;8=kc+5(6w,W)jJ0VVh_h32-r5
U";U>T>Up$C;92jHuv;K_+k4H6d=?R/H-NkzZK6>lfj4aQrC^?eXfr:6]lmm&cRO&
U"Sg4\5L^iv%qOQmXp7XnVxd+_-](ev%zClbym?C_K_PTTH2WZpWw1Ze%bT\-/=p[
U"97we3r<s=jAE#GbQ\_iJ(PfX;M4,P(tq\8Vd-+o]Xq+007(O9$m(U0\uKHklMzP
U"sdA+QY7QUomm<<\bZC;GU[n,>8(DY'A$'lh*11_p6GrKNZ(_0Io#H-Ma&3f(IJC
U"h1G2_vt5&)fx7G6:QoBhR1dc%N#*u(ScZP>wei7^[__IlZo(_a>SSd:DB$8(dhD
U"BnoUMEo&hL02\%g2r8tP#gTq?f']r:=(,6_rE8bI66i=H\[W95%;N1u0M]U/q#+
U"YFrcCJ+o;p$pIPewGw,(]+HDkaQFmH:f7G6.gK.w^9VlMK/[q;UiB$SPLL-2e(d
U"#yTK6?Z/Y^hlvZoP-pWL/O?;HT\V<HIs7F#6AN?E<jFd;irK>ZLtwjdB'SO7L[J
U"E>%FCHC\/.K%5xsDN-f&LwETssQJ)UUSZZEJ5>re'9xxCqfyJ[3)AH5Qr%Uk9&D
U"Y:st8FV]tdF^kG&5=lG+a[iE8U6N8UqxV)rEymTc6DZ_s?=HVF2f[sk[,E?[o+8
U"coKsqYl/2P757jSKzd<u^W7t5%.vQ7/A*A-?q7ijis>673oJc*X%i_#DXbeC_Mi
U"6^s8^rqp3aNFX^r'_v'>EB)r&\fL\/gq9;WXlZ^#JI*:HoUqYF\GJ3H9Bx)c063
U"iM62-BMof;iBF:604y^2S[HbeE%uP+-#0K7]pfR,P4wUa-IggI.aiO8RLV,V2\n
U"/bltFb0G[u[j$0i?W=UnoU57wp1ai7-=<UrIZ.$UDuSTn7e:$OWVqkh6]r-l?$(
U"tM*eH.5/6\j<k7iL,X=gLrBA8GZ[+v>$VW:SvTU\6G$[LR:&K]9fUeF?9f:;;iL
U"i8<9<UzOm2l3ntn#KT'B7)n<E(-=5Maak7MfEpE267:[ZqkEM:Y&AI?C,3i-rHh
U"h1,h[u?-e_P?a$YL0]=D>8BXo4casU7M3FNnRSJf.hF*X&YpfWLZ$gIWA7i+90K
U"(pQRy79nT],31_Y]zS6[L\s5Cwwom\^Bpf%D7bV/<%cPA&LTiPw>jDHyC-&$=JY
U"JbhylEQ#5aM+Y;jl/W8]J1fa6El?Pj/8iMtE3AIZs$LP5Y4Fv[ZPufc2Cm-WJrV
U"Xg]Sd&VAfqK<IwM)\Jio>$h#=iI/9tPQ[\W=JkwO%*WbA;B*YeD5oC;gLaN#siE
U"sQV4c.Pm-(qBI+8IpO0XNJ]G,m?eLEDjk<c&\zYCoS?g2Qt?k)f&'+oW9agjw<v
U")'4W:XF.8O3D>B>tt43=V*T7GK59b:CLCLZaYi,&teIRB#'+q^D1J%p6([Tdt6%
U"iK?\up3XQJ<[Qq.?lW^jrGlA&7#a+?Mg6Y]0h_2?tW78tR6Yj#fD0\q:eVtwB/Y
U"'*;&2UpM:Bi,y;>oYMhvfWfH(2'+mAZB6OYp4z$rTw'(KQK'a$B3$WgNH5gJ>/1
U")(D'Wm&jis1R]-m14Io^Wk<79T=#tX8IOTZqo2=M%<LjrO\BaWQeTQ>24RF$.mU
U"/?9&di;Ai\ZISk2tt\MP,.eg5&J7C,wJIxOi\'%R\Kks4lQ'quF:U#.8c[W5UGh
U"G&li8X:E-^7daWWJiwB47L=A*&047:eS6Ai?ft9N:1Gg(hF69TJ&U%P&VY_6,+z
U")khDU.XtQ04U4MpKz$5^Xc8hrf$4bB.<q4sVr.98AfXQF49gM[Y>0'XyTKr?rv.
U"pHRLE\g-ltq_'=.*hDp$*YhKOi_*2aIi29cc*f,j;\+8M7gVXkIHvLZS?O6PJA6
U"fpYw^I/kYC3HDYu62qo*X(N61q.HDVo'YkdPP,6vz6mdETjc6b1fSePdxgN+)BV
U"*B#XlE31gC)IME4zDvNt\mAG=X5eFpDxIHhvGFLF3F=T^?<F7PNP'[Ho-o&(e>[
U"\iArYBIY1KQu7t9lAH(B,<sf)ON'6r?anMHwmU_\7s8FJojae<6kXt3=7*-XNX,
U"$K[8R-2G3fd9j[.IB^RRBasfV87)aluhvVE:^og)Aw*;d*+$L?*8v.y9,AdMqFE
U"YqT/$'QIl3-ML:<N%e,1^*,4HSRt;Z4$SU#TqF(QZUN0v:?5n5CqSx#u^Vc.j[?
U"VSb[55mF9jxHdH?*S=(*u_dKSf[)b'cCQ,S72:PtO?#4kIM*J/T^PAKj*Mdp6,%
U";lPH/21[VO%ad-Z#s$(P)GtAgXTNDmb['[Tx,oGm^w)[cdYM$baHdBbgnGocUut
U"c2P-vwhz>hlI%b,>EK+wi*:hJT26Q8N5=76]tbCB(*3LwhX#c6E#(>PSfOm$jm=
U"Pw^96A,E'0SG5sl.N_aV23J.B81qn-'/16SqJf9eZITkA]Lv90-iI8A&?31z3A[
U"lpLzujsZD_^i6TaN.wCGmqfpPU$NB;D=K1rj<4J2(8d;/]-PU['7]YLakk%K&Fg
U".)5KY?JAhV/N/Btr-.hN04gi..B+s*T,8l/;23%_>4c[Y_WN:8SvWRwO2b;]\Y9
U"J15MIq$*j-1XY1*hl)U>u'\RqL%1FW8&oBtY8w#\t^jJIY3jgg'%D5mF^0NJ[eW
U"4[,dkk:sf$w6sE,:Hf^+isdcD#tL5ENX#L>I58+LvM66.-6ZIb86^&R,;HKfy<<
U"8EUs+b1GmNU7)s[Ft)#_3p[h-1&xQJo\;tT^bR8hx>Edsb5+ikY/<q96jP*le]W
U"YE_:Sd4SbLn2U#45oiUgZl0;?7PU)VMhX&,aRRn.8g5rBBm4W8(OHK[A<I7dk_,
U"S:PG*9cau?2sX-bX&G_*W8gcg4)/d-Y:+.16lP(V7wp*OIY('/CPO[QUp<661;S
U".*&[t;mb[rU[atI=KE#Fp3f6TUMV_3ijj#0:a3/tutUQGP?PDT+';$nEP-(]t.T
U"_lRk=NDSYML5EXkv,f]lsLYAUkrv,T$Wnj_Agn>i0bAJ/%bED.gVM:A&o>s\_rj
U"Lt3T(&Cx>PYQ8kv(;o3uJDBs\&l$5]&]%TOKW[l.,)%dvlzQO:SkD(:tt.&e[ZD
U"TAJ=zq8B>)P>'3*PoLv&er<v)MJkqd&wO/o[8Hl]a8HuKY>F<ZY,$uZh&cO+f??
U"Y4N>JVd[]HV&Pk$tvV[*.tB&'o0;Q]Kv%qlW.E_zYsBQf_EBBPDIBS=L<^NrFNN
U"(.Lla_>J\bq4d<;jClq5TtCjYq*\J(=TE:WK+S,3%'=qKfW]d=fx_k776:)NBx'
U"7a7uuG5vR\aa8LdT^OR4n=P^qKX19q9Eoi/yr5WKoVCqTaF7N.D5#O)Cf(w;j.\
U"n?04hWl3P5R$f4K0qQMqizyM1Br>m2GLi=]b?vC-H\Vam)ZC]COnE9'I&jRdhD9
U"jfKOSY)wVPT6:'?emFI*4vw$J+_.kL3n;=y]&eIo>5Q.(K<:Ag^lByR6$SgGL](
U"Z:'8'nxT2<s*3Rg1x<:C6lOC[tk%oXTMJ$oxYk*+msF2V8[8Xw,=+2fYEukCL2=
U"uOgLnWYkI/7'7a5g[&yL\bqm(H)rC*8*VO[G>rN^U>U1*2dZuBYT\g4Cf4>%tq/
U"3P<o+JteWYPg4,s.0m4qYWZ7cJk-LBhAa_8h-SpR\CUFD7*sE_nhbfPIQ[V,63i
U"ESdXypSc,Y>DV-;D_;(t\P^IsVJT7DJ:iPX^(\7pZqOIRD5\q/yd*,-94dcuiWl
U"UK9]\jKI?G.J^3MR^H<8pjd'kCPDR'hfZbEJnoV(aoMptOuk-1kU%VvVUx(A5kO
U"1m2n^dsg,(w_?\SEH/<6wU0u3cVjX9;v[BAdLbISItgsEt3af7NZ1M8hzH$\9NG
U"nr#W318cep^'RT1?u*)3j+=s>y:irNm/8;d^w2bY5=KK%Ai#40%hvV(Ihv?WY?[
U">24^A&e3VY-eS76?TY$$QlSd3tX(oL-Q.Heq7hNupK_3xvE$:NMiiQx3^[W7N*Q
U"R5*N-Eq<:8>.Z6qssZ;R>v&q^X[V<,qKDf%#cHj=B]LgYeLeRQbh[\bb_HH>aEj
U"r7hfEd_jrns=x4[_Yun>hx9cdu/?KO88m?N_rM#o,YD<%f%1r:WUYG/MRDUDu-l
U"p&n(lVoXzrC;n.nxw3SC^4K]T$9r/y=GUQY4m6_atqQ7Y*'.msv--js>8$&f+pD
U"mlR*Uk]dI/u>SkL>WPh<Qg+pRW&8QGm%-lCLRwX8PF^yamo+lusicT9s:%:EWDw
U"iT7LvEZRqSAZi5espqFH6)rt\z1trzR1GMLl4xM&QbNb0pQs1d;]l#leYzF+:I0
U"RQ&-8'VduOLj&UR3Oq\-X9bh:j0U54,$.uPb)_sq%BHNB+;qqv^as0?z.nBMnO[
U"N7uvx%LjhHBY(h:]^NV/033^7<P(&jlb,IB]r;$ZZh]\B.aqZqht+Slq[d7-R.o
U"T&u&s3WjIo_(lmFjCfqr;Z&&%HZY=gu\eV)_Zd[MtfILxwNhEZh/fLx(CB^i7p'
U"o[O$p^A/=\6Jxoin5A&iZZX6%UmzGhfchuNp,B_\?MU;:dJffCK$%jka>y0Rg5V
U"ug9dw2pojgxspV0(Mv\;Juwhhl.$yW$.eQ2)i7aEs,O:[BD;WFXoL$4pd-M;..f
U"GaUkuHmlt/lh5T9aK7'&z\.<RlGcgXL]p0P$wyZ.c79?N3u)n_dY5<lstpBK6xw
U"lkZ/hCHNpJMNEhl(9_%hm,*AU)f)s]0xK1hct](%K(0GS$JeU[.kzz8q4Te3Q2J
U"I[McwiW.[zu*lAj2KA3(OAl^&Z%%_v9oKIF3g(<[GkN_sffpV1S7FEF=qH5>3nf
U"/EjJ<A1=2ppTOed#\-<JWpU$+k64b[\gNDQdZ79U0s.*,6a[3YI&$DM)s.+f0VW
U"1T,Ht'C?KFQ6lalU1\8J(D=RxwrAGw'Dw&$fqoP;$tX)'p=/n[n6^PI2'Oz2#Dl
U"J(vK##e:_w.56^KML_$Oo_QR_vRnL.Uf(q9#w:lO/g1N:%#*E6)0UX<Jp?U7m$s
U"/#r))->DQUIqXqk^;Z[MH^'sAk86W5V'<,+-fV.iG/AM&h[20T4%uro[mM)EXt4
U"mv2ke^E/)eU*BAyMnYz.'iB2ix7FgiS?[z8qSj[$HpWcDVQd-1;I#n^,cAAW7U%
U"GR_LI,nynIs+.I2TRlsT*KlKC_pu[HP6gkoS^begy9\&.8BGFa-8POY/6SeZNQ;
U"T;$su8+Y\Y^DMA\4n]+o42J>[3m1'27,v#qkY'uZw>lPSL<f<4[m]6pipRZ%;q*
U"%T+bZ>B4)EIw]BVC9.P&[.vHM0Td3vR<HD+qkVCjaY]d;iZNsiEcb\%2Hx7sEgt
U"j1K#&?R&ntFy-8]u[tfcOv*gsVuqc'GLdiTlFnFeQ[/]g#$cQ=lDArwE/lG0??9
U"Js+bV_^ZVS'>lN=qHX>$5X#kj;*C%Y6%*fWe=;K<BJ#m#eDF%d[pT3=(2RGS:vB
U"H2t+U\3u#c=r=Jl]NE<K_wk,\NuD-pt4)F?RM2:^+GH><m9vH&r(xveHKP=m:$b
U"(A2cNX.1H\W3HUD6e3r=5IR&B;2;tTShp(N[LI9;hZ#G,up8L1up.rBl8Vq+k'N
U"VYY6MK,o*CyNT\CQQ[8jxGmZB$fvhlk;kC3_.>#tql<oUHBBPdGy:3%,jWL0<>z
U"QA=9RKl9Q^#%#.p#5I5Q5S?8q4Bhm97t;drg<?fBb<$1LXwxGPQq$sdKVx1%-uL
U"wM,Y[(WF4u^N8.OU8<q/)=9[9b]RG8.*Yo)aZqW4%GsknA*QbX=IitI:'pQ(76^
U"g]XAV%YRI4IE](-n=$=]0LSD1kVwgB%nZB[LXeTOA?;DBG8c0iX-<3_n8D*u%IQ
U".&GSzr\efqh76Z6t<qLT:\BpKf,/aqG2[.Q2O-xaQnKjpgq9iLP$#2er+w7nNds
U"t#b)a&0D(SD*o&2XIb3;Mc_*I]8k),^###xofoEiad\iDCM].qlZN%]X_k3isVR
U":Hg7V.#$$(?f\GQCFePpgGu'#Z1#=:'nxlf'C9B1#nF;Ddws_?G+n&F*%xqmMGy
U"tL\81D/Y6UPEXXVPC,(rpB+mClr[:U\&GQ1wjc9)U^mHu?Y]Y?8&:<Odj7c0v>^
U"Lsi9Hqs(^I_6W)gti.L&Ww>c,JH8mR3fRols(Hr;$;qLdP[Fw2b]Pn<dU2eD[+t
U"3HCi-+rhq3//3MSy2(14'bcEUv#ans]$R)6<>c.g9Jhc+t0hNA,E*^hCNCU4Ed)
U"srbLzUgh;#tc;dParjMn<%&Q:Xiz,7Sp3UUp0Mj9Lmr7&l(y+exyCQQ]L9^a;hA
U"\RQC1&1,Au-LuV<W>dp,Q;6DnGx8am7_s=%%ATG'g.&7LoT:r#;PP_OGyo<$*i9
U"/9L2Xns+lZ0$Rm_xW^VDHsIax+?pcT95j18*\n0LG#Nkyppraxmx;,RMZ<<x>RS
U"'+=qIxJME^w8$7F#lxxp=Axd)JpdZ,Xhk%sr/[4/OebI'704yPbq='4u&X:&bzv
U"Y-F*B^/-R6+D+zpb3H'Zu8?21rjiRT1*p+WL?rJF1hG+[%=KP-yV-PccF'=q4X7
U"gF0;a=]#P.lYkkWd-'pR+mZ\0*NQ:dr7s0CtRj9Y>k8UcQ4P.m[3LW)cK*CxapM
U"&?t]9a.$KL5rxZ6=zj_.Y5sPq9xGwTCkEESld=nW\VT=Y.^HoWdWcO-?lZx&PsN
U"+'jpk#?Do:e#[Br<,%^5gkP6E7+9i3o3qTxIS-:s9-0eBnnP__g_C+v(c/6dW;8
U"m8:<B^/u/1&0wOm.da?#FQB#\s6o$$WlsZNl=HtGxi5RP5/aGo0FtjKuR2=_XfI
U"[XX'hq4*%E>8f,QzlmkF;^Mu92A#JPNq$^XA[vF59C72R\mYBWr,Zb=VJ*6lf*Y
U"*.TU;j-CCHTh,-C?'dty%HOE8]*-djQ?4S%bsEOQilz6gGugI%d:FX+&dZHor*z
U"YcC%/?hgZvZ*l#NAj#DS>&hRjYxTq([h0HWev0W5Aj#xFKAKF;SJ'44WcIp;Zpd
U";\8boj#ZD+7KCBM>Mnl3pop266M?X(q<q&XL\6E$PdC4+5N2L^foktF\:OBp?D]
U"\Yp]6Zpl+Pbi+l2ER/D37x>$Aj#2S7W6Y(J6<tIfx7zS*UGH;(WKB/[k2ww+Hj,
U"N^DuvYreK>([(t9uQ)s]p%e2j%oYU],'Z9c#]q+oS/tW2d*tFC$)FuxL%IsE>A7
U"eD>DS[U2'?6Iel3sfe&ri7kDI2ci._&Oqr80_0E&DTopqpjrt26<sWuEoR6>ap$
U"MhS$IU'upR.5IiVYXOr4p01)drPDOt?Ia-tn(CW](JU4K1J9p\#s=S5;k\;?>30
U"Q]Q%:uEN6*Z#N\FwMbr:LJ6UWD\Vu,8Ud\d.oKQzzMarCRZo;b^%:x>-_l%jHI-
U"SU=4t(R+&nYz.or%Ld9j_-]%52D]8Y<D''tEN+ppQJX+m4QtI$+^QtiQyc&Lo+u
U"QB>Pzz$+6zo6&CPz+^-OlY%^QyPe&y<l^RZUHD&D-u^&c*Ddf6W$SmvDUHTujmD
U"tWwrm>n?P8,DEtMJwrY,$kyiTJNVpDKqq?b_lTtNtkp>.xjdFW&MQ['?xwrvnxl
U"=duL*>F[86l$UDVYI6nyZgtw16*cM=SDc8ks]'8iT'AxvuffVVR<d7LmFMuTiDN
U"=\bnqLw*T$dsZ/F8fs4xu$?(Gi,c(><:rd=p6toYtxqMDkkrf^44T4L8ejo4->)
U"6Ha'4d;8o7?k2+9s<%F^A[T4=D\X;Qdp7tE70F^*Q1ScB&Z.k\h/u#YQv/1g&#-
U"YoI&x3/?&KdQY0=7^)1fok5TKa#pwu<Ql?1N>:m/4Kw3su07X5Ta6V#hL$Gb8PY
U"H'CYiv11iCMs,&b?*uK46Y,s;choOj&l%\nZ8^tOn-sH4IQ2^%=QOIb$R>GuJG\
U"+XKlR##\wBph_dw83'\(GVZrvdcUXMS2GFjl=A[iRxSQwWs\GHcS*yaf:#%r8D4
U"M=.,;rPI-;aYDo:At<L]EanEDU*dIa+*3IL[]lpY'_6Ga]rMLN]G%VVf?:mrSi[
U"(f$Z>Y?:#faHa^L&J?QGae?WG7IZJM.e[kkJG5wSGVnpL;NQl^Bj2xor<Oo-Y;p
U"SEm#FFW;M$P;>$Y5jkwkkQ\uH2+gjy?E7zxEPI<[TtU[>K422d30BjgU4gUTl#=
U"%^G:B91Gck1,\B-L;ggd0SLd+i/e7E>];1u5R-J$Ea+</1*uUD*WgoatUq:</;e
U"Wqz0R.;Cwgt_sI9*+DZ*48pE6t?/5\[&oU8)P',7RC3Z4FtF;4bVPT]he5x8j\E
U"h3f0C_Z=4U<b4&6l]T)H\13?Ko1>?Vc25/sai7'c$sF)bEWNJ_UBHG#TsZS-R>7
U"IoYk2Spr1o)PQXsst.?ZFX>A)$IVVL1R=Y7g=r&:l(v70('Auk:;P?S7^5N*8?:
U"LbZX[tcBoH.(Z%)>lTsFX]qR^ZqD:9EfZ%1JOGi/.7_4)sQvBSx_,dctV)&Fm4i
U"i<GhW'.2Nb;=+coH,V)Mn:kAu20[/VwMT)u3xh?,jXfs[FaYjIi6%axhL4UM32r
U"dDfC=S7[M+8r?[:fd3N\IHWDQ=9_jlDD4:QICw/\<bQ,toG(X66',VouB')8V,,
U"xL;BR6;Lw(\,4]:gZ<V?=s/l.V#,i8-H$X2(wWaSjB?ZI';uRwJjss^Y1IAL;=O
U"9ei,XcQ&e:p3Pp#qn_+Ze8acOy=ckM,Ohbl*;gH/KT['[g9gZU##4=o^R&qiP-]
U"8[FoPGf-;$>t;3P&=nwrZTBdxL)aNCoVMr]n9xhBDlQj(6(dGF-F4=ISbFwW%aV
U"O$V'VPBCq--uGl[%>R^fxG2r)3[r?mqfBIBY>E2zJyu;t3(:uSUqHi103LA/'H%
U"MTda)T;2>EIZpDvY2,YO7dwBaI-D?<>,sE.^]+M#t?kaKuCHhSuj?wehkJ*%k?.
U"gv7uI9z;BLH<H:U,06IpuPh9QABC7\iSZELg4X4-J\$O(\'u[s<N4:ah+H&w%^C
U"b6Y)4)G7JG\NU,C)VjGg#:paA1cptU7j\qS/p#\+I7\g;hw_<.)ZQA:%3Rf6t+D
U"r(cZ\WU=0(+p;?%n$&i^ae\RX-bqDgYNEZ6:Bccz^)lwL^(rDzzlP%ytjg.K(:1
U"o1(E9u:DbX5[7KaK-sMk)T=u(W8%r*fOD,fqDB]*5$q:Gd(vrh6^d>ul:AB1Cn\
U"\oc#<SAQ*f%TpT8-4\DTK);;tpyE'&,<<Gj&:b>\mKr7e_LRbAL$MAbkL%.pb*$
U"ySk1vI,CNNPqOi[2ruRfho)iLrNnnINx[;gNnt<o7Lr3+ZGC2OeuWT8ta\=h*m%
U"sI0S=Ha:]HJ'E9^%Gl]UsB>idoc%BR0H2))]b\\[UBd'e0uyS2yW2;Dx3L&%ZJL
U"rn8T4AB7oChoB,H-]bu:Zh5$re$]2rB7rvSP8zG'v>3HGs$'7on.ARZqMnH%0GN
U"*]3>'gwDnWh#x,([uz&Wh>'RijVAl^a&N>sMFnQJDy4sKhd2hIdmnDR;oIq(DF]
U"7HrBtaxK#CU\YefsXpR7'&NRwYconUD)hjyqh<SXELccsLN4>wYLVb]Vh;e]:nY
U"Kf:^B#C53h](h2Fs#3boi^dE,IgRaXRgE4zYt,Re[BS5s=p#VsduRMBc#_I:;J+
U"xstHZrAY$'TNolnIe/FUGde38Rl'vcSDS+hnl;i3ANuN(B5<^BCs[%af3r#c^EG
U"#*Rlc[G%:?th9E$e#sD#zM/\a-I*$5$'esD#g$G\K2#%$oX^,Ld6+*RxncO^E6b
U"'cX($,N#LPB\abmg8,BAf[tE<6M4LsFtkrV8tb:Z-*XPv416PFSMIq\&eEZb'Qh
U"5:51#2:K\wi_C&eKes&[+zIovIWsS,>rAWvg;&xe:#:Up#vW=E^J&YfrVHZ(9sF
U"]f>xV1aU4krl;CyDX85-0E*frIm[Tw5leH(S%^*/s$MWf[1OQB^jg#BSc%hFyKZ
U"J6[Fa8:t8:Gf&C;Oa=jo:pO'dAJ+.j-lICR0OL)p12(tZ'>_O<2fGN(XtAxqDPc
U"73CqLpg8-pMjHqNZ^ZX/3EXn/-Cp,kZ-ckJE#2MR#-L3'57X.j8;bKDoDVxSy:t
U"mU9aJY6]/K2rzEEAvJK'%Cs2AgA[>b:Kk0ttSTnH_Ed/JYfnPlkNH62ijZqfN&x
U"fA:GSHE2dn8A+726Y$E.4\;$X5^9[%#+Ax.2Y)Mw=lv><>T<xC(01tQkW0>RKng
U"KcXgqCg'g]T-Z1e41*xW#as#hP9oqckW6QUOe$76'qmW'pEYO6F\*lk8;[kPCos
U"#t<[V?KERan9Ths/nvBo2X[$u&(Z)Q98]>[$aKsk=ZEC&P$NTr50jMBfCtOu=P[
U"P&RFT1BVt3.nk4hGr8]gtuGQTt=YwCTGGmZgdQtV0N8F>=FtD<Fn6sa/;6rX_Yz
U"H8DZX.hPQ=nv?6sZ7YN4#NhAd<dJ?NlAdra^$#YJ8EluB4(\8/6U[kHq*(XAGeF
U"rJKq)s-6B<u<ho<,yL&7uD?F<k2dG+u3q&+kIp?rutN>+iwM?T4=e&?JnK&vf8)
U"^Fsol'.WXz/]Wez,^WWqRhCQ&<bWCylOUIMhDYenZ3U6+kAu\\j+h8FyJ_RF#vl
U"g.N8]ay?oNw4C#h+h.p[dtdk-JuJD>LvrxfncM7]8+7v9J>w;fx2[Xl#?>jqn*2
U"2($:rSV&l64<IH1_R*7h^KCv?+88AgTT_dh\0$D^c:t^p_]L4lfQ?$r*ZpdK=9p
U"#ohkzXL1k,mjglPwhTRdQ5BTD\ZvpWaqQ-vU^OYcf(.MR#zK&MbbBool^&Yxx'N
U"liRMxurvmjusws<lbYLOUXaqRpa:Hp.DcmBeDCj6HwI^ng(XzXGk(\Zo(4G]b9m
U"UeMM7^YN^0=BQ\c3>cXG-SIaM&3CUq>_\(hPRVn]4+tZ1UU$qmMDunqCF#26x8m
U"DCDo,Eh8v>aBQm6c9n2/PYQDd\\[a=lKRbXBjq+o%HckNwKKr+U-c#iLw,agIf=
U"Pl(QDduk+L3uG_KtI$z*ATbhFtOtdl^KfPEEcV3_6]qhSVZdMtfqDEW3;9,P,b,
U"mRs6=:x6uF_0YKd56>hR>49jBqAQ+aYv)K76Of^u1$EPhs$Gg1'C$AGQ/%Eq$IA
END SUB
SUB V3
U"USCQ?WZ\ggtnXUi/G-K#'u-g[GDh^:-,*$+30CANUTSJ1*g]RK-xf4c?mSF<o>7
U"dWB*JY<8B(T+Tg:Zi(:sckU<W;rb2*zu<X2utuux<qqn0CEEK.1jH]ivGu-\pjh
U"N^dq0X/mxZvLd%Bd/b\l(d&FWg4tfneyhLckh^LIclrH+4U:/M4ZdZ7;8[FB%^7
U"C<b<NcZw\p?)hLWlurBpKDWA+QD?8D1b$gAh_eZxO1,fb:u<,O\J0=6V<,+nD_*
U"=VN5QF\kPzNR_hQiXa=jX^5rZJ;o1s2O34()VA_T4T7A(57G7a-w,0N?R]Ulv?U
U"8cO)d;GslCueBE)*)w%9PK3S,C^qG4)hjo3;xy%7'#:OF*afNX:ybAR]YLITj5V
U"S9+N/rB(H%e^REkB6<pkHvA%A_rctT%7jMEUL]q\9fSM=)&=<NLHJZmg8'#;0wl
U"H0x$np.pj12:lStSVoNJo%>Y=?r;UB&U[U0dnrDCx0$#_0'wi*1Qlfo$&uC7*J%
U"0LWX6y6&AE>GKq.f]_3Pf7h1T]cwhq-f\fNqT_f?dP0k*'c#sjuj%(7>b2,Roo)
U"Cdj-EOJUc'#/m3?U)j+UU/wJ%G4<I9CpZn^%<v>':GeB[/7&Y_1KXi1F7a,D^k#
U"FMqM$;z15sN-C\%DT7zmTH*-;hq4j6.[L*RptBk)0)VH:-ju4A2Bl%VckQ>H-?\
U"89\a^O1Le]9:BlO_vD($^qu>%p?RucnMbLiwmB>E<bgvtGAG\VE1FFqfVm5UY^U
U"HCfF=H/iUd).,'XVV\K(1^&_oFR9.s4FcriIX:)WD;_I#J+S-\M.3Jo5a[Nu^f)
U"shvl-'i4fffg;:+0(ct)(;LHTh3*o)P[#sT8oMtX*5n4&RW<pd8Z*Y3DcWg4'Nd
U"wWHZPsEIg(jDH6Q7#xYN['=-WQ\\XW'eX,:td1W(ZEjotDVXZ8VFt6u5jptlVlN
U"p3e8^:Cfg3-];(F.JxN>Og?.kcJ6jFN'V_0$_Ql>KJF*#F,;g=\LFb2C5sqQIv;
U"#o4Faf=_:R]<K?aC>36gka4pgK5Mhs9QJmQW<,A5:5$1Bkp:aOaMR[11Bd4PD1b
U"1Uj\.aKpMSElGa9)A$sFY38X%eg*OcBGg10#/Lc\p=^tbXje*hkQz>7%-XC)Z32
U"6h[O,]PXWr6Pcd\u.0-(9gz2b[$c_QA8]9>%-R*lAFarF?o3)dtgFuYg.T%H%'4
U"4muG;C=1h2UK[jp:_U_++4Y,,\gx>F;lU9C5rWPD<WQ,D9F.PWE+>:6#*7#cfX1
U"XGYa*VrMS;MVlZ-*:sg(n#[*B)y&3$B6c:l-:aEt(T>c#lkj'rq#Zjm[%C/+JUa
U"?lFNl5If&IZf$)P//F)xB[1wRt#bx>3wUr:ls2zLq'(+ShSL-Q*_B$lY53<dkB3
U"sbz')WWnF<bA%Yk4G3;Ll$+6#W]nb6i$Ad[^F(=7/1G(#E2'9]JePIR/f6sTD4g
U"/uv9MK1m^P^d(HUo;[L_UJAbr$KpL;HZ$\M7.7U2SkIU1X\,1:l>f=HHtnF9f%_
U"9pQTGA;dc=pk?:eW1?aT'AqT#G;9_=H9?7dEq7iO/PGg,Wm;]l&hCR)&JI9_mH]
U",)sgw$$IzJ8srYi4&X8rdfX^Mm7.qES#bmFAj$H3%b81D,Rb1uI8b,x&\^+Xsk4
U"&bny5$Io;n>_S_XK3iZ\?cD?#ec^bE0cOi+:\ZlLDFWeUlx3,I1Nu[5[)_A>9%?
U"_I3]ebKZZe:aQ?r*?]9F4AWc>pAM1Ec$vBpBLmVQAQa=HA_agQq:[^[R:Kn<YOO
U";geM3vfBNVxEIlDK]rB4S-dY_zGZJJ[d,z$mV<3%a0[#FS7]u4H_C<Ar*:'1\]p
U"u4cRgqY[VEY2?RYhngO$_-S19_xkdVz?xI3%)Q_f'&P'oa%\]nMIgXK_Q.9EV?g
U"ICKwV>f'U=pN_Qdf0aqqbP=K+,7'EO.j]'_cYO3JTU%$x.]bWi1s/kW0m\EF25m
U"JHI1L0M7UKm3+_4)w++E'QWjq2]$Y?)iF1l-(N$t%A_#(kF#7$g?a'.<m4o9d2i
U"GXN163F2'E/HM]Apj-5XX\I7lY;dtnlaw^]9kth12RNpPMVUr9IBLC>S^0)#D$[
U"[R0RV#j)UVjdl,]TsU>tIIvTsOCt6??5651XG6EpIh$EkY5eoq8JyFGMK\gjCdB
U"xF_+k==eB^X2L=6VYmm;/pkRCkvb((wLH>Z]wV^[V%\m'<U1-M.Abq/f1'eWjUd
U"n\GS\i>kZ\M6.fVo[xX82&5Vy;TQS9P+]Pd4L1_FiLsftTI.B;^,lU0oi)'xD1_
U"4_.Jr+c&tJK\+'9Va]iNCc<_9?xBCfnUX$ZC//Vc[#V*S?#=$[\j99h<zJ&BnVb
U"'h]if$$2g_[8#Ys)lRU%4eT)\vBS)h?#JD%vYG^FQ6/p2\26:?+1g6al1:_%)h\
U"gdWmHAB>-'ZC3bi/ekM&:&5d$CW,^D4-oLtjGL+_Q7#h-V7/p9B&bl&[bOGkK0,
U"mqyLBEdx$'e=tC51Yt.nHS*,\L+*->kx#G+j(6R9R-'G;i7/f<wkD\bA(F6CD#7
U"817eV-:XF'[/ka:jp*#=,c;z=B8;qY>1MlH5Y:6kd*.hA-]lU<N)5$v3<lO]Q,#
U"f;E_JE*F.a72OEq;]3&osH9/(YBRw;J;/'qXdI&u^gmmC'5nHo.Q\_lpG^2PXGO
U")\6fuj7>sr7t==TBG9*NBWonk(Zqw8qMhoGwFz?-$ZtIVZF6tjHuZB<ihH/t+Gd
U"f&h]6uq]R>'ajK1(]pvU+g4MOHRc)0+d^0^r()Gkq&:Vg0aU+-YobIeV6rL#m<P
U"N5t*YLWi/]5&XlqU:*MFKD\Yv51'EXIc/3O$t%ma-CkU*q=iW(ymy[.L$8TFQ^\
U"Qj5Y.kD3&$>gOj+VPfA+_$=,IboF2i#_+UV7+gPe]Gi#n/z7$7I34/_]W;d:I'2
U"3OC&296ep')fe_,Buc2268AhoAqcvF2[EH5/-X_$UbjhcS_0I.c;sw>sLM#kyn\
U">^)550H:5\:%#>MpRjeY8kq%EKzf#Hg>9:dqYPe'sp=,3aLx.Q%H6S&EH](dw3x
U"VUu0[+eS/tYq-QB=E<PS7+wElCQY9-XO-?0BJRcAa%hFGfA>q\j)tR$D72M2\o%
U">G\30*j#E[V'N>bHcpUD9mZ#w;7^l3vc5ej9m];hmN&704mw-+N'LmENE$cW)Ui
U"P5</:8BhuuUrdHyVxX_4i/%+aRa_J0P^bB.sAq?-[EagkO=><0UQ:2p:s',cD7<
U"v0,agLcIVn+cQ[u6ZWr'?%.?y7Penu&0aWW/MJ6Z:xU11dm9)E]Gj;o*0%Co%v0
U"9l#+Tjh[z?B(_ui+4_=HP$RIt<(6B&;?vnI5sdc%HT]T);QB?E6Y=&/6q:?KPdY
U"Q4I<#Tm7z#(UF,9WbZjOC)&b%k$jwAL/d>Fm1.^I(-Ti+8E2F>yPy,ETnM23c6E
U":dpF&1&E^:F\k)G+D5fly1eZ,89L5X[w\2#Rh]^8/-[BUe-3NM_J2e0,,Wfr;+>
U"gn;BQ9QD*,/fT0=C_o8n^QolIsFcR_g+]I>+GtC25uQ:tg46k:m=s*Z5YkdV/kW
U"r^/k:2]Cj=Vk8($p#AU8Mz1FtT&95c]HKX#2d;hl(=Al<P8+Ynh2CcuZ0YW5<Fq
U"_b\fY_]q_KRG7iGGwb.\P[i/p-MDoiY'Y<OgkH<ohReY.3:L&F0$Hq^.oH>)M(&
U"9/1TI%qRZuGTi7MPCb1DP\8,8IlBh$s(,FW[onlA,Um3:\FHmC/-qd4E&]SsB+$
U"JaoIZ-irj=8wg03z>?5vm2vfSYxK7L0$vb&Ybi#E7LaeJPo_*?qfetXYh*Jv*?Y
U"^j^,*?hI7'sm'Te2/^Kl#xH9fQO%t1ttTr]lQItKpaAmQ-=BxV1]xpV#t;>]D->
U"/hQ^rP(dP?5nM*;_[)Mv$Ceu_=-u:e-?I7:it0F2WO%C*/ca\.=p*o0VG&^<Pqr
U"$f8/e4$SdM<5,rh/3xrkVDu=[&Vy'MF/HD5rF\]9,]qtCm[SW*3Y/I[Rs;GFa)T
U"B)>gOh6>jZ7=LmnlNnygGFl[hVc7pKLVZW?(#D[kv0\K>rrG=HhXSUo>XdX8j)E
U"A;UjJ:Sk#kpE)I6k_iC&C%Ta?r-BP^jj^<n]'j[C/w:]$i'4k3hoE+QIk*ew._0
U"2#D(GT95*,e/tT7dYOOj1U[osLymR1Lu]Wk^zo3,hI?k*VH?jxK.Lj9f>*FQuWw
U"**F)JMz$2]^dlk_SpmmFDFf:UU0rxt=x77G)y7132-V;^i]D^EPo:'FJjT=IOU)
U"pWm9s,%.)jiNA[fQ]i=TBnki,BH-CU4bCCT-cqB;f^j_aS=wBpMq9^+4[g2de:2
U"S[^&DVQVD\bsb;_?n0O8qH*&l+7q'9Q?\iC6.B*r]n:*Vq#$*O&W%XY:8rV-cV3
U"ZxNufk$/mN_.bu_d%KV>-?./R25+Yu<nLk[$\7ehmGh_6^=\Dc(d/ju#XQ.mgzE
U"$4kcH0iTL9[JLn$oLRMkepaWmp._91oGZ>V.1JI\=qU>E+T3QO2WJE.#(yX_DWf
U"sw<E42\4Nc9-../.s>R5,xr]SqOAP'$p^P#r5e/T<j^&eA6LM\lWE7.o1p1q]T#
U"'JDs7gR;<d\\m5=9A4<&L4f?3,d[*C#N'9V7Z)TC5esGVp_d3ls33*RA?WBB>91
U"4c?6o]EEIT=G%2PNp,M'$Y(4ZtD8w#]Z6og^_=-tV2SgHPjh+As4ycI0JW$o=?H
U"5*'W+QINPjw-j%#tMSbsgf&2VY+4V&Kr]o(oFsD/<bw0(Ko)PJO=DYi16]QCi)W
U"<\5ngGQ'b(OpOybi.O27Py;U&/YhhBHUUm7bFk/MUuW$Cn&3=eDP:6)(MZ_2uuO
U"-9W'8LVp7eKMOmDg;%B)4*\Qr]$:HF+G)Jr9\A,T)(^L85K85y-*Cod8?bHiMjL
U"LC4sKd)0Ni[Xw9RXQO5^3ag,_XcB-2elY//$fg%<I^L24<aSPdBKojLsO),]).^
U"W-C1ku)^+]]bfg-pi%vdS$j^]JsWmw[9co3T#l3$9p\F-.A=,;w-<_SDS$ZJhPB
U"KhV8r%H,Dp5;lC%+LVHeeg_MipkOu$/5Hi9CZs(qxe3^Rl*F<soGOtJ)xoRP;Tz
U".yR%bj]-'^j5.Yc('/up;-yO9M%Q7D+4a&N-tq]K/)S*%35$WlD*&8Z^4#%+mhq
U"Jvhl^N)oY9#Q'2D/MU$epFXOtY^r>iw[.;%=_eZ5cY]EcuO\8F+9hQ2E&8AyRbW
U"=2Rs%qDWa>\,?jfe()Y;oWN:*K,8[A0T/Mt_'1;nrWGo7Os;\6(Rz04%sd<DtU#
U"x-e]oC&&9)P[mQ9)aI1u7'3]OhS'Rq$1/Ug<-rU5d8b%#j[q1qhUS+mTQP&wjFM
U"6+tC&$$ZWx-&p-'<sJfTbLD5Vm$%LymoUlxUC(>2+M+2q8fPa7wb(+3(J/]RHLG
U"7L1QuXuA/#[jXL5oPS8E[=x=(;q9t3)z%34M]Y'k&U(4p$<X(V_*+wWI_C*GE;p
U"0aK]7[O*/[9qaqk.T1FN=^fHZG3J?#zWK\9<=qCK\:)g;:8&y<ME8O^qw9V;=pI
U"0p$;bs#xmD(%,lRi'M.pv#+A4P2gEY(0L+LY664/+[.MpH4N6[mQUA3tygbKGY+
U"1g#mwC3Eeth=QBXW$(kLTnv<e5iN8-0?SBY-0faH)kj.+&DdzIvNwXoY35CnaJV
U"=i=u6R3Wu.xcQ$?N*w2Z$zh<,DWcm$e1,pBE^,FnYsvjFoaUol'.+pdmPlgFz%C
U"h^dAu-Xw&e2(qrf>2>'fUlIGv<\O<Tutq1CX/6>?rc]QQ#,,KZI'kSfT&#Wp74-
U"oeFeom7\9%i_E:CJ)VOGVle.cPVa7h6gR1v4,')qgh0j>VFmQ6?oC)KC2L'37]'
U"lAB$VG[:$CV4HNg/UK)iQUZr]U4eM6>lG+LsUw$OiY=A:HRGh=b[EB[.HcW,]<-
U"9>]c_t3MSdZ&A(SPptc.Q[5VilYo0Er>fXE4aH%)4R&B9$LBWy#+IA*19=FbJ=M
U"hWSEOM0:qO70l\2;_Y8)EvVnuxo7AP%nAV-,iXj+B1ad%m4w3C^Gr3SmXS*[pg;
U"ASBz\&_(g(9(1oVI2e$siO#?a0kmd$8[0;:3DJ?h8F]^TDwe$6L3GssDvtn\Rnq
U"B,MTQ\1UW1:PX);2&M1L.+&+yPh<G6;p%LStUtx'k<=.9=Z('7wm=ebf3W[C#=)
U"G>.\*itD)FP-hRAv]gzTl^A^UC\Kg''e_q%:Yt&5n1^*<k?aTFKm%u)2;AQQQr,
U"O[S1SS^Nl%fcjVjM:,SY]i,C4>%8qtVN5TkLm][\eRu,]g'tp7Fdfn]$;[AUh=D
U"BbOnxLbu0kNuWA*qHFRMSZo8o&:gUYM(KK54?'WMIjsm?MXC_5/56;'c-\to2a^
U"$b9>ehLR#h0:2K4_C6*iK0TY).d\/]SSzT1abata[tO*9T(uBn?uYw9Ho6WNT$f
U"CEN[iq7iC8^[sc)Q;s(hAYP-#?2PBAEo)-oz[9h1v,*m9etk1MFsK,^+GmpJ)to
U"]*O3H\*]2IU&(T.,f+Z9&\UqEb-p&6]nmH7p6;(1]=Zn^r[htG9I_>D,61TMI2]
U"Ugms(aU*+dg*Of+r:-O.67_WEaCkYo0iiw5ECQG7PdMy08l+3S&pp30ftiJCnQE
U"IsBE'H=WfnJPct?S65$%.Z0D9ogw/b?X'V'SJ(=;C6f0Mal0ay69HI(OaK;L[UA
U"VoZ2V1lU/*l0gRiI^5UE?[#a;LlJ&Eg+swsn%64=3sR%4/tWc8q)lOb\Ofi1LkU
U"wRT?zAu9iGpJ56*+R8&81DL5%x.eeE,.R2)7C[c1o:MYc[GAeMwe1VwWQp&YiK,
U"HtQlF(Uzmm:U2'p,f'I)VT,1_)?w#uLDOI+oll\S[o[9.DxU&,pZlRLw\tC#sGp
U"rnLz8w1qHw6)vCdj2>0whgs-X.J>bn]1aDsP2vFiu17-AZ>4*/5Ic(2lFj=Rz][
U"R)O)S'Io7*,wEAy[=9e'9AZOrv*C3prBGFD+#3^(n&REQnSSY2.'F4%ch#f,Jgk
U"\(k/?IY#76NEny<;u>jMmgmN/?Io48Z_)Tx^dS$1,RSs?PDQJ&GZRNd)p\xM'Mv
U"ScT=]H1;\,rbOv_SX&F'N5;O((J/2\Q4B*2J8m-:f&W*UG#Q;cIO(A_fGDUyMYW
U"QobA&rY2ODryqDhXedc(=/E?mr<d0/fiB6V,NFyUjB=J_*'z,QDk<c:JS=L?)AZ
U"1<5F$E<MQoHu*lJMauqiWR\8mT%#P&PFIj-8/\uuI'(z3O41Zq;tQuRePYds(X4
U"9&2)[OiIE#u:e&FP[(*ZqRd+.k8B%0me/5WERe1(UEHIDTV$9YD+Sp&1Lc\m:7J
U"\YU/)nSy6)]ER=a[m<qHI8GZzpU-[O'sT4(%.31x7sEf]4'Iw5MJX2kN_LDRtrf
U"f>Iic#cDx#jp8JIF98p5q%8cPd8]vU-eUDZ*Xj'#l;CLE7qt3BeRtoDcLA88t::
U"joV,n=u&cD[QBKHigbNWbtGRA7Z\':hYZK_5I]nOlpK;Sc*fc87u?UOh=C92vh_
U"jZn=;Umx1$^l<NoV8Px%SP=q#qEQ^]]]ruMRFl7D[2,^Q.seZ_woG8ucSU5a\Ro
U"c(t<UCI/\2IfN8n$;[GBLgmpecQ/QGwh-)KeTys.Fhbm8&_fVXkd8Ft2vi(Rsk5
U"E[E2u&ur).KWFamD6dg,-xF1k_0%Js3[Q22V7n=L.7]hs%wQ=e+5Xg=bHH.<1P8
U"78lHvWHXfL'H7Qmv]&nEHGrt$l1rG.n*1WiALl9eeUEt09?n6KKa_cPe*Xn9b9g
U"Vqzp^NcijLuW2jO#&=.jIafa(kE+9CW-z9$eYdCd\Ofqom.ueZ48<z4_IxVIHJ$
U"RDID+vQZEHCh6Zhw.q)IDL-n6BV'_9tNl7CpPONOmaM'p81WB1r[2\/T%Crk(Qo
U"+7b>Ker]l>;9,N2#r%eM2R8H^gF0BuIsJU2FF&H[U&.CocIgA,jeLT1*#XRPCJp
U"AV(Z?e6a4lWCn\vfAcmP[vd'>U0UKsdM][;DowV\X8pcqG]cUB]Bgp=WJ:*S$Ob
U")T6El&Yp*+I4mD+?P7Mif+V+PQCIwce/_:IhNCqo'tb;enZ?1A7%,bRx<:&3+E/
U"GpPf:BpYbWYUpq(2HWWc>2o2N-w(xaNX+Q]=o]&sI?_Bt(A\s&eO=V)^oEm70tK
U"j?;D\>kj#'Lgj+[7d5L(-^7Lujq<pwpW:F#;(WDFk4<DQ'a0MA$Hf,uCZ*L794.
U"i_B#8*iZ>7jhX;8zMbePPX2(+iI;-:?l8,YY3EhRb%=h_3cQC+,V'4j['$dzD&B
U"o0hYTh?8'\[adN=4bUSdi74a2:IPpIg2R$v4)J9K&6(VA';NvX:YD#=E1p-7I:.
U"gr4Goiy>P(^\rgWtB0We;i'AbhQcCD$1IVatqU7>E-,gET*/$-6t#KLYBXa<w[B
U"8L>f*jfV#hyaT]Hcit\nDAF3RzgHLK]x$aFQWc2F\el/h6GW&6[XogFHBA/UB>Y
U"_O,?68[on7A:SXZHH.q.S%)(_/DUydABi#XUC-g)$-Ea0O/fYFS(L5.Lol'1#.7
U"zw=L5yTHj>c1a$MOHxl-OL%QjfXm6Hnxs0]q5q(-rQ4eozwhbk%xA4xdSS3L_6z
U"DUh$R:%5qq>ra=)7_,3.35fzsJuK$w_Z7qrq(t=D3$U3b$4m,2>iOlM*Vn^n#jv
U"I2GdYneYkH=rNm.&NC+&pC3^i^;Ffac?g14]A0>sTS^PdW3(Pu+^lX#_.(J&s*a
U"_]>Q+'=v*l)KBl1jGfhLPDYQ0h.>m)6C4/_dg;qsg__wPkkrtg#2#LVd.1/&,?M
U"dO?smvi>5ZJ5lq%'\*_Pn\DOb,TG-m^7x\5pT66qXt]OV1EWRdTO-HceL=2SvOx
U"M+jLIi,#gFcBwfonEoce%0>$)owua<$c2(-T/_Jj[,b^wZI:WlwQ.HHowBYfd:a
U"jn(-6=jJ\Q^Z*wm:o[W3Un1^sP]kJJVz51mpVXXDict6V0sMk_aCeFk7.&a,r7c
U"'??A'9-GrRzYPJ$(pjT]wM%0W%+^'Y)7I6($&J=iei#94)bN=1iiuW5Iw-Di2xk
U"3Rp/>qT(8uChxbP%:=TDg5>I&37B^R06fx2*_VXEDZM%4D6b'*I&]p-)DJn7t62
U"REBaK#fBw9/jeOf$<M^qZnlLG.\KDd_ne=pmj%Z\WMXcb6JqjZ_M6k41-HC[9&n
U"bp)Klm6M'[9V)FTnXb,R]vk)]KZv6CUuS)ex*JRks.SW6d[h&O4xG*V^1E6L,VY
U"OJtxnDh\qYYOkP:o=vDA5=99d)je7(p2xDAgQN:vJb9KT<m]tz_#'F^6M=<8diT
U"0PC*?1#ijXKOcaPd/f]lVlrdFO5]5JC[elWn9%1aa]^9m3AJhAC0CTRP%Nty&G>
U"Dj8&8hU(RIny(=*g]ohFLEFUuZ:WZSPu.ClYLX;C2Ocp_x_rI'ClpfPsZvjh4R\
U"oO[9\R3^I#BG\13r.,l:bEi\CgcPZC$Bp*lCFKJ*OY(%*;AgjU>3][fYan_pZ(8
U"[XWinf7R>D?]X1jY+-g+fEq%.>V\g\aiB>+SIw$<2+'fi%$C\s8JM,Abd%'A%UM
U"nwhSgapY/%QEvppRZ87%-S0VKF'0l4om4hV$rkyF#.9*x%+'5O*)Z=l7prV\I2z
U"+A+\'uxZ,&M>>XtV/r]kHkKeo=lYSwGGP'T^u:O+$pV,8YtgrIs61Z,/_D2TW%7
U"7>pWCW%Nr,,td_2.4lPtgce.WFn1MZBJ+b\kfBspty9E2t#\P*H0.la'6%F7#\d
U"%s+#E*fI[G$XT:6Tt/;AR6NlfT;?h[z2_)qQcU[U28B'oj$TunHeV,07brF>aL*
U"OMSm->;rn'N0-fmPHmA*ky[0WIFvFo,w1_CvmnY^2Yo%G1,%6m2]b5s-lgVj1'G
U"%Q-)m%+fF6/j&q/1>5[Xi0LeMb27Z-Ykb^<&g,FtLc3X?9:QTv1w8)t'_Y2#pO*
U"C9J$Q$pbAFa#Ekn<rAJwHa'$1O8JZUX?6J:*4NUi[PUuZ;?\D)$*&(JOGDD$y:U
U"7^?UuHPZK^c5l?/97a_6ROVkI5e9xVynYrpM*qS_?$UO3&7cy_'ZDTMa(Wr,g^,
U"%7y+kF\JYqF'IQVA\87$E9Mc:O/')mk<WRYk)H0r\##)DtndW0t-p4z'MITAz-u
U"QcBtC(R$9o,o1LMtAz3e,F,n,iO)qFzxVBvOT+HoJBPD8cJLntE1GI,8toapcum
U"<vB?4S],$l&w+]L:?'R76F(7zIC(m_=d$\</ONHL_/#Yv[nq9InQeY*RpU87/Uf
U"ngZQawSZRt^J^E-N*t^&dH\[tKgTA*oS90P59pr>v9P\g5;,VM='fU',k2wHH&0
U":Ig$Pp*Tr($]sd*r9.%8$eZjSuqEs.y<icOElT/5P>W*W9rZ?:Vpv4om0fu%1vF
U".fm+PZ/5)J.gs\0A86h^M4o'yS_G-FpDEDXL9J-m^m*T8u8gEC.M?Z:KEC[v'6p
U"/[N[%]4*.2bQ]Lev#x?*h*0igTFGmWD+?oYmq'F+YZi+4J#&t+l9T^EA&nAQYj/
U"P(i.WRKW)>2Rn)CGGLG+pVHH=F+r-]+YlU]q_;?Y']NHy#u2:bSh,w>eK9T;o$9
U"X;-NB4%#G/(,8w9'IW*MY(OSpRa^Bbvk*.h*lFj%ww,NBjiYvm412FkW$9M7=hl
U">gh'ecQXVWWiFr^z2V30$6Re,Z=$A=k]$t95(bTot2fNlm4-YAI6-nU1S[[VFLe
U"n2$R$X>rq;ehJZ4xQ^TGS-9W(d2*YAVQC:*YU?R,;+:j5iI8z]]=Cf=,okd?-87
U"7VjO9$SeV<([pE$V;RGci80c0+a6.ulhvmCjh>Iu97Jij>x8[67p1.=ok#s%BQU
U"uA0]o_G?%439oE[;D=tH(,Lai8Hm+=Lr4PQD+Z;mLi#<c*%U8lGo<L$2PIS;W7-
U"0.bo99T&?,xVNanH+VQc'9HBo9j,tB80:E/;v7b,1;X^f'mFxa\INGA>'JJptZ[
U"f9T3l]/SoNDEej>kgE.3don4,E>q[-f-G1U9M7:eF_'*NoC82=AtKfmrUZG$^ca
U"8B2&7NPQo*%Z)pDWRKzRJD4yX[tI=an&L>[H[ICamlID8A%vRjqI2s\3N&)^^Q<
U"It0*aM=m&^g>F^-)OEG6egiD*2,78#8+<T>-[U%UMm#V6q4hkI);SDy_Ndd>:xp
U"5xdaUnmOZP5s'-#K%ntD<3vnf_Z(w]Asv<7I,-ZoJjyS(GUde7jE7Q,]]#jGn+d
U"spb]gh[JBI5>?]a0%9p5.dXk<]-jWT4k^59?V$c,Tp.kW]](Z+10J0VvE(H]qR0
U"Ggzc$GPbK^>7HB1Ad[A?PY:,+>)B*3CUz>;qV7-9Cui,$kYJP#%#&4Mg%ksA]7Z
U"W6;]v]pu9^YfnGj,p;4q)?:WQ[bzg#Dgn4]l-cX.JFhtQ$cdYe)Q.M02K-Fp/It
U"]9sMHxxM3uU]-EO+TuQ4j\,?rggIo&,B6qu?t^gI5;%]=E=DKX=vFE_LVHZSO^D
U"Fv$[vomIj-oF/hQ1<EC%AZuDA3?SwY8??I4r(hZ-2g+ALYx$=o\Ynn]T9U>FZe+
U"TS;U3rZ>g=pWrm.B&h/)nE<_v_[Or1kI\l=Y\24YBOqt7oMpou-Wjq.2nd/(6I=
U"ypKpq\+B,nfcQN;YheB>KI.AU9&,256NRZB]ilAVhck3L2evwI',SZsb9%sU9h]
U"UCT'<CN&#D?#z,JaOeGqw?R>acsQ*;tbU+(\8dj_<(D(g*j\t''5L-:DsP>]wXe
U"^4/uPInErGKE*q<EJ3oRwO:ASzT^#oblg-k=z0^To9umkEBa's)=U+O1R9&FSf*
U"Sl=Z5K#/<X-%e=k(wO,-Sv%K9)xZ3M1#8\r,TFQDLLVuPaD#Ep\>^&L1+5JOm$4
U"uZR9'<S_.eMhKj-$9Q]Y#ElV7;:/LzS<EFH%wV:;?#?G-p]'Y0PG7-Jbp$t+,ZW
U"cA)s1do=BH#xiTrf-LBa?8NO%stqRL;XqDBDS;F5yt1b8D5'RfP]8eBQZ5EeM95
U"Vl?B-f-VBNFtbumKJuTgl/=8:5q1<.qlsaoqsKGqg[pzw%dGjgP[?pSWoGC7;[x
U"yIbu.J*0$OaOdXnNnsQ6&6E]5;'n+fL6U,#24^bXFvVgP9+3qR9JECsvrDffiOZ
U"q=6?p+mL'gtg]7MJA;l$Y<fBwbljz9e]cqI-\q(Mcc0/3IE_z9k]u-:TNypC29v
U"[b'DpeKc#I)BRppAv(8t/&I,437)tkKgSZqXke:EH<>/6#]Yp'w8iReIaG<ZTba
U"+ud]ZStno>5UY?KO$,jpVd^n?R..q4G2Z_%%1SoMm[AUdW3iEm8IdM_(.nb&Z$X
U"j_;?A&Bd[K=o=LB#A<F(6uKH3u'(D;L$d6j[*&#W?\;<OJE%&1rUFRbP>d8O2O^
U"bX$>9rebha7cjkoau4azV\(PxHmPoRXx-J3lI5$\Rn#WtNwR(nNk^H6(dgg)n\C
U"ZwDs/WKvoDZde3MWR1NlOK,F<,[ttOhE<jF/G=qf(?kcAHqs187Xl7dG4w5cb?;
U"53&C(c.%EsVKc12FN)Y<':GfJq-)CVDA[7Ohj88kM*9fUMcgG%Z$:'+t9Lq<drV
U"R,4+^7n#3'$PAS8;tYtAv=U[Gvi'l8p6t/EmIJU.Dc1d0<<W[C\=fHO\<R?*_U9
U"z+8$+J[Zo%Mo9J$pE[Rmpr(?7ZDraT7>M8fXCw(oK:h$(qrgNRp&r)s'^SQb=(n
U"'h$C%V)gC;YeZYXP$P1$4dHYCp'edi%B(uRXvQiQ8Et(';[6\9tFu&W>*=aeY>A
END SUB
SUB V4
U"B^<Q1L'XW%jyC^vfJ'qE^)q%=pJ/Q8CXn,K0]g+.CMQF9GhlVGl78'L65_Fsuwu
U"xE4,rDo1)WPbG>*X61?Y/C;IFbaVE8rn$)2H*^\DaArqNRtHs_YA>5Xxxa\Xfd?
U"F?)>O-<j<+7tN1X]Z%<Z5Y5<5<NxV,[fN(B<(h;jwHV8Wl:6[UYr*ltfV,$*ODO
U"[FmVRxOJ.s%;F:Hmes%[t$%o%AO>]&I>1;N%%n+b)_FUu1Y#B:6Gn(aW/;g%I(a
U"N=k5-]zjMx)xzE%FPN1N:W5+iTBijbm3]sGZ7*3#D6bp/\J%P&g9\<ClTI(\;?g
U"#Gi+v$r#iOWssZWoB[Y;;4sMz((R^S'aP3c/Lo#8O^F)+GCu>Hr.I;:V/QU)\dU
U"LAJDvJmL0m$.^,azcut98fp+7TQ+LwyOg:SMR$Z5WXIdi/IVBCsmP#(#GGBZA*_
U":%mfnOd[t.4N\Ss6Xt\<aK,5Yjw/:R/*<d4CXz4u]Pkl8b%uqJcb'-[Jj4g]gLb
U"Qpa_x^):YCvj,(a[OlRezd<*'$H7EveRL?_L_hrQ0sYE5E);2m9%IrnV4W<x97H
U"XrNUk5kVs4mMiDPm?MIzt#Xhw\b^7z?T=jlV/bBlPwdM>]#a=zvr)fT&*nqWjp]
U"dP^iLdaJjl]l$-9VjfX(ptv-FJN9Jw:O)\Mh3+P-s>.[P%zSpAe1Up6VIoX&s4m
U"4x4%7N48Mw0D=Eq/tbdB-X)=aV09g2DGX9Wg^(Nvy?a-sl-R&k)0gKE9$#F8VYN
U"]2];<6/%tq$FBjtM;hS_8>q*nMA7TbPdc6BHKP^rpU[]eW-_Rg][1uP41]Xi'53
U"UK;7/#sZG8\<?imf)3GR[Rz<wDXU$JHhGKMC'^v5KFacNh_1S9#T:0Y/1K9R2K.
U"--s[>c/x[g&GnkLm7L\9JnkBAV.hDZDUt+WKrE<+C^;&aPZ>Z2dmw7vVEg9ev2n
U"klOynVYjt7_LSR=CjGlP&VMf_tk\MkcjLD3-X2AKVt5>x^]tO06cF/R**87tXcG
U"(u7.C)O9Bua0%(&C[=#w,-:^o*t'iicaE2msX/6*W/uw'LKhn$,cJDUhoQZZCBF
U"jjCt*VmE6CJr3RA4V2HTqL*H135ZJW%QRGKcRR7mxSk9\lyK:0>)o:Iqg^$#c;g
U"7RJQ$bUccvk,SY)-o[q979%Y?jW><)Y,Z\fZ$6dY4HYJap.lip8+7bM06cKnI0l
U"jc:)aOP^Dzc0sIU0b49(=*fXKLBTbVP9oHwM+YM:DhK8flM:ez0?J.PCzn5\$1&
U"'8-t;Uet#3IyfB$Lfd-0R#rZmpOtS7CI)QZA4n)uMxXC[&2Oi3P=Q=Y0QZ[zuD5
U"6S#RMTCl>Jd<%#qoM#&vq2ks/7UZETi24wNx^'a);\Ix9,58yo5e/+?=0;e\6^J
U"Thb2>$TMeDOWhrC,d[Uaa81^(x\,>eDO]df=*yhQ'L?iIszL>g]D6#q8yhnp=r_
U"e,7X#VdsjL(l>MiAlXgXR*F*lF;*xcJ2YrwKCRL82Ol+(-Z#9KcP541pCcJikj$
U":F&O=+tv_8G.oRlacXr?>7_,QZYF-'6Jd2)b,9.>3WE/n9OPReY.d1Md.8A3]T8
U"HqJRK3/T;y)\CP:)VMvy7ooDn%Wxo^Onc&iA'ORdRyWLa7Sw\v0hGWjW,j1o3u$
U":VZg82k2&qgGEVaqE1myg(TNn?w&b1tL(>hsWIMNYW.[I\&bff=#]a8lhX3$Zm-
U"I)p+tIB=PZ4\(1k9N0P1FFTon%]>MMY\vD0[Nq2^8J>Q5&#n?+t%O>h_0/U/u_>
U"Aq>Do44P8qh#okwe%sNrmUt?NFAbynvrn&*.kU1ZZj7ppUpcC[X,IL#rbmS>fg7
U"rhYT.p5]fx-Eh^_J[GK32\>Hm&y<-A(JX3033PDei]^:EP(V7iJ0/UNO8[$LDle
U"g#=RrjI5L]a]/3IeU[vJrGif4J10\yVUmm&F\.&v)b#-XQMh<:MyxxeJi24N/:H
U"j3h*;eW^QgIF4hF9:l4)VA6?%0z5vG62pcoZm)Pu8coMA,cKcpT]R'ZR=ElBrD3
U"5)<o'.kJj?d#*fUU0#0TDU5KmuyM2O5'BXgFS?V7OHKW%WRkD:Pt\TW4d8[4&S,
U"R^YL9K&*Mj?bJe*TAz98T_i=ME&FvAyGx\.%0Ph8=;K^%5TaP::AY>B+HLHm,#1
U",tCVG8c+4<^W?NA>iirc8CKTsh1k^soLLVD2bKaM>q^\'?gaIm&3w.pX?]:tude
U"U\k$0L4#LHhB,VBJ5HbFUe/Z$.%U$Xu_]#Z]fl,8Rd^e<V?Dv$QxrcU\JDqGT5P
U"xVm1P3LlfH&J\ArO?SdC1m1+(k'6t3Pyo'IR=Dy[nxFU^aR04aTy-5j\d3:_dAl
U"DAus%>>jp2Z-$3L,'Htdro^Xru\3L*gUlpW+qPKt5TCUbq3xMVk5rT<XIGz5u]u
U"le%<C/.ngf+OotOc_HhD.Pfj&M7y<j$5/2tG8A=j]Gsdi+lSEZ'NrpUNWnrd?*;
U"LjmcP^tv:P>GB4J]jDJ3DTBMB(J[qQ1MNJp)0To<thTu#e'[OUw8r=cV2OWFtN%
U"^I&z+o-*LapFGxjWbj;l'DoVz*Uf:[ZNqlu2QO:a9(OleQ.)#HnE67.DdC5M<>:
U"FxRe)2'A#,lxcq[LGZNQ$^(.##00j'b?t&MFv[8F8+tBREHGjB?c75<sz,Q>es#
U"<f/QH-kipAK,0'mFhT>CWa+F*%sIwfuRR,6*Y;1#AR/Sl9r1:Wr1YKpn?qVE^/>
U"+G#N\v'Z=gS\<MOCC>Mf6\9Jn^?6)nm;?3a).?>a#m=[B$:<5gkU1k]:O/YZULC
U"NMlW3N-%%f#4k?6N&mKOI(0bcTSn[XACn*Myq:].z>.)cFk_OyDp(j,v1^_K_5D
U"G37m#>kk+jlQs%%<(V>q3p)M9M?HWPM:KLpDUO[1)B_\K'kkhs7*U*EeNV$8>7A
U"S=lGSP$&V6H(SrU5H<0_lcTbY#cX-x=MMJoQ^ug1hb?0hb[+p(JRjcn>8MAo)I]
U"UC>%lH\van*L*p1nV[/t>2b<1sBvjm$MrF2Sr,:J;z7>?W[TPcnVKvl-g&0tgtU
U"]-^jwgW4mF]%[RXXZS1kclRs\4PEk:*$*2d-i=FIeQesjyS<)Q_N.M/1$jO#oCa
U"\:3R9I?/1g)ms8YjSM-^^#6+)+faEwV/N8;&g(m*y80,Oc(*Oyg4nYL=vNs3cr.
U"fhRooN&,3ZXOlna*sW:mF-8KX]vv)PRGnEb(cXIS8Q4oviPYeoGXG=HO&1sG?c<
U"Mtp$AX8UQw^Pagj?$qFPY)N<1HDplkDH]X9prcQw(Q<wuaI<OFXS2pB)1JuayZO
U"QB^DKNwv>4&q=V*:%ldN2\=R;7KFR:?Tf\DyxL3C3KNr6im(7a\rac7:b1HPQ,W
U"ONGCamflUn?E.?71_Yq\tnw*8.L9<(Il0UuxY#$d1qAu]eLdZz4^OI78GO4/J]F
U"\H]7rG/J\F:*).6%n9F%/Djs)YG.dwm;mO\'dQVjy?PHQd5_6Uog:7^5TDU*a&Y
U")lYv>m$:Pi+$YqP?(g-_cab#&n/RV8oLoLL^\56fiu<1[NW/nnM3di_/%;4^sX&
U"vi_wt&0aGf5p_i-QvTHf1-mFyBKJr=:IJ3MwW;QXHr,U>=ZDv]j8rjom4=t[.n-
U"[R>'XnO7&c[.n[*VZr7<(1jK<E6%1qImDOCe8BHBU#=2l=8n<$oUc;r+56Yih.d
U"2]R(G.'EHC3\C*$hd.QSiKI0[/EAo$XH_GSvGp#2VDc8(;miamIU70Z68M&/caO
U"i1P'nnLflQS<A\Micf$9<miJIUh^E9_D^/[9HDY6.%hb-'ZoAaCrcfwY5t5v$Tv
U"Zx-I5LT(2vk+V:e4e01=l.8/^YUbMxedu:kaW[d1%aUBiLxT8.J2]'<Tdy8yfXc
U"JDPOSzml(\^BqW'h);1r9bict5i.5;Ja?eHNy0G6j?V)SbatI2=tRox50K)z:h/
U"CAMpiFYm'CN_WxLz:9\^nVZD,7(9ZE#wymPz$X8npC(A$k&N0Nbh87'RN]HJmss
U"dP_7^vt:=M?GRBI';c]r=UmAr:3Dd=O+d5ROljW5(ERcpEL1hxe>#9WKL>>tWL*
U"0aa.>r#w8I]8WY:iU?$&:d#^k_DA)8F=Lf5;Vr3-nlGp:frU;WPqyNPKQQ1zzv8
U"]Ibj,##UBa]5U1(-vMcOl^nE80?aqU,'i<hKIU%w+.<oC#F4w\FKG1qCp(Ha*=J
U"SjLDfHKh)g)+N;J,V(3^zxn.S33n,C2?LYN.=T4O(bZF\p\0B'+CazLUNI)djfQ
U">(t0/9.M[st[X8MN+aLL>^>b2+?h#'BWPquOPenBNfvB]vYT=*mg^aVkh1[dcIf
U"7a43pXJe&m#1<2TdbKx+pdkhNg(*z:99XjgY9?b?qO'hGWZ\qp\38py0n^cq]L*
U"w.Za:G6quhmVB<jol#+0$d:mr?n+Twh9>a6l+ZS0qA5a3]U1f3sPg1?o>gZQMWI
U"$DX.._fU_mf?\()AU&[YK;*jT_7k.O^[z,DS=[m&hMy9hX;%6+YU0b%35*3pogG
U"a&JQs/$;mT_FAy9Y;02&<'+6,9yF3I$r1Nn'l;(1,wVyUr_7Tw.X7EdWhDBg4hG
U"qR#DsYAXP=f-K&F1Q4-#5V4UU]CVJuhU5kQBkb*WS-[mAdS18C?$8z1YKvPE]g%
U"U,N-1F(Pd&]%[0IJ$PCC^1x,<A5mD<()[Kb5<?8*QY6231)U>\#tl0Ht(B2B7$J
U"gxD:+e4'\Q]1t5>Wmd1PWg%.V2YG4e0y*]=F%N+(1J38UOcm/)(yjq-th4:2BNV
U"o0Rs017b*=GTUqTFDGlMS$jW89_FX>WAF/anFxsJ_K3pBgr*jBBwG#BVU>?)V[>
U"8)pq<1KWqh&jpJ&T;;(AlMMvFeEh=f+6PlRl5Ji.tl4OT-T+w&jBlSi8N\2.6q2
U"=T<Hb-0BZIj;0v6:/vO*1hg%^47ZGsGe)f.JIhB1H*vkkb*<TL5cLxALNV&NdD]
U"-kXJ<\rAQw;nQ3tTZtI8ARI6JI/y^^g29s9fpm<P?B*y=?U.8mU#r$pO]-#R-S,
U"W;RCvmK2DwQ'o/9*wJ#%Z#OB:$3gaI:i'#.(]DI5q<OpxBia<mL:mtI:Mo%WZFx
U"Jo=i9LLhil#Nu1J<78-R=bsSH?/Ui\FF>GH9iE5(A*RaG(m1nvkvqdU&Ap<M3'H
U"s]5g;RF959wUqkkIhfAhzUY6+w41qUeMiSlI-Q3b_3bp]-P-'j_gn?*FNjqOe%,
U"Y1d?s8Z=BTxEjF>&.#_DWw2Z0>Yo%<\1fxK0.TT>:QA]&;vZ78arsB<3AZOidP\
U"ugS=e86Ah.7U9CbqqioAhd7jMxYq(5T.Tu#O1DK)fI0Vw$Se/r73:qj*[#?4k4H
U"#Vk3;s/^^T]c-BHm^KVfi]c**XX[E/[T#]?<R<;qXx],Ppb\H8K3eJnMh*V88BN
U"+uk<I)N#2_T=vNSgIlI[R3X(OMqM4T)slEwUiC>gD;QfL0.F[tU42aPTWnFz+3E
U"*/Xpi;[)NOrw&+#W;6C?8%l^1Oq'0P*1DxW2i2n1ikm)*IU\K2rxt$n%Wjp,9K)
U"K3bD7rxUc'Ap0MD=&#VRf*d>E%fZU84%8,gY[F.d02i^DlDIlnz8NNb(U1;uIh_
U"NU1te;8SatJi^LF1QOt*<DI5LZ&x+dXQ_(\A04muQlpH:>j,KE;l1<a8JY&cT71
U"cTzge8l0&y<lt)zp;:W>8>vp;*1bayv-*MwuBz39xtxJ:?]MZeIR53,>_HXm0c(
U"^yY3V)d<w$7NP)0V/W<c$RU:14/YyNg$x)S+[aDw<&+Y?_O:Vi((*\)]eyK2L*-
U"#(^L(A?IE4s2h(PA3+VPyjmn3,%/+MrKK2uc:h6Km>N#.*$+9dxuqc:(g>2WMVM
U"u?X0M=mkt[_LJ-WK)a+3*tZ-gJPaW[t*IE7m<rk0C>xJOM98ZFG2vi*MIP5E63)
U"e(87TI#?t$_'FxU:Pr9E)ZI-nj.lvc&geXxi&E>EoXY\T]#5(g.FvSjV[>YBoQj
U"Q0ne]DV<2ZW#sq2keSP4E8oeLaXZ#sWFF8b>E&IIf(hrt5i04-u>:-sXIV'ep^.
U"0Si]cX3#N?Vy^=xS9]sXfm&:+eNodLZeH<x?VLE,V4aqk60lrv&+]pBle_Fj]xr
U"W8r_^Twbm:'rPmF9k?x>Q'9HD0*gcRDk5rb5#G:qI$LZA>Cmc=o]qfEPg$Sp#'O
U"Of\=-k&p$_W<:8FS\S13Wh:jo'/;D3'kE5oB,KeQ,lPC#<5#_$kXM01Dyh+JynO
U"Vae.ZOI/O<s*LmY+b_R*SE0Ju[=3K7>U*l'6OG9VpMfb]5akFx(tmjTgU(Hj;'0
U"g9k2d)\8?T^eh>93VGA\BpM;-DgPXvRRrFmoglbxKaEm\UEGj(LkTq1;&,4[rk&
U"f.06S3=sJFQv?xK+.Fc%3-g$nKjJ59:d_<znAkx#l13\xW6r;0SV3dKc<Q%I9Z-
U"t\hI0eh;nGBa7b<^Uj,>5G%Tu_^mMBTcmHs>B.5Naxqj4=R7eFF4ID,Yjn\9d+u
U";Nm'fB>8+U8bHN'hm88R_NW_]m;1k5oT6JeSI\d5)&gKdw.e[_R4F*7Rus\LzXK
U"]I7m5x4YvCW.$(jz;Wul:/*%=.LwqThE7\mlMu*k8GYY)8.)Bqg6cQ_i,z107X9
U"28AB,4O;r<xMe2T$iwhq[95Dw\E?/.vg';sR];#OTeX87yf*Vl#$ySQ%d?(z<co
U"&-\I3>1XI4[k\a'^<[sqo?cqsjSq6oCeAYKHiWh9a0wlg4deFB<x^U;Y'N3FSdD
U"(ZNX37M'0ScX/oW-4kij5UJ?:xPOs[l0r(FCoFA_U4gslPslIgn,i$>:V6/<EB$
U"/:nFZO<__#f;R3%K0bk]q^See^8Yb\e1Z]-_aO-=JGL1+hw5nXJf[)dumC_Mx]d
U":)t:CHQ=v<-0g0%Tbiqrl;?b;t$$e]7m1C5(A&hda)$R&+Mi/[?VK/(0n1v:>B\
U"B$/'qm#REBb7L;74IX:r%OGnqaVBTXZHCrAQDf[Dkz7S7zrqn&jn>+D5O;'mqf%
U"Ov.k$uqNgrSNZ5EHf+#GtjtjkD%X8)M&5Fh;AAOTG-8QKNWI6)*$7K0NC=8E'#2
U"<OEUCf<TJqLlRYKEt25jVU*8'U6Z6Z]ZaBLYLCz51e7-3syh&PE(dbi4nkuLnQ(
U"M+S\%acn5$*?cV7uYL:G*H6O-m%$gX9EpV4T4R6R4vK6RxCS#h\Oe;0c#%26PW6
U"W)?'S60:Hgx;G1?RG0PpYeH>2vFDuc(P,*n*e[ZjFdy]?rult4wq>VQH'%TSg\>
U".(vDr4]:mfWnWWp'0FRWm\[WuHM1qd5B&keo9%cc/OUF([a[rjIfZ#V$>kGm8>k
U"imUnmtrTqlGs>ov&R7f4ov=s)KVDD'>6IfVJf2]?eh9&wl8b6i9XTx$-llD[j_f
U"n*ix3Bw8[6alajNA)ad,Rw:4JT#Ho[dh2nf;e&tDAA')vIGZq;XVi2kvx>T)+CE
U"tLB[V>'PnST%YP86gQodGI\0Q[Z5Kc?P#_<OS.d*n&q*nL]l_E:Q1&rA95E6se5
U"CBWw-)GS4fke35SFCq(1V)*>C.D.[5p#_j9j-1uWgc[==;2C5Te00aEPDH>)BJE
U"AI3s/<d-V1fZa66j5966OjkuPZscPi&u#X2[c;:MqcrLUnG;EgJvhM\Kn<Ra[15
U"Vjgs8fAsQj>\8Z:bOD2jGvT$QqT84mRlqn(lpL8tj)?i16;gUf0MS_pLMn.[P<l
U"wF-gD_=H_?D&21Pe-%<N)6O$'i^dVs0=En*s'IRD0aT'x1[E'(bZ99v5,0TvTTh
U"$%Wp8?h%MZp/=Y?J6(NI_k6?I__66,WSuPr4D0*;&Jsi*eIOtVnKaFZHX+I<u8Q
U"c]f3ssYNmQHox)*Ip$R\:5_N+:=nC&_Q%Jae$>R#_?F<a?i:^rn:Gg)\1p>#BV[
U"8';u.Qa10P$2nV8=u#]t=[?jLW\Hb%Z1gC%M9<oQGY;lebb,WY=ClbA\/hKebLA
U"=id6u6O2JI\I1EfbZIlY'cSna[eq]7jcTXXFNkZ&NqEl\>I$%59$]e3AF'/^*+p
U"c%cSLLuU8v\#$lZ&0buv]_WCVZ8YfvC9Lzs<[pYY_F+_Z_KT47G2n\/U>=s4Kj)
U"aJ171RVr<[p*%O7O7KF<=ysC.L-i3dyi+Nt0MH&_KJ*V\C2$vG0$],Cl-L&4,N9
U"z=_dLTroa'2-GS=s/k%VYhX'xAhUDxd-qH[$:2>R9L(;T7iL$YJ4RUb(c=LK:Jk
U"?%Duco5:SOW3Xc'dQ1fdq8Y%2ufV^m)ga2DZKmT?EpO-#M?:VPBjGFA0G$N?.Ps
U"Loi3_T+H2BdaG%K4a>4b;To?:CRbLy9xdQRYR6wF(2EQskx:jV<T;,\bM=k7G?'
U"7*X9Zd^728fviS1^koVhXtYe*hLuLYp758mZJ?lZZTY'5vz<q0d^lW;o)DXA4Mi
U"Z\>=#KtS+95p)ZP)BP&Oz=3>32JJY[G#:eQ/HSBZ\P+-Q+34(JsC;f/yoLtpq]h
U"&ZC>p%nTX^tJHWMoRG4PS?l]4POWr%]8[+hsK41p:^VG5J$cY<JLd1&iq<vU5r.
U"gU5W.'+&/R%>V<22<.fPz*/MEO'h,VWO=W,rnkTvPRt<.g/p,bcGv>?n40WgSZc
U"bD5^di<mM<Ay49KQhc+Bf,BdX4JW2K%q/a$tw2I3[4L$w>SE34)x:joPfmF\lU#
U"Bb:#gmRFa+tvV>1JFuelw0)^oA+iJ.)+&mc^$M=N1*WL)\Dlt)B)cnm.pDt8bL<
U"[t[(_F]lR-\\Si&%Hvi1>yw+'t0yv1ZwqOMd%reqwqS#Z#Ew2mxjnWl-RVwV8Fi
U"0$=DvnGN+SyHH5>x:5pOfm%3ot>VXaN^VNNm[d]tL0\SGVnZ3P\8?g(I-FBSpK3
U"nL'1+$^T<^0hQLS3KRu&w8A.N09JFt1SLVoov;FM.qL<wUH=bcP0wYkCM^#=gu<
U"8b_d;6sG\,XbJuu?EsTX)7su9]>o-_BIx4Hnln2],,,%_lLWj/gO-dP5]d#Y-en
U"M?NEKRuNV-Vs[<H2Ug.T3Y7/Z[5Cz^g;HYnG^Y\'<4II9FBJE2<&=mgFga.p;iO
U"ldH[^1miwJkB='7.da*FdG*A>)LNdofA8dio);tTX<^ZS/#rlu\o)#JG)c7a>+g
U"J=qfY.\yzKr)[-mPdifkrmpOhMc8fqj0[xpXA,Txh?iQhS$<TZlOG52T1$V<AU+
U"P)XHxSmSeFlGH<e0A\5M=DKpyg<?ij>fxqx5Sbb\by*o#/lnievg'sk6A/#nh.D
U"aIbt$48/'l1KX0UZ,NB06vr/B]>Is<#-k:s2+^PVu^3ZC6#G5VonM#$_aA#-/=N
U"K]FY&XYI&eRbH4l.w6ikA:lP_1<&y=FXIT?.z(6m5$A+l6uMa?'CSx>:k6r1u0c
U"LF5IMheSI[xKcW[d8ZW2]b2WPGLY7llph9:H>7f6&(GvOaDjr#qvqy48I(9^VR:
U"GSJDHn^^;]qiiZR6Y)utwa8x_eKu7fNYMfF>(Uhu_UKfx(ZWU)<BA6MoGpm:yq5
U"hN#qsL,m^6U.xL+v+6M'7%YHeFe\bG.weWBd;0tDKrL:YHsih?x]nXHwXsSfQi8
U"_V1zB0e+e<nVZo[8.Z0fZR'C=__nQ+3jz$g[kg2AH4qz$f1?b/h]Qx(XGZJL$jj
U"[V,iKDQ(i*3Cls9u/dC8GsJSt+F-pb81+Vw%,ECP(=Ihzn>Wa,35b9*lYK17v0G
U"q-784e$N^5FbL0uO%f>53cJyOXJ9IorMG:Rxwnl=9<U_B$x8k6'NiN/]FJ\t=b'
U"J^=h>$de4+XtXJcF:94mwF8xP7k(&aC1kJFy1lqC\0L>3QN?'6?GIWdLHPTGec#
U"YS$1aGVw(u^By/.Z=#,PU=bco#S;WBUv99wI<.l\=tZ7k2ZRcUO&o_1OBMu,_IY
U"\c%M64&%yAP>+KiI<VS_Bm^dOoQ;ZqMT=a&$QwLF:JUQi7M4Ve_+>?F1ZVb2EaP
U"6g+hP_%aVai&2]]7)TC*AtM<n/+&5a?Hkv;HRjI8EE>8E]o+/2KiAPN%7.)yjAH
U">AG$%F0r5o2S*bW?Xn1MXN?F2Z3vFJ6t\2F[o)uS:q%y89.N9l&MVbq0JMhSw2]
U"63_epp1vjUR.,tdzhFG\FRFs(2?MYL5tReeI>3T*eRy)=m%*gs84S3'L/+e?B/U
U"-?8tNqFp4<Q2D%w%Ua?QB$v/\mpZ356:2drLS<LubcoInV+2IU4(V0J_I9Ls>%*
U"n+AP=9ujQ,ps=P=^Cl4t2v>m:My#h*M;zwpjZKGkgy1cGE(-^zY^thJFHox=iR=
U"yi3&B+WKZw--q.];D?aJa4*P,.iAilYV1U;+ss?S]gIeaYQ9IXuRL:=8O*bF4Cs
U"XS:X;;8H\g1P#WuqZkC4<Fw[uMq;bhW5=FPgeJ.(p=lwN4v]I,#'FN[uA\]96DV
U"=]B-=DUcTd45+HXtK\q>.%z8pzTJ],xYi[E_k(sqBXxnZ-W#GXbd_8aG?-P:Jd$
U"B3aDAM_4>Rp6F6t&N1\F[JpiK^n,BfcdVb07QvUzO#(h\4*<UrU4y/e3hc)-R6w
U"rLeEVM9+u%Q[EvF8/x#A;EZqtK\>]V'%t+'QQdppV#\/6m#[l?-P?HV69[,(dYR
U"e>e<UX'%Nm9ugTRH)l3o2;FU08V:aDdQ3NO_^(:t+A_TCMmiQ*>/ajSc*t//];_
U"87fDcgLL<uWr4ZpNs(nfUh,RW%0UpJ2\X=QTIU#Gj)7r%-Z]DXF7_l(hN[I<$0.
U"n8z;eY$r$(vVV=S79oc5?]rLQ7TgE&'COWx^Fa9A56aUN+i4feg/8KWbkK[Gs:i
U"l^ij_v#>KXO8K%.y4J2_&^u\%ig9o?cG>1DQ3JWs]9'$N1wOe0SUq&9EyD8stX8
U"EavtSa<;4&kFn:d$fMz6TViplHcO,]0MtnER6_Yg:A=7/'5%w(+wYX<)fX$jroa
U"f[qJlTPbq'#3\5Qw(C8d(;WCt*Ski.n;UZj<wf)O>95?kT-iRQnL+;4Jr$JegYW
U"P4WK6<A9M1i3m]]PyJ/7=rxqG:29OHKZag]re^b_Fn:)$tKkD[,;xs8%iqKrAO0
U"Z)Ix%JjG:a,]anU0i]Q[u.+o=O.n7]V6X0^0my+KsRlarO62k-ip]/HGe5M6dEe
U"3pu7.'mLLSqyv1(ECc/Kksf/(1*jJvrCcHb'Q')Uzui?/Uc;_.:I#bGG0/QNSYN
U"Oxt./1<R7qMo==D7IGf5;#I<_f6hI\Y<mvXE00DQKNZIAWcBDY#iLe9DWMId;_2
U"aX&SO7PEFz7ia[7sNU1D[<[_cDoCtm:U'u4,Q:;H,OSdIKnIyv&qt5^.$MHVVV\
U"lsLwWV=0.&v833%w._LTLhg$'c7yGEJgMD=.LnI?I1+c>;smZMHR=jSJXKn>;<5
U"T_WSbaC:cM'qjRrC&.k.MEX=#)q5/<w^PgTv+Pqj10vPGj;KCI,AxY%^K>5r\%Q
U"r#YL4*(F9(M0R&;9RnDxK>&\2?qQlqSRBT:[FA3UD.Ru$IGltAD]O?ou&0nr1L]
U"'Ybjq;^jj>Ts^0ETfE9fC1Z1Y;dSE*KAAEMNB;r7P\8)U>:=t/#F#8sCV(6zDU7
U"mqI6xNM(:,L-%8Ey#FrAaCOO>1ORd)se\N6)G>0Z+-,&^=8FzV/fB:zU65d&S?Y
U",g8>74l6\PT*%K:wPfz6Uwz>1j_&R_,o<SEV=c]C\he3L'vR*Y[wbHJ>]KFtEw*
U"i0uR5HUvaV+O9aRD*-'lwhHGpQhe1AZbwl0tg-f&aru-)$D>FPk?J#tlrZaT.N6
U"1V>fpN66[GXv;tOjbKQ4.BOWpP&lOnGr)5r0Sj0wB+H%+hCH>cV7qhU/5cici8D
U"SEK'Q1C7pHd,8L<]VZf<I9uKUZ8E'Q/?ZWb#PizRJ?P%_Si3[)+fc_moN/KILf9
U"%_r_RfR$JXY%4E4HER:*+fF,[K[iLH:9#y8=l'4+qRSPVqz-<M8=,R:_q(HPV]V
U";>2zu,QG8u=2n)KP$:8rJ4mQ(5xFOs:VkYIwtCtqsB;jE2-JL:xTd^VT],)Ul=u
U"zoggh.<PsUo#o0juOA[y]'mWS3LVC[>Ase\iSI/co&9r,ZDDR^tPz3(:?wQ3ft2
U"jQCg.'#[W&5Qj92J,Ag-:N:;P_Jb$1%>d/LC(:Wm]QwKpK#MM&)pBeN:l#>o8)(
U"o?v]on_,eZ5HtKPCANqAn4/%R>I6X/ZHXOj;Uf2-O[=P-%DI->4\rs7ltS6Li**
U"FN=sU-j?<=?o9d8d2EW^_TTwXGg9_.lDDIMYlqQEUc\&$*vb&xI'Z<rr#FTX7rC
U"se==Mzy(1$mUuQ[3caGp7rY7o%<r:\_2,hcG\kl>:>xnS21juX,Md2?eJv.pSWH
U";OzM^MM1nj4p=5]TD:saC;=p^.Z_Q]G(a1QqYA*^[cx'<%Y%vFpWt5wg=)49ck]
U"/0;_CfD*L>K0R.pi\j*])[H9NAAen>.kuFI[6dL]^]8?ZEZ_7d&4?XT<bCd*7Ca
U"Y?Q=nrs$h)P:QEWXu3m'QK;.-bUD>llhYSD2DVAh.4'K;r#tE<kggI*(-f6gO6\
U"[r<5a5.9eVI_[A:L:E^4U-(tr2=WQ5x-4,Dj;S:p0s/CZh<qXoPT(s+\u\rL;5)
U"xW1qqpFRKI,F0+LE-A)JTpVi(h6X3J,g&cY'qR.-W;5K32+v\PT1(P^1&D0;?S#
U"BQOlW[V=uL_^dH8ZFE5gqfHSuW]uku8Ti\ZkK1Iy+AeHnm>er*t^W2jGMiZ4G4V
U"n6PncVT)rS=,tWj46qk+:/QL'i/A6]L88E.$:VpHf8]#HGss64Hdt$hf-Cg3*o7
END SUB
SUB V5
U"4ceDek7_bxoRtUFpRg*\gEYu7==2kA4P3DA7S[M=+ccG[ol[CREe1H<PB9FwnK;
U"d^(G+n<=VFO*[Pb2vmg9?NVXon>k^aCiJu\CG\vh1JMPdqa7G]3&=hnIwaw_L\7
U"cr*g&YycB^9q7rlZJO4hkI&rZ>6jrd6bN9+/cJ)U8)3.rV/x#bVAcTh4eZZrowL
U"hZ,HWC<fBv?8CMaP1uE/9l+mrnkAGH'Co%*kAJ<]uGwhhQ5u\Qoud&?Wd'ZwgPw
U"-$wX9[-Z[IS:Y6?5jI&Eniu81giRf]jk-f\K4E=N]Csdw8GJE8*u1KFms6[ceU:
U"5M0oL._-'P[$+ybK4:d]\fd7qjkKEmV=a*bQm<G?\r^1R9sf7fT/w\JL#R/j.$r
U"W6buAJn^z<=d0.z<=RPSM[jI:R3IoyLsAiXc,ptvQMMqIv0Q]07)cc<fOpoqiIs
U"&-\]C.W)OBI^($dlXL^QZRkA2(WNS#JFSRa>]]m_&-ew?C]ee;yx>W35)IXEgDq
U"Jq/#L<+Hv0*HidwX3jxw.8#G8eCM^W-:GHs)W,cmfu$[SFsHb/nimXg#I)eI+?U
U"4[C:6,j0)?Hfg?\%CJ=JGKDO,w6NiK1*(d].$(o9In^h[m&ZA:8ht2CDPM%pk]A
U"U4=]e;'_ji:Dc0Y%MVGwho'_Op0wH</*(+27;0;)e2HZ;.lwuS6-t'TgWo,f%j/
U"8=0m2?c9ow9c.J??=J_NwHeky5%kO$5Ct4Zr7UGj5?mjvjbR&IvoBE40.+R+z/&
U".ECFc+0$u)DuN^^lrY**rqBuEuL*F_Ip(^Yj+2KC-a[:73pW>5onbON$$QAmCL(
U"b9oX]zZ]d)wk')1L_?]LYS7x?&a%Sk%EqQ,9MA]_IBv7tq/=H)D2_0f=1LFGLs]
U"%,_9<PwY\$HLw*5oFF:co<BSS<aS1\;jr3uTG=(F=:SQ/>qaaaOHXBux8QVBX/F
U"C\;:+uF*^=_5/^l>u%9l2L$Ep.'*JJKbZ<*HVLw%a%IccPasR>e?^Tj,Ir:9'qk
U"tbH6>nw6Tb+//;$Qu%1S^8R9g-(e_KhEmBfC/$-vnj7<7R9&Jg*TlQZ,%+;py(c
U"alZV#8e*^%6ghFr?RfcMk04vd#Z;8Ij%hH(=X0(=$Zfpn)&[?F.)%jCpVV9dX^<
U"XC+K>os&8H=9v07:[Z3*,N1%fCL;WBeMmw/[huIhOr7sDatz[_7h+>af,nd-JjT
U"3-E2:)^Ssh28?UgZfycaSziu>#.=luC.*R0d3T%XTQA_%sO9)yeUin8]M;;SN)E
U"-<csiO13gDcWk/t5G+'z\)c(8=gq29ZaY?VJ[aUZ2GFY/a2m<S'QSJX:jiMI.#o
U"<58hzZo1ILlW^fH7XB;n>lUU6X3Se)A6qq[FpM'%9[])k)u^?u?VbaJijPUk<x9
U"O3U30jfK%9^6W#pn'wsOeDN$JHQP.X6l:xq_Ykc^]dS'TG:'gXl#6rJB.jcIzW0
U"b*Bo2&WDsA8B-_q7TfscDM_<ftb=s]%nQ>[bsYC>K_y&c0uJs-P=NcShqrA(.]^
U"F#+[x<OB26b+_>=]pWEl<]J%YDxwNgJjwYbq3%P3q_8;%^X(h)9FhO1I*7s%_.o
U":e:J0B*nP#h0FN\unj>JA-m>hR/OsrM(r]\ZXKfN9LMx0MilkY38F/=6[YV471B
U"fTM5XHcVqb<MNsOt<\4ya6C)*d,HbqkIUSTM0%v7mL6$[6s)^ag[LHfUH*ab)wq
U"xHQvU6eR)[z#vBbErZ'3,F7.([F<m.V,*1[OsqsuQQweCnR9>(qLr,ADfJk1dMT
U"HSr4+yb&Np(tHX,YbLTY)-E+ls8TD0+QWL658N:kJi>/gPtj>(b?GDDa1CueGj#
U"LGp*Lnqlrd[D=kv/<fgA[fvltAsr-x8y_t51:.g^xU8,I5ebTpS-0pJu-*ods.G
U"ZQ*8/'.AnEBqel8e0FaT[+.JA_ca'g?d:#-(58olmJeZrD24-$'vp,q$3SD65f_
U"f3-b.Iv>kSO6[xJ-l('0CFnPnVtGooE:s>o9N'E[aH8sN,d=<3U:XhqFxAnmN+l
U"6=Ttq&C>O<4Zu^''X:zG#tMcojC-Q>BxCh*=1Mid6p$dBYLc).i\vj8tQ4n_CmQ
U"h7o'C_GH2pG5+,?h6OM?O4WQUFkG<<3rr/7JE>(jjeP.2o3\)C/II/>/#Y2$#lQ
U"BwB&d+j&c+p2Wud'kXbAdLnZ7?>kQ^O>Jj&;zMP<3uwu^GTBjEG+'B#]tn7Mj'?
U":lU7kKW=7Z\SkW6eg<.*3J(vE,bH+H')#k?K(w+a%vW7pVZ=tLk^.VvX\fL+CpZ
U"/(Y)e.yM=18#]Q$bfqln,0^VDHsYyVK1Y'eoVmHO1-PN9M.>V=%h/Nc^#u>Wsl$
U"BaQoHTLNJ$6.GAc<0,%F#sPD92q:Co;p_*/zUkEdIN88;L>;KF9i^+1g.K>I\RU
U"hL)zjv:tG5Qsff,0O15ZxKxT%g#+\c,ud<,9tP::.W0'vz'Ai-y=W._<Zn1R(CT
U"&&T#w+>HevsTH(5I^Kl]Hr1(3yG#tE*m_r\:*R61]&<<9-&TLo)D4g=-=4G\i)C
U"p,rA9^MJJ<,MB+-Ow:kToD.-uUF,iz9I&,W>2fLt(QgEwZe&+W/'Q?pGT4LaR)-
U"*fn7d:A#:Vse$F2'xeM&Z3RWqc1Tc9Z2d;sQD\O#P%_kvtYZ,/3u\1M??.aq[0W
U"5X0oKW3Wx3sD->E\R#z9#iOPT8jPJ0&dNLQXDRN5.)fx[[2Swcupjr-XL0cqEb2
U"G$mw=8^De4t-TMQiOOgI$tF7m_ezpNRh]je%[[hD/c[w)7_FX9uSdz.LIr$Yec:
U">_k%xU?-q+/Z8K9]W_g65MP>ZgFDsf^AlJ^,v>u-EwM^dT^74v1WybToJfbc6Zm
U"=6JHgFGV)<1#BNBOCJOVO=I]qqZC7WF)%jrl0f0(ZDslpYN.s7d_87r2RDCdjep
U"kW6EAEaGTZ2er6H-UI5ii4K[ohj8Q.#uFW:7EgtKoLK>Sa$TsQ?PY$rA^$[A0j8
U"NW4]4/_bv0]j:=?%\D6bkf01LgeW]\ypvI,o>oKF;],V4J=Y;NCW\(BImbLlkZ<
U"xN1v0h[4Db7)ws(DFMKE<,?[(^e(.&D?1khss$$v:G8;7%f99BMdM**k%_mPng1
U"aAtgHHRMSJ:&T4W,RqA_<Vw$qI+W8rB+eMH/z'EAFlX]8&F;n*%J&q(FMcAMI^:
U"-:sMb[6)351BS^*-O&6Dm\+Psp=;Dn1GQb'(Qd*VUl\pqNWYSNft/oUiwwRmD^'
U"f40ZgFjU,8SZUzAWz;qyAnKLb>&Q4v0pPjg5*IJO;jm#g#&#-679ZGF]?/TA$TU
U"jIL^E8Aa3B?+*K.Ra5I-=.QP=60Hkb6fsht(:&VgX']ml:kGgcdFc^f#ZRn8NT\
U"j42-ea6EQ()4^w[:P]i&6Aq,hD:ot3ckNd9#3+b?CD,bL^j3IzY$FTipc?QLmSN
U"/ewS&F1UkZ#KUr6,&;Syct;g]YeHd/y_<<hR/on?<]b;,;FW\xM3Z4Zg>VBpnQk
U"ExqZF7i6JFlF[CN_/k_-$Ok)l5D]je.$nr8+eq9o?)P%gas(J01nM-??cJJ6h?z
U"dsi'%doK>*Fqk3]a'A\Fn%N1H9_\ZAmFCTbHuo=&HA(]]Kd:7bxbC>CZfHJ]Lvs
U"Gb<5Z[6e,nqOt*Pdmr/]-Jlm48prrbF+_WnxJ6I1B)3j$Wq[<U.lSp;(6#DtNwR
U"rkhx6]i*i3xk8Q#xR>hw;qES2]0_UhDlbW\)I08dG->3hJc=q<*OFLD.-Su<8Av
U"EE84[8aAuP3=sCAmUh3c$o33$KVXj2<jnLg:]iFPSzNfKc:.JSIR2eiQS[l<9+i
U"17V-08H(&KuJG5alsj7gH'=$p3Q8^k^)NIcK4^]dkB*Mvu5ncW6Oc)H,ju:,J<J
U"W7sa,;#e.AEu%v<jDSd#/$.a92x>7p/OcqRoM/LDT,9rlg$M-c3<hbS>AJ'F6.b
U"k8u3><T'o9X8jr;mDx81hkl4Ix5^.n;xs-uMKqAo&&:af4(L,M_TbV[E&L7P)Z7
U"TspYiNR/l$qO)GkmI?Al^$1=0)QcQ8AM1jl$k4uJ05+2/J#wqE;Q]>UDZ6H:SW.
U"f:dj,x09+CrCbP9J1=)b,)6'd1$P<^c;*R.1?EOMLn^hfjTm>cOp?dxD2?JNn<P
U"pJg8u$e4&tb&lUGL9E)sL;R$W=-tr7mV<6^.*b8kWNJ0Y+d0=4j8nAqigclZD0m
U"W+_P-C,Z\wZnK8DeN[dc9iPe9fuX^u;*W'Kk,.TesbJBud6UNjrX%tAqlZ;]B+U
U"vgCqs2eE#2*9YU(7m$1b8HxY)&.,c;-]VK1P+;GddBPLDnrs3hN3xMJK7bV,X):
U"PJRUmU4Pxi:Z'6r3J99t3sy1i$6P8Wo]T%Kw$qHq:W8j(6G87'XbZGguRL+qt>g
U"O#?kVmZnf^J&>MATSh:NkQ22DPmTUg5_3;^f\MFom=)Us1(jWBiqzXMG/r<jO)^
U"_dp3C?BE=oLUA<0s8-eRGY3WV3mcA0gaUCJOy&7/m0]$]_A96_K/0\M1+6HVtW\
U"CKCLtK$D:DlYhsKX-Jd[PF>Z%#,LO7=xNm9$DeLpIU?9XPfqcpL2:3R*tL?he=Z
U"U$[iggTK:IJjZ8Af9C^k*+T4Y2w2yPL'xAN66Xx$88)RRdw9KuPF<HhbmRUCKT7
U"8O9'f2)nsMia8Ny)hcWWH&oI-2NXly%Jyw+$I^]ZN%nA]=aDotTo<ta<_n,27Si
U",HzXJ9>CWQ^TEIiF#aIpxDieoJ*FTgg.7Sx::?3:2x(E^A&jJGoS$X\^lyQ.nYN
U"LuhQ6_K.oN#F=6*dh%Dv[zIq8,DA=u*E3*n$(I7\aj%<St=BrwaP6gj,v-=Mi71
U"*8/;NTzh%C9t%0HEnBFuf8BjT])eI4s#bs9CAJ[n0kgOG)rFWJI?$79G0GhVV8C
U"0Zk]PZ?L%BYD53[(5]r:[iHx1L/+%JBvY/PFchB.jIpvhFzJRXgqXg.I67[R?-p
U"70TBv<X;.pW%n,WYXI/4(a5r8$CqQPI8EyVJ1/7V*<1Q-E?>^?%JG-&MKs:Jt7<
U"..7GzhGK=:GmW$jOZdd?VABp4ahMm=jJ7UJf,P3xD*?iH8Mw0e_#BU5wu(VZLof
U"/zEs=+wukzf]];#[AM/iTn&T)L54FZVG>BxY=^8(KXH#/>lx.G7dZ6>&k4iXl-4
U"_-m3e(ME7%Lqgq-4N]V/LA98Z.^&sI6]^OJy-[A&nn[CBT#uZkc2%B=fATc_mQ^
U"[3^9hJ8/S6/RP6FK;%eqZ3[J\_ge1]NA)n9j*TO<L(HkO&Z/:[_*7j#/<x56ig+
U"/0rOu2FAuOJpr\,-&nvKO-8++)cYMYb%&JtsIcFoHqV&.jSy1dbIZ4RfP>h)Aqj
U"v1:N8*uq7W<Y5Ss1;/tl-l?ub\?dUsE5)(y)>h19,%LV6RMscPg7^k9;fK>9*>w
U"_:zKxJ^,#Li9sn.\iunSCvrEJfM6rNR6(JkrkAU8mc5KO]?(\4s_QS]:bfP;2qf
U")a+NwzGfbr0%E[>uAgK79,-'-''=BsH=9st_[e2wAHK7tXsD*;?6eD>u]LgZ/4P
U"]=y+(+3&>)j47*fQbY9=I+I<NEr7L[20]/Z9tu^ndC1E\0o[LRd0&Ipp=VpU>fl
U"h$j5zE1N]=G&X/C/2)/(2OPmm4+%DDzZ'qiv50%5zO)w+DBq*=<a:e/#q3WK/jG
U"6zAJjkAees+nU[NKb/SmlHd1a9XH1:f)R;#QRl7aQUwnCk<\H7O.CIsn=M2i\qK
U"&EiG-rRT'Qj#0GdAc/fjJMgX/a<05NkZj3dD#A\0N1)S.\hOcKZj6fL_K%5tOv%
U"B))n79OoS4o/RIbnY(nkRQ(^%?A5VUo^rue<mJZXM$Y+Yv2j<Sqh)-ZcHTjH4^N
U"$4JRokR]W?mq[FDf^AHH%bj;3,.[J3jp3_D?80e=aG2O>=aZ+fpb?H39HRsp.qb
U"((]FYKWkZfc$mmt%Aac*v_8W/c_ClP]Xl6W>3M(W52eCl[P9M_p1:oWBYX.0<sM
U"5Q(-=ZzqiZs&9#1#YxRJs0%r*_c'5Nmqi0J)K6^7DE?*6D667Gb.M:.KDy;G'O/
U"0n4eA&+Qx&M7O<D+m(/Tlq2_v.>h2j.F.jjhbQfxZvN/ciaz6?4EU+bBd4Qm9BA
U"K$FW(seeqwDKms72ul)9'PFUJvh1F:9bFhab\APdoqj=pU<l:)4AG_w6bS'OKg8
U"ajW)EsIlSMOaeJ3\_=sZC_6r1kt9u]JZNc\%QD2n5Ep$+MFDlKk1f^&'\5$jGu;
U"U%)O>W0_JSkLcPUTR%\4KLQTuT\Q\C<$]Um9ZI3xA/_t/L)fBv=N;y#8-)V;bTs
U"63Nbt(E&d5sLIf3Pl4sz.MQ'rpyp]k5Qm+p\$r_gZH(NAi7(0pMsw0#3,n-;^>N
U"BK7bi[r:ieJ/>M+G1(KF.[>BR+RQSRL:f(%ss-A*he;x=Wd%K6K+DpxmpV?Q/Yw
U"J:bv6$4T;Mp=jpK$*,;-6O&^r]VM#M1$GAnUc:>(Vd(Bl40b*&d01A=DSFolmRE
U"oO)f)J9(V3fLa;00-1?ZPmjVPXh8-Jun/(]rF2<Zx&^YJ#=S0rY&3+gzQCZjZeW
U"p?(A$]4]Gtr/*V4.#]cGnq2BBQ5M\efJp>EHsMaixT?G=n&zP]bNmu]9)JY/7nq
U"=ggeMM#c+mRA5H]?5u^:0lBXQ_=M>'l.I*Z63g$lIb1\68^\'Rq3jjR>,K2B=xG
U"eHQ)Sie&a'0I%5t_njpJ59.Y<WU0r*VB;^Bi)7[N4<b+KsdI%wh$Pkfm\1]g1nV
U"(?kr*atc<%lm48xWG'_)up%&'9%%9%%%#-%U%BJ?xT[TZi+%%%Vs%'%1%%%%%%%
U"%%&%%E%%%%%%%%%vgyn.ux.q%Sith%up*+%%%%%%&%&%%_%%%,=+%%%%%
END SUB
V2
V3
V4
V5
CLOSE:IF S=196AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBL.ZIP ends here. Last page. TCHK:196
<PAGEEND:"Fido.Faq.File3">

<PAGESTART:"Fido.Faq.File4">
'>>> Page 1 of QBM.ZIP begins here. TYPE:BINAA TLEN:79246
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBM.ZIP",4^6:Z&=79246:?STRING$(50,177);
U"%up()%9%%%R-%(hA7Eqm+e,9Zm&%N[%'%1%%%%vg%ynux&.rSiRtheLq:J[1?KY
U"paPjxoX9b+3Ft\F>9FqpA=Rnm1TIp'hm=X#Q+ek=jQdKempQ#(y3j#\ggqmHtV9
U"V4DqFLQOd.oJxy%Ozzs%tst_BKwRb?Y$/_WM%o.?fl3Nhb2n3]]eZj#xN0'OO3<
U"anP?9]D1x56q0hdr<;JJ'liLbWNS)hE6)^pnV%erq7NOJ1)*jTA/jmUgh;B<BCO
U"$r)NYg3p]cPw&p1i.L5b03vC1Bp)7SzDKKbYhy,BFUy'DLgwA-Ih%hdBoZ5<neN
U"dN9%,mN.-&LB<i;[qp&5W+9TuXjaxyJq^uDIsn-w#k9?*/e1q^/3kPBgrh9-#P9
U"</:[mAk*LDo>Y(Tc;]&xYP5:TXg8BK(B<km%ITTvHWQ&C]5d?1b'#bF\;JDJ(aM
U"rahu)zEO//ZhXI6OSOT6A>B[R'(]:P?azyD==%L\k7]LC1TQ8Vnt2918()^\:pz
U"AKEWfW]bgxE\]?npif)Js8zORi\d<KfuX63(>.dO#q;'.2GpFY(RWA[7;z7S&Xu
U"N.t,5IcOCi-m]2r)=,.Sq:Na^:3UgneuS1NqwPBNuY2RsqO<,8fQq7P*XZ*DnI9
U"UEAmkkl'u)q<wt52%</ak[52'sYrAU5x9?T0LXd7_iwR%D'Q<aRnG&%;y3Riniv
U"CBHK-BnGz$v78UUtI\,\\gMkP4p1&b7&_r9F6ewid])TVN/[tgxH#x1/x4sKMnA
U"e(A$hWp=A2Y%C^NR&4B'2y2j)Q]'lg$upwX7VHP02yX^gHjT]VGb>%mzW>RLhXn
U")Pi':a$ZkXYdMIY3RY2TP2x:b<QNS$d/8C[1J#yH0P79LYPv3]kJ87<j)aq^)/%
U"AW4D>(6<GUeh-gfV^'frsFQ^EK^33i-4=.M5#Q7rz)n/>J00QIpT992X?c$K0k^
U"awS6<)C?^ohE)R'#rM3G,^f]K[vqo(0'^]C/X-S46+#sILm*Yd-[a?Oo*yB?BbS
U"^[01e2veWYj:*s:Am8FYsmE_yhJK4[3+)DujvL>BlM'NGV^;e3QpcF/ZLGo=y7n
U"r0NkX-kS0k:Iu1&mG$km6]-AIK.'734d8Lj&R+Kn[9R)S#U[].$1c_?\AszJ0cP
U"wGlxou2:V;e+%;mNk5Cj)4PDkoCxLlmWPiusohG^9<CCAoqf3Nf#&qG^6xXiq<;
U"$BYhS8Q<%WzNW]BoPdGd'&f]pW&:MW88BrF_mAgn^[UBH>plh8UyqB,WjQJtXB<
U"gM$;+#Q=3\7nm(fiSMB_3H:k710k=0^NA*ckurS44Jfi2n[nJGfFqZ&R2pNFJm1
U"5sH:O=TX,0CTEC3:Cc9fJgS#O%5jK.;N5P.S85+,rU4r6,1(9OJuV1x+9%)K_8T
U"B1ikUyqR2Vg]CUaBAWM<&^9##f2IxLSP'.4nkbLCs^qY*e$nvh<+Ct(2>c8uBQ*
U"G6RcKn_x5Al9n<F&dN8x3GC4\SVq1.6VeSN<i+(7kkQ7+dI/5,>I3OR0'8$?A+6
U"hDcJK%x6KGA&</'#8l<.#tbN=[yO/SZ]F<c&SUSeXV+$&EiJ0eLc4so1P-S*#n*
U")W_.UslG]k(>oax3a>_9+qOQIIpFYt$6wnk1rYC:7Y-TJAR[OP6_crd#dL.N%Xp
U"Wi<JK3%(j?PRG&3$zp>HVJq_k:EtRF9VJRuda\[mFlVq)S;i0n7g'=K94s8lqG9
U"+yRFUTa7%XH$527C%'q'Dfn'.wYDE5nV4D02j(&EnHT]?RM*zS&BS'mKJd4AsUU
U"^D_YhuPyfs/(zp]f(BG&0WJWMQ)7T2J0LfPr)8hTA4W,Eq1H.i+XMY94j8nBtZQ
U"C<2(.WMAhk56Qcapl6[FsAx28j3gWP%B;&<UJ$4wg)OJHnz8XP6lc419y>aT_8m
U"#n\\8D,LvDFwh3O<+9,$MWcD-RPq*0>R8(RWB?M/#8x[0jdW7G1GAV'szEKe+Lt
U"<g>It*(l2rEE4x=+jhn&?Z+5>iE<N$HxJottW0]2jQ]J3X_3p9G/_b?0uuW9*2j
U"(LA6Y1ltqRW)r\5wQq*bp9;RW$nn0QaQN#hA0hDmWF6?c)JLNXo8LgeSY)N,?CI
U"xXml2CdNpG7,kHfjU]bKYMf\MtRzLv5'f/U):cLrjLNbCvVj5YL7]sNSUPK/?,-
U"&1-*xxe0laxfv%TruGk/xfA+kS&4#v.)?%G(HYkRiT-Y;c)J;jYs$-B*L#Q]:b5
U".M7#YmpX_82/:.e';MKOsL'UQ,gO8s+;kaJc2lq_DFFX^N8w3=._]0wn;R<P/BW
U"+m6?ok6p.I#E_Sb,EQ_v=87Vb9bPP<+<oKSQQViJ?aM/s&ol)?FeB-X\h-WNI0p
U"nPk26]&*uIV1(.(PorHRh3s\Jaxqgrq;i.1ts58;JPl/9MyMyiY/RS=N+;g28p7
U";m$U\]YYx^Mi3NLsudA$8rAoLe5$xYSfvoz+d4#:uPCB&Al]l.]kyJ>I2.$nt5s
U"dD+asgi/XyM.vF$KX<>vbug8-/$>6amfT5.AOBNV5G7IHaEx<Ww.OW-T:waoSKf
U"%RnI4ZXONtZr_^4I4tbX[oQj/0hw3lcxNqVbq8+S,zsS)*WU6ni-88nUW+OzD8e
U"qX1tGG%eXAS3g=D9<G50hI]S;#jk/<g-ffeDo&W5[)gX_-MMP;xyRf7,'[yH(nb
U"H&?+Uo*b8]k8jkp+Vc%\&,QRh&-x+n2nsjfChDdWe(S;,b::R/yHZ_9dJSyG9vk
U"r[hW]^#G)88CpifJVvw]WiQyQ>*C&:>T6IG;gw;a)*n=Xs?9C)n#gV>S;8o7R/z
U"n%D:l^H;#wIh$VgexQ^E^rD)b$]8+ZI;zq&DXYC7b9TWB9P?DSudD58+>CCl?_i
U"MU)ExEg]_D6;lTqSY-gzV%rJ2Y.h(iK&+8E/=?b=orqGGuC]7J5x4?S7(x9h)GP
U"Jv'EI2hBr;$hW1ox:PU_7aRs9B$,?<S9)BHGT'-:n9^X3pqpqU%-<&yTn9%v(1U
U"Pcs;Vh_1t'GZ#Y]u15,mURfNdYAYF#VB]l#FQN5:3/r5<%qRPP,SxYC,._Sm<gi
U"orG_BCB-Z5.n-Bw)ds[yG%kxev\/B5=AR/^&*TCY^%qcNA+e_4EaJ^6Feb18_;_
U"Y;&571na#TAeZj,I$6CIVZYh7wO<mJA<R*o_Uq=Hf8x_aMzwDo9.<O/K%**'fqd
U"BPZhTg.<x/9fzCC?/#<U*D:01Q6E+efA/7*u)VP)8'Y\jl,.x'-gT3r1%M^k,T\
U"?-MaZ56RmObV'L8t[1x+YJY<5.k;ODB[.aU^JcRC)l(uJY=YQCbY:&B2iN\sXv-
U"ZnOMg5%e2.wRL,m$,)cTY54-7szD$l7Co</xoYQ0E2gqD7J&#'Z.+I3Ib\iLkPN
U"IF'$qZ&KK>Woe77]UOQWMa%dCwS(N854'IF?K\F1D)4d/#-r?+'\oXxV($2]#Sb
U"V;5Ur<6u$+Ke$MSal&swA7NLk4meDIjg1Fp77Pl-4D;^<av#C*(-QKhMG=#4C+U
U"gBYQL%Kcu%0k69,sd'A?XcRgwBkq\2O4;*k9gS1r8$BT'KpE[D#c(>A7=#/#2'a
U"5qTF2*nWPa^]uHgFq91aTkg:S7Ah47f/3m.QT8$YRJ=xq-0G[a[Q4PXxr-xjlUX
U"ePAe;D$esmt'4vO>%dBn*[Ga,:QlmpCgIaiM0*?n<\%P0qA3op2bdg.S\'t?RjL
U"ZhzR4#7ZvFRY8.I3$T,q']Cn?ehg^IXLJzDEYtc3HGe[XxSKoAuSG<mM\^=FY=-
U"^B]O'9osB38EJ3gbt7EWr&DEldO:mXr.Bpyj</n<TJeRqn>DFb+v:6?V[gc9gcl
U"toY-&RMii[R4#1/ZR9&iP6s?*5DFKElUQ;wq\q:D=G)?e:dg=v-pDDz%+uow&O%
U"*IcS%A0.pAxy[,.e?O]W>O\iynYe;8#JK:);biHcGs>yNaI.OVF;tCaTC2oe7\]
U"dVA>;EYinu0)W1:ER?JL*HND\#vN)$0Oqp55,'KazsbJ%FDmVRncKaV^SHdP8tI
U"aF;m?\AjiZ(,EPw=k:.gBue*s;.ra+$ZPm6WD:V1U&\Cn,7*7vYITmqai)asKex
U"8Pu_j+LB_>.%NUzrlEK6u?nBn%fn7e+rg;bs*a7n?&fVRMvZ,qqA7a2wN/WJ9MU
U"Ms%p_4UbrsE$S:65qDQW7-;(m,j8+sdK7<sAdtG6Ox)]Pd50eQ^\).*<_n/g:DT
U"\R0v8;qg1Lbos-bu\o&F>IR?-5>t?b#*sV[rM]pUGf76$Zdktv6iTwR?>QlxnAr
U"^6JsO;d#IS#4;D_F'+hnj<ZfO$5$V/EU?cR]]Y%G*VolNE1w]VTOVB7^ADNk3lQ
U"-4fGO+1.aVbC9gq8?mtVcWBb1uldc+KGLtH$gJ,64YP%<\s-ToC3g+)m/eIR_5Z
U"[$tV$Y\'WSCfwlo$[4_XoC+d'jhw#[yU+goe>VhA>QY^sRB)HIW(98Z&Pi3Eyw^
U"8O-G2n/\ko(chqZ2V1UR?DiokG&#jThE4hCY)o&./oQI$P*na,1_y3O0BtB0b=9
U"=As^,VEtQ/tY%cN6j<+mAyS.,du9Ys/+LAAVVnFZsIi_Pri%>,&>dTT+O=Vjfc0
U"O#;<$%,zs07KeT2dY;lj6CsPN68/#,YO.ai+H'6FQ<)4=xA.bRuafW1NqPS7-yr
U"uLc<2o(YfN8Llu.S&Kc1=JSPI?Ra(<f*g]Z=2EJvLg8GbH9eZHY&Lh$[;8fB)cm
U"cBrpeEtvp:CImm=f?ffv_P2-Oe18=.7jVFHKOXhXOy]+,+rK?B8B^/tYoZ^w)QM
U"3JTW2s[)U#5</kLJox_GK;Gn7hV?fW$PPfs[F1.%?H$RS(4Gc+s\4Y[U4z.p=Fc
U"'B^adK/pE>a8*&_G8l:L,ZVv_Un5P/wZ)<TbDGPN$KI$.;(oF0HY&e%z]<b^O#G
U"4>,2\B0Zm2sz1U/mCko,/[fvMh+E8DjRL<'nHMXdd#4s.Lwh+>:LHkBrdettZk$
U"j+WvdV*[hDl_HI'QcC#<GV$L+&XZ0#%fE%K0rQU1^fB<)c:oxto)^;6A(0Fu][.
U";''%.PiIApZ8-PQ^/fWqcDrBvcD-hkJGWgdkUZt^Zp3Wp2qTX\qpQ$f<P#GTA6:
U"1)b3NU59WGtT##8O;9y%>YAW&*5];0cB.H*2Rr8NlaW6L;uEEge1nY/N/XT&4fe
U"7NkJo+eW;Z0#++Gf$nG^1fRLQk>(G_YefJTPVmGEG0gT;mg*a>^'FGfgse^gKu[
U"Si_U[/#2]\Gy,/oZ3ewHXeeGQ1$GB18)]TeXImpc8*5D\V0TGB%*TX'=;l4=zk=
U"3=>:<;Djr-.I7M(+/WWT;WYH;o*CslDi+mlZlf5]WFmJQl3ap$EE1<+'R'jt,3w
U"W?/*XE64s2Gv7-c%RHYo(;LICao9^q+#&G6svQ=P<,8khEd]oIiCMoZ2UT,o.vj
U"9DU4P0S\e'&:3Efhr7O92,aKJJK&ZS7\j)%4fbZD'JH>dT5_'$(J$5eq0R<NO3F
U"rhdIxd9;EBJe&DN>9sp6_1rJyMd&o4L7ZX'a]Oe,)<%Z%a)G\CERSp)t/C>N#A#
U".rEt5M<MXC>^B0^1K=<I6)V1$Jj7w,1jS_;LxcrM^m=QK<$(h//acAhcUG4qt*t
U"<70e[#K1,_CtH&4PW?4;OQoo7G+7uX?s?m_Y0_&VB\Xr:5<6n6Vi2N6)9Z]kH=h
U"ef?9x\?>57m*p7BBfI'aGD>7ldI<tK_q9]x%o9??_Ilc(hl/:munT%f5Sf#%Sf=
U":SFml%$]N_dK=w:orS^4rlQT>0r^j1;*'Ep^5S$u.+G?P9Y$:bJGvs4lh/qF>W;
U"Z*Fp&T7u8Y\=Yb.Q00xK20)b<NbVieHk7D9bC1Y:5d7a$t<5K92VbJQ\w5XqCjD
U"'Hh46:vY,8jTeg<mFt<.t*9(>Es\H[Y99XQQq^L?[40QC]ufe(4Dr<ZSfVm+*TE
U"06Q<M]=cfR6r>Q<+dU0odC$f<0(;;hQ#]W$&ld9]w/amumF$2\>o)3-pZ]0JQ[u
U"]b:_xVi9jcflulR,_mtF$84O\LU#>Jwf0Y<cF#s'Dwg8%Bbu[wBygX?EWesGh(+
U"C<KHI,NpS.ML&$RR0Ki\IwyW>_PG>PZ(rIhKB*Fl'DbTTq2^Q-#9:At.k[B/_1E
U"[_9Z,T$cWSm=<I5G3*0=iRn(;UbOW80_d:=(*N/tx]ugCaBiZ1#&54:*(f0XVOp
U"15CpmjmYcnO>Cv2a1wIidfS*l^ua9d*Ie]3vaO6##p/JM;0Cq/.9gXS'wU&j/L,
U"knZ/Z7Y5o.A-Z+bH9W9f^r:VbYZp5AVtZoEYr<L_p0e-+h**q%dT;MRM[#YrtQL
U"cB//*/zKia:S0rDGFp?bK419&MK/QE9DWjXI+prQE0Wua4OHP;6'uh<F*VcwwzB
U"ArNSj2U2h_cjUHU?S1Q%L[&OMXgf9zDQ&#k_7XR6N1e-YQ=??jNLb)NE1>S&YUg
U"pVWa^:-*^Xt'?3uIwQ[Kq2tGCU?-g3s9(lI20egT3K9)/rq7KbNr?rB8N13iPX\
U"4We,aa'7MO<5Mu\'n>U<3XD_$pl0bfpdT7RI-a#WMD#W)2CG0QV+stO/%3#SY6V
U"RuDP:)iTF\F.9pB%iWzm:j^)Ws&\oB%qODt0.m%A]H^PSJ\>&Y.?(\tJ7%PJnj,
U"1%E2O')Tf60>NI%^CIPANssH:=RbNDMtF7*00qYyp)w-Ujg[-sgY5LdHIAcP%\3
U"gE67..gSR[q9)&NleUO5^5]ylqUS.se$Ei8dXa>fNu$*Q\FlCS:73L%/^LjnGCN
U"X6(U&A#si2]O&,Tn_*FfeFO<k?)#x3[da(vbYuF\chrgXKi14$OUHY5u5m\DTHH
U"w^Wn%&7H59l>Xn'>jc-rY2W.GU2npS>T&V^sV7Zapg+$6.gIL)pz%0(//v(TQ\H
U"V2Fya1ufnJFcaak=5V^EeNwUt4S/PCT_t4ewqUF)u*J\JESL0ZlIj1cL\2h7<4#
U"AMl47+0oL'Ja_[2\=QVcSej<V;H;1fGR[W9gEjRrP9h3Eji&WW3W;;TJo9oWyU,
U"kviuW/mbT\6t]mb->)'5Q*ZHz?JTiG-h/gueGMSVgY9FUQ43Ukf]3,&-k^h<qz+
U"g9LukQj6/+JPDcQ0pPrNBH&Cd6hunv^D?%ewzKYVC>%#4=%'r5n$<a_dm*^H]&4
U"5un<7wM*h)tQ45/3+^c+WRU\0=wWE^cnbYVUV68;2s$g-,Hu>'$pNw*=lV7\Ql-
U"5u/H\)SGu+8Hc8(d[9g5<=]uKQsP>CA'J\5'AR5hR;m47e4>wJBF:k^aF+tjiEO
U"HX9VJQ:D4pP5O2<bE^jpxtrSRC2(U.oLc&uAJM&,]%U/D*1o_M0=k4%964(E7NR
U"oEv5r:Gc_3Io$=SYe#QQqgAV*FbxLm-n2qOlY8\gV)6FE'($=Ybz&+&_DlgtDmZ
U"6+o27P7J^jYW[9HclU]ro%Qj&V+RQ+R&QC[wH7okIXiI*d'MF//2,]xT\k?H\w>
U"8MhPhL))4_9\_n8/=HcisvOJmdgRnYZ=YnCozjq=d:YDOToVH37&*:lM.Ivrg48
U"KBwJ58MHt)9Ra5*Ri/*[';(x_ok&pPB3Y^oOQ$]M0naL<UB1.7%Py._%PW:R#T\
U"W:<iQS$4q7boS-O]9k[dh0-Fj-A0KesKXYW_SZp#.1u5TmCz'+Nn9*W+$Q4'#a<
U"8o:97+$#q<>36Kf+(NAy)*']UCyCmm(yz(T^q)V*7Zn0yLn#r_7FoVbFAhEKrAS
U"NdXk5,M^f1)90%R()a5t'JQX$syESi'XaBIbJ'^9OSo9>+Ud6hA<rgva]XmCbs%
U"#y;:tUjH\-C[lKF(_j'##ozfsup5d'OmBHn_Gdmjz??wCabFXVK)AsFpRIx]gmh
U"R7eUQeG-a9lP96xMPpbyP(^*+zoSo6R'#uX-E62H%FK81y0mZn^Z(m(,XBk),\T
U"B#i$k0bN^ZhM_.7^,\Hv533GrR0ECDv^;XSZUXQ,Y7qM:7%O&H,3cXe&&(6qG+$
U"O=1G]^&gNm/',FHENAyJXlenKQ'SokB#VdXBTCOp1p[TwdYL;(SOnjX</Th91x-
U"25lkr0xDig,1bYB5]F*]S/X/j^_QmE\9V$]cOKvY=b215*QM_Y<z'DNA,(F&.V(
U"R^K;n=rdJ[?pn<Bt>hDmc>)O:WhKLusHdWFcKv&,(3.d[TlA\L<_UGr4AR%#2mz
U"DdIW3:9k]LPVU0'4Z-SQ#GaIr(iKbM)92i4'6V1%btUnm.+2d2m%o9WgT+yAu1j
U"pctPPHep6IWsml^Zk-;F-1(?JekFnv35NEQk#mqN2S*.tcnHOBS<(eaZXmGdlH?
U"Sd:)nP+4]5[e3N_j*7cG>4:E6D(8YwaAK-:eXt=G5b28O:i.Dtb/s'G$ZAHWPIl
U"[)\mM(01SU8L,0]HKO'I[hfbrX<9s=&2GAKwDuBJ9SP_a(5g/q9LEV-Pj>1Qq'(
U"0_btkuAY&h0[uM2k.MF]F]JJD3(a+4(V;22xCCz_hz/b)\yRme*)WciVEtRaF3[
U".390=;(sMgN=y-RqK.EBP\SlOTUd]*cU3O?tlxUlr.#pBy1wd;rb54'GgTN],79
U"1t9[W+skLNs??l$6Xd-Q+B%7oe]4eho_>IFn9n\9Dd3ldfvCZM<Yg>/=VbMCv-x
U"8$ivsnY/_4mXZ);SE$VZhZFGX:akm?*]MF^$o7ZUZ&MLb0c3K0%O(W=3ojlp]1f
U"7q1we_]?tf3/rg^LLJl<3F^31A\7XFN)/7<OC:N=/f*?RU+BM,2E_J\3]FNq_*C
U"#.fiuSdNrJZNnpY]Q(C-cV[yZ[:xlAKkTG%<<IT69ag]>U#8AG#[3-RreY[XDE\
U"jhj0Vi6\%p#SvLI^&.stS7#h;VkdV<mrmsOcpWNfLa8s3-=_0aA8hlX3'M^]L.1
U"?fe&9Q>fiA?0S\gG*&I?Fi=\zUjjg/iKx=8hN,+9W.=F.gOLOU;7U3fwag34EI'
U"$Mk(>T,>I%GxP><P/hC6[+DYXReL;)^Qj.Z6_VsX&]#9.F1Nz29gQ5:Kat[?5F[
U"-[+DE:(_9a'JiHYyLkF38'8/\9=dpe\2hHO,_#c42j?)WvWbEgH2;ulk<j(4um7
U"D&UXH:rBvs%ngb*B41BmOFMkrmsNf6oAwXk;/?CY,?QloG-GILVGS7lEjhdIY1m
U"$9vvI_gA+;%gOMD(nU(]N>HhK\fqWJmQ7b?hT<OhaCDhJw#u'x<'+[A2KlW0--,
U"6C+od;tf:jlo7Hh()p-_V%<#Xc[u*&q?Rs^Krb%.=(6d]jO's(+6D1Kgu)9>I1,
U"3<T^#fE+mF?0N1rGyFstCd0w3PXkF<[X.4S*iM'V4*;+^0SwJz'pL)a.AQh#?.;
U"/:Rm'\5JWGy3V:_X=Ehks*OcpQJh7nCV_j[Q&TV1,uWZuewK3s+DN4X($eg7Mgp
U"BnSohk?_^#TP;ql#YEMT5&nB*)msr9Bwo,.SmfeRS#&I98&XGKLRWGTY7D(q#NY
U"3k:OUVLch[i6Z/q3G+uL[(*zRyHrB2PA-$NAPvB_7=%+2YDXqN?-S)FL:A('F.F
U"?kRIEZdz$P93Dh2CI+9+y#&8UnG^S+Osh7(Gl+aAH=Yn60iN,hAy&$#b)u_'Q%w
U")GQ%E66Py1'S:]D3IVu&6P3B-a:M1I#.fHF7hn:B<ZkUn33uGkt)iMHMsBgQq/7
U"fu.ybGEn_3iE&/X&Yi(uXS_ZUCtko2I24p[G8QbG(b#ceaj)yzT]I:V(lO0HAT^
U"fmQSprL#eWRG3ZDrH^H9GWIF9;eWNeA+#:<+=':;LF_jO31UBnWX>1LxD8zg_7F
U"'TPd_UV#,(ge4#xiL<_11Je.+S.#rT.^CV_IGoPiYf&oJfakG$OiGB)UNBIO6)e
U"3MK2ko%7u?[2C<M\3(]6x[$5UoyOhownNlG5Xinh1FrY+p'X^bkup0%DO?Sw3Tx
U"^9DK&hDWlim#^\HIeKldEG/$O%PG;_o:-SX1dJ6g&%8wl?bgFg)'44uFv*Q81lm
U"o88nnT)-_;aE#x88Z1Y/WaIGD7PEF]Y_'\xv4Lf<()nxSafP)l]FOfn_StC9n-r
U"'0GI:i<Eh$_W.w7A0qB>NOirq\LH7t2w#._+S_R4hXziMDA&8h$#Y)7T8hpdRO>
U"=Q^J9>*izoDiN9%Wmv\ic0v6s%QsGR<Lp*K5dG.DU8PHBtFqZ)U)\HuNUFvJ45r
U"H-r-W7?0q>pW7Yy6&'qZOC7DLd$Gi.&gB4f;[/rKmAlnK7nk&Lt'egZ,)'O7b+u
U"%yeh_NvLgEu\[v:D2^jhl_9%Bf7AQP2^d*.AWNn$Q2tJi)?2qsXtI9(Zd/Td.sb
U"U?8^#*?/C1N4hy4t.L43t/Qm^>>[gS5K:p:J?7Y=U<2We]%HEf8/gUl8hQ=vmHt
U"*qgkLqxT:fh(Er'MyMV_Kw2?fWoAh5mZay\p9.rNu#?[(:I#T18OwAawg_&ctRv
U"I?HZmIs3_V0Z;c+Z.Smac?9]+-B$K\+*R:zVZL'MAg4;BN[uR.K2Ppcji68<Zo*
U">/rHl<0+<Yy85Ov<MNgzwP8bmpu#jE9KZ5LY,(TW:kHN1,ZRd4$Gg'Qpu7t:YL^
U"aSP)&c_sSOtSaPRuaP2AcP7iC8o.7;2KdTPC6GNSb.kJs_reb%WG-_+B.e\,D62
U"TQbJXB),FtgZB:?3oC*vsW+kA'[f/m9g(91L38cW)8FI+gU2s0hffW*&O2/P_^g
U"Q?2*$4P*Y:s6/uUh#=M*07XD[nJj*DuKNkHQ8qamVjlwJy7?9#]wDk-DrmIM'Q-
U"qTXj_QS&3iG1TN[=[EG'BFfB61ouj_6=-kL0sZXB3fSZ]#Yq<uzt$\Zc(Sg\xfr
U"qauKo>:,>'cl\LO0;.+'JL(Ox6_ZTAFZLE_N8Mos\YXGUsBpfm#$k=&s7&::oc-
U"dy]%q6YAR(ZkRvL*Yf<^kCaVr;l#iEBxK^PKVK+C_.83J3\ya/&I&+bhX78&hgY
U"q8p3*eT*Pm-epX\8^.Ah,o%6PvdFWQ&o0rvoNh<:I-=YQ<HJ2574Bs(m]f[&MMo
U"8^Mn99U\h+)acu'eEb%'i_?\_WVEWS)YWR_pMXS+l_mJ_7T/]Jz2)rtgomxi0On
U"2R*)VxmO&O\,ZSzd2e/$/Bir9aaI73>5E[MrMNsR=_zml4<fz114See9_9om80?
U":B87oecZTjV3X=T=N;\SepW>zhmmSs2[hBw5V9=L\a;Q#Iqz-11RG?1pc$OR_b#
U"D,lB8gTYX\7%8#lPhA6b1NAe^R0R/#qBG)Dq2T,S1>Tdhu)WGxm>8R4OtZiLMw8
U"T9YUMj_IU.J1hPp0Q7*h<FZ%0$S?O*(^H)Ed?K)ob+BQNAH^EWFJ]U]-V=4^Z%H
U"Z[TTJe<mO.3=JKhRWh)0R,0-c1?'u,V[V#+_Aw54So12*oZYjmKexT\[ebk%#J'
U",:>7bjL%KpSXF9N*2O-1qEJqEp08fyB_OCg2jjU-#rT_tGmXJT+qszWfF*35rW?
U"^Ri$ju7w^SY(/jh1(:Ns/p22epCEhS;<(WJsEA\F%[)NYwYZ+UglXnG;b1Mj<LN
U"hjXH<LZCX4=^$VOoE;4=7$lAkM;w-]I5<bjOdPA,Us0(A1#b-IRr,PRYBxIjf1G
U"8KESvcoPS5gi>Q?#>V3W#s0A&0.=A+W,Q$Cpe'1,%(DPJmSpX[TK3ZpfAoGVP]i
U"iEE6=Ni_:P^28Ilw-9:4>Mt&RtsrO2z6/C2H6Fifkk#k?ivA1by.+Xfh,bXkc-K
U"RO<RKxp9_Omob,4F#IJ]XYdp;gRT*^?L]4,70lrHB<u=$?\L5RnWvA2OZRf39Cq
U"DnM8AR:6HvH+WcQpdips\QL8O^c&5BM>W=LQAF8Bghz&>$0:7%,N((3yvA:1lqb
U"^c]zsY*nrX;.g#MSL%v2Nx[]w#CIcKbRv&.V^(PKcZG)sTb.T:[URi5;qRj=qt^
U"t$>^Q^NJB_1xQxpurY_OatPS-(;F+3:6]D)S+^P4yqo:<-drSMp))Tk,qBK%^Fm
U"PC(:.0j%JT\f,i+xOyyV\a99-1qX1C=i^O85qd\MUrMVlRI+O;otgHBd##-++=a
U"'/myD:LsOSb1?y).'%.g%l^XKxD[Nt4W3N?bXqYuUO*:F?]i/bH=hHL(csV)W]d
U"NJCePE'sOz:xFb_P=h:G'Oh;+U-GP'e5i9'HU7\eO?uL3\Q=[GMw:04I(\]Vr/U
U"':M3[_2/,:KdH**k933*e\lA(=tYhCOe%c539lj2#n=z62RHv[t_+N4JuwF3D=h
U"#UuBXVGZVdkRSJ.5e$9*.5,c9$.<5a9#j.q$T_nM+6W6Y[)oC,6]Br=1\^9&^q)
U"AQTL3u*7&DpTh7YKb>*R+/IWCn8_Odk85&d;&l>GQeFC:3._'JL=G0hgmPH*6SD
U")]/C4ipe<;':CC6qLKpFbFE55Q3p1n49sCIOjh1o\0.5KRC-n2d+fQiSrm]ou_)
U"i,+-R=TEn&(u^4>_%)9lKiL78eILZ?)D^2TOX9Kp4[VMUqX?/7I4'4$%D+:HPZA
U"e.^ahI.0gl[cv(m(ZUCZ42XwL79fVM<]a](?Ar==qq\#aW5LZ8ICF,K'80(Z+NS
U"ui(wne4&y,b5d3\;a4fn'4)yPC%?V.e4Tm%\t7LdQ(VoUoocsfCM*;25qBL'bw+
U"BdfRWIRU^ZoYh]I&/e>ipoMI=(wf=WM^no^Cmj2&nb+a:#RI&jTURoPjL&/Zj:^
U"a64o'kO2p=*+'X(al_qNBBFrr79(RUM-RXH/0%y/kBt=Xo*9*q]biA5qg&J4&m/
U"d9]D%zhvmhOS:,gJ3,FWZjC%=9_[R4eF^REKW&sFb1og'NDDiX&(0WRd42SaAT%
END SUB
SUB V2
U"oR[AmfT5e)UkW-\K6Y*<8'Ag2#uRYQlZf9u5E,iA'(&7]G9#/YQgA\z4B*>*rO>
U"]oO:2JT.kL18F$CIm.ncFEmv+3Ej/TcX.UN1pO4g=$q;YYK_Fg9.E2VQ$D>g91[
U"QWN)FMx[b8+C2G?/[WJi;;9x;Rhmb#Cjrt0hUx7i:s>E(c3wZJQnPT3u^5wWCf[
U"DnF;N5j0Pof^Y1f*3'VS9dDV?%ABFg,0NS;'pAEB.%YdEbLInKR,jhH.$3MES;x
U"*6kXl/+Fa)IURD$4_ui,*x7pxj&c1Xq=B#mb0aEQeR<E^k,lYOCY/,LObpWjx,-
U"G4Icvc1Hw28N<C&hF^9cVU8[FkhLbJk(%l_4cWKcix&h4Lz-%X_FrOpbT\[NQEh
U"nM_z,Px3sf?xBwy7Mlx6%\q=SXxpzWxoq:<M4CB3kb[Q,M]Zx=-f>5ssH'>7Pxg
U"Qn%hXkhlk'uDXKZ8\1GkMmm4\e2n_r++CwCgjnt1[ZF#mSc,_nn%>[bRsF>pbL^
U"7$5JD4k\Bn1#iQZ&C[k7n4P6\wjw8KY&mIS;Xt=[f0kl]pTGDP.H%&b]-F\mj?+
U"rkSBjLL?q+[tql+Q?//tdB#G]\7b4db*SQoj$*h;;ZLJn\nJ:AF,,2-?Bei*%m2
U"9rb&U3sbV/UDo;)<Zm$?5f[SvXa>B5sQlh^GN1n[f\cxU'k4V$(C[DdZ>#&^YO[
U"H#(OHJc05T?j\=xnO92tUw'thA4Py\IAW%v[&s4Bp$XApPl?Q]wz;XB\)o&C('3
U"w[\TLDbO1*n&Wk.0WN?tN?K\rC.*X??8l.6dOg9Tx=8Nrpn8Wt.68/9(C'CiwIN
U"vlgj2jsFjgV82G?ZJIr=dIkO1FsJr(Q_G?d'F=2fKn+A$aYfq[Lc*PY1q#xk^jB
U"p(Dl01.>eX=Jp4PPpdZXvsvm=p7t#z+91Pm7M3ST+vh6qnZ=X8Wv)s:8=W)\eVZ
U"No]R^TuZOMpLAh2bSuZR0wEADu2-un7Au-d2X+U8Z](REXs]kk^MNR/dpG&_VMb
U"8M_=N62lX2YuZ.S'XV+l4_r8-/(si'BViA.*f]/-M1j3Pb8?W/tGa\YkkuP4o6<
U"A\2,crdDf9(GpLrpfun^d<n]DukGNFzTX$hjBiu?n*vI8A_G0jhw9/n&GpEQRk&
U"v96;2<n=PH1\Eqq8?\[kQfJsYbC4+omYtT$1os8#D1Xpl:9L^'E$H_<fDqgS#u8
U"C,XrSn>mj<g.kZ%K'YTb?P_86<fpUVL>,QD,jEmpq02o'ad.P>>Cn=#C,vBt3vs
U"6h2Xa;J7xFku8Axhe6N.0xHuJ1se6o8*:LXn=FH-NorgMr[ekEM7j1Ir>(kEJ=$
U"1It\5QAZ_/FX21[JTl([<1c#ZcC&zy$R5Y$+k5-j<fO9,+-S-:SqmM;2+u5s.ve
U"jMM_GM#f,3vz,6K>O&fV&\oT1M-ArqHDV7a6>;PV$&VEdt9>2bP5?/glqG#Y\^N
U"sKvEYNV?NCzbN0&>;.qqDn=O(]0/GYOL\f&ZK/KY^SkS(eJ<hK6AAAL?Y.hXt+]
U"'75/JE=e<e[Y[Vr[ow?HwX_oa4tFO[u#Rk3++t4Au2,/d9nqtu,rLYbc$9&iT\T
U"amn\PT)xvkjPXK'$*+p8DBK/<P5.^XO#EQe(rMM;Ga8w_kj((_&<zKcRb=SPoK]
U"aGS,au2RJdRluT6'v=,gUMcGbd;eN7O[2Bp']:b8O#&d;p?R81?<=\cFvutm]Pr
U"mNl<WwYHoh#HIK\yy4Sq7h_LS7jAL90DSdN6RISm#j8J4#;>FI8vw;uU3Ja39Oi
U":+GcZ_5DS&]D+pd+C-*KdKrN[w#fk9/(i4U=o.(rJrcRk8eoUTXP'wfP-x&VMYF
U"3<zY5$kv+ujP_:XJ25M,rK%3A;T1EvfT/sE>rbFn\3]meQ%gNfxYelm4Pp<:ajO
U"?=VT6Zwwf^lbo2j0HTvL)b>f9F%[%D%=G,5T65=6$pFEJebdhFF<uR<[xIxBe3W
U"Z\%U5.R2<^ft#N3$C/dD=H?;^?P,%-9>DNr_o/nic44;3.CBZ_'xm2am9sF/-wY
U"[9\g)ES0rM.D5G,Tnfe5HTZC$RnVvdSR8c9Hdhorl>H<rDrliZk#_0uZ4liGj,Q
U"C,?rdbuDexRM83N>^?\rD*h:ydh)u1<]hdEWYbo/;e:6'7F^dSNcc%#)?QBh_C_
U"nlX=a_KA=Jk57s\WYc0qyBFJ)dDy$vWUk[?c3ntV0jv-rfn><9En('Qc/l$iLlQ
U"8Gav>Z<g^Te]AChfcNRjLz<8JjLb8wA*GLI+?q*1^jc]R_geg7+\I60sWAsv1UL
U"Jg7),Y]hsK3^'s#:mE*1SbM^a1:*VT^Se0%N=,%en=DH$GARE&RjM\[%faHI,Dk
U"vX7wqWOtJG<m-E*8kwdD\ocWjc;zoYJN6Afb=DkqM7wtQDr?pUk\^^\Y>=d?Asg
U"at0d[Tf,$9)Zx4qR3u[mqad=ubsmlXT37Mi=cl5\[1he>m6Kn.mCjF;g21Q4/3=
U"[,?C]ZRF/m(i+]B.Fn[.0)>nSd/<\1Z.1&OfqWeSzrd1<hx#Aqm$YMN=u'$?]<F
U"eDnj*M_>YTJq<YTUtK_K8n/Cd?u_>1irjVXl:)#PaEnktpr+swii*S<A>KxEiHK
U"Gq)T+48nAzbpqjRI1diAMdHvCJ8S[Pf-ezfGK06EG+AEbK'1KSRiD\'floFyRj%
U"8dQrQiDBlgP74A1lON#Fe+V7:ziKGHE&e$Vya6RJZVJr#^5;<\1KDP=*<FxC1X$
U".c9rfVH32b&Je.e9j*b')&S\hm>5/J1Q>UG\)nJ>pLJj+gi3==e:W?2o=c.at%Y
U"4hSewJUVS1#Et:5Q12%:w]f*ifhp=-D5,\pp=W+AG>7\^Z$.<OwWMkbq<n65S[D
U"VU-/P1N,RIdgFhqrWkFWR9yP]:(0BQGHT;McJXZV_+*NK4Y3:,pXDiAPEAgt9c[
U"lo3K[WKp+]]%;<a1xOR$,Y_+h;viR5\Qc*<]>'7_Dh7yIv21V$2dP;'SP*g_7;2
U"bwdn'('1m%eMf7P,j,yVHWpqKx/(W3VQOl:;<Y;[0uKIbN2avO&x'%+$8]4Qbc7
U"#p3M]*ng,#&;)4QEA_O4alTnpfIXw#l6))j]gqs+0Gsr>];%*K1EAo(8t<5A78y
U"[8y4B1pZLR:Vm4\gSPXV0GT\38&\EQ<yIR[OD.V_TMZ1]]gEkQr_r:qSU:0vX'q
U"(f]lX6Unn_,wT_02-wI8XHqq,Ac5)qpP_fngBSS;?hvd*_TVQ-rmft+>&doKC=j
U"<;OJaeLF=;:q1NOR4&<2dqUSMU#_F8qrbLiO2X==IMDN'2kbrpzR#8y,N\=<*tR
U"?klu<LS=d?u\H&ViLW+L>aBoVG3lCQ?kW$9atu%7rlV_GV\lMfe8X_[S]$wm&?[
U"HfuE,82L0SfLsbRU;7PTw4-F^rbbhw\93JePTI+6t]]*Mu:evIN0mDK3QJu[Hul
U"6GqkOgT$TwCm\=eb4ZYL*P*=$Ex:83Hcp&vLq?i;t7%acbySe_C[v#BIqzB9h9<
U"7CGN(7T*xJ<]A;=*V3_vMO3pK_pcq2szp>5Ka(3BpcO)p'Di_MhH4&=Vqcb\aa]
U"C?+9b2?$<L.YNn_H4rwIW\9g\SII[=%UcI2DU8,VQCEX_Ts#=='EAx&*G_N\5aN
U"s[.H[;>tdmG?x(Lzkm_Y%,L/7rKL.WO5K>W-I*Vboa)oG&()SLI8KUQM&Q&DRvz
U"]*O?D4mO-X>P^HJ7X\oYvRwRu,>yr8j+Z8tnoiK>L-Z_*_uG2-V+LOkDa-A#Jih
U"^I<>#[vz([jgUBoX>\cIT\o?qqx;Z7hc8MV\4N'1V9t,metE(+4pc;$1YtsB>(Q
U"j;<Y^q?#1/&ZZyN'YkA-Zw<;oT*%XU_]b,KRP58TN)prM(mD/&5V%P6(_)%]_3O
U".D0I5CEb4q#a-SRc)'#0+$+=$\l0:7./P1t$r8/BwipjtX5E%CgD3uroE]9vuAk
U"eV+l(dcl=uc^iwdYxE(QxQ\7JFUSJU\A#n86-xnB=xe:Ouwlt^X[Jk&h9T;Yb^v
U"PPW=:>],j:GTV9GdBHQ_qBUpyaMnTN&iCG4EK+;%h\&2YC;6y$4uFWbB=Uorq5i
U"CY_njT-#LLL8gVz6DEfOTjf?gn%qWDV*^S=?20=QrjQT<0R+'7E;pt+em]QkeHg
U"Y$M$xdIL3br_1-bY^h3F<rPr]=pWWKSd4HtNEI<3=An^kn.bWQI>fcZKO0n>LMF
U"Qgd,9EtTjz4xtyk\Nj2v.34v^6r?6M/8eMOzo3UezH9&^8yu.S\Mn$T4U9&EX2W
U"F$.)]p<m>-&I#_<5B#:f?:#5Q&W&U<Swxw>)k0'm\CT<i[<U,k[FYwe6[TTPj4'
U";XP7/flGaA#A>&*&63'>i&m8CCRC/(tZS>),Kfd^fZ0vT0Y=A8[qSH.Jty7Or&\
U"xZ[]RrV,hB[[)IN/ED8WM/JYL)E;3^;2Ok.fUn047&=0??1jHCojXpce-4;<e$j
U"Xs1AYo<,'/W.-niAlB^&*2V<e+v&4,H;LK65]cqacGO]7j\De1jpRyjnjQ8RWcK
U"oAq'xW/iT*4^lmTjcDD;]k2>-zg-xg/u(yy<sCHNvx1_L2y_xeOvu4/I8Squuom
U"L1',oRo.pNSGg[Dy\FnS($<D$$ISlZplJ4+l96>7<OfjHxG5Z)t\X92=1^H9rn3
U"8i$dVPlbeAT%=3XOb&d4qlF_=4N6IMMl5%.WlR.56OY%gOYqwKYp^Q&N_E^Z6$,
U"(\m:q0'[5B<=vYKg8cD==DF%TbPxr2e(muwLVVt:xjnaJXQWEC%x'p(Y:1Ux)F2
U"j\<-*:V7FQD*'\[MVMJ/iE-SB0&[zch,wdujk,D,mJ#NOt<6nSkW69f?Bv&wm*9
U"(4o7w&ggi4$6a\$gwkM5yBMY'7AuGls'Nr;\Jo0T39nX0v^nyJXofEP-7e,QU<V
U"p+1JE9]a#Npax]fMn[8K25jfYAxb8npdH]?RN'OC?yN=>eLQhIfX-%W(E6?/#P.
U"TQFTf:MDD:+^(Y#l8%v+0r7FN(Ec\<:r*GaVp\U,nFjB=<c?vjg:f.0$*48LHq-
U"=M?J1bZ<6&*GNq.4>G1Bo'-qFAZZ^n[.lG9e_*ZSWU5MvID,PYbRTb7nLP(t&K\
U"QY/rJ-f*YvVv]l?d$C3sp#D)GMC#-cO[,8Nn0-VJ_TDd5hk&le<aM0Rtgc5Mt,U
U"Vhkss%7l''&O2''<K<cD^fuhW]gQqEu9NaOq,N6+DmWl&&Z1P-.zqk4ps-rKV#9
U"Lpgk>y>c#K:S5.+o0gztn--PWV\q'(Y9\Bn0_cU&>PMTs_P*K8\)H[sLprQ:elX
U";dCDf.h=vxf.K:0^Y8_e-[jukHLkD)9f?k^>BeYXW8h063IMQHgEVX$p\)D/HbY
U"Z94u&r_Ne_T9cc&S?$gD)jEH^)Y-TUq_(^Lv#oiV;l2oLkVN0cG^835LvRt64En
U"0dxBu8)NppJ(XC8Oa4[\r]1/W;l<h#thS^NdzKNx[1Cg34W7x1](Ow$qt>Ye<UY
U"<qkp&<OY*VY>tB.bf$3*Q&ef<lo&T[#d6D\fPDBMdH&m]JXSFX,TtvBeN1un2><
U"G8V%YYt^;bIfamQ%T+.dBQV2_ZpIEDm%RJQW%eE)^)RHNU%-drnwl%P9(&ba$$v
U"'k5,:fYe4D,g%YX%]Eo43q+#mbYDG3-r-&>D5vO2f]U>t(mzNO5J>yV*=leX>Qr
U"u?J9Z9h1qp'2JVmzu?R(MgYVF\Tm9jM/_bTFp8V,qIbVV<ni9PrnZfTu5St,f.p
U"1Y9D_tfHcvM=/gri[=_.h=kH'\UHw2&\b2C'40sM*Ee<\THP&bUXY<QG#Db\1D5
U"jf6%HzTXk&Y7HDo2&hL=gTkHh0wDI:a-pHYPdNP=:FHxS\-u(l0*Frlwfi/\#ph
U"9;fk(#Du>BWQ\^51<wa\%XtNW:;1ejl??&/[SU>Z2:/qJj<HxRtXG\o:Zs0Q[-e
U"Ln]zh'4pRm]=Rinsn%WrcV,8n+:T\'rZvswpDGdXdVfZF;b]lge1p%;O8+bpAP-
U"$m%lVSI3\'rK,-_;WXTP4<,co_JP6G$Ztr6vce*C+3oV^<^#e1=hT#*,M1hbZa%
U"raT4dNtJBdY*#c^Z(K;-XQFrz4b$:>H#RRl1kpwbi%6f6igb?XoX9$vS]FU;A3A
U"y4nAzDWLc;:z>xvUR=c5]$j<V;GTgmFjubV'I9MLv03jeN?mbm\#i.K:Xt+OdCM
U"<N**dq*+elHr<HZ7RVF6&4%ts#jp4$G3]P;T%gjI;oj<4fE,YMYqaHGkCVvEVD[
U"R_fx_c6Eg>KH4d'oGg/X)GD)>ymHpWU+Np\tP^ftq%<BHxH(n;^<l47ML^<LKrL
U"KU6$a1Foja%*6qj%<U)7a-McECWXk(0BF3Q:8$,l%;;tF>V%XKvG)2-DYg3_qtr
U"\-X<\>5_3OE]-Xzp,<KA;+ZcxEL=-O\qPs+4\Pt^Q&IW,nf_[gO^Xj)]V^d.H]r
U"g,e[CsJ?eb[g3XiE[VJNJ;rw>+7GjTv?uRk(E'35qY7045q8G4;hbUp-hYMvdu/
U">[PIe]qlHYcR.zL%#zE129][;FZ8G*5^QX,0]:MsL/fG>&vge9CeF'WU*EI$jD-
U"Z8kXpg9R%\YN),jP&1O,A]Xprv_&S]jjrml-X^*sWmBp7B%N0eM\\Gs/mh=JssH
U"0h*QMJWU6;nXj8PrWcAjfYzNkLfBc4Mki\uiJ?Mq(=.daM%4#TC):RBB5XNJvta
U"r&WZh+cetkq3Z'6Z#h,ptn_VMX&Cv<rf^_RkPYVT-f,Jd&=p%%.Ldnx-2oDhcb$
U"NXkxci,;lBGi==VL$q_KlbudqUrj^He<295,'[#)z\LHnZ\/1Y<aFj06c6V[FMs
U"v:N$^eDn#gJ2GvW16vx-n8G)U:N?IS0xVjChjw's^F9lrA7(wS['m<Ss+czb5hU
U"g'0&3(U69b^58Y88X^f(\d]kB%T^.L+1]0AsPZ3i*JqNDS+'Ap7O9&ENrnsrY2d
U"^'&tY:EQSVV$'.po^T4uk:PSbt?V0Z3EwVidv*pAjVdijZ((:J-nd'X<rh4P-dW
U"8vD-vCw]rMVwp.;R>Tgk)v^z$E&:6U8Wri,Y_lnRTRqb2ksA#w-B%5=/E0eygHA
U"b\m<;&E]OX0tZ/fdA>aW/TB2CFe,erAW;5Kcg*>x?,-,;Ts5sCF1hoV,T+m-]c0
U"04c9H<j<f^Z^RmS.6+)AN6f$,e>y8I8PZC4P89It]JR$&Pf&$_TcK_g;rmx>Ie)
U"kV&C&ATSlF)lw2khe-]jd83C\_9LF[RVJYpYH:A1L79TQr-]tHuN'u([FL&2t6J
U"#oVHh:/wRHcDz(<SNSmD0043):tct6slO5oaCxh9\3Ydav:Otqek#Jd(mtoA#Y'
U"bL>3MtsFIP^w,eS='pjl1xxVid^xpa(8SMXd5]<imP,*Jj?)m[PD+TRhhS)-ZR3
U"ZLFG>^Q[<M^210\W0RajI\4<sWmQJr]:A]/q9;#r_h2DYp2LP3\K9Biq;PpJ\C<
U"5'/\oaTguEU9bi<_KHFSj;0bL-Kh-Zcr&Ia*VllcHmi09sHu9c*kl(g8*7'E\z$
U"/9tmrKj8>Yr&yp:b[)b?u=<^0%kkwk2blARRKbU_PaugT6'Cpy%88?f0PmQc;mo
U"j+1uXA';mEHZ$ct]<x.b-ncgg$q3[ofb=]So*k(Ok*WFpgk6U+JIUP#CjH<<AfQ
U"I+;5r4aK&\pThjBHgTXP+DC=^)3$b[*)slcAUlG(*t7,w;E*PhAwS2RKi'tEAW5
U"Y$'TJg.?PH;nn#GM_7i5uE-iHBL0F5N$.PEo_?IA7>S%nOQ7X5,g>zn4H-4Tt1+
U"23Ea+lq]l9OvGd#Sr(BZb=gFD?D<k:HJwiPEAHS[Z#A029.-ka:$vj0(-T&^jT9
U"NAlxcm]$LtHuk25P9K3lZKB?kfPru[\U)gr%5J:24RiNklhn>';-ed$L*>gUV6'
U"PAknp)Ksm,[K9\HgaPdGa^lZ1wC#PLw[8?hh[QJLpnd-,nq0CLw<.E).AZp[yGo
U"[6'/Mew%s=R)pfKEPKc<;LNF5JQ]z/MXSW[6*D'v:0y1yAx3#.:1M4;4-C1)>)-
U"*x<UA0$e?NY0Y#VS*7x:D<ADbE+;OL3CCKdP3kyU#1G&5NOe>APc?KfaW*%9)#%
U"f-&n(>K51l%BG#Trk:*dJT/8gLX^\Z_)8Zkt=C8Ngp\.Y?5J[Pxb^er9H*m_KuS
U"f1gzJ'trLlu,K%zPK(epa^>6GL$IM5rXCm_9)r5FuCcnhJ+:u1\%bvbId6q_?r5
U"=Rou9Hd;i]r-r)Su&v/pb1Z&g/WyRv:9CBk>Njhz)5*]7VZx2w2Tl-CQ:/M*=)q
U"pR)KdIKm/en<=5D&M[u1PxY2,;rhxK<((7K:)tW4X^X^so#>M14$?*y6:m[rSs-
U"U9'>cr#&J+UD_7k'I;3P[SNt+#H*x[q,dyTCik,>b8IGMf41ptRLc024EU^Q$OZ
U"<$)Z<qJO)>ALe.]dnq<jvv__AQwC9Ka[P2$1^Q5iu&SVny;dgg+SA7r4;[#H:nd
U"^Vy?P%oj2>].oK'p+jBp*F7JZa#a=DHi-Jqn<]l8G1WKxJ[lB,04F9-5eL(Stre
U"&3ed5f7W8Wj9oT>Q_#=vZtm*1xU2N)we_VwIR:Gxp61n.]WLKh9lpfRHwp=-m5C
U"p'dN>&di2,*KhO*nGSsw(1L1?m/&;bfIb,BL\]k?X.m3mQK'dxVQI$Do%*&,l,r
U"W)Q-ds';$zHtt[THuf,ht>PaG]U)wse.cP?<v4sbCZNc)=r_<OWchO4gK3e]Xd5
U"lKc1I0KJ^u4TTK9A-SwPa)A5.d0j-iqvLj;T5YAQCG?/H^ZW]P:)<\Tp=KE(0x6
U"3[vvfG%6;xVCkr$FQ)=L?DT#cA]LV5ar6::OB8c,&KYCU)>H_X[syRqYkElwr_8
U"leN).MwO4D1.x+GNZ^?uY^znb1&[?uocj>E^WAKuEe#([)cWN(m43NsWqfKwM5]
U"R4JNt9r><.V$s-a:OnaPb7CelqgVPjF>LNZJcKlK8S<Pj9v/Io*Y5l]=OxbZ91J
U"D3O0K-DN[V0Z>w&um-4jFnD>-q-36gTnG>):Y(-ppU\^DC$fDNo_D'\v.^3n2a(
U"r82%YsXDsR]>U;^xL-Z+NqDxB5MlOnaaZ%ZRe2SHl%4eS0f]WB%AZk0>gFmYHPX
U"B2Z]WNU*-_gkY:Dtq#&:u>KLb2lDvh[OF)T/eg:okr)SB4&0&60'=14m[?)G%<+
U"7uA\^[K#Q\=1zUl,[npsC\P/.Qe8gw1GmQ4Heq/Y^)kDf?5nGHBFhJoG_m%3r.^
U"ISk94ccx/MH$ehKaMGtFcg(-uPjh1Oq>lT9JJFbS&uM2E5S^VO1eA]h;WV/JG;v
U"IrDDNxoX&k_vG=R,UK#3Ib#.B0u\c5-AM63/UI6-AcPU]Mdi,'_55vJh]YE=\yd
U"e_((C,w'J:RWYjmQNx1&kvw?Lo05KKR'%^7mu1iqP$>ghR:tH'(d%]:b2?ttb's
U"d^,;'Q'd/]Rg>3Y?Jj:Dp5hYcv?]\mzLhUWR,rsiDJw$d4nPq:bO.:,Up3rwuPs
U"DgL:St*X^X:n$HHlgc_H9NhcO_LsCaAhLM^5Ol.+hfX/l7^=qX-Ii$c5W<B1yCj
U"sn]]5+.kiHr[/gV%y3*b,Q&ZRA>J<H%e3fx:nR#d1DBWtPiYDGs?3mnFRKgQ*J+
U"r_m#_;HFi+G&fwJi>?x9UEr/EA%6wgK8k*e&U9XY(4'Z_d?Gz(h5TW%&fZ*X^qZ
U"D<'R=Aal/osFQZS>k;JIzMx?aViX8D5y&tlq\XM=Sr=FTK&w#U+P,=1MXWbBI<O
U"/$cZ<)bW?>)>:)8GsUu<?G\.tZ_Gedtt)Og\=P'=_Lmka]^4_CCD&4M&4'+-A95
U"s3_+'7c*[%wjN.#7L3*p+?2p64_fYW'?eH*PYB15&-Choi#'Hb*.Pl*F,jE&S$G
U"mg1=<-0d07EF.6VCbzD,<GMfatER'%^9Vg6EEul-rQie=qtbGG;hJMT'Im)zu7B
U"pm9=TpNazQQXImgdBC7Bay-hG-V7'>I:80P-TI57XTCa[Es4rKbm#G:;_$gUO9Q
U"hw=[nV'An9;(KBgLuopP>D$KKDVBhFt9tXr%e,^7;DPX5c,?Hl0k03:Pka>'1w\
U"=,,Jp;M:Md:'h59dE_^#dCwjg]Pl.'$_UbPSQN>b'%ikk32Z3H&a)'r<Ji63DUD
U"Fm,,pvj=#c,./1RzbtW<3;HYCSM&0l^,3iV9i4K&]W'a%6130OJvhHb$hpHEsvJ
U"[]vNc\4U1A^1ut.$D$WwbCU1hFotw'8_0^LeSU5;&4nDz*#RWbY#'gpQ8t+sf$\
U"b8f>p]*GG>WteD9_Z-+XNS-RSaHNfgc0jcQwn'[OQJlJt'g,MdIFYTT^If.K-6:
U",A:0PpR:ULv/myTD,7Vk'EfY#PHH#$LG//iF?:W.Ws:*6umPF<nx9qgpRY*P(%9
U"ZVNPrcVd[D9Dr/e)%wo?7.1&.BPo8CVs8Gc,K^ZH3iEm'E^+CkZ,fYz#_Se:p.#
U"7VK36vG\jzTPmDA?wI[<6L>6&4?wp[Y;OY-f;AVSHvk$Zl85Vt8fqpv4^mQl4xw
U"QFT,rDFm-5Mn=-$G9M'9/=&Z2Y'2R_A1#C1D-irgdeSsiu-rv+o)r=[=huX\5:h
U"aeuUCURmSFgKR]41tFm4OFE[asS=WZv+dp<'%5?B?cH,kVk_hxELNO7Vj3X[SM.
U"FX&[ThIKTVCla_\l+9RASl[mZ&^.R85-t)u$9v3Pk74x]_VxOk$_&vH5uZER?(n
U"vgg\#(M];Mif3d7pkjmspmP:O5#j/kz8kvs'JxE_Li9-Sl=u7:p=$&_BLjOH.r>
U"?Pr-qA+Q+(WcE6<=])Jx(RF>dQ2q9VBFyd[5&,%PlvvYw8o;^%a(waK4\2s(G&L
U"\']1ZJ%Hxe,jR%n+eK*)&ll7ri(%iA;#e-yM_+FTJ4fDpj&u4_Eol-tgjTgZ<X3
U"nXCM>w*_&bPqF?t%0%Rx^>CN]m8EsCo_fK2zeCkos3P&Q(Ebts7A;lox_&RUy9m
U"vm)B)AjeXQCOc7e*f3Hf-A3m0-Q8H0XRH&[>j&-Fd(oe>6Ql+?_5Y<6Cr1.8jx:
U"<X',g%Of]gpcKH,TZq+wVP%CB<4-ZAeg_BR9\-FU:4kwu:rtlAESE&S'uL2pgu-
U".tOmGM;Yeo.d8K]ia>m^Jvu'$upL3.c?;$ohwBb/8SFHMvPqS.Ph).P[\')=Rr8
U"ma'2u9w5)pc8)/IM#jqLjslA)1>spOV+Wb1-G>1La59V5hyDP/kLxh>cA#i3;nf
U"qNW4<;v.7h53;_Sk##>y9U$LkvrWik<50BxqOE#FfW:\:h0CFGq/Ag0JKu-Ru'6
U"uV1Lu6Odp^<)4gp,d)DfEgB0B;U6Geet-0?g(=Zkq,-c]o$H*eqh7]LmnWh(#.j
U"zas'':<)NH+&ALo3JYnr0XHr3Zq1FT&]0[gWT.D<*n?W.Lf7U$CGgbFk8G'4nK3
U"uW3sDC\QYw9)Q\aq78p&c;'s_J[>9N-tcg?n3eL\xXD([TfXoumneakNLAOrt3M
U"WN4i0;u?,4Dqt3oqUNQRr:dvoP6W^mZp$QFb;pGH_2vb:^OF3n+>EG6)sveaKtz
U"0L2pb:Bhj54nJ^^^d<[#NuUrUKF)m%:bu7N2r,VrMM%0r:wh;?r(L1^I,GvM.Zp
U"e/XJ;K(1W/%H_caW6DCuh5H80K+R3CixCNRf/Gfi6ah?]W.iu0>1D5S(9M=c[B&
U"_:l3VBRf0nW4Gk2/+-:H6498Lk/?kuwHxQAd3[N.7TO+=x==MIdd&Lv+A<m1eC1
U"(zn(V[?d6T/%(5uHZk/r0UCbI-&8:Yn0AL?#9C9%3cj3k>V&-3q6XDOKduhRBIi
U"]=I0Jm$/V*JiQD)/*ht\i*hB8nYXp^'NsWNfAJURPui^rGyMM8tSXOi9E\S2=OX
U"SNIqX6d=G8Nw6)gaj.vz+'RccfwKD0-rHdsSDJ/%J-m+kV+a6D<X,zB#/b*%I%c
U"<V4]*i8JGU4ndz0o-3fCN*0ueXg>7C1d>xIx5HeMpZZ.n_Qk.(bI><>k'qR31[W
U"-?:Qbhh6_K>K=+<jAZRLgEQ.2M6.lkwZ0*f3?+8KMC4';%rTG-kPUCBid1K8OcZ
U"V_ff3'7l\*ob<nAn3N8MmPfGM2kQZnYT$mH.lB.pv1hUt4Gj>:[2BXnhRX<\joG
U"W>v.IKvk?53pL5P8$k:9h[KX;4HpMS+P*oIALGa.GysOX2Y_X/Xn#nbU+\..3\f
U"71gy6(iF1)DMR#Ent]dM5X1qDYfR?)kPR(Ml*JTIHN&jef:1'\UD<eIJ&/J=]<:
U"=Wh/UTrp1K0KBv)1_&cli_W\7N*^&X*nci*KtsxrqRJhKf-.\s9YVW$Du)iZ%?s
U"IMp=oI?iQhyb+fNB53NFGWSnRH^c'C_j__IFg1ro*#D%sq+IkXoonXn-BQjZJ9:
U"pP2DRKzl7Ny?*K)'bF+9W\v^,Y$Im[Io.Q(MvG>e+G5Kis(GeP5/nSzWZT'kl*Z
U"6GC63lGVtP;S/-;Qu?$H(UaUuYx+aGob5$ATa,G2cFk&_P-_y29#_YuLmB20G)-
U"bP2TBJ)*:=vecdNsrN-v5ch?%:Hr:)g3&ewt4,0FXPZTNQjbz;XSC9TwA^'kJE&
U"DxuzI1L=&:)IZ?;[evtH^/wLDI#Qn4cLvTJTbeNqlGaV,)&QPhyU7bJ;sAU)\pp
U"u%LYO5;iHo'Ea%IqcM[;5m>5>(t&Q5qtiGT*skIFu3^,ZpEtE<<p$K?oRfB7/RL
U"dd0eE%f_cf9%TB\O_g,z(cxW)SjLc0PSE=24Rg_0<3ZaB9GFPLiwa7&b)Wi_O8q
END SUB
SUB V3
U"<\;14=T(hijcI]rR_]'b3.e)fLMEQ)t;3IL%t^-z:YPS-<4#:7(a*kNjHG%n$UH
U"jHe]^-fjIsjtOAR4S=J6'4mN7g,kEa&h=Dd-k72OvM_[c+rG+LakODsrRe4_m9t
U"DxYeUjK^loj_(DitL&3k2'L_Ry,T72krSG=LVo9lw_$2Mq'Vn+4<RZ)4ho+(t8_
U"qu80q_jo,-dmc*U1JvBSr5q8w,mZ/FiSdDCvqy1RbHj.Wmjr^M>/2=WQg/#.bl6
U"x^?TG4(A=.kRJ1L/t4OH?kLVczTg(dIHgjNQ7V8p]7_4sY&'l49<)+UrDsoCc8g
U"TVy/t^8JTM;e%3B5W0T2H\[qS.$&P1a3,D'fQrd;t&Isw)xWW]lf$P>\AJz1ita
U"2GeT(c>St'H.)T\R#$a/]0^B3Kn%K$7GueVi_^VnDG=d'=D/F:>PS9t&kt&Ld:P
U"J/:y#h;2v%v-AcFpK$_^z#.6Uk9XuBl-C<.<w=^YE6lv40'G-h1)Kos;\P0FMDK
U"<:qWuVjZDEkZrWaOrF-Q6)oZ<XC\<%x4gabQ\Lygx?bXan+6^3'ce_CL)MJDU.u
U"Qm91H3$y?Z,c3)J*eX9OpKq[^NXG3Aw4L6n:G+=l7K*axD0iF^=i/5>qtDSun*y
U"X&Zl/fQVsin+\C2thUBe\CWS.iKt7l'36O'hV1b35ANiD:8IY2pAdhdc:6v,dlK
U"en'kIc/dg6y45unh?##<g=RtJ8-nb[-)f:^]S6M8<Q97kX5ms'g8Z(\TtO4\3c?
U"i%/$r;jl-lPmT0T;cCG:?Nr?%:cIYmWDBM4-Hagqvrf*Pn(E'TO>6DVi#SHH\oD
U"4KloD5+qXz2<3hYF%#vj8#)ZZjB\#fc&NiAbOe.n)^8^,kRkdF*'8$;,)XJjXIw
U"To?2x[OXkjo)DBAYwtDyu/u\yj'WX(OFY?M$VHi2]O\q=)eIu$&d3lFwZoosxUt
U"^\V5&3sDEWcL0*S6rNl)X-D8wEDsgxBK1,QK?c4Wbm/1m,mjJDGO%03FP3637p,
U"It(9Ds,kC*b#X%CvrUN8FLKf?okfWVJv/Rj.a66jS>jdUt828N:^MI)(X']4__1
U"o,>h0w:dyeu?<LhU4_b*uk>GDt]RV0#evJmiK&M8fOpW>G.L8>bWWy.m?+lK=+u
U"1:I]^cXC4[&/IA):6Jro.Z-ufdQ?IU>Vu4V6C,FU$0?XJ\<N=kz/XkL:rPX'0Oj
U"KaRVJU.l,,2DF_jewr;*g<S%#M:>_:F'7$BZLGnCNr(PYQRe;;$TT(33?rgw&=E
U"WOaC/5-).V-+3oXlu6RX;U2j$rjN5Fah;wJa*3<:$T19-\OKB\(Air520lQ7=W)
U"9MGhr-S#PkPo<1WKh'i5Okc:jrD>I7dXO3wc5ZQW.?3QE3s^Y,tr'Sx2.Vw#NAe
U"1PB[$*Jsg<2*1s#d&X57y)VqK/5Q0-Nk$<+cl\P>)o=R5*M)ghR&=T$-5Wu7uYC
U"3sL<\\+cCXS=j9aBG/%bO]nV&0U7x1UlDE#X-K)cHUBDixI.Y:HpWJsnU2%;>aR
U"hLtLaBQ;h#WtoHmpl%Ca]6Ji,),b[[c'GcqgmCO)Yyjh'ouon7hO1X&O*=Eb^YM
U"ARwEr,fX5cq)r/F\fyc9(HaIUDB2+m>:v3A*q&d;njO5-V$jmBJv6RMcoVNHJ9E
U"LYWIr9>JLVI,[[)KC*&nT^0=#:J&LCXTG8C+/-A/g-S);g6o=/m.lT\SH&1y%kk
U"lMDQf/V,ip]uQ$2U*n.'h$D^/Y3]Y\.;*G6j=2K.b7MS#F\*>^3=(Y<35dk4ZI_
U",pEv;/=[5#HN[/EDqRh?uE[j/MYRx3kCuP_8Pz%lftD/PGSQV;AOQhLZCzt,#[D
U"1%x]4ukn4UXB;?fq_j#T,RpmQzpF/e.xS]vQ,H$-AxZ041U)jgPWRQ]U*[8AD[e
U"#\-9Y?/E[3+WTSGl\di1d*M/kI$69[IE[dNbg_+RoAuekfNVKnVqz-)_(+X;$IC
U"AD;Cks3M;77H1VYxAtNG2I?%0>-(DYBunmx3nO_oQdCCF(26_1]+O$F^7W5M3CO
U"4uG-no_jdoK4FB^[=p&:vTwPMbjKbF350XI\C*qY%Qv_bbeevle[RwKuQQ/K?13
U"HUtH<7;C[\Pm2h>LUrdHtl8pdvqF*Rx]rdxnZxwo8YZx*gIC#pQHHVTwU4hbX-m
U"#Y]Ahl1Or*b74hHO6G4p-Vlmk*Fj-+RCaIO%]OV8-=0HK<ioePpOjdg&k.Fx6N)
U"V?Q)x]Sd-5QXP2Q/K\Z%g>Z97q*TQ>4<a*G^3JTg0BKO>b)<S7he&[Pq05j*h+r
U"QGM[2^PnV]W0m#CqTmfQV&0oF,(5A]KhazW(6VotWLDeGKx]R?PB5N-H6ZSOM,(
U",V&g.Or'MTo5gt(OltIcj=Te])GhGkEV5c<te%LVscD)+/piDX3]IXToP,K&U.m
U"'<YzVe#Pk2ZG*u=hCoG04W($^7F'WWXZI\P^nH06hM*=Zju_,ANu?X,q;IlsnK'
U"EKwOo'v0rp$=RYikD^tZr9jVt=C>Xj-WJG#HN-jE_sH5FOua#LfuJ6QHuo.OZLH
U"F2P_H?rlNOW3V(-kw/+F2-vFh.bAXLZhf4xNR$M6AIMe*7st8BaTIn-nm*c<j=d
U"G);v;H\OsC3B7ebSh_Ns.w/ednLtt)6:BBh*B1tEsinK0<IiRl4VL<_<D'go%V#
U"BUy[6-:E'^%rHrQK<ow(AqPg^y41W4r6OtUjDU$+23=y2[I>UKaNT;dvpSG>P-c
U"w_NN.ghx3Ex($0^NGXakOjZE3j%Jja=rH,*Hee[*O?wQp/(\4'1LpLez^v(A]b%
U"?)9$V(lb(1=SDoBIJu'1jxoQj8E1V;?GtlS%m[9na.=)k%pbbQu-O0&D?9ZEI:=
U"I6fGJkjE2H>;orU0CN)ScALT[^EgUIPW%r%TV)o*WFr5rp_HewW5K>Y6pgO]SIW
U"Ej$#-KZlQZcM<YW=Rl)+s0HWe[^7gL2(rKTMnRkbAZeEqn7#v517BG21BuF-04n
U"DSXA*5+-JQ$'iS[=<8/>-l#2%]%t1h2M__lLJ,)lupm?GPu.\BfKl#_ZCI_5C?e
U"=iDNY\YBh\21/%B1<,k8:L8HqM5^F<cIpo8RLz_pDP$GVAdb*:R2PMSlf>lm:8V
U"w_>p);.uXX+owT]Qc.3aS0G0-6Uy0_jenF1krM0Hl6d+ldAJL;Gg9+/P4Ng>,i*
U"Rnz%Omy,'G/ROf'*x,sYQGn\e&$Apx\zV?NS8$(fYm&3;%24uwoso2xShLRwe&Z
U"kTbvAZD+wMrD+LnZXgj)P4oCjmH=ee.02IJfG_5wH/pAx%,F4Ve'i9dFeDJ'O*8
U"Vk]y,W\beZ%T$jVp'nC:\nn;0jEAM:b-poQx.]2Eku5893n.j\ZVOWi9Z4k7$>P
U"v4_p&=A)h3a,>;LPLc=6A(eTrBVSR=[?qpqzLvs5=8+87=bw^Q.^lCCZoRP*tYd
U"I-3Aos^?qLMLG9Gd8#.hghf&VIfa$W,JZPfKpbM,U0jm;T=?o,=)m*OKKrM2w4j
U"M0xUG\VG\t2&2d*Q;(kq$_0U;)N_4M(d^R*6iWu?KoWvemGP_ok.wtSdM4=SD_k
U"=x^ZY-3\FxThM#bBs4Clr1#KOcj&n?Jz+^<2xaWursjZ2ZD;lla(9pl2<-e%idT
U"M^luq(-U<Q'BCp+th:V[PUH=oLU=$4SSC<(rTPULd^&>SC\ejTH(9u$]ZF^DZ.P
U"OuwfW_na)s+:&yr;dbE/%mSDG,EInfD.M8b9%1_U8?T8GD?.owN=2HadWuXgPq6
U"G]H\.TOH?&+nrGA+THO:EvZf^5]\[zp2VN\X],Iq70*hJgW_%xg0y7ORJ#;b[D%
U"j.6r)t&.p*jN[GR62RPNGOU2$0+CRqRgR5Ci^=:$JT^0bgkB)14f5-CgshzvWR$
U"P:6vM19]326;=teOetHfuLRyWLu5EhVH*fOA=ssk>t/REn6HLBgml(dT.fNuSha
U"iO-O0I[:yot0U&.HnE49AoZ5.f%9,(_I7jirXkpn4[c?(\Sqo'-[aZm$UboBPk+
U"3J+3bBJN/[<#z%2%6'<oUJ29r,f513ggRMk#Y>mY8/FCpO7L-Zu7F:+TSMT#CG]
U"08x*qQC0'>v(cdC7jDkg&.'&hwF%=Ofl2rS>Pg*WoTX6$r_B8zU(?3XRMv'2bIE
U"cC,p=e'SQj1yse/FI9?B+C^8jn:u*CnG)%-gZ#(+TVv$CS4nGpa4J/xoD2C2IU\
U"Jx#%%32(Yh)WtYBCaEJ#P?ZM=U+dRsJ?U\ucE'/,8E7)36PtT-D)'0UNt4OsO]N
U"pB_<#6<is/MkEM[O7MFn^w1oLu;Yp-(VA^1hd=<h9:brCB5GGG=jg9C?#c^cnZ_
U"6c_Ixh0sgAv55Cp*etFn]dzR?B.DF_ATCb1.;=*K,I6Xj[am>$n0(157/0Q3%Q^
U"P(;)y3.HHZc;lj^Q6.<dCR-Ow%Lm7tm:)dzz5E.HN*,j9RIP>ZCv0=c,AlR^2Uf
U"/><M1\_yfjc+Gx9^v%=%P4;n)=Jb-pqqSnipEGi(tcj>$io-Yx+\$zQHD)cwp_D
U"+2(Be9)u3<*DT#O%u.xksBpCI%45yd3?.:6ssLGxV=Xk&8_[?r<Q4HjS$L6K++Q
U"p,G4Q\/w?<9SB'/7TC+57r$;_Rdf#[LsV=l?g4&o*ew(rJ5+.%=*1a9;*jvm2xq
U"rASVN/2i2ggAbVYWL/995P]ViSjdXLU5bS-pE2J4.<=6(YG=S,9+gi<fmecuwd>
U"8XKetL;3$=S6P5qWrpN^Asvja\:UVKQR2fCW;mN0m&d=4vMtaJE#CROKv'Ihy1B
U"ajmkcLIDs+WGK#([+GoTDJ5;dWqdkxpP5N>iv:p6*_HX:Y.A'TQKZ:#N7UvQad2
U"Xnslw]VLjN^4>%J<Q8cpp>XY4D8W51Va1(VLNrwB7Hl.=BdgaEmjl='PE_#/]>j
U".H3jnBc_+Jmj:&9Y7p(U7]SIS+DOKgVn0jTkO^7=a^?otDm$<)n-OO$>PL9Sy3N
U"c3%UN>dl4hf75F2kq=ovWHrIpAAZ9a44I(-aq[gT8^#E=6ZQE5zCVfA=Q^BEJV'
U"TGOg1*EHqcP,^(?>4]o/3lgbZMgb5JV>Jm2mZLd.hH4QVJ21RlsYE]P\n2)]PRB
U"[L?D[<D1X*IX<ZBnY$Z5Bt.wTgYU^s'kOwU7)$Cg9-N(gP'+7sGCeyK+m<kc81T
U"lKjh-6nG3YGq_s/Ujso3:+;VCxQBZ#5dImHN6reZ=w\:v\t0VwM)j[9wE?I[;2O
U"#<[5D)MZUWAMfONg:KN\ULgeq.s7?37,kV\*C$v3_T\qUi6rscX28,aMtlfqO]h
U"9svlVmJ2gEar&b8.]6Fc_X1:23lw<)]dvr1b_,^hiqs6Yk#v;/(7OJ[5C'AZ9sL
U"t'_dZWomfGA%r1&L'wGu'2W)-2d#XQB\#OIUALl9ht4;/7?D^Ak>&R6/-1Vlta*
U"h>*Cv0UE9s680AcBm-<'=p8J13k^r==MAM:N]'ohk]4PdTIr]6GG3E2;PBk5(BB
U"8Zrd8a?j]8DtKfyidYAwXHhiAV2-Gb1Dlv4MC]ak?XEsJ?hsWjP#WlMO&;drF6K
U"7]/+157u%U(4E'9,dYC-R0m#fnEm[ddicv5IscP7E$2G8MMQVfpJ^2$4O'/N'?W
U"<H6j7,o_Q8)D,iL6u'*q_/5_^$=M,Sep^B$]Zf?:$uXQnd.,pguUJxOTX+R)&=_
U"W,2YnK8/Eb%FjEj_(I-Vhi\E$HJ1k;9h1AHd=D]31Em((3#+Kr.6^Z#S]$AGf-m
U"cFISBmDHmB5D3G=QfNZJVj*,KFgLFn6H>M8AJVFC?AV%Z:'Bcu-WJFqbov,\Hm:
U"hCAR>7aJ0W6lIIZK<%)jnK_Du[NfR)O^kk0+A%DZJ.F)5<?Ut2CbDEAt+H.7kn#
U"bId.=2$U#kZINe-G[V[+b#h?t]H(m1hl0w[^3REN1Dt$N30wh;p?aYSnIoR6A6B
U"t\kJq8[0Z6t,<ExCm0M;)7Z;,:>9iCZrMLm%?9;5Y_d*Nu,r*>\(M3Mvko#CQRp
U"g8n)w]HyWg-_/(tm+iFX1WyM[PkT>)3mP)Xum,T6Pi%h=8Wp+Q;DvXLmjAE]ZL^
U"hKQ5+XB_wy&eHdn'1xyDcLlSr\yHlN'Q[%<GNH;L'Odt;&X<W&3]nW?XZv)Gi^r
U":UlG*JlsW\<]/0x^+MzP.P(8U_cDt25D5%q[io98Q/9Dx(z:dJ/)ksrj:5l#Qt5
U"g7gE3j5W0$i?Nc[FBa)TUCHH3LH5mLn3#'L]->\K^cVV:nh,nlJ>mJGsRpZ?#i&
U"^cprKUMV3:.h3w6>XJ7BIAwcK&Eio6D8\[EcJoxtIOm/(Lp7R8j[g8p?W>sOvZk
U"dX>jY<J<X]c[z:u^tyb7h4W'^kQ+PF*3+<i4U&8maWwRzcCm9r=pA6^$sRUcOL\
U">>;&6FcfyZp*K^L6[#a+OtsZ<aY9;_c#6$D9A_r6iv%Yctn6Ac9$LesT$OYU+Ji
U"#l2c1T5saJ'HPVsX%9AgViYJ_>J1nh?lsZRei\##)tF+_fN\G%zB(_\b;IPK,G(
U"$DeL8D&\c>MBix,e8\>qo&xUad0+xTrd'x#Rz(RdUZu-qR#ZPh3<n5(25o[d+L.
U"f[QreM4BgW$9<n)2/IWAxE(^cl.n?:^jXG_TBk<La:DRk5N^+28q<Th<f%*&6/]
U"T5=7j/BsWnG^>0L;dB/Fbv&.gh8SRqwMc[i^ume+&d1)xCE_XklnzuBL/CMGXg+
U"Pel0BU'z\FHOPFbC>D<ZZdIrcV8%OZudU6eS#r(xi+S<Jk?%pskCwLdOmuuFJb;
U"3U1bpAR(bnY,b*:(MnpJO,*jy6GitWtLt;3ub/F.15r<Dl$+B7z,Ow/^fEPibRU
U"cwS'g5pZ=1#qGDc+#Q7bgVUoCN7rWl,oS2\xSj_3LxOMlem\&r5RI3BpI-f[,H_
U"E$p-e>pTzjwk[U<IiB)+:PhVw[mIWB2L]4S#^SP_V/iA?5Vh9jZu<g&)eib2skm
U"?N?M#:2k*Zi41(VvX4pFaILc%>hs:F:p%X;W512PUK2bi6khk65GW9.=fwa^Y[_
U"f#M.nRFVY+:f1n#tD:6f[Y-LUXiCK9ItePyLL6d54L&w[I%&+.3(tmE<Fq^6p?;
U"70>j'ci7->=5k8m_L2[S',hGy[n]NE6d%<u%O+r%nKNmO^EOTh)+2],ZAelik\*
U"&vdt#&$\Ff8y#+K&+p#S<o;;'w#<'7fMb)4=BBZR2Ocuu;H0_.R<o5S+%q89j3J
U",,XL++Lo1WfcOcH^I'Jg]CMF4NG^1w(Ol-XdmJ;=7p3Zf5h-Zx;h'.PMFli7;fi
U"4;Xn&,*&YERcqKheDD.m)b1:%a;mZjnH+:uvdc*wF?*r[<,2Ss?jU/A*&=CDgl(
U"=BCOZ+L=Bb=A-j8:HwNakYJHSUcfeG^&a[eYzjT*nbvsxe^2MjD?q^iT>7uMElF
U"o)W0Ao2F>D#cBTzlpFD?qLcrte.VJMg'-D'4M*u5remqiP6iPRoID$:D<&Lg3?d
U"_thu>]c&4LKPU$p80'rS^QoveB9;aXIEVv)fAGDfA340XhXWl,a*k9JUdYZBWA1
U"x<Eb+,+7q3sWR$L<R[&n=F;Sz3tVN#'mya2h>RJO+Z9^t<6))Y3:UimQ8T$8='C
U"3dm+i'OX'??Vx%QJ6P.UtQX^f2.$T->NlX%E-+I8Fed^T+--fn<7>RH#=pBWm%L
U".#kBJ83FG4r_:8,36sd'E(HyPCDC%c^HZ9+oW^?_5eiQ;/7A6GNkSe+E&rlI2Cb
U"Tt#PCl$H=JRe?19>*A-51./2qcpguWWD?(I[R:KDfJ^'5nLW.*LZ&^dg\GM4Ya;
U"Dq0O_1N&'DYU3iP^8,R7V&Q,^s>oCL:6zgu7Xa\u7U\P?h'Te$;L.EfD-&LQ)x%
U"Ht;qSGJCZ]H4L3n2;FtWbqNMO[2K&KFVLSBc6nBf]>S9=HN87mO:P0OMDV+'\1=
U"3YA)UV/'Hf>%#^0s7C)5-1W[<Y<3'r^iHTHme>8dE&'0SHwegHOhu#ONkajXFZ-
U";frWYoi/#$832#/'b6[oT\:e>7<20a%HF6pu6')]R.1wU[Lz+=I;3..E=Vxt\gu
U"uKYHJOgS[X4B*Iwhlg+W=s8ZvcnPI*Z)=1j_+dJ->q0EffVqW+[*F#?-u^N0vjS
U"FAa80]ui_CXXqXBG9N>7IRsxENSeWSjI<NXrq-7imnpkY>uYKq=m+slDxh=,]_s
U"44%eAF2,[a\q[lMZ*3#U_dyztncrT3\Bfuk&DFhTrs%7g+_yGrF7Awl#Shmq287
U")HI<<viv;mKmaLV<^RMfXlyHeWR^XhXYCjj.hl#E2dDjIt^AK:A'3+m6?.%<m.\
U"hXh^Kd-NxE.Yv<8[^#J-_mC&bQh69boqDAjF:?C%>^ZR+(jt;,/=I*a*Z/y;-ET
U"%yV$Swq'uDNAKB0k2HuiUlCFZUKNu.*g#Dl2U/(InY+Q/I)g2<Mv;PkRX_])ql%
U"Kf0$NB+fnhQSmAedxQ?BB&iJZ9$NZ?nPk/$b_^K8IIF.BcrGw-v=\-Ba+24Syb\
U"SLC:01m/;a-cXvpHA5YWU<21\pM.I]&$D*4x?s(L].pGbV.2IFW0,cljLr<9qG/
U"/^L>Jv5)KXAtLAjL>#C2\TgZ8:BvT<V%xRozuto[Z>lDeX_U7>Jf]-K2-((1TIm
U"=q]uAB.bLnHRhNoO_$gw+u58&'489utWn+eF%=U+Bf0Ht(q08h-'iEPKbB(78%R
U":v12#Tfi2$Ub^D8?ravxh^ZYrjtpTZWPCOE:c+NFBIO$RlAF0gM(q's6ZN\Vf5h
U"VxL#mabswSp-:a[AP'h=MoaE\Cwf*b8vaPtn0bXiuO^%8TIr]QCZkAXm\LHQg_l
U"^<a6Ema<^\pu1[%/&._'L%cJMA.WH&Ns]cT7B1h<9#QMtn<O7h3S6Na*$Z&w#c'
U"f*RQfO=C[_GI_j,qiRB]PX:Ziu^rMePUcHE=gwV1d9yA'k5_NaY^1D9?L*U#D4f
U"uOC=n#0g0h3pmHl6JV$7Yf.:oo#mKD^b$v.^*c,/]FsM*f8\p$sgHqv\7bZRVb%
U":Oh^iER])Fq5*Ur+fqp%NIGoo2PZws(mJXSR6]ahl+NU.YKrt)7*(HYgLl#'EtX
U"N*v9$aS1(0bZEn9FyfwVxnJ^FdvyRNiW,lPkLrtUAk<G5uw4MNTGRmJ,x+rC,Fl
U"CFG;RT5W^jLAx['w.h.+ATTaV'6Pd?.SpK,ffh^LHTLEej:HeNh+VOj*^O4b))<
U".E/s$aS4=;79[d&Qp;aZC/bHT:,3m,ip(9w\tvYuNH>f3ioq7rL4;dcP1KJXLpW
U"9N?B0.TdNK?Wpr%4i9$2SXi6eNs:XD#p2.bbmKkx,6qbi#\F'#5L=PWj%_=D&$U
U"?O<x<M8.UQWQ9[v[^UkT:Bu\*:%mD/s\j]A%xG,7Z%]'dD%S?OC_/+xeD9)kbUH
U"-vd-$>2,(+8[Mb->sn*.b/>*a]6Ax]*=%B9aHS#Okr4,:3S.kP?ICHbc0n]t]eM
U"839M,Zba<I,-Ts7&0^*c5/vDL?H3vct+bWqD_26qUO#q-&i8L(D?tlr*sDRUd$c
U",0c]):y'i7k[X/fX<^6u2deT?Sj&i)3KAuT]HG1B^a+DRU/ZO-DfiM^S0LH.xy:
U"7WPoLH(8xf4V?Ha0,bL9+fFkGOs:E$C^En&%lS2P(R%wKTMyr#q\%dHo5T^f)nf
U"MB\*#a>.$x:dJ?qyU31)A-$fjzx1Zj]wr9B:D3dm%oGF:8nQ/FdXe.\ITuT(k>1
U"8>^/)M7(c+c7fCl4?fWq9%Qn%EUyppHs$E&v7J<F]l;F(Q'K-#c2Dsl>mQRst9E
U"6YeWO7l[FWdc8(J.FUC.P-alI>iE=Qc,8$^Wg2er[KI_Fz8e4)yS^rvZNCRt['Z
U"P'4ij&CT)Vf;^-'DT_XqW5w*8)?M>,vlu'kLU1cIm1if?AtqL6R\OmTi:_itj=l
U"0rruFch\n/s&#GC\t452jjGems$Rfd,jZcqg6iW;moNh?N*T(A4v7pMA)wqc21=
U"i-,NggT(nd;s4<Zro>8upc4xP+q/'(1j6rL8]875)D8d1-Ws_w=x;i(vC5WB/<\
U"h.RJ8-V+pF;h4yJZF'YO.En-*KB4yS?pM>fEf1Ga=C_o:V&b,sFxG*<OR+BZIi;
U"W)VuDQO(/gp8abDlEH*]X[n5jU[R2V4O[p_8c:us--vs9xt^xv4gcToZYVNm:i*
U"LOD\r\YfF\(6:kC6#o:ohWZ0//Vg\oTSNdzz\i3nUS+Ztm/f#]9F;H7DBauh..P
U"Yg#UW,<D&;ifk'BkawXwGtT]y+mJ2)Shk+O]kj9g=LFd%i7rOSq6dZ]t>p^qn7y
U"jD8DnA:mYKd)C25xw)t-cXoY5$\DxV=kZi(>CW_^Ty:cM.X^LaWkY8vZfVnhdfh
U"ylQ[5IeVg0I+Yc>3>*k4IEySeGr3Wcc[wZIoT+4qpcv3D.0WH0fkD5a;CXC(%Wd
U")Qw0hC\ja=uapJtkfRf:_p+[*vfN9)a$0lDxh2ADk-Hj&Hj%v+YO9-th:oZ=vHL
U"_-X>i?cWVojw_OkXb[_PF%k-iP*2XR>RitqW4ce^TdtCX6r:N<CqRSigh>5\oEM
U"KXbOa4uU&U<TrkRrAhZU,ROx2*1JJU=;<pnr?8axG,T,Q*G0UcKfrkZcG1Ai6t_
U"ggBD7;8/XyfJ0n.j:e\kx5ROYj=;<OH?#s\<ue-*F:GJDefH=G;o.I23EYc)w-L
U"yV+Ok+7$-H&c+NlkWkg\L%<[Jv(KGcX2Gx59s\H_bC,E+,1+s$5*Vv7[Kj$ZEDE
U"?\S5Y9?DdtXqNj*/OcGV.A2qB4Cug(l'T-F2rxlO/PAnyMeME49YT^nDT&\)CUJ
U"F#&m'dA3>Dh]zTih-a\^AqegOK['N;kjj5[x-gD:.OV;:9[,.,ZtoK3pxL;KgSB
U")eopqBSYr0-D/5r2xFgvoS\N_EgjpMqQI(h]5/,2?<*br](Y*6sl[f??&3gm=vJ
U"s[sW7::D9PkhLpw0G6tvLDj9.[3STGi.mMwQhY0+JFmMNN0fQ%D+1FPaOs^l?0r
U"d:p/&SEV[/1c\C;Hl'77/NSZ]ih)L>LFep&U0-65G7v75/OS%dREf#l>9RM-O:M
U"7Trfu'dWA&/#1Tu+'CO=5^a^R/=q8YE2SBH9Lu*h458Ng52>c3,>)AosQw_Ek1E
U"/7sF#'$48$NmDS8JkUKSO<LITELj/khZi+h91qlME[eB2d8&RcwNwd--FN#l)&.
U"3\/c'kwLg/IAH^4Id&y$Yg[bq.\td=BCy+zrVd1oj;,<:As->^kx]A6>3bE^;y%
U";'<Pp<AP7FC'fG\?(ABsq)<]&:*.n?&oV&__N:^JhRO\*D.cmxC0<XpG'fTzER7
U"K(NS*TO%6UJ$:$%MeI6hSsv8hayJ&c6p^\S[$'UA,Jvb<Xf_<V5/CB%E3irYiAl
U"<9/sB3]L)AX.&JdPhD&#I=AT<mXkGQDgmP/Md/T><bM;0/r3oQ3gU0$any]3iU3
U"]6u1<,\_IFd8T+>Zwmee]>4#nE]VR[XoVPuWgm,Gd<PH50p85#%oZNOEWaZRjR0
U",7D<_Mn^*aa+_gEk&;Ua6*.Sh1Cy8II9Ih54(tf(DjGS]oas+n'UhsMq';j+4FB
U"2%9pa^0X[(>kCy3/9+[Db[9X0#ggN<+;ME:$V)$jjY1r$IBYoAI6'?+'iFM:sK3
U"V^O?#A[qtJ_qtA*Cmi35<F0I(p1qw)6uW=UZsXkPlUe7bDM*VW0c;5Rx?jTV7J=
U"EV8a(uDt.#DE3tQgPu%+wX0A9,Y/MFSWV%n5$3#VaQ[%0hAc/%g+0DqG7s=-i*1
U"88=rrSF>kX,ulFYR3ZS<y]K)9L(U2KlRP6A9=nkoI^r_0z*%oU,1^P6=[fEnqPF
U"k/#?D*LqW^ttRek%keFE?\fiA<QJLaa8Df^OKl4:lBWT/gpI&jZ>JhiH=f3:4R#
U"loX:MV17,uC+d54K5aA)1PQ3G$<+B>:sB,3yIWT5\bMk?/]=yZL-D'/p:l^BZ\Q
U"sQrH73%dYU6?Wg.9SCs)CiZwF?qqUcB<i;8+TVGPGKJz(;.mPOQIDc:TPCr)0=2
U"o(pFhRYp,FAS%_nu8%+M9T\md&$#BK&Q#+>6E^EcT5]G*BOA$D11387P9'9D:57
U"mfD*I]bOr7vP',)-Y:S;KcGiO_#JlpD+?S^,*NDhWvPb7:NcgK,Z;.;5$iT_BoC
U"cQrg;Q,Re6T.wm8GI*mhiU?0+R4%9=Dt=GeM[G*<)u[2xSz5)>I:hbgB\imIPMg
U"VB.u2OZ*BcJvLJ.=:To-iDlGn]ZI/3BHq*e#o)uZab+lgg3]%Qe2S0.mXc0]aX5
U"q,uy.KL-w^q?Y,>/Zb.KL64B50JPi&QMn7t.Uo<=3mK%lH9P$nBSY0B/D9Q8?'Q
U"X.0K_XK%;QN;Cf._)p8-_Nb$ESGBYm?D3BOG65N)B5EMr'sv4?%92xa2?BIs5hI
U"-W4)DBMqg4U4N3OQO5IbZ+rCPHFmMKFyY0*#-Cuv-oY>K9o[XJLGY#o<(PAEf?i
U"'FqAvL2Ay1gRC\*[ZPqmEaAotqg]oU,Wk32kr0V-.6U+'Yp\A4-I2fqS/q2o(ef
U"osYohO+a$]05XOn^):[3:wm]DosnTZd1PzY]?TLj7jbEQ6bnE8U\BM'da/?mj8a
U"%lgYcEUvd3&$8\I,k#5AkW3j5o/:hDe^c44YV<h)k.H#C8RW>/cu7[#N(dh;xbO
U"Jk>q4BcL'4l)VEa'k3bU7Xm2*AcI%9&bf*E[<0)DNHn':7-U:S\(At_eLNgsKu*
U"GZmP[ExQFL1YkWR%&EAyrC*K9&*QO20:0m$vOxI[#K*DmBO#-Jj,r2?;=P+/GKI
END SUB
SUB V4
U"&wF/.27Rr:oYn&,.O.]B5on/TM4]<D1J,k[:8AVhcWWK37#E&*LPV#,eF5246kC
U"bLD)3;oIH9Q;UcjAYW^wwW^J/[3D'b-Qb;nj:_<,F5uFs.aGQ%:kqr]]3CQ^kt8
U"YUZxS:)Fs4B8nt[KQ#o9EBeXE9*qx6f9DtNRZeEYrVD8+d,xBN*dUp4Y:PN&w67
U"<>(_7KXAGLs*WaM7p%Tn;]C<809Yf4?^seaLP02+S-DT'mT2dj4A_QH4b>iK2P*
U"p]yNo=W;+xaIL?F7-HCx)ml(4kU-kRR9Grn8P_m,gkYlT'h:=rF?cre8(>/E_p2
U"e<im?VQ*RE63RWPVHf08$Z4LK76u+K/*WXwF9e>7>DOA<(XbMrVI]\C6%R&PR/2
U"skY]S/d:y=)(UdzM0+h&4Li22%u_%'f[qEr:$7HlcpZ[/:Q2RRK',L>G5jeH^#B
U"kaRCW=ADXS))#%Sl<QO'A(8Akj*v$q+k=F4qH0;]qnqXfo+F<MM$GRV%g$L0X9P
U"ZOzFk3F#+wh/9oTiA$tZn2$)+%c#lE<dkbYw]EMQ?6%CjjfMeAHmNT/i8gWIF/d
U"uphFjS8OnpOO*G/9lmG$ZH1^Hx,gAQ[WAor=i1/QAt^YKR9hC/[+*b_]SHN57q2
U"lS'%>8Y5nmD'X^aCNm61o1ORJq0P2o>yY,H.ADuVT:[08Zf&$(5VnqXeAwPa<wq
U"3?<KE^?#]A9<B>4cLpUuW#%LOioK5b6]dGlbG)pV6*GF0RAi%<<TdhKPe#?+\Db
U"Nez2>p<*.Fy>6*&C,%_M;k'HY<&?O'9B,amUe=lTYVK.V]o_+VhWv(Edsj]f_36
U"oCu]9Rh]jRESXOF,A2J^o25>R,l><J.2=flkaL//nCTz)G*b5&6]bgCQhWof*N6
U"OdP)O_rE(AtEj];^[vXYMV5)8[5TImLo,(&=4/dpMNRK9nF2e*u04fEkHf=o4LA
U"k)TB+Vu]-'i.g]>qb]#c[W%A2eQ)xSY4YQ'J,4fl_Iz&HqT3[4e/[^oiOmkR)'E
U"O2l4F[ds*9:E9c%He90CsKgj)OO+U_YMLzq'=:?FvR5-YM^KJLxbE?3RknTh[Ml
U">j/,E^MfT.7'l<eZrIO()cYxES:>Pt^]N?(>JldR6T\sp+RPQfJLlCqht'F]Ai1
U"r2rTl479RFM'1f2\.^5lnEp0ozO8H/J5L8-/PXG=WWTSkQJ*4oj=<5*y]*fxPYH
U"gRcTgRl[(gfina;NKQ9Lidp9FgVq-k2:P-x=9jsVc$s'^=zX%:LBRex6P=p;/9;
U"V-G\p\Si4HFoYem.9tT8ca%T_12oEccOhPmL14xd+G06oG<;_RUNd*k6JsSKE$=
U".gC;?1jcOCtP+Xbqc(YWQiLo'3v1A$o;S$st0#d8JAuTLN]%%/:M8NE<^IgHyYd
U"BcD6-<3pL(DrJIMy^w9)d)#H[YceSi7C^?#i,0GNEu*e[Z4EKK0VH;A]hSnl/Pd
U"Jeb7_&o88t'^dAra^-r$B=M.m4Y(Q.,eCS2EmdYub,4-[QQZQ/'Ailun2j3gjrr
U"Zmk:EZiuKcPtjTb7G#./aqj7,URqn2>aM;Y.&>)YH^fgTmhL&5$n_MgqvU2)9XN
U"aHt.0;E'+m$,E*^BJK*H&CZ%F7aT/w\fn.7d_(p,?5&$j&R;79qX>:f(+55Vq-T
U"k3hct4T8B$)#9sH9u+r)Pt8m_qKHHB'RECC^aSx&(>2dw0g[g<%mZwQ'qqHHJ7^
U"PXlO5ZTO62yS-DJ'GeiLHlcBF#Y0?FgmBt=f3]h1UAjEMY;\D#?&%Qj&OQUm_D/
U"oWnwW=jhee=VuZFG)9%Jtc,=KDJFb#%gs3f%$4PM^Ko[)j7o)>n>_I>2-Q)Lk\0
U"gtk6pOxUlcB/HbTD^i(I2r1GY>ek&SW.s/=TskiFl.GDFselHXDlP+YlNJeqOu<
U"_b\j-W#V==kD=On32*p1XzFFhq(gE9+>]Q.C+H[<>p4Nb18xJm;\[Qo6&6I$>ju
U"Cm.a/h4*SEi%\%EaEEYF+H6%tEI+qKHie+nG_]a;%w'+oUIW+:HkaL$y);'1t7a
U"Zon*5/i4p'0,EuX6m1ymjm#\WfmY;8opI)I^qUH]]\TtKT_Zm%n*.ZSpIm8/Jg]
U"]r,c-,,&dG2Df+Yg9$6TpMx=Jz3GfU8Q9#1Klm/sf*WyA^/ArJL^VMs*>IT'u<S
U"w%bA2BOstw;.L\*hTBhWno$9d['1>DTAjCH;_=m145Fh7'G>-A$3?hvYhO(0(r?
U"+-&nm+UjJTWMw(rgUSfl?a(_Z5=ru;q_JFU='g?^BcTxEmSie'+pW0MEY:9g)9c
U"q(HLaqBBWu#-$0,vX<.$)>%X]:)swXR2%hP-kgydE,cAk%$%=rAM8mw-7g4_-Cc
U"6.$IoQ6Q9r>W)mls]0,4TndT#nWa=&)a6gu5UeN9i[&bTfg/988zbZ7#$%qARob
U"9kNci.kgY#*inbCR%,ZbAPYM>BS[mJK=P##Id_D^r/<k2Y:l06oHb2Mdb<,iU&,
U"+\$S-Y*sBotyG+Wa>b&g)VfYo)<pi_'=_:WR*M8R:h[?Ab?AIiO/$2/7&(=YJqY
U"_$-4g1ip4iCAZFt'M^aCg]5DIocO#JPS\w(\;ve?GXTWg-;[ClnCJhE4H);z.=7
U"+$t>T.6_<&e_NcZY)[*u4O[^I]#>)F<6+\/HSaA]=5HfbW\]<7ae][RD4.=*Glm
U"j,MRqT))<0/h0CIrunZ'lepe[5D:<$n;_0$QK%\9,#VEhY-fLm5+u&AVLjR7_g/
U"cn>J\%(hk4EP:2PCC*i3Pf(n,ZAcjH[[EwYOny_eMQFDK*chTV+O8O7_TBu)itV
U"9+]JTI=4EJ:]b09E64q;4L[(Btx$:\5=w,(?0xl_lf,4SrW7rkl9DkL;?WBWVz7
U"_\Vv)i$Ww:<n_;KT57.Od(GwL:$kla^?+nDnt90lo&+8P_1V]SkwLhI32_z](DB
U"-X\f5mfH03zcElX7CW*Y-QJxiDTI?U_I%Q3_bRZ70)(p*ev-)MBpoat[)iDz=HR
U"*V\$*RA_NEAYtf,zEFKiO4Q.lJp,L]$HBerLa.^Zs/^4\4te&a*WC&Q1U.mK0,?
U"#\m&e%ip5&m(y+(Ihl[[<q0a[QCpoOboW2fMmuOJ25Di?BNB]'Zrv[l+%[w6..<
U"Q+;niqN,%2t;x<Ic.P(vL+OJCrrTSk/Bp^z*tHVV*q<%3zox'aKKE=y#\;#_+$7
U"8(m4^H'L6FFpON4#ixjIH&CPWeEr863Qv58emmG7(zKhURKWVc2<V>eJ9/F$s>O
U"[-gW1L0&XrP\3Trc)\jbRHO_-]/;#$s['+D4iG5*\W7.X#hMyAJ1g)bM.R92&5H
U"pVOy&q+#?Lm>'F^F<N/%\LlLSsF\92a\],\$oBt0/:y_^RE$#?D:Rb5sQAfMlEw
U"GnyyOk.hnVx-f1-t<u1#x%Y$DN;M?F3pbu'e^CsW17rMPr:[>m?L>:?pJm=Ls^*
U")z176(u/&7AkPo1ICG&wPI[+ScZP6eLm0c=LcGX*e/yQ1Xfp\P0rQ\;ihEU^k+\
U"eWaltW>H5uc?68EPI$xG+Ke<k\CY<b;(PloQLc-ht=\$.*2q>Hk-lUe;i8+Y'R^
U"qR#B5sE0eI*S5tjC$#Qsl&4$J-b15CwoDIcMbT16,*Y5#a[.u^N<Q[[pF[vqK1(
U"W2zy8bQ4r8Xh0:#apaD:ih-#Ih+p<I[La_1CbyftRq^2<F]mGCc-kES23ESOul-
U"cgkI;IVAbc;E3:vd_rr_CT:2E9PEKcxbc&ZxR1Nr<tAV#?;TuB)MC=w)<XbC?[W
U";S/+Zc5kGs,r>ToN%a?*$/p0oi6$k9U_\9eA-.j99*q1ZK7I.Jf)5dApHf.i,VN
U"_A%3:f_lB4Jcfh?iCarR?WT-i>%KRN>ZU,z1EQ6#00B+F-8erX+GfMT8311c1pF
U"%3f#_9cD2vZBMpFB#Q%f-\D]zRS-&oLn3odqot)RSXRwv_ae0I)eHKA[tg&1VD7
U"pZEx%Ue%c=AsFVlimMB2>%$fev,Rn/+JUn&FG:^PIRw&o(Xd)9nz;_bdT+N0/0$
U"*+aBC(=%muxhp=S.]:Qs7MEYF4+xa-yr=]O4m$]-Go0N4;^dPv4#II$iLA<H=Ts
U")>IqFx*T8]A01<SmNAT;,u3R3reHPp4\Q-*R?b:NcMr;l#WE\J/dAUCppYIIN[p
U"4S:+0*0HsBY:.T:f=6i0tb4=Go$x&HPz\Al//lDb?xvAs>Hkfs;R1-p0+rQfYD8
U"SYH,7$ARR/^+a;*h;9-oN+JT>C1<4z>Rp1n.,#<FcBPj+*s4$B>o/Q^\(fD1IXp
U"A7(SXSrb[g5+wE,j=B3U_Ppc47CGpdlfJKF>%c8soCXU#q<Gl(Guf1*fZ'TD%#y
U"rPcH=W:*oLL[5Q&ZeDbtg9JqKO$.+8dM5JUqqKEeV><PK6ZmcV1'M26pkv&EC:g
U"c_0b,-9/JOsKg_i'\#k2$#*TR(k[88c[r'$b'(a[jwjHZBw6&TXbNQ\SAxq<<BM
U"Do=2dicV(TS__W(#o,f)H0*FW(55s,5fUEybpKl%n*O+T<o7'i+^7+$#X*mDN(v
U"2*u.URFp<w=h82P1SIG[;-g;ZiNrHm<(<>,(fNiGZ);m&R.%%,#4d9&1FqaU,,p
U"9OAVmX4>/mV1E;R6%v9%g06_F[AIS;Q9,\uEW8>m0?V=MJAPBAUd7?;fjfS/4r<
U"Pb6N/X/e[0K.YY9bt7%G)j=R47M4D's=(8:^?jO.%&:_Lvkh\X(u9>USqdLWe8:
U"KUQ0JaO*Y;\#WDTW,fAm&TQ-;^oalZ'(9[b+p0IO,8oR'YGgXB1$YkR&hI#wO(v
U"[%Vtb9?_/ZO_B?PBetsk9$PHv+;q=/Et4(a<kHpWf)OE9Ae#q0;^xWj\\VhM#'w
U"QEOE9i+DNm[o*)_t/#7_U#\Lc*H%%$_B^>7$[$0h(r<InSs0WBi1TmN0,MdTdnA
U"4$Bd$f+4+YVb$9sq_Fg--HjsWRY^Y;iTua395ns4TDrAsJA:1iiKUC3^9]K3#+2
U"X_2xz[jQ-r-peCdY(T1f:447*0J9-W2D\<FTDJ(JO[Hn:\c30s$f:_PUJhH96dn
U"(Y1Lmg%duGM)B_[5rtt5ICSk5_+0[N]8Ik9kcU6G<)N5,I'sXHS=(8Ae3Fp)sOC
U"lvJ>-M8h\d)'3V.>C_'P$F_l,Stb:*R#zKLuOY0-&+i^_RV)g4\0L$l$QrnSo1m
U"L>JC6t9feW3<&esfG?%;N.l[&I+msKM[cLL_71zKeg6A4T'C$,#P+$G=s*5lE=u
U"2%HsHo=3ACvnk=bQCR4^bh;LLGB]0ME.jKY+I0MDPI*GD0;3zh\5daI?sv)[7xE
U"hhlL^L$Ym5mR-Z0b%u/&vPHoh(;DZn&mON'3Yejx2+[q[ZSRNUH+6qOaOAR/r-;
U"G?fT#>Y(%I6\VeAU<&O\CU#CTe$UQg=7vHR:V,%Cp=]6Xc0r,,e>8FOBJfdQK<T
U"-04Vck(494C53r.q0l'^hG6kB/IX7cA.H+w7/m8?MCdc>'tCR_T)699>8Knl+Ue
U"-_Cm#<YSG&V7kx\SQeM(*/^$0#(/h$hsF]rM^spoYhO)d%X/5xb&%/XeW91cfKG
U"xV-dgCz)3e#YpoScw0Se2Ec1gnB/]PmB,B_;t[Z^a0/k)jh<CeZew$g^iW+_Od[
U"%$6wYXd+&vk;05'<PaB=8_=lIk*'Fu1:$i=1KeIH:n6T$<PYlo,5^qo^9Kn,Z_W
U"J-2^M]cS$t9/RZ:)S9M(d:s>%.dOJQ30QX?trcQhJb0?WsdqFDJFU5e?AzVd\/v
U"DLF**%zZ\2FL%BM_2b6\P8Vu0V8^&SjnR[QT1AkAVp2w<77zjy_Ljor?+eR:64%
U"PN<IX%^NDpgoG53t+-XmRK;ZJ4oee?TGkX6-4]JV$a:#El7Fr02D\/VR.C&S&;h
U":o^A4&8?)273%,YU?qa*el>T.4JCPnQJ4a\KJMIWJUR*pM[a_#]?xL&uW?r0Jqz
U"?1V7Z%NidAN6Wh]*mlSGBlE1wCoh\>b])&s<bm[j]:5S0]B/bg1%XCQKL4yTFK]
U";*O\^Zd$A^;J:'&Lz,JxIUu.;)ZuKCum^WPRKI8LU32*jAk(+o:AJp2L=Y1o[6]
U"C18,kbP9JZchFB<Py3#w#]1P*/R]o_\n0MYPv%yc;d^WO5]/>YFA;z't;<CVSsR
U"8kP4MQ)M8:(R'EVB$,&3_),u/i'?NMNoNQ5]&YlH-9EWU<Y.dIG8cB)9QMIVljj
U"QWk>(/%>XQU#%)(Le=B?0o+[s1)0-<n8btlKB'(R=lc=ntx%CQ:b;+J;RZ*8h^1
U":qHm)Romqg1WbU^%$7'Q<lAKON,21b,151PK_o&MXt4oDA_D01EniRc.d>DunRK
U"cMHr[SG7>Ykv1U-6E](=V>6OxDY/L>o=YesXa-p)gG]P<2RyMrQ<y,Rc73/1qy$
U"S#,M/TeNWV19XJ(_\/b/=zmwE9['5NYL_-*6HSA4mQRn_OHKuSComi_6RJ\81A=
U"^O-U(mX8cHgGW20.)0bYk&gr7K=/LIhtb#0_a&JKVE0o[5qXi5+Jo,n<<)cZ<(4
U"M9hS1(WEsh;v2ELWW%Yc.9EG1F]8G5(TM3+M:e%Q2$a*<8wu2EFtltM]7wl?p+V
U"LZ92cU^e*S4PB<mBA:;trtqj/>PmPSD6K.EW6A9*\<-u5a5t_OlA7<C1/W]H;[P
U"4mS&\m=Mh%Y<c\<E8.q[sd1kg]/$)ovX*FOj7(+XJO;A>pdH%6m^\/?)cHnJFgo
U"d2RXF1?%%Ol4/yIOqVQ#Hs5dqOe:ceVbHk9'TTQ3i%S;j)AA?N,]2Wx#^'YXchr
U"*Vk'LEfYcJg;C3)'G*c+L:>+4V;/]ZG,5d<WWJ7g:b,JlyPYU4V9^LCFVd*J%;Z
U"[+Ut.Z&<^*SkNo26uZE&yZ)bI\Y*j&(UXG&;MqCK6XHZ))[_]0$s>VL9m&+mbn$
U"%tx9N;Ls2Fye]&>(Be1k[#;)Ox>.B%&u&p/h4l7sAZia^#j)J.9V=X$]);UI9cp
U"g/gCJF*h1,OVuZ&&.lVsY_A1zll6,/9:7>[IgmjG$K7$F[(^Im?ZKCj&$m1x0RZ
U"Aru)<\QvvI3XOqz^2XY(dbs,D?f:]1,2R7854=31.=TzlJr:yQm3T/9d'wK8j=r
U"m-<]K(R.ZG3NXcK\kH>:ISDV3D5M0#.Si[U/%3f1VlH=Dcuu0UTs.Ba]bZ5hsxi
U"0,4%p?IJ=g>SEYdGpfN8[ttJ;pfSkEhGgXIHq?fng.SQ'D.GAPMv=\6NQ=rl6Fb
U"S8R'1-YF&hV4xg0o^%_zSF=F1vBt7xzutx;HHf2f^tY%dOb;8cMZjv77+Dw$pBL
U"5DOmh*9LW*+c3r,3\+g52xeW,s9=6HTsgR-8lIf01J*4n^4=THj-^:45*thql4)
U"C$B_]4yE?,&^m[P\J[WgPO'[MUff[</vmwnl_G?QY;X4'\d?wAgErnn[C=H21s$
U"+#PkT/p(*CP)\kkND%mAhV:ooVnU6>D/q4Y^CkM,htK2yG\2hC:0P]&MwDrT>mN
U"ICyxLc>%q*<IOv>TbK3THz6,ahBf]P-3%5H4tIW^ys]$TD9pd$V#r2fK-/Yl5V2
U".t*%]wjI#07G)[<$:8;o3\[$Odpj)W;lhbI?E>S<3l91h0>;H:V).Sm[;^9)rX;
U"*5s>qe)UZYV_weX>aQ>1/cAMAD3\cE12qOeD8J(lz$rM,(Zp\s6L(s.7loV)-rm
U"rd>/E+g[vGm][f-X<?[w1\-yUu*<(.8*gUUldrc3q6TRiQjS'*..X>'ORU>A0^e
U"Uv&psueY($\M?-?FO[>oy(V$K(p&2&(T-$<gmRZ[o#kTa;/H?Y2U&6#PLgLX'OL
U"fMgbGd5b:'QO.'Ixh\9DC%-;f%7I)+Bw+FD&S3&#it)3Ln+/t%(jn>%AU,mpM#Q
U"O'd'Cs)3LBn1+3zUo%oR^0Uj1pc:<R]n;342FMP=B+Kfu-Gw)[<&#XK2Yl1RkT-
U"F,q7)XMIt8/p$egc1UVY2OyE%x#MeLXy:\APP0314?kqws%YQ,;8:ZxATjQ*%O'
U"7LK5#4fVz6B*bkzMoiIhfSsX.Sahj%#wp%CXYT-'CTWZtRWx(6=6#f%1MslsfAh
U"[$ebo?H,sX9p-#N>fS.l4k?L/wO;2>68tu6LSGi9m;FyQoGXc(,;1$mZc)>in-E
U">+9vq$0;/lR2(T:SApY.kf#7FbWm>Q^S7/Kl_brf\c;-HVQ*_(j*S#8iP2.dRTq
U"DLXDQeDTD+6TER,suQ$T^5oM[nuLMfjJ+id[q5Lcl+=*L3,&E-.60fQB:G;XE'1
U"DhpYM'2')4U[Hj$+Pj8Q]\vWQE,3i6;5fs/IPDMLsotRM9S$.e9m68_FU:QE_Ia
U"k_8W)S(q&792v<ZGf[ps*f%inr-*w//;SJmhG3borEYfnFn;vc-R9Fzb2b/dg%2
U"27.#_0eUP%D)=AGj;CYb(DCkT6khy*50)\B#Dc6Yatm9uqA;x?oYK1xT//Zr_8A
U"/(gf(3S=c_RQA4$?3\=K#ao$iJijT9SK7dqyccaj'R:IYU\?]9)#9]rE2R]W-Ha
U"e4pKz0tJY4GJ9WAh*J4s#CmT[l,M1fyI3+rUJ8uw0X6'<A2ov)MMd76n_BD-L)R
U";hSt^%.Y?>\O+[EY[aL+e8rQ;vfr/bE6(&xEsNTwseg,C=4M&uZA&^%<JYeWIB/
U"%SCXfTQ?5YEo+x1ne%>4.wt:295rRJslMY>)BOW$pwvD\G+o8qT:%cj-$%#Jg[/
U"69aN3%:d<LIc\O>A9\uJk)TH0Y%%AME&/(%L]uJ2h0kZFI6PgDTIJwW[7&ffHH<
U"QGU]av.H4&5RDE*M-'-I2\OFk7-*8ho0:6CGbJJ%o<I2>A,)TWeY%U_AUv)/7q,
U"]Y\=jo8Pie=4gLh1HL1#9iFpd;ZXO5h,H8&/5C2Fahms&ea>O5L4LPCKh*W7t5y
U"_]_:rcfOi()Zke(jYd9R$+>S[xN<:[gPf<RQO%$Eh$]?1kO$gsqCE/>8Lca&2;Q
U"a_]]D-MoM0.$0]g)<'Wbkgiw)_YN#WZr2FD-9?cRhIMzt['FxYr:uUS[cq?a_\R
U"2/+$<CYhFF%sgrh9QLGjI/pfIU%ZX/Ro?+'<NNDxo^u-'PJriKeANLC=(KDPI(A
U"9Uu'Bi2s\*tBTDdu\)BNae3zNS%jf'hYq>&-OEt/X=F/%&v5v%69B<k)'2FiMpd
U"1>[E\y1i*hOFwK6&*k/\FD7nNKivAa,KF1lK&3$b_3E#SP6k_o1cTF9akQ2hmJ$
U"]z:=pR_l>lV40='j-zBg=Xfn6xGbOTN>EX;N<UX:#=S_(HzrGB:Uv;dZeOH1=;a
U"cL^,,HSf5D#](?JgQICWenW?%<*W1^*4v;oi3s%RK'W,tiQ:D]G,8#Ze##7Tne*
U",eWLMNvZO]>agEVc0N^A>#j?_d2:o>^?RDG;E2OvDQunKw5>9vRB3trnwf/$.H0
U"F5zXAt9mUGIR7$DC9<#:?/M*<)(MT9>&-Y#s;u&swe<UD8A<Kt;)eSO5*d6_#*z
U"):J046IWsVf:L0:Y1H1wz+3&3fSP/0p*'wDiDdWJ%aZir'1]*9LPn_h+<.T=CKP
U"h%>;D)]mG<AE3gzw70-?qHJ(Fld-oVpnT2HUQ=pw\_Vm9J*c[6ra\V47/B7.6No
U"Pps3&F3ts-QDDs;BTFp0%dyncr;%FD+/dWFYtl*Z^]&a&*G)3P%';R26WH]E-\i
U"JtTfU0475HU='skO(*G>mXX=%f0Qf8kCg.\V<FqB$27_Yn1kgA58\b^eR,l_EDS
U"E%%j]U/aGN)s32:-*S[&T)t\A+c?>5mC8O3EdSR5t#P_<IA^3&,37umr9$5W<s\
U"0^FCS2Zj&G6foVVg^=I^Tr1SQBOC7TkFO(-c+4Y5;ioXjOf#r4t<uI&*%hu40a>
U"S;U&H8D;f75PR/EuwqQ^0j,)-Ph4KUad+)dqZRMf*:.aGWv,eeGdch<Z[6N445>
U"N3mIdT0Qg6qAIosSCh2HuMO'8st?FDPBWCgnB7,?b+>1jq4_]>e9+VSabZj,*Ud
U"F;jT]m>;ioS*^?EwQ28ZBaP.PwAj3-f,kMk#C0tEWE4g<?>Gf>y+oo[/>2Lw,KD
U"*kz[A=0_QW&RYaB#rA/7wAQDCm$M=Bcymr/V/gR)K_dPd+U#tY7SgjAto[SW=AB
U"e[-jqL[k<G/I+k[5;c;dW>2Um]F^03=2=HgqZ-W+FO.I$)]CKVeSFOWmItmw[=e
U"XJb<2T$OVQRV1.'U8$HQ)7YEJpv>2xwhVYIEncpgKU\9J2WlbL6'A)S.knD2?hg
U",;o0,aocAT6]GMc_Zzbfcg\HUgfzj,Gr/fnV'4D^;jT+Ze^WAc^>8H.7NQ;F&r#
U"Y(BhL53'BZDh5L:qp=T_<WB[g_C&=4'9FS12vey.rVhJI29'E9:8NN5>vZ0g4x,
U":+hg2vLUprtwH?(7V+VjqxBvteR\*i.u3pP.#-Jqd3%fqId>dcFgRj1[N*A+SkN
U"z_BOUNZQt#tswfY-gO>.;,f>SMFKW>+JG,i:T[H'%saghbS8DbPFHg3T?#rv7Nk
U":Ly*_4B=g/D'rCy4:(;KBoW(t_vdg99L:Czy7cd[xF:+M=2/Ot7h5K4wmeOz(X?
U"%;,m3CwBI9_LSLIcchhG-/TbBUg'6,tHR-?#H)7\YTGNx<T5Ru7$x1cP54%uJyk
U"nu\1bj]<'9Z&^oc664r=szI:qb*<JbdnJMrvPtK-hZ#FOSYKRl0KLDVY/rHU$%j
U"AU;DWe0,H#mccWOD<Z%Y>3q*c\w=(rLxC=t?3xXF+-TRWR^tV'qRdiEpJ?i\u+?
U"LE<</seyTESA*x=.ImspG4TW6fd3VcP<hQBPUCeQRltj<jY%(+VTxVs[QYT5nj#
U"<zpNPV2[7c8pC=^6Vlh>b^b?6qoioH4x,,>u\sq.]ArpD,Y?b<?jpW<0Sv0qU5<
U"t)RbjJu=wNA?VSIs#wdH4dm6)8RM[neHk?u7n7gyt-8$9/Vtnv:)Uj$Y:BdFY.w
U">UcBV5pmj\w(nNbjPMB3Sdb##a<>FOcs/Nw&Ak2jFi9L<LW^I,)hk#arw2eHSnl
U"kZUsF16eXjPL5hT=Lnhcql4puRs774LWz4Otx+F>nV40Q+nEL5N2yc5zh$LU;K_
U"ep+GhW=Vs[shHG)ToOBuq*AQt_ih(NwHj^oQJJKxNWQ,f=Y+WjyZBxFLVkvj=kg
U"cNqL<ns6TbBu3RbpsTEbJ0KEMs*GG$vvI\SDCWo<tUlXbpGIhGZ+WG#X6kqGFHV
U"k'1wc?ZBYRuTIxu?\?pb#(cah=p?Y<SFAqC=zG_>K2OVMk)%mE$8XUYf\raFL$c
U"IG6ql^0cT_0Hs1q%kJQ*-jYghZVGFxMA0lmb4Wh=%,cxm37WUu'%0d$FNPxulHF
U"x:8FRv6q]C&>w.X]sl^jdxGlix+N7>NxwslI;q3nRcIQqnNU6r6*n>i/7mgW1BQ
U"zq0bU*r%H2e[;rW-?v\Vor8K[;mKq;4bJq.:_W^-rp&I1;6vrV[P;hOv04$akt$
U"4x\):2p/iDgF_d9j<Q.L<qgQXOfJp;[<X(VUIWusx1#pqjjb73GWH$aJ?6_Ro0R
U"NDLFFV%J2^svN4x6lDW4ZBLVJtLnwO]SmT&oPPL[n%0wG&Pde\#z=jkNXX8dumb
U"nV=z_iSXp$4ElELM1bZ<_6V:vj=XS?DnQhK2kP%NTtl4'>0ML'.)/+c.IY(0<'t
U"[xd<3VlC\L28A&h[F(TP.gxYt#%K4%^TSdo(9?5Yl/rGNP5FBnG?g?6o'wTDGV0
U"xcwHd;jI2-3FUi4$L0wjVo\*r?uHM6).x1Nxc847$9SI6wXD(Pj,E5%Z8F<EcL4
U"v:jQD4p7njPN8qHL5kp]V<V3U.'qYj4e1D[z\V'\j<\j7nt^qnNu$8e\<ja$Z]n
U"Eb?8tY=t8X1K<IHMJfVVHmjS>c$mgjujKcmK$D#JA$TB-QapFu?YVn<'&;r_KU9
U"%tWRG2A_pMzR=jksS]3MbGTTF6P>-mJrI<s=NUOi4Z=W?uGW$'M&usxAxQ;>dRX
U"$GY-k+47/V^FOt-V#j]VuNw#84If4iZG0_c;WY/Qn^LKG&/jB)8J8P^PyVfE(nS
U"qe.cs<*\,<3u<Uox,S4Pu:$uj0(q,Y<i?b1QS,I8ghNfuV:d/n9c$xMciX[UN$I
U"-=6>7jHdCSI_,2C.srUwl'lPv8WGMpnT#8I6lGV:ngv<[ylxL$,D$Z-xmyHjm4l
U"jdx7Sr4NjP(#>Q\h0lMrcP.0N6Vq.nix&ZL3mzz_7\Qo&AN&.rM:FV.rV(U4VFF
U"p#=DxTyX4xg-dTAV<8G8)=PV8dAU6v8wVG7dCc7kbMlPwH.Y7QuvF0Vqm#9<r-l
U"SV\bH^kjSB8b1PRu=4ZCs&xlGZ'p>uO1cGuCL4%i&yE74nUv\O<274eySS#m<,R
U"/N\Vz2_BL?WY/<8(kJ3-vqjT4p#<W<PJVY=jG31mH*rd[hnia5)af5=v>qcjGB9
U":+pq/c3*:ZK1*5c8.<+Amd]=xlx&eXK/s'XmTauVekw+3?d5'x&Hd45hw4uI^sI
U"k,&L6WrqtsG<Kpr=Se<Vf&sNL-:xPx'x$r7=hjxg&Bv1h8*BwTEsPd_Hx_I=u4L
U".bU09J[QfVdVitzZGDHJ<.\;Vau/&+[YpsZ<>SC<,vYLXoF\D_1ZX[6i?Jv>QsP
U")5#Ffxk>#70(xuu6[8rZk^DNLjINf5V0?]O2bld+C#$csN?/xk>]%L^Rg3\iF4V
U"gBc\T3u#w?r$N4S;V+cu^clw\6aHA,eZXKwnl\9Ze-px3<?xd8V/?,2<OhvR_ou
U"l4PFCsDafpwEl$YzQ0-iwtm584:=K2p^,g?.Lc>q]1tT<p,ZA'TCX[E\t6a+5dx
END SUB
SUB V5
U"o1kBqoXbu;$aNFrf0LM1G4^jG^Ma$r9<BL<?T)rLcpxLj3CaELdoP2:Wazx:9[j
U"YLX-vxjkG2d/n51wgq1GW5Ma.uL3s5GvRt$n#rsF'u1Lz-1,EF>\pLnT4h?WZ['
U">+TVt7ATrm;$4/XDxG9n8=$0a[0)jS><2jeZK8$Q4)>v2:I>sg<<4R_TPK7,D$P
U"<U<dWQ9E*3o*#f]#pKV)2Wos[)U0+l%rM]r8Q2I=(+W7=P?3s\Z=lvrlYK.R_%[
U"hV;DV1a,Wh9S:-q^S2HdTR<Uxl'3c\-D<Zdh/icc_j)[\T^mFGQUDg<qNd6\je3
U"St0fZs)0s[5i3jY]eTub[R?LZibQ?#g\4J3::HOZpd-wVnc_/\Jxp>mpK\xdi;0
U"DJrP#e<GGutn?ri$DL0-_C3d]HDsa&O5uw(N8XCZ#Nr6gHtR5mdNCb1dXhvTsVr
U"v,M+G^CpxfdeNw,0x0=5iP>%^7G*%0X&LTZbH?.ptgim[C,%^%0%%DjSxP%F,3F
U"h39&jYfB4^((4nc>Zhjk/8,F-(b3&PYEBgCm[cBRfqj>5?OdlSxe#bU)gZsCAp4
U"$O5rf-uuVJQpZ)TWQ>:[?XdIj?#TaUqQu5Uw3WifR4u]][-(uk3s=p$;_7eL+Y#
U"CBvSO9(f/#u85oaR>+qYU$y8.oh^Rwcwj/j9,IjDk]sGxq%JnVWX?h'un)r;Vp%
U"jIFzxwK#YLdBn>A[nqzE0qp%4*vMs^w7>Vk\4?pttPK=lLG3<NCv4];M;TO<d,u
U"vR$eEFYT-YTe(ne#TB($;av3l.4HwPX$AjjaD+vZquvht]38'd5N,vo^7^cEbj#
U"XYWPw5_WW.92vJQzsc6(=Zupklfm2s*9_HxFb3Xaf4ur28bphL/Tr6b&_WlS6;h
U"_<#fg,9'ZOXjl9;cNkVyE?LH^JnX7;$aTL[K)Mrv-u_R\E2MnC[B\VUcP^>*fV:
U"l[w6u8xK8R?cvlPkwX]>>QQ,5ckL0BQo$.D)\_Gs3v;[4^8O-/BDQdU8J,JdDN*
U"pEEW?\DOovb=bL4t6oXU)YYnTw2Eo4u#GoBOs6P8NSZQ(vpWr(+un+9esudi3rq
U"CK0vOn6)Ec8KP=>6vd$LoJ-$ltSJOJLSmlR1vxQ^']g/Z(cnpW<%DG3^HqmXkQ[
U"v*kia3ohdCDTu(:fN?\Znu8X7wJ-cM*Dbrwss4(;j<)GsFqA?q3qT-l(uB:qKhM
U":FlBp5kcst80uemgVhE4>di6-S+Fr7\F#Rge7LVJ[q&6?STNWAK'z'q2FJu\w0r
U"Y=j<+TI4(G5=vt,VLC[#GLl*nXcuqAEEjt&8W4wxo5[obcE,4(WTC'c6Y#&KS9-
U"j8&K-d64dXKh6RwzZCRd\k?+.2,-;;XnBxw\*LoLBTaEWvrImRh^j3x5nXj(v>%
U"$9O[Y^'5erVVHjls:M8.VdpD%hW2<X4TVv$b:\rr(&HWpl883+gIu:HlNWI=*3=
U",YHsVLiuuQI4$m,2u8wqcd,3Nr$kE]U]h?JhiXT(jQ7WF>9ESMJhuxuaF/jQ*Ox
U"35e2M'Nx&hvfFj[v9llhM.Xmg3qiVwKiZe?L=]Y.kLSHfDMKIudNJ.lBS-EdN)&
U"g-'dW+aOs,?aU[0UIzs&q8*>*OSpiWLSAJ,a8KA$t>OkP&V\WGUda(&rXrXDuof
U"kk-rOTc<w4Cgcw3n:3$.^tCdb]ccfvlR2OWVLW6jYLTwr?Np)(1igo]EqZ$V<&Y
U"Qwu,lS9jvc)8guiwyOL6viD(H'xGnlDhH6Zvd6-Ou:z&TG':M?78xQ6us]S91Yu
U"[nYz?j_s4*s8zZkA?beFl1ctdOoxj8?2QgKB;MJ\0Gn9D,sFH4i[p13KZ$nd,Ym
U"7pc<=-$BXP<S.cv\8lpJv[XHN_;Amcx+vTjT\Lg=NwK6a(d&jGL^h[Dr*Cu/_d$
U">.(76>lms>QYqE^.wjebYKv_eU2CAvG,na.#Fm1zkeR^C7)2IXk)AT+Z.#g):$K
U"./GMkf]ZdhWrZ87d3urVsvfJvQVPpZoJc_2JW=;8(5r(13X#BPE-NVN:ZW(h3yA
U"N;4.:,Bjz9vP*SS+0>:hcG^8^4D53TxB5QXdeog(G<?z8QC(5cfd:,n=Fr#jtad
U"vA#FmjVOLfBASpP.3R&$duSMTpcNlj&9CTJZ\t\DgT8etFWQ*aluxUw1[gm*Yt6
U"n$0]F_S8HS4w.i7,u(Z46#Q/q9\fh2HJ>o#1iRuX;h7PHXmd>.Ti\4>j>4)a?xL
U"V$?f0ZvCwIQ)8B$$+L:5#nApxGMb$8F?WaK6r3,d0N0#&4vbf7lq9b4lX.-hktS
U"B7H2]R^n'Fu\a,&D8pFVXK%l)IdSMr3ljwxK9S/TruRSkvz>hFRPuspp03rBUCA
U"oTD-4.7SAkmBj,k^])Vc/[mSlO:Afopzi^Y\&7lcFV$h3TVJD9l#gx$oSb>-j(\
U"zctc$3U-cH:d[r:t4,C-FgU&6&Z8k#1^TUvgZ</rIMLGr\s$$f6UOGkFjK/PV&z
U"bnd6Te)'$in/i8_,wj;:bDduXKk(h>,T5:OnWd:X(bz<Oj^<(.G,z;>%81;JPR4
U"I)1LKul/_0.0>,a6xIXFh7E,Zu4\+35x,q,Al,\Tf$&xq<7a-A+jvYRt+ZP)&^A
U"i>MM7lYdbceN^\)H0p$Gnnott]L4M0^+*X,FCjvGKOf4fWbc$P0(gR[+KuWvuSh
U"NH/81=nSK>S=<oQa^JlPNnLGUG17J3tOil('4-M]5gQ=2F.tDTE71Nrw:*uuoP$
U"FAv7imD.#B1pPiDH/nARSZW(Xdp_uwnJJ#aMKvbGnlASzHRDmp%V.o,Em%jKNY-
U"&WMqMOncQZFVneU-VRbVpcrns#huYJfvV6Zd2Ys^8h,s4(pSl(.\5mo'*7a^4Zu
U">+D8deKNN%T7)YrcU=$l6iB,d?DZdtbEtX%_VFsqr/Lq^oxqi]c0bL;0(T>;fnL
U"L/67q&-])Luch$,OocvlPX;O_8/ao+RcjbtIvD?K,<k0vjnhH,RX[ho%YG^D%NZ
U"lB3fupoq-FW9PSMG>H.ZOh8\n>\^TZh\k*qc)=P;E9X/lv$63>cWgCXi_FvSFU)
U"71[I4g,wt>oTgd&OZ-uR-mF)aFB0C8pSFCnZoRa5'3F[CcS&JiTpO-Bv]G^WEP-
U"CmNP<xAhZo\(FtT>xwfq5[Afm*d[q*Lju,[v[M^ZTjRrt:x.7[C8^KiC>-eh4g+
U"+HC\?:>cF(:)N,[cKvlbF$m3Zg2dvwU7R[?bTa:j<L04PPmRx,H3VTeCK.bsen/
U"(9hE>3/p%mnvW\V8/e2:1\-gV&YaZ4+Xfcnp5gbKp':5I.yGUttn0*6z,Dht8(\
U"KpxKc$0Diu#h]75V7Ygmg/CHubDPsS$v$.&^dOpowE;Xq^dur./VK.u78s.m9_e
U"iQv&iMsp7R>#T;IhBH1+xtWvjrHV<\U-eotbS)x82N3)v^4houAIy2+Lo2gunc>
U"$?do\8noZjFszraVi#NkXIKp8]SpV1FH'nKjdor(n?]Imi3M+DY%>d:CP<t%t)8
U"4^t&q45grDq>Xk.OBi^VUDn\9jT(MjGPnCh9sCU.Zu4V&mFt8^ck0Au-wjHQZRQ
U"lIPG36p>*Ab2T>08LYNN0[G=wY3ULM4eOBkL>adZYvZ^j$=ZxniHLZ;RqVI-fl-
U"v\$JQ)W=tML\NIl61TX$Xz=/YmWqjlwBku<0<jjjs?nF&^DdPsBp4(]XOKdku$F
U"tM00hN;x<qrMA%ne8IlhG9];:8_B/HoYzs'JdCCT\O8o9>sd5le>ExSjkB\2s_,
U"x<qu,jll-\PT8mh\QH[sGcR8nP[<?kmo;E:jlHGzmjf[auD7\'W85cw'<fY6t#E
U"DosewWC,xgOXHRi_MU3k\jD:Dt$vHP)^NF$ib\KL>Tl%3G5q%fq39E8_N&D8)6'
U"agtAxPt<F:.p<L.<\l^pjOnX,lPa\mPwY**/pq(LKb=Y?'5<./7*9\+v5GHtNKc
U"nv^uc6u'[Pat+Kr;Je)sMmaDrmownQcd&.a)Xg4R0Xr[_Hx3.u;&g]qF=p.G)8>
U"m1d9^ZRod3hgKY0kBeoDE=G3h[r&DHwMGMK/ttp.h<+^rwTwv2cqP1pB(RvC6[g
U"]OYaESykEP.1YRc.8gJljMKZp^v6oInLcGzQ$lSf-VW$KnPq\zXN%YPY((:f$eP
U"f=oM$Uhk,#jdhL*u^<FgXrurZt2eW\,+#R2>nujpWE+vbWeak*pkKn&YkkPURE:
U"R1:dL4gJSdm7?>qeWj3G]lB=O4XusQ&)sYtQ)Mnm2OGIsz3lE#KqNv;:<Zpq93\
U"bWdYT?vu<5Z0)0)$N2&W4R8cKxTJ.$ws[K=Is4H0udc#k;9uTqWj/T,M[;-i=L\
U"#%X')-\S)_1q12xm.<thJVPoTmqh>v6iQ\'?IV2yyu%%%%?%%Ch;h?c8ldt+Z?8
U"$ny>1NwrsOw2Dn]oTRNM'&MBhylzV;;*<sb7LMupn0hc%i90n4vNWS)tx6g_Iv=
U"LX%_L]0Xc-=g;_cunAfWor1NxrOf+xZl6nLTibcIrvxLsR9T7L-50Dz;#t3LXvu
U"qLl2lFh?JM0X$MoT]ZMjtKrXKo(8X2>&ujsNRT%'#.d]+FJH[\VQtPV%N_8#Z)E
U"LSg^T2L/l403E#[;ro*l=d&R,veb(Woye6K#IeLJYd%nqA]*C'#u8v9gh)oe9gm
U"=sghLB9IL4orn*enRPYp_#Xc^-n7<UtFCPYb8]IKTuXSuQIYx2*UzafE9qgdTmq
U"Xb#5'cAhMc6J+>m)nwYP82(bIJYLpSCl;;LRf'6O(..P?l1<XY1BP#$Tg>3+'DS
U"7N?*qaxKJ)esm?XI'<Z?2^Uu98%viS9LkY0g6EGt2;RaiKVE+/F,PXa>9xHS:6d
U",&S5H;t-C^'/ch;6=J-a*AP%K$osB\ZZHZUjvHIgUG:0h&]R(q?b[m;+ARgm_$g
U"nWmSWJjSxT=rfsr0Ee(q9v5.U6b;ocYUo?uKj8=E]+$eXsUOMY]BH9d(KEvsWU/
U"ZStJS7dYzAbp:Gxw4bU->H]'Qj4zbGl1i2<<H]Yc$Ccqa[rNpLqlFir*F0#6a;M
U"[>i&>r<b&anLH7\Z\94bp1Q+et0E\AtduJsdbkmb91*=IbHtjdt+'nSDOS#yw-(
U"RpxR)5V#qFItat?=:vs:$fn%HnH/PSO3xYZS?I6OD>fW(UZxNP&(]tSV4bnUT/x
U";$TAr4tXOZXa#)b[O_TN3M=xjjjQM[bjpSCB52[wos1\fq'3%t.jG/$/LDyx&9\
U":IZ/h,RJOj3utoLz(,0H&.1E/%j-n''.&^]K+H;H>7Oi0k3ZiVd?n9Y0axg.<cq
U":+BhpvpOSBK%WqWv0]2Y70-H[J+jTHE94hVwKZce-#J8S.(%_[fqC(+:5f2]2Tr
U"fA%AM>:A>KTdv^65wbuI\^gne)IumJr:U?[WrK7D=P^7H'twHk*63mhtJhFQn9O
U"Nt-Af0>0.ToCBxL/l]mq5tRKFUT&C)fN[*VsU&Vw8?aVbcS^BxMV=]<X<u:]=dm
U"ZSf;i2jdiWdGQqI4'IA+&tmb#beLtXS#mAVteB7$.)EvRYbPE\bwgTe[2=#h?jD
U"LvDDn5GlKOsR(J]u2EmoR=dcMLCa(V?X*'qaQTwAGA6:)Zo6QDXBnch]ToEp)62
U"&$a>R#Z[3hnE=6zCBb.r^>q*M>t2?HW)&3HIE,qc4^J#BS.O8DV9*L4S$SN$dgs
U"*,&agT*3T:Ujfhk/gEBxQ<gn7Qj8dcU6^'aJP=EHD_KPPUK=VDka2UQIJ#Jy[A\
U"M%pFrcYum#20*<#/<73c+kJ_<]q(d;RDDxGcor4K$'B2kaDHp7TR2i21(ol.f]#
U"Ho'r4wST-/on26n^iG?fh7(Sja<=;4](ilO0J(s+Y=KQ[o64V1b,6ARQLMiEP=S
U"O>B#[9EAsg=gq+FgtIw%'y&->C9(*Sk_9=B5,#+X%],0so'FnFHqvon?,,k2rZw
U"0))fqp;&x^uU*B)xK&Id)9u94'9q.98$<=]J+y<+2twHfoR#(&xEC5FyrO)K^(.
U"hQi^UPn3a67y*)*9#n%<rr\smi<v-#piW.L4pUrCI#Ac%AKat^?<>6O_q-mc^?>
U"<k<p[sz5M*h#dEYLgS,0DtV,ynis-n]SSfF>eKN)ohHS,G\%_ffI==A$d\GR]&#
U"R'$Wp])<c#%rD^]j-p*j+/SetGej\,C)M1U0*6MVMA2F\Ob:8Yv-&W<ao'aW5G9
U"^'TG8lWT.ebCfdX-&(.T87kHn=4xD>4I1>^wVHmj8I0#Xj<xcc%>HQFkJ#98K)D
U"Po12E9B#N%5NQ\t>.YhqCC.TA^4;[=b6PZS_AhR:k[md.;u5s<okCh#+3XUMuV,
U"fPEA<x_gtM359]>RT&4ZNmYlmppa*S^(u/]ZRqeWa$4?5YA1(]kBeK;lbFD=dM%
U"d6Aui_bv$kVPo%Yo>hoPi4o,x?bv#4cpx>7sSs\nCPAl;aw:^>DD(^B6P2R=>E)
U".YXxkT.;=o$Z,:%m)\Z27mm;(ud9CFPIXbJMl_sjS<DwB#SUGia+f]CBgLMU=JC
U"<l]q(X(m7+1o>c9%b03+WG7icTtB9N3rmBf0rm::%)1;9s\WgtCWZT&C8z[Y>fw
U"#CHtsNQAhS1&8<wLA[(EHW_fYt7Yqg>P)^EI-B$TI)iCzys/nYxL)WMq\wi8js5
U"vfOu3b_g]g'CoIA4M^BmTbbo<EGU/'%.258&,Xl[X3sr9(q:C8C/cBMp2'2Uu=n
U"lZ,_5.-m?SMg$hw%=w=;N5*210b_WG90wdQ)r3x;F:rif.S]yu)x6H*]W.&umo4
U"G3gFl#JQIJ\QjXe-O5q%UB&QKhsc0K9/a;KOMB;Ie4F#sUOoWcp1GG:V<i'9?Ip
U"4Q\^4+U\u9Q#k93^eGHJ]hCkayiocai,y5dM-nvq^u+*av=Hq+hC]3D2x9o03r9
U"p1v+GSqq]].JC_A?IBiMV]3U-O&=g,#Du[t,EV=[X.USL<#K621><94(]5jusK.
U"$;VrD,s:#t%n[:cht*)Gv_yg*'2BGZ^>O.G?un#>-&O8VCVEdTz.8a'h2$Q0Tf,
U">hO4*g1D<-M/rKJ&%E'#I2A+w<T\Dgl$6c;+%So,e#R.9TQ:u-dbI?LN]uMN;0b
U"(2*G+Sf*Ivu[&XFC2G)$Gbh,gU]OAG/sA-5tc#2HF&rQ3GXY1Jl&iI-.8ikWI(G
U"?8(g'GN%L:OSsNu'ulUFbJzQR4bl0j(3rP;T+J&VB(26.M3?<==AZ-cauyv/DDV
U".HV-'F\E>-i$Y<^Vgu)TS=Bc]y-:ouHF1&u>67-X(3Q_6momyh)6BLH:&2>ACfU
U"oWmj0ql^7bOj3kRBU,^_w5:O*[#t4$libt?H\5k?^=$r&EwsJPiN'SX79L%5K<q
U"n,I6w&K&6ig5hIon,754I0vHF&DJgaW#\YD[T[gEJZb$vsdiiZVM;sliTGXxeK/
U"=BTe[4EXkmk1eZPd(qi+,P$vZEiM37bP)]KR#Za1o2W-O,N6Ix<vr9d0]F3xaa<
U"'YIJV&v18peFM8OxR,*SfVQSJtxA--HZ<]0n>N+oG?SDY[Bu2u?m/iaUEX]V=%]
U"TA.&p'NA6gnkn'6KNLPF52k:hD]j2]sq-#w8];^U7;_feCjw[8dfW^=vC$w.dh?
U".Hsj>j=B6X&F]0w*xmD0TAxis;IG,t$cT5)dN8<k.&&R4]pK']&6UBf,ij<Fw#Y
U"Z3;GC.24uCiN$Yt40UzbofaQPH(G$Qef%fC?W6HzbB(&Ia?'Su7qT7coVFk9&./
U"Mleuil7DRqfu0K1C-(u*bx1#qY9U+iYdFRW1R%C.\*1U1SqTDA^'Dup)o/6Ma_.
U"\<62dM%bZSqgD6&ull/'ueN_A:]e:f=*UZh73OJ=*?X'Ifl#P)#rW*=]+PQA4/k
U"z4>cuWX?4?/<bQT6[xyrcJ*1[KZ6%G2_Tg?1k^R:sqY--1%rDCCbW/-<*nP'<ja
U"xy36nsdpS.ON+ECAjAgNW+ol?;OdnG=^;M'ct$Q)mW?&h<9Y<$2Y07pD>,9oA7q
U"T$jk-LELE$tqD:L-<^$/CNIOCl*3?Uid&m2bM3etQ4Q,)>.IleHu[fSISm>>SmD
U"p-CIlJE\%WArABK-l>UtdV>U5AaUPK7sk>h,lsg0=,k<;FTr^:lk5BTAa5B2Fj2
U"jCzumN00ZnQTV4g;HpJL=aKZBd:mm_:&n'g1E8-t[071,Z=Z80&y<D>E6wF4]Ca
U"LnzQT_2A/47I2h)^edHU1[fiC-Rj][3RG>m5MAu7jWF$?RmrYNM#Z?+tkPjhA+X
U"%ip0jw^=hu7)?Wd&+P\o1.P8%,H$Ik=)WRSuRohZ?yDd=UWja*GuS+??-gYs:C:
U"uF?T=H6%Mf&G\vvt]I&gpQ;--.(oCQ#+VYGG3Q%43N_C]AGbeSmf2;R__%Y=p01
U"1?N[34<lGVP=&OMU)VTLXg0ee^+3Tq2x)V7l.OsKf_:lY+,1HWd#=pmmtQ(.Q/e
U"c,81IvIa:J36V_Xr0(=AS.Cd1f+(u1jjlHKRMC9^B+mCj+iJ)Ul9c/lb,N5/M*+
U"%/WNi]FJFQ\'+')dZk=)NO]JqEM\Onzl$q=7]im'F0ehe0HQl-#\]x_^q/EE:Xk
U">:4hS=<a,C*5&Ka.s7:nB1,TP.TU<hl\k:/b:0It,&*8262GX4EIa?=bjRF.[4N
U"/g9CBp'k''8]_3J,$Yb8YA2I4Fz]K2RHr]h%q\</N?=Z0MYc,4^UCc9mB0/.1y[
U"Na$hgj18/G:mcaK^6)VVe<93YkgQT2nP7PU1h#>Dn-l,_YVjprPiqePpMKekfdC
U"U0WhU==;O=1A(EcUYvMdu8RF*]me?\'AJUiHGVm$sdp:(,Ee4Gd$,H\Ge&8)MTC
U"-]$>/7mPX*i\HsSXLuw,R2K&]l==H<A5LA+b<uft/]9ojCEB=(16g^X)GF38XAY
U"+?G&985R<N&D)l't?'A3BSRN9d5=\2&X3oPZ-2^=Jnxfx^w$CQ:t:Ti1.w)WB(\
U"FZ5jONiAfhT'PSWjg&F^&1V7.M$>W.gICMqSaor;l^mDRVcScHlRuC*$1:%\lOG
U":^GiX']#Z)g;Cvkf_jUU8v5[JN&/n4mV?sYhqQM9hx3:4y+Ym23Puc)>Y=j7q:Q
U"v6Md'.E]4O9AERoF:u:I)8tb.Gsx7?hG=0oQj(jXM-fv=b/NS_cQ3UJzV4ppzjF
U"$n.Qvne20gs%6>(9bHQYV+exD1XLoXH7]\d,Ye_Y>OT[zp-w\zqQnAOzjkS7p]1
U"_N/j/n+r=,_t]_w$1lg-%n9NX\1T;U8Md:X^j9D<WO45_rg%j8bo#X:soB3t.(K
U"O*)1O+6o2ZE$qYEFhfjWoPYh.)fcW**hz(sGCxseco$eODTC5vKKi-ZI/=T%lYg
U"WZhrHpV.S<Gc&3\Dpo+n*)'x>[Ul^qOj6k33\1#:_OCedK]3ea\XR3WVcO<4a3H
U"k+Odnt(eq$$\bA+^WyW_Su_RmK%jII(65ob(b8#JwnR31V_h/FfP]SQ>tTuCmCu
U"gK4fAC0HVI.\Y%Bi/MEo;^^*;OK)[wQAPO37gpuH=\i%c1,Pe;#SR9REJV8+,CA
U"W%)HVP50PxFHQ_u&2J^(j]?5g8/jICoUouP.0gFb<pD,AYPxf-,1PbQj].QG7&&
U"t_:x>Du845<M*twZ3Q^Dk#XmaW)8xw:/vGYhgmnZ6.QlVJJ&]v2i6yn(5B')Ch0
U"w;>gsH#c)fA#l6MSIBD,l^=Rkoe]YqLM#p\JESL7ic6RxAgc6Vf,^JHGpHEr.iX
U"OjM^QNeNP.KbRf&M1YRag79#hl>Qpm2g&?QOlM)6V.s]m[95[JTH0]k>\.$5-Rl
U"A'_F'\#k^6QBan6QK<<F'Y$$c?RG,8y7$EgH%&#V75gI*T'%kDa\$.c>I#.YWWT
U"RTQ&+NFT<Fhv45lj70i)R62+_T?'*^K1BJius]O0W$l[fb^],r\:A^1zAH=d#tw
U"*g<485A2'FKP7gqfqW:Tix?i:q9^89=wc62i;Vz5?/#th5)c++]6PL)*;y*,f,<
U"Y\SHQg=A-Op2R>TF-q;h>Ku?u^/^>vYx#Gw1e=;MbpLrZ''?OOKpAtN/'B*1YU,
U"K1hmA*piioUbZhbi%_^Zpq4zIsJlFd2MNU1vi,.C/F?$a>G8$^sR$x>6Oim45]0
U"y1u6_4KZ24AWcAf43Tn?EIQQ6Qb#*d26eq\aFtu9gcC4,tNr'io5Zv-/HaY8SU+
U"MNci_a=IunvUP=QsY-X.]JnAL'Whb*MVxLG_woR'9xIRz6c?>q3gK.]UoqYxI*Z
U"T<IeO,r)m%%It=SslO[U)u:=\dJ(FDd^I8R>z$MtJW7#6[%L:G#be&gO1iM8VF)
U"w/&$#)zrk$ovDmO;Sf7W>b^APZd=1\l<mGMLDh>k9HCY.ooTbzNv/zgCv4v6Cc0
U"L4y=Ww/M,<.H:6Z?=j8:*y1'bi])W.KEb-04Pn5Vfqa>OA>iS_iZj<.iV044(xm
U"^[:rY-\.:=rt943W;I;K%GhKFvNZTJX&FudgK<>R92RXTn-ehGlEp\XY_nMj$,8
U"pV*5];RnmJBYP3ikeV$445*bru7+dN64GGo'%tdNE;f5]fX3WFHedF48ZNN03b_
U"fXcSheN,QTP.4j?b-vBv4vA>E+i<EPDNVj9]QtesnT0cmMF'*FOTlRZ8GYg73TZ
U"2_0[1ecieqnedB+-V\Lgy6->-rK0Z>f(#a1KFrt.=wGN;RsMK:N%9K6RDObvlED
U"6:E7[0uF]^[:<qXgGg[/<<7pp/Sw?[2QqU?&C^3CT<d_=Yj1mHY,TC,#X8KZbeU
U"=PZD2>F\V2CRg\.fQs1Npb^HE:1aohPbW1<R^UlraP4=hnaEwGSq&,IvuEg<,k$
U"6[u<lMw'YHU8NR%Pr^pnPtv74Mi'E-N_H\wV]Eu]fZ^fSyT1hxJTi,,lSqQg/F-
U"*=k8p*i]93Z+bFnSc<S.0:BcObBPgE),lNl,M44BuVqCl][oJ?qJy4$hd-G]=)c
U"ejACTIB9BI[gpxu)4E(tUsQ_3+:5yamP.OCN3p,[#s0[1=2Hs8Y(e7I']TkgaPK
U"mVDk2qo('Msc0SJnhA]Ght*'O+1O,ALQbGs68VN^aMJggT^g#&/'OGD?]vchkD4
U"Ik]H9kj4GGQ/W+Vu2pTvDq&9?fS.3_6^bJ,#F9t,P_.aswuG$run$$$a9^:ICp.
U"IgQK\-J*hl%?\[UwN1_xV2djQGl,tO,t>5?pJS0pxhPu2hUqiZ]D.p0Ip9AzbE9
U"F<x)Zgt&3/I,<VKeIf_n0GYKE:vy1cbRfY8S[$_hG$4t6]$3?T<dSqwSwF#Dfq,
U"34ZV8kT(G8<o/GbfrClkR+Aw;m[(nVnYigL_*[FVvH_bC1cOI'mkOP2onsX_X7#
U"6%KMij7>xQ41H,0H\9$1V&<b2::nB-b$6kB_?t3?^;9z?hUSFY&*,*bCO#P=\9'
U"DfkM:-0eXXxAo3]fXJ[o;oLOoMqv0/*g'<M^*(8<v'<\y-Yba><QV.SJnn8$QN]
U"mqnO(4BeQX^KTtA<DA7TY2FS2AAg$s.Wwa<B=r;v3=*SIh?BP?TT9M/qpSfuq1J
U"XPCVlhFe*mpacloio1F*/7Ohicjm0tTv^.N4ga:fuZ/sB6nIZ<efC#e4->fI-%,
U"8]=WQL%=*q>nTA6Vm*1_tdhbD]3)C\sHILYUGS3EW\mVspY[((0j*>-4vY)mZH9
U"J*bqbgQEgabt^VV%h-6cd+FV+h.4IPL6V4#=T&guAD9asccIEX(d+\>5'9U]8+q
U"miPOXvs%EN_'wH/jMhc6j[sxRC,,q-;mHrf_[DA6YqE:H(hIz_-5B&Qb_d';3oO
U"aGP#hMrg01<e?AuBIN4%h+CPAMljVEx87tf3:^2hqGbo*\dZ/)8Xx.7^YqQvguD
U"tc3&<?8q^5KfAp>+4IdcCcBj&Cdq4nuAVigUG8VDBaAs?-m1/>t&p7kQjl-'2.i
U"-Sl2xy&r$-l2hsAlKBGnw1ijNk8AmkmaXFPv#(%#'R;_x#iZ]n8ggkf<P.?A8:'
U"q'A,9dg#r)uJ1hESb\G(D[[dN^W6p^NP)pp&RQF*_aoBAhTn4'HcrYB3/1MRK2*
U"H3v9^sgd2W/Ff4A8QaS'$9O=S0'wuG_&TsJh_mzYAM?y$;IS4(=X<]wm&W[9#/b
U"\SHLP(lY/G9sZFF$\(1D,JAG\FY%7W)G+f>^3>9vax7hq('9fs^tf9_?nxPjbaI
U"m__G3uMJ;n>a:WFc;J'X4T#(4OWT9]L4zMSG/TZ\t'N>LS$k6i%FgChVcQarAum
U"G\KOGY5Q7*X^)xFF#-.v#hhX6esI+K'fFZDu]q>kea*(.n,jxKt.d)CEoNQ[hjA
U"S?A>(Fs)W[sqE:B*G#_rmK'JIyYET;r5p(+f3%+BKfH#J[,ad49Axr'O5\mU8w<
U"WqwHOjChSN_Fr](%abS%<cqk'i\=+hRJn#8Rb0R&PYFFF6P0Low%NPHq[P_v63(
U".\:Kj)prXYTtjL\C[7f-C*3doERiR/w5kE\Y\e(bEE0Kq*Q*7HiDI[G6#Xo2qbO
U"3YoPbiv=D;M+aw2DqFawYnX./$H-s<Jgd[y&br\LBqA+o-<D9-AbGZ]$$0vDO5g
U":pfv?\I^XH35#%q2P0a).+1eEEt%3o8vDh'/Ul9HD1c=0.(;xE#WIQIi??SM-:R
U"SKA\c[5S;3?$-qQ1(%WS-wC.2APSn3;b9C&UQP==&rszah:AX]Y8/7\[egATE1E
U"5:8gsqlSQ<YJL0mW*pTSn/=erf1iJiu.UU$,%5sY(qYs3r>l*Z^TjX_xP?*j8R5
U":gQT+v[_WC'?^-CGapb7A=d+G%A':CWAI_g3Np$q<$wAu%0MEU)W3?lRA45Ef?]
END SUB
SUB V6
U"m1J\&(W]LcRfzsu=%AU2,[cmHtOV],+]b7WU6D1sKRyi(RWc7MVD6xD[kmckk_^
U"t:*Vpi'a<KG7<1OeVK0[s9:w]G'\oS.9JRSHXY9&#atM8)M*2MI#4nTof>flkeI
U"Y7]kKr:.M**$fgP;eH#rg_IbTrrA0$\G_r#V;,S/2VG8eS*$JN*cVrsF*pd&&0v
U"lK/bj[H9rfE&G0WH]>GIdmUVu5P4]xUivrr6<-vKceOVzS5U'*zaxhFtf1)M>&_
U"H0nc,J1l6+K8K_Uma:rquP(7?4f,S_MqU5$9c)&]G:Ot0]p(pm6i3;g:SYIqIGa
U"ufm<'I%g>((ORZzisIbVelS_.4[.w,:S:%#uU\xm']<]/SI#pN%nU<G7^\n&)pS
U"JhKR/bYntAj?j2\lxclufPXJ/VH<lrxx7D;Kj#PNI_N1VxjYmp,Z#HX,-_ku97Y
U"Ed:T2J58%r.$Z.gVuEFQVYZBOtnTJ?+)j,f(kX+XQFT?3vQk%p2e:P1)XYXf2#:
U"%WAbtxs+:W]:SjD\-14pG[ZuH_Me[J[U%xh8Ag\/_R%jTdPno&K8(/eZ2aMd<L'
U"]AqQ*/PBMy;a/PEQ2HXw0OH(AW\L<=tciQJVi<k87M2j75=#1xXL#gKf.RbfT=O
U"TqD0(t*CHSQ189ek17gZeQghC640N(fED_/XrWBU,uxA=BxTeR5HdZ_23;HIOY.
U"TV%lf*9kDR+%:JG&3KV^3Xl?&nNCji*Su7BY?RL2W^0i%*E$5K-nj_#.U_Hj4)U
U".Dxh,M;I%2_d4P[nL/O\HD'?$7:;1^m:XC]OYUa6luZ2=bd1H(]y6K^j_reMj5;
U"$P/(%v:Wd7+i)tW23e[6-kRLPu>O7esh[ez]%F]?Qi8bkF9#]8jH#V4CEBHFW>P
U"w;8I(FPAX3CT)GjCXHqQ9Y,LJPbW#>2m_rNDjqm[=3ZE7USzkuV0)JBs[Aij%BV
U"r&Y'4(zg_bXd:bQ^cT+$DD5<O%S,C</s*$P;^S2m>dP(?2q0?O;Ixkf0PFZkeA*
U"l+LT?SuWP*grBHt[Od-]L[=&JT#i&#\:H^t,GZhFd&655erE1u.-JYcaV/3Klnf
U":j2iu>$hB.(8qE75em;FemFU0Fx=9Vo,AI_9KHJ#u=C5h.Ig4YHqsdLlM,YSkt9
U"bJA(cli,SFk_p_lPAoCdncVbSmD&j5)*e=2[ij7gUlv$,A;Ti;N?c*&kSv:=0jw
U"XbD>be,Lp^Kkr\Z\WH-..FT+_hWv3aYV8emYV-Ch31m%lM9CQg'iD=zD)ir>LSg
U"ge;id;TE*lH[/Kz-l4tCjgWb=^LAlp'.,gc:<[B<1a7\Z3VKOY1SCwVr_1>*1d(
U"mBTRIZV5sV<9t)p1x0;^vTumXU2S\w$cjS(.*I<L;fCw^IJ'nUpD-_'CG'6u8cS
U">sed&97EQfWTL8A?3Kgu2MH7/MzS]R3Q55&&-J+jc<X5#ak4;cHuE?%<=F?p<HB
U"_0igHYY$m?'O_-RTCnglJ6kB*Eu'r?'lSZ9Hu+=[9,w,TihnG2c;.A]'gRFR)_8
U"S*aUK^(.F^T4ga7fDOqIL-8;mF*E7#KodJWJL%0?h03#xw)kpq]S_q7bsws0B2=
U"%*JE#5UXmUsq0HH&S/=\k8<^3&^KgdtwY[YLeCy,8C.SZd[b^L3vU8RBwBB.6?u
U"fB5RqED#HlJ_\#7\baOG+mum&jVM<[-<HhA\V_qnSnCU&(-4P3hkOwGE?edxXUQ
U"*)mt-b<BKPYnI.?2:%<GLDCmKvT]JDSZ#B6<;GIA&IxIH14SXq-gtrYivJ)]v\T
U"7H8.1q?*EH</Q$k0ldvgdVrN:I)E.m3utDp8svpXDbvxgHoxZUwZ:[6,dhNgW3M
U"N#*ajx#%5oa4*uJ4.#94tGs8?tE\5nAlFgr?vp;7z1nW[=qqg?Z)%N\D?-pt]cc
U"'1o]#4P&]$IPbzJKnh[?9heKQ.-S?AYOhYGF/OApTT&(Mr#zw5]8hvWo?+eXm-6
U"+Hh$EvIAO%*6:d*B#,I=med-[S%%eflg1(Jru&w+&iTaan'NkT3=u_Tbm'?x.wu
U"+K<;d#g7/nkpG7g\]A]-F9)b9\Ej47KDi%\D3%A:8W#,4U[.VQGnGn0^EAffUbG
U"U)yk1$=fe,Ko]v&8uCLi5sb2BgbBNcn6<o&U]gCbi/=&-Lse2wfMMvX#uJRR<1w
U"=k>LKWt;ur;JB..Pp4tmb6q<qbp.<1]4tRTX_h$oBZ(YgpYPW#<$=Nww(?lX$UI
U"OhS8i?K<2)q>5jG[5'JZMil-66RFb4,$)8SJK8WnMIW_rP3[L^VBu?:=$IMcXsb
U"V$;0Yd2>IOLH3c'%j6va+JU#g>dpCC$SH>E&fRl5?t-JTlv/nQ3%13F=+]&Cila
U"8S)9b(WW.2VzMFghOshciY#?1qBGdOC+VqE2R(N1c9Ww=JA7%>FMPL'Ult%.w[+
U"2Z0<RFuZJ4#[&p'hrXJ(vSO;obq;p<K9bD)sCw;&bb1\:m[(dOXYT\Xb2^rFt;X
U"CeKC2FO3<HBpSt.qWA0q8Rku:pO$&Z3hcHXt4MoZN$l_Vv$X0?uicLr$q>e&#n(
U"u_xs*i55UB]gkrpk)8fog%qijrXNx&O<2^e1gk8c,KuUSE).[pZXgx_X(XSP_?;
U";sWQ_2e7u:Pk2<la't$Mm7tkBXP68oR%W[^+?J.2xBJ:>5NMz]*>uX5T5m0kW?Q
U"sR7&KF[6.97jw9=ksP\ud/8oSVT?VuX$Pw_poZdD.bAO:UNdLoFd7xbevb7TvhC
U"A_h7L8_jXk3s9u,+L-SRn^P>L2iNKmGh*>nOLf409$\VtXlXC>%*=LDe$A(R8L7
U"'NCnn>>XsaeF0M>[K/+>/OtuKLgZP<r:J3)X^HkAiFgXcu$+JxZM^sZDXErHrmW
U"Jk(WWui_<Tk%pJ/<ppnj$aT<Xq[^w#/OUI?Z+bG5>;Ux^Hmv>)ivm1gX:6u#0vs
U"<kqU$sPWUj=okY-'f4J\*mmnS/*?#p.tYxq4xr+%$4cXFSxN^JEsZ(^cvYOwTuZ
U"uGsI9q['/=DWHouXW&qWrV^JgAWntQWv7MV'=7iWc>lF1xLtS>).K<i\<2nPLKW
U"cPngJzp\Nooaotx(r$>,TtFltHKCY(i%4pV)HjTqJcpoXL6xmMFan:42gf;(s)'
U"^czswn<04yqB^\HDxdb[S7F:gJkuYWchgT[Db3bxbPu5$#PIC[+_r:01]$hnXKt
U"La[MMfmlZK3vRcBn]C?TuscL$6G$EKlxTvhJ.2(Z*mjqaZr#+kqi#Vhmh%j$ZpX
U"\Tu(vJ00g<n7-r-RWn;Pwg6TLy$?do7#f8.P:ELsbjEMic-Y-rnQuumMVYS=g;T
U"qUDLR%5;R/$o(4bxZu4O4#IA^pNdVY544Ot\RpB7y.aZEXll]5p)Tq-]fLK8b+n
U"Lltg8ms3]$P-4#56)%FEBHfhfag:vCveDV#18bq6H5oYTLK2L?OkA,M,5pILQij
U"gLC9WXIhEgB)d,mUxY52<H/9/d]EOr2,c;DY+t?j#cxp3F)(1cUuBEHL-%e0#Iv
U"IO;In^sUcRUzyX1e^[qR&FD=%iNuHG$Tfa$2g.kOCk0tUupe4ptXA0Ji4?cB$QO
U"a[#a%n.6Z\)^&4X1N(t&+-A9UU:.#OtJ_DxB:JipW2CLkna1'u>9HwoH9m1;H2m
U"rViObbT>gXj&r+%WA0W0bh1#TUV9W=tFP[I?OEMq]y7q^fsG],>sf)<5hMptkIC
U",injsa.<lWI#]gih9#i_D)S1xtDWB%E37*:u.Pn.wDcJgrua&n?[KFCkk0T$9Cb
U"/LX:/ij\f'(RdEnooJcEH%jE?C\bZNr<h?U$Pj)7g5<-pN,U>;ds61Ti<Gn1E8a
U"r*owt-XF%HJN=#\P.j5U&<LGo-T*].Fs=w[h6*4>HCM\\Lf7,*SUKht?VGUKl1f
U"'VCV;$iS2PNC<Cir<-BVGPeA%1Ip5BbC</lRBOP2aA'%Mo_&nOUc\MaMb+,B=?W
U"U#1Zq<K&MG87ybb2f9dAC\^Z1D?vIhO'gwY++*/2A$w_rgB6*k.&zv&ISbbs1Lb
U"[sgUml>X/eX_]Kvg?$k\rT*\f351v8L>Neo&Riyot2iV%Gfh#s#/1[0Anz..=4L
U"cqyUzB6rGst$RrwsTk.P8rItZ61MVjF2(o[]&t]3*%J9HyS[DWQO\/eVDVsT=vf
U"Lg6veJcwzmgtDu6'%znWH.UymO4s1<I8rFb=q)dD:ta\+ba,]EZ#uj+'8TJs_AJ
U"]YVvT/ihbrZ6S0iDto:g$%e-R$(_ceVZ(]WI[fdiCWgN;L6>lC?%Ci&?XT&G<E:
U"8lAO=<F=\)9FMqsH&b=S+->'u%1H)f*ZnCP'b3;a#BkN1sahlhK$C0GbV(Wmwpo
U"hMSp)*$aYuSF;,*zY)S*AXqV>zW<9rChcjRm:Y-I/Mj4D(DefwD(Xh0q=GB]w%b
U"%FlJ)L2,ThLlB+NXRI$PY>h[jO*XlA%85?M'^3\DzP-M^,xMYWpv;rO)0DqlyR$
U"-^g7Li.$7HSuVB;fnGK+F\GIj7zRVM6G2bG=k$ws\0Un>>zRkee4>N5ha\\$;K)
U"%YO/v$x%nr%6qz4=1EEvsq>%f02.F>hTjWJtUi&wMWFKTM-*AvK0LvbrhK%w5z,
U"i.D:L*,$9%wnX%3='9;$ktv2_aksnDA2[75h\9H\=CKnl^5)d9>wRNo#4r&?XEO
U"8r^A*8<dcMjcMM1GCm7%1dya8ji&$1Ejsl_^LH4,ikc$;2N9WVDKND\kL3j+FAh
U"=iarf=8U]0kN/E<tH*-_atW%z%vpigsy3ek2tcR[HHU)v4\_9hrv^sV<q#,lmyA
U"6pc%T5)(lWij,N$d#1KRm[<d+Tu[ZnK\eK9/T$d,&qWdMq409$[W[[jIFdi?:X=
U"CK0tbHvr$BR3i3]8;bx]p)pc\LESK_'^/_Tezi2)yD1gu%op9d&U\wIwdHw%Bd=
U"PNceFc^tRgo#,cW(%<)i)rjVJcNka>%5Ld]^xJ3Lwvz<o\yFDcnMwiH(DkCI=n^
U"yIn[adTuzvw=q3RmqAtMvD9>?hhEI9>60Et8D5fnf9#Gkj=aSBC5iF%pLAX;rI=
U"b#D;-h)BoRQmpWV9=)4:OX^[HDKN3%c'SLLhA<5k&czZ&TNKL%qo>jpTI03h>tJ
U"8NJZ#d\pd6IVn6fVao'9EFTN9Z^?I..asUpXxBjRGh5Q%u$,G7&k;)%^Vd<D*kq
U"$NdYkH'XSt]4G55A9PX;O\TE,vCtp8K]JAw_jY:8*kTkOH>i?bU8Z4FP6f4JOQH
U"0Qf-u'MRLtM5[]oVWKQTO_K7J(=^j;L#;iMz<22,DonVqNa^wT5ScMn#ZM.*64J
U"LKA<Is.$R>x9fx%TK#K+%W'EmHIq^DB)\qI[VfJN[dSwbw3=.fs/;_59-LboGgT
U"42,S-9*gc]e._Xonsppble$426-OW^zvrViZA27Zw\+eAH1H[vl7n[k\wT+BkLX
U"jN(ID(/rR_1%Q>sH,KFlP\O]l)tmwPK3QF10*r9y0TsYnb#:\v??)3P<dk9o'?S
U"bSLTe\u<'YCU#_=(W*o0Y^mj,b7i)=hUUenrfAAL7>^=bgnJ'DD4VlZFb22.:d2
U"]5v:tpLdtLLbKiq2qR>q0P+,lSec]Iv\nitZ2G/1UjtOk$OP&U>Tm;P-%Yxr&k%
U"H,TGMDCZSrFgc86kG5xy=o>3e/d&EEC?31YP=hrM5PVnIqp^30B6kZw2\Urs_]D
U"VX0M1Yt1NN;&I$nXtCS&Od4Z-'sh2H1]1^c7RQmxyYFq)4E?-]sSLu^Q=uV/y6b
U"=['%+)Luw9Nm%Fde1lQQO:/<J+M.?8D*yg8d0E)>Ly)jB)v(Z6tx)nSDu3x80T]
U"5p)TGlQ$d%rPMVV4st1*^bD=9Is0cY9sC4;If4p.#PNcgreD$2#MYt9#Fre=7a1
U"CqTwi'NweccJ281phT[p\,&M-AOT1)\gZt1tfBcu7h',94:kjB6[Q>udnv[r9*2
U";Z51Su+4rfVC^7yrVK>N4LX5^2idVIn^9\W78;a*q9=3rgqA0ang91$lN,rp>ZC
U"'QS=J-v:P%S7dS%PB[<pr57b>BRwZ-O3KSBbDk7yd8ALVb0ZGjSEt#h+ecH.&yn
U"Z*6r#OXAtj>k2$7GZvV8V'hbxj5L*rWv;c^LlKz)]_uMHV9(,8piI*:mqM',g_Y
U"k\Vg*fIN>,&(1qeDXJ=UXrRrOD;A[+^MLS[Yd*kkbzjp.uND)n+*l&)8aeKIHc)
U"4r^%E:;GX\AINGEu$A.+9Mjatd\?N+w-FR6oBEiuRldW;_XC>&5d_AI0(LjS7/F
U"EUX=Ev8I'rG=ZS&;PV>0Kkgj\<Y;:h9$wIN4nnL-*W-bqk9KDl>_Lu-n,C2C<Vi
U":&yrj;4A4z]52*rQ##qZG.Lo\sC)U<zgzq,H,$6+4AIF$DZ%Vx#*iG-$^-N,[yd
U"C?9k*ZB?1$3(mz-AU*EaT6r'(lSNZ3aT;I?6d^uV[ns?e.odslE4)REs5T2:Q'#
U"e92*DfsJFLj)&1y_q1s2-t3[U7BtqE/IOrEz$k23;)eJb2=C4Zwxn9zqb8=6lj^
U"<lqdYgf/\);tY#5AUk6fEzN*BK3'=MWtu$pqY*FDW:C&uwv*:Mk'#-jq#uUaQK]
U"r<R3t9,jsP(Q,O[uEmLt=MCz\+A&q[jRo:*7gLUvkM%[4fi,7I_DZ#P2k9mzE1_
U")2PXJ&Lz4/Kx_r0Itv6'D5KK#R*(CI2,:-N+Q8XLNhbk^Nl1Qbt%rs&XblLx.Pz
U"^B]z*ZPE,+,F2zkS%zUk$+lm/Z0H)%\H9N,+7TnWC7R#qG(pJK]^h[3P\subh9C
U"(VkCshMmQvebUvLK3cCdC(4p,1dN$z;AVZ4gcklMfR9>wcUe,9K,hG3hXJD3;Uh
U"z]5*KM_2](p#kR(LegPBRAJ6)\ydX#>S;\qs7%3j(6p]iCV9J&ys#>/c<9jrQ[T
U"TnCg/oi2Ku1k30+-lF']l$L77(js>0&#Cpo5M6$=;brlo,?epN0Izr/q,1]]e3^
U"oxJpXb1U6L/e]Jyrd2h(;mq662;.?F68usb/vlD0:<,1TFdsCwctJ]'WAmfeDZA
U"A/+E%*<WSznyo589g?nxJ0HwKA>zP4Q?F5;&GYWhMEB3fZt6*Xm3xlG,qSrqhzA
U"<;^tg1VC)i^0QCavAZ,Me<*3rxZU;ntJezrqKP%DhsS>IEF*?MN/ctbG0nXA^B-
U"/f\\5XS]>4[0we5zvrtLX]r5(q'z<SIR81qhPKcX9t#]/Mui*:fW*b;BgcNgl4c
U"CRs[D9+PcP1]-g[JA;(-#,>Gw/Rdp')Z#\/*jN#EJ%zNWdqE3NA23e:jZfaRl92
U"^-*/8>04>*/TANgLig&.Tom;ZHKdLvvv$:Ym$pi[x%XkW6E&l;GY^W<8(>ha$q9
U"pU5&]ef;V[k$PIjDMD[]kc-%'Ddz(W)2nbIKoxP>FB-s(ITlvt\8qpBEeEyy5)T
U"%Y'2YK$/pM)VtN4T^-T6goKcmt5d_6xeMGcl\Ck0Ptqy\KCU?d2[>mCp75$][tJ
U"<;\7(v:3XEn#c*(Qe,bl8G^n'eGVxAUgQ*2]hD+LesSko([$n(h[nUXrDQnV[,,
U"0,94kr;wkmy5AX+QhFHzXM;ujL<OnbLTsLWy3)l7x[sHR+=j2<S_Z4sn;hxvkfc
U"TJJ)8IurG4/Gfo][KmkoltZjMT]=Pc2Dag/hp7]L$N/5LacuQinh-E4;r&lD?KP
U"Z'MR[e_o#b%]LP^8tG%qY5HFig*Bi/Jvf\>h[3BN6&HB6lg-gN'dQ:^^,-uP$FG
U"K8t^$KeLwY[F9sFKrCI)j2K(KA$To]N',hs_dLqC6K<V'?4ujJ])4<uDABAu]Dl
U"EcC=Nsul<G9>QK#gSD$'cbSWk2lbePQHf]N&Tn>#4z#xgm8rls$7G-[/*Z8LfA5
U"Y/$3Fme*k=H-=u;Xa=H[sqm2/2kA''bY=-<-M1gGvVocr-&RbR,odv6Fo?LwwXV
U"L;BY9RPXY[0wy4uFno2,nmy-cjQD=BNvj*?>iPa2>o>IW:pnIB/V3)xmppqVK02
U"S5WB3MIPyzsdC$pkTV1OM$t,KXABjd5g:3kWB;/vG%n16-]Ckw<llC#)z_r4Xk4
U"]afR#b<-+1v\r1j^+BLil([z=^3TQOBXIS=,pEM%_KCNmuIWTY2Z;;2>jQ2DBTF
U";T?fLZrN9f/WI'cHdmG(->kH>uZp06;5d=SD<%^qj53V<7NN:;T=/xn*1r*$.[A
U"3VVaO'f_45,n/m7V%_K<1;+x.mV5prVoU]0E3oA<DVN+C\oNok.isX'w'-tRHq9
U"6,A1YFiTP6r%Zt%n),X?4rwV9<lW$>=xXjy3+KrX+./g*uceliT$(-SBS?Sbo*i
U"iE]6*5,P;YqaZ]=iee%3]J$o6$Ap[(UDLAlo+Qs#PH<g[.tgA[h$YYYtn%0#h=n
U"Xr,c&Y[KS#8Gf[Q<\b>tw.Da34SflRJ>SX_K?mhA)>d=dk'OW4)9TX:k9Cx$XbG
U"G.wmnelNbCn(=%W4%(v7<8N=XA[ugLxg,I^wb0>BvAtW;T;4^/kN$hn[pOE*;=u
U"M132IiY\%q->iT?1c'(L2Q&8&$6PVaQN-LviQH(WeIWPX%+50Gvs3C:;PpRhFT0
U"qJ&eltRvA2RIN*UUKD%T\^XjpRd?UDsY':Qxh\4hAcu)NYjXoE0(2t[#Kboxvh2
U"k3[$x>LH^4rXBRGC.l3xH*<G&cYlTX<G17pFKo=^>,;MONVEVzOh<n,lG3F,)<p
U"0<ouaTgg9)sJ[7oR/,%,,'ewy9p:t.k?oq(LU2[g7#5-EwCXTG;/Z\<Ma'Yx1T3
U"ZA-3f?vrb7<?f)4\-?60T8A)8k,e?\..NOcASW]kXvd&d4$44D2>yQFm?;3T;%(
U"/WLiF7$Aj8RJTUWw;RR[J'RQI#[f(Mm(4Ex1W5aiQ=>I/f7f=#gCH^fA4.FA'EL
U"7*i%T1Gc4]s)'JSQ)E=PV?o4:Pa#ne(h<f=Q1m_<6KW?ODci<*uik.WhrVd<YL2
U"Dj.*b;;2-435-bk0/ak2uRo9S^UuA1dA,Z3$-DA2t.83xRZD5j,>I\_RcwWOV-P
U"Wy,U*FYBdLwE^g\+Q)u6t]]qp#Q[/vHplqPaM*B$)H5$t16ikoUURK576nb-Wv>
U"pba7c'2SRMq=UP>3g4Li$_xXkX,PC4+sNH,cG^P=[7s8dK.bRSm.Na0e^?W)s1)
U"0ditUbmUU-#dNi7oD_C>R#;AA80s#i'EOhH3Tn*F,Fo\s7oQAQ8G8)4't=;AD[3
U"8G%u,>;bAELOeDC]Vrh2g0ujB7IM5Uw;E)E4)*gT9s\etiG5%46w+%x7Z,*VbQi
U"ltu)GN9'eE>pvqA<(.V6A5C(*QK,mQ&_B_q*WdxFZc<Le?ED-++EmiVf^2DU+Tw
U"9sFAZ9NI%l$E+75:5[W(q,Id*csSOGMTE'urXV7i[3Tnm/_BoMqu'Kiacd7jRp,
U"tv)u]s>E<mWEbwGrt/Ieqp7OB;,dT?>S)S=7[$))\l.fZbY%QC#9kM%sr)7SH.A
U"h_cNrB*Qh%&_ar%wD41w'K>P'6nI_9G?]=XdqTf>BSXwUSSXNgs38o:F][FnXo'
U"dLm7Z6n^m/-Ul+_S?GurAXsd)%)=Dd4x8sKS,\0ek3K#NKkZ3xL7xP,T;kM'+(D
U"&rPDC8k-cPTpJQNMmZroZv800]K(n_9?9v/:.?6.,08M5?H4)ilSR^e;cf#5T#N
U"F4#-ZX=8FG93Wx^>]%XC+.\Hd9t+ls<H[$zhKA$IS3JF$O/eL1e3*mX&v;w293\
U"fEfQT[g8YU5gq_Vz$:*Tp#te7c:3B-k'Ap,v<]qp_toH7*]6s\v5yt16Q5R_R;Y
U"Q:s2b1&crjx'=L91kw0R0M=ElSB<>='88o12=F&BCfMPFIJ3TlFChyChb]dIt%;
U"8pY_QW?^;KE_[D#ywlPX[WwOeZi=H*+n1X4*.#^sh^1U>>?4m\lIIU]83hIG0jm
U"WRPG/0UT\Z1;v2*PTk[OAw=?1NZG'O.L#X_]qa#W12a-,e$#d6<Q1d^MP:beM?r
U"K.Fyo1yWeX#Grcq+$9CR46$HE_nMj_[f4yo/P[yR1,X'TCb5;0'Q0-u4KF^w0#>
U"dn*[#bw:UGuI(AE&sHI;O_*ZbjRy,4,'782C>_zW+eOiGMuob%O=Oi27rNF*=H_
U"c(PER)^K]FO%rIln$MX]PUUuGsa?3&JTE5C]X0NJIq=Iw]R]L;ina3K=#'9uNtU
U"CF%odbts/d24RcT1mYO6Le;.9uJ,8v=YyJ[7fs\x8LF*camCmnUpqH&OSLeBa.e
U"rrRb*=0k[s_mQD#1oeMILTrXJVErX62qSXa1Kq^5sMPJeeQl[l*xztY0b[^kjD\
U"X#Y'knz0/Z-csaSv'#I=d//YP>O(hs[+(m175(-4awj_IcD:YXsH7m>A:L,B\(a
U"(gnW8mQIf&PW-]ppvM)'?sQ?L:N,Ru_[QYGKR2k+qG?qbXD,SWR,Rm=2A5%FR#l
U"VY+u<T/1Z#Os#YYR3$w>6I2OUwO[Av/2^+%mLKI%z=z4XlR/T0m$s<73(]7XLN=
U"hXJX=?\^AY--<gOwFS]C>5vGkLPkM2wP7$Y4*)oX(L7MF$ByAo+R']_Zk'A)3b,
U"mMgjx-[e(ZYWb=rjKAl.)UznyY,E:TrtB'nL*u>=KIXQ#dYq8v)UKkmTW-Gzt/H
U"D5.*&h5fsH,u$nlN0Pv4Lm;%krD6+gH+FSJVfVXs,GJF3]BpOC5JB*xT.*J+9TQ
U"iORjY&=L\_sqE?o=*d.8ws<Ik_$)]n2di;E%YX)&*[aEBGq-H:=mZn.8mW]mr[9
U"&MTvG>>3(vDu=x-rpgpjsUz.L&Mg3\1O&JPo*:,+9]=?F0VRB=TLhF+88O/Ca3i
U"t>4ETlg\%)mfj_n<EO[jy^UrrCljNG,%i$Dyf0PqTI&nZA1\AmYQ?X1uJyu6p'7
U"ZoF3NtHrKHKfGunq'SM.aBBUG*[<Dz%xaa7OljLP)&>;]<F.sPY&r(*Wc6UMr^I
U"#5s2)a(fOa,kdTS>KHg)B]\UD*a3x8/506SoISJk%\81>-hfi6TEl5YT(XmcU+d
U"E5fJ$b<Ims)b9wpDJXw?N/'Qou$dk^dw^fL3kU_7,F9N%bPtm$Bz.I<KJHb]DI3
U"11]E9$Ue'$^BxYXa%Q$smu4p7phM:leTV[*t*J7Y?snlK'H5QE.5sa$[*OGLwmo
U"oWP:uPLAobRgMW:4_QB?+0S9:a2m-.3^&BWKouG0/=2'o#01HD?7g0^YnPT^W%g
U"\ZaN9=8A#L+UtPPIiE2e1>]Pn&Y5j87_n:[l(^[F<$Fk?#%&lm\[yX5m.vi(e_z
U"%r%HH2W-[VS6j(pHmFi[Gb:8u.6fNa?^lW(,rLW7C::2EO#WMJVsE6.VV>J8unc
U"*%^L_E)AHtM(ofYuT1GNVhEG^.:g0$Jw\caGpmH/0$TWftYFQM##fD]%,5UMrfT
U"27cuC6M/zY<B\c.v_FvDgR:f*ZI&K2Bm)(x2mO:39d'+:0)Uf5]7*>cMF4DH5aY
U"w$a]oIUT:j%:O'7$Znp*[cS&$&lQ>RM(cu=E<Z[s&(/o7ZR&/<o'AG(5U5Oc<fG
U"CdR1j9*'CdGs]&1A6flg#Z[2j[b#5YCK0.<+Sg4,A\3)\X5oR*u<$8[7N;m*a?I
U"h=#VxU75LX5UY$_Al=$:41+XWkW1]w[BF4_'C-Zh=jlF>=BeP]Mf[GBmW:U$B#o
U"_X<lfUL/bhrR1Z%)$TD(:A,lZ5oe=Fc<'VRlli:?eY4W9eZhFnb<5DAf4t/'r'N
U",/>0T(-wTD>1XG.M^xa)W(&k_*+qaEYU+g=1(fZP1CL]7[QToeqhRETHTo;h#82
U"Ua2iQ(^</QWg)Xi%1a,Y(5V[/ILo.gu?;bGhMsQ/WR2R3+rRa]Zd-YkUufG':FX
U"FN=Za=i=d_#IA5ZUW#n=O+K+U?Na;ERzTez_yadWATA2I5tHBPL]0\0URt+7=;n
U"pBk/]cEDNHEB=rLH7Qwen,lnr.nRS$hDm?=r?&?L8KVMVGPu9,M29/uMwsxk#hI
U"V#Ggqhas9;8Zh7N3NcRHw$5&)cI;m-5Qb/6A>O-9u;5NOWly$3rwVrk:\t70g6-
U"O034PNi7]RtSoV#Il1hbY?;]qnm1Ffaj&7Z[/plRlBrU7zg=>Ne-%f7Y<o)876I
U"rgmMeGLIB8;f_(5j7M,P7IwPM6V)8h)YMGnY^;ThL/#TpsV>IjJ3'E_K+P5V+S5
U"hn)ix+m3x*^q4-BDOOfz3+a%LPAGUB9p/-CsLe3N-qK=UmN4+_eB%P%SCAY.:+\
U"Zztv:A-jr4QF2&^?xDWtuF1.,93L?\5z(2lz\^F$Y;/\t&)Lh:dCX6J'QV(F#Oc
U")PC4Ow81FGsvjzk]q'h*)W[uAvI</o-#6__]%f=nzxwO'WEGkaE,gh/Aj\-qCWm
U"O:Y9Dp)wq4/ExVUt.RoNZf?4GF%w/+kdzb4.ZdOGR-3\0(lHnk+H3g3QtpS&DuD
U"oK^Xz*v*(SFwaBSaP;6'5f$i9L.gr]o-&W-GPdCfzw<82yl3K=j4'YZg>1H&mHu
U"-\-F;[/QEEVC/lbQF[EqfpEqI1Ws]HYTQWm1'hPM=LC[l=L^J(\3\2YLMR()7bX
U"iQTl6mxSsjXrKl)x\avFb/'u,1Y2z)F1]oz=JiEK2jbF?%VD;e>r2/](\$,S(g0
U"Ee.m><<7t+[3%$>IQ=3#B0d&2LHt-BU,WT#Y?WdGeIC2msTwO&n>HmK))u5iDrb
U"\T^r8P7NHFUYWG\NH2Lb27)6?9B:Q[[#'PPOW-lT*mAtLi^vf%'1.kK=fa1jZFu
U"L&SJT947T%Z#NSr2&K#>=4Og7-'b%s9V.:64W:nhR$0%762[=IHDe=0Go;\C#\1
END SUB
SUB V7
U"twWm%.E%V'S$ApBJdW$PnxA.P'k%r#E-6qg%klgE&?+v5+29&9YMkg)Gu0pvG(K
U"UQ&y,b8CG3Hx:mJ_pHMa%e(Ow$()O#aUj8&fA1j3I464C0?,e#.1VPG_3;=2O]N
U"J6[b^iW%sE:k*c<%e0n=bjEb?e&>,9G[5$axE-wtEuV9mx0;1E.,m#.0(QNVR,#
U"F/<0e/8W+U&S.)ZT-)6J7#Mx(cK7<#eMpVstcYnDBk$<D+Q4M.sip-[WT/BdU-=
U"R-Y-D8$(spAU*;QTY+?Y3fRaE*Yrp:]js#_anj?WwQImlSW)D1Mqlg,V1H=A2W]
U"Ch)'2DJzuq63aq7%PJ?Y/uEJ&V0puf9_9%XIZ;?YnGg'8l>UsGdBN$Z0qkdncTG
U"K_[8m<ha&UfMh/YcEU;k;/Y-kC?UEs=O;Jg(t?b,IF%hUnk])c1UA33/#ukSB+-
U"7Z*;9]6lQ0i5p1bRrH/iLrKBns_RWsgKh+1Vk:&eYY-j/=)mV&jF8yb;XJ_#I]/
U"ppUXTQ+Jg&,#YfBC3j$X*WL3[Qe?yB=CVSQj[QRiG$QCQw2Wb7L>,0u,fepif,(
U"wC#i2ky9[riOYRLoBWSw5XIr_Sx[#iH6XO9;3l+I8e1#]oU5HY)sf0%/D9D4j5#
U"E>gu)pJ4UWmgOi')3o<Rd6Y:+5C(ZLeX[l9KKwTj\4$MHL*.qKQePVc=XT:Q&o-
U"IHA3A/ehI:oM\;cC>:NdfSn'oTY.kH_$aFZGlDXY=/lksr/5Om2n.gqJFuv2]C7
U"('W+%<.u:gu(h*1A[JcHKHXtSV61b-VJH3:Sl=c,8o#pSZaU3%7p0k,$=h4LThN
U"2UQ;B_Wi5gG_u<>0eeR60#jp&[%%vMcC,KoB1N[tUWEK)8Vktit8Y]Fs%)qNzd&
U"6hX,dLgt-hG$$48B?29WXCIn<#GVIAgn$0fa?yGO*h-1WLCPd%?AQpG^j&7>a:Z
U"V'F/J5:Qc;g?sU&$(DCEF)Ll6#M(w[6iW1Gt(Qug'Ly6_NdlvJZECvSUCP0umok
U"=*E$l=j=d_9E)sEG^s4KnOciF\4(gK.u6[s732RF<+RN0rg6ff$49PRVG1bhrd3
U"CR8')F/K^iZ%o+6[Gl%imc_%N>RTnT/xaKKo+jrc'hx(FF<cH+XCZ]_;k8K.heq
U")sG;#<1j_?H[N/:#VgqPqQ,I7Wpc20)<[h9m?xBjeeVW-k:DOhY3EQ^M)Q*?KcX
U"^H^t0u4^PW-xaQ-T*_;hnoneOIy\(^Xqp%qzjnXFvn]2=>\RhGV8N1Vf8;7aJVU
U"SVb+zk4TeEGdg#^,)def\'#vERsKah[eW4pncr[Q,[m\ItRkfu[3;7*/M-frTMg
U"f7Bk**18CCfW'EG02)oa5Fl<5j+-\K$G:>=UAd<#PR*DX(G#?7$W6m,1gj>5ngo
U"DgZD^sE>16VJaMIA+/1V2r)A%(0dXN.YXkogCR0CB+m0Z1h_U/6]PNW#*Pa-;wm
U"%fCOF=kX^[<mw>/#t5a?-W#;i1:H>UQi*UeGh6JZo)EPSO*i1)[>,9W\J;&ac3<
U"CTP]wU$rNEBve)>Y$%b8uKOjXuUk8ka)4GqNht9cl778oVp=ULv6_T;or381W#-
U"-&]uH;XsmGL'q5H=k2E^awlVr-f[Gepq54-6MVr8bQ,u27YWM1+DY%w1*:(Zh/Y
U"UgBB+S\J(qu3R-k<j7/bl39o?9jmG8vA>?Y]&D*xN7K82?_c)eNxZ<:im?_D^W<
U"d))6Q%9$V,fa2Wle1kHs:,;.a/oe0t?(XM&OB8W1Du7w]HMbLZEm9R>[+)?N%GC
U"'Qx3N_CHuV'97]^B*Bf4_gzE-HZ+CoeR9I1R(#RW9IqPh;%[(<?E:-NVT%RLvu\
U"Ui>h10W6^dO&$:?4,P'_YXyL;Tp9I-LYQ(%bfS(6ymFBpso*,?(6X4W/K-[\CdI
U"GZ;K\Sb#*1#SL,Y(E;Xg%#AV.anF$)aiE]E4>od8sD+UJCW4aAq'FY)/]l+u;Ir
U"6R:,.%eIYI^8i1ZO&L0m-sppFaXOpdCU*Kt'h_phwH[SG2$ZK]j3+_:';UN'$;Q
U"2cbAgIAOE)1qZfoL11:R]i1,K?_e2grH<UQeImbF\Ox3hYMolt;#XN3uE2JBA(2
U"l0h7C=*2;S,*?Q&q8$:hf##w\0I>tK.NAdbWZ:4=#o2\eBmoOi*>*E%vQ-,Cy-:
U"\?Dn\BSSce;[m;FbZzjw]B>r.sA$j3Pa[=%+aQ/$'%CS//w?19'^KI-C+x8o9hy
U"W#G/u$lxG;mDW](lo.cHu&fd:uZjS7JepgW=7GDEP^roq-L:b*,E93+gZ*/v[+Z
U"/R6nnbZ)8YQD'nAESEH?_79TKQ4-:D1:O:N1A)ZD:NpnJo$5a&'a8'p/G0]).h?
U"/KjVB&<whslk>P%XFbxo?IW0O+]lImh:KKRJ;/KGn%N:/*fO,X.)q%gY\oKX)+n
U"Y=eQ+?Oxl>/Xpn&xS4#a9(nQDIA-]9edhnj9CIZ#+bDOeMA?LE3;xesA$Kll**^
U"4&T%>6GZ>+)7$Q',V:K5,Xu#fR+m$<k-.0iF9\BLcDM'l.IcCC\X1WXs;=2S93+
U"*GTcAFc>7l-':n2p-L;Ulh/q$g,xKx9q[<cSwT1-9[\.mWj.T*gD?Fs^6ljLHK:
U">7&GNnD9K2ie%*R8?E3T9BAkQ+*4_1De1bb5vCBo[sNZxQ8pHhNu_t#J=9[9('F
U"lnLfCYtL)Y&,Pdd&GDOBgzP<*qhF/n)]o-\_#Gc'^Sc\#b8WQnb]\FjTF,9q1;;
U"g^D^MZEZV(B%B_;HJVGr7oD'+]g.b%a$MN/I<+Rxm>4:N&.&jjhI*X$zOuK3SEQ
U"iml1F?Y4Bc2emp'>9l+x.T'DI15ZPTk0(?pTZ(h:Ro_'.h\H4K^h_,fcP#BER[T
U"EnLcd]SfJ&jkA_6q(NgVM$jcN.Tt*-%6)MBI[U()^yXrs_:oYcM4q;Tp8kG>apF
U"Zfi2NnM\c3-Uf]W;HGieJ_ML9U9L]gAU\2_E4pS)f/Xc.Wv,O#w-+A:q]jJuJ29
U"^W-CbtZmaU.uT\'e=U&Gz#KBL4^[eF(tj$neyGx=uUAmE0uZERBX93YHx%%hUcj
U"Ho:HiAB=bY=Ko(Fb<FM3S+y/em/F'i=9WhY/I5(0fOh:^yD&-7,IRQVpemIkP(V
U"l0%SX&IPEAAu[J3ysguS_d^dg.uC,T5%3Z=-j5ol>x&/&I(<t8YW.H#7uikPRdf
U"\'=V3+p.bX)gJs7/lyZcurfN9.<:gL4?=PSiswp;jwDz.Esx*ipmMg;D=Z;*dj\
U"&1+rCW:>+YYzV-e:#QinmV0>,A6J4*(+E'zP95SdNvTO=\rj:^#G52*R=jg)/>g
U"ZAK1:eyur7MNvJ>nC^4<ag;5/)r+j0>%Ko[.=I-:Rdi#dYs7'390hpUm&7YChCK
U"8G_O$$:leQiodS(PPJIE4gFrW?_r4$_79YBQ';U6:BkcoHBMTlzhE\xR_U<ULng
U"lEfN9D8ZEEEcYZnCX\G%(#P(FzPshaB-N-Xr=SCs#-,L\71cl(G*Zjwd1%;y'\z
U"FJk25pvEI=>idBc\'3l?YQcCL,fE9[?&gNk&r4VBH3u&l#6zH0JYW$s.]1I$afx
U"qT8hU?[3+6Rz*^>od_$]z^,D;2s\%+?<D*8Bh?1/fc+.Xkg7gVn3-Raef<AEoGM
U"n_Y$T#ex/7V(w)oPHq<c-h;k(W[y]-FA_FV)KH03Yn;[5z7Zdiq$.qkJnOuac:U
U"aW,Nj#\udqtY-9XTd7cSJ%a:$?,GilYpSIlXuxvXqFlxSM?D#kB73bQq5h9dcrx
U"Yww+<Lc'dxsH/cpwLc2Ww;U<X16rccY3N&PHr]Q1h.xUhjR'OJ&-AO$1\VAG(]b
U"FRNpy+8RPLRlM7.V(62h/3%9?.i=.\&QTVcC[5$F1?zr&^4hb%]Ap'xgIAguPeE
U"0#&U3^_Z;IM:IX=4N$6x2Q&FXk'uN(b6HCO$J6rV&>C1D($/%80&Pxp-2FaZLog
U"rVd)*Q:1N7k^?fgpt%)Uskb%C.Nh-&F5%EPaO(WDK_XD*_Qv%W<'LpRSJM9\2_3
U"CugZ\bgrhkQ57gP^O1X5//Ns*Y\<kPYPsA]wiDrO:l)bPh^1WB*OI>yJi'zC[;)
U"v+v(OPD3fnCDiH/^aO^H_*gg_885XjeZG*fv*i&7w,OLUpp[T[Vj+#lF'OE>\2p
U">b5'Ms6SQ07>KUBn#P;xszDt4[1XQhq,aLul]4LbY(L0;#Lu\GTa2FK_;X[$4W)
U"5jtRxUW#7$mGc7,0'2acn,&1eo>$jaohueCXaOICNUQN:BD(.42#l2p.;jlokiT
U"sD<VIs;zw[8h&9'w);#MqOVddJ1ouCDWeA$LGor*X8?zu;ah,j8\LZO%4e5bdj]
U"*CS;WG5j84mlIY&9mAQOm8K8a((a/j?WQsSTP4TXdVaZp5&u(F9rD;07b-LXF0/
U"$1$LEM;Fp)l[XDwJEoKZ<Dj-xi19bLhm$ZHZ7J42wh>Bm(tD5Q<tkBq<s5D\SPz
U"f0f/tF&h=wN[H\_Wur2v#+J&]:7=,.m'HW]i6LviER[T2)[f1<FMB&>6;2#%OUG
U"G=GM4aKnQh/0HIX[orkkq$b7^m\JMvkRUelv&0MAzX#9MB0?:JP.Zo_Fj)BY3UR
U"L&'medF:p+Ed=MU)OPfVmYjUY6&g4c\%V96#1ykB>N^Ha(/V%APe':8<:vzKUR6
U";/\E^um)rB*q$VASlD1jLP()'Z.ajYjMc&vpdg'q.^gt>o#ehZ-;*w.U9%Hsk,8
U")sF7)Xss<ayi7c<a#KUol;TGBJ<sdQ_TD;Ir(m9*7f%mp0$#Q.QV9beLu#tQVPn
U"^Q;l2a0gSNk&3eLsuN;K'Acwz'+ylN\'shvYYYqd_Dco^4YMwU]fm;cCy1:Tb)^
U"YMSxe>*\2QY4Am/'Xq%<S?,,F+\U=\+8,gxiy-Z$:V-O&IYm%Hl_:7n9P0>2Gzh
U"1)i)7j8*F3E5tFatlGoCF?DaVEO/-#,tW;#-5F/OV]lu11kc4sS<9Beu1kMn=3d
U"kWZf,^m4Uu;mrRg2O,KT)MG=Q<d?'DIs0>,ANj$2Uae)reHakvS0Nr?KjJ$#k_B
U"d_';dXN+qd=6Ph8L:IVdZT*3ZR1vIiaY[bmYk45b3;1aTJO+gP16IA77c]#:4Z(
U"9*/S0^I%4>\^7B8n0uF^iGo*XlB<4TNr1xc9<00N'Sr40(1:v-p?r#&:Fk*410t
U"+s(c^\6.:i)NSC7np,WuK#8]gH(<m&:p28ud(.4TSTH7%%.EE<%-F=Yypa>ukYc
U"kToaF#I+42v%7'o8.5sB3/c[WR:i8L':tSTZ&Cw?(h.E%l>tL[]+0[Fd+5H9gQ,
U"u8]GcncjsSw039N0$,HlwKuTEO2f32>[5Wpn5Z2_$b801?*Yco2G/Hy-F%%TJ6%
U"CYT%GYQ'$4?-).4p)o#%3s_,oNymidF.k3#:Gb&MrKfa-RcsJ*#.#5>$)cRt+''
U"4ckBh9IgEL+'O=K'oe,C-2SXY$OvEXl<^oNU6#RQhHEPYqxNIiTB=HndLP);Cgy
U"kM0wsqG[Qjxv-PhGN+'KM?-vvOfm8n2&bVxwg/^mcap8#^rU(dlUPAhl/QI2K,2
U"c>DWTc*CyNsMs1Ifc^?;DAFB=-0P_7F/hg5/u=onoTIFVz)Y.0.;*?Di.eEb,>]
U"'Iy[YydMoR6[;j^Ar8O]sDy#Y4Bbii#[V(a^W[t8;EKQ(>l^Sr8$7C(<;Uf)A:Q
U"#Sffg)5()kMDcUW$ej_9.2Z39bya$W4NvAmqWGl;wavj0x?1=ti[T_;.'J/*Mw;
U"T=YUsd&My:0pIK')pRTOEi9W=]K%:O8i=DKRI=6$j(NWU:^;K+PeNig9BKm6.9R
U"cyp09l)In8''D:1GjPW)P7W\_S'(&<+sB6wC9%E(.w\2CMpF30<$(ButjOt^uHn
U"JPvP,.suH*S(C\EKxi<6.I[V8e+PNp;5PsrNub9FDd/Na9Al[NDJ(71tC+y$V/0
U"'5>wmINQvd/E.i*LK(Q:IbjMQcJ*n(B95nF(AL4R:KG[x(uKp#+i_3,FMt\;zsn
U"<tZ&2iZ&&F*QbJ&,ILQf'1aL^$8YH]ZU?RF=e\\?a&BO-)3xrZ4(8'5Yl7:?7r1
U"oYupiV%5a,n#+VTi<+Ck3uh;XDZsz'4[+s(WwjUGbmgfEeqs;#SOmOX8[Et'q>U
U"i_ofSraB=AYL/:q]kXG.L*$b-ap#AD'F9]>V;QB7si+'sNv5ppb%BUDiX?--4NK
U"HoE:\QT+mX>*,SK,MCR%eEkF)[\eu#Tg=)JV6U[L_i0Gc'A?d7wqbm#]Fv]A5]s
U"7NuxzA]9L/h:??6,W+&Cyn_fN6<H/iIq'gn_:t4k/DH%^%$XY*n::=1%4?T$YV>
U"a+_nzj6A$bX$-.q=Q<DWkUo,Cp&v4w].7qf'I^.=?e>nUNN)B6q]Wp>eXV*>(:g
U"'sEvv://Rg]qB\7[U#g%mgcTW9KkqYGS/NE,0f5b+2[l2&$uBRk*LMeKbmYX>tk
U"i2V)6$fd?fWqGJJca&4T'W<s-_#$OVnH5%oJ13)8h5.(Y28>C4Y%=VTC_V*4%[:
U"Yg>Ca0dhe+N_&oeg=pFR>2ku18O8??&mY^(%Bjj'<1?UjdtR?T)V1=Nag1-0%J,
U"GJw61,tWs#%[%N_/g+wuM:*\i/I]iXD;/S';TATHDt&)G6WV$Kin;j4I2s?ei7v
U"ro0Nm:MSjy__C,3?,?k+Q#[AS>1s*Xqu<%7aJ0k_F#VL$\zrZ00=p;%zo6iU9%O
U";bIom(rqKyIJTkdW.t?l\9hT[^JI4T2*XjF>i&qq(\gQdG\cDb0u/%rLHL-75%r
U"\Ru_D1=VddBM7*#3^Hu-*NL>nwMOUBz/8lx:DLhbWUOZ:z/q\4x$15'=__qMriF
U"Oq8id+c6KpdECT\O5wElxj5FS580g5>Qd(4fY][U.1Olg\x'>B7UwOs4'^UPTh8
U"Nkyhc<M\yep5zW73r46-u-u+>_%b5$hRRXGrHb:^n)1fEZ42qJ0_f-FvC>z]$GQ
U")gw?+pa)AT6,_/zM9#mx#IJJk4^)&Ug6S;EXoGK/$s)G7*0Fi&7P+.KP_;0_byn
U"MwjqEeILs<M-MfDYIn^4)PL%d.oms/INB?F4fFno_Jf+m_c8ER0t:ZqRw$T*ea;
U"vs6s5vW&<W;;iQ$.X](+l$:OLUj_t,J8Lh*tMngwV4esyNZ%>n$6r>$>W0p+qW7
U"u.MA%)n&t,/Ex.#nSVzYYBMCfZ9'.42tH\&^ZcC/8tj#2YvS0q-3$k[[_bwPuG*
U"JPHEcdg;tcB+>U,2*XnhemaJ=9KpU#=oJzI,/ux$E^e;OA;7ZT/p1\DCY7GBk6+
U"=O8?[E,Ca2CW%VjNxcIN\Tj+N]90dL=U[Gp3KPTxF=2Ab.JO&kKsG5L3?'0,YI(
U"1v?)3W5ol1rD-h*qDnm8A1xpj>(qw(Zs2K3C?_G&B\C^tn/sJi6vghIH3vxBp.h
U"tN\xIo&nnn8Y;ZcorT<#VZdp/[RNEB6m5T2RiN-Wo\i'To9^\:7G+*2/RMzIGxl
U"A%X]h,Il\/tP'WI(E]0r;RIbAWO0NksC?B$PYjVE&w]vTxQq<=:,b'CiGfWMbdi
U"UI$W]M&&&)4B22%UW:9T*8#T9zLsO)(iZhvoQ-I^[q;-(J/9Osc8KIx3Ly0SqFi
U"A(]$Y(HEG:ssRdKnuT\OV0cS*6=b.:356SVeSk&8c$n7,C:YZD/a_<$:fC4,mf-
U"p61U'G;KnB?]Hj:G\+Z(5(-XH]sGXn2X\i[rT;C$P]Z0rZt2lOsV%C,#3KsZuO&
U"*^\^UD^dA7l?GL3U*[GqjZN#^J:r9OGNe8kU2^jg;L:<x.EbrX<j^56+?kf:GVL
U"/&E+'9E:Au9*aW47A5UFh]($Sy.lOq8(VimS+3KX&L+#*qUXW&Nf9E>&bLNSkfc
U"-4RcuQp2RnSL)%/x2iAbrE%Uod[UdKTZj:HNVqJXYbx(^QN?e,K8r,p=2^U40Gt
U"LO?GO]o89/QB%YI51A0RI^rn(Al>&:^0NM:KCU/khIUAWRoB-uJVu7UEck_5m^<
U"[I)mtX5L%A%nbzxaOkcm#sb26h)sSm7ybNz^D$7aTILO>o=+gnHIG4m7eP_G#R,
U"brTqip_G]3l:IrlT>\Ik\%OG\>>3bHoX]*;I.Dr4Wi)k9ZH#ahw(D+f/(4-moS'
U"Z,PmPo56Nd8#Sa3d_rt9<S?0O.0)_B?_;J^6d8vL/:$NPSWtF<Iv)e<=\p\)#hC
U"s-Zp-OYsE'GgGjYFr3tg#%?r=iqeuE_&)Q3EaiDu[Vz\9URpv%;K1]SA4o/r;P&
U"Ne1mmV<c0'(hr*Ia%PR9p<ba\D*>[ya6G37cC:4E/iU/N^\4NlQHcC,>+>/H+x_
U"X?FZMUuY3Qun#=MhWpUQ0=ynttuE0Ac#:4K\13J%uQ-eaYz4D*.5<<gnAbA3=,7
U"OK_Gm7+C1=kR0vYY#*wFmxJ$%Mhm[VNB]HkVva.j_JZNDiL\F)024TPIu0:TnQL
U"N2oeFXKg*CD\749fJH%V$2QXRJ8*e4W0PDcmLCsE82YiZMg<MOfqAJkB#v=hi$U
U"^u;(k6#N[:ZH3QH//WD4H4uaJK:jftAngZ+9XMa2_P3G$jhcVtFm.kr>.[L9#m5
U"r+k'CseA-/Ym9XSh[I4k3qt&Dj>aA%DLa7t6-;OTlgg_O7uK0i],_9'JbPA1//k
U"0.?_4+DZaqN,fg6gg6w)78AX-W(U.F(h&qUk=E;QA*akAHfI6*''^/9**H9wNUV
U"l07[NX1%uRMLGK=<.B<w(mIiB'TEP7Z(p_U5^oAB,S=OBnFnyP,^(N(5vYIL\%5
U"TvYOVIBBO]OL-P*IUOsDT+i$)oHti0%Wa(D3a1aQTZ=I;qzOZ);rHm%1ix(eV5e
U"JiikxPb-<pJ/Q#?o'-'7k1N%$/QdNma^[X?ln.2Hu;246qIUH57XYHCnFFY8SHt
U"xZheXddTRC7^N7te?y<$zQzKlH58/ZWu6uw\8bo:jM\c.3/VWJIFc^otefaiFKH
U"E=\U]iD1LST%:Dp$qJz2.9G9*Z=\)uTdE-'HQ=u'u+D>.sZ(Fd\n-awWnw\Chnu
U"g(%ta_jJXII0M4gSg-(Q'2\UGKgntASK$i$E0CTY9Rh'wgBt[*3AQ[=GJCGPGs\
U"'3h7%U#kzq1XRfmA6enA:8c9UPGF1CeSehkrFI.GSaVM8I/:u]Po3N.v^$;0\SS
U"iOQ.p%X>v12IWK%h5+6bOE(ct0Y4b1eauT\FD#+hj]/AP)75zEu#]66RY:.,x-x
U"ulO[8H(=Pcc8$TOz$di\3ocWxXShnNuvf:RWB.]f3PVM0e+,5b%Xg$qsZD2L7&q
U"q^,YQJJqisp^\?0MU1JpS7#1QP'S7w0Ete()]6)mK,HxqHa^'=/..U?\?W8*1Td
U"=B<G?;\2;\<l-Orlo+-s=8&9rx31B1tx8<E.GN3k.y\pkt(%5.[.hT6g]8/Rg6/
U"p;aF+fIS4_]'Q[]d2.l8N4IPU(s&=rd_P,%:ilHo3ZPE$px9&]X]3SZC%tZCIn1
U"SG]8\'*Z0k)B=X(w1UTiJ2+TfN(K-Q6Okcpe#[\.VL:_ecldNoEE;m:/)y#wubX
U",puQY,p>d(p^iY.Sa/C%pWc6Cft]P2]c<Xmh$A:4&gaj[Dm*jfc[aS#f2=%$qgs
U"8CmIwVvxuU>Gi.rE.PG.U(hrWeh3+%%&'<WVTAsVDHaQhbISjp.*RTVnoPKlo>v
U"I%[G/zF&qIV7ayZe3soT3GBNgXg%M^H8A-f#p;DZMoFxIaa8<),kSHGKkEm&GjD
U"e5Zp8,SUO#E%plGAE?uY\UH*2n%ix.7W/eqlgn-\c.nC<K_rGnaPC13n,J3Dv6n
U",rC-)'%I];m,_3V\$BG#kc-=uG$>ItqIWM'vC)y\_In>tDmeOi:FsI#OraZ6xj=
U"7NHMYt,TJN$iIFt,37]Vz-5DVC4qh5&(U?UB=\&RU.-Ap?XAXmJ2i:UjIKc_eF6
U"C]1)qT^O'g$+Km[XQH=#tCT6_D]7^[-3ORI2,xyo*dE=oRlF0t//MUxsoNi&1vU
U"x0:Z/2CNRU6PB/en<^BI7.'[2n7f'C*c+]RVhAb1)4%jEj&NucE6B,yfze4S+q1
U"H3$)\R+k1L$6faTEn.K,g6R(8qhVf+7W7%JtvsP/yao7Q8&_o8q^m=R8nsD(.sU
U"Ld(qa)$M3UV)5c1n7whAs#g//DFvLI.\b(?.XO+-]UFNoc8F$q:OHu9f_iCMtOy
U"dan.J+v'TJJjwp-r%Q[wQJQbYNAJES$Rore_;<\(7CKS0qMY#(t7lCpwn$i)aDn
U"^I(6'nTKO*-f3j9rt]D8T1_9&;m+AI-k/]Q,a=p+)4&I*AtUrxl=KwcL/#[?/jF
U"h/JGn$+36UXGT,e?$HgcN2&Wxz+GRMWf,Y/h;DDQdeaj\>/+u*h(#TyK#)dVaE/
U"XhOgbAhHoJ3\0xNH:C[OSY_l:W+8Z?gF(RMg%G$1Xci#hyh?BPe^3d%:AR]pv*i
U"-.[i.Zg4Z,2.Mu$4208+0Q]r$x4y7Aj,WGugO[vm%FX2Z_7^j.*b-YHs^;BLr(r
U"lo9.gD&FC95:,AVvi7F1;isi(0s]N?>XJAUzG18,_9ME,b'_g)Q/TBq*C>q4QJi
U"r6p+BsO$*d&g,'J)KTqV+g#mF,fSs[swI)r&&_%iPkOM0nEOs(PDCYEavFsFSpP
U"JL.wT]#XX^Ct)6u;N\.Bq<33XN:jA'MK06OMAUmCM+$,tv7=qD#gnL[L:FghN#5
U"#[PfIe1JRg^grYm9G3Pj7_EG)Q_3RPXk,a:Haih5)ZS9Aq#NqB2ERJkO6Z4^sT)
U"LE5\]m-;\k#WgCaD[8*vCS7Q.eY;BLGJrYlwZ;n^4)ppK=PaIX9nCFIQbcG]'qr
U"%oIr$)')&w3EdMi.gKLv4F)_.mN:2lH6^/GN$_-8iV/:Z7FfkrJ;.7#Gu6*MO'z
U"b,jL.MM$&:inJp*KZYe1drB2mLGQ?_'bm;xL,Y-n%\7;+q<H.NK&1=/SykUUSp0
U"Z#$e,==C.U3?p^b$0CY$2-MvFO5p59s_NFj)a*H'chRyso\j8(%>SRj;$\Nc0i*
U"xkjQMA*YnJ3;b%<ksDm-+eZp6Px(XHPx:2[xo\NTwV?q8&ZtD+c[1LQNHUiMLwr
U"uT7B2#CiTp=;5ssNshN(T;yMOkf,9zsqih_p;(9wem0jEY3iJ;3B;#Z9\DmWx_V
U"E<Vl;);1NrLEU=J4GoCp[GIoU?,2JXG1prI)WI;'p(mB(T+jdIE^dL9oUnj9lwq
U"gp.r9-tAA*Cgb3A&md&m.s5m.D5m^A^le$pob1IKZ0YKB(kB%z$J/.wSnn#Q>\<
U"(Y50+KiTQ]_Ys5igE1Zd&F.E:[.<I%\6DTe11,<i?xBs[yy,bPw7L3:o7C%aV??
U"fjs-E3$$*peDP,ogQ#)fnKNnQIL996s2s%].rhA/ciHr/n<YyeDU.\#1:x^A:VS
U"WLQ;N&nwQNWNK4rJKDCJu<Ck*W/eex_bT3HWeyY>5<S;Sj/D'>;gGGpwqz<#Sq)
U"V?39Gl\1LH7/p4rjWOY8BJ<m:^YY'-76cs):Lk(=sVB)[k.gKx8u?l;%V'X#=uW
U"%Zpj1&hqMwi=&\Lk0HWS(y0Sm7YqBo)$(jJN<xHi3m)J93ZVtlu+T*G(fePJC4b
U"q7'*[YkeWdPV:>scgn$.fqJubHb]5qT*u9Cw(e3;ylFXvm9)c/NGbV6nt0_HWq=
U"#<sBhBsKIqrlRM9I:Ds9,vu/Zeaw7;n5Fnsf?(U*Do&Y:BwE+aOKJMouH';#E;k
U"f>W9kVWbJa/0193C:k;<[51VMFYm.ZF$=cL3.gLy8#HF2NSqXlnHYFqr(JE+dZf
U"=%Q3(&IX1h[Xm$i;*R^QAnSP6)2Kl,ea5]OL>>mVCXu48)O%#.'bc4-nc_8%pr2
U")%t\%ca5[k\mVk1pg,'5e=\\;lA)h$/]qBQ,_rb6gSiKSU]?^N(FEJ^DK4n;Hxw
U"EeO2\'/I)F&3(Wa#iW*;a6S^,4t[_dBD*k:pghwEW$XJq6(#,ufS9$b.2.VUI^G
U"5Pv5J+d[5<Jr7XlS[okmhj;ua7K5uMQk-l[cHFkmd?V-owm2c#Q,U1%e%,U%oI&
U"v%sruTTEa)hlvrdA,J>*OTocMN6=#RS&_V([nnNevKfRXIUQGwd^h(gKS_mS_$Q
U"8q_/bUnRIDg7-]F#g-hbEw1L$g7W*I]J&#5_isQ3HK]g]sH^pI#Qp'2DU>olMZ'
U"KQP5C8he#-g.B;b>Q^Nh*ZAU4ds$]A*WbC/%<p\7bjNp#GUqK,(Dl)rtm7GcbVR
U":F\$PlMCp7>=pMs[u01Axce]jy#P(pv1HNxLqlE\#_>$7>)bBsdAPaHimd$bPU;
U"M\d+&z\_pMxxUuU8k)+eHT&U7$S+g'jItNK6T,-l(K=,l]H/mL]uIVIuTFCRw]?
U"IU(bP:iNI,WP+&&>g1'mnDi_LkbrntjlbvBx\nPcxP1<=zlHwdu6o8Gz<sO9;8n
U"CtT?/[lT,EW=YKqdXnbLOxbNE/Pp0=:7^lc4MIs/W)#[w[4dWBC_0S9=w9p=/7G
U",w/XFdTa>YkZ^[V:Ln.k-'<+Ipni'#Myd0zZ?X#bc=DSB8c[N*m1C-#uc_MN6s%
U"N/E#T(-iCAKWgol1+77cFE6t>']q5u^)kR<rumFT#xCDixZ9.r\3RQZ:KdW^p$C
U"7Fskc7$+_[mu++b%H;]hqA>SQq%2\4aPFL-:GmRcik[%5]jOfh3;3QD_8a?L:(I
U"-2'bDq#47/p7uYQ5PQr0XslKNF8$0K*lOnT:Na;=*R4=$&G>-#fs2O3EO7[<:L?
U"?aZIw0'0(A->7S<x?ON70jki5O_ff,B:;U16*Zf'IgQ>JesKsKb_9n?pHJp?*wE
END SUB
SUB V8
U"[[;cDsDkwTf)ZK3o0kpEu8#=Yi/:[Rcjj$m53*<A;#n\Pd3l?GQYIoDjvTEV.>]
U"xR0U^j/<$l9?eh1]cC0eT6?RWWl=[+JVtpN6U/x1:$ZN04;,n8)OSF;e=>=s7a2
U"Bw=.fp#ZM3$D:W4fD-2^?5Ze<-H#/&TaPAAc=D'I]#sV(Sj=CZ#qWG>S6OB<gJV
U"^Y[?=K0[TmqGJ]s0<2'Ak(u\sZ41TFj8>0e&),(^Rbm->Y*\(#4TOL5:G0qe?+4
U"70:JN)v8Lu'_(Pa5GY>Hq8uROVOq>];/)hf-s$QI]o8&/^)+?n*[.uDjxkUQZ&Y
U"RwhLkus%\skoShFk<i'l0aQh+=lw%qrm=QYkDD=F=E_ZD^Q5eT#.3AyQ<I%;GR#
U"zim8,k*:gbS1$9cxKF$I9KC(QD,g8P#%EI2u%B;i:_4J<'m'd+D+'LKd4>WO=6J
U"O.O#?.paLd#UxXPgt(EX3\KkF$e2W(G])5HbEX5dA(nv;gRw4mZhYt?vp1mez\9
U"fiCoPd&42Wn]\yiH,R0>ABIpsZEV7fGMk&TmenX;*%mMwuXj7G+jd<=qZX4-5un
U"3s?,a5pmZ7gflbyHloIn-YJ'P0u_r+m<gKVLs\dF_:UDQmu;TWNxD?&Pby33DAp
U"Dc9Z$+A0'aX1B#0Bc2?dqIzO<B>Q0.dEz=4$N<uWg]e9Y[3AqUdLq'/*XyB2lw[
U"<A6_;TAtkk>D49QtjE7If^$M.x4TD4xmX7prxGiHN<NJ0n>gFRn$RXW.$9hRq6(
U"<g2b,^&Y.rpqiH5ld]&C[-KWF2blM*r%5r\a1RuJ,\/sBsgk0i<h8l,EhwL6)JZ
U"E/):W[Rut?$sZe.A]>5BO7+2W]TeZ],(hT1PH_;V;'4+_IK:z21XmQ)F3>Xnd?C
U"^a/[Q.*oHNr19#-g3^dV]N#JJTNT'c3/zRJe2b7Ul,e#(fZ,_>9)%Q^i-)r\cUr
U"<kNN67$/4e*-tNGF5B<AcqPwZDK']n#u=sDGU$>Z&lw3T$\RHG73:Y4roEk>p7e
U"VF.u^o'/+fhiUC?BO]4n0aq\#Ax^>-[sgiGK2U%Si4K*=HX(LhB54)+l1Bd4#70
U"7l:XN-Z.mu00s.b-xk-:Nj=pBuoL1:5Z2AotP\YfkLyOQ)FXN/q2UA,RmHmPML0
U",>:mikSAHBc,bfR?gX(\0^CA5VZZ;wmswp(5mO+8Um#&7LabGYPQ'1*f7Q4%1od
U"X>RNYtV$Z'\OhQL*ytH%]9aNN8]]=U5eyQutmX$FQEfWoeADuC3;ZE#0to:EVN1
U";e8=#18L_R7xeL]RqWaXh?^_F)n7s6k)F17]5y\8<'=m2_Vtt1XJ&LY\4KBR2?z
U"/=$*0-0j7T*'^b-%DmS;qvp>wvul56T7ecpr1\A1zjfaEy#mU%s1[:XQk7s3m&%
U"1Y%m+?bm29?)'OC5ZxlZxsAwF#uN,oGe^iBZ.8LLzD%>%P:ev\&\a:E-4$Z#jkY
U".HWFEs01G-T\v:.NPY=bQ%#Y?kE?h<']oMnUjam#lQ9JT>UA#qVC4ibUcpu\ubR
U"h#HUX6u4XAUlV0[Z>whJwfZg2irF&(f9sH7tlxlXYaZj>gyZ'mt,Sl*$UL>Y/f+
U".4Rl4^/V>Ra+QVYk+Lh\m;Z+tLLWN^Wkr%vMZe1-okAqKH:>SoLX]Amq%^*>Tlg
U"JeQxM7zBQoL4uqv61Y.%Ns]KDJf^Z5:I*=Z8B^7'3ne#^0S[UPd9m=lX?R^_SOu
U"?N=%X_/>+.+_zXeFgx;,#5y]L(1t.F,0,:J-1ikIRY(7E'SqUTD=]%sf>CkKM-4
U"qsScK3]%pLj5FsD+RtlPvtKZi$^]jnW%jjjq$Q8Q7YY,L9'ZtLX;Hwwm<$Zr-Q;
U"D+n8-;1v+mH0j#UZ0_Se.D=8-yJj(YNel%$UTxk];jW9N%h7Klq63T[&nyK4\Av
U"+xLFd8.q/X.[B.]T:nC>FKg.4ojh&C,/kNwb02Ce.n)NC8;A=_UzT[Gm3FC$G82
U"dX0j\N78(/KBrx]v^YS*\KfbU(/PM79,^yPt$u00'Zt0UHHfcdB22b+]5]Wm&3?
U"PffvWj466+vabf(LD3O()[nG/,/9h-99*l&?<:tpKwRYNan4<CX/xb8,]g8k<L=
U"U(^9$QT$&H0L5V#:Y[,e.bJ4YxADBFw17+5cDjr^g&xU,8^?+XE=\Ik2dr#sl^i
U"t=el,c\c9N>tE,,D^5QC,ea#twwr7IBFZHAK>qA$dQtnO/<e*0%d*,jckF\fpZg
U"iV;p*knF4rixVM(Zp.rA&Mya$WG6,(ox$xdV0nxdNFN:lJ*\=rNwxA2*t&44:4\
U"_0ce:0>MIy466t&ZsoFa8,Ld,L<qHrwF-vM[p8&l,t<.R4tO,_\,kzNypr2jGPl
U"D,mdn++6#leVD4]OkE^Loy+GpC4v<cDDTnuS[lwDffD&Z0X,fuF><:Zit)KS+S5
U"[ULb(.s#PN<c,h\XL/6l5TNU6a/>ti-Ds)s\tN17no1ddVs*$?IE/U\\Prs2r^]
U"lSCt-'suEuKA[?p8OD>]5h\tLL17ZwoMJr2Jrw-YEo-MsH_9q+E'H,>hdbbDsR\
U"?klMAFD/L.;V.7S95o&_jdaNtrJhEGXcXF=>RjqlK)]NmVg5&.:DC83R&m*g#t2
U"<frl#nLQ^5,+4]l9'Gl($Z2ZZ=scKr/7V4BX=-Gdz)bAQm2:RsrqqrHd3oIb'Qe
U"n4QG:hBSDt%t\K?]l$su>433OdH..2c^]4$pN)v..'xyaxXTDenSYw?NFnhDF3d
U"fW(]H-ZEJNw]X-oNtZH2h]^Tdo6fG3a*'lB*enT[OPLWk,Dkn4=o_]=>B?vOnfh
U";nFur[5kWq8o+6eG]$5FlqvSxcuG2K;^Or0lhvn)XxrldP1>LN+,+Nkf^no7DTO
U"*,.%E^,TwceKWKrlj6CX\I^?okl\XpFWiTnpSndN&0[$$oD\+>ie0exbNNatS%R
U"gFoTH$'j'-HBS46A0:FdFC^&pO&=knLr&:d]$oDd0e?_vPa?x]7BPg&vZu#O&L+
U"NV<on&d7WeGt5B$*^o0*.ZV'L^=uU9RvolTrlr7[aNcMq.URYVzlvK3oCLbQ2cL
U"nq6L\gN+L$nQGDr('6d$#4ae.qVBVXu)LBgeHc.yp6LdlrRDS+d>*(NcUT6fv<K
U"fZhqthtMN594Zg4.^Vkr??Mhwm,PT8#vU3hKz[2:r>,-R40%FwCDvOSs\6ul#]/
U"k;STk44lH[Sl=r>qtPviHN.$rUt-by^Xx2(sDl>tkB\5X*1K^CEm.Cn[<d;HL-s
U"Cgls*GjfhC+D+[8ba]PS4vQt>B?H5Xanp<:l7Wj/RnVkIHHQcH=mc8pSp+H-kEu
U"#>MND3+b7Z$FD=<n'IaAjbe)i4n7gtN7*$Y&RdVbzdn4>AVua]fCaTp4t+PRfEn
U"+29mJ?ZRvvB\rdP$rtmt&MFKJ?1ylFdLt.Atk/k+H?/p(+4RxBNGJZB3uv<tZ:<
U"rO#=CqllL%Agz8vK,T$rVwdr'ENrsa1GPYYH^>k6&R4Y)/I=Wt&$E?^D;]-EV;d
U"G6fTMVvA,NNur4fA]+dy.h'Au7n:#T7^$pwo&Z'(uS2\73fK,Y=<L$TEXvlbqvf
U"u$Z:DMKNgjEFO;5K)s15h\Zt>D7FY2ak9P6AvI^Z.GoHk^Tqd(tZQ6Uj-ubg^rQ
U"u[#K$nA\EsSHbdr?w$e/N8B?,PM3wUwUgfoV+JjEb:]n<f-,W[0OxtYyxboBerO
U"\V)=iD>KMB#3LrK*hOcBrjyZxW=YDNTU,Tlvu:$tZq^fG0$U,Xp*&&D2uVvCZgQ
U"N5W7aBstWpEPwiVLxQrrYJ36WhfTIdH_1RHz4DWDTs0QZ%G?J&1=9LJ2E;#ZK0F
U"SM\4?qM+Wmc88Av$)m;tiprufl1,v(l?$f[<9G5bKaH_A.ZZlRtQ>>uutlLJ6iD
U"$bNmnLz55_UdlETfDk9IJ2d1;-oN#v8zHq]al=,rUp-prE$a$TdE[;6mnUMdV/3
U"F$nP6nfpvGmVAfR6m,cYy3$\$t%[#50.o90xd6>7d_&h?\t0t4+M'%pP^+s]$5F
U"^+&Av6o]no)MD%JE+#$Mps/&\[::V0s#;.>c'>Fc_D;u)7>GL1(u]l>OYH*uXi?
U"Jns=Cf,b<4i0T)kk%w;xt=_Z)UpU2XL>L<\Vl[\Ve?#Vx:,)&9BNapp$'<MbV0-
U"K$j]*K*h>ZkWB#ZaU>6nj#I?,F5oXn?D*c6QD*1\mzPe)Z=k%'P3.2%>z,M#i(e
U"1NL+N,/pJ-)GL3^(Xndo%S\3lle^=EArhKht7R9x%-G4Na:G%QvT:ZBeMN#9HE$
U"AY*O1]/d?CpL]Maq*HwTh\w>eP:9u)<p+EI/r%UEXT+:U9(\W?NrX^;%0.hq%xi
U"+PDW'Pqt)&G.a*>]*i5:oJdp[r%y&E,q4%[X[^;,e%E,BM3](h<nP,#Ic6K6hdC
U"bV8,Buz/gz^>WMA1k<q>LOfErs.Shl8tVlWWqVt<12VTW?G>$8nmDgjf,nEdoG>
U"kKf&3fnF2T2*/Scn0$VvQCgY\IR=k\k/gn)owz.VGy*s24]%kZl/09'IX^P<5Ef
U"Q1oQ$r<Aq3+ORXuSlc),k0pVw-RuGtVxnnRx56I#^D\PGC_CLh>FOKD68lHfIWe
U"QZ,tX&%F&XX)]hq3Wu[c2GBdp=eFs??a:1r+[NAA-L4Bm*]4L.:+7-%2x>+W%HN
U"=*Xwvh&O6XO5H?(Cp;37n4gW6v3fv?\IE;'6<TJ>C$p>BUi8D?xcO:Jb]YY*>tN
U"a+rr[yKV6421Z]eD.btEh%KV4dZH]nkob*(l3#R[+P\p&2rv4gAowgoFf-U:N+c
U"7SA*t)BVB<OXe1=1]JZ^b'5Abnr#1%b1TLQ<JZSl]O'xge'8,K_FP<5aH#.er]r
U"brHY//y5U(lFI.Q%l+,%JEJ\1gG.u,KpsalGkgV1b5_D\.Q-R$cY.v(\qpj329U
U"bR)]sjX)*G:s%B%Sat,K_BCHc$dSl((>c/B_CIda'6qSml^)6,T'LER,E=8O&&$
U">O->a[rFxdiN3G,Y<:V+hm7AX2ux(6$ANs#&lwpjP9xfjpa05=C]P)mT\j)mZ)]
U"UYsrSCsb&C1]2#<UAUMKhHN?ulgo9+ITFubnW4GjrUlR+If9l.S,BHKg?,>0qn6
U"JH?2m($Clf9I'1zN^r^)>^b>'De&d?VPzQ,qe0T6r\%x5rV8+Elt<Z;J0TR<%Gh
U"C3[cAKDUCMs?kO%?55>H<KAN3SR<i6QIf1%2Bh(A$\>F>*/hWfV+H;:*JNF-CzP
U"?pi;XwxF)5&Pg)cY[BUjE\3mf9d12t-%g+=T3^HTWZxbYrde;D%E&#8GT3lml^e
U"%,-]C48WB=kb#OZb7OJJ:YQ6n%P;5kO)ZZ$C+T6EuD34HH;//X^'9imT/TbEAS(
U"3Uc*^V<V03w'JQb[)pC0>-nW^LSqC8lGM[l21Z[H0#Hoi9LSt6VG>0/e_/+U9)v
U"Iq(O]%w&c5/x6O=LKVOH;sqoj$GWy\?Q3h3A',L_f5E[IDHtzj8:S/;;\dA2k<c
U"Zn:i$]Q4;?UrZuDrF.W?brXM:?lr4d$<achB6,ua5X]=s'Y6FP7eeLo=9ABA]6S
U"v/LAN2L5,D*)\6Eld$\^FNaSN/YeQ/f[MW9x+0qgw'LWoTYhYT,q4)1pD(FDfm9
U"*W_P\nt0BolKs,\6Gy^h_N)jLAg<czDJWLcCuRhdBiai,2$ZNGE?HH%5s)\#_PZ
U"N3U9rk$p^a1486FOrPaCf,_+=*F)1]Iq4l^emFuUJN=ip;?gY*+R3Qc:MNl_WR(
U"3uLPZ6b1l:TW2SlgcjH\j.]3;WZ2>1(bksk>+9qM%33BUQDZwR)h[H6ps9'IsVw
U"mY\Qt#qa5s-DPSVYk1>QT\_i+s;W/r>)*'da4d0)Hf1Hs?FsCW,wWujdV$6.2Zr
U"/uo+V+NRwPSXe-d]c':'jzOmEqGcB=LM.h5]&=5JGXhkMh6SI.,8'PVcO866i6+
U"ME[l);2Nfa+:7Z/,Wb,>J_^/qjajd$O1Q)lAG'EfIa(jjr3erofFC_#WQ>9:^3p
U"VheY,ZIs[),<iVFKD?KPs4VU.4&S$+E7eeXQZJj9O0o+EQanL%vfOU]pe7'sRmh
U"d1f/]7XpAf,w<vTHhf-t\bs<<Pf,O/EGfp?O\^xL.%pcE9^Ya]:O(cAPokbQ__I
U"fE(T<oUd16iuCW*A[u#D_qbE7A\WEm%e+rqF[tAe0Ra'x+arSXHW>'$%k$P.Fua
U"lbC;bc7_IePQJo(8QY^'/*i-F'/.Z5Loh(:<1:/-[2EM5;*eq=X9#8br90E1;q/
U"[$8p%5[$Vc.4lQ$3Hhi+]5z/_kYEobs52Y?hLAnVFe./Qh\W(bM+a,dT?)<ok*Z
U"GG6n_aj2E/cFXo/fMOFVS+5*T#i=gNOQP_s09./<><lh5*498VvT8=1l5X[]C#%
U"O'UECHY*^,>X9*^%A*rFP19+]a6(vJ334Q]n[g>:eTc6+6L>Kfe;1'e+HQ==M<V
U"FxD<VVe.,rpS#[0;y?-<K;<%/jyS.GC7#b/dni2YMJ<3P1&<2I:O[Z1/s-te9^,
U")QO&RA(7AOM*6geapeu$Rv.<RXW)>(Vtp'H:r.zNYXBGbVHJwHuO%\9j1mzkhhW
U"em:]w\f;6jd)#/LH;IY[#KYwEs9=&qJF]itKMPgm1d2.XB6-Ms)]DEZKh]:pMn;
U"$'FTKgQ#AzER\9&=E26=.l)K[eV1%+s?gC*/8EA'U8iOLD\gD:+%78(UYadxN2<
U"eca(k6MV1*9]0]gE'BCu7UmXAZ#0KKk:5^#FrKHuN3&6^*mW63jV&Rw,VWVAnxC
U"03#N3VJnYhEL3u0S$sq/m+_eRL?=46Gl3op+M='VV.]>]2$H\tR#R'HGWHC)1FQ
U"64jXYF4>IFP7bFBGt_vi1V6HPM3C#i#Z>Rg=Ifl>t0>3NuJCiYAbFOSgZ:6;eRb
U"aD-mw_6&nB-Al,xE:8%_>c3Jbw>9[Rta#hKQO43k/C#>LE+0>'pi2m/UhDeERsl
U"$#&Z,WYgkLkQ:WkGwkq4&WVA9$L,h;\Ea0^3#BHHrFNpsB=Nc*<C7QdVLgkG0)d
U"YwocuN6C>lJ?5mnWSs$.uGt)-k?SaaQ33$cFJYvi1fIr58&mO[TD3h&/-%XHe];
U"z^'<%,s,zPp'\09Hh8Ch1[p$Q1g:(Vn,3#>\?.m2inK'0x#)%gig^rRxZOnJuZ>
U"O#Sr$$zRcj7UwGrQ92_dvLq]NKTO0(]0WNZ4SGe/:Zo=K'=K$da8Q$ReP<9mDsP
U"WZnST(jaAHJ>TdOB3_VRRI(AI%9sV=S:l[rQPQJ3a'O*I\V6>YUR:4h+NW2zJYY
U"Xi3.g9)*cDaVl;m]%NCi7N1AhKf'I\wrxnw^_wjaG]/8dQ1epizhYh.#y=->,yM
U"eQ/#nmd'XD#P0#y^v,9HF*$SCc<=(1_ph-7(?0NCAV5Fq[,&&U2X8bGo,6f5.mL
U".gQ5_B\&F65OsF*cvhv-Wvl,=3ClYKr3\p$3qro:(Xb^leO&jMustD+Y4dgVrd?
U"<1.%VEP_OmhVwkuPLb/C5jG>kAVmX]suo.R$ytqb*<+PAv5ijLu,<2HnrGxN']D
U"L]hW6k^5:t7FJ<[GJ<$$wj7OEu8#7a6V%E$cs=S%VXH=LD5OjE$U;1sL]fGt%uP
U"qtVZ=$nH*uL3VrG/=)EezJt+qGvI8:YTw+5MmcMhp9Z(YR,dkx,yR8Bj[:dHSRi
U"9IR-uB)CHu6Z8d\S*M0nOI.g$/f11I)Jg600FY766;^SMhPHumRFyGZ622qPP&&
U"a2(gr)<_f7D*ES5cCDn3>0ko:E/S+YibI^Qa,Jp[W';*emJ[+1UtR<Pfi$vwQv?
U"uwD?$[Jdh-QrTrSO48nsTe/xAt.Vm0ZT_y7#)kp(8E'&3,E/l>1*HE;9E#D_N8'
U"t<rC-,1g^HM=J=t:_t=4s*ZWo5IGMYaJUMPLZ1..(GTB$PT7#%]rY(^NI#?ucZ1
U"a1(MA7nx+lvqkj,sqlYh45UdikWb7JS;^9AHpIZcc>W1a7Zm+8Agz=QfNHW+SvZ
U"?.RVqW33=:B[hWVU*x^y<YqStZ6Atp$;B,oa4OdZG2fH)3.i/?CZQv$&2iL)k'S
U"?h'HPn7Z;H.FXtsp:H$L[Vp#k)l6\,-D\d+?]1)gi(7#F>BF0uk:J<X0fX*h1pi
U"$1.S/4oWVj;7pv^zmzC3C1t(7l2Mq*E9hz#;o2t^k&oj2lA1jr&qrL8PeT\)xA*
U"?CVe.x3t&UfAi2ZzPe?rBf)UKr(n1uc8Xf(i2'5[TStreoHaV7TH$_pj3RaNA/*
U"[#J<;$9)5+a;K,%19f^nf8GC2,[qloB5:jAj2&AB'D7F9-CV]<u;[AcNrncJQaw
U";fW#R/]afUla&cdgto'/[e4H-VIu)uP]b^[.OKknhaUJ.A3&x\Rnq=yB>I>zT?F
U"wYGr?bw=^a1*BvP4P>EC?=Bw;W6Q60;5iv=x-ikBg%%*c3P3N:ybM?M5%%sar>q
U"Rov;OCXrXXgw%zKrv7^Z1%M7Oy%GrDSqCtl.2Db]'9B+]'EXV$uaf[#_]:T_bGa
U"5upjaX)l)VYQhZMmtm]rYb5iah>\'_Q5JM:48A*o6W'bjT1Qb:4DBc)EmA8HHgo
U"$76jqQKam:y;F/lPZKCG0wq8flI;[+\\k%v:Csf^x9C&x:'v9W6SkiZx[Q0#zhq
U"XG:]BKg2+]E<H'=cCCzQrATNj^^Qk)A.\?m>,2wZ>IXvWYh*0brrAesPBoQlWGV
U"EhSHPPF$0gJGG[MbtQ+bbc46k):N0UIB/9e6xuTR6Vc)-&T5*7jQdFbewB1xf\k
U"Yh&pj?SMNI^^7DC%viV72QB<'Qm#tjdS%/FA/sp<%+S8,wM./^l,R+aaDO$dQ$?
U"C<nN%ArhOh(CHUycB21VnJR_>6\D,A;2iZIt<[v2<M>F]giLHZwppVY8_S+?u3S
U"0dwWV5^y,)I-V,dConK6'<92)X;Iau#js3JvrEWwX#k6Z8x]/-U3%6&cm]rxb?k
U"1:.69[XKUIBXB]$%I/)u43_W05h3ZZm&R5p2[KC20Jn<Cp6,#&ZigX[?c[px]fK
U"u6G$W,w'NJn%Ub?iftGC(a4PPiIX:]_RCPx'O.?sv^MW_CjkO)7x:F4YP]*s3^R
U"EOCB#4std6Et,.cK.IoMI&uy)lGzi5C<5F>Y5+yJ?#%&11+WNO4FE'+b:+l%puV
U">j>R%GIX*f=AJHYtgDRuu,2Iyw*I7pe1?V7RL5b%v(*)M4/qRR+bTY$UM1X=z=[
U"XANJLw9w=QO^5B(y%HAkm?(:z#r[PD)jQstO$qp?89f;<OTX;7Xff$mXZmLf.yy
U"o=G7K(B*+Y&Cl$BA7Ns[NqH$HM)cM%'M$70RM:75'OLPW\%g4^#Rg]I\h.Qr]oh
U"=&m-Y3<oQ)tY1:Th$op-O;YbLGHQ$e[8knay5U+&^tnI8l',LPz^DmG<k]lh,(?
U"A6b9nRR/aO<^nSdM*KZC%t6Ph'T*ArE9<f+\]0F;n_B2TU=<:9?K:1pXIj=)l21
U"vrA>u-ZGHaMO_.TM/J0P>uPWva893rpo,Ru4M<3LS3&MEZJ.fe;Jr/Qu-KcE8q7
U")V6j<Efwhk4\k>>WC2lb:A1#UAAZJ:qMuuhs:&N0c.mWT'j+Kuku60mAmHKmZoO
U"d<mQdGrt'IU;TX8,%9h;rg?:J;8H<B&rU^,$8ml#_2]vp;oM[,o]KLpA%&#007j
U"GK04,&riiBQ)j9gwnR,$:;bOU?9f[AtAkrMfUa#q8mtJE+d]>'wDSPTl<oq*+7B
U"$ga>N%L/RSgRq3V3QG3kyJ/irBXKIavXW4<Xvr?CADaW6Nt3>=ErFU0#;CIKo74
U"*KB%GQEg(5Z1)ASS$*MmRlS,G+:fkPdu;SqufFaNF1mVQdP<W)+7l4ehr440fh]
U"L38l.4EHBwJL6QCI6FI]?JfcX'K8cJvd?#]S(eJlT(?Rd#Gv^f]7K21JGdTXX^G
U"7JVk%fHkkGc*L$dbLamkuMbZaBq#ojQO7g,-RsHK6K6D(;tEtTgZvkq>X89\aqu
U"6];jCJ:;l4P0L=,r0.\?\AGb,oe3-U-d+GaIGrj-Z5uGJ&x%^lX&e4*V\\wc.XY
U"nGEOV+Di,V9+UXE(dGt4ck5/D>8*zR9z_yQ+u&a'HqE(dRl&gTKBvxcu=QF)g.o
U"Shbk$.5qKN38<Vg6J9deZ+CH23b:h4\#It/j?raZW2U6cSH6KI0o((r#43GIRNA
U")Z0m*5tVnAst6o\K_F#b>]([?ZcMYBAA*ILOwc5Z]]N#aJQzCnj<7oV9e:g/#nL
U"aCA)Hf-VY%UXC?Pcd_#_^Uy4/0jA6SLL>LC'lSXDl,=f[UkV-1-qJlaZU0m]lon
U"%JboarH5AtufiZ,4g.nBBuZ&4aD4#cG91kdG/1bKy%lW?)cb367LA6kkyR(8XEq
U"71.d,X]VaDUD4Q:kRP,bo/a]EC1WV&_4s7fW,tAKQ8s-NA7[1'^F=sRu\0y/cx*
U"joWji5'sq]\tKeosdBjp=SOXe;?bs:9h1R%0ola3U&GGg8+a-jK=3EP]il+N[5N
U"4+tiJlwi=q3:i97k(>$pZ96YloWE<Hs(v[N<6s,ktG6e3'rF_vudTNCwutYxe-Z
U"G^,X((Vwo^f#+v[Tp#/*l>A>s*rYZoMID2&/zSdPJ#bIY]Gbwd)m/$C3/Lu/XbW
U";7pUx?_4ft<UjJVIxZVfp5owc?%pb7QEDbWDx,>nlSub[POH\ns/GyOu^#[oiah
U"Eo0&iOAx[$pUzpmYZ&NZj$XJ1JK'JVrhq?WIfVMtnKw8KSc-<.Dw)h&4x4Kd&k(
U":WEL,ppn?Mh;ym<6mGrF/^j7*(i0hZ7?Dsej8,J-Zej&H'^W5aB^CkcL8+#a<TW
U"+1AEPp1^DV1M6S2._\jDHx5:n+dH;Jrjm\D*jb.;I1ngB=wDLJDAr#S1b&k]vqo
U"_W44'8Io>L6ZAfY+93mj#':^U7=c('ELz\3k?nsMrxGoL&N%up%&'9%%9%%%R-%
U"(hA7Eqm+e,9Zm&%N[%'%1%%%%%%%%%&%%E%%%%%%%%%vgyn.ux.r%Sith%up*+%
U"%%%%%&%&%%_%%%%cZ&%%%%
END SUB
V2
V3
V4
V5
V6
V7
V8
CLOSE:IF S=105AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBM.ZIP ends here. Last page. TCHK:105
<PAGEEND:"Fido.Faq.File4">

<PAGESTART:"Fido.Faq.File5">
'>>> Page 1 of QBN.ZIP begins here. TYPE:BINAA TLEN:52495
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBN.ZIP",4^6:Z&=52495:?STRING$(50,177);
U"%up()%9%%%%-%jv's?HAdi%dER%%'>%'%1%%%%vg%ynux&.sSimthE6<tBSmoLU
U"s4udlxICp;(X1EWZT)3l9<:^5<R.-LE[*ts)1^k:F*ba)rcPzlvn+_LbXi3/keQ
U"7hmy-#4netibbgubbbbrb=hhufhn&^JzhkN$2B;i(Q>vk1Tj;/Bd<Pi==v(BHO-
U"tBZ)Cg%Q&ngn8e1i?6nfgjba0luv6ZSD.HfA-]*,PZX406^1;\)/><0%ee$R9,*
U"tx+:x^8-Cb'U6j*FUR>8fhb^jZh1Zn&^a'r&9/pU00/'dWdgW;iV*WgcFYtW<Lg
U"k,Hij</E9viY2<quIiYrCXS$4sfYr9*x6X$-muGlYH:U,h/Qx^SQB;km\3fRQ=_
U"s?n'-R6SR,T#:]5)3WQKf?XU8&Re?<gE8CB;6H%%E37>-QY0-b&ebAe$[Ok9%e_
U">T1_H/<'<1<c_Hs.wS>X4=>qeg&bq;iksK,B5,)bn^-G)<F+pjs,DDL'g)z>?f,
U">3EL>nS_Seh$P6$juw1/h97Z&%WQCZ#osc,1;N:I[u=-S0T'b0vAe#g7W(E\]12
U"h2T;<fL]>Rb;/+h_p'ISaN8&Tn'c>(7F'g25;>rUhfWnQLA/uOZ;ljZu;t;$_i+
U"^$6TUd]qr*Q*h.:R;E\#K_h>4Ltn$lm+sp+^U6AJ;+:ZD6]mAcj4O9>#Qd%:KGV
U"VtC<S6&YZ49[avsQ#fjCsEZY+)$jnuT9;90VXP/OCpOEfQb*,(v89&-da>vDkh*
U"]W*S_JO:h#M^^1Ux>23-gEggh$rLHY48eu6Lme1'5^aQ'%u.p'9=qm8I]k8$XEA
U"TPA<q7T50A[%Rb\-^vC(1G6w+%2mfi>j-RCZ6SAL3>v2WNA8;DjMr1VORP3NVh)
U"%/H;XL=P=IqRZ0XD[2ZId4.)M5''J>)p>B,>2xJ%7\O0-TgTIJKGUq/P^KWSOdT
U"T-A&o//H8\#A+cvA#g45sC#P*?<IR.^-d4*H#\M'A^AOV^V?>q]E/mUB&uEf(=;
U"<EI$5<rLZ]wVa[x/0sQ]M'9VN&_lH$oUh*VN-AFg/LKD2eEj5QmD;$8if4<E&-;
U"x#=?m1]%42lS#%(FN:eR3<S50^*H)qE:R'.+41CEU;Mv;P2$c$,M>Cp8ySTI\U(
U"V*iO/5V69_8go/&7a\*KGj+w)TfL$6,mx4%515%]Z)4a'9=G>xD7.xr>J0?rg-I
U"-q=U,5rTrRI^Q6A^'LRuXiK6tOER;6vI8gH2hjlRUER(Qao2qa>$WWSlf3Ybh\C
U"BQghyX&rql8HIPI[70705T.B*1_mFl'4JLROe?7kZ12$ZH.ZX6;rC)eX20?,M?7
U"z+LUpz_[%nJfe#1&,*I)&0J#R$O-T:SmO8.Zp+&)iqJK[4=4gITod;2ZIcQFCPL
U"0hgEOiD4^#6%ZR^[9w#sg.7+DuFol#cH9dM6Sq8A+1kUqa6)UA\ES/f0p].iY'3
U"8KQF9hVluD/'i&]MWJJg*KMbOVeTb,iMV:6UFm0$50<A^+b&_XcZv^DfYwn5HjM
U"FU./*-(e*T>?W\h';nSG3IwZJ<2kj$W9._PhBUM$Mg<XxFBI&/d'i[qe>B+qd>)
U"VhhjN#vx-,?,)u>WEKtm6^ZV=#^1RW:eq:,Q.IA\K9<Z_nZ[,54%-jt(<7-c5)D
U"dH2t)o\'1?h+%J4\(02,$NG42$doEblf'rK;YsNQ9Z[-ZtH)Knrh610kZTTNlpq
U"f91k*u_Y.A9vRttn^+X92jr.fl^%#(gC'K$Fp,X<\7v9+:JqFfK-0;8Qu<zOjcS
U";'Y*Si_Fv:=.$a?Y7hwQA,fTj-)BNHQWkt$qg&]+oBAc4m2*HCQ#f:jbQLb^\6J
U"a9]jK:X7jb_TKm2=EPT'U+Fic,n:_LP:u';k>>j-NEhf6$sB'jC/3$463-d,K1O
U"Te1El03s\G[1#VrM#>:Y#l2Fgmx4p\d,$+e<UpI9?lfYS0q*/=oHBcFVvB'PQ0S
U"L-)pT(XS^?*?Y)MImcK9wLa[.]:>Qr<;bl;QSC'N[#(gEuQ]PPFX^<\Vc&>'J;[
U"RO**uAGx&[D&3xlD;ThFRd%nX_&j/I)\lzFLoQB0<_csU/I2?8%&6w<(c*HemmH
U"#ak004nNkLt\(B/v%ffYD3Z0y^C?K[\=6a>7ibLb8l\x.S[?YA$s<jf;Ohtme$p
U"R<fdp?C=<3'rQ'920^ZQm6VGOr?'\7t^CD1P*Jr]OiMF,p[Jf9;N'&RuA1M*eB>
U"-4R%SoRH7N\ObsRLOSDOARS\/r'&E$G>:/edj3WGu0,.HkY9JLM(\u:S1*ocL3f
U"_b/s:j2%XtlN^=IfQ^.N6h:h^<f3\]-2ti8J\BaAJ[8OI6M(,C]0nem2hPT1[$d
U"dDj169I%iDauM;sqQsLXN#ElPYGu8f5l0u9M=jtu+(Zw3b<M6EclhtE\t,F^Smr
U"A^+nX_:)/o#c<Z2SIKgt'ELTR^:a(QJCx9K7h5nd4[Qq[iNBmqI?3*P?6u/E[2o
U"nlz&YME3B,'Wrm^o<nl=*vIioeefjo]ngG&Vfr^2n$\ppGV1L)bN92,Y<N1P]Yw
U"P4\m06:=ER\N(N**),9;Ai+PgQS/U,Vfeiu__=qAC1+EJ[<M_?inv]jM(R0:EeH
U"s_<^3*,ucUpuTIhj96T:lV],hVBWgIBK/>BWR1>d*,(J]*MJ?Pqe5%C[Mn]jI*R
U"Lc#)8R,X3?JcYT06z7TlfhGW7/'/iFp6uO[%j1$e_8JJ=U#8ah0(Cs6^-$Q+?Pk
U"bdD\:/Sq:sIfiKMWcfmd9WdZ?wO*(V\iOV%vE1)Odjy\&&lsP^FH(vf:-ILYr;K
U":kTcNSPl297[S,\d)Ycsr4]q;Fc%\61W(k\d[+%+Caa$>ocfYMZQpf+CMaGE?k-
U"TCeD*T'QmdJ??)]UJ&+gb]3===(aRS&rxTOYDZwPon/taZ^L4C.X$O?FQjy]]/]
U"Bjc_ayk7FLx2I<Aak,8=mqA#c'Bh8$G&\<LQYSX&F07cKh?(Z8qvE>'8VV$^:T>
U"9j])qIfXZA)r9>bT=6'RAvHDR[u'LPov<j%#wzgUDV36Lc<3s.C:&(Y5rLT9i6B
U"hNjk(wT3'.k]E:H4d:>9\\0Ylga46IIuC8%#>boE'^e>m*_%R4(R([Vea\:VW31
U")K)8+.;#UzHS)9a)Ww5W6#2r2.kM$3+7&Hr#gpoi;Yl-Y,GCA-g,5Bo1J5?_ZMn
U"5vOA(QNL2gFU*Xr*v;Ftgbg(7Op,z/7Y\;EE,7.T]w+AH4G$gJm9j]KDb5_>_4V
U"ALurSv^:^<qtYE[/#QJb^pFvqG'h$TRo=r8JhX4gw-b:I\#rIC5bUBk<xVM%O/b
U"7VWL?wGq(0v=-gk(PoDLn9*p0NjPcDVAjD$>V<hErr8\7c\jX-hI-hrXmiHc+:P
U"nBoJ,y1_.'s,OYo?G[vZM%gt4bp:w03_\$&_%z8?XEU/6\T_+6%W2$p?Sgt08XR
U"Qm=6aJ#=tAvnk_7zfT]0C_q)E=r><]E5Zevc2gVb&ahi7o<1j$9N07&4JlkWSCP
U"Yw_;J)oFhTu)<]TMZzM:oU>mZ%b0#X,:>VXQRf09Nqw\8QX3;E7=2*Z?AMpAU,A
U"Fj^t\S56p'%?5WH1Kr/?c*P4D*<(yJcOh)9yDA/ctMW^>#m3o<NTtMF8DpT,_Wn
U"=8%oR;.vb+b\EyVV$p_d=L/Af0Y?wW%0/;/*ZZ3c\B;kU#D-u8FRHfO<,7#4f3#
U"ECYw=lb3xA8%Ut&iFP?7;N$wmeLoCqg[omJr>Lb2C4&[WPDLAs.3I,7,sP#S9]E
U"/RANbTA\JikS0Ux]SIfbK*\JAlz/t5X[^j)hfa^jsdPY:3)KM:Y67Hu31g5BH1%
U"2usZU^Y2G^%J3G>A^H.$V.m/Yr1Y&ilD&^GaQ:DZ8Mf#05j:38E+SO^oF%enY-m
U";4MnV&G;?6[6:o?$']3kdPO?mI\GMtE^T3%?fCk.A=AUHy,U>B\UEO2bbnI-*.'
U"xPOwrP)+0W+XJ>uhhj8_oBfdbsL(l]+VWS.w=SY.nr#IW-*LJo]D=c]OG.;igRp
U"J(,TG^MHilM)2C(2p8-atbJ+8#qlNCb&HGpN./sA*FJbR+2[[+f6H$P(>WW7*r6
U"qlphHq)JAEFQIR4Ko<[Vx<mOE(q$g)foN^Bg+Me4dT\s#A9ES2&rnERrBS4AAVs
U"T0#._REx%8?q7.^8YUt/mzi7CfBv[;P#dY(9up.3?v.\AMo[.]^3AJKso&'2T8<
U"lh08q8\(c5w04Ht)2B5(M::uxM^>YV:-mO_x?gleBV_dJKf5g>16(W>eZ+b:fHR
U"*RJ&0;JXNTYso:?5,>G3/BC2Wms%h9<kD]]AzprR\N*YTo0wH7E_-,,DaEha_v4
U"?EFP?2gUSzwH1LJ8ohA]>8BNvBhaJ,EUMD79%ZqcE%Z9rrqr:-?POHHb-qat4T=
U"I5Q6E#[Kn5g(]=ZAIGTB7N<rh0Dpq_gMa3\zWhQb/x\4z.M3&Xskbd<h.&eMc?Z
U"KX=Gga=qN6MlZ,CQ;($[f=W$kgtWL.Jc[Pm?/TFs1YDme,c_eqHGL[2*/+bX7XI
U"Dt&Jm^s(GxfI3IID,Q?C5p3:E06cf\n&&hCfTM8?+u<f*QLf2E/0(^xpoSHyrQ>
U"g(1&,7aR=/]lX+<M&QMXn.4\(p9V0PW8Q-g8Z5Dd]iWHiHe)9<4TaWRFiTaej9p
U"083AxuJ5/*EHlX8iZVLtF/SkYeu^hGtuLnm<tX(u6$R]-rS.qq^PvaL1JYSn+Bq
U"K\zimjs7KW2H_MO;;.'mI%lbjEdN1zhZq*+Z=N3m=>B7;Bax0PAabWc3-bn*n3K
U"D>sic8:?MsAdqy8k6Vad27oS>[g$n2>u$X%g=,]6ES\X>u/A;0b$^JpXOUQrb<(
U"8RF-^80UIW&*1hRQ1d+.J5?)U4e9Uls#HUk8]$8.W+=Bf;9p_0mY]9A\?hGiLgJ
U"g=<qsH/mg<>x/5Dj/2]W+-DvBE&_r0MsHXQJ$t1G(CEWiWpuH]8nfIoYIcw;+&e
U"G.1/]_#**bF/WJ2+1d><)UZG42NxqU$ecGA.BM3#jmU/c(NCoc,pp8d_1.a*K_k
U"it6MyP-]lF/sLO;w.G'O$pTI$X5$m\IlclTw-_C^^53PqJ93/vJTzXdF8$X;IR#
U"6mjc1H01xtSm5^c*NkUPnngPH/9As^9_tWD]]spA3LPhPr^H<=)76_r^=m83=['
U"U/&[,$[O'.222OT-to'^v]#1,7a_AAO=1i<Q/;39$n3koyIg6&4MXH^9H$7BRR_
U"H68v0]]9HN^w>+,^B-<%9zZ]=RJCsFrF>Edx?xstS_,k(tvSV5>kOnPN$.60WeF
U"aHcm3A<_gp7Q#)KAcKLXwtRRMN,;[SJ%Vd6XP_IuIl5:uGRNgv_B(CT.-Lk9ZNt
U"LGJ$.Ib5k<4N9-hu8?bzu8gG4(2FKolsgtN8q\h+752CKM\Q9bD$D*PEmo>G$3y
U"2Z%wjraJZ9>41qZ*aY2lIdl>jO+^BA*.8u_bnTcWNn']rTMgM<odqw0IszsTna5
U"mqhHfNFmJe]Bjw9Bk+SBpf1Nvpa&,xoGn22pMD?YRr6v6<$e*Q*m9f5J([cqfZc
U".LM;Gu(7u0JXE6+/Lt2]ZBkJ$ouI?c[xpLb502(Sw7xYLxW)r8l0r]$6#aRj]4*
U"K-.TzN=46?*NY4/3V#$Tw,VlaYS[42riDy-C0Lk*bZF<(>TrdbmWRm$IjxX*+ag
U"Zd)Ht$d8ArJPKOxhL:6.)v&:msi/&2gvKmuMuX5S[c]+6*N?C]ilf-]vHH>6#4w
U"JxIGpAgEhG_n#1huh.PD0^+6%/Lchq2-Xi>/Ic)gjw.bT,l8YVIY9j>Rnr-\Tif
U"'%B;lUO]QfhvU*Ph\=V5IZ'IE?lK5u]-m'B6D_:/[S-fm(Ff2'hV('i=UN;(MG[
U"JT67ak#<.9kIoTRfd[N%n5oA_F?jJ9P#-fD#7LHrxBKi:Y>m8Rr)?(c3lzp0S-e
U"1rJ^FPRDN],q+Zxkaidcj0wp?gcVp_fPRUt#2L_b+HUJJI0uo7\5cN%O_i]_haT
U"#,2s17Fi\evTWZ-/L)6U7*%/41>>1nXL\rSV'EFsxb3b-It_[2-5jdKR<2lq1W(
U"d8#0]#ZbRt0fI0F$=MgJ78JY9o7KEK'ctfn;z00Ks7,3>qC4J7nTor]3q3:t;a,
U"Gj\j'APV9d\,KTsy0VI>RtX/+x6bN(<U$;Z_9=VS,$JNc-D%cY#KtgdB=E,Ka.T
U"w4[2nygBwPRig,9JV84>i8v&<s:vnfE*=2([uKu(KU/Wp.u768qehQAUJ&JF1bG
U"1(KrSiGg_hCY&eFrf'P^[L<Hr$Lb,WgBdQ*o?VD1:\hEf*0CO,jn+G#0PfnSzi3
U"xLIOq&HsJL^y.m\EtkdJg&\;l?kUmi(P#_DrsgHtEEr*b)kj[09^nX>&snQ\sfr
U"flo((K8xU/<&sbLP3i,48]+(4g0V^XWPN7GP'whLm>Ufi9iU8-k.QNSo0XfiM3M
U"GgoFC^-n>Bw[kwiGABTc9H>*wn5pf7wZbnwG%r(B(qMb&^Zr<Vi(r8i5rY$_vHt
U"Gm[i6itf4N%DGcFb8$(tm/kSkIfLvuf__sNF*rZ^E-DWHM'/./QT.0kdN>\l(2?
U"MHa6_;uxrwiutZVp5nvTER3LX6chCL.W<yjuZpfi^&fDd9oxUwcu8uwgup^e^ga
U">Mx96WxwVwl(MrtImRBu79i?^SZr3Zyq:bj#-[Qccj&\yB;G=46N\$\,TpuFC7r
U"6of:TtjvvH4Hd5bu5rsvc_P<Xll?jhsH8a/Qk8NkEHAA?30'78jT-%f?)wv0):L
U"_a))N>*l(GJN*;*hd<w<Ka#?+s'q3T/OtIjsi$tf/4lb69cFl(+\>-Z):\3D5=G
U"HrIjl&uDj3_quZt*r<JoJroi3iwdn87-38Px8zFaS9aP(tCY$Sil$.\]u:5?DMl
U"UH1tJRiDlNBjfLiv:G3^OoP]APP#<<k?d1J?;LIK_;>g&AYxj?P?OA$0hdbIlW5
U"(I#>[O(Jhp2)$k6szO.p1.XWHB_z5%w4>%#Yj(h7m&dODG*st7W6IdZw?&b&241
U"?LfhzBkTt^Nl>GbC4.PDq]?lahd]oEu(^Sj_zknojx2%DrP#l%40FxJji0Hmr+%
U"ss]^mH&e(twE1QuFv^e]*V1sbQ[gcEjY'&h6+e5,C.(wff0'QkR:UmVQWLul^&D
U"lwf$H0OY<t)xsP?]d]TS6w&<O,\sN$wiakt%BIlP0TS+.lI7Ji;TEuKUt5-s5n?
U"7Mni<[llEYepVYfsTQy0$gDj#9[v\Kb,D\wwHS:Ygo.qfkM+'W:8,:5I:SkeM1s
U".g&*[qykH2uD3Y?%tz9HEwTubwC8Gqt#514DN>LvNR$;$DwT2Msg[[:)b,r$B_\
U"R:C>w#Q\viL'xCY_Thl#FGesxgiPRji;cHY&;U12-%R1hWB/Bedj3L.j6Z?12vG
U"]h/HI>EV]P=>)xngf$3\)7HB6OYl$JZs_Ew1/>LG\I6b6AgfXO/5R3YE%MvRB^3
U"IumPO\+1$<ih*e&')9F8/6O=fiJri7vq)>SU0)ti$>3uY.ksM0:C.x%-E[i[C,G
U"m&>laD[S.>TVS\Jl2OfmWV[C2m^S3)RsT4_F#t*_Y]Id>ot&U[X6H<VMb2IYW<p
U"[w=)U\v(VU&F=Jv*(KVbdOz)Gsif(xv3rM-TW%s2L5ca>IWdIG>t<$O4e3m+k[,
U"(>LK)(;eD1/ht]P)Y']RON:GRd.NTn+o=WH=yuT2agD2pHp=VI0=MX-$:o6poj/
U"+>XQhbZ9$U*M',6HK%N538QdW$Hu&Gt<*Jo*<h\$qN<5S_U1JoS,AY(DH)IVn?3
U"c%q\Hq=#BhiUXWq<B40mmI3./#sRijp,becOrl,$0JkXDw/AA,##&]cb1#W,qGD
U"Mt0Gb#49]$lU)i<&9^7Ydrsxq$J'7Qn+xs4DtcYpol$:wvqV'5F0pERoQMfU'Zg
U"5b8ZUdq.8oyss[18?P7Iy88$CNE<&4q5+Ku>uA4j-Gh$Qi>mE2/PKPb,SF4Tmoy
U"pM&:#N97HCcuf0m?6WSnZp/$G$MkvAWbAfSuoCRIEJaQ.#$JI,g2aqwGUK%.4-J
U"S:ll:X55+6zSP>8\yL?/N^:UxDxiq4faKPx<.Ped?>NHYs$CRk*feAf8s/.xStM
U"[)jF^tAkCgP8fotD=a/C.5L5DCX=\=iA1GINpqje(tX/-RRGke[EA1FNBPxQs:3
U"pX-/>g846jS^JcGLAX/Ef\5qj\FW;24Oe[5$*D<BoGAISWuA_=-(x3TVo:z_j?G
U":pC'qd9a:J7cIA5XF#ENW6-(99j=r?AP5e]Lz252+qmFxW:vD\EwxjyT<;<-h;9
U"V2=Pcqf]4.p=&3_nIh9^=-<j-=58\d%YMjBB>JIG]g$NPSLH^]7A><V%i0c^ksH
U"%EF/jBTR]PH4ET;c8tY59B/ai^,H_$L</Q5B,T*:5Yq6XEu/mi\x)1-3kM27H=P
U"74:KBt.R#DT?bme_;An[]bfRox,+jJOPn0V3=-NL)872\>ztIm9X,JfNwZje\qP
U"%\c:04?IpIt?,N$WgR)ckP02ofpt38pVxM=u#iavS?OH1FeOIG::lN+ZNwC[cEb
U"T0_o%DHX^Wfm4BB0-Tpm1a]o3]W*RS])NK)O?GB.A7z3ZIJZe'XY_Y^%PGl^w7.
U"-(OFJF$1WviGE6eOVStt]k?10MDfs86^,J#TLVESA)5wg8;_lEB)Dh[(^]h$\do
U"zt%gHJOe*OzR[r[l[tB^SjfDX[>$A4#RFgoQ*lIl_/jl+tKa3R4;EnKCl8N]j]b
U"dOwgBUh]vbMm*hn.7Dk=2Cl^5)cgb-^XppU^3Dd,VbJGoM:T.3*6S<Ob:m6Uo+4
U"m*0Y<#rZJ2FIZgE5lXTPS2vm&YU6*L*RfNN?$c/o+uKwfG>vMk9A<gt3K_Xf]5R
U"1UbVfXHfZ>m[=;v5eRD?)H<&/uwja#r6.J?b3lmU9_o5r[T7e8'hK+V56E[dHun
U".)'fdFhYX=2jRD-'HH52tLrUI[/mbJU=fW?kJb$%KJfWqMldG03uAAHIyxleAEW
U")WQHMlsYYK:n>hP-O:s<jd3S=SFCFTYp=M0MYZ;<JN%/O2I^#>YJ5':Yg=L/MSK
U"GD9X9,9A.d0DgE'Z$2jcKF>xp<D(Y2yk*(4?,h>%hKRS>&Moc[V-hd>arJcVpIO
U"nA;(6OTvbNxsCd8oj8vV.R-i_N]sihCXWJJ[md\^r_73IEAZ\5_k^QjH=xoV/Z,
U"KiGL0'M6cB=5JtHFa0PV]c$]ph$Ht>T#,=IwHBu_]Zf+l$X^PZVE)'b0hp$:NFC
U">V%I=Z_(\RC/=g$\P?.U/[*0V;<3L+b)wHJ7m=Rv?1i^mJ;[xHWj5,SlVn*8a*A
U"D3::ZIjKLKI)DV$Vshvnrfj/j%<YWbxVN,*Y64kFc1,gu,8i.Ja]cjm9Gtp$V,G
U"zN$HJkq>%h8Lr_(k=PAW_e?o:zK&f6b1sTD7;b#a=<:TB5>#$1fLy1Tc\ilZrW4
U"7281gl%a>#;N5P*^\^LT'cs&RNVFZN7hGf+\6s5Cw-;)G)W*4NerCt+9:O&JO8H
U"QZ&(3jLr1#;tDD&*094z'7LLLHgGb0aR:gl6l;Y/ETd[;V+a'a7;;/Tl/?crgn&
U"(K5vqFO*+L4luz>H>d.>Y8et;.YkRcnC#<G8VkSNa7rcr?xataqxfC*?h,P=qLO
U"Za\yXC<iHLn&=vD=vUT<a($wlM6Kj;IjGw3yOT^*cs'YUPWk+q[6p(wL.N[*72^
U"WT*R#o>KE>Wi+53'LfA3awc(5:B?4/,wTQMG'G(Wb^44IS8De_;CP6DT]PZh5/4
U",O%VICWfT.8dMHBIa\K(Zq]6:&\Lt[[-S6(T[pn_]2t9/W(N>5e>VK%Z%9QvkkU
U"CIq_q94O:]G)[7?^1jA,%$cb4IUD_FN4VZ,Z;jMpQtY(*KU[c>K/h[)8cTH+ow[
U"OA/,=I%x>1tMYRLS0FOmA(x*x4]>$-Cl'&%a.+AYc]EUPk%]jDh[C1_n375<h:'
U"FC:]4+/+9Q=H&W-GXJw)eTBY7=0JdSA_:_'>&T:R&?dF=?d1V()3kl%7W+W/9+A
U"XQ[2s.:vBj4rSpNp=qI(fgHTH,[<g%VQO0Z=wldlF]:C#8Hdr2qCN4<Juc;K]b.
U")h]rp$g-bFAuKZq2JmPZ;N5Tew+-[R>JNmmGWAWC9hg3YNeHQ63,E%uIth?5BDW
U"PRQN['jtVT-$k<HwcCNOABW6l7T^NHH/^jP#A&:u-$c&;:nF%UXt.sm/ih'uI8#
U"MrzM]2LtK-u2*^XH+iEn^s;r=[)uhA1Z4bsM^Sq0UgFIN(T'rvRoG)u=8>M=YLe
U"lR=^H/I&&>Rm*EI1<uYFpp)qo=15ks3^LA5C.TQaIoMrPmf0j.2;ASr#B)qA^g6
U"%Xu]8TxE%8aD'VIdQvOLvCAh-W\d-.i5$+h?Ac#FqVH9IeV-1(E$JkOBi>SMLCH
U")jON]w#\-B&ljn#n08)lo>(5wT%f,8BsVAu8d)BIt'XG^IF]xRAUh1l.%HZIY'x
U"OW=.L%CMk$sbSlAhfoff'nILM.p+j$wPsKD[L56V:6Q0?o5QWgqtJ[9OoI-3Wh)
U"R1(pM.-SZ?K-:fTBa/,N7p]&^\WHnF;^N+H[kk,g:nSRL:QZnYsedXUDhS&zNE&
U"B;JKWo<om+T1Q>_:\HEP?dmZw_d<)#N*cLa#&oD4b'u4EPUXMXg[^1[7ad=KCs+
U"=Ou:o_eZuLRK+Jc-P\JIeXf3_+GU-fO3q:)uZ$4\MbLmq0776E-Pq[C3'pydehX
U".233q&504'f)EI,r%OcyR$Ow-c7_y^cB<*8O/5[e$Zl)a:gy4?f,b:Ho2)$xJjS
U"#x[rTUe0GOE*7qi>ZKJJ%:QLkrH8,C4UCO>?*99g/(HV+)SbIdU-'S'F<Q8*4fz
U"SfhhB1m,C[31GOHTSzb]0vbDp_S#AM;$U-'f1A[jOD=KU&s,uTW]Z5vh?72MU?)
U"BGf;i#xBQIc<=Q[6>IWs2j#Rb7[nRs8NE69#D-AwZNjse;3XK;Q6U1A=f.(2<]+
U"\uj8a^P,2eKc<G-AK?(kb[^Di3I1+f)b=I+h6vO;0s1$W4oIL_K%ZM7XOTg&^So
U"J11;t'k:]a$><JQiIg-v/Ib6Uai=t%;LY=IdY8N85AmGP;/vl4$>XP1;nUGE82B
U"picSqsD32SaqHMoYC\[?mRnJw')NfCLP%S^[VW*V]\P>E68L5YJ/5-*a.dQxB1P
U"Ry1cOaEmNO:Eo<+#_%N+2kwYW*fN340VUPQefJ9.HsW_c)MQ=f,hTRD(azIj=R(
U"n/M>Mv%f9I2J:u\3kFn\VCHnb:3oc>AGJw]xKPi?r:)+[HY+Y.2O)y8GJZP><K=
U"?sPq+WD'B(BXW%2D7^#VX_g97J4ROGT>Oc07=r&frVHD6]u<2d6aLud7Hr>SOV0
U"5sC?6u6./L;BIp-hIT0&BgMAUplp+CXJsSQ5>'b;TM)^1lM,/kNUygii)em+cix
U"nR1k,[YkJZQwRR\4=fuB\o-k$8)Nm<fs[BDR?<_XVL.)'NErEQ6NZi'.CsrfZGA
U"MsWHI8RjL-FANBW.Mete$X6&OU_p;;L^kYK.BD1H2Y\vleK5(T:R,B2;FO8K+AE
U"ssFa>Y3n](AxL,A1_ti^1J#.Vk]b7r&6M'tb=9eNs.]8nd4D.kcYbkFDvD3rWb;
U"X,b.dPmi/eGFmv4$%owSrC&G7Q&[<3$]D#FMls7H:d39kENRG*rgmdE*;1bni<J
U"r\gag[_+8u?>1_je]B$eRDVF3fCP+PX\=:b(%;0&lmtr5qZ*6?8aX#Hr;h)_j/%
U";3:1PtV,^zi%:P0>AKBj(^%\;ro+Omvo,GQLM#^7(f#gtC<o5PB*NJyJWpq*mHx
U":NYAXR3I[g6w-Fg/b+'xXvew$)W;wOLtMGdMAiz8DAvcrIJR)$7OrdJ6>Uca6%*
U"mI$snIP;EwMLJJz%-V&*Qc9G8-rchQ20UInc$,AS'OSWsuX=7bN,H5Hnw^apU]%
U"Gf:<B&2w#^tEqZf]pwHamNBf$hxPn/6Y79e^Q;a3%YhbqxcYh-?Ek*XjFO/UaUH
U"&YL,.D[v#,FNc3Hficg;o%dRM_IW?<]2Q]4\Xj5(8O^d_kS1f+w>wuN&_q%SOV\
U"tC^&e$8&P.K*V78hWh<JtZXJz3L2$%&p>Z*J3s;vQ=0WXAhoATnVIPl8N,&zesT
U"&0-P--3mx6dPrC:3$TVs1zg)c,97QKmQsw%8>xiRKs>KJrv<d$pZgvGO57MJ6kl
U"d\)^Mw6oS(q3ZFB(?D8[1Grvc#(,09$8JvMc=;YI>7L:q3WqDJm&n<Y(WZL((o[
U"B9(<%VNIy,ToCaRDPk5KjC_k_k]ln2?$xh*Xj]1aj]kv0w&)<BhdL2*0T4xO9$-
U"?SW85,6>&*=t=RI4\2S:9tkL(2%5J[j(:Jykckp?ICBm\^)OVCz2esk;2HSWgIm
U"Q&UL=ZyN&mtr^]Z1XEYw4$beb:v*jM]X<5pCqxt>2maA&QE#)G5vhrSqCLTE3]]
U"dU8-Wqm(9l4h&'7sJD,dg:l)+tu$%^NhhoH3ik(y'>YL]2qM8+B#?8B*A-pG2iv
U"j74B+xe/LN79DX,5.%r>UdRA2W^[?b8EK?Lr\(L'vfV:N(ka%K\33_o^*6/S_$0
U"JPH][$S:ma/fT[0:n(T+AdJ/(W<1lnlSa3hunlO-opOA6Kw-:lZB?]rooPaNmtZ
U"m8=3ee-U5w61q0xM3K#Mz+R#**Zv4tJLZSU;jy.)&[uwI4*B.reN[_apAw;QXP^
U"90Noh=ZB<Z6By(N#[:.x^0G0/A>HVHzRidf9P]TrX+8-pps5>c.=BDP;pJOc0v:
END SUB
SUB V2
U"mL9*nre#>UJONbGd;*,Y2hHNt[TfG*j/hzF:_Cshi%mMJ0:-dkZHA5P%0QZzgSx
U"&\s&]m5'R?>k:DA^a4B^[6T]OrE?#u9$&/Cp.tF^o2Lai+ca4GX54p8m6ur.m+;
U"kGRBt]nMD6CwmMMTTrM;rqg]daGuidODWoZ^Kw-nd8Lbl:nZUh8-urslRw<h$01
U"[0E2KUt=i)S\73k\q[K88e&8L#d,^,(B^Z=&L3Agkab'C]1Ogo^H'j4'?+]1itd
U"X?$,Ir1&Ddz:pt**l1>O7r_YYing;;1MDX&i/TOW_;k>;nOP=zN47SFtnUGA&'B
U"#OzRa]$5=hl08F3d21:4p-/N$/Pzn'qzlgh)l<($f'N/.W$PNmR'$'#S/ZAqMCd
U"Oa'gS_,nGqPjrMI'P\PdU3G<%3y?\ld(NW%&<WDq-m_k;Q&k&'Z5)5l\PVfc:GF
U"r/GqP_%gVEN#?8Y<,&;:WDke3a4]Il3l=*qUsq^LcGj^^*cLEH(l;d8a=03lP$A
U"Ar3I;*B1cT$InT.l.p4P^akLo(:klt,0$y]gH/DPAg7/Htd?vEvJ%:/$Pl'.16O
U"Pvk+\PdeN0VM+>a-7M\:Ov12Noph>O09-.dvgl[dPjm/Pj4K&ruNvd2A:L0\j%B
U"3PEQy_W_Od+J1_]R<ZeWN_zR.*XuA^\4VHPH$.xhOxxS2Wm)(%c]t&3>FGmw2lN
U"sJpuYOus\1wn<&M%LMvcbh\xHf^Ion#L*tLK&/ZQ6q*(P7Q+RxS%1kv>NI9G/rq
U"+dU'QA*7Bgv7+<Q(3mk$EA2ZO3s?,0IpQ']M\J&5)^NsLp)\N?'jHZuwr1mB\d5
U"LKZB]^apSn2;slcZBIsv\2d^#Q1Gv[k5HrsI8QP'kbLwrF4O3p6h8X=rDCZL?PL
U"iumSSxJ4?\0Q=<^epPq&zTvT?,2:k)f*ViDyJ2q%]3PJ]xbMJrK,8G4eMu0f+$a
U"Fp&z2sY;4P:c8mq>,k3w[R.s\I]YMtb%KO#-uHnN8\7Fo='lCf$g5<cW#*fycH-
U"$RM9&JuaBG&FtN-;Hl(dXH<13Z:nle,3)]xoUD7\#,]Wlt'?WEJEDR>3A\LqY'8
U"epJaJ&P1[nS;r:C=4?RhQuz.0m-f>/(bOkI]s[?%Gk]RX6\ZV8-:6g]8d,'pqrF
U"t7-+M7F1Qw#HB'zY7MWW#mH8tM\EMdwk+xJcW(%whls\3OdOVh.a/fj.6$N#7]P
U"?V+PNN:Ae;fvKOT^)\opt*n$2#8eo&.oOKwCJ^>be&.0oCfo[V#/sBBs<#/%dP'
U"8cV)rA0rmnHjwN(nJ+^\,SEB0nh$'w:BcDLLnc^:5qd#gG+L$5Q+d8YWD>B]Ue\
U"k:)t+ccEZ/sW8AEKVMW,8dq&L-9Fsx3,/6V,L7JggisT:H6?p^,YhASa943W#ED
U"40LDZGbGrm?RBd+<2sc_uhw,F&7Ak86W5<ofpQh30By'MuZ:a%'?h\jTGH$0X]4
U"L1zPp=R%s)4MX)1O<uX)5_=-E#cwLNA^BY4j-^YzkcHM6KEFZ'NXLM(K#xg)]Op
U"k7T+c08wnC7>wR0WBG>2BCTU,)2Q3QkumpR&cQPexP&eO0aU5Z5#l<<1?T;p'tt
U"AvC2#[;0ThNja2kf\y%lO*6Ket&orlIX-h.Y?H#9Ca9?#VZ[GWlAI'uOsn2k9Zx
U"vQp6/vUdtj7]loYyR3>)Ukqz2KvNi8I=stxWUnmK_o?]r2bU:B4J89tx<LxJii6
U"SLvx;jiR?%;]ar<H;&KZSwFxabVb.tvJMwhK=.Y$UmJ_Qo%cg-TfD/:qrQfdoD_
U"_IA?ADTWX6r/5X>G<li8Qnf7o3KKG9^QR+d7&Rdh8TeQ6VG5cVmaZSrGJ]p*6K4
U"O]E1wQE(Q(*[MG*4=[LY3gU\^Y_<,9fstf<XdOFZ??]qv\'s5)$QdOY#R$Mp$8x
U"1jrlOJOHrv8psO-=R&NZm?H&TOV#KWlHSo(2L=C],G\g##3c=)b:9#n?(ix&+D/
U"Pt3266'^CCjPOPfBv=b7MuYs-jWPRZN,q+7_$'?uXkX2wM7PB13w1F]&bSR4;$4
U"\aCLSpZ'_g5rNNmh1Ej%m8s*QsON^Qx-j,q]=XIgc.E33u>3u>zJfo4It&-ptfi
U"Y*lwX[c-:5<F[-vr9XCm_k.iPJNPwyV5U8^lfd>rp2UUv$_\9Aj;FuO#A[,HSV%
U"eIi*Monb-E::D*18=hD<7?2a2V'usDZBI#c=\iW%u:#K[Ypc,7\kX,ViO7jC'(f
U"0CA8<bLFA/--w%>BMjK80+'Vk^:dY3auJWRA[Ko7e8RBMHfm6'%z'#3/_tOqU<V
U"%WpFxxXt9$S(TSP&oQ6M-:HxJ?k7/shZix2Ku/S%:7_/v\MMw[W-dg>,r0%5H6.
U"YmWQSIC)dMc(7L<c7&tsKxLO&ID_,]uT8xt9\Z5GC3*z)iUz$^J'o5*Im\Zj_]:
U"_A\^[Id?_;-ISWJSDN06IU2&=JJKgbOB^\,L<&DREa;bo3Wq.?Ps[gmq-X<+nix
U"ov.g_r%PlISr?V6<Q<KUuR$q5[S?FL&X7,\4Aw'4Xg/[_M43,a'v4IDxkXG5mdD
U"Xueb&pQLgm]T(3&?P9\$SI?+_Ps2eu6r1UY]doQa[Kr8sRshvx>hht?PqT7iPir
U"#sk\s<Fuem.gQY65+#4^>up[=m.Z?1(,_[?jb[oQ_vnp[](B4kD4ocetM$a92,4
U"j.1YN%tvX(#D2t[4??q\)<$-AWdKUZ1c3anX;'7>ZG.[gI?lO#,7y]->Y'*>mx2
U"ms*^xY>6Iu26dH2)1wN[:;gmt:rY#.]aE)L/)2V#O;60(=f-Vhi]Vt,,\+/bo8K
U"P=MaGD4ftx<KVo?2U=.,<OO2^r3KM.1\bn]#sW.qyEn?7JZ(QT9gQm(a#4X:wKe
U"N$18\'=TCQAB=i3<:+*NNwy;;F9QX[T_<N1f_UguYX8i#t7rOE*7,g,=HXj_BEo
U"4*6_<iFXDAk6HopMqj?*oudf.6YHT5TjV<B0+7Qh<rD$S#1Fhw[DO=\><^:O+<N
U"1*Tb$IAa34GbJ9txp(v&edV#ayP<(n0xE?<xSL*r(%Q6H$ULNJD^uVL<QTTIF>_
U"8mWQ7[iFp<rQZK*V;Z[5TQRX*Hj4En(#B2i$aCs:_t]^W'T*Aa+3vYF3OXrjz-j
U"p),Lvoi:94Q-NXw8FQ#z9-U,7Jb-StiYd\Z+pdFt3kl&V4=GmJBnwlwW[8bF5:_
U"LM_zN)=$(D[8.I^#1aVV_miho2WhqI.NG'7ojyALdz1,84mbU,F1W81UT>%%E-Q
U"AeMSS=KP>?K&D#'IE[ukea)2##3hQkKBE:3CT&eQHeU^R'T+aN)l1wg/P(0Q:88
U"h)11n&PX,Ju0\/Mr<Uk[.;YoO)L6<:<e/P&A.U>A5j5HbNwO.OUiuRe=^GxHnfR
U"r*k?W3RTXZ.dX9XAMXl__+-O;)\:RNwea(k1Gm$X^UK_qei3o([\kR^)g^2]9t;
U"CuIH[1_gt(hYEWkf=W7%'EA<*??/9]8?iZ<^=$\mxoKPnRG>K<Mb2nNTU%<)j[g
U"7Q4,])#+_EbdUsQFAZmqQopa3M$/1mA^yZ;4K']'6>j7Q#1leNi._Aw^<V>S+xD
U"&VtxJ&KfE3ud%EEnl#GAkF_f]h=Zgh&KCk(OcVoqcPE*'(Bl%aUDSl:Nq:<VsDT
U"dv%j+eJaBb'[r(8Yi<>-3\bhWKLQ6=OtYq/=eYL/qexx$ocx#]ToS_YieOEQrl;
U"OkfhTNiS.H55Z2(sOa%BcsMa>*bh*aBu,/80AENHW^w_CeJO/HS_;u&JZ('QI?o
U"MpuC(WE'+Vab+l:G;Db0L5<%A)S?_WOf[Q+H%gQqgUGk*t/HXUtBi(G,M.jwsd[
U"d<v/75jK:oYij+as-?ET?UoGUJ[:,MMN^eyso[;TESg93[owP'oi+9?^nujY7XO
U"IJesly'>dU?UG%P6&0gg0L:K(]Y.*gjP.*nzvSL6s0\*#OQLeDycY?\^$&/*L&]
U"P+';:J3l;;gK1&0_G/pN_AX*(LslnJ\k9QOnriXJ1VD442ak;N<l)zkOMgS5bDg
U"E]$S=?F*4O&B3wiz->RQb>N.)(e(vqCSn3gh>^0*W2U?[v4A1UZL1HBp.(&9PBC
U"DxHAI'$sX[,>Y71k],*KuE75fEAjDFY:oKvw_:sr)[EUArvq^zQ^QJgc72&4*Qy
U"gGfaI_<eP'Y_:7D1b.+jG*gKp4*A=>s1.v6rq5Ro,4r;K+T:jMjk3bI&\Wr7&(x
U"P'B-AP_,%LVSD/$gg*lKQ&YUcb1QfK1cDDas__lQFQYW3Li[jpk/:^tR6a\$Y/:
U"4'^#(S<Z(JLsrT/*H%:A/x$Y3^oThm4nTE/d/a0E^e8uGAYi1Su(1BG/*[g#02e
U"Pj3GUOlE;E5*9*R[2a8s&%$Sq6S<w/XL*k'<>iAl8<S<?e\'8ocaVU:PjhAO28p
U"R&8py%)-D+Jj(/5&Pe\z*FF-PE6.>tuB*O;6/^C;9:\c[[M\NIZF(&chz<tJgjh
U"lE^sli?%[3T+E[\#w+T$cT>'#)eE>C.Jm&SXn6BoWw*#jtomghMpibeU/T%XS<K
U"=d4F<3'^KA)_.vTW$4vQF9%E7XefcUncfU.MC#I(v.C+TyWH]wC).0;(lLP8\$Q
U"q+O1XDgf/n<^9_JB[dp#=vI\=q>=mU#4YW_K+P=j1bTE12_bNdQDVOmnY*e-(n[
U"HIG;;w=*^n_dCLVx+$n;Ai(JkA?HjMV&fwmv_\qUt2EWx1nb2>wR]3,=0PYL&;j
U"IgQU^8;?)Cv=.+g/OG1#Xt/Uu0C=_?hrct2bFefr++Hm<;#Ci<k_BI_i2Q0pej.
U":zX^a\'#YP1GJcHJMNa+g.U\/Jj0kAL95cz.Y+1dVGYpaeArcn7q>#&:NN*1ID;
U"mbM)[]F/:tr9'Zr5ws.%v6%04Rt&peY-9OP+,J74Yy4z?rSi)?[UUO7hrW^$?gE
U"8',$8e#X1s21Y&e?F13pfK9;MvL[/B<=jAg&0\d]=TN94+mz*-aPHY(qDF;K0=$
U"GjHa0aN#Hyy'WY3S49WR;-^cu?+S_^4>23?47o8?Xjc.+)KgbJURpIC_qtkwIYR
U"rSLHH;9U'2aoA4*_p7XEJ]?TgV&YKE;;,#q8J1q8xI$#;_y%1SOwWXJgf1eX-bb
U"6Wk<wK[/S'FZ/Pa8YFiY)PMEw8^<-_AS7j_+&O=jh9Q6B#fv:xTCPX*VIp)a^Q&
U"IYBHu0VJsTB766&fA7B/RwY(U:YIvfW?Dp%K58GxM=Dj0oF6YrHW%VulJ-b#''?
U"u>#Z[C]vB\/]>oVk/%2VoPU-5#p$X9/g5F1eu1Id=*BWcs1Nt\qW=3Yqop_Il&i
U"Igg[R=\9nm)JV?eQ-<=6>3>TY1Rq[tJ65hIom,PC;/Fy8cl]gI2JqrFQ$_pM9?o
U"xHwqW*v\KNUg2#.(do+8&Y+JRNi&M'#ZG[Pzx)n*SopAEU-;uPngB0]5AHaRSEb
U"80eLI2Sx>*p0U/Q?$>_BIexkz].iAX[(OjTG#QR(U.At[5'22J8l885\sj^xFXh
U"Bpaf#L-TC5/WL\vTqL/g1,#OTOkLsqYk$i(O/Rv+[z2B.sW>#ju=mPvL8=qPn(J
U".xi4*g0Oc#FjP,YI>q6/^d.U\.>pkB)Io+g5>oLK8=[IF2Klf8l[CfN;$PtEL?v
U"yolNfM?kAZr;v:m.UMn?en+v)%$%GPG3#C-pcCe8.Rn6>g0<GeN%vizv['V0t)J
U"%e#,wnecdLPy1dF\KpO;e_El>RBtHGwC=paet]/+Ih8i2ow5.'WPqaLB..>&>L?
U"0TS]BDUshr'qtaxG(-vsVH2J>k%qS8;=Po$0bd_$;9zTU#rW;ZexuE;^(FC+P*f
U"t\TgASr3fG^9ql#1=2H/*RSwG:N%p$MqPN70yke*y98nBDc/Phk#c%S,dPXrKJG
U"Ytw)DWWzcb2mMoc;?.s6ppMDdw65ZC>Z0MASyYe\Mxg)8#hdv\H6UgV'm_8IxeE
U"r1h\+sOQ-;V(1-KaO#^1x0ql3=P_Ip\ON65AYfV*ianDJ//;62SJeB-zUdGw,QC
U"($c:9xPI6<x]Og#zL#ZN]Smj-L;IuhW=QUS;Es+:?a3QdWuP*hiAVFe#rk)brH6
U"K>oV;UN5?e9o(SFMeRM*#p/Q-9MZsRMrWgYI;ykF&rjbXPw>tyIypT]4uj;<:X1
U"65+LNe99(Tf8/0EZ#:98\uFHb6&*#\,_1d$zZs9W[xP^6><ms#TStkH'kYNQFs9
U"T]:)A?A$CJvt0j3QCK$K7IEy(Pv)-&r)IQj.T3WGhXcI<O)tGAP8LL[SxX\-pf8
U"ePJ(L.)J,DrnUV/I95*:v1Zz5<e_Rq9NT_Wa_?M)j;elO6DeHWtLy=e4DaC?uCG
U"'1LUBTwD_PxEfsfSZ/7WWU=eXNMOJGA4rB=B#[pXi07:n[Ep.Uax^lBt.##zCJJ
U"-u$=0WX;1y_\GPPMFPrbW'1gL?Nl<YTokA*hP4L'?ZuNlnZk;7U6e=U]N2]Zq4H
U"Bp][5GuF]jlR]en=mDoa,;RHo5$']]5u+D\2683To;D,(G(#oC'*F5-3vntzS;H
U"S2[NJmj26+JUVd3Nz5HL=z-=N11z29f(?WR7uCARI4TWBmWPER+XL0WtKxG6pEA
U"egD9LeJz7224vX0l&t)2[#r>FoD3;*z$>MSQ:YuD0?OBg&859L5#T/=XV\#J]&1
U"H%Y,U't3jUG+;)pm6ha:EVK(H'Dt'n0A/&*ImNIx)q5aM2qVCe;Dq3#(r-b=&-*
U"uO1Z-<YO[IL98UZi9glO?BR>&qXK-W81g9?_:4ajHr3Xu4)/;_\qHVodI6<m<q,
U"t9KZBlr4bP32]gz9,3=oXA;x-cLmN4'+E5c2o4tY=&I:7r/<iT-/A?B7_KRJlQM
U"BtQQ+*OCS+T:N-82:f+X0q>=XF:tiZXX?[&<[nWrfa<Z^QYxNZs259WQIYi+#lK
U"$'+Y+(9UA)'+W,sedfTJO=f4gG4p*dS&xuZPA:?YDZFf&(b]h+*==JrAe,l(RNZ
U"G$qan;2f43EQ67WQ2gtzQ*W$Q6m,?2Fcs:qd&b];<;GZVRrxn9bZbe2&%4alIbZ
U"EtI'W?>FL%W<&&.#CGg^$lBnaFKv/P3(X1O0_[^9j=FBb\SwG,e(MQ7,*LKNlK)
U"X_Q;J,3)4x-c#u;UFdWL*2)a/DutF-x/qv8>QJoRbtMRr0,h/=4A&Y)Z2%;DR/G
U"87U,%h<(ypqaKkTjWK4DQ49t=n9rM7dRJQ9<7DkYVZL\_p65%0S0b$8eY,O8tmu
U"SGt%b6'tuW_.=3sInea[Q[tK6,7B0/LQok2?-KU&hWSrIU.,5_D^u8V_(]gqk0w
U"?Q9ZkKAQm8_xl)bTd<G%DV.Hq)\b.j3MDt?VVG8j\fxi5;TICXHW8$2IN%KQW<d
U"<^tgYd:>,MqRS5-1HEzV94;xAekekp4XjWd4253-I$,._;EV'I35LG_dr%^Vh.3
U"08tT<>Up,CHI^e+fRhlOY_68OL\?oY=ZVbZMoWUcj:dLBbbey:xwG:ZlLs\J*C#
U"Dt+MRYnj=Fr$J(HXa,]QvpD1:&rqo1tMwxrQ(4Ep$/TqH7wnfeqf$E>Fpk'r0.[
U"t$S1QOWwVoR*2]^<^#mKW$KZa#kK^h&*E*6mPvO4Y=HYJ#_hgP9iG1]00<^W64_
U"G+Wg<\/c8mF(#HOGgBF.2iC7HM;E&pA['.nh[knK?YG?IEM^Xz]V23G:Eaf#>J2
U"[Tt-4D[('V+fi(o:w3Y/pR/]h)&./?L$24HKbs*a1mn4BXa#pWBnL66=iD6E:W%
U"]_l5,=)8c8>[UeUe?,Eo'V<lhZ6HsH[?:VE]jo-RY<P<x[.kMOa2cPh,e*[d+9/
U"h]2(Ap_KtG[pGHhTh\A<Dy.)5v<XqdA)k^CmGiy--9$Jo/_hG2YA9S4Tby)r7$.
U"ENRoXDR<gCVAo=x_14-g((d5dmK=M%,G-S<2Lq'0pTK+xgEfZbQ1eE<6(oK?,*)
U"=Nh5KZ[]8j>TT[YBu-m4>fPEDh#vU1[iON:$?PeX4sw'=+OJ#bDs12<[sbUio-3
U"(C4nMHj>WS$FVRcoe:6l]FEm9)1cRwHtFc9*S7sRr>zK,(74L5\B$3vEkyElGkX
U"j45V,llJx\9^gihK&aS/6V>,ON%YG\wc$NEO<Y-#)PSKF$WX^^I$nO%/KG7'**&
U"[1,302%_S/5%PxJaWwRAK(\(EZO%6rG^b<-<vS[_C2?;ueU%FUZD\'a[S+W+26O
U"3BR;IgO]$am<KUHVmxkUAgRu*xq]Ko3LaJ)H[PUz1gqC84cGRuUu*&Stgj>]rZF
U"ks#tj>'\crj\OEJ([Fe=D)=b1pin_tg.=b[Ywd1vsO^cCgvZYJE<s<)t=2&'9cI
U"WoM2v9,Db'F7n1=^-mx<;C^u$S/EKS][(tgaXsQl';?9jBZne0AT1rCksZah(G/
U"(?/k.0/bB_kip?13%R-16g]QK^c>#TpPk9;eh(9G8Q4l<,NsUL=Y.Ju'GFF:8Rn
U"?oS%aV5Um4Ze\0#G>6S3:wbQFXiu%HAg_XfvFVDGa*+E161+A7JZjFXct%P)(#h
U"lY0_<G4qM)jE;ZaSUXGP-#5cA0D%(=1D%(A2D%(=3S%N=&#zC:/CzHqS+z^VFJ%
U"zE/=]v-EI^7?Xm5Cq_#jLKHDVnIIi6efU'Ix.[a0Ki>1C</dSXw=Fao9Ot%X?7v
U"$wfhh0ZlD'>8bA2BBTN&A/5w6LI;bOh)'/;E7cU9=B\V#Ort.Z0iK*/3r8(YPP8
U";Hd.[Lj^,7^BW=C<I%O.&KZkL*<LyC?YU2Fe2)jBYWJk]E6%fK=vI9b]yL<vHNB
U"vsYYu[5,w_C0MClW;.03$MDb'jsP?niKXMK^gq&\^I?=06vPE\(Ovvep;85h+/M
U"Y/-dgKq.<uUXf[*El0UK,][2se.vq;WPThdQ'q3]ikVOm\kc;c[/=6N[uCT8RNA
U"\Tt6f<Q:HRXjq+IUo.$a/vWipa/=+a3DvY7*?$1GHaB=KoKR03wGcO0GcNENS?>
U"7kpVqrvS^:m]mu=pmgSamh8ZAa/SJf)EflEs0\Xt$68o:IhaN',a*tf*FmpNHn#
U"8S<dXjo^$kACV+f=D1/F2me'tdQ^FtzQM9X0VQBDvlMS;fU1kOyXtne';LK7hlS
U"EqM(X5_gJdl\cTaV#;kt62Nhi#Ma]HPYQ\SLdFVlMMk^SR&#Ll1gGA$GoU_&m_4
U"dACs;U9l9HOksDEAI>Ww_BdJPI1M1cx2A87r/\'kyZ:Dch]YU=_3A,2?gmTtCpK
U"PrM+kmfLM#if4q6N?=&^6%OquNJLo-^8IE<m[GVpn]W#<&N6H.stmmObj#h#fw1
U"2l'-O/noImpjV+JZquq%6tnrNCs^sn3AMPnIJy-%]V:x$;uu3OA-C3.)/i.&*K9
U"&%No7WR4e8k^Tj2__^n[$45BUs[u+R[w^pL)MRg_=8c-_,q7Fic:m#0XW:Sn.qd
U"8sq;%Rp1n4IamP1y7j98<mV</#%Xz;3_.e1#5Hn:dP=19j:rim9S%pCRFzJ12hE
U"5?452gS#jB_uJm$_u[xjQ4?W1hQ%,v;&a=wJuaatpD'IWASgUfsF,wE$3Pkij^j
U"0u,hYSJL%y:JkO_j&'_-7ie:p+ajh6Jr<cE*b]tm*7CR/9-h.4p+=On)Gih5,07
U"4\P^3=V.=0]s:n](inlAQNEj]?K\eeA4Y7k#X5ZOZv>*nFuOJ.5*7;i.B.jkVgj
U"7e53-W_n18RG*,6:H<19'eLrdw0E=^KaLa8]5rB4cKl3ksV2Y=sG9pPK<AA\]zO
U"+SP;5;&H:,f0.*pYj\IJ;S)ppWg(rmO/uxWYN=Ir&*NJ(lk9?WoZ/>aNwdB^YzB
U"LMrhSIm?Q.=t)JSZBnMmU(0QcpN4aea[deAlo4]1AhhR9o2&aoLgiEvQVCs#A&_
U"\%lT*QisX_eI44O/f_0th6JiCY:WNC#c)P(JzltBPQq_vTP)XMev$Bg.7QD8n-b
U"r0bm6D]XX2%sM]5qkGhQ9hjP%>JFH__*cbZfn[LRHp[v_WJ07+$&%R\:w,5/4o/
U"U]&Oj^Ek5h(wo>l=qFpk,ilGcqq.B)g&Djc;+S&SWoTFK>uAa6l?P4^_A9%=eOR
U"A<_U4x][x]=wdtc,4Mgflr5')/G2MU5C[5gK*k635,ZBN2,.u7FEbtp)/f\k?LN
U"IVcXA#O3v&+V/K$L_D:bWPnog\fcu2Z5%5,E*dwCaL6gvhF$0z5k#SrcEk2JqOM
U"^xT\]bbhXLD4t3VF[a)5UCvoWs;kQK*-Fr$]M20jQu^^sxeK7=rkdWVLk%F_Cr\
U"+JVN#ENgw[VR-9$\wR=W#Ec_EPd_R5KX(N_?/[dN?r3MNp1Ksdi0G[,4i==CB>w
U"=]LMh]_%>(pZ6Xv=\Q7.4+,**8&4ep9[1Or#eMT3o7O0Txb6-?(,SQ.-qCgXi.n
U"l*,ka(gDJdbnbf(laCWJ'5)2sLwbLslE5dI/]R\4>PZ\-6on[.utnwCHWDc_LOp
U"_3GF+-gSH'*-V(D<I\\>W_FK=GQ/^x$im'L0Z2ZPKD/(\()-qAiXBC?X(nxDtD1
U"nqN$AXWBHjjYsVO$r8uL#$BW\Ff('t%mPeGp[&/=DboMO6'$?uHXbDN=j6oLSqc
U"Svb#Bulnk=CD85ZrPVF5hD<Nqe-uc^2t<E#d9Wc>nZ%lKi=^VWjI*ZS)TPQVdCt
U"+?L&ZNM['F9[^?APR)HrZk0k=giL8P\'h-Q7'l,*P/7DHXGbCrE#^fd(8YY9Jk)
U"G-G>WURX,A1opzq7)0b.WpLkFWS3c=kX8J5H;1s\WRUddN*H>K7Ho9E/Q0.BVu[
U"iueiw(g[+l;RSNxDI7,)\iZ39Vjpio[P/w%)n-_Z23'7zcs*fnv:S4ikeOrf\Ch
U"mGlf:$t.'&QT>35TdI8VXYJ=[YgBu$hktQA_Ul-l=-qP$TfQjF(3VRXAfj1T++S
U"N#<BI,KKcbN8)'-bzvJf202>8Ag22r4$D\'jNbqMj;[q9gK$q0V_>$UUoHRa:ad
U"dwQYqDURIKG^)ht%sH9Cz5FnMOGBG)9ygCnM6&uz2B[D<THkE$77?T7diCP(4ga
U"8^0I#8T-plYC:/3%2[*Bi**eAf_Yz1A;$qB4n?sgx7;SS#JJu*-1?F/VGK^2L,z
U"o4.6tg\S<o0DWLv[#B/:Tt'frb<Ip;uDd0Z1/9vnM9GfOy1z=m698gOQ4O1a=aN
U"G+uHaes4Ja$H2J$*\O#tIGnXsnU)/52e&J;%hKMu.kPF98-XHaE4i4r/M#VT4:1
U"2R#Z&]:stNR=,=-Sa,%((QreJGh?nd-=I0;X=QM191)rrjIwc1,'XDZT&9k+F[>
U"$IBR4PEF9\5WPQD^li,o:w5fn,:)[4Otf:UT%'0sX>ql2.&*b+bi/vJujdqm%5&
U"rP5Go_lsDOCup]*eR08O<?XK]w]'Y(2(EAD]_z:hz,*fQ6%Uo<dWbRq&jojdIoQ
U"M;.*tXaH)xa<IFvf.C]F$k-uJw2\f<cYv.QJbW9$sHD(<:HE51Hg(2=FYGhdykN
U"GjNetbyZ)U06c]IA8MdKeYeN3Fsy(gfB.GxiiU3*zmx2.lLyKF2xkNlu%AJ-ytR
U"25wlh;tEahD*x((40Nq4rt?xw^<<urA4\#yEg,lNF]OD]h3U[?%0U_/)fHaE?Vk
U"K^dP>;CDxwV-\)ceE:-HelD%m7\H097eJf1M_5LNYs%B6TGi#O7rQ95oV;R'9$>
U"Jeg8TKGR&l-2th>6HR:Uu#nDKB7oG+p7rJo0r[tsFBRYa</5:jqA]%LFz0X1dNr
U"$_w=_g&uT&,KOz#=Ca[0+%;^lORj$QGCd;mAc&nP](l#EWEIvE0$%p%Ojq]Zv-F
U"1\r7/ICvW-2C%J2/lp'5E[__)#6P75,l8.y)Q>Y*i>X^$UjTO'W[SI8GH3#aF&+
U"7WFV)=e5%P2hE0)id3L^I%KLa1,S7(O8/RTK?KcgXxM4a%ui'+F1CGNJ/\gKa)7
U")50=C3TE*iAKt.twa5e'ygka(M7I8r2'%)<dbO4?MAp?\bvCt=&l]5#^d//Xzm:
U"#V$g;v5Q=2bM3x24efmQUA62j$L5sP]rjN:Q,04,(JH#:X,\KHnCH[2lg4E1\6d
U"u.kEYxMfH\v:.asWI?cT^&9.AICBYF(*#ODx]cj'Ts;>e+h_K)/>1[ClngzWu*G
U"_owVZ(4ke4#b&6&0=mhO;Bo1e3\HD>e7B(;lCnF^kg<=?JJr*23?-gDB;]:&:r'
U"XtWP2<nlVF6Vt-P/G^vfN2PUc^\72YJ[(8;9X9X7dr8tZ[P4G(Ex^\W/cG+'<qQ
U"Zdr,-mr,(YEwY6Ib,QIl\v2VCdI2>pNE?'X97$;5M*dAK-=m(5eR?rb>3)S(\Zk
U"kL5-XF#fh<d#JkMJE92TdJLO'ux0Ai*H>64XnHXbXlePpG&6f6a\X9;kr7p,T<C
U"]/m&-8^Lf\$,kM%(j_'[nUw>JqfZMJgBrGtx[sWT=bzc%2[i0gv,>it\XW=s4j'
U"CQ[Ru$pAjVtn4SuXMAE'K4ODIxbjS3zFIXI6(cQq=JOIbUx7,de<m1,QG:3a_5]
U"Kh,x36BB$#%uG[^SPmpPQ7]myGKuST5WkWg%cDARQ_J8AIES#e*w#6wH)-Axi^t
U",L\>A%$Qq\1wtwWApagGe_t33=%kY2+v3)n7L[PnY'X-Y1HF>[:xQ/'oz-v1]Xp
U"-0_<lXplvoIyxD]+Y^EZG1K/]MLK(#h]1-2z2_rhqTe3N'nu[q18Z:OIaHH(nkw
U"^0L&.7SI%xmclc;Qt<x>l\;eam6v>mh]oB6/IJsu2-cK\/f>]h')KrD0r'e2VT^
U"'#LfhRr^(WEcx>EE9#1,rO&,25^P^,2xk+&?Zu'E+afQSLHCi??N^^sG3PMtD74
END SUB
SUB V3
U"Zx/G,Pke>C$Hf/S?,b[CTq^Q+]Xr?\O%6jx.D'r1'_IwS\;u/>:mh2\<MDGUgJ.
U"9]aA#X8<53,U;ffOJ$iH3)T48oL*=9a;+v4T^\L+t4RoA^V5_(d*f7+QJe^F.$i
U"*w\>%]4_bRI&U/ILxQQ2bT/wVW(DzdQT8G%6k-#>8*qf9KK>g(xE<r.;h90Cn/>
U"AbMYhqo-KXT6fFcU.CMmr?95$70j*&Y*JOq8BU%33i[XjW*ZbF6_PX&#M]#C'4Y
U"CvD416=<jVcL,,K7(w5ea'Y#1qtC%kjtZ=L1LJ?gdVpKG)-;g[_)R=3k6#RSEJ<
U",SRGsNuwjsS-4:<4StlKEw/_Q%TV?vhelR.UbmbB4GTP(?x+J*e24a$[--HO?N6
U"5Ia7QaA+W)YnoFE4_QA4\1[3)8(61^+z=HurFB>CFcSZ>%XCiee1ff%00a$V$ED
U"R$5a\BmE#d*ogo<'_WnW,/<J:;I%OT+0Ezm5K:=6hLj5=oof0BcrA\JjolEYEoN
U"-rt/p-n\tGX.>GXyq<B&7Q*o9,TN?F\Y&MgH5cN:Bif-xluv\<OYhCxl<o=tri.
U"EC5^kttvW%CrC,d-e=&^stTXsGJTcXNfdlpVRXazd%rLtfoxkMRNlW?L-ndbO6H
U"lwEmMY:.N+#FN-;.l_W?Q-=6R)^>gebAa)QdVhYU1#\S'/XWM)_D:7bSo,9qW;h
U"]%i'3lRtvWwR$QGn1mPg[G1pJSJ4Fa=z?V:pcJOshcTe'oZg6JpLa4orjSJY?[/
U"Kkj>*f,)7a_%xIM.R*>^igm$h-^?PQ=Dtv=+F9OFDobP1cQ3-[g16>BIc;8%X=]
U"u==ibx/.ZyA99B-[-M3):Syz>Yt($QQG2)os0+'$lhgPg>6?WLUDm]B3QHXxv2(
U".xpA(4W9b(L^uIn.PEhzaWd/]:cYNMo/_S3bTNBF0I#J4AWl*.b6f$Yi\c,XXL\
U"d$ee*KS^^&Rtv;D5zAKR#c.gu1$ZuEWL^;diMo=IQ&E_L6aZl\BtnZNq&:&)%dx
U"]FqKep#E\#zlCv]#(k'AaJV\_d;e%I3'+no&;G2-2X\_o&fiB?aNqy9':IgPo5&
U"cI92[+:ZkZZrma/3_ufN5eDwLO%]1se.bII8]vV]:EJ4Lt%gF*deGA%m#xi1ISO
U"X'.u&=M(d>-lC3'Dj-Bhwilf0gOidWXYvRQm4oQZaX%lt4A'XTc_'-O(rNDvP)y
U"%zKs%V>J4t*j7CzNnHJa7+e,_G/.LLXefS3<7%Y:ncy_,]sWWA-B>mNoUq6S/yw
U"<K1dwi#9bje8?A<j9Q#Fl:83w0,xuZO]SY'iLg$lXM&IwU_28y6ESm<88uM$D<4
U"wy3,Y;IXjvO4fLyk$-3mPRuGG:JP-2D8ZP_Fj).%Z4;Eioz3bfaM0(Wb][4?N77
U"ojl<oGsdYb,$m6^^<D^oh#$;&Hn<s3&(z^X<G:Pt)u0iE;xdNi2yEO9G3Tls<Nf
U"OhhI&(]O.,C,^v:3t&mK.J7R]qFUi.pr'^I\]*Ds.-GHWj;64%7kWc6#tVff\'V
U"PJT%g=)9T7#n#*W?E^&OGGBF\nMKGQpSZ:QAw8u%WkK>Ym'suVdGM)]V%ron+h?
U"^=%yviNzDElWS.rL(PBR\Wq6#amjBF-MBSHmr1AvRoEux3Gslq^naGU_j[eOSx>
U"^*kW+^DYQU&)\mL7EToYAalIF9$HRZd0seRxlGJXy:EfRJwXSGimJwPDEb#Kc>'
U"Ewf#)LGWBh\Er4Bi5P+GmNP?U#,O$cB6BVfT4\eo<dIGhPfs#Sb98r6G'fcc:$\
U"m1KU<45$06cuWJ:8Wi6sl/y4R6oqJ81Of7CxiO*N?[z]0vUwN1)1RCH\ZogGU8-
U"d3xu^t%<6amLHut0*s3&h+imn9TNlUj(rmRPE:[/M11#kBgA:[lqVAUct:j$3nh
U"O7J)*'ZZGXSUo\x=tU.'hb%QHUZM7A+3849*TX,\^v6*ol1J7Cp31fC][(>)C#7
U"_#-9wX7I+_+C9.I.fEF(RE/;e:ZIT:o[3AYYcix\J:J'*5HI\O9bquew\8JxkMg
U"zH:.t8U3=/X&;ET9B]K8b\_=0dY7Q<qr7f>&=lXF3_Z\&;;?>F+Ph['D[8ro=>#
U"?.pUl,:?aPcsi*;DAT7nZko,kdQ<kah_OIjJ;d)C+Xdk,Nim+OR6PKp3scOvN0r
U"SS>,/sq8^v,e4-G-dC3rF)h9F\JhnVzr\G9GS7MFTvUXvsRnjVjr\ElEx,gB.w<
U"PZ,BDtEKWbc52w#Ul<.NYKw/LStsSv_YG&86^jv*DL9mn\]L;H]-yM,rG4G)S.d
U"/ac[\<m*q2Xd4;sPH-i:vb/)*6ve'4^v7j8.F/lGjy6*2fsYBghjq+xvj^co_Er
U"X7GPqlmRF)Dxkv#ti41<aEnyQR(-&^P5H%VYzOj1qKs/IX^5koMg\j:R[u&-8Zn
U"v_'sAR;=C(qcu7JXs5k.#$L6^n.V27;.tr;Sq;0gY-be^L(kas8b&?dSoH_#WOC
U"]&28W5DpF-S28jSH^NL+X(vufO'2bX;ztm#T't[0Tkj;fUw*l=hXx,5=09>t5Rq
U"n0jVl^8QE2THcKV'iV<]HC-,R?90C\/_N(:>W'(ltMK=nC)6ZLfV>IjGbk?0YuM
U"]EM)pjRTh1e360UykhX>;5&'Ra:Tgz[toYLne^LuI-[&<pHS#2Lc?](=CFJDgMq
U"ed>&RS$=-irOHR5g(aGd=jD6r1yw7uFgAFFoO)Xt*%UN.\OO''/7(F6?YT2gk3o
U"O1;FvpQh7rlORVBs402/j<=?4-#owu(,YEs8Mm](lR_wq*r:56;IfHh]dj^L#(?
U"e%P;S+u,*#vai7j5ilE$1fNUw=M9u.epFVfz8Y:I6^7<wM%if8UJjPTi&F2d4,&
U"m[xsAS.y6sbz_I6Q(CH]\[lWT5FCH^a>H:s97F$vUT&]&EF7qq&V[R]>T'_/k,2
U"TqAN$QB%hu/w-kO63#sYrL<VR$g-';PNs%isNh%nL=PyDQj9&KOJ*_M[,bM]6%X
U"R_;6d2-Mo&yvr$h>CrcE.Ifi\sC07r\l#CICtWl's#6]seQt>rJH$9#FxT_3RCF
U"A%BW%\Mkh<&D)oxdceLXX_nHdBW/PdUu475-qAw>#5ycwcE)Ix4p'.k%r6y'_9-
U"D+:.w*+/Cyvq;hnQo='.eG8lQPXa>m+raD1]5'9PP(O;*dnkqtsSv$%9NtT)Xvg
U"_)d>Oqh64fm(ar1.8r5[/6H\lBH_l6lm]S9FxV_GM1)x>+ycTOZd(+q6hi5WhyB
U"E*A\9ufj658YZBj#8C/Hk]IRdHPRLBou?pN#(WAj3P^<dk6EKwz-h;44G$qTGM$
U"=jE=ZGZGbU6^8Lk;[NE0*[3[L#d\Ie483oQvJSX39.DTT\,O,,iI</C.;;(*Rj_
U"bbsSvAjyEk5mfxYiP.L#3tB[fVQu44AnKJN0_%NZulg7pO(u3rZu)t9o8wyvzD,
U"BeL?$Hc?2h<Uo/C1cY%9o$?N2$8;]7gpm;M50FBL+bFgS=v\k\r]P\.ZCJKjkLb
U">W[xA'fYdp0oe0OqBBck_IJvMT]K9[N8ywfO:.X:Q[NqApWSFeGHFC4G4%N(XT/
U"$[:NVWq>dBABb[vz/Z&a8a58ZTJ$8dL8Qo\Necu3Jx5yIJ#LRk[0<+Raohh99[T
U"nctL.]]aE%2kjp(:ITY-d.'vY<>c_Nsp.bnraBbN6]yyi,Az\.e8)nMa=,qBnjb
U"tQW9p*l(OzR?xM9H*tU(/_xy_w?eF-N9AJSM=5NOFJj\pr5=qq?bJ[&DC#wy]3a
U"IPMYh(YI_RJ:rqXsqokqB[n4(:t8enfVeH[emA,W7M5XBYObHG*R1-]nc0&YV^+
U"43GnBW)6H'(6rgt%\/ibGAp?hXOJi>jf;Lw19Dz'6QY\kV:NXuA';q[Ohm4#gsV
U"$UgoK#jreIvw/)95dnDr?1l6PqI6xbp([vTC1;LAHtr<YsWddpN<Dp.]#e9rnZf
U".DoxjEtHI5g?%j>DOWHYnAo%Frey&bVw=eK2&gbYfqjaJN&^K=/d:X^zF>Ne%jj
U"1:Y:8,/:LlS/zGt&_vF5nr+vM96,%/kTEUwb6\0<N.wv**sS7iC2gr*SY2gczNU
U">CbF_7kiEsQ;Apdp<lF2d>)Xa:X2,/v4.3WIt6djb\\Gz+eCQc_0pSaW#rNwtw4
U"CMyd2__MD<IYote7?NoU=o,?<k$&w27D#M;,y:G'YTgBFfPI-oTvzF=N.blfS:A
U"V\UJ[&iVe'o]G8.^)t9+f>o_\Q#iqU>QMlI.OUhDt6#18X,+mh0V.dMhv-WKBi]
U"?>'^NtYi4.hQLQ6b;ECib(%^Z),t3''k[c^pErpjh04cl/GECs0dTC6HmUfQ;7,
U"Yu(/gOJ=]%eehc<p1aH]+Qn4yxf\xrr'YPNuYIs;>lF*av=C'CcSe[b/XP6:DYB
U"s0zRWb*O$2&k8g[6OesYqNRU;w^V0bF*Lo9M+*49p]9(_^Kj-NXNI4Ia6Sk_vLo
U"/6t7\35<.bR6^R7SZ,frmW/%cq9>vRj35.5hmvl6-vlLyo;^er1YG,h0$T3d/<_
U"%91[Y_6)B('%on)k82iXbLrr\uq##;-:PuDM4qxw>F_1ZQ/pQ=kRJqKN.9Qk'8N
U"n+b\V1bLXgpDMVTFK-LbAoqg&z$Ni'FA0O4uBd[p+=LR<(_FvoFbEF'2hfXs>r:
U":1IL74_*w&WrBIC/,9>NH6Rupn0\0rU_:^a9]g9$#0QfY3AlD;n7v?=fuOh#&kh
U"4z_t6pp[daSic5NBqdQtSqNP60A:*s\BedpsIU-\H)84anbY>YVDV4,+=4>AjBz
U"b#e3iW>4$+Lp/Z%coZRijTSBXMLICVSD.DyWnv%jrdE3=PGm).'M0\v67COWQAk
U"q)8=+_[f5HSE+rr(Bp-Z&KfOUTnA//$2Zge2BM8J]dJBxT4QZJN64T]FVjRFQ:c
U"KaCQssx]*V4TkB:d&[#?\HHefgv0-BXVLp%$Ps<7Dc24Y=$8C>E8::<_^/HFh^F
U">l%.k.pWv_k/aHs\XB>jz,vWv'\AckOC++<01R>.aM<n.k#C^2*O.(h&USg'h+9
U"Oi;)zIk2aNWAUQ1TurVLo6b5l\bPCzzMaV9%qz&]:CuBEcjN*[,Hmo7XIkl)iJB
U"o$'nu,)R+?^:EDwf^+[5WT3R.?=?X:M8q5>4c1BCX9&8HLrL4rVjL$=dev\FhuN
U"GbWn?7pV=Qh9(HPbOk.*z,O>:WON2i:oRJKff>z'>bJ6aHW6J4l/g<F;WR/T,+<
U"UrZO?OHCY:7+sKUHkvm\22^Wr,/']govU&qe:SrT.uP'#e;yveM<huCAT,zU$9g
U"QE_B[R'(T8Yc.r>D8IG2yT'Y<LeIMsgsTEH<%yC\rt^eK85<KAWQO[T+i1JlRVM
U"oS2d3kmqVz\8Eh30AC^Vpj'LQCv?P[BE(QaTRm?'hh<DK/[GSPRC=K.o]rmZAR+
U"sWXLnj^wh,qzAimhY]mgW-]M8ZtiiO(5L;lCt>GIK3v>=h;A'Y_FSt(uaqbnb,E
U"tdY7(&)-$R,o4YU<DgC64+ZxXp67[fZLKsfqyN,Y-i['I7Jcxw][Pg<$n\aTh>F
U"66&O6uXuA$IyM_lY+q'ZqKuoE5JscF1NRK9KmUNDbzGQe*TzQ+.LzJ.V4?$&4Ya
U"Z2]uQM-N\yV<1NKmhLXq*d/g#$0<Paq#MPS/OLJ3i;Ai</ettMo*,p&eWGuT_KH
U"jK(t]08QXI)xxXLStrav8YBSYWB?umttGZJgjJE$,%2^TkGf2uYH:dL0vY%)Gvu
U"c7TEo$BzX=+.^fsF'8LXrc=5gUsk=yYKxL9Nw6ia6+lr+0;zVLpvqCmLKPT^-0L
U"Yyp1]+kVsB-BY?*T=Mydj=o.#%)5(s;dDzQu\;:I(eBoTwU4Tr07MSMHL-\NOJi
U"PE]oj3SO0G'iXi9Ye[.WWy.-Q&8w>r595Ut'Xqh,GO47B9sG:b9>2SZ<hmAU,b,
U"iZ)\Rq>QrDpJ9*hu+-O4=)L;aBVHa$N+bkTN;e9^tWrI>.uNhC<D&Uz]QmtNw]A
U",SkRAIGE=sTfHZnC?qO5KNG_\pbX[^cx$=)UHM3T+uN6e,C'W)Hnujsrbs;l%Pv
U"0odVmHX=*/Y:bK\;+8xCs&vkKG^r;kVRrp?1JF=-5N\?$CH4#aCxsG\a-G,1UG*
U"uc8YxDzidh;9;V9SblDc/du0EbX1*f'xlT,uc\3ytvrjG]#ZNK(SKV6^/ocRv2Q
U"o5smKRpZ?#4&jp7(?P\D-x:H]4,[KGBWtY[UZ7dk5%w?Geg1(6$2\oXkbiG5&6/
U"[g2($/n2/6m*%BysBNxzms)c2;l.-Y]gA*/$<q;7%dSPClb<t/j,t#lSuP>';>R
U"?U(]nLG147=>6[g(UX[L8nleJx&8ew\\^kt%aIk4Zl/N>YI=SmYmbs(X4no*Jrd
U"MJGe^+h+MAFi*DM28ydB[oCpVUA>F17zdcrWFJ'yoDp;(WC:d\hY)z&W'dj0ALH
U"##^Dzv&\<%l$:Z=/S'>DST$:FhRd\,SUiM+-3i$.5uTH<vKH$YqF$m+hVITTlkc
U".HzrTwCwbKRQ:W(])BS)R[7m9V\,L$iW[Nm<5t;UR3Hmn4bnMLxKKyosN'UjW76
U">9b$pFrtevWYDD&xf+SRHU>(t_;Jkv)?c6e\SIOMx&_Jd\j?cK&&x3_lP<.5VKN
U"yI'fIIW#Z7Oo:jA5uS:$UCgCxg0_ELT#ii1=dO4ClI?XJBA^Mj9T-f:oze<'?[S
U"-eD<:u./7*W3%?vI*P*<ZiK[.FQfkDnb?r0OTgim6$ebQkP,m+G)RL6i:ltd-c#
U"yuNc6ck=*v$T6Xb^QcXZ9bnCr.k(c]w#T%fRL$Vh?H^7NYqUnl=M,iGyW%.+(%J
U"yrVNpPmPsD5Dh](QLYplTYtVJah*bgh*r_'x(0pGVMb%>:x;x-4oTd$.Vd+<eur
U"K519Xj=Lc7W)zKvb(-6n:<P<o(%ixgQ[59_=[lfMZCm-;LYyc6>+SoSF;B8bj\Z
U"c7chZIfCK4</r[5W^vrtp359m*4)9lk0D0DngeNEk+X6s#dd*NtHF<FCFg**6y\
U"Y.l2=cADb37gpp*p7&MKtdLK6_x)MpS[O$zpcfk,AKxDw/xG\4lMOV[_w50Csb\
U"Sri37[01cmdn_KLSx=cD31W20?6c[Z'%sQK:](\R?.k2*+9+VJk'7X7]tP%)z&c
U">]/2NGW5]5WRwO,]IzLk-e\vp9o:olj3HUXW+jxEE$NU,bXy\uRYW.s3Ce6_.dH
U"jkM8BI)u6Z?W=\CZ.P:=\\xm(;bCeya/Qr0m,E50+?oL5a,+(O;MVA2e&JX\uP5
U"?N4+uUuj+x(-n$mklR4YfDgDk4ofXXlwb_<*o.q-zK(HCt:XOT852KcAl+8kPHa
U"rXu$V?;l'zjraH(Qi56mEhmxPDM)MP=0+)305aE%g4=Zr(v+wH'E(/2ij^u]edR
U"H.5w]dNlr:eu<)w],Azi^yQY'w^=acep>#URt\BHL/9VIt2ibN%l&-*DkX/d-z0
U"Y<1Bkd)8v&'./*VAaCK=65GcE(59kh_cJn,g8:KCuNBT$1>v*X+H>Dswng^\yF<
U"/3t2,qas[tCO(.+ePNR..$(_GH6x49QgysR^A\'Pk)nam%M:FiuEAgH[FLo-[&5
U"/67az0,d_^9zXSfy(JuHVIfu$t[Q1T;fUc$1PnENxXTdH'cqZWW1ZmhRRrPu_tn
U"$6J$^ughvtcu%<#&11YPHqXicZg5R[8#jE=2y%]UZ'(3dQ3g$5;BAQ_^NrD^'SO
U"g&sJ^Dwq[_:npzeJkEM_>kCv8Qu5ax(xiJ<bIRIf0zh:4X3i&wYS2--1S2(sX$9
U"+fbcFj+9[oTyhbek^KOg-.%_jR/7#McRg5OHdNBA0O3*qv>No?>rP1]&)xJ8wZP
U"#'Dd-xrjFganhwn$UTwrL/NYYeJtgGg[xe7F)K^UC7HiklI)&V6LH+:QXPsp<eD
U"<Svra],:1R7t_/Sr75A\cL;9dFmS)^OPgJ2C2sMbP^;^..5)[WOIm1J7eVN&/jk
U"VDLN('bxlM8Bz9L-RE>J.c*mXnSs[V1.h#:0w),%[3v(NPv:TkhoN\)#=Ws*&&W
U"k]Ut0&Cp6mn[,;qJ#OKhx*44al3NE9xLXdB?(NCRH3V3Ksl-+1')0v(5r^2L/')
U"RWBUVe/Pv7YqCC01+S0G(/ud3;\r]0q'?<:=9,Dn-dq0WnjShAu/;Au.nTdc(vf
U"i,%eu%#sURw;lcgqUBIj6Z.(/v=N9k-2Uv>8oCKLgOMaxM.YKpTJr*Z$NX\v-.a
U"x\RiCN:IZ[#w<7%paDiL;sn)fc5(]T]Hi%%2:M/lNPOg6tPhupB&>S+M0'R>b*Z
U"L,2U>f\g2SUMn,0AG_,P_7L3,,0V.9p&4PJ:C2VJKm,gACsu5Ij)S_NU+CPO9O6
U"7+Sq*9-iWvMq4N[)[bF]?iN+XILZ18vi)]f*3/pTHqO0]VfdTKvJHVH:D,_giHo
U"u#jpXxs7);wul.67(%#g=PLxg,y0'.Dv:jfbX1k+kVh%R-H9+Xlsa:\%wR-h7wK
U"hr-_?2+()bz7kSY3Wk\$Y8l%DnkdLop4^rhq?3m[)-e'&f/>5;*m3Y:P75]5s%V
U"IYveAT$7COBo?*rKo>av34Q#J?(24K_]yqd97p8&-El5_>aC0Q2rPGygY3jmm-e
U"Fr)r$,]<y7\yqN-n1i#rua#J=bgJ8X:<[=XFn'G-)hszBKHJ%8$USZP0roHl:?%
U"oqsu5+XI$_?pQ77kZi^r'%inDI-62.k0MrA+n36pE9hjWwW2_NoT.B(5plVAI*g
U"NM4RK+m,aix-=]40PAhAIzv\FrPJ+XGxEY_(v:6(?FCW1jlymh3:;]?cW>&fW02
U"Z;ZQI&-ssn:%-YW'fnAPk_SKI171dtXi\c*ZjX.q0*=y5_:$70tO/<zw\DX<Q)'
U"(H#8($RdMjThGb$d2q2=2MKE]/;J#uz,/\dWtw#/SE+CmT^IIZlcWI.#Bw,DK,S
U"gaBPFgtMPkG,ItV7ob^#Njx)G%L_\L700N'cVn^3j4&X_1_^+:NR4U&':#vvG\e
U"dL75C05,BF_p7fPmTA).bBEX+,$=v7*5W'3k&VeQi:2>u-7o%25)+\LCy$9P(qk
U"F.3YPbV4#b(x_,im6ZwCAHZh&E8C,K:dz6s0xEn^%Cp2?Fs*,quysJ#95+SN(R*
U"+1)qMUZO99Xnnwn%5\>&>KV:Kj(zDy&)tt'p(>e'hGla5atZ\>p_a-5Y/V]xMXE
U"$aV[AVwT/'jvqgMXHh*>F.Dm^%cp=fXx>;8Mu5\pfwCSsiAIW$xGTKbY9DdLAUA
U"V%;0<jUGu7+_aGg9LqQ)arla_.7Ws,nlgd>Uep&f1[bl_M/*Lxt*^tbu$UAm]ua
U"]+$Srk/(j<]Oh0#nJ:R.kjkp9IDfV:8RA*D3^[*2[7tzVLO?tf\pg7%1hX39GM8
U"a)0cqPyov==tBtBMYqR%6Fm(qMhbp]LFp1\588=+K^XxYN]56Z-#7nJ9a91(J=J
U"5;$Lomm&W0F'+L$eg<]8(,dFGXS\znkUX/rzk?_7]V%hTnjw>,-AZnqC8.$fZ$N
U"PdYH3(Bi9+&g;7z]6C%cy&++2,PRb,lV0\<B__n2V$=-MurkB;cDf;E0#H\ntxt
U"/,KjP-2f:O,8WEX%yV2y'mAyqun>vLUB0ec81pU&8Y?Pxp)jCubsRJKbnkLV:QW
U"wyekU,fF\F\wq4f%V(gI1gZcpPic4iATN/qKlUDm&1U\7+Y0fQgPf[]s?3MZbL?
U"3ZP4WT2q];WQxQo?Xk[Qd(?m.vUu\)?4y-+nav<H_ruz8;(xsuM/7HYG_%nD(C[
U"I6PCLUhUHp$9,.U'E-XaR0I<':\kF,U1NU>HfM\n%E_:gSsy/Q$X\,]5,v9(DVt
U"Jx.TH)8D8m<kmsldu?;P.EgblsdAg6MSd7?[kmXSkh4iMZ(HaApktN/-03\UhbE
U"6\lDr;a$4Jn;%2vu&qv(IU$GwJmcLyY/x4UJnROG7Rz,,:tZU5PTxOsZfRP+F5q
U"=h'*mh6*Opr_r3%aL%P]1;FP5sST%R(0R8yxWikCy;:#YoM))%(/4wL6mo[\GvR
U"IbHYM1^?d3uu:DV8F)Bt>IIEF6kYTrP9H$J^sYge>Cm-rT>D8le8G2i,i><X5qf
U"Fh*MM.2<&.$qnB$NM,6-%?&JB1j9P5wGqclEJl;y[+UdK&[Gr]Ot)&YF:MGnum_
U"(KPMz\)quGXJ66<(Sp2UW3>C1y?<IQ>5S#cX7xLM5o2hd-%L9AGU4^7UKM$>xSA
U"0oHMT1g__#5SgV3auoxSebuN059p\2O*iFIcH(2w/]fFW*k5Ei3(JcvY]mwrJf<
U"3dc,;PSp_Waei%]]\hu?-?<bR_C/JAfXIkifJ/*b3mcFVsl#ki)(R8)TbLWx5\b
U"DR\s1lY9:i67z_T_]A#tmuEgb17/;3dCWD([.;YRe'.8-1P+\QIrh))/\SH_Uzs
U"0=L]Ukj&\w-X6H/^NxLuJk$hXwN-u\<PHn_J$J7]6q'N.c.+5rhNuo$nYj?s+8t
U"w.YY.UQnY3GhN,5XHc3H7=[U/b>UD*F]al;kB>1bXa1gy+lni?y:4>d3pdmw\#<
U"=rXh0(AP+VkB=QUs9lifSeYl_UD=<d7=Alxl*DEX=aMH*r&>Gffx_R#r2el(,WP
U"AS#3(7QNKbXV.%*LD_Hrm5Wd[4P']RG&l?J\K[Y?P85Nfq0G&bR)^rDKhB1(H/,
U"-nlYO1N(Y<PG)$42Az_UzCa^(KGbe[?q5OuB'*%+7:Vv.+NpiW4;Z#D=vAfY?J&
U"-NA)\rUUAgfVI<N3:Mer>E]X<*[]6T/d/<ZB(YE(uY?p7X*[:Vm.mlR&]T$f,1\
U"[rVe\kAumA6CbmG%1U&c[H5eo*IldgYdp.N^95eQHQg/c;D)H=F>HV\'//\AMgE
U"bTkX-[Qtvx8vkLlnsQieM#xiwd0G+F4xZNVRpSG=1SmNlt-G:h$0v\SRSI+uH/M
U"h#ObAYOG2.pJN*9%X/:?g8Fr)e7jjb&fop-ppfGp_8)3W^X&z(iFMmTs_[^ky,a
U"LNxtf$yeNAee:JP;_][FxRW\[]L)$;\YH17OV0JE=X=xtQSM^?1=kGc)IXX(?e;
U"w*/?8\EQMpe^zV;wbq:EjRxw^1Cvd)&s2:=S,O-o5&=^Ko/;1BK79O5kJHDk4A?
U"'Idj8bnFmHW4#Or]8-s=F,e6%_d-qPpDF;Qt\Q>$fY4X4v:0*TPcEA)SWQS7\g2
U"9%ED7-tiZPF-uH.r*Q)(gJ>Ov?/vN6Ih<*/l8#pwX-4<niX>FqllxC4Z<xRE#is
U".maxaDe?]pS8j<T-x?8:s6s+dh+63_(3m,%cQu8o4O'J>G%oH$2MRa\o>j0*Nn,
U"fF<#md?t0tBSWfUEOmC/&B,A,=0t6XfWR<jv_V:a(gj\lBAV:CGYnFQf>MnOaJ#
U".kTL#P)^P)D9m^qr(LK/.Wrys$nn5?3O9ndF'd*H'/M<QvSkX3Qcwk73meFJND;
U"GH1\$i/e_HYibZWIhLLsu2L0bp^MO_#gN+nuhY$\w4TZ&#6'.U79JSXOM]*'nQT
U"E*g\jb_)r^#(iV4c>l.Kua:B'-khbq%?n[P&_pm(Sv-e-%Aqw[I,1Q$\.vao88o
U"2y4GCVvZ1op<j:t_S0sqRQs&YpSJO9_<TUhatFDW+#79wo[P0gv#EY6r1q<FoXP
U"%0*6m9RWu>jOE[q9ds_W_9l>mKP1bYe_Jk7inSnSNw0\EczfXEI&JGi&Xj6Eni7
U".\.[tCZ&NP\,^&KS?O_jnftmd/LpdItr]_EcJndH,uk367+d1C+enc^?S0Y2XMb
U"CIJ8Fdtwq95HH8na4el1kbkWrbN6qt)6*rw1\^6_OzWQUvJt3w4<?+CXIvlpoES
U"Bf)\fqF.o<ftTJLu<fSfuZGWqb?$E7Y:N3&c,vt<^TJTgbEHdVtL2SaU*J#L\_-
U"_hnJfxL<vf0,uP4v:?ZGT]WbNoIZ:VYIftI=UPoWPfXqo5M,?]J\sD;tVulTdY%
U"IC+L#Fm1RqZ&P4kJwDIno_P:pDo,:5C3#TtG^nK<bvTIM[JnbWq/sx*gN_CZ8^7
U"PIi]l,6>PnsrW5vSob*Bf?Vo4TTR]W6E\X#rrSvtRlB^DIQ25j,/k\ES;9J6bmT
U"n'4uBFT%8>E*<VCQ6jmfWQiYRe8GgT:JHZ4s-FuLQ7Q?ffg*Y\fSMO[o=>Wp,p9
U"VEKTghlEbOY00,,H85+X?fiQ0Zo?.8W6Mp8c(O4Wg8\Vw3D7^,Q4tnU$4J$p-&S
U"cm2+6D_5.WL?L+N3<3v#MBtK16XPewu(a$4LVcZo.O1KrNji86C5hRlFZ*Vf4Ys
U"<<YiZLsoHl0,B+5JVyv;NJT,P.'FhIsLmK[?)LVY3+pMm?ltBuFT06cYUp?SJ\n
U"c9_'#Mi7\>3cBaWdsPOfeKk_GJ6IqA7?(herl(TNUk-h3-u0p<%ix*VTO,+-(7d
U"f[+lvdUn,j\?qu56HVT1\SJnJbSlHLHL-sWS4b%lY4$i6/GDudxZYt?tak?gDW2
U"XmU.]g3Cn,YA\TGVK*4hkE(=3rZ<5$^ttbr-w/[jJjDCHq__2g7230t24^oq3#n
U"=DkK3>v>$v7\?nThd<VNr5RC*-MY(rwo.[BC8I?mYH03ntRKrTg1sDJW?-wR0_o
U"0LZv<%2s_f6n>vBYx]o=XkCpdgrjxZdUe>LY)K--)8$fp]7ei&hhd45l7O)BnLC
U"6H\u;l.na;BPK+2pB617IuwcK#<0>\boX4/5iWG>dff9nD8-7bX?YgNHG^$'J*v
U",a1lWPaagq^d?idv8V]rCq\XfpOli,8AiDeu8Ki_I?Pa_4bSa^aK&VZ=$Euxk'n
END SUB
SUB V4
U"VE?6JuI632ZsXeL_:JG0?KYpajtwR?55?_&kU_5YnGaDVcQU1QuQW5hBR+?7=(V
U"1TY/QeN\.zncU#G?h9]a4DT[]\='.yOn/twxyszSEo99#)rhrUL8Vh&3h<fmnRA
U"O5Uj$oBkRuMN*V3X;FtMjhIb/nV-G-qP0rZ8Sgngk^t#3J2H]OrgiK)]CXXrnil
U"&$s90-PpW<-[p2M00T;j4Q,vd9GISE?IpFDIW?-n]GXD$]lxXU8(TB%v\;wASXe
U"t2<=JZGD[h\9nnHTaTh3B8MG'M8E;t>5;\V49886%jOTkAiUgLg27$uBzEd\$nU
U"]\ahK<SIk]$i_\O'L8ZHn^\c_u?k/J*W;phEGf&SlYFeJr->c_j0k0:K\94N#(a
U"w9WfiHx,AvJz/Q[FMhmK=\XA:uYd'U&W<35r#Q4WPC$?n=Hg?>iK3%KBH-sEh<p
U"-R[W=Dtq4E#Hn0ErGu*n==9<e_Sm$k9[94((iAbTUQ6Gfa#4doEBt?.wku^j8hk
U"$+HhqeCiir40)>zb8Y,;mZT?G/WlPO6WV&_9n9(56r6R.blS9IplnN[J)TeQ'uX
U"#+^sV$$\(o6(Y(_zKkT\GiEX=L:5A-oY6T^cvE38nx4oQ<PDWY)Mx4d7'9J5xM+
U"<M>%jJL]tHZbXGg3wlw(2hNVV+fW.Y4%voQ<E5;u5\bBlpvmt+r2QjFbZufsiQ<
U"Evi_;^k=*EZ20]Zf4FS8%-b/RwYYLMYBOCri-e&>,mh3BRu]Q=T5GK5#SjlD^-B
U"]SV9,'pHQ+tD'-?0uAU4<gg/6wj7LPu,Ys0Ffuvg#LfPOtkYT?;:ly2LGhQud+t
U"fi^H2cf?y<AkjVbo./Y-6PK%j>Sd)hg.cI;%mV2/P;H>5q1\YL)1T+.Uk\D)HJh
U";z2c=7ZWfN,qvd]lM':47tD?d-vmR<ls/>6h34oT\t9'4+(-A6B;Lm)al_H?YY:
U"W&/Gf;HNL[>musp3tzctA50\.DbhqP5n#ehV$ZD3aKDyR-]TnhPBo&KS:%4Q.4L
U"TwH.SRo\V>8.:vHQkg].HeYD_D*RTY85j0[7<>di<>lbL>>ZAhf7=SkdTl<(RXl
U"4Z;%I>NW1-<(h-o%_q&g#uxFl(F'+du/L>EliF=)L>G*J?[dqfJww9;c5X%tRk>
U"^VH%-o.Itkr/g,>;?HfTn?X?4j0a<;qu6IqS'qQ:+_.(Mv.fMYfP?Cp7%HOjG^V
U"xuw.?SNC^iMpKtvkhBjqoB1,[aIX\hmf1$41#;f>us9.Hbdh8TW>clm2(&72gmp
U"1YjY9/kbEEV]((ISF43VK[h?zOAU164/BkL5]RL((h$b[ug70#kE[gnj$)X(i,w
U"4[DS&Ku)=',S^V/.9%q0YYbSOR1dR,>A.VVM'FND5wa16$9Qm9-BI\6<V5fA?-]
U"X-.<]o(2)[z0ycgqv7;JTY\X7G8RI7j/b*Ra=sOO0U<2Bjbd'mN=CQ%[ex>nPb'
U";cuIylC(w4QlZ6)4)*;4)']_0z=CT>;PkrG,\la62;Y?d=#$:+FKCcStMWaiyGx
U"_A.9#0wZg.SZMihk,[h(:(0RZ0HM0x#)f7=1Ax*Y?u()7Rh$\[YygSx:8oPM,&;
U"n&_&?(xd1?$&9tU\4u7N%^U-T5.;Z-9S:k#mnJH,q(p[[1/4GAmmD9?Xf9\L*<C
U"Yn0$8Xfdk\a$a.FL?8qe9S;3#kTFMiTA/1O281s=7'IGibg9+'\DR]zpy[R77$M
U"<m0P+oEZX:D0sO2Wm[b:;B4prkk&JZh%2gj0[h,2&eh#kbmV>f'T*MJnpSC-]pK
U"Ug4(%f4*(%M]XEoe>&o&eIo_[s.dhH*I>=G%+#rq)O[8bs;2b[ze(_d+,A-7-B#
U"tfHfHk'NHi(t(BbOfL/_%^0mf/3^(VTFAG>q\/kNgTM2w0]p;%4IqQ?LtOP<m\i
U"\K]<W5yQ>[<^Xs'[*TF8WqU=0isIOF(gBB^I=/V/IA%qTTW/>SVsDjRREvEPq+?
U"cn\G0]'TMKYg0ikraZYYP/,1K=1>7ghl/qqs/U5+a6[Hv;Tq\%*B0<syvKIgM/M
U">/ByDP%STcGAQCGO%6[2yog=29^:'4f*F'6bDt_.hD6UeAj\bC.T9e+rmdjL*6S
U"x*n5[A%:v5XqHt=ISLza%cj;lYKq0OZV:Q%xUPHBq:XqoyP.&<':r3DwV%:m-A4
U"EV_Dt?U08#IJDm;4fGdQhTtSZy1(gx(hUHQn*Q#l8<N)OOlvU%2&qG&'GC',9G*
U"%)U>_#=HoPO*D3Ut'j1T8NxV[f%^B_pkD,I1^A8-9S,d;cmZi/kgKc>XG=.^Q#f
U"CIO+45T>6,[ss\DQ*RHX'nGD9iho>U>K%iUWd8&hDe_7hqj<?ZMy&'XNO\BUJ)d
U"u8=kLSWaXF'[#TB9MJ-dN3'<&HUeY?RK0Y-$Q[RVLtgdO.F/''cy*PC2CKC;Ie;
U"&I)l?'_]R0\_9ME]h15wS^Jvh'qCuBP0c/v*](AZ6WmD-RgTsX?D?gW/,m/8j=Q
U"jGjbCC)O)GL0S9lvZn?FGZja6aaIXv(]6rVOB*0KLOcO$p]Yt:j)$/%grDF4O0r
U"iA+x2cRVn<#$J?;:o7,8dGT63Ofd+$#+#Iws85r2>e81+_Q7Y[$YE,GJ&54#4<n
U"H?6HYk%k,?v+)Pq9m,%ecy+>$%mA%auO-;Gz^0qkx:Q^':1=o*i(#OkEO(Npt&V
U"agcm2u=45K/1Lz_H=a-1my_m)_1PCg<Lt5q]T&<k)#'.8u_L=8oFIGj$$O8oX-b
U"RAWD+.-^/LD2QA'h9,1V<auN.E7=q%PV%H'zh2TS#6qp2E%hhxRLz-yJd*SS^E*
U"%,^0VOvm-]Q$*D2zgkAa_8F)Wu,xM'M[w\Y$8ks#Bjq7<%H2B)_SiTI(EWn\Ln=
U"7n+S'GY]?-*$O72%p=ea2HEVTqMR%Q[#Q]KZ;6%x)??xxg-R\i=9EBAZ-GRq5JX
U"w332_efeJWEWl?;)rf8pmh35EcC3WPO]LeKB;EG55a7xK4Ta?3=a5ibXR8ZKBQ'
U"%'0ZL(s1aSgi;/la.Z9iZ)Q6J7]c-/bZsH.K^H5$nT[ZA6W9&S[LxG8Q#+et9t]
U"PS.]??umhrs(:Yii_srja&.&9U<An$]*m_'V+S+mU0RO?OApDPBcA#:aN>U4fo#
U"X+/33/nQgG#r^7FkwI&=<<J-8i7uSOb?H4sSU/fEm3$XaFUy[PU^O*&>Ls)Mg:m
U"l'u,L\(qDQCono7mGM_Ie$_5s\AWzF/H5-qKk(SFR&Vr,qW2RsFX9w-J/,2Q+yF
U"Ht-*JA9apZ9U$BJw=81L74Y8qY*\['v05ki&(D&mF-;8u:;84S#)i=gqB^i_JUl
U"HCA3bpKeOiIgT-Ao(gya5K;0*?q%8/NUi]AWrP,6MhX#3$ZBQVkc0+m'_<<b,/e
U"q-jP2wEff&6;_o[L4l3cVU7.e7;Wm[C\k#O>RQe9iZ6s=4S%SrLe#mnR*&rkkhh
U"K$F%*AED2rLe/6%<3.XFp+L(mT5L>MQ%);WeW'*%S5]0XOtNZT<BF[+veqO0<jT
U"WQPLJ5km'Dn6NGH#>5V?7Wb9/J$2UF'EaEKCj#^q)^/z//_141b$0c2Y_1.O7c:
U"Xe<oE^]NaDEkNfulo2]Ox3/oRv7<)#)>tx/<%dR6[>ZReMgqlJ;VKb*hi2:)YXo
U"CX31O/Oz;ss3bgc]m3<b&K#ma?&uQ+\rh6PV(Rt,uD%SgS0895<uh=StMCStm>V
U"*b[oy=kqIXHTgg>V3A.]l.[9X9I*Va'dX^2(s9r,#t9xE,Q>nDRYZ0APeij>jGE
U"$ltaZVNeA=xb^lXd7sirLLfb(Q41]&#tJ<8QA=upIP<QX)Z^MC=o*I(BYWfkoU)
U"ip9k&5W2a2ld<Xp)*gXV_/0a'(*WM&5x=XHBb=m2#-Z;L9i)^x(5CbrDp7l#j+k
U"e1hDI:h+WZ<r)835Er8734G;\C;&qsV5_gtWT8GToC0qeZ]Nd^C0.fux<h8Ym<k
U"S[m:=b9*V]n26-X8di&=C>VEMZ&TjXjFU1/osNAC3H)5iLqTXp)1#$k]<o7s/gj
U"4Pn&OS6f-Pv\fxkab>U11</J7XoH4*I;J8VN:8OYm46:P2A16$)%\tbk\xCi5IR
U"-qA^ajlY=.QiD,Vb/YoX(b()(?,TYZgmz3-+/:M6IxnBMqfKQd8uhX7dMhP:+Fo
U"mT&2Xmz59OF<-Ro0sVc</*Zcn(9C+[(0W+$J+\gh#5iu]O/DeraY*-E/4u&rirp
U"S&cfNZ,CpB'oI=/SYa)Bo,/3zRZ*WVnD'-'$/K9V:2C[<V=Tu;-<+(#33WYxJ4M
U"#p88S%Z,)l42:LUt/.e1mRkU.hb[6(M,N3l[#[[MA$QJnAfGI1a]qVKS^yxD;+7
U"vAAdYOSBvv:3_>vF%Yv?I53^49jv#A2<QMa>:z8I_b<fG<<441ciw<c*Lr<y'SF
U"ToZXRn0xQS,ccu(S(R5Kn-lJBR*lMyiH.U#h\fQ>FZi?HgGDhaZ-xY56HcuoHrc
U"=_,GM6Dt4Su66PDfBy=+RdBf9EDDP>Gpfiuo-UT,hAEGSRTtnvZfrD2M6p9*t<,
U"BnWLl_AqCf1DlS63VV7]khrN,d:-Kh<zI^Y:^'CR%vG$oouQNPUhro'b(^\^R4b
U"jKKrQfFB<lKA&.<dHD?gsIuV_)dhTEK2\lX_hPn>5B^cMHrr(P]mckbDsk64YKV
U"RYYk%*kMg7L84J0pVk5]E;8-Wci-Vb_b9/aHt[S.Pbi&pbfMeN5\HeX7$S5adtE
U"LH4q5y4ArU)rnf<yMVu&,oL*7C:/unELorepp1njTSoi1fa_oFw(0udX](4Lf&*
U"CecDInzy[_2yzfkfRo=tGoUb6EmIJ8cVf,HV&d6-VIy&.OO,MJE3Lwyf,jz5^>=
U"wLoozxJfW%WFtxsM3Q,KFviph5D9%K.z-,/D[Cx%S23dZUZr-z<4UuJ+lkgT<4E
U"p9bc1K^Fb-rgvT\&5inh#y6HcLni[H/+O&?_2lrE_uY-?-DOuUp,$&Pjv;N;IyP
U"pYRKVMsW-KkQaoI-fEz.gG5bGir^;T?2<.=\QOfdei6&>GNPz8<4WMatZtoDLOT
U"2it=gKaZtCTA-VV&04Y2*7MCs-b-WHA$,4)JI>sZH$N,InVJrV]%#VYh7$uCtdB
U"?<nq^qtdPD9ly__N48t\W#Vr\c&oo2iv7bAn,>6=d^?\V$V&#FNV5J&T,\dibi7
U"_85L3$hotk^oM(Hh)>vbUmmWD&JW3Ax_HdWa&56R6nKOKRVYEk3Pf/8ZMN%K-Hu
U"AQ&Zn=E.P_F9gODnIpDW+7$chpD&gRL7^5-&7WE,&(Lt-f]a\9'1S4a\EC*TPQ.
U"s&:Z6?V+toh>vcNG-2hZ+KFn#FZVMHjuv$WoQ2viL>wHhpqvF.fr7cb5uMkPkHf
U"r]Xj)w)Bronttqk1&NGM4NDpD5$6Xod:)Z^NZDaw3dhsL]KrZfnsEimiKEFSej5
U"_.>4g^t.70P^Q_s3O'lKgtjZF3,xvDUk&(Fkpc;/,ICadUQ\bu#_?:.QSs10gc>
U"jbJ8SFrRL<cw[]C[_:t7'ZNe=nn#<kSBkd8*b,dT#JJ(\mUlB?1+Ye.sbCw9qv3
U"oxes&ldS\i_Rd%[y,4lJ(x:de67)oS;xTJk4,;pU\e79La.\\pnEnMENb4X=L>c
U"b'nOT4iB,unkaF.&tFtlvjxfu4B3NJeWt;(MJ^EAdG-7V+Oo.)48jwmvhM:<lFT
U">z&O$f>.u'pP2$B?bgt4KO%tDW8Fs1$V[?)3cobi%z0gm)&r7wcPrUrzpj2My4o
U"*BlWOhVUrfqdm8KP=p)vDE*veQ>GoIDB4<<(br3prKDfwNopwnU'WLjfKUrEbiO
U"]TSN]8Layh\0Z0^t(l2,(ngY<abXdUViT2rvDlILn?+t^rL,#6?zmst,\A-021H
U"m'y,qsEBoaptFRb<Uc6rGzPNXqlo#VoVgUrb14sqA,26D9;7%\8UoN#PthxW0H)
U"5#^rsrXNCf82:<5otp&.VntOC/-Q4s:OpCOqE6gY<hLd:^d,Fz0c2goPqlVLEHr
U"_K2QK_+.u&4(17-y(pqx+a2*S,y+jB6jEoP\fguw3Ud#T$tbLq2)hKP,hBtJ-U$
U"s$Bv7f(d3+k5R=VIy7pz+FSTprdJ4,*G+zDkc^?(mQXHlX,&W<lMg&?gp=#WJ<K
U"6iWMiU%j,f1hqHq^cEpIXBXc+S\'j'eaT.X_%ZHMnmYE4d(DFAGhInb<5WHB6.u
U"2P%_\yy#6WGjVu_-z:n*$*bYXr87%SyopxG2U&WmfW2Xk<mT/$J>spr<jc\6noM
U"p3TL&$pZJD41$JNXlgGUBhXmf3tv0<Of?OlGlt&3+96Po%IidCf#qd2f.#zn\WF
U"1hpWR:-VY^&K<tJ(]#HdUptqe:Hg)zETy4[kdq?Tamlh55KX;JK7fud0dkNopB-
U");6?#*vHB?XmsGwWFebVHssccdwDYKSu_h=:79kn-/owV>bG'<Mzac:Od(iDi])
U")&2'MyICs>OulMAjTWL(3CfW4(OWnoXgPV-(9A%Pc:ZHbLDh7k-7j3kz?,qJt?L
U"H8i8dF;5\.NIncrVtt<u4J3/($.1ONRI*y4?2=lP:]-Vu.S['3oc$?Q>P3IcT07
U"BBLqT.mrc8C0R9O=rN9fMVbkR*qA4wUV-(0^qEx,SItC=aqvvRT=o\-_^aLs0rH
U"BNbLxxKM&FBo31yxMbXQ_H#q4n_,hxE9Kea;v2/%kisl.4z]t:74DUdd'dWUEiI
U"YBXTfEsRl:rs'Wpnn+feoFUVeo5a_G1#LcTNgup9W';.t3m/24l%4vLM9A_I\KC
U"z.bJ.BCJs[IykrTzvjMmkfUzyVh&(aRdS3DDr]d<IiP&r4/QD\f$5;x%4W0bt+u
U"j_.KcdWdHXGvl#-1ljCbTNTCb\nQRpTzEQ#=>xJ32x^c+PZv=k6c>sjcC;)?+r]
U"Vj#%3?Y6:=]L#TdauH]cIf-ObquKw&A7AMWU?As4RQ'7mvj*3l>>XP9OV/Nnnl0
U"+QGQ2vY=Gkrgt=xalo_YpM/6]oBO^<0O)=c<2=Hsc=4$n2w]u,aATb7wak.>vRt
U"nnJx>(:LKtXX,'1qw?)bkA/+-0[knY)ZRf$#5Tb7]GJ:KlKH>2h9F<kkXMZ&)9n
U"#&FeOPd_x^lsP3pP_a+ePVej+e3n[_F2o;H?[0N\L-oa$Kn#*^rPMmjQQ0lrih-
U"LGqw0,Z)6+Av$cUy#sR$#pXTFu9LNAVO$COC?b)1>^XYN>_f3/<#:Bimq1t]$)1
U"*t8f)hqQWPk^7]TJ>hBMjEM//4OaPDMp[XrVD/ca[R-dRn_WU2NK^wd&e3%$NI$
U"#YQV42=OjXPE%H9GP,SrU5a,sTQcSUxG<mVuT(]8eGW+K<Dtg_x%bQ]P.y$SsX>
U"=aES0VduE^%C(7$'ssu^]qX,&M<GLYk5tluGTTFL96Ijy9)=lO?f;F>d4C*)H=j
U"Q^gse3;p8l;*e6p55+*RJ*0W?qch/$'QnxTc;S\]Hh&[LwjrJr4lQPCAn_6QzxL
U"=Kcc)9POAffmr?743jQ?i=D6/(TZX^sGPi^uh]G$.)E)U6VldkQZYB.X;P+gm<p
U"edk_GY;\;I8)ARHk((X'>.[ORP\ap9UQ1NkPCL(m:ewc(iC*njD&u^,hbd&'$ff
U"LmH<7kmNm6,Ck6_93NFs35.kVVnI3S$aa9SB]o<k++k:?e5y>41We8jB]prjKIY
U"CPHHbB/axfHkuE2*Sbvq+gD\.9vjq#h&X-&2OzOST,=[EY]If+X*Zi;IG^0HLaf
U"]W:G[aFT^IZXto<L>IE)rPVnc$UM9au;M(i1/luxR;B;[7<LrcXfZ$aEs53-2Ae
U"b1EYCqNR^.<Kiyd*'\:8q=9z,q&cN:C3fz$tRs(uC?*./Rv3l:ZP[ngM-I,R]DV
U"r[jxu-ruEFkXk_<LE-G?Y,&WQ3.y%;]b'GDb-]Af2Sj,X/Nv150'/[v1i1V7kKZ
U"I?g<\AJf:,v0LSw5j-UPRh-:kkir\'6jWb0qCO$Ee'H2,2_uMOc1TDc3HS#a,CO
U"axIoxrVxv4<X8PtmaqT81-G(G>%B9-=K_O:L=L):At]MaPbOA_[qISCr2%4KmrJ
U"\&/4^&NS.9bJFN?7Y92w%maDdY&rAac2516AvaOOTb/JV&dX6Ya:ifcM5gQ.+IX
U"wq6eeRwf^_+d'7\w<p*uDD0dC$#VJhz1G%:y:>A0&^XZ*KY+wOcJ9f?4R-,T;j*
U"eE5O/And?]%6KX'Oq(p8mdt^d51MtaJis's8fmtlwTKd.=?skK&B\B-+j<UhYtC
U"\>>pEhE-?snUJOj[qiYzKX%Yn/lq=yCNNZSI;9O\P)%5b&E\e&*sCU<Dq%9hoRp
U"mm5hnekxHvIW%cRVsx&EblwN/6S>k08g[I01^FXza^hSUdAeui:S)fw\]'QZY:f
U"-EU/W;Bhz\>N1]O](fK<g,].Qni;%Qx)c;I+SrWIGbWuE6akzI.9gD$36RexdgA
U")&7o.t17.EsO:?.8A;V3^a%AXT_38ooT>0rU9LEOjeaZSZogQ9_M_S[TF(>UUg*
U"^[^NcQkb-d%=lR($QUiI(\eOY(q*O_'o*s(^Sy9n4k(cuX_q_%<2Bw3E&47<9BB
U"o\ju'=d*A+Z+lUepN2CYxCroq'*L%TY.w*[t=unH38K6Um>ZM&XFt8;b_IM%A-y
U"9#\st2]6^z2A4G5?x]CYsnCkP'3<W*oNrLc5bns$,Vcw;?kY8ebAVy+3Nv7v(AY
U"w;^w+AX$CLY,hFu2w#GTz38tSDu+1aXkOp$?cSpUOB>'[4*5k3Y1\$c5Ae4JHji
U"?Jj8$#Pt-ke^;sDqcrfb1-osR#pPpZP+b)L[,TMBlyU_KG8ffMNDc0aMw>^*xnl
U"^ExnB47lFIW>6]-eDWcsn_brd0DF\#W>?J0lW1^q(RRgo>TJGqcO-kAX]c(1Qm.
U";MC'=v-eJW6_NALO&[jH++cP*QoRa24sq3Ol,q)51YS4Crb>0LF;KsiDqV-$Xze
U"kK5jm?qX8pt^4TmqF<NX-Q*D0O3ullctt\iuhS#xS/TxFY>b6J;=vjcGXwl*run
U"Vb=D&rTHfs4FiwN#p]xh29cp.%h]I))-=&XJ-$5.PiA6Y(NRo$ib(?QhR*:FZ*H
U"hI;K;&2i(6>:Fz.-drq0q4w:]WwU5XlHi67Y3hv4a5&*]jCr=bnJn57lZjSOJ>^
U"Cg:NrOT[,sZF\M=>JxW]w%X3y?_>yZ[pdxPqr7=\x<*M\Dcn?dc;\NM#$xw\wZR
U"qwrcWql6cjHMx]>v;IM%rtcIBmh[Mm+8r9m_07D13FMY[nk-$DuP*_;i4$>P^Ar
U"6.RKIQ&4Etm?u[1(_n1?-d$0>l(G6IfdaadXs4SNGn*cxpzV]o-'SDY+_fc48P5
U"t?XHER*,l)$?jqQyb;3/a$oiB*&;RaXEQ?)qg0l4S;f$/s:KnJ^+J:g3ooT7TAS
U"ohF+++n6)g1nwY5-x\YCFiir$V^7S]cM_Bhj:H%#-ma2(92\EF1QHh*oG3cbfSs
U"PI9K#zR852vnY'PWLugBHerWdL%i&d/(+]*N%gu/VOR5X6:J:c?=T[JVH](([iX
U"%RZ=:Yo/'WxrU5dZFRUqDIHC&cgp1%PCbe\Hy/</lQouj1iEWpek4SXWmKUUo.d
U"LsngBP42[Qd,5T*RZyDQI$.E3f.Xd^Ycei9(DH+sEAsc3&Ubu;)IK)Fd*9\/)0[
U"kWd+]Wk[M#pRVS-TA%-SiM3EDJP(e3R#<1r6k3&.&[*?B1),Tw#92_podKNiG+\
U"wKv?eBBk86Po7nrJhaYascku^u&97\WkQ38Og[v1.eY*7&A9J\e2Z36=kg28bT3
U"fN?U9xqu9'1HhLm0m3;a==F(P+&+b'V:JQ_c?)t2vJE2\S'h:H9dJr\w<LaF*0v
U"xjjpnXw8=khmX?sB6(Gvf]8be$Wq8bMugPtj'(1h;kXJO,jtk1,H[HG<X[I=243
U"=Q\BMQ#oP[Hd2qi<seOxJeFOOR0XoCXIdVI)Lgzc>i.Eg&Hqb>FtHq.FkOgb8CY
U"ejBe8yO<JfS1]gXvQo6BewL1i)iD$aa-7)wP=RG1VI/%/E?;'XZu_>3h>b7TOsu
U"1C?ELkfitY9+a.#Qk[GTDW'tm#ik>9LU$]9W5u)A1uM]gtAH7=-\FR&\?#sJ^S_
U"HlZZ7[ULK#:FF_0p0%)rqou=jq)YqvE.L3i<B-o-e8?B\e,(&&O3tZf$,T;YH)R
U"P/p6s?2Zu)g=%<g=1tPb3lM#]6N_XKpXtGgK\E'24HnMp5o.Bwj/OlRS#bK>lXz
U".fF1v0Lr=WANatg\Rcr:&7l='<Ykw;hk%kY7s&b*Y.BTMag>w2sw&N(a?P\Ft%4
U"L6Hfn,Flp<V#jL)F.t&%5dp^C;jrlxbQ%)qlGGk;tH$(A'^)WKK-'hX#1/%KR8r
U"MzNlXg]PK^V<5E]?'ND):?5qF9W'MQkZNknUcwpYvX;$HQ8dNlvvNw?Pxwd'x_P
U"i*\.SSc8j$2X]9Qb%0u_)]afXfdj)54RxSr6<CHc$rKO0C-:mcwcg)X6eteJ\F;
U"[CU,+vIX7]a_.LX]d0[_mN-uR>$]-2tQJW12(6Rk.I;Ms4>s_^/CBVbVL\]\5AE
U"Yjm]<=C_n_pjB?9-;;el6oD0>RKA1vSJu\nqI\sNIEiBo:ohuKoUnPGB=JVkdzw
U"PmSkYEA0?:A=A+I/L?#_m^;J=oBinp+ipM>HqmRl'\<'pYFqjx)=>\5-:1C4T^d
U"*_KnPNBGz)eOI8R8SZi_y2],bO98(MeqPa>h7ku805hk-JiIS0?fj_.Aao:(SR(
U"VhQm<L-;qKsq4/JDJ^h'?hbOuVZJI[*CQdIN6[$[92jR'*\eBwJCr_[LtiS<7rn
U"8atA&Enn=19>#Y>BqnlNooS]tTWI.n4J3bm3qCljcY*noDjl5BGAT.=h4)K;k]T
U"cbBjw'>H'eK]vUMj4\NB2Up>(]YW'UK^V'H;ODQ#8?TAvJ7wPGc1t$tHo[o.1Nf
U"MmDacLN*oVgOt*?k,:4kpWi3MPq3=w5I<)e2^=(fCD7(,DHD^K%zjIW.qk,eySN
U"]oh>YkB8rMh-7]4m:eCJcH#4in+yQbsh=L]I#$Jn<VKfZjWaHA=,9GD6N'2Gs;G
U"_/\<#kVM.2wKYdD/RW6luq'BrqVSkqq7dWOpLX-+IL(ZGNSSu:J_V\>'#_-6Sns
U"mMXIV33%iOBedFFi=$3A6]C)Y3-3.piK\%OCCs38Vg']^(Lt&P)VUu#h5tZg19C
U"d33ZaCWPx_K'aLT=LWay:(4Q%1B]R8FXmE>T)x5RQgB%/&A't6O7i&AHkYd-]l,
U"=n]oV%wU1cg\#/?AddhC?->vX5=ZiF'UTV.bRjwZ_sUT^SGUAlKG_&gp4D:Ex:W
U"YSjLiLiZWD-a_o(vU(<Xa)?u]YPL]-=DW(jZ6PIX?2]0*>VbQFJxA>49M+?sTsd
U"jmfDtpIG,[bOXBDobFx'8TmtE+5YuHs8Nv:mYih^e\>T&:a;vaFWu?Q1B2dJ)MX
U"p:7hu1'W2e1*zCqEJ03$,1G>]tvljJv&Kem$&K%CNFBUP$oc^]EIhS?f/$\$h6U
U"_KG+dXm,4U;y('g3_/(0VoC1Ko5^[ghE[t,_HJeHVPpp[0u#4(OA]B?sG8.I-j6
U"*w\b4Yk/?^/,YB)OH:$gdeXu8:__YGJP+%&h2M-5S3kRTz<'VGg&,xrr7(4ge1f
U">sXhBP]1$.$E<_t0;9?)qyrucp$4&]<808cw;>(RP7qQ*eW5$pg8Xe3MZ<w3e.d
U"C7(BhOZfluQW5[$Q05fvjO+69zj=5&hKa*H&3N5fmM.awiH:asw##KPB=+CA0mN
U"j'f4JBvS\rQ7N+%w\9k[X6bDoLin#lW=+\1YSD<Q#f]kB[3PW7$*=9l5J=T>DnB
U"'0J-tSW\O#+%)6iQVw+(H'\3+UNQ*JI&M)D&x5U>JR+qUF=l]$fJG/lD8^qZ0^-
U"KCLjWu'bwX$o&HAFsmeg:hSpzYSSY<ph9II^zCC*$EaT+8POPBQ7&h0ayU%<\+(
U"VcX8d#)pe*YwgLMB(j/\+tywnzKcJ^jkFUL%R-)Ar%eV'H3Ky,ZEMg3-xy['O2u
U"4#hyeJ;8hI<5ok5KH(5xeSY**OT)<Gg<Bfe.7x)Z/e4W,ccdn3n0eK(NiO+n9Bi
U"q9)5C>Q=T&N+eQG4R1;xQS:[#4OU5$6s:K&2,nLkXq1j5YN>UG#KanFH).(b*S6
U"&>;_1p1C#Q(*uJ#^5+nT,<^B#l^,'Y2V[c>S<co)-eq4P6qO&)sWaV.GZ&OS50s
U"-c,Ol,mkxY0G:aX$$[xBheC_<geKs1nH7\eeq,1gqpJ(jl/?-ql,.,))0-D):r&
U"-VZk?x'MDn?P5d(srrD=^)\d#'uxnBB?NillJ]=7mGvj4_xat6K#m]j8*CK)4VE
U":%a)^+EaJrN9h49.sZS^_2,t)EP60tV)Gx&6s.vGGji=&'ZV.D?&cl?K0L\PoB$
U"H.&S[rT-jf-.[a2>1:Y\TI*dGhcIm,u(I#L/e-<(dBee6Qbia-BjYBtqs/UNRW,
U"Izi32jNVz#MMr+;kqI?1b)xfCK3+EC.;#E[JLE?nU(pRxSB%K$DPQf)Ndux]NMt
U"9xI/MyG3:EDUQem='Dg+,l81#qXZ?C^8i61zKE4vn83OP\;EZ#-IQCEKO<ijm&c
U"3[&Di-)l/ZAJ/fL5z]ui\bWdYkYVS.OPS7qf.b#(t&wcD#sDoU>D>1#88Hz:?iD
U"c<D/r4afE2<_-*4Z(t&nN?C9kdgUi4T&w=#-AYQO32Z(vlEM^q5&B'l87dwNhAk
U"MgL&Y5*/%f7PA=80])(oyG=-$4Uak%l$g/oZ&ye[;/B=0^TtQMIw$5?Qx+DS$t&
END SUB
SUB V5
U"*.))6lofqx-C=9EKwEljCMwx6+5R99u%c=0%/i.aqgwV>7*0<w9cx?#d)2ZNm93
U"#[H]vdN*uLrfV\Q*8_)Uh#Tclkhe3X-b>eT<G7je5oA-''4;y5:8B1z1i]YQ9Q0
U"TaTAH,];heL583]YNCDDIn^I,&%BA:nFXMgE?mkC;OK.M>'H78c<Vhq?kL5s*'F
U"^klpQ\sqcf_pVpY6KY=NJ^0)t_Y_uVCq/feA<eGc.mXdAS)]?6soVb>-OE)r=&w
U"Xz84Bdclt-;RPbJRBFkVtS820H4pKv5=8Y/d2tPOZS=.5FrV]\2aZ25A)9\;DeA
U"^-W0'NE0:2[9oVoWp)$5UNBRgD;4h0/$r'=7:0=k#41ULSW8SGDYO_T-YKA.^z2
U"q[KD)=A-IPouQOqJsC2'XM#Q$A?EkC_$3lt^Ehlf?;Q?7b$L$;kPSyR^h2X[+_W
U"IQw;,B6Ee./&z(07Z/;%S]%H53Z#abtKEWgVmaB;u8(9,Vp_a>+.GqO;Zi^(>v8
U"/43^7V*YGZ.,zY%+tr4/7DPL;jrN;QX/-:KUiwIFq+,vP8'l)<]+uI]0of6vmWp
U"06p'P-;&bhkRV,Pl'4;Q9xkAu%WhBQp5kQQ1N%R'05<tQEOIjQ;wRKH99Qp<K3C
U"XK9W8(Hzpaq/t>?O/SOtT[./4j*cha/2Yjv#K31*c,MJBo=8]HEx?=]=LKr<FNx
U"Jn51oB;q=4^N#iZ<5XY)Z3>;CT;?XOvt..ON#VBI#=qtTL?A$Peqqvn4+=ZpV5.
U"HJBC5%\r$YVNvvTq2eCrr+pn%^OJ9r?0OE5;J3_bW9ax>R9c5SsjA,1QO(z>x9h
U"9Owq%hQaSAF.%(cDbol5uX/kdwan9EHjfUUC%6aUU(AeQZg_L0BN9kR,6-?;P^f
U"#]Y\(9+4>g:_$89U3XOrXaHYSOw5i7&xO4m8)4sM7Toky/+h^q/jZk?0)6:.N3o
U"^pX-X)'c85Idbj],GO]fXwW+VRP<'U)U5f;QA:0647bo[#>\Y1jN6O\^Ow$e=;7
U"1I8>7%l--#.'[ZV&ldmK6g<I+xc0kBMs8';MUFWBi[=64%)DqLPu2tGlz3X%1,g
U"52avm4Ul3P]7#]VJ'N^VzH,Y4(iky^aZGr9WvEDU]vPY,pc8GCt0goeXSHHa4G3
U")ql-C_.AziiuWac=%IlaI<XS9*DY$bJ>J0$/,:R1CJ6:M^_no.V,AbbqX55mzX(
U"9X%3:kT59eNc8a>,.(>n4Q1YwmTLc*PBm6;5q-oZ'31cCE)aOfX;-'WyB2m-*^f
U"p'0G=+1,V?P1)=buNV(O3vDR3&l;_MGO07Wl+:\hi4S+x+U)xL-wg=_kAdPNR?5
U"k4)RSMdN;#-#K1GG7F:Ylq)qZp,3S#x2\ehdI5bXNdeH<>Z,JZdblnreu%l8$][
U"tj$7OdpL3&fo_#mzS[*2lC&[N]dA?Y3aVsGI/X[#Soplc(\M^dtaI+_nr*xOg]_
U"tg<*oZ#x5i:Q>:hf6c=AzjAmlnQ=RZLaK2\c7^WqCpMKV;$SZiLW.gZWpn+mQtM
U"rwIAA*PnInETO'=fP%c*9[jemQnk*ZJq:G/A%a]DId.kou_%rW5x7(RVTsT%#Yt
U"8'Fn$dUlKdKUUhOkB<3+REJVBf<wrRaIfs(uUdmvpk>#Gj2tlSn/-St5-..BHig
U"Px]Yn'jA&Kq7RisbkY_ZBmktKN9&lIkXtQKKSN3&+hS?bMSLYkbrgX5i3nb0uwh
U"$Y;JTc8b'*[k[FAkm<aTr-SS/^9re5abK_j*=hEFIl>Au?S_bMa.T](emE=:nQ'
U"-LLtQcq]_,7^bISIC[d_lm&^w<76NPT4.WdL_rz54;/<G3UNH1)cp;US$9$sTJY
U"LwyD5y8?k.sUW+d(Di()(]KGjb5mQ_dFN+mB^#$tMk8q>Ypu*_49DVx6a+<<]^u
U"H>mWI>tBum;$M[$iD=tho8],#\)8SJ;N$MH-8wW+9XLOq^U)cTlC?Y9;*k-$cfQ
U"x.'PfVAT'i>3P)r>N]D4%kSo*(g,S<1Nu[?2j(A+akX$;'0i:29HqVt%Fh;HU0N
U":[dX\<M'EmwD\vFM+j9Nmv_oLd#vmlc<oSJ:<js-P2#Y6SN?d7G/;V,(,v7r(]I
U"Hn-&$[lAMf/Mt_?#[WV9L9u=r#j$_\JFGvf#]IMXlVHVTNB3oXHYwT2xZK0l3Ac
U"Im[kSVa)[^&HnLt&xC4)1p_4J7^vd5Xv3-*k&oJL,_c7ie9z1BaX7#*Sdd),9^e
U"j:?P5LRAi?qitE=&T_m*8eF(.1+y5p?%Ln.BkH.E2qZ,Qka2:,-jn,X3.Y]pLdi
U"v.V$r9P5f(RU8y:dstNh975,TpFF*dN>Rk/BlY3]E4M&Nd*uv12h0u&VTM+zmYT
U"^#_-(obSnDRg/G9x.=90FWEm(*z:QR0E$?HOehf3RasX%UJ,+'l*P5i%RCDnsJH
U"]%b_fo?$m>ENr3cC20qvxeHD2t3nfm'[H5CCQ?c2S'Bsan,QNf;(sTG[fRmh;NB
U"Q0:e7Up+p0ZR%sPZ%\boU>P&w6q$e1eE?%yO$;bUUX]Y;Nk7m-'^ITDglG2>O69
U"K2w-H(='[4BLU60-?2*f?R:q31&u%m5sHbl0CJr]T^FNd+k7XBcH1^A>%W*>+H-
U"Xu(3Jzq(c'PaE^SDm,fL'cV-##6=V^q]TX\CR(s^a[rgQ,PL:Ja7(SdSmNrn^:?
U"Pfm,G\:,AICt_1?4V2Pq&*NonOlCxcEes'bg^4-2)+w*$rl%sP6UDEdPX.Uhx=K
U"i0%3N5U4Ael-0+,oZ&3+kI=/L1qngE[c&Af]+lCL1?C$p#Je73t)guax1q#n>uT
U"mc/:V%Qf%'qiv-V_aS5#p4,4C11O)UX,u'+n1jf1:*3a*K[\XQ_Q_H&jaYH':ok
U"sYQj>,e,U[*$fe29/*O:o4Ml8nUewEdrxn+V=CgWCkrFgDX#<lU+BV-g#Y4fbgv
U";Ceu??7e6]3*A6Kv-]:l9T*c1D,5e-%Y8_Ni+Y3M8R#%$v7nx>mPRLa(2&bdSAY
U"_jsAb(TFe+M82B*(FkC5L(QFC;Hy<,/^E46Le**ksWxs./R(65Jf8(.36+n+L?k
U"1X2QJhMe0rqu<]GmDkLWDF*3uZWJoaZM#rgQ+aG;6fS%cWJ%-A9chp$':MQO=X/
U"ClyQbjperFT)rc[&./t3E\Rkp.n6gkqpI;GzGS%TT>8ee5z?N2S%)^]QKcPh[GF
U"2IPug:TGb2^SeuP1;x9eP]?fY2QN2cppwQ.Q6U0gdYM-Sa*_3r]]>+)5(LE),JN
U"ul+[oKASsqN&\J2te'o/Wz^UiA3Q,032Xf'[s_3*p-',]7se\B0mQ#34$kp&h\]
U"2=zJ>m*%6)q/h-(fiFH1zb\B-O7y-2BJVh&)xVyRU>LvR)Ab#9wO(;7=?<EN;SQ
U"-$:1KZ29JSdDq/141.MD9BgiZ((Pd.fG29X1[v]VU%#hDqL:R1SRz>Gp70C0%mF
U"+dZUZG)p_?#d:1Kb'Q\r1AtJQ2<x\2h\n/x*,\M-cYLS'GH+#na1VCxhXb?U[0M
U"=Qljq(9EIvhA.YJfH6)n/'+)L/Yam00e%[$IlQbOUrt2QZ.A&Z7q=Z)<#S0n_-i
U"_cWf%I$2m1Q>(W=mqk*.S#gGO#sg<vk_'fvk44+&ete*D.^_D(/K$S7<al91/'d
U"QCyb'<niy*Y#(9oRyJHnmM(\?2%F9l;kHdDRp%UH*N25?.Dq,MIU9iS]n9OA#q9
U"<%+6SM*sQ,R0N:<]T\ascW%CLAMXTF8G*R7gB*Zc#bG+3d^#*0UlN:RSL,mx4<<
U"_'e0?wux5D%Qe$Hu0[r4kb-$iKj;f&sT]6+Gv-7HYGdS4[mYGPqt448F2FI=*v'
U"BV5Z-QR-4K#+Ww1hZa8(6P30N&bMUX%pLwKf*5T5KL'8Y9&1/[(zf;XSx;S77=b
U"S?5+$;pt.:?kR(l,7E;-8uFWQ)2Ki11y.PUk[2;g:unaRNChSST<USkSq&,O,()
U"8[J/BJ^7T0^3%)O(QX1A;92xX8/]/>F;Gx2G6?ULPJ8x=u0a+_6hj.iG'-<AWG<
U"W3lM?K755b9M;<OrT175FFZxeyD7Q%G8i]Z=m4F=n=b?6#d-.QRAwxGC78EwxOe
U"I*kPvUfO&,5[.-rg#qKoFyYU-z;8%1]OSoKehu3%_(i<)h*wY3F]/<i:UX$KkH1
U"GZb>7=m>%ESB*/glE)*mp&boI*>g46Rio*g&#ajH=aPP/;S6Rje'>D(XqY)M*BA
U"'p5qfdR;5738qw04PGU+vD0T6*qoh_h?n8V^*=&7Se*;Km^8gV=[>0'Wi#xEcW%
U"(.R*>,7A*r($;AXA2W79$YCHoq.'%strqLaYJj%)VGd/IsvL,gT4\>*CPUM_[3)
U"<j%4-/iUj;j^5ZI'J$pE+(P:]P$RYN,4jK,Eg^em.G]n'Z7#(=6bRo_#$WG?e2i
U"-#?J]_/7C&gjUngEEQD9s5&'SjrX+$5ficx>30N0yxGT:)CjBdJ=1.gHk^0a&1k
U"*Zo8]&qa;1ZGtV,ipoEW]$U6;b<VgVURnH1cQV6]id\g'7UP:GF)^,FA<l_#GWG
U"pD#'1LgMGS^-L2;>_::iWZ4P1v%^x9KCg%:a6K+m+OFCqVsj=R[D&?*--1c*?cp
U"^/5aTcE9/mDH.ga]D*W)3YN*2,w9[>r?*82,VSVEYPQuXVm;'?/2i2d$0H:U+-J
U"?Jvf-;4B3[*nSWrc38a\*6_p0hW1:#Ag<01;tG'(FPRFfn(S_EAIU_bP%]:=q'&
U"cV*%J_QOD;:p0cZY764%<8d:76T39amS)%+9g[D*ksh1?dMg7S3U=_HW%\j3-20
U"H?e$Sd>KIwo=B3=1u5uJS*/?1ZkpF7'$>wsAe9**C0CB3K5RL/&3'8o)O#=QFwl
U"yL#*g[Dh,R_H^)wx::ZZ0;iYGv6d%HyW^^Z$\tjX\:fGYw9U>m;gO=\..AO>.=.
U"A,HLc)__[%$8zB4au:V7dy_#=+(eR_wn#oF-ZiO&#*MF;\O^Ve=7c*5YEeR,];h
U"-4\m[Z#7p</?qw>h_yOnQ#Lk&d9qK5=NGW6rg0kgf^2?Z_o;7;0=ZOR8:#896',
U"a1yMDX5pMq$W2_SSv?574G\6k'QXXxm#l)G#MVQ-*w6tG5D]*pU$m^OYxbWZ1[,
U"%K&r27ic/aR_HFsU24.-fc$%4q>pnI)hv2]&vqu0ApK,&b0Wp&l4wO9^vr1;OEv
U"TEKZf^=N95W_GU</gOROeM[%Z+ie]I(RM7n[&gW/a=(dt3c7.UBM+v%V=M?PT]?
U"<^>+iK,VQDI'*))xXsW/lJf*38-PJ9Z3+=\=I#8_70_vh9Lfa>dP.W,5$hq5Z'9
U"8j:GIu'SII*IjhABd<^3.Y://U7F/TF^3?q#.'(a83IGk5O8%b/(bZ-U%ZKGk$J
U"zvl4R]yNF'e%brN'$1P:XaV0.83'k:-[4JT8ut#I:FtQ#&&Zn[088oucOnIJu2K
U"H('tq0eak*ue\UO5xHR-C.f$lG52xxE?n?,Fy1X+)GT6F]4]H>[NC('VhQkgP_h
U"kvd^/T.t;FJ5(:tr4#[A,V-(J_5+%ObfK6#*qp6S8,pa/5T.4I>D'kv34=Pj.XK
U"IM^+R,*CTiX>,(UoVBf/D%9NgE.)oM)4-N/y&01p\oP$3Ni]j1u#r=#e\Z,).AE
U"]gj7%+,aN:1p:X&l%>7#JI8U[k=Hv7?K,]n0mF?DwT&Pm65zQ7f,:[=NKIXy0UX
U"QUdd\0*bj[&.gjZ3R7E#<9ifZF8AGFKOn45Lms-NP]1jJ;?MI(q2oMiS1]BK:8:
U"&78kpM(*?X%0uU9j8os7>#lb$rRCZ6U7bBcH5?1H7<DBKGXbIU&[dQi:qZBRg/H
U"WnMY^w&^ivs?)F'l)pv'\fC-'Xn'*=R94\G:hg,:'IWji9S5g-YZTa#>Od39\LD
U"C.DoACGoAd.zhqA)XFJ;43A]gh.M#&E->&B-z,jY>%oxb)c:\2RVP=]*homFCvD
U"G,4+?cYa)Wv9&BHd[knhd3(d#MRo_/T^t$H^U=lJAAlZRqp_T#GGbea(<GbbaN&
U"lvt6l]qUAI<W?N3%L,6DSs.Tc)5]:(mEuO];mi^mHD:L;<T..cC:pH&QTN>S[#c
U"0O2HippN[YUF7_v1MZWnNx%cx8;T&ts&%3+80O^:E#ZcSYqE%Z2p%R]De-yo(q.
U"f0CW%4)/Qfg(0)NZ7F0e=^2qFv2K]vWS.p5kmFCnRLh\\Sx]1TQq(1OTQ3&&UXe
U"1al(H92*I%ge?05<BLnldN-h;2P9E3pIlC148/=P&ad1DGQa1nG-g9T^xDJi/E4
U"'*&'OfORvX*?O$1as_II<hKADmAqA+Il%nyZ7=iDIBRqKd246x9lR_5rb$>r]YD
U"-:#\.h:Cpo(b?Wgs9))%+SP?3?4ed17UcK=UnPk73w1Ogb5s#U&)%F>Y'wtp_sb
U"7]jJpX'Y%*;;&uylI/&eofH/=DLD(jB12nAP;tBL_JtQP-8w'33.\^G*%w<=4F0
U"/$1Ky9U.lN)*?,P52F^jj2:L7:21&y=h&$eQ7r'GraC);_x'OOLv^/k#iCf;S$B
U"$EefhvEM4U6U#rG',A-'dmciCJHG%b7mK5:2XJPDGIGDfI8MTa]j)wYPQ*mnEI5
U":misS3%H5]'Xhu]'5lbR_Nv?H'+mG2a2kVM$[tW#;SrD,h).N6qRvq?Q0<A8o.S
U"x?]CI=?RpeMv>&Adxa0n(7H#\Jv?cQ+$nuNxTUi.Mt*XQth(aPxhheX4Wa0_F9K
U"Pi6O/\Q?vJGLgnE&=;OK0%E?&UtEG._NvCVY,VLR4i6^4eXUCprmr333c&^sHN1
U"odKr:1ZTNlEO402)sG\pUa1D$hJ^8nKp&_IJ>fB]+LD1(KCJrQsl1M%1G>Pb2*I
U"sG6-UZ*HLkSEsNks:1*&'u$z$(,mcXO_XxB/*:ahN\r\tF2mCl]6uGVbu=)I^rd
U"a/eqUy(xrB^*dhCygbAePS8Wb'I*W%IG<OGVj+K<//a'QIBK*?$.hFx'bcTzefb
U"Nev0^Rl3*wdahs7?:+iLP1%J)%RoE5_YN-3]KDeZfgAuwVbx9r-5(AU-_0amfYE
U"pFyjl56p[FOsshc#a5vw>B1O&FiQ]8C$r4?fe5vs]Be4S\+W_]*Hx;UceU9a],;
U"[i'D.nA0q>t3-7o33X%t)oDq\M>I]O>?]:6pOVz8N'0b9wD?5l^'/XT:nB<nFC2
U"JUT-HkRzZL%=o&*9LRKeTW)%)?Z+j[wEqX*X1wM5adun[XY0Mh)YbBQREg.NE#t
U"rpT7p:9]I8CDLK4N_96,i3$,:D*wCsdi;n^fX[vOOOdh:'ZZY],OIS#W9uDV.no
U"#*3.='K0h-/[lOs.pVm&Q;p''HqWSV%-:1FD=FYB0(h=NwTcS8CD(]>H+hiXzDM
U"a05n,;lCmj#..5T(w6\u*gF1dM^-ZUo]KQk84a6,[)(eNgg>P/0R%<huw$6bI1u
U"0o['xy&,h+U<Z\wo5qH643svwrhkW#5d?:IS<3$Z^2]1KPaa_*W;s#)Nfua/vJp
U"BQ$7kH&j1n+x^lD6i.E>5VRBpoj%Er^Yx,_ikX\V2zH05VCp3,dw4$Cy$B1XZRJ
U"a$,9p+5>fjkbELgvP]B'v+06n<eIjTe/RGnYhewh>f#kp3F%EF5R<jnX=3YHk?S
U">,(*ZRtit4ir,<Nzm3b2QZ/Di)wrErhUMJLMy,HXMOLS$Ao/HT2vn'odH8M&vD<
U"+2YK)EM=P+/zt>d',P(FVh[BR3XmKl)=it28S;&Lm,'?'E0WGbHVAf*OB<iE/Q9
U"Dl93SZf#F5mcE7K&X7l%OwRTA-8jYmKr5A>D5HR'nc9UP_jFP,<gp-8O6FyL>i#
U"(lnBKKG()6X*D\b4V&NjjVd:o1yf&Q[s]GEp%:5GE4Qj%>xXC$%VRJhOAjNMDar
U"D[X$zRme<M;3d:67FI?k#64_?<aZto.o73:t3#xjzBu/GirhuX1A(VsAU]Tm%1%
U"X5Y]<$P?HvDmXt3HF8iB*fs'GNY+<6Nn+UnrJ:36&X:ra\4SaEhP-HREk31.\a7
U"p6O\S/#Ajil$/s/3:+1cFHo%a\0Vho]DAG4n>y.[ZmnV/bCRB)OtDZsqB'irl,,
U"5$B[hx$65rkh*#M:;Dsk+[$2dM*WP%7o<wSex5_sC^5&'aoU*6Yx?Bx.xgzz'A<
U"3?RjFW3FeQpk=Y2u:lk^SI&ZAow00R>4d%t.F&4(9y#MAK/GJG4TP:23Fihk4Ow
U"AL??S1+%Ao=rO+:Q<uwfd^Mc/ka6-I=5c>39h4t$))_Qi();nM/Xzt,5PB8DS1(
U"50QCEX^dD]awJV9vmyZE(E;ri<T%gGql#T6D]<A1e*6t4W/Nl>jHdmmZTt+^ro6
U"FPs&y8MefNVUEjJSXF8F/</q?gr5gL$;%(cdi%FH)MCwIOA.]jFaW<t_QyR>'Bd
U"Mr*r(^r'd*-*[p%7$gjnQKs#2,v'q+L'f1qrlp.TIaFX_\\+cKk(,U[Yo\w-E::
U"5\1l.khDw,JPyJcNWLQ)]c+Mj9NjhDa>Ie38>mZ/raY7J-NCr$_nmC%%msTL:3i
U"<>jm1n.Lw:6/wI2wIX;iM,;X>FAiL;d.EA1zCtxMs?,\[i6a$)vu+XnA+NGaT2/
U"t2x6CcxYl$tLac_XX8UUPe'7=)o$XNn\>O3Bqrsm\%*5[YIqTX.s(KZllz^.kHW
U"[qMzh2-JB9&*0*VS_hwzQ8P&3(c_x0]C_04huyh9#>9a,Ye:u[+FN%$PrwgWaX(
U"mdb'=F4+j>kGtxvHWASWQDa?D^jM5/pOHT:o<%zjR7a;$yT[1z(s[9Z2wo%\Z>9
U"I]c+NUS8vF=2RIV<eT1.N&).=NHkjq;;>E/Y47akde]R:?A-Hlm8u#lA'TwV87N
U"0fV3NO:_vluM;EBGGH2:a)nKm^2dLP+F:a43G2e3Oj,ws9kibUsZMw%tJ3-/sbd
U"qyt+1%$\ls6jxT<rWwlW/2uSVq2DtKQu$Uw[%Yn^1Q6*.ta<i)K)/:FY,RDr,XV
U")=H$4k;Xz9.[S2fo[yXTL$=mCmLf3U\CZLh02+.0N_d%u5*0%Osa9A0p,K-$#C8
U"FIa.^Y03XSOWDfQQ%gVn)+#3b%4b/46^g,W1GW1']8mLrm')LK>YD4fvHGJW'RH
U"B4n#*OXgZN96X:4CRQXAoR.mo\nVv9J)/PJGwtGg_6wN38dMjE+hXp4E*2[JKQ_
U"VI2jB[c*bxiNO1-Ennyj8mFcBjd.nYHMA6ZtDea62:NIr:K%y3T4GP+Y2V6A#KE
U"DSO4zEJ7,%3nZ>^0q'\*ZE)\xjJ/Cu1#<IJ,N0>[-a2aV]v4Bo1v^2\-j*'k#m0
U"P5)x1/&3pl\mi]pKC+2=3+a+NY^/%AhDzoOZBAe;71nY=0m,#4gUcn<,z9e;<hq
U"*vtWBNlC?ix'H+erl<c6KLR^3UUWVx\],Y*n=JIUQ;_Y^>ERg1#uqv##WpaMt)h
U"$rrAKv(V#cLF%a8z^OyPXbCmkMEavtj<M^6.G&\3t,O[M]9_Nc6osHq^cK$$fPe
U"_UMPO^Rj]D2nuF6N0uLMlp;o]MA%.BqQwYW\bE7rs'<9D2:tVD+J$0-7d,8GeWd
U"L^K,mD>]#iAkCSU*WK]x1^X^bt[&DJt*-M.>BF%jK#Kt57AK/ZhiESKXbr[6<k>
U"?Hrcu0o'Zm7cj%yj?nw/c=g]liOfVSowSM74%Vty]W%FrdKkw,s_NYj\dYS+4\i
U">sJ%j5?iGzEXeOcKxu4W+lrj\lGXc=CBbkAk_i4[58$qgUxuamgoI<lT>CoUY,H
U"wnFh,&GDyK)r6DchTjsJjJ)b$AL66%Wpx%1Z_>..7;g^YA%4RW*(-I:+sqq,\;^
U"k0.gmYVkTqSm6T&5]\a-vRWE$vXS.rd65)E3]ir-v$)ZKFN5K(uGe(6#Ll01UOq
U"sT/:ZHMX&[br$Kj8NjEW0w+(1pGo5r/FZuYaFpN6:s<(2JnPNHn$feonpvqwx,E
U"^2v3>cYOq<mq^7r&_sP]DU-zHL]us?.z#mg()nld*'.AHg6Q%F5(P)3gCDqNu\o
U"2rdoR74JQwz3b=5?V)-q24iF%gOnPaOBYi^31p=CL5+(XMLUf^<=SD^o3t7bl<o
U"-OjCqADDnQvmKv-IiMHFNJt3*JBvWjGr%td>z)/^g(thVsW?/6])kXDLD%fn<fx
U"mR*TsOdYU>tjqNs$jH.=r23LXz?\]^Z>xN(gPcD^m/(ZWkEnqe6,r(b-u%s<O89
U"ub5-*jm)$RevAk)t1VDG:po^l%g;O%PBOkDm8$59d('e(oK=ZV<ErN7S*v]+n8c
U"bFX<X$$nWS\NoYZ&Fe'/(>2m:C4d8Fh6iP9GSG6GAQAEJN&DG>V/$h07A1k#:T)
U"Dedwp#3UYN.kM=v([0(kIh]EwEj6&J9)(aQf62vrj))xkZd+):9l;(_Ltao<ONh
U"plTfWOfUtOVVE+-C$(;ib6e8Nc34bW']sj/CNtiTmJ+eV8.f18171zb_Iwm_'RH
U")jSi00k>+.=^o.]$I^F:]9:M^sD97\zSP9XNmWff%MHM#U30.':1S%zT2.A5;s3
U"x9-AcYDAX#3S05(t]$;6Dc=W66k,4Cg;[O9kPlYhpO?Dr(pqfi(7Y2pa%._*Rfh
U"XP=*:#gv\?0Sa-Jc=WJx<&zC[_Yw2Z^lUd7COP:2G(6yd?+bkF5cSC[OCNLrVE+
U"=k-,<-9QgpMG.UYa*_p\1vio_V,PuCjdK$N^Z5BlBS7N.Mw5PMo$S*]mBWaM2)F
U"2FaDRSbv^ib;G\4EVlTNT:6n,->fxM>LTsp?k+]-88yJmR2ZW*Hp%)&s.We2h=O
U"Jg;qF[2rS7(;s*nhM)m^ii##c0A9%.h.SU_+YYJ'*=J)1yi&;PHfQ_<O]M#?hm4
U"XW9j_sk_DZOj&H2fLhC3:HX$BS'?hI:h]J=Ci2Q25lV+xKcMu_.V*Ywj'VTR&n?
U"fu$VwP.=7a/6=<CQMmsJt'vgc;J>/q8^[lKh9BZ5hnShK^6>C2>AO&o8E]fzBN?
U"?vSy,q0+*VnQmL[9;hmK^95wT=)I%7WwP3u0kT9&(ajcpkljb,HL?*_XXSB?HN#
U"hcZgPVpZ6(0-SA/D%]>UTjZBNPq\bEGHiE5,$8PeIY#EEj]8l$ZPd=G,GCDtxcn
U"OY#fenMML>y5U5d_rvNpI%A#WMqB&p-ilf*bP\CdyFjnwd>Y^F:-2usuL*6#pC%
U"_fFck.\*an.Y3FM2;T7-4^n\5Y/($PAXa(hKM88,1h+1(WBUrff<fHl=aEKN*l#
U"GFoXL^-ih#hVOmkI_'1e#(vh/e9^>mS:Uhdc5s0$mDv/hcrAYn6a:3^\3W]K:?9
U"Lurjx_FP,HN[jKXfQce,+5eJrJF&g5ouEI2QGRWgjTo>?/ZGDgShilB^fbRvfp5
U":$y$%EdV[_T_6\b3KDGia7KHCNBu_'s^(NW]5/q?\0EwN=yMFkBLj9.<1kR?7S[
U"o]qAk:G,0*hNd(b,Ouo*&NpG=7k>-OX8Up[?uh/<Q,D3roVAy8uGGWDt6vBI)&l
U"$Q,t1s2>ST+2gMb:I'r-=m5Ic=8Vp8SJxlj7DM4qndEf#+s<h'e5;uv:VmI#au=
U"kj;U=IY?5w_b]Out%)>Yb;Kk*&b$Ei/:9Rx^o_H/hESSG+NAHvEL%X986>]AafZ
U"VP]w8mY,Lld5O]miWI*1_q3kBOL>7)oyShhgi,?<K/C.'dOqm<]=dG)lZ:Sco;,
U"qE;M<G:ZY*8'tDCocnrOK'Hm^TaXJZ[D3S.Fjr;Sfj#1=dWW('Aik81\pX:';(M
U"Y&*-+b+BIi[.'mza4J$SpEIXF>H-FZED)&do2i75qh8N>Nt4pc4&PS\AGOOt')O
U"aksBS/osP[_k2A6r&%=Fir\[[EdeavcPX\$n;'e8V8FBc=xq-CJ2*;Sq].g4I_r
U"/_7X\'A-f.)UU5d;UH4ALhwF%rs2It'-V=rtJo^R>_o6;7)jeE/3h?;D%UcpWt.
U"hi%8&f5,hie60DJh<g20fB^5ww\WaOZVc6HUv^.si;)c6KJ:O4%?RrFj13kHE,K
U"Ge;aDQCk-7HAY\C?qJwddy6nMI6Dy97sgS+TRcYAies6sBOP4HgHkb/\26Mp]g'
U",1jHJBOnVPg)zA;zJT=CG96IuO5NL]I.tIHw#TRjRB)9G86;V=U2]WX?%C&v89<
U"JCc'csJV,Jk>xF=OySAwIDt3%Y_kQ$geh*%F;*Ln-SIYvfBg3NjF_e=pqTrw?WO
U"c^Ig)^^BW+G\#OEkeFJ_tBqoDC+C#5Y_SNAFU*VG+#q(t/Gr)?MhHIb005xIQ_G
U"xfL-BF<[tgi-MASRYK,ew<IuE%5)mOJlJk,h,tGaJPLZdr&<udm1^%-FRZ,Y]W?
U"skTpX-D/AWYmq;$UrY3V3MCB[L.xWBR/-cJJ1f6C0dtWVwI&*<3cLIo=fa4,-0(
U"nYAMrg4Od0D^]qIM*.CL,;+[vz./N(t:W/V4iUAiHg%C<8K%JR?45e%Mou8BJYb
U"UJ3fqgupLmVM5NO*Y+.>_zE(g__1QM>4SCS:c9LDJpS11k2P$&6aNgiBR*4kP+Z
U"P)EXzP#D>5pLPJAaN^_<'J.+(Hr,9j_'&yt4NCdcDAKPM]*,=xQ/rn*6j#dbBxY
U"';qzcH\TZ<x$^a9B8G*CzZYTKoEiwDc/:BX7=8tombJn[ms9]&tH([Uy5?IdU>k
U"dXGW4w,-SC_QnUBG=dN0_Rel2,dvH/a%T=&7m7M$q?BpGM1w=A'[d)-C-H#<6;7
U"JoEzAgY$;r4mNz=KK$O-6>VBP,A,HDFVvGT$63fDVDAqTqaeV\_9?;,O&p2leCP
U"9<l>mIdkV%J\%kRIa-b2MhN/i,:Zk^J7KCNy9sOWaPEg-x$Zm/75:7&B5k,R.Po
END SUB
SUB V6
U"naa6ch]JCJO>W.Qo[DDl*&LtZqSHUo]l4_jJMndi/>xzRe1xz=ne1,%h903rIn[
U"*9j,b<$XR*iq<,LXqJvFr\M2$e8o?EKFKttQjlA=OI#7Am.5'psaF5Qm_Y5l+kS
U"6BS06%]/.k(uP$b\[_[&U7SB<iF)%\(xfJ/sWGq(e;kUieLP)gKi?:<A&vvnL_t
U"UbjG/e\/V6*')8T?lo*$)nPMQ,TeUQ.C4P2VH8G2Li&3j5/TkMTjV(z)s:C7xIQ
U"$f1OOF/ON^hcp+dmV;QD9='2=)veY[f6P$.;MM.k-x[5uIOb<#FS^J>Bri1cCDQ
U"<'B[?,6S,sez5dUhrtcBKVI6F7:ufm6iu(+'?8]Zm0UXKs[$wc9ttHd^%4,u(:N
U"G-4wW5mJC7gs+\GI*uXhkY/o6]V%$'*,96>qhKJ:]gf#&>]_qzae]n,5LeF\T%H
U"$o_'D#d,5bh=1vsx1)gS)\Tvs1d0vt0xogq%+(9-&Q<qkIxDPJn]fZVXedr]R\Z
U":femWOHPOd=]UHWjqd_&\t)Fk#FzikQ'esE?\Pm7Z^brAq=8VXK7_X2[P+P_1IR
U"5zK>H9FB$=Q:qnQ13Pbb'G1Qf;D.(/EBmUkcq8Ce&Z7e+9=.cdSan/zxD2*gvEf
U"6:nq#UO&\JA\/oJZKTS_3?Yak%2+_?-SUB*N0]?9b9RP1\elT+o6CGUp3bHC<Gk
U".'_k(XEsZ>:u4Y77C^%8V5]exaTagmps)W]87'1KAHl[Ti<\&g[pSvvXKh2F;J;
U"3jcd7;.V4C0lgL5ti#JQw,s%=#ok?/Jx?N:oP7tWX,/)tYw[ST>5Dg%g%aaY)YP
U"ojQM&osc'9C3w0#+a:$zt<t>o&=5*qB+*%],USo8TAUPfS10cr5H\VP(tnZ1*LL
U"LT:QruI4s#sXQ.Rg>mqU:e6FO&Z-t%ClWd'sQ4\j9A.EP'P>>%)4TIo*ca:?:2h
U"hEPL23,dNBaDgBwLzXb#WP&OQqz438>fd%Zfk1t>8?-?I&y:o;pox(5o%;xsB1w
U"MfS-J&:(q13:Nq=UzbG,;_kJ]J_sU+^g:w.V2Pk#-Jq#)PRHo3xDuT6_da'>2Au
U"9ma'4p[t\>r:pN/.)qsLT)V.lc.]cD,L#<?IFc4Z1t:\IEgL0inYcR2$Q:Ylb[D
U"+Im&'o;4G3]76k\EBaK)oK&oyB]Wavdht[C8AM5,XMt.q'^B^_If)PeKfHOl,NP
U"\H?_4&Rj<5<,<VT7SiG9&b)0E8RKj9&y3e9aOEAXUP7jsOb;e]cbg<q3MDTGiiP
U"8l8TMl3TZ(Ndy+CMv8PXN+BP=5SBN*fqTUxn-l*T>hO+dph8rW$CT%J._h0t+6r
U"QbOlVN\?sPclLw7[arn_;3ZIxUUWVh*WuOOJXm^B8Y-5IRDe]c[Nctg9kQ,oUMP
U"q.;I*_<_z),]r/jn\p0$H^j3RL/bm<qr>GA^C#Bl]GeA-8Y)4b4$s+CIb>PU=]0
U"C%E]T_oJ+%1;bmp74i'L.s&W8Q,/mJJ>vBa#N0a\M\$8L#jxLz*J5YLNmJx>>Ag
U"qBzjm+DvI&6mKnG^7hAgls8]ih]Z&grsJaU;Dn+mvB3rqiG\jAmzPfj+Kc7%%3w
U"7u<\VEwLpxV>&k8Cxz8HF9SwWPB_a.&Ezyi[otc84vJzm*_-YYnJ%_Po]di$a*h
U"wa9sN3D5<gg:Ra%0.TcA<ZQ3tJuE(IXgNJYsu?/m:oHeHI'#I&1vsnY(pB7SpgC
U"=FL_0I/S-8Dbcrq$0Uo\vXek#f[DEb>:H2hnK\ofPpjh[[EB70csb;Pg40i[dj>
U"(pf6fGn%F<h%t*cvkrJF9lxN4x+PD5LKBPJ\D*eGa#4p*G-O6JfL'rU8+$Ilg8E
U"_6VuKxshXv%GJl0\C7(u7/q*^o%I3FhR7:M1eu=)OPgAPF/Ke)u2:M9#Bh'O]X*
U":MqLcW=?VgG#xF'dX&LI9ZgK_,bJO31kDVI;8H.eG$O.M]M:>J'1q&s&bFLu-OD
U"*,(1)Bkr<miP7F^kh$pJ4tRA,?48G;ntJUo1l+35,+=$oH0+En+7h0t[/=%lVrT
U"r#aUV+$e$2=S]&?<[eO/c(zU2U.JX=6k4e2^4&qC(g4I-J*5M8O>(lL8D-z26]0
U"ffsUH+gxSd5$aRV(\D,(w96\^_$I<:&(lQA;2'L6aodGTFtQ=)t++_;ib+jiH,=
U"d+*OYNnQ1d,&/^M1Z\?M4UN:zLYLV1X<B,kC2RAxk='BFwG=%'a=4=W4;3-$Z4Q
U"_;7[>4aC2A\1=UX_9,cB$D+4ITkj6Lb#u[#=rC<+0tHDeCc8VH^5VlZU.u<q]?9
U"8>BZt09CpU5ro8e'pt]>9ZsL$NH7sV_aQQ7c'5QoOLhjwt-.A.bp;WRVLT3bAir
U"]&^\'US]qi8\/]<BW[M\HR#+DCE.W>8>;]F]lH<4.'W*;ay309Qxr#'o\Q'n$(.
U";?Yr]xC,=2oedl8%]79x=<&\.iF&fz-Xx#2cZZ9gsE#e$6'*7%/-L-5NK&EI=%)
U"u[CYh[BBp?lG<u9>PEIVEIFn]Vd/,V*1:O]p_J+C1:3rFc%_TI:9Qg9Hlt-w8&u
U"%p&'9%%9%%%%-%j+vs?H#Ai%d]E%%'&>'%1%%%%%%%%%&%%E%%%%%%%%%vgy#nu
U"x.%sSit%hup*%+%%%%%&%&%%_%%=%8E%%%%%
END SUB
V2
V3
V4
V5
V6
CLOSE:IF S=252AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBN.ZIP ends here. Last page. TCHK:252
<PAGEEND:"Fido.Faq.File5">

<PAGESTART:"Fido.Faq.File6">
'>>> Page 1 of QBO.ZIP begins here. TYPE:BINAA TLEN:58315
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBO.ZIP",4^6:Z&=58315:?STRING$(50,177);
U"%up()%9%%%.-%gv7.#/Q[PIv\I%%6N%'%1%%%%vg%ynux&.tSiRtheL<tFSm?Ka
U"hcHPxhh)\2m)N_0;V%qW,(t]RQ9g'Xbe*GlHu#(?0X6J<g^fXDN4Gy3J0e2LG_V
U"M6pkA4C+xl4M^cMI&8FM6Fv2]Gj2K2nNk2Tfji:u0Im?QiQv8tUQfmBir*pWMl9
U"R&Pmfwauc5GeKTiG*mT3[?XVbjcw;0KdtCI)li6*TU7/4P1blT&Gg'*P4<r2&82
U"tW-Cbg.6:&6nfu4*4l_?'7;TM\$BfZ,_HB<mq<0P:Ma=-L3Z?V*)/g]UVVRTbLa
U",<fe3.fc:J[D2pHT05g'U)P$RNu&'E-ar*^3]h?\SP.?u(0E-8oR]-&/$RvGe0F
U"3pp+e/\*A$f98Wn]mLUN^Qe?8gE7]/ZJ+QEE97>-=]0-bfFa^o2&#kE;u)>U'KB
U"/H'2(8cu3s7uA>4T-Y*$WP&&q:IdH,S\R6$uPAYE=ERg0D^jxX69Q+)S$TQYgqW
U"kUElTe]P6##rv^A7?rnE1Le[6m>kX.mos\3F1;>zb5DfXb+[V5gkJ*He]Qu]o<U
U"E^AmR=HERU97iu92$HBFUbPNHu>Z'9%pQqS:Rgd9am/^>TXHs\i4f'#mG#Y;U6?
U"K^-RmM\LN^CiO0^.$DI0bJu-grM#4$3rX_(fF[5wMZ;xkWDP2'a-L49kkA$<TU0
U";Gdz0j9716tq6#je/k6i'Q91mk+h^95WR/5_GJuF<Qbb.j:$Y%Ychkkfb,V1GK*
U"11.0TRv&3q.[6rP+1eXa8>:ftG'QT4aHP\F<Yr/#^Xh\(QP5UOGe$RsDr/\*Qu#
U";-1jKEMegJ=75Gc+8?Pu:IQa><\6E9\qh:\cdp]6J[kqX^c,^ue=5i=F?rI#/'e
U".RD]&:sqoJXXbC3*uy5<7HR1=Q;)Dp>0Z(Cxt77b&$cX87;g$Y$.l=M$_/e+Ts\
U"/7+H#bvoz;Z9dmkTI(Db<\DeU&C['go[hD\KBFgFg7ySJnD*q;m1-VFJ_,fIBQK
U"eE<9<\XA]h4<0r8uGkc,\U^Vl_HVfoUx=H8S#pFT7b(+B$-P;HdRkxDVGGS(,s5
U"n<6U5_)=[%sq'-c^&%+5GI%0aTAF);x84+^QHDUJRu<RpAltA0r:WtLm9v>e09T
U").i'W$24HUkWQTh\WE$,QKXHJKc\%[K_PT<;9;V#g0F%$mc(xxACyM)h_UWK-#R
U"HFPVhMWYL;]\zGkI)91+m>t5<PC[#GbR3SQX7gZQ')1B%YELbF[j'N.#hKXD0<5
U"(/xDMknXm=&GrMVLHCjhd#to\8H\=RH^M'+#=hs=6[rK[>KZ%Y42_pFG:U)V,'^
U"qUH&;.w/(7^8MGih9m*G=,.i-=,/jE\Y#<h&/n]Hj>,'1Ni;6aE2m0uX5+a'</E
U"WEAe4Pg1%JI,<sMs]X3ML0]>.Y^L).NO^Er>(d5NT>8Kj+L,jB]'VlTDvlY6>kZ
U"B:GdRM<3C4DpfQ[Wj8Xsgd&Q6o&GKTkM]TR=o/,n:?)XvYqGS58GIn/xAm\.doQ
U"52rRu)=M0PFbMe/w^#X%nd&$1f8#J*Q%/cR:2Js,dw%l^-e[7Ne--JWHh#(RREX
U"PeuZcqQ8FETmR)Krt%]Y'B6^'(JWe27hcMiBBZ+.#Me[5\5^+-;HlGva55X$.0l
U"0ZX4(t87->=a/3+Y,e$M43p#XE&?ifBOdfYTQFEZUh;v:7TT?FUi[sI[[>Ka&Z2
U"+GMmJc)xwf*knNZ*XAqWucqkD_2klIeM#7NbJA''XB/\KL(xV#U7f7EYxGA7gWi
U"1:4q4vC/aBe)AgF6e;^ebgQSX8h1XKgf2MO\COJIn1,^la.wp_i?J_-$r<%8x\x
U"\I=qXNV^,ga+':K$Dgook3dX01FZN5n.8dF(pSQg&FRVBA54oW60;MP5FOIH$:F
U"I,#8l&M/0[H5rn>2B[y+=H_QhtM5-<BRk3T2qg>,+\:CeFTR$snj4pUU%>*(2.p
U"R(/el\i%]S=Mdt>/cJ<#jAu;5q61+80KZ*9h<FA\3qk4-/uFc(4$&M8Mc]-m9qY
U"_6tz#c1slWUBXjoP%wWi7Qz?PH6N(?h-O*5)ZUZpMm]D5duj/8cO.w_du[mk380
U"pm/?n:T>:KzK.tNKb:NEXQb_xDLDDx;XdP%NGTg^+*0)D0$qpf]QX6VN[iCBbJp
U"\VU4>EW\8TCMBL,MIfqvE<?MJ7:p0N<u()P\IK'Og5G'-vEfn('2>WK+ZY.sjw.
U"hUQ2j.2c]gEUsY#'1bOy.vjOP<Hdf1m=oqm:j[<'mC-9jH-jAVp]e*bDoM5bF->
U"yl%:/1E9ggXACH^EcJ+-.]C*HSaH,VBs\T1-#aWju46:*]bqkj5%,PSSO5^\jXX
U"X)#C33%-IVn?^(ro3.4)2VI5:iEA=/S7(edH-qb#y)Fy,Wgy8NG5L'.,l])AJF+
U"Fqe.v_uc>4VVl$fifw/QI1l0]zqH=++fWfLIWA-.jOT+yRg&.Tbm#uC^8/IqYuQ
U"ZgG6Kl>'hgoQgI<m?B,rr-tKY)f.QjA]'4wxR%5i_YyAd6O?hP\Q$WQC?$3<aE9
U"0CV_=jeCs5[1HX9d$SY*H=can)sI$i1[0QHuE>gG(oQLqt:/GTnlFMluX]pod:Y
U"&VcBnro7IL$)qR08Vcr9\]=a,^wY]sMVlnVlE[EgyA7=>?.BrjFT*uERQ_&NDG1
U"G.Lb<p<wWsU<A#'(12O+kN][1s[avUV]aJTBMLFN7)%&dtm$h$op3h8o)<SkkY0
U"c-0crbHm3A2bvnjGTbfTAgN=[Lq(>R1=Aeg1tUnw)Z/4LbR8D?N$SlC+]b;o&P/
U";YtE:?NSC0t\vpj1W^51*'%uAiW8?QV:dlkBndVf(3aSRa.e6iGx2Bu)j_r\rhh
U"#J%=-T-_ip(PVo(,$<8p'5#EC*5rfx6\PO$7FTC>:0#lg9Wx,t;Do6o%t)W?9,-
U"*WA>f(b)rI0>..j-pto7>B>3WCv_Kd<jUFf<MHtcjEXUe8'&Jwsd;P*7JnJvd+'
U"N=GR/;fyRKg%,:L4?*g:LwZ*#FcRLl85EXu.gX(u%VpLNp*fRZOSV?MUF*lsKiI
U"[4zJctF87gUV7hSsDz=8]i]rUv7tRSEg)yJC4fi$GtsQDY$6BV;k$8$HmwhI&KJ
U"O_9&-m\dr^p.Hlhhh5BhlmJrMMj/cEEew>ep]TAsA-:^B8zp;m^;f,:IU<OiOM^
U"-eIEkW9ai\k'*<9(2<\7#uMEw>>1T>Zr^sqkLRQqXLiPEr$2dd10H&3)h%/.-Y0
U"<^GkA.2ZjYd/uQ3SV^n2X.?WV29Sw#:\5Zon.9TtJq7#UhpYBZ?vHw)rSSwc5yq
U"FmY;qt)n]=T_;,lC3u^ITKoBK]RwSDb\txheZ7]6Q:[qOCI:+*:d^Z6x),9dY4-
U"v%JD))>?'?wkR]o;/%DU(*IE<vO=M_(?3ZEe8?q3Enz9OKJjT._VLKra:xlsG_[
U"K\YDVR>7$odR7M2=/c'WV\Mm9/#hpYdHvMTZ?^G4.?f$nM0G^dD?<PE0b)tceS5
U")g#6:2\j3t.1M&1&Gxnm#J5#&]52eBg$W%EZTI=vV'j_:*9+2Wr(NVVTB%a(9\V
U">L*7Q\mk2^Ba[VdaM98lljIRrXMSI4>g('8HWjC?0/hA+dH=v]uw$w&NC]X);kc
U"q\Z-<]NE:tC$/e;+f0t&3x)w&Vh]n'Vt+MLDa+=_L84\I*tw%ZEi+.npS(6Q:b-
U"yojVTC#hNLn2#SkU;ZfbO_,G,sU$D_$N8VA]GuHdNtQC6b*03dbKBwAhh7]):AS
U"/L,n7ij[.9s?u&t'sb,hE_1E7bqItF$YxH%d0n$T\Fklkovt.,SpydlmxC,tSvV
U"epy\s6^$E,?Gt&sZ\[4cmOXqM,:nXUuanT<BOCxxtUbUSe=rM>\.<MaAb6:\agG
U"I()S<985R*>T&c'^L,<Vq.rIV6_d%*F#^ApRrO%36Nall%sDYWfg1[(.++0Xk8>
U"sbS0/ci$5]+B'&NMPg^8k:Kbf1g\>SEL]GN:%(E-G^uc%J8>^p:_S[ZIX8N#4bY
U"gqd_'k.90A1$ee0Ah9-OZNP-zEuOgMdOU5;DM9trA8iKMue'B+MHt&KKmY+?Rsp
U"\TD-S$7A(YKfw*l7*bmT-TZ(Ck9o04$Rt>6i2y6do)B*ACXkcBAIH]G=lxup1of
U"T^$rg-SHQ5Q8A%Z=kb]IipEF$4x_4\l8xIxpS)3fWN>8XZvCwM_=N;SZ8f8]rwg
U"wfVFFop7cZo4ZpVvRueJDPr8%pp$p.;oJrd%F-tJ7fr1zvX?]>ULrHf0oupxqiR
U"rYoz=TX03pdeo6q.-6rnExr^4m5+yZwnfyrSLr0t>tRPrXQuFkf_fTgVQWoj4XW
U"?ljcnPr8NbpQGWZf_.YX(mv]/%V.lanaT%nrTPg78p=\KwYzsPR6veMhd.hnG=u
U"qf3>).o^O1Wdy_vG'Ht-7tom7tTHU>w^okJ,f:qRS8+M?5)Ji5?n+9n<2?=nRho
U"f<S+/g_CtjjSOXc1T[IS5f(kE-u?tj[74?h3Wc-\S-zCCT7dwC^i&d7,:5SDFza
U"fNIP>\ZiwZ;\,DoH.V0dUzuL\UT6S#FDfxzxBWjl6K>\TpSp$GVArZgDN\92*s<
U"S40v4D/[w3+26Te.zZx?soKM,fWm=-j=Dl4_Z)?9^SFe&pO1#I<D:tfcNm5cHo]
U"m5KuUo&EBK'4N8/V\09rB13ReU?Tlf5XZXVlAKc46msIYSf5:Vv4_Ue0ntWu,QL
U"x4FC,-ffcecZ1^e*lL=3?IU7L'w,+S5M-db<U[oG1]hKenxaYRcbj>Krqrpv-QV
U"NBe9tQ[j0tS'M_g(],*xEq*2oP+%%/H\$Dn9SDHu*NZkHRtclN2jox*9(4'%*w(
U"_Q0vgy=I6YR%ExONh:Te7B2q\hB9tm:Q.t)7xCBV3*Bs'-5n3f+5c;gstfY;xH$
U"QXQm]<fe?QPQE_M,G3t&5lP.PpC/nFH0?JFAFuo^>PaSl_AEe0Ikf8/(M?1)Ega
U"8fFE6<n:hbS?$n:u>-BOhX9rJ4)^Yd-_f[O]/&RnCH\,kQ2[GZ5(.>F,]IK%+?B
U";m>)ZuK?coIa)K4x.G[xFET?um**blakEg27G:BU$-o,=V/<-*iEM[9/^[C5Aq7
U"Ht]vT(pJQuqCr:AW8wS5W8CtV<VMGEX,QEC&'>/;?a:[[o4$RWSoZE$,3U8cL6D
U"&Q)arQ:VZFq.$2IQtCEB-9$E#p>_zZdYN-GI),b8sEq)'];&,-D(79aPGHEq.^H
U">;<0T1o&S\PqL)jRZ:Hk,^W:^BlCP&oyRcC+^cIbNeeB<l>x'4hZ*=__PrjH9Tw
U"pF)RfQK>^w:78A()iq-S?aReou_#]$g9V/XV5&ipZL)5^/iHd^x7R[^HX%$7?'#
U"X(o,>Wy%YgY9&I$Wo;^y]sZ?%I9CKI<W1DsMMRAI4ZamVY622X-''2Y]t?0dY9y
U";7g.AtC_k/#F2i^;D/xFJNM$j*s9n#)XMT/ZNu,68.dPT<Z=X%lw/Y86Rl8Ekus
U"vu]^rKt-?(-pkH+C,b:Top935ocfJTYvF=-c+]._ha6NtD]$aL_4A;\3cA-tdau
U"JiNsY/iby(*\f29t#IA$Mc<:qO%ctFEws6e3J6X+8wJSg/YXx4e+&Nj<N/XWk15
U"Qo?j6l/pjJmZs,KONeO[ZV1r(<-vl;Q%VVHLI15YK/Sfepur^'%C3$tWe_QB(WX
U"<9H$6n%heL?+9e(TtNib>&VQHkUk>n3r;;,oJ'9<^?\*a]p,IA5g5-Cde<I+N8n
U"G*-xr=4ISq#6z,I<KA9x1#\iflS(AR%Amu+;+Ftroa2t1c]xadB6S:ND$/MYMRW
U"_AJ,CIbp.]NjFqd6&Wvu>3O(a4:2?gm,T'gvZj&>I*&'q^hNiI:/3AJ8=M9X=</
U"z%BVLTO8(3wi^m-<Lx]Ts*t0QY<&91QQc4,W/e[4sIV5amwq.$rCNTl%p8/\b,A
U"L%(;v-M._=sW0sW;=wLn^]AvEWnSmc^HXA.D*8J4n;5PHu^4h.kbhBCF2JR9Iff
U"tboFpT/6lQ5#(s^G4*671WTa[:ctU'(ch]KWZ7Du?qFF/?ci\'<C>40Y8^idtvL
U"r1;;vrH*oX3>C?7mF\M6-W;_f1,s]5kSJ3;ojs:gFsdXyngB*eWRF;xtti2TCAk
U"bGXA[97R:/q6\Bu#-VNPuJ_w.K67uY7Yi]N:6F5\K]d^r0FuX8:Y<?-U(8>tY4N
U"ZJ_D%i5-DeLEBMc0Ee]m13OtA\yyG-[l;u5\>BG'EUmj:L1u3*4m(]&z\xSu3:)
U"450+AY]'<?)jI+SL[sTt0p,IR[:Cs_^>m0I0rTA&gO)B;<'L]L'+h-G/QS9-_[j
U"lWwS_bg0p21_R:?yr'<PDej#S,xu(CmcaMW=8Qh^kHe[0IgU.jFmh>Ktw..rv,a
U"71=i(_YC6O[Zxl.*R9eX%Zibq#P?0DH_O5o(#UKN$ix:*b,+QwX1i.Tdv=#l&zC
U"1SQ3v09lJXQd.R)a%b<IJR_V&C*P:<q:Iak8i<5SaW.hi+EWEc2wEL'$s:/$*Jr
U"ZNOkaUW/\NJ+]v=ofP8BAFDbQ;43%^VqUWn8ai5\TfM(6uCeHful^p6QjWb45?*
U"iC-?R/SFl(CrcKp]%5Ds5&8Ol*]>QSV20\&GAOYXdi8$1>./u:->tkv,uYjl>^A
U"26^(r+o70<;7o'*u(U?$dKe>zLeb7]\a]RI;H^+HRn[jA=%pgi*4LuN,m5rCnLl
U"toR3cR;uXKXwR<%4AfXksH&).20=AqSFUlePOxpYStiu'rFpqV_/-U9,C;>lM#:
U"dQ%*3(B90;Z5VV[4-WWElKTSN[(LcZ$h/K9u/IuymB-D\5IXysZRE$(=7%;E*jb
U"&t5>)l^ARW>u1_e];i$Ng06)](m#.s8,oO?;o(oU5[(a-Ivbv/jq5i]k?v1Pn&e
U"Yf^A>^mfo.4?P'%?ta((J,>._uky=]MtM6Let-.8.Y/Q79cnR6tIr$1z#j=1*%b
U"m>J+3AEn/9\zgO9B[mqATIf>M\+*h7IbVJB+Kbixq,vTQ%uv)SuaYrw_j/UZS%;
U"t'E^j(^(^(a(.yRpRh$gL3jXoRyZIIK%A58>4/Z^\m42T%D$G890eRi28)B^)+N
U":$EXo+:e=\C,&8,#+#?-=hN\jx^(Vef'L5#_R*/(2hPGF=\kX_vGE)LnEsZo3^T
U"[Z7;MF)IiTRob\hmqkGNRHi/-UBK+>K'p,T&4RGX&+>+Y]'oUlvnziC?]5'ZBQV
U"$NxN3pZ'4PJcIjg-+LQFYuTFG:#5QGfL=pe)W*3OJJ^Sd-JwIUCreHGWJ^QTS+Z
U"Uh<1Rq)2Zg]P1Xaa+k'Cna7\s-&&d\Wq-$Z/46Q<3^kra#U$2p$04sh6((Q4kBL
U"IrB#cGj?l;OEWWMSv.(oV[*>.atWa+4T8uY<3v0-;7V)BHGt3^hS5VX0[jPap1d
U"aIsc#dh9bI'^Rxwdd3ktKx*wa7_>cgYuSEs*DM-p>>dDgx'mfvfYV.A-yr*E.YN
U"G=Aw,k.TTcZs'2N?rKxMYKx'0'z]897y8qspSX\Xp6g/EQ822$&qC9=,T*qiaje
U"d-rEN5FPJZf<b/%]WE<?2ENt252?RxS^=Tq')T]-FnWkS?+g/jWOX3mVrjZP;/#
U"1SoEj'X^erJ2=(\/s6bmg2?^O,.L5,G;l+=4$)gn]PUUU<);GZ+)%la$p)\uNls
U".)C*mpb&WUTVFSQk=Smb;1[6bhU^.kN6Ax+3B0B36COeyoG:;)+UH:qPfQ:AHfr
U";)9wU]01DUPn$S_JT0H^pf<A]',N0u>rSLUJquT%.YSs6ia<%umUU^,.%(+vfvg
U"_ZYkZ4(R/HMM>UqR-HiFmRS+?R_U[KYatC^Vmiw<&LdvbCNj]*tgaI:U]P<sp[H
U"(bnpfD<M404:LS[itY(TF0Z*+W2ifzzXga/:tV/bQVNoMXn08]HgMrnjjOwX7T$
U"SwYJLpU9JFov+J.c%feZ=;LQWQp)tM5#glG0EhOj/SmTOq*'^QdWc1w(,O+:\p:
U"_LxyM;f]qwVxg-yBcpnz)2Dn[$Lfsagwxgc)GyTJ4BXwp_x]j7&SbX_/a0Xv.6*
U"W\aoEVv2U6X<rR>Q19ngGc]lOHxMNT.86oN9s\NRO;qT_S*(MaWL_w7Rkb)J=70
U"^17x(=.o2^_f2PXN$<pVsN6UioZcxWrAII$+#\Vb'JmCa/9m.3/Y'H=NjYQB+Bp
U"FP&kOY:zb<L[tn2<_U?S5kOpvvlfwcPf$$W_qW7kxl(j$b;Hu?RM>uuo[kMlSlY
U"iATqBjoMj3L,+(MafCsf$A2Y&;F8i2eU6A#TptNM-yD^r\Lg]w_b-1,rGB=\UVv
U"gLe6WQ;Iy%r_<Ut.Fx9Z?(dvK#1?<fSn_F%Kxv4x5'&ds18uCz#D3T)rP?N1M;v
U"rgd[Xtlh=.E9MGsz=$LOfv4/+th73DrN9xsv(_&5=Go=7'?U35^?t3)7vq-Q43&
U"I4ry0drFZHk%:z%XAxpIc,>Q.t]c4X]5'NXcuU<Y_,x6G748^J+ycT)O?McfG0C
U"PO%+wOrBVs;9-3BC5C1W^_P]of:Z/)5f_2yaDwK7w-DW5oZeO;?OOPR5*6$x1J0
U"I/YM]I6T8H\7=?Ta-t$R1Vx=2$:6K\=3^CF<'k27Kr7XHSi*g9S/BoG;,hSTb7X
U"7;OQ>Do6+23LpKx21vo9Z>o:k_Q4rV.Gn?MKa]:cFT5.P%.^.%T<HMy-e:J2.h3
U"<t2FghQ7f-LDNH/5r4gc)=<9^';L'S+c<oT&n5kU3,8A?g2+Z?YY[^xB-D\8b],
U"R54^n8Ul;0M'Da>3uG/.RV9-,9$w(J4t.j],+GP(7M5wr'w0]hxH_e:KYh_LRzV
U"%0x[Y8u'baFCZ7tj<nUC]FB=n3D6]/E/=D?;LXI,DMQgKY8f?1?Be-r>._h[H*c
U"7VKi/?'CB[2\P'>G'Jg,tVW_UxnsbI-uR2fcnB(lp9Ub2&rTqqK*_;K3\B5Repk
U"SkW._EfT$eG&S,%na(A?#t8k7k7o+6R#_Ij=hfJFl]*#(WT8:olVr?RB[SYD5#0
U"?qVY9Z21iz<FGT;EM8+dr0L.fK/fO;kgD[6+\,r:gc*DE]6K<4AUd/ZW?UXLF/]
U"xLBo-M78=1x6nOEhG56WDrj]/eqEJMzG9J.c-+-p1K_tDK-n:X\:jWGiEb&T%1M
U"cb5_G9:]JfA&&,+8=$BZS7Dh2.RhgF8B-/YUSl;8K0r'D3^IaRbYcK<GFxm[oEP
U"+[WDB/lcSy*8H1HC(p.mPq3/c[P)T<6Oc:_G'?5[&]&24(B%Wiks_V=^T[)gYK.
U"K/8\$:U8P9FljDy\vG4<jR=+*NMiD>I1-;C&b8;w.?8un:6=cjKlb>=B=,I'8/W
U"(_f^6*'J8aP'^-Nbpg840m^[2W8oSU/\KcXriikW_ou/N/Jo2LZT;%sW\nf?hE'
U"I)j1D?DVTqd846Uk6=A:izXye'pvW7%Vt>G'<fy&DPMNjn$Hr*]5GW*#zm>XvjR
U"sJ+yn]3($=TAKq2mAhf1[I7b?H#ZrD0L-*O#O]dvWo)DLE?j7b](P53=Pp\]6Z1
U"w0mI8Nv7K9)%QNb9A6<AuUgHX>ctBkND#1^?S>rAv)/(hD*UBT2Ku:tCAiB<F>7
U"_xf0;kudK76J=X]N$G$T(<DR'A51m,.'qI/+NQgh(NOo_2w%xX^3d%APhj/8%/g
U"H_;xZcQ*KXB$Mkoqv2P]^%=<A0xN,P:,K*gE1e]SVeKr;8xCVpXl7JK(I\%C.IU
U"33pPYvAIkX(xNeO5Wx6,w6Y-KG][7mZp^\)Kxwi83-KA;qrRc1VYg7L)Q(GUe8K
U"pNCUVx/>S5Om<$G,e&AlloC^PTT+(==bmXh]XN9$eM4V_tEM''atsRJCO8[:%8f
U"HlYO#+fA;gWT_h:i1#V&7L6fGe(w^*lf67YnLkGI?HaE<p^?2?b?K]bQ^;51mdP
U"C/P=\q=g1['?iVlWZa:jNPPjwu]b(+rx'j=Ap_k.<[:1H4pW1\fZH)a4WnQ5iA+
U"P]Q+XC4&a#F;iS$^V$Rz62>pFN5JcXVQY[A%TT[:H:&y)tp[B%KJHE=(L/E:,XP
U"c-U;\D4S_hB-o9Z-&MYB'.YjbEqnRGUG>]Cmp4j%wUx:1*mQGGD-s[s;-G19>oa
U"v&kCGog+&q\\L]MW0qfg;LGgL0oS<t778N&%Oh_v9:kn42X('dnI2=Ci;c$2[dR
U".mP\T;4^\DR^?43UJm'\jF_Kr^L]Z]KM?;(C)aqaJ)U^'<uE7yzk$PQ?#Ae#-H.
U"YLQN$p7IdP>pK9Y(ZvO_(y<'2'e.sCp:6.LU>0i4_>'WaFg*C.CNzP\k(E-]iNY
U"plPz2kXc$_<:Vp=TYJJDt7O2k%*K\go?\Ph$JT_kBgT7b7(AtM7ZUG2ZVbufK-:
U"\/rdq3]'LK'nSpoK,5U1Ap\mV(O,sCKQ7l<cl(/t22.C\CKb#E4fLhF2]8%0?(D
U"Kmr%$Ab0BsA4,DE8/$P&x6DI\glrxrCrEO[RBj1[LcWoMmG[bN%#fu65[IwSFIE
U"2w[>OGHD(&sHa:lWL8EX%i1\][y._k8]iSgPT[rIFaQXK1_+k'IjRs3-Vj]%%<[
U"?w5W9^\^+W,yquBlRGqblVb#+js%=1PceL6<9#b6Ouie3QQeV0-(<I08zF^YaB_
U"FrF?EH$'3YI3Hc,Mw^48[SMW8MJhJxXB\P=7MB3=oMKJ6Ih#(6WJUg<#VljE-%h
U"p4P%UBi6VN3=UYuH]a?^'K5ZL(eb5Jirj9PBZ49GS4o?13Qhbm.4[U&pZGN1lwx
U"b>dCA6M6A2agiF+:8iC:j$;]im&waPeJ.QSx_)8S0)kH383/JQ^7>6m(Rvk9#)#
U"x';T&\lR8t>1,HE_QPh4xcfb.D5d*uTI](Y:DMl_>;QMfb,$0ShOm[GGa^RGQoc
U"qy.ZIJc5=H=o#lK]Z7><)aVqaR8$jYJoI3$AHB#2]?a[?iiCF.miD?\PKG]v1jp
U"HM%sO/FT9L$4[QP8>Vgr/XRvn]z>/Cse-j$O6*pHK6PWMAb90e>\gxeF=ij-)Q>
U"qX]#b/j]O%:VsZB'45s[>[nQ_)TJf<Ntb_mP9aLWHeV^SOX,#(3]8dk$NOrccWU
U"QilPKFnsj^.<'_0*dZny&_ucXMd3iAC+xHZ7bpVt=UP,e\\CnpBUcm#O'M&o4tm
U"S,AeOoQ$o,YP3n*-X?DOubwtb7&^%[Bs9]D4_r7b^4NHO;l=/\w_V;WTT:aJ.H0
U"#[(-qp*%a,1]ol9O^SSt6F[[/9ov:A5;wprml\3'rj3+_>o0p&<xtb7evFWM_e9
U"[Z2D<>.pg>*0Se,>dD7WCoNU9A$4M[aV#&5.,q62D6OHtS<fiVMr&_dUPevMD5I
U"wa&AKCHCJrAT;;]MvL22Z[$=caNsCD+HFxUs2Hl,_L7:/3[EWDN%FJW1Jb)e6M&
U"a&16&6qdKY^6JH(u1;nR^2>\R'L?d6qd7.t[X.TD?^(vC2UXx]ataFpQtA7&6W3
U"b'rgIV,19c[NR+aP*Y,UL&xnU?W2]2bZ*Bch9*B3Ep*Y64]B+y^TU0wpPw6rH'Y
U"]%$x3NePyqAQE0Rdsxn]l'H%[T;z4Hk'19/NrUQt_%bOCT>KL?0_l/GN.2<U(1s
U"i%(:&oQf\*i,p'uePgALscPI%xf(yZKn-X_x$C[LPvT^&[A91q$]3A)QrADWno>
U"#%&QZa5=e:lW&W9u-qqAg;8>dYZ17K,_(MOY?G)Vq=%o')w6#S^w=^,[IIH/vJ3
U"'kS:e=Zv\Lv6eLPWt6iwl:8g#?SyYN+hg=_M%<H2CF<mIkM$3]kCjSq,?L:rxOX
U"->d4n\-,5uh;6t(h/i:'j42Vdk%:h_oLVJmqS^Lfrkf8R':(TVwbRhy-)A'.^=&
U"Uu+Z44UAMm>els:7PSMZfNPe*F-PZ2$O4%B01M;DjrS2H&)P]\Ysew*oZHfKWkY
U"FURx8dD,t'>dnqHcSS>oIzS*;R$%gTVVL9_q8r_03:eaz'_\.mI1J:$LKVfmh'_
U"UeN6d.9#6l>h$b6Q07QE[1S8Ch*b=,j#6uk)O:rIRlY)aeU:x&11C/W6-cH[y+V
U"j#-Z1cW-_gp_9$z?'.l%:.wt58I?&H3H%bB6MZg?xVc'+?[Kr%d#;7EaRRUg*SG
U"?fD+k(^<9SAB&IL-0<G-dO;eq:UADN$xvHm%;Y\V;1?:XVE0VSRQU?CA=K]Ay/(
U",y2p&RFhH,.fhHfA?%DUlIl?(#$GiXKcE/d&X\P-o_G/aIdwP:i6i5v[X6VYlK&
U"^/:d*NC$Es%NbKbIHr^UZe6d)dBo]E')QP8y.:grT>o/_<::b?6tiv-FI:_;/+V
U"\M4vXX7lNKFl]UY+X>'uHDmTl$$h#X;Zh3rjA:/AS#Kd.Lk]\K7NKFI.Dec,SXH
U"T1yCe/((x1n<W_[6a3fi0Zxr$n;nS?Y#6b>3T$0>cMKL^>0NHnuI]s_uc6WiRm1
U"6kOHI-Y\p3mQ#K>a<*M'w0w8t^>Og(tGPQ'dn*cXVZ_cKfg,$9uEU'*w>&Cz2eb
U"8H-H&MSo]xMw_=[c:)jwJF(wPCwe9BU4djVNK:?+S4iDA=a:K8%[;ul#7gx\2s[
U"bOV&M%Bq253'e?]*%e[M&wCfc#?m7Ts:sm>ASq98/VA&YUqW\c,QQL:l9Xc1TdN
U"K^\y/MPKYogWCWR,z:ttxuYK>kZ2+lL*v'<c\DxtX*^m?bWaRPq$j;qt8VN7wor
U";.DR=w2_nYK>_Hwx9)o#)t]m0KZjO=z2rk<QPsJo=Xr#/mnwSrM7,.YN?39Q]mq
U"(;nB?HzX\^y+6hp^mG=PL86jo&3dFdBt;$PL3Re1<gGjz#6lVw]i;ICzMcISdsr
END SUB
SUB V2
U"SEGd;Fhv=\(MN)xIu85k9KP1mIw73?k.AWfi(XVx/p>dQbs*=JTda)=ZgguHjKw
U"f*ciVB[oZ.^F(uD6QtZrR<MOG+xn[&^\38kVdc:;\O<=Nc)Sw?&A,caElhP%MF>
U"ec,A=IGGD$xoMY_q>Th4rkS5&B_D*p[3]0g)V6AHIcZeML0&&;1rS7dC>XaqK1B
U"W#2#kGDM^0eD$t;Ndi')K[/?9ZZ.^A7Tb(jJ+ic'0]ux^/_<8?J%jsjy7S[kOA=
U"$?1%f7eOjA](]DRda7ai7t.1d26x*rGpm5(UR$i9kkPVWr2':PI?/O^;lU+X6gQ
U"L2<JC+k]CbC-aESkx$<D==L(TJ'u\u_#;Fr]j4NdVGcR>8;,E4E0u*3HC/z_\M7
U"I3RJAGB+wW#caupI<eqvI5F$Pz5_eTLYg>'VJ/>m,8g3Wbr?UVq'kgh/()PHA/%
U"5BJ3,wQ77(JhX93/[x'p5*Ld+E/Y+;7i.(^qJPk(Ob9B)ZXlJ;rCkM,omOHO8B[
U"6gg6]wNiV;,Lfuoo]J$mM7Pm/b4qah1[aLG,cSYx8o>7NoCImA28mt*oXO9qH^#
U".E4VhY=gj#SQo119B4XB,]RFr^8;r:xf1?Y[OpW%Clo[%rt#pGAmKfoqhdU12>J
U"%h*-r<5<nTJ)tfs,o=VrF-2JopI3Q**2m8p:Wt&Nc3eyw:6zMbTGiv-qdz#2uPm
U"Uff>^.)_srBO/Y_;pTo]a?ON[Wj?Qmpqe+nXq+d3=Jt5K2P8tG5hoZ.>B/bRpM7
U"5l=K-W:vjs>j/rk+df12o$datgDfr%O;v.KQ#Y:MIC+Lahh$R[75lj#ML,elh_7
U"[Zb_00=bj:&DwiDip4[/_Tl3rw1z[aoOQQ%_JMe0b<iYglH^(y>eReY5UK8&V*[
U":lKZ8v>CJ;:wWZ^TItIp.f;+3$'1AyM%mX:rUZ85D<]9o%3XV'1f_Gniz?$hD)s
U"HgGgG>ZQ(CT&UP_q9xbPhh+g01]dxloSOs'J(2qF:-031]8+0VIO6Ir+N;(Jh1a
U"aJoR[M7+jY?_rZ9:sN/XPPOqa;e2NhI070u#]UNw0Q2gw76d]H$RAHAY;1:-Z[X
U"w_(W-GkF*$n%XM(&8zqCLHA5UR[gci0[/V.>EuU;yu(zX.?R4l0j$?4Y57fs+,G
U"a5aG#B570.rkhT4H#w23YC,+N^iWLb:/?RijeUkvs;aU=?X*?mGEu]Md_hOt;)Y
U"2./VxbD&g]omF:(IvN:%^9:8\ynbZmr(TFX%Ft)m1ntq$YGxBIAp:JBqEM2<ajc
U"o^?ud3Jjd?HuHk(\&NL.^lJCNBY5k48G2RvGTQ3LLbID+N&%]BIt1w)b2dN'F5S
U"t:_'3s8ao91)/G%MIHq%)j.Dzn'2E+RC:*Q%;:aT#l9%cA5V'd]G_BK,KQpDtd=
U"w61,b=#)<GLiZXlXd-W?Q6uh\LP#t>e)h8C0BwRBs(#m&yRjv3;8KQ2:Ks_K^d]
U"cK^ZssY'Mx?ZEuwiFNL<HgPgr):RP\6k:jJAOyISQ,sn-/^*^HC&5Cja2A)\/iJ
U")?eIy%(YoM\heJHY&sCk(1;.\jy-g79/#c?bvRg]xeMbQj$]B)=L$jQTlwK%PD(
U"-mcZ.=IR,16#f$JM_X45,;s9=2T(P>KYe8#D:JvO:*;AKC8s4ACO.RL[GNk9M+v
U"(xAGf;iP23y]eqUL#ku1a2>/RWI'XCF%cP,tIW0qJFQI7;DF?&12ihF_0r+U5SF
U"lwDYT3Mmuphe-n%*VH/g]jt;Pmsv/c%&gZ1$6t>%NFM0trcde-aq:jOOi:x);m[
U"$Xx>h$hLZ>[;H+Ka0'b?:JSC3_Vd59Y'u]aU:BFj-EZJCJYx(Hmn&s>M47g0M_r
U"6vOgekg=81geAY%PRiZZ\-L&[=G0%BBZVPhQ2c-;i5x$M7MuX^FNEX(&R2B500z
U"&P?2K$-1eJ-&InQ$uIbr]L<0%+\$wqN8SB+gZyd\/ceD9jxpIxV2zx2Psv7ll-,
U"Nb[TaAp$%noe7Y:/ceHgm?+o^/x-*&9Xc,Ex/FX7\9Cyt8tFvn.CsqJsm]e6RA0
U"K^)fq2gxUJ<\)T55xBGjVW:6%S[G[/_ZU48vo#oU2(f=o/o3Rh#]26X;/)a%1q_
U",&p>k&i$vwQ1]0#m\^C;ru8e1qUlk5Mohz6Bc4*Ia0XG:O?OL&9%,Hrtk*Ibm*V
U"?;N;/GYK3s4K=_]lmClC8RJN^w9TOO9$ou%6poPO+('GGoE'l2\hh'29TeJ#,y1
U"#I8,dPw7Yb%9Ln%r*mdS'd3lP/,5/FI&RKj$+'xT^:s8T0)=]_TMxPC^'dFa:Lp
U"h=jVe8KS=T19]*s7ncU5OX/wx?UmkZGN#0;g[26I\dAF#*O70BqjWmjCY(xaSWm
U"fSp?6dg1>ujH&wS&WobsI9hofWpB>V9Ke*8RfvhZd#GLYDvUzV&Vw*gDKkaoHZ1
U"KE2G7%kLI70=NKeN:pieymYwLNWRO+*lsmvPtO>5NK6\,2Wis>P_<CeP8;6a)Rk
U"#GkBUX.M*>=7?geW>15o\zUGlf*#Xk>;EB#X3vWo2a#VAXfR$0C6(=B^M2KOIs2
U"S\0v%](zDw[=OA(;pQHN+Rx.QMobG+Be]8a54rhSZg:LHagj$'f:52RnxwFd5D?
U"pC*Xq):AavUpCdbwM9)/9wm5dYXu#cQkK(8l/c*DvALaeJPS6aqS312UHW,TJ#[
U"&w6c0SdP[#k9BC%i:X9dSjh+1:$?wZ85'N:Bwu3N-R/C*7ecmN+Xx$.bnmpGL*5
U"?lCwVomW/E:2'#&Eu1M-m*7)ibc.20,m=gH*O7>7;N3w]6J+6Sh?.73ms-_i,%F
U"38[#9d1dZ/[QBGj&tyo+%>^NYPo92M8%B.<DW41<f,.F2^s\$,JU$AXmQn-B=;i
U"k:1E;OsK%zn<sRBs(\N8'\n#w\$/XI^.AM#aE$1g8vv#shJT:RH6U_ajSf/?NnI
U"?eh:G[v7XaMqgOnnJ4RiCcL'6ErCrC^*StbbXdHvZWkWQ'Z_RFOBV3hQc2QTTd6
U"c,hs;muEEQM#H%n#Q5C?9QVvB>p/+;)Ri3n4Q%cCHnJJqIbB\B.haf'kR$GCyPM
U"k[-Wt++MK:w>W-DF0=JA]UH^M=X_VcsJ^)4Jk0>'Gj-9pnnKTmJb%]h2pux<92B
U"vVOITJ]jHs:-rIS,A?Mt9Ous-?7639bufp%sx=6Z>oG=)Dm,hVOH)Fn/&tgq1;7
U"k>Ss'926Ki-W=uH7;RoK](o_+QDpU9K3nLbV$YFZR;0Z2.Ufy_,3[<z1KB9^brE
U"Z%*GPYR.eH[SJPyO;cV.[sRNDm1$u$XqG7s&]K)$a.M=;R9pQAjYp2?QULsP\9[
U"W+L-tTJ;/J'>>vOGY#7[o[T^UPtSnrTz+S_zA7VtY4.o8c'mqSZjQ3Jz/?\_z\0
U"qA/oH$N%MPt\xE+FjLNjY4/>Y[+R^+tGp'Zb23Ngv4]lKQ&hsj3S;yjL7H2x&X5
U"+]t#Ak,NR$EZmNj4Yh>h=BUU3/63NFU7z5c$g'H(Qrv.y%173a2B[.m=<\h[;\(
U"EbqD]^8V&(44n>mAHD?=N-3yD^F%aK*WV^BJHZVrB+[kb'.(0i%\zWT[bzvJ0nB
U"Vf6ar;^/XJb,C(pE5'%6?^Dp\AF'-glL,4].oE\Xry9*.lF'+U[JDp;HJ,i#?YJ
U"u3)G]D+Q#YPW<'&YI2Wp%dD>0sNdDQK2)I%mMkd1%#iDrR0Wl*\+L_5:dD:qQt2
U"ID]+Z3c.3lSUxON6FNtIEX4=.#-Ie?kZ'I_XUE-UVK4#vCpX_.9[B_zpWYrmSl$
U"a09F&Nh\(J.I58AGAzjzsk3dl^VAjs1]%m<b-OYp^<Ehv>284TD2-gZYB:Lv*4q
U"8t\^&hk#1wdzpO4CzWp%dBzb>3uk3>UJ7RvCi?$Oj<>1wK>v$QriZr\:Hy/\^\l
U"=K;#QmO^PnrpHdi[/U^2nR;pz1kY,aWvsH(<Ud\DO#5/aQY(?Rsxf$x\nPALhKP
U"C)j]j:7wY3*Pp53__TG:Z_taaKM^LGd[_HD1nmP0f^++:mdeJ0X_Xp<BwxADJy;
U"(JoRua+TCoYj]V?(kq>UtfxdL,MxD$jf8N>3e(wGrHUJ83%Z&K4%M0VF1q0A.Xx
U"h1<4NNeBEPwR?[kN^x'CLkw8+>.M]_Kok0Z7^#esBnD+1CK0=8D>vnuZR(3b'2+
U"B)RDpA'xiEl/RUQ6O1I8\ekY*&7so'Oh4dJAo1T>VySFgpAw_&_A(v1FOC>2omf
U"D=)Qc]4(x2YBr(1w1;QH?4AmtBdM-$s;$b#T2'i6rUtx0mi19API#Z??=2xw?.q
U"]a5>KA,VYfd*_2COKQ3=uLLsc81muSd^<itRik:/2ci\h7x4l?7/JwoGQ6f'>1C
U"M6wccbec5xc8):$y7Nv2S\AQEZk^2l_$rV&'1Z<0N1z*GR8nGInrY32;VyE]ZN\
U"fO''3Eg/oahRPBmz/f/>T_UVhMaZ4#UTj.9+_^B8AC4oiVqfXY<\KO%?ER(ug;r
U"pN$B2o/6Om.]cY6rOOW)D+w5q)>QhS\c,\'9ocgN;9d65aPAh#B4htuEuUosh4*
U"75KY-x#pi>Yr&-qGohl+>D(<]>OtjnPgevcC(X$IdFXdmd&mdhw,=BEUM*p6mmh
U"xGI=jfD4u0Ti23HRS:eC<Z#x<VlueBCA;nPI>CD5-,eEKJrQt]ty$?am6-S^B_c
U"<[5wJDXQNitPx6xerlt[BMjk19tC/B/A0,N#*$W>3&vaFfVqB_IXop<'bs]FA9N
U"m9zN,t3KL*YYYCuBwp(0#s1gjOfq:thxyQqH$;Ovs=ZQkp)W8?AlpKS1pvQC7r.
U"fjhc+Li.D;^LMnV3%s>CZv34BnGDJw:*Vs0^a#8$blG5:k.rqsHiHl=*[?dJR7J
U"J:JeP#)Hd[QiIbL'IGnW%5MavTi=WVC(8>[tom0]&MHFVB3Mw)_LTinV[I2['ck
U"SX,Y4s2wC^0zyR<HEbJ1-yI(<S:QOK':?sr+;KuJ-&Rg(Gu0bM/I]uC'eB[DrOG
U"w*r8n&C5+Iq4zbWgOZu]f[/nGVS-J0BgV\p$m^Uk;nh3j_<=I+(bX4u1,P&P4??
U"?Cyi2Vc2;W9UvJ7C(Jdz#[7NdzIE6C9?AGf%/aB]AOQ,Oe)Ic%jq2uf$_MFC#A(
U"BGWZ70%pay8WU1cD&+ISSiUQe78-^&a\\:Y3+O'[09\fVs=.d3$JRQ8qNzer^]N
U"cG^GHIV*rNNJ_E*Md*N+wN-*T'O#B<[s*==0JJdfZWIyYmjP(.-7XnGbcOH^mdn
U"?/$m0SklaC6;WMHuA_zFhXACLdDiTQ_^4+MXEz_58E;N(BbZEqu&T\U4e$%St)C
U":.*EME$^,lNg9a;3K&V^?N/+U^C<N='WAOwmI9Od<#&vl+NP9pYIdy0tQfj]WCD
U"UPpH8g^(t:%r7oZ6RZMiF>j=i5Q#m<PVqT_e*DocI#\V4Dr<?-8[wLd2PB5T=;#
U"O,s<N4M#:V>'cF_$.v(S7Ch;ca3ZBBlIah>.USGjFdjR?_yCmn3#_)>>f;]ZO(c
U"3<#$UO7bUwQ[oqnRgkR&fcBZp2C>Pd&.I+,I1'6Z[=_ab9E]fnODpm+h#E1&#K;
U"zbHPAkOAgAt<Z<l2OglJt5B\;\<6eIOUx8:,w4d8Z#DsEwg9%9MENPOF/-0pYsq
U"o=]M.;)R_WSi/v6S#%p6>/+hcn6vj)fDlrL45d:I*^w*nMA*4k6=.G-okve'Tu;
U"*e1BO8+TG1Rh$5HGOyB>O0RA4MsVk;:*Pq;plqqoQbO2grYn>qY>TM_t?UH:o,Q
U"4jw'f^nkeHMq1yG^AU1cg'A*$Fz+g3>XI-B5<XUZKDWy0\)[GtnbO40T'#FSi,O
U";Z6[+fx4Jv12SP#uV#M.nd#J7&b&aAdwM3:JCUE2gT/?;+7nQHD/^*rp.f?&hTg
U"D*I#(sS6DmOCc2*KBw+]l^7hFb6ZTOnpz8iv'p*pZBfO&6Qz,aLOXSHZx4pL/4q
U"PC^Nq'?;XNwt(v'I<hb\xlntW<-Ugz.*tP*G\i?la:cvklmwvTZS)5*dM1:0YKE
U"7xTfK[e&88cs5g[eUTO;KI'FZCdkVEmT'po<dn5EE6Sups1/Xdf1&qTC+>_Bf?6
U"cZ1E5sCpcY2;prO6lOBzQxHxik-H$=U[81/LaVK$2IzQ8S2bnhB+=_ZDCT'+u]&
U".pOi4,&G&0K-c%QO<G^OTn5r$AZ7xw7zk/$nJW5#45kN=1he.jb0M%BdeMJ^A>A
U"<Py)Zj<CWdtDsxS)Px:l&uF,,%WPRrm.<G\N2$x4ZeoCehS*tY.<GNm2$xD&UBO
U"vD+YJZdRy7m,Dx^F,ln$;f,-^/Av9O(Q)qf*VxC'Q6$f06G('l:Z;)TpFn(;3tt
U"27aZOpoo'&HMhI1g.0]S<l?.5AfOfsQK*[UzK5(<WyuZ5$LJJ%Ic$M?;#Zh>3pA
U"7a1k.6:m2'S'OPY7jU$Y4*EpF3HKdT6g:t-(J'U<,m\rV?hoxvipt,BdPrOXjb\
U"Na>z+BG/zMY3.$Mj)-UN8E(QQ.KOf>H6PMtsy#$n,?qHmpGtVjUtI%nFDMFDDD^
U"zDznhG/O;Ag*vuEAL>:(Yv7x4=Fs5_%F'a1;UJ03]Ogn4OqZqs<MlF6k5e;m5ZT
U"P8wP#eVkq[UOPqGGr;0I5AU)hM<%kcQ]#TkBB]P]ke)J>3+H9tcA+-q1+8gc4>i
U",C9ut83_g,rhj:Nu^e+mrqs((\hzj<x?,\[&i_A<]5xLk>j_)wF8kq<)PT5'B3V
U"Vpc5OmJ:QU.e'gfn%Qi5PbwPk[u7>E/4$9=u'%Y5sqwRUciu4e#ivz-LwS+%GAf
U"kZ'Uy_Pdanan#9.LR9JiiU.kGXy#QsHqg9r-'<Jy]#\DwSMVTA_YtzPc6BnxI'P
U">IWmp;S(^hYd94KI/4Sg?XS;bSUjoSq4I^Bk]eASY_g2<X[X/h_A>mSqq#aoo4u
U":5K7zY]_0a?JdN;z.TFqOSBB+aD/E8+J:Ywh^/\YNC&gkD$T$zg2bIR9,)&kp7E
U"b]KeBBi1#?NGE:ERbi;xoXB.4&P3KpEr85[J)):lZ'/#Wbpbq7cRVBVJj?T$X7;
U"k=I7E[&zeIIP6y6#XgJVMp'_nSSk0*YF,)[V>o^]e47Y?.\\7cJERO4pid^k(.T
U"8mfA-\>SeV%oS=UO?ETnSW=WL#Ta=E4*;:G09b3SxwjFbt8$F\H\4d#2XFi3]mT
U";EW/?gON6eC:qR2P?zjo[:.WAGqG0UDDOrH8[6<nx*Q=FT#bg<*jjaXeG_?EEn-
U"_QAZ0[U]*9u&RfwiAfIzqn&hJYAK[62:^Wp$d&''&8ZQ1n80g9H5oFKF>&F-/ks
U"Qx$*9Ct$S-R3WL\JBh&x7f?H71'S9w%XpHVs*]'nSD($Mecm^BaKNsg*6\*>.&8
U"bgpWL[7/Js]M<E?WH544ovYcM]R4Dd&5XT54TU?)_anamNf,5RWrUiVJLTY9kuX
U"&V5NW0f^McWrc5Nj'DV5<Z5B2V#SkObB\?-*?e1,XK2]r>AN$AvzRkR-zFrt%SJ
U"eWRxLA,80:Ucj[,vmJD?lKeV(;^S..((%-eo%t,01^''i/Fj/V_DjR5Il0If:qa
U"9nrUT7+'KfM)[6%N.geg'5;*VV_+1DQ:NGE4i:jFH7qlvK\x(UBQYY3Tf?PR=iQ
U"6&%#nT%;mQ(.*$id5<2)j:7eJJ9sXd1[.'?WSpMWRGhD85?3M\UuXgxmib\t>+9
U"/+H.E(gpyPQMTsh_84m,Pb&%A0=(>a;C:B-1gv%E%^F*4#(ITsA3*4GU's9Ls<%
U"h-RC(>7^''oNG78-r24NT0]3ni;\j#2Isi,[c$4G)H]TM9iP8G$1Du40(*F]uKW
U"RuvoHO1YMp,WI-Ep_H[;*gHeaIbrACeD=TR6iWHUW6MOc6H/\8L8NV/G?B/(+%8
U"O$D?O57tn.EP_EDOo]VM&ER=&icg+rx0:(:+RGDe/C$g[y[%hQ6DYhk;P729m5K
U"pFi,Ua-1m<%j6:%c]PU&a2-C>/thpR/:RI&fH=#iuV&U2_1rC6yXhaz30)'*E&H
U"dBXI08P-^;K[E&,-cJZ5754qP1-hKCpp6'2G6na]BBc=q^5?6*c'Jz(fEIDb.98
U"iT[-&(a=7V9yLz%_3.HLJr0,VX3Jb%]5.2]p7)'q,i>wJAWF^ed'7XMbY;>\,71
U"G_jc-4)Of2%<it$MPF9X$-.k53UieO-Eq<]:IC%>xrfHng&aO;AEfHk[X*;4sNw
U"?\-SlNO.-$L(=>XAnPyc2>djKo+ENhuj-FBK>rv#u0f4,:e#u+TqlyJ/6v4-M(^
U"xMt-#IM;/TgjyG\C^61+?bwo6;pS#JQTiVR6Z7J?V**H>+KWR#LBfYf#=Fui%O=
U"13==9IS0D6Y<TG085F;%SYmQE;uu+/>AD/Wu\%wN:k-AS6.Dg44y_G1DCo??5Cl
U"Wy2Zv+Dj0MyhPS._5K)P9b1VVN0))dT?8Xlw3kkI=%#>*SHX1#9c#E=QVd5x;Uo
U"dk0KXc$u8?ps4w9Q>SwNe^)Y$xyJ'a9Pwuq^)[[Q'78XXP>.ciqre1SJQ78nXP>
U".--xlRn#n-8_8XP>W.curee]]q[rpaX$-*_qJDp:GoG<&&jNB)-KW]%K&rnqsB)
U"G2?7#BVkjew5t?UKoHtC+1Lt5(rkgy%.V2s;wy3+68.d]NxJbCA=iq*?e25/*%U
U"Sy2k+#pOTBpf4:rSj<w)nT[ZV2i]W[n1$1jYk+B/D_&[71T8AHP/5us;(w$2'1*
U">*JxHv5h:uj*-m\5i.MN?oghLuF05-eoF2;$fi]]9][Yg:e^LmW6kCP%a:Z9t\u
U"CGnj5C%NoiE'/T[Ns.$u$^*.oYAL'a^^?WJ2zVU/;aT<nkwdri0c)H;NxM_qC)e
U"^mt_fh63wdsitBN8WP8*Z$xQsdNr&C)lH8tLGIwrllO,qL;==%q:=tVBD1]^rty
U"[;d.H>P-Nf%t-21MdC<)GJAg5/pw$DX\YPWSZXN/Kp',x0nKhGZ$+KFgl;9J5uR
U":w;-mo/wH-_=oPTG$F2bS)On5tv6\&U[YWW[TeG7:98/%0G;+X,hS_G?mN_k-'S
U"5/%IjOj)]I1->0ATzOL$d9Vd;JB&TR0-31fm?[d05fDez/W0.o<:dVAZpdUwU=d
U"Hon_&=0+n9.mf'//_2F6%cG[%(fZh&dr=42jPt.ciR(W?S+JhdT\uaq8CSF+sTi
U"4UaxH.gUH,4.f_(]-CpGY5emc3e?$1/;0coB;<=M03P<UPIqITtZEw:bLT8tuO2
U"ZjR_)7x&U'oEKJ^BYUT<3]pj[ISg8um'*Q\Ed*a$WmEBCfq(XQ+Z1Ck7xUMYaGN
U"h=muw.<QSFUjdW_/w)b#F+)$M9OBI$E/9gx/at$RF[3o$&%hO7_51tC^E:U:'Yp
U"d^#-5+?>Z(CzI%%k=b3Li&Ga0k24h\9+-b\EnOW9_S9'w-?A8zo4%#F6DR^c:0D
U"0frs]Jtd5c)IFdCOl8U(=gB?QpN%5-?hM)R4Hd>\?w&&f>k>uK)k=O9_wg'$[oM
U"o51Fn,$G>ehThr$LR.$ET_JR^F5x[h)qe8sO%ERe#2rw)oQuDI[gDM=1]iEjbuK
U"q#H5zX;%-?\8CaJG^-#IoC6'U4dn_S&pL6^K;:nSgd+EY+\EW^d^2uRg125.w\w
U"9bz2wsRYQ1;D6u8XY#p,7,%2P:q^RO+bEBzi><gbE</7g?IVgv$=thRBYqy88M6
U"b*[srUqDgt30]I+=S<FK&E)Bm1kaJ3QEB<l)W1FFEX6aMT&KXA$GWEYWYW%PrtG
U"ZRgC6FpZF[U\cK:DzmIGbKFY,SYin&tu8#JdGrL\B.,AM%9Z=pZ\OcH46RJ4#+v
U"2F]qZl2gERi,WISY1n?d'aN(X$oa?o9=-9TGEx_+1LF4K.:tfN7FWD_&ALro;^E
U"BF$n4q=JJa4)Yala7olq7Y$>R*Ue[xJADg<R(LdKS17o>#S[sW+OvF:'P<5;R3L
U"?W(DTT(>w^rgWdW4Q,7l1lP,)b/=f\_J_iOLEE,zuDHeOTF\mfl2tu2BF>oglT,
U"xTWiv<.GnkSna3#xZDSL_k;xAoHLLz)BU_KN7;l&cJ=wg]*br*q,.gGJVIa2euL
U"xT3udxai>LxAeW\b1:L[p&)P]:A8CXoVr?s-KnDVQc$L:r$pSr+(:M6h3qK_<==
U"iQ:dKUqm^[4W1/Ri?K8r$j6cd_*jFJ5b^A9I]d%7oQaM0x2x7Ij<xV5J4hZ+>Q]
U"wbbC8i'VE_)>ib8(an4q&_GWIFa<[[H=HaE]M.M='g37rwpE38ts'cwO-QRJnHY
U"Dic#XJ2>s;Rjyto7+?HuhkBpEl1')2](?:Q%nUr282y%.;tA7*\kbx8ErqKzs(.
U"rKM;F.&JxG^D._grwFxMl:[pz:*q.$tKeVv7V<tikK2#<:h)H]/UM]H,T6_u>lY
U"8Mu#2cmlopb&f]R0N[P/H04P^Cyqj9sp'vj<Ss&6G:X$I=._qX]NYJ'6fDh=F3J
U"/W^[jTRE/50r]_1#F?I/tFgDFCZllGuMljDk0mo$v7z-I4/QBC'n]0%#IkhOC>x
U"8=kUpT/(R-[OI'*6%K6?7B7Jmgl1BK3C=Wg'%Gqwy5Pf-F[#&KwC4jl?r.\*1Bw
U"4Z)FA]O4AWWgQr<IjaBGDp*M1$>pBgjI[6otZqZ*\>49leS\3e^[l8X0_kp/+?M
U"<Z\$=M<5UOe>QpKI,LG3m]>:SIMWI-EsgT6m[ljpbe+5IB2hbbdBO*+Ae%^sd>g
U"5e5ukZBS'5;TLN*$*&LLYBw:SywEsrR)+_WHPndo;1hDH,6W&Y]K8hOJO:mb8Qx
U"<$j]o&<R7.xre4Aq>wH:]4x1EaHX^C0b,UU8Dh-$OCym=>Ka5'6Lgc4iE1Cm8mp
U"XI7;=j>gW1b.sdC:3+k_Gj,X\Ljqia2Mn%xN-p#+mYO%7A:tQR,W^JfTP.*Ui;/
U"iO7Lwe1YxR63AFBb,b:lE+&RXlePLr\Iq-hgPU/c3G5H,C6hY0HKa/d0R*eMff#
U"),00yJlQVUO,<-$Dy&xTAN+ZS2wXkH\QhyQ^(JvVb3,\J4TdefUXBj,>wO7lzsj
U"3Di^eJ6q_Lz;ZsIF,jd(lm(8&oKxjf>tTHoc2'#9SyMk2[UhCAP%r2u=Ov+;Y1/
U"lFdvuQN#^R8I%'*T+g*wR);=i-ZS?%IY[)+(YPSB);hI7vSR*cS%vZOFfdgLAA+
U"NAr$E.$SYX'/2=9r7BYO*U]?jEJsZt3f7XL/S]Xv]tEm%+/,92&&E'>$,x[T[A&
U"6=P[+Zq0N[2<LDgq#C6*V[s=i0G\MiU8T,[LMK9^_qi6S]&gKhM7>Nx=b,I\3f(
U"?AEfht(iOD:FMh:Hd16>=uhTb*-'U/qRRfN-y0XSBpaKwBT?x&Yk#*sO9FjOm5X
U"s2l.45eMN8uRnDfGl8hDHnCj9<hp^%^3R*b;rVbn:b4/-)3G\f%6\P$,<C=,>^(
U"sYPZmf-/KZZhgnuQqG>gaV5<?pB7K,=K,iKACgO(zaa[q,F$d?Vdl])qU(WA#$8
U"V-OBX^\uK.hAo)]nXCZ$X[m6/j>miI.o[[\gPdi=IY+5-w--Z)NMnj)G*ddMJ;u
U"I7/TB]$[69T\V#r*NA]i86^3$CSdhy2?erQqJB<_:($F2-l)E$mDtt1O^&kA-I[
U"&gD>*G.n?7UUS;E7Dq/#iDF*ZAV8bBdE<_ub,TkL-b>Fcfo<N9fI$Fl=:q_e>]1
U"YW/PMw+a:S8HO2o)F.##TwzacF'wl?iKt%Z2>,Gig#-Mc8&+hMfy,\>c/kzUBK2
U")d&qVX:yPPphdSHp$rz?i0GQ]:tGO<lF2dJ'p\(O]Qm+5QYSNZFC3syJ0v^.Se<
U"PzdWd>est$]XSUnhfW;i7T\.ra7>9J*EV+xM5^kjlivT2JFup0,r/A[Enhhxu')
U"NOd82tyQhTS1N7J*XdV?pvPQ81PbfY96SbdVfPlf>>C96f#t?)KE4?oW&*i9?)D
U"IX=S+D07Q%c<$>A5>Bn(K:fSUrd1O.5Bkw3sx/u=,i8];P:[X>/UQsiZ1ido#w8
U"Yu%T6c8P+*e7BY*GN4^S_.c:V7'eZt$?1G4Vg3&'u?A9]t6A)OS'B.hPR1]GZWJ
U"rYc$9100;Lj?/pfd;*YxDUQp.?SMOlf2Z6d2Q&'kdgW:eFCohd'O18tAV6ZX$Zh
U"(aaou.:N0-FS]O$b\xtCX[:Q-^M&7+rZk4FfvWtu2UZC23:,ZTbwVQ,Hk7oiLlD
U"l(SDfN-ddeKSo,sXgS0:Sn;tIM9&)z)Yi30;L4D,&b?hrFGj(9;wO,)\QO*XITF
U"9^$sx1Q2aMS(i_snYsY1OO,d*1V$Xcf&reV^CZdiD45G]#l>>DaWHdj'hH,1(BM
U"+#ZC;eYl-3[Z*0WJ(WP+Q'alMj+T4EEh:kH]>z/25wdC<js=:dlrX%4;0W$kiQ.
U"&hO6,eda8=dM#m7=D=GqV>,F7)a;VG$3,hqv14%?Tsrv^j+\j%64e?TVWS:92SK
U"_vj/38e,MXd?0G[2]/FDdw<B^T&1I9:FK$t&,h.%-u>kUCI132PhPT9mh0;%MlQ
U"7mMN$(ZaKC3GQ>tu9kXh4k_H<54E)%f'0pXR^'%P1'tw<3wIv,VVr9f;L0,ScTL
U"S6+ncDLL+(mC#Xn)op8rXwI?EE\D4i50fWhSUXMl8UAVF;;]*u<k]'Yuw4a<_*e
U"__EDL9oV.t:d_o,Jp18:Kc[-9mTkp,AqxE$m^S6nDbsRSZ(9+_PN2P:JEIz,>-0
U"N\g4wd^-<g6'?&6Y'l0jRT':b2?%LEC&utbl'$+IqkbA]J8wL1mllr1'EGFjl*I
U"+<TL5%oZ]S)sDU9dAa\]TJr,<%OW-1sX\(GiZ(:X&IQ(_L.w[KmYc]*.f)WY)b7
END SUB
SUB V3
U"B1\74;/()_K$Wpx8;S+F9TfEYAJy#tLql3StAo_t9]FJm+OCJ4g^:cdMscx%XXD
U"bdEPhbSVAtQU&<(7Z70I+<\Tci</_TQA9?']q4>BsI1svqkcWbAbfaZe;3GmdsF
U"m>/#*9kUHfA0r)3e2gIJz0[SNsbPBJxz+&gj(Ri/0oN%5ZsE'3c8y2HYA<(hWsw
U"YaGap[EM[,XIiVj,FVL[oG5]j&BbT=g/Fvej%??Pg_?X3Jpm2vM?clWSA7IDI8=
U"/:%/<X-)Tvq&s;$ctf9cB\6ZRc:i=#D<RQE]Vo=a]8q[nrax4F&MITSBdpr'wvj
U"-kt4*7f:7<4jOC?0W2[;]Qd+H)BgG_j)gVODOO*wmpWqK(zdFIb1Kk?fpE8JAKE
U"]23,HF_<g$7'P0O:J6j0N1Ri,5_(X,RdKOK-n&h4+WY.G45K',',ZOQ3i(WlxZ;
U"^Pa#(zXKf_/f;[8/f7L3cW[cY]hoG0,of-]3&b9seE_LdNQ2QE.BtTBWmFQ+1JF
U"_JBaSD'&rF28c&B/.PfrD((Pa(4..h<XAqwranvTJBRCniG3>Up4ePrccdL*_8T
U"/;W'd$uo82_SK#-ig.+B8nI#DEGP8wbs8&+<;i)*7__V\NNZixIXi*'K+]tV<X.
U"HbhlwVZ.7Dp>4$I4Vd0R5BV9Y9S)G$Sq,O2mML]SYQjQ,&]K5/<c?ronzEdcK;a
U"zS9)HMJ]P>6YG4Zh.9KTRp?D[*sgl<8cV*N^t(>QuYA\AP)XzJ-:H%56Cm:]S34
U"_\x)LF'wW[YUm:ZO7A>uorxY9?i9j#\Ad[R6vf\$?>7G=4VjFO[O+=4QI;Slp%?
U"AQ5s5L6(H.)Jx,pa4t%H;1rxz_MJ0UyKbr,D.vTx:9JGX5.SJd_Yy'7tQuVG*oJ
U"GJeU=O_uSi3'v6Rr/eVlAx:j/vI&WOcwKgO$ym#Krn]sXPvTAZ)+.bx*f>Q;Bw^
U"Cb8NYJmDz-]/%ud3\Xjx:7*Ku>RP?LV7kPC.rfWBf7/4'V#h=qlZiIc[Mn_B=\,
U"=00ltiGMsdpXaf)c3hq'zL38cW(RUmv127Wuo#NP,6:]gpvYlHm:H(4A\.)5-%N
U"wP0%>Y=dZSJ-w^rgA*a?<7;LVF'E1%-PW2,0Bh#,*eB+a9kcvNr5%_&US(3Hf6e
U"ndZ+inCQJrH#8I2Qc*J??dX-HP_iaOm8CMUQX9G65J,dpX$wfC?JKy>FW<_YCIw
U"vC'-+S?%,Vd%e%cU#'lSm_OF69o0W5+Y86v;.NaA0EtJgH/LowwE-p*x0'2J$S^
U"=R_ca:K#)MJAxPX??k\TmU9RxbbgJrhPB6roGsk8NO/>n4,kZCOKxsVC,]CiOSF
U"[AG_S%*&]^$f6kV.lf8MzK[2='-EIRBDps-Et5a'pJ1LLl5JZ$o^o#Wn**0.*8E
U"&2*G&)'GiG.MjBC>j$R-2d+QS=5Y6I,btm2%)2FWjc>TeLcnV/)lb=<dZq-jrZ[
U"rUANX.)WjL2*5>+W#39-u3RQ-vL/oZ7:.>4IUkf+2'2,V/EdMB<Qi^MXX9,rO\R
U"C(D0I>Aq&=DVh57,1D:)_[9:>h4AC^'$KHEO%;%<T,f[&<W;I<f.R-:3UCTgp]H
U"'Z7(6Gqj'_Bq\iu21&i'_SkOd%d%e--9jJqTJ=;liDC$\ZdTX<nfZ]v7=1#kS=:
U"kTb/YcU#5]Q/23n2vWZ)H\+iN3y8-(E9m%(G9gV;nNeU=-cKQh*,f#AeDjKwo%]
U"4ARu+vjg',%B?ttN#5'+ivvgL8D$Yso)R&W[RChA+rlokUnRllTjA&:[)=+C+ma
U"]bT^X0L4/;Er&D%)N'o+zWJ1dH.CVTd,B)yO232*?4RmHQmp^sK[i2M#i[C1X_n
U"Rp=\r6nOQN*lI30g8,M7U)u%kFRx176)<HFl0(:vIL^_sBV(QI*I3tFHU#HqwW$
U"No*Xe'#50uI[o0:g5WI=\yA^aD7Z[3.:A:N=M3K#R3bO&<$Q]o+i\cl=]2$dese
U"b>A7bza0]%H<u#shL&-(GL*K1+&Me+\K_RsA-L+m0dWsHZ5]#6y)D59BCV:O(Bj
U"x<3A7m5wrPQvI[92n3G#IO6JMbO,>0b49AP/6q,H(IMM>,<w0&*ZYWPf$/GJ0B)
U").vA0un#Fe<Gt^EgaUV.aPiqNrla9cw=oNr\R9BQfiO9NMNl9wTK=4yw)S&::.x
U"p8-V%1Z:.7VbK2Kv<5jxVomFkTrjViVJs3&HO/+Dwsab+&)^*h8GbI0320:sV1d
U"iN;xx<^/I=M7=a-(6qAwGe$d?<]rFz+vgnC(XbxlBgNT/Kl+Mumn=;(DPO*X<Cl
U".Fb(/[gdsRr1P3BO/FA#Y%)g(/7+<6mT?=*e&nOzHMAykGgoqJRCe9c,I\z)Ar^
U")pOQ5hbL&TKy<ZoBa_Y:*8A+d4^e10:8eKuBMYEK;;)ODlh=EnAW,V+q8tGH5I.
U"ql](hR5aA8L;ww+.NlI2=?+D_;J8),4$R[_T1f:nMFtIcn+DpKI=TBk=gse0L58
U":T]btIO,XjeFV4hAUSU4(O6gu07sI+UT1TU5Fyp].3>=&>0&)mo2JOz\>S9Dz(9
U"c.h[.#L_M*hF4Rm=hEJSp-vZ)VJ(11&;1;jG3&Q2pSS-N+?2L6sS,W3=5=NoPCN
U"TZRjcuNT6q\o5h(v;Eh4=juDB]:b:k&u<B#Hc3lA\kQf\m)c^5eGO0&4NeXTA>_
U"F)RA&>1kEfArN,,CSx#.tIAStxc3,>mSr.hxG-i.:b&UZ,1Jdt&jmB#9%=dP[#,
U"+<CuYhDbDMG0k0OU2A\uROZLK(7\=QN?*7TTImxdDt_CjYH]TbZJu60l4zj?CV]
U"sYAs(5n;L_m6V>KIZSDgrgeIRCaWK*q.%BO8;GA699vcurE&R0qH0*G6Auo-wk3
U"6DJk.5sBILK)[iydY=NI3DF;5o_=)P2B<]L(>5c9g[O_R[ai;7aMcGYraTmJVb5
U"m/n]KJ#SJEqxdW#0p,Q9+%=A=J0QA1ywqNG'jE(l-KnH-)G&.(U0b3+h5(rp.[Z
U"3.O1#MNYxUY056+'-^Rb7wlbVhVa4\d]Fd,jj^$ilbkN*?*bi>190.0Hq3c+kx3
U"rR'H5b7+hUaNZ(ndDSVrzmlhcrY0cwl5Hs#?[A;yofQo2mFDAhS.b<$S%&8k&kB
U">[^*Rkc)0d';zQ_Fj%,L1Dv_bu(5,#[\iZGN-WUa/V.;TzgBA>d6vHh['S78$r5
U";&f$*W_PddX>EDk.g;_^-MM96RY,91+m2kr/7;A3VW5sDTCFTaSuXE(Mu-Fh(XZ
U"7dRVDgjZ3.,a.^Dwc^].^&1J]8qnbgv+WK9MFW5*%jM*eW;m?\2UsdOO#=[Lh.Y
U"_BcO((bJWOgwlG_TGQQ5'<5Tbf)9F-(:wY3$B_J8z+H93r**;h:%ob0nVr]8nO8
U"EK8Zx%(;+shZga.j:1u[udXr?nF^COoPt-.5aKgFjCE)<MeP,PkO.9.cKm9(bMI
U"Blm])u*GrefrF/HaR9QBk9VhWfxi4kR_2F%%tehpkPjR^%IDHY,j:>zO+^8]Dm_
U"K\W;lJOFzHMvW6OT/f%$O>F(+\m)]ZE=clambeSdmJ%diL:2gmq[6M7,r8P9h2z
U"dPW[92b^2e=G1O>D7FH$u-Go47d>mO%/q])%(1QDq.>D2RTiB0L2*X[)qs;XD\W
U"uSlb*;e7qXZqiob&I$eM6Bh&?x7\KbckQ4RBJ[>*Ecm#?uZEW]DX62V%qxIQ#-s
U"Z_nEqah?Z4E-N8;^fPpZo6GHYR;<E87cPwDeKugb=*cGIR42(f3bibXLb?,t,M'
U"M8[Z2OQVG^F3oOZF/CLdMp9>4cr#BKS\9IPCAe&y:^UO8(#y,%4vH$2[u'LZ)Tn
U"jz&K_eUYY]&yu]4B:DRH;fH9ubPUn>aa.x:&tr#h;u*k_I,Z+$'*g*nj%kwB+0k
U"SSh/%hEJO5/UctmVGHo4IP_$)z_]<6]F-6>h.B[BpsbuAk2^%8#ITZ0Oe;IIA<;
U"qXYUHX/mu22,no[yZ=:M9z_FlNkA=lL?FLIZ>L[%fU'r]P%([Pyl<O#qJvdD<(k
U"d+Y\FIIJVYPa<)vF7n]RgAxwlcB^X\_5hf*G)*D,6U<\:ddIr+=h:KV18KjOl6?
U"$\iShBhy^We,C0s96z1nk02r[,'A*.tpvmfw#[HMvx:;EtjpI87<Qo^sWj]&OFq
U"VEV7,WG0_8KKagi&l-8U.07UWoP-]%AbJB+?W_sm4v:I1iwgAA/YrPc'dQW**Ic
U"<<43XrhMGPR'WjE;&\HYo(&IPV],k#6'D(I+'D(I)5F,DF8#^?)IfarAr(r8\EK
U"vjT5$a;5-*mol.Ye'q7*C3wV)P/lY8>IsJAk-2X9)%*?7su2kfNM]76*2fcF++\
U"9].qb8_R(/Q?,&LRU5pF.DJvY\#3w?5aS*p+4\e6cTLSYeHKgHYKL[tG2pW^3jK
U"hth/xD^ZJhp2pD4w;dNp%KpCaRnX]D)-(2TWd>BQSnBYo[dwHnSMXMXv%ZFf:o$
U"qQ1B4B8'#sM/pCc+PvhP6:N%?%R,)8W8;5cZq9[*J4nuG&G+-ats$I,_/TV$f:w
U"(ek^J'I-q:zgV1u.'7+J7CmAeR8E:<kWcsevQp5]Z)/O3Q,D:N\ipdSvIk9Q+08
U"8oj[BDX#+%)]Q)e;u+$0fJm[QBVM=U<RNhT_>V^dr5J>PovSLS_ReD<_U5jFgJm
U"YopZGAKv*8^&c<vhh.B<dLpQ5v,iO<,>hiA^;QsWl1p2t4,n%^d?SU)psfhR]Fy
U"A.0CNCR^O#US\Wx\[h0%%7e%?g1*:R3r13a*j#_L9=IuXZY;/;%J.D,ORb^csEk
U"H_QEHZ)2hG1^cAbE*m'o=VgQkF2+UmNuR7*dfdANNF\Ku2l($'WAdMfZRPo76'K
U">jMD[nQbwHzs8<3n=A_Xvm)Z/wQUo,stO+34OV35cG4/8[lM6B(QqNv?pEEK]VM
U"<._5T3)r'(=okt&&U$pM,Hb7qme5Mn2J1]jOGL/KvWr*u&j>UV<\(C'<Jg$<LUd
U"jdu-r(bxAs83\2wsFD;\Ksi0s-C*W&O_KZ9?(.X_9[n0Ytp73w7W5=,+9?t0u-;
U".ldlFUIU&#h$(evK$q,MqUn)Eh5'R,#moJ_*J3h(pWTdSx:]nfo^iIANaWp>T%'
U"^ipe;<qQQ%5N/7I.7^3-f[5m??7q*V7d%t[a6Gtk#<\f+Iv,Z#c((-\Oo':jC<$
U"QprG;_89Zf-7PzSPWAs9/ul]^4(6XX*QrAlrf5PUTgep,zK4;i6O+?<kIA2?G\T
U"m:T&Ut&9Cd-[QwnG]O.)_,>k,['J7IC;7+%N?oI>9SujUG$<^m4Ub5kWsF.[,56
U".>u3mF3oC3BJpR]0+E4%I:0l%X=*S+q3e+<CD5y*O39is\gnUsJ-\0Vb+8gSm;k
U"C$_p&>*^009Sv#I73r8UUw*IYMY5QV*=cApE]]a-OF4NL8MTK=vCORhd#ya&$N_
U".hfnd?JK?#<L$;nDM5k>KHD7e9J]LQe2VILL3yetM%ukx2$;tymT]LOiiyt#j_?
U"r;gLx%cO*KSRBf;2fCP4tE28AO%^M>5,/teW>+C(2e_$SMR,$QLG#>OonnG:Nq7
U"^B5(VVVcLnxLB3EH[>PZBI_,2E#]+e0ZuBiScOf;*r31l?>KUDj3j<9UHjum'h7
U"=+<57%Bc'M*9>iN7%.8T=-IX:/p(+%97Ms(LF5BeI)v5v;%=-oP)yih*5c^4r-K
U"OK6XbXca*d1;^^b;rQePx\<;Kk?trexrGR/LLe[]1q\OswumtxJ>LXOMA]N2eGE
U"3oDB5.z49hkzVyMbE5zs=&hiJX;OKwSizb\IpY*e4z47dr$BpTd2vBla?Lb0dr^
U"3-(OF(?);kEn+#F*mg*bY;[*-q^bp6XN+6FYShiqZ,g<Khh,'x</#YOVW,)sG(J
U"mWE&FFbBJ$5S.gdVXL'1js\1%Lo#Rj#;XrR'l8Q^tiW<D4xeEdd6L_BfY+K94IL
U"=9e,%*JUoUR%Y\0[ay,wI;I5L1OB)(Q^fBGBn9NCF_uXd$+1&SYYGxLA#iR=+VO
U"eP$)D$=CtfJeO#5rcd09'9^D0i<Z,HZ=5Dc5vut0V5ZKBl\w,.<,<Q50#N%Ss\\
U"M5qy*tUPZq:ra&kVOh;:CWby[fH3_2i%^veXM7H92<=gCs3OOEB/Srv-9:=k%O_
U"k2D93E9HM/KX]SGi+%wt)4DDW_LJ(e*i='JcXjz;ZE/I5Y\),OH*\+g)&&wwt>-
U"C\tKCfoFHsKKII'F2x^(V#<GdjniKc%<52S]VCcRXX(u-p*[/Yg0-DsJS*FD\[1
U"AC))Sd[&],:,Xe$P\SsHOi%5EK>*m?.LX))ss\xfnWBm14=>ej>Ch&8Kk8B%:_m
U"1/$QA/]3MEKswMwsa]au8LgF*KZQD/e4KJUSmd'F24tVBm/DnH1fw\1QrtjN7cj
U"bld-B*esfGQnYg[dt=djkPxWik*KC\n24g*KT8&>*x7:_DfT_xD5eXfV?q;p=>W
U"F>GpxQz2,z_Z&2\Wx+:[z(F=^S:ih?7&\g^]A2%(H,+..gy)xzM_K.R-330gB#X
U"k_HJGrF29;x%JEE&^EJMQ5Hq#UdWx=t53_,m*pAD8SMg&NJBB:-xR>Bgm(J/NaO
U"C8^*tn:=m]H&],YI/rZVzE'77X+&2>2<18Edq:R>ST\-5G8t.34_iq,%gXES%BF
U"ELm0b##5&]l2uJicV7Q\7(??%rOii_.%9;DYUyC_.s,CQ[w-RI:$uHgdN.U\DWe
U"EHmb_r$)KuUraxphGwm%mfDpMUkpl0<=ywT_oaf;F^w8C\%1uLH*mK(K5%^uX4o
U"vct$v,m]0_*$VT9nUoM_nuta1558IGByG[4$vWV9U_o,k6)UQn(l;Q1#%5-A&UR
U"fgI7*muw\G>H.uGR]/^jj?LK_%d*Je/fo4gA?a2[sWM-Ail_)Eac50mInSaUD1M
U"u0G#6L%)7f+M7qSZ7QZeHTd*$&31IVm>Lm0$dJz?',zMFo&wu25\%DX34H\6*C(
U";zZnC8J_B66r_Go9bx/s',+mD;Mh$%K01?=rou9g\N%>So+%\6?)Cds9.i7Q//e
U"8(wB>-CdrUI-n_y0ZriOOXQQ[(/?eNETsE$1N;AbA4s\^oF2IRmY]o+Kk2oF8oX
U"\%a+MHJBE9r6\F0ZouQMD\7>f6%5S7%#2sipiaG)\>.-^f;[:>7-e$G[+T9kR1.
U"HIj#]p2(Q?vxr\]w[\o:?zO.TS*ht,sg)mR:),iJwr[^][Ue+-?xX9&)bz93hT5
U"Kt&QjOCR(,]3Ttm3f?)/V:b?](Qf\a-Ob.dxP%0;Y.+gS?XGOYY,X:tlH*RmS)[
U"Bk#s^5<BSU<5,jNQhFJ%0Y:#/g6?PC]Y<SJY'',lRj?9k9mk'=)b??Zw?F7NiS/
U"pN/OX&KHpV&5.>5l1+VxA<f3z3Z-ep;j6r<ewwXWD5dxu5Y3f:_JbFp*9w^H-dw
U")11xp3iB4pr3Sd?B\aKWmQ_6(/*M&?FQ-lc)_YbqOK1)Ibv6TKkESnc5._AMkZ2
U"l$VvlU3j:rMrSK3D[-91.nM]?TSj?#*RUw%v>4Q&ZIhU)%'[^Ig7S5OhiULINw4
U")7szWV5MJrT:oo_j6%?jHqIFdEJ%l5e<+SHtm1]Ol,y^h':<2-0pI/-a^\-*Z>G
U">qTk8uf+H?-j2i2__im\646B7Y=]l?HbbYZ%E-dzrn8*6NQcjXR+7.uQdPY6$N)
U"Z6J57s.fG^?NnFRd*wn87u5Zm[Y;te[L430NE-EAp>p)<U3XayP[\dE=esT1NJ[
U"I(,6u9Ei4,TOS0n*TOg._:DRZePfiE2OGcYP+/uNa8D6o*VaxG+us%W8nuHxUWS
U"#b3FZ67YbgdLNpui8wp&$L:-KfBnkGa&JGE:*#-e3.m,kvjt'R%P)y=kx)O?Pck
U"MH7(/K8/rNz'=Sz)lt3,HLG0YF)5W9N+mBOfEVwi'($$=?6viJYV8N0A&=]Ss[*
U"'VThqcO-mm(DOg;Z?>:=8*UZ-.>rt+jcSN[k6alA1ZrF/?.p9(G%vU(uAD5b61,
U"nbGWdL']]EZ)$E)*g?[nM>(<(-HEwC+FPO=#%FtFI]%7t]EEn8/&*1W7)V>g3Ek
U"ze/Cq.Um;J8w$l_q.OBErAqf&-F(20Irrr_LN<70+/*dD>I0<R?Veqkf4Og6,74
U"b95g=B%Y#WlrS)Z'aeFjWBGVgV43unhA3L.j4KlQmqV3^0TKf8N0MR])bMh+pY7
U"K31tbkF/d5/3&qrOF2OhZhsGusFp]Cfnd<b=%.N7^gINkwS\A$CPDcFO>B)r9&#
U"mXzHXKK1_f+?PfZ_?)1Th5tr)F;?<p<h/MAN4gsnk0<i]p(4=$^nMQGZUU2l1rZ
U"bMHU?J8R=_P=P2r4:)lSrFMhx1j^$/#Xe[KT#NrtoR;F6,OOu[>pOA>%8xrX:I#
U")VArEAh<%B+JrO-G)Fh$1H%$g)n->09tJ>fuD2<8YLBiE&vF1Sbc\Z5AO$i#]t?
U"KTm,h1)yH<#O&c%ULKfNwG-/#^TtZ8XW,trDC>Z%/A:51*'VsHIca'G-=P4;f$;
U"t(_&QjqF2o=R9hL3Ndi6h7Ps7A8]&)DLMljhhd((^^&:V6:KL>4Aw+nn^-oA(Xw
U"8BKhlw'4nsVeKbuV>u'UGs93uA(XPXp*^b7S,/2L2Zzbb(=&KkQBx&tT_YmhS2S
U"0iOUHTJd\\IKZb;S>GEI.PmEOI&Pkb>#BR7GIxJUSH5tr-*I&B]$V8Bq>h^PX$9
U"kGNwm3Mtk.Y:dD-%O7eP+K&x_du+Ac=DllGDe)FS/]Qotn98)H)Y05T:iQONWBm
U"ZQrXI^Tc0^v4fUtpZlUP+&p&eIE/R^j%[.StS&=^C.s1u&nI$>CN'5ZlKEBa8xj
U"VXJwZ.P-?.<&BqWl21AOk73SkOQE3l]%lUXhMoXPElCZf/=icI'NHY_;duj(N]:
U"5/A*E.w]6(ZP_,6c>q0$V0Qp.ha%sFpJYYeSUws_GDRuR)^_H[-R24'VzkCH.'c
U"2N6*shs10TZ/UEC>y9-#pPpQdk;DTdc/Jc]8fTM?i&j_^&Xt;Grl8);^+o;OZUU
U"ikMkk?56Fdi5-3&YnJ&?]442H9gfailC5%ch1_8&0n%yWCs?i/A9>fohamE)+gH
U"9&$DI>Fmk(OX__>AYv>F:vDad1jwfKkWa9dY0D+-NQ/ip'*%^T&eu#:dDds.hHx
U"xrc/6\CrS($J37wol,^iH?57fh;fvZ/r3+'CLEL#Er1JMm:I,'HbnjIY4/2+CcN
U"nFa$<yWfATgTVN#Vvvt4vb-%y%5J8<\w_L>^s1?Y.TqUJ:VE#sMrRt#FL5i8Njh
U";Icren]2[$-<uj$W/J*Lk#$MxY;5E6=l6U8>OqUPZ7W7]u(>VlltvLHirBt1&J6
U"]CNqnz^iPFt6?[RmiVNmGI_6&$gZk\G:ftY?W^tT,v8A_ds%'-V9nG=-m?O1/TA
U"nLCU$4\,pi#/CPGMk.BZv.xa>G7VnfUjngUc:rY*0c=<qQTlq;6yI06]V4%e#W=
U"VgD%mSTRf9BMd]\Yr4FgmsnPPRNb7b;^i9d.Y=KnsPIQEfCCm?vTlvx?cx1RWEF
U"nkn0\QO=k.X^(q=-<6Z\:L8Ipmyfl*,Me_Ig0f3GJ)HCBJm6<U=^JW)jgcOOV1>
U"hmC&5uNiNJWTG_%15lLJ_t5+'5^mp]DlIaX-?\xE/y4^,jSJDd5X0EC\^lBPOyR
U"&EnRj(m\?8$p9FG4lG42v;ek(WVu#lLuWt=dq'bDNo9EZxatD2XV:$$3tma-ern
U"9CHZMpF6'fX::LqRVC^9^v]ks#?p36tk2qd,5lQc*PD6o7]rit-fgdhRfVT-pwf
U"cL<k-tfl\r[rrZ[W<8w$KbROx0,BU_7QCLXe8IoWs(dihTYO1R$u[;tVMoJBA;$
U"I5OuD#[TqTKKgRB1-j.h^*o;DFv\Uv,tGI-rrftbmBt*YsaNOjkv>,F<8%N*fKd
U"8UnrE$tma(QV=s&IbD7G3\XXUDZKI-XKj[B=P]8bM\XZ-lro3w*jezL=,jfeCdf
U":zd(%#7.bcwN*\awTnHk\]D7anCgKZ)-gS%YreFFNN*o;L(rl0oiY=oJi#c:dml
U"0h6la<.VR:T-s%CiJuDhFUxu?gjaonYbe2hs^zVB9Ey$n6bHfZ>Z%bFd8nku/3T
U"HDXYLcOrb^&Z#lP/c0QAUFaV&Wr7+36AnckTZGf\0.]MV(:0NnEX;3(tl3S,vZi
U"ojEQpiEv+<Tc/j\;$waqcIoZuf[E+hQtd#K%iI%dX_/b^#nxuGNTNZln1L+a7DD
U"6egIk[4L,w^8.a.%T1/lu^ZqYGxQN5fg3AJA($UGm9YXd[1eA_q+XejWBMhG>8R
U"4+BbBFhAImI\chjl#N+NNM5mMFTFpR[O\G5Ln6d>*SY.ra&E46S&3l7J$rjcB#Q
U"v+)XObX=vFL*b#YI^ln$23N[5<1=K6n0(af$;bs[5ey+YRDK1g_Y[']pybQN5]u
U"vsl^I#9E8sugXt=o^fn\\lF,VwQR#:E\CA?4og'#rEM6s>$/^a1Ck-hnlKf(]55
U"cnDu.?(PZrrtZ[P#<[F<04>\Al0h_D=c_ltKRI\K$/PL3:6VZ'EZGN+NKA,r[W#
U"0U3).Yp)(ftm$rSl$T+E4[]MhketxOl5TIgQGHmn;jAI8eXYVBtZObmJM_ydi/:
U"hr6DVr/XEoN5ii3+(/TJNXqALVMb>l&xJ0dFgT4teue+Drl_j?r4nGB64WgIg5#
U"h7PJSn\WMmbclVrE$vC7wzGZ;QQh_ru)CqrW:Pg=4P-7Y?0vA<lrgDcn;R8&_#j
U"gZT.9;YvL6Yl?Kv0FLLqNJEQT$U_nUnl&2CZ0W$7D:<.'gV&VlGD%Mbwsa5V=aS
U"ne[ij8.2r6\$TkxfV5lx3jk3Wkn,3(]ngf^X+ehxrTtk<XD1,l7_>V\>h,$F(b\
U"5zn.s'c,t*c6hNmaP.hhUE+F]8r<NXK0P#dEmV#pqYzLNf(%S0QbT]kcWt'6Pj\
U"0woxUU'f>7FkofrqiXbp5&4>_u,Y-0mCsWFWdSP(Xolrs#K9k;>xA^dNWiAMBrZ
U"<2m?YFpcEk,NI0QTF9y)pcl4<^H[Ub?nKgrry\DQ_m9k(C+tpqTT8+L=mHY4L3z
U"#(#V%i)/AEAQV6,-gm15sMICMJ3p%xCXtc(Vot.ZI5b1Zdm+Ht(H7qGzJn4ZvHp
U",(<dca<WoXadVjt])21gD?WPgEm5o:p^ruow2t-QWna]An^xgU;6'r4bf:rJGhr
U"#v?otY1nwD3#F.a(3u_TVFlH-dBe+DVHfaj;J2Nwpu#ht<6^tnCJ(s;Xt.,j;XA
U"syVK72IrTm?u(a*AALA.<NICDEFFPLsGWc=Z=EoC8L6EWeLiFE?0W0NMws:$02S
U"&FPLfoJ^l?tF?Y\?__3Nd>zrrGoO2bjUynQ;\1ESD$bn%b,&iaMO0ckFj1&5AXm
U"3V96J#1FLup<BE6YBSbCl\.kLp60cdc%6izzj8&v7fScGfLA--l<szHra%J=1]<
U"<w,8GSW<VnnXn=gc1L#:0Ltk=eG7hj8mhps]<4K($^p6i'iygbT#?QhfKEV6fb+
U"UYPMHKo>B.M]qpb,%ic_+w(Cbtm$B%KTcIEe&3+TlVf;jt=#Po4a0nPWpTv:4bi
U"%5F4p;$rlh7\K>bD*3hfAg?gOpV9oA8;VBJpn?:ZaHuZ3ACtXWAt9-uuZuJV66<
U"6L6Djc41\?G<uZbnA\h$_XH]6YsHaE'c4qO*.%hJVObse&Qddl,\zY*u-nOis8J
U"i6gXJA[3TPTl2iV]ap-PPWv^Huhc[t>:OO1d=2EVTuWDPfrTlUT>M9h#fG'^P<F
U"857YI(AV3pv\(W^2)LYG3VyJm,,h?Ou-WGHazIZH&,je*%$moe9\>2mAMd^n34K
U"PtQ#4ExD7wONtFFkXfVVHJ>xscKXpoGrLn5[uPb_XshVTufVJJKTf<M%4E;&Hrb
U"aeqNHO^QTOw-qmk$pl.4XTeDwy2E4nNxYHn1vGk2CFqE1&o\s?zM<D1678JQNx6
U"gv2%S#almoC*6uoQd5NstmHgb<Y]&e,B+Gb)(\^r?Hugrlp^oVzld]8Ky2<sT$<
U"BQN/GJI$PJUg'Y:Z$d'He$xGvWThwL<VN2xx[]tCel]tT?c\*WSR00hv5#v5AE7
U"NcLT79p-ZLbJEU[MY>0d$T,1dOwCksNf#<4GsMB68]Y,;X:7)nBfB4y+J<PnlCv
U"E5la9i7vt9i^7Mm-qSCLBH'^,JebvV=LlPGYAiD3rsKORpre4R)%8LBU^IK*nTi
U"<h>JJhdZk^T+6uY'7YVtTP,v?vR=_Ee4:Wxqq]V.;6]\Mo8r*[dqYKxq+7^3f4^
U"DE4$-WlsGKQ2]KSbivHD'\1RfbwGphK%NahCE^kApiV+Q44LY;V1CG#+Ec)lKMn
U"2OqU,FmtG#s,DsI5e8MdE2ErA?psVV'Z<KRLRRXptOLrvvGK.#FHtob$B<b(%Qv
U"'T:1iKY)q*fL1Z-Xe6u-TJi_(8Br>V+'n>\bLj8B$q]I2ZQF?,dAvn1MGSZjY.z
U"YbW2Ij_D40m&iuGR\bEDD.jo28#Z1_qIKB$iUFRPpfw]Dts#7t,)sMFomKjl6cu
U"tu4#3=kQ*$g%P%#iA'x6&5jThR<,6>R[1atGVIzaau+wwbv9W$VxAqoTx$6U,\u
U"vEY]c-s?HW-1[J9rF_wYnDrs<x1$2YFo#*rX]YkVFmovMV-&ANw???+^nlTeT3W
U"oJtsv#)j^a;uch>P>vi\xQXflCidn$K?'iUo;s$^M2Pj1P9N^g.4l<5\qdWX?Vy
U"B2+5CPaLq\?fcY3+8,TG\HLl#c2l?\Y)BT2cnng\^ci2GAeCR(-X'dccJSejdt4
END SUB
SUB V4
U">$s/aoiDg61T5du=zjs3p'FhCmfE/l.93Igr#p$u%lMYB:Bl3;ch$trkA4VecPt
U"Itp$LpTIsMD(WnkO-]HlDp6Kt]w(4-QsOHk(FB8y-DV]Eg+Z(#2c0Mptdr/:>Il
U"RZ1T'p]*5Q<P?GJ#bXKtG'4Jukg,x0uwWBK?:&=DExs^kS,ZAmqaD7D,fXtFBjx
U"jH^GD=D5#Ze<3Ap+YWGprV8)BHAmgVn+PR3bbI(SmLtFu#rUh2dM\zZj>5\^I/?
U"IFP-SFz_'T<3$;Jd?EkB]hU-VsxM4M.>w6jCdp.=d.ju(V6B$FXPeQBt]JhL.2q
U"hCz8tRtvVzLPpvbi]J4g>LtU#rEqV\WiLi/l]?-e;+l5dLI2lzNVl5H;_X?(YrM
U"J(,HkuP/HS=7O((ym2,&)\f$46t_Jxp.>gQT^m.CmW&Ztr>hxBJYE6I9EYEpLFq
U"D^hUg<LzMP5;(z1dJGmN_bI2q+<HklW0opt5qiMj4tT[oThYA[zOQ]\)3LnOfpM
U"EjWZyS]OWh.+8G)k;d'$KE[<niUAHCzWpluhtvw2pm=4EwgTJ.Stk1Gu]tczrC3
U"m.JcQpb>130.8R-nC/.(+28*T_UT<gv4Dle3*+JPIB5km^%VY*nHHDmB7*P9.s%
U"tzNVs:^u?YSF\Ay6&[5dPjQf0o-$&ft9lbJ2M&Akh,06.S2Psm-Nphe[m/\uo%=
U"1Z6cF8b]30loDEEM*PU>o<Uu#szBc_T)nOiGfI?Ta>2^aB9?6H0l;1NuU'E$CKH
U">FU+\Iy\Gc?/XcW-UN-VN&'Frf^Z$54xD<=R0fB](0mQ$$qbp?I32bt[[jb<<CJ
U"2<&1^\QGPhV+LZf]:IdP[GFS\LtKk=/H\sx)a22'F0*JCP1t'kyE8u1S_q4Jret
U"owog['slPXMI+k7(BK:hy503#G.e^A^CCZ(r+.fB+'2UEc6+NHt<&(42aRpd63:
U"ha;,%33(*Frg?XGsRG;wVpyr)P1&-4LLpjCt?fFoc4'h_\'/BU5\^VykjEa4c=t
U"-Hie=>RX?ERAoF6P0d\_\o.epekh=prE0W#lru2DX/PHPBC*?4RofK>^x<St+(R
U"SCGs0WKJE-j_nL:PVC]Su_kFr6F:2;*5VtWK#+B:sQngNVb^=(84lXt4&Df,Phb
U"7Xrh3iABuOW=.P\H2]T>H0fO-NFXX+Ml.?rAY_0squTK=0?lA<ke%n#ouiJJKCw
U"%^<kdt(x=QRn^\NjX**48;4M%R?v?gDp+\AyAtL,T<yAGXy^8%F6>\ECo&iG*yM
U"LRT6MDFLNd['D*df,hL.U2;[C9vQtuQ-Kz-XFniK=<G,\QjWAMRm,PL2n5#0luM
U".&lqujs?&,Vr,dXp\u#IVlPLL0$pG2hL;)+7k[IEVhC]=#PMD?_lT^W(m]E_5HL
U"CYP]hadKOG*bKa5;kXoby9tWgHb^#5[^XP#SD?AiZ?W2\z*Ejs5,58P)[;9Bcv,
U"rlY_#cjnS'D<<:8[Sk10Ronrc?UzJi7ZN'vwV3m/mXgk_uQ<tTvHp=8m:)cTjAM
U"d0\M6q),[qR$jOU-TbDq4WHekKEL'gyPtZPwq+AjQGXS=Z^2.DO^NQhC%LGG7T;
U"^vFs&TkvV5Ug]W:oXVl/M^-FpZ-rAJYq'm<l0VKs4-qa6TO?lIp?\r#OG>^eM^^
U"JnJ_sHL)7RLQo*$r^*_E<pLc]a(i$9aQE1%t;YC>kFkdKM_ZbD,?.KD>/EG/E0V
U"hu3FJ=Z0*Hpg89X32)^gx>TFGJec1Xn=t^X\DiwNpeGnD(%\YEc?C'FRXDT,6G\
U"l2'X4G^b&FMtL0QsW'VYy:Ho><n.NLb?K8Umk9d2GeTP$Y<&tXR6Cvv#/:OdOq\
U"TjVYIR&SPqJ#Wmx4d63.Ej4P;sFP'[%BV5ecI:7aqU:;(]8mlgWj-DMWI;Ugqmm
U"^T4HR2y_-)i1=sf5x$.x(4x7#:PKQ$r#M#bk-XpC9*cf[^V*n,mdz^t*0uR[;.W
U"4u3..M2k*^R>8ns]8WpjUlaPN=_+bj<rh*U2OZ6)6JQV$a%gY,Z(?>G[J0-?HRQ
U"S(44GqqoPp\0dhrTjb\W#5$Mh*'S:8*jF3jk+BjDs3KhJ5J/#1.T+81rcEacv:K
U"tQB3Lxo1jHSenT^MtehnW+CE;B?6/ODV\Zn]]DCDWf6zcj5_68SZK'o:3A$#;au
U"^YRNrs;dA5TTFQH7=q2gMH;X4SL0#W/Y)$&g\4WpNUEf44Fw-0ZiNBtC4]$=7xe
U"nu$6P\&>:X_Jo#hVf1T9aSxG+<r)?z&:3B\Qp:'IT>lhmNWKx/^_)T-b*(/#o2c
U"UV)#CaRZA/$i*_Mf&5N\-/ar>Ccs94ZtBITp0AK=a\-D[Qa_w%3vN4kZjm;?o#_
U"/yCIrk9n^.Sv-q<\biu2+Vq^Bi(4N^+nR*Q%4L&5]G-jXpMXxBh\Tx;v(,cij5M
U"&CHJSaW%Bp86H/-Q.*3Q9/(iUTPZCPD9oooc31YVd5>M]tsc1[tl0$6^#HV?7?5
U"ig7u>g[&M(N)vVT'sHL#\\(BfSX_l\Z+hkxV<tlRp);)<,L=:g4g4V%Stf-[q[y
U"u*_>Z=r*U1>^eW[C#;YJ29>)6f/o)EM>dx:>EL7Dqd1NJ/K:a'ZOBv[W<XJ52>Z
U"Dm=r^OSTgKd9B2_wNW6YOLjBw(eou/V(S]T0R-_Ax>jm'f$t<b7]oDTK:uElV6m
U"<t5U9Q[ka)\R4>&.IxMPG.;<bJ,sQE6j>:F.7;%l8UzIgu:=k2$,ydcd$Pr4u[D
U"cVNGf%9%V-6QWg9ZcvcH+oCi+4Eiw$YPRbe:NA;:cbXg4>8DVxW$wwc&nuNOPQ,
U"f2]tO3AW_5)t[ES\L-QDUvDM:Tk:NZjD,kz0jY?_7AcUlr00\Hb-tq9tUdOSs;j
U"e:tRSmYWo(=wpruOEn)'[L3smY_.etMDo>HQGV[*?4gZV2MbzC+8p^[I:uExDL/
U"<G-.U;G8bm]Jg?hXUYOFs1LTAWnJwB<Vo#7NtToE^uof\n7lY%7v0>]2Tq696bq
U"s=0mJ4RcDk5<enfuH(mt7HgI,El6-s.Jc]G2'\Vjl-Ld3fD$d,'cJjs#?MojU-M
U"C6mfFh2<dIp1P>$GL\xdn9u4VjaI7t>KgH]s'4CNadyh#8M[byK<qUV,jJ.fen$
U"fff6B4]a#ACXXhV,q)OS5YjiY9k%4+DXy5HYInUy94k$8i<gWopRm;*oZ\X;?65
U"ZsB$n:<Udi?.omV;=Irorg8vmQOiDqoWvE<(\U4*IRA>%Q_LAGCWg3TK[G,\J5R
U"#CY>F3zNiqa,fN<RNuuVD8pi9b;,MlI\Ybl*B;jzPDZ/pHXbUf[><fFkqRsTDVk
U"rE6=$td829aJs^]*Z-n>AdsUDa#31'Vwpv(Z4_Ond3'?%e7l#B4G3ZqXv)cL2&Z
U"ADF;vYi>v/w#hhd,=^g5ruq&VnrfCx1hifBwEB0V53,^\n3_4EL7TbLzDu$xJiN
U"+A_,g?L#QT+-noXNhkJ:$^5jkOH#nD+<YZ/5xGQmB\L><g.<l,k2\2#v7;=pR6B
U"qK7:#tpLb/7Q4K]t_D>hs]#Fk[cYujM32>fi[]k$XRZ]Er7I,W;,tgOLZpqTk<L
U";JLbi=H$TJG;\vc;d+ieUrBi>tesrloj<(S/eap^Hna_W*MuiDM/;ILW.6wJVU\
U")I<'BkQ=wQE#11?qMgsdpH.s6*\Jmo1C;Z>e^&:b%3.#U5fRKdVDJSrHrMw6R6J
U"rQ&X;lH58OIH_*jqeddCX)j8[5[3+,T44#LZgE9FcOxo5'PNS*i-l?1<GJtv;T8
U"3<]lQYM$,Ld$3t^5h15=3:\BNz^,Y$^FyHd&QBnbhXlNe$=JYrT>:2AbY+Al6d=
U"q9Piq)4ez/;VQ^RIP41hrEGoiaPF,;txviY3uGJtg^=QtoYE1(sa.stWNy%83F+
U"IW-RAw*;&y(a9N[Wz?_g:vDM'2ep*J*Ls-^,pk>&;)AcpRRi&L?=pdv%2l#cBK.
U"SM8tLNz]akhqr;\q*$&RIA(+667jk9vtj$MNuem$7f0d)VD^CnZ-g.JDXD\Zr%O
U"eV%:H'pu-P,Fo8Y<F*oC0\f&7>3t%wXTMn7BYTEmrqjXU$\TkXXQuNM+rC]C7/H
U"dxY&tvJP??N7Zoluktov[N>rRinCF9njcs<++[<5zoHkrcZf;5B0^TA\J%W'pOi
U"bt.tY;>f#zQaR&C[tzZMqw*-C]L]clOt+X9R=<tpr&MUSg/Z9TYLHF-rgb6ijM3
U"'NN\]JpZ$(6*M=zTejwB:T?^,UnpzTOvDVKd<]1:V1g4rC7s$>6%q8rnVOM(G>u
U"pB-?N+HzNL:fsv<A=(Y,J8/BgrD&PENCaeoD[UgNj1r(tq^2QM;$,#>#8YhsB*s
U"OqH:1C*J'UX')i<bOlVd^_4k[f*We_Ki>5Log?y&O-h#4Z+vma\L?<>NTp00qua
U"9jc02:-+X:$FM_mGAURD?[0?3OM+(#&#x=cBr^rw<uDU8w0:ud?C/YB+r'2/bM1
U".)uF3Z?fARg;iC1r[33\P6jf,-,pYd<53XPg0&/J'%tXo]W\OfnHScR+tU>vZE/
U"DF\,FBOe),kM74P=ll%GSNh=:J%9O#dGBLsSAtT7nO/9r*Hq%zx?t9.S&rCV)/g
U"O)NRV*KQ;obh/8f>n\80$D*D*w=S8fmY4$'TkzQ?nFlxgvLF_l-^ESqY9>9oYsk
U"BrvaX,GydrfK&A&%Fh(T>IrE$iY?6Wy)4xko6B$iwNF?ZE1yzViB4]/NbW[EJWd
U"S?^td]c?UCfC:bF_NN><XAtlnF2S;^mLy>NEX3k%N&x$#GDXKsc=u_hKU8lhAeK
U"Wgtrak'$Z7M30#WiF>knW#VbyQaDV<YM(OguRla?u1jU$I0r.r=UkGWN#.jL/Ev
U"ZKQkdxEb?_7&S8p64Eha:pQT%veGRPux,aG]wa3(tg,G<HaK3<q%5>Jm1XasVEb
U":YbWAm[g^EW<I5,>AT4M88(Kp/U#>?><LpLbnXsZX6h2\>SAbr$VeT[U/I=Ht;W
U")[0_$n4h5?D?5p-'<uoQyQVT;>_)6BWZZLT<9mhs5/>aipu%gOv/[H$1FIv6F^F
U",ibUAe1V-sgn=hu=EHPeElNVgnq-uDbE_p^)[siF\z]kIV<TF4olEOx.3eMz<LJ
U";.^$/]Ls*#jG2(W^^b&#?-P%Y?CcDUukc.uT+^WJZG?-,8jm6]2nJ;aNVv':^Lw
U"bWuukUi?r=?D79(O+*3Cw#H$U:yS;IT;K$Q'b0GybrdkOAS=WGnada$)U^2*2(j
U"poN%sKcmfZGf_-Ptpj-u.V,(jv^;W$<$$pP9_f*n+kQ$MJeiA6\]N2h*egSrNNp
U"eNOrEFAE$D716<E\t<1LfbCF6[5kf=C<^qvKhs=r66pPLG(UC2Q1tryOYBO#gRX
U"dSDN;B#-43oz?ut[AmjajL'*5893ApsIvd]Z6u#(mqANr)o-duQyKgPH*tiawor
U"rs(x3-MT.D$tKaakecH#Ms8B?j8Tl8npI;HW/jee),;GbpAZ*MR-bP%X#g)HKe,
U"nIOg6q)h5E*0&*qR4kPs\8LQsjPeP\>p\E4\^H14B(P%h*^p\p4pCKmN%-DMe=s
U"LC0G8=R?ci+*zUuS>_HhXvy3[QP[h9mFf3U/zNMYd&6WMP#.\6&;jr$Sn?#4+1v
U"sukrtR5y[M:W\xVw#Xo*19(#pRud]L0JT4<soVs[LS-_.8N]fD.QWo+$qleRiJ(
U"osf&-\4ItGhcGuCC<$Qc/-IMND5AW&pIKNn[.ePX;b5Wn%WuZpFso6Ih3;Pr0w/
U"SJ-VtK+z$jFL]AUpz<n#X9pQ>KV,1Frw#AZ,A5t0ZG0iyWP<Vd,a;xxD'DL^r:3
U"-]]GD/2T+r-su+DTAa$#.ZpH_iEe;TZ3.A7Fhh&0Ba/[G;j\DS,>=,xZs_L7b^0
U"WC>OkTwAO/HM*oc07g%>Mhc9bsohwBf;ZGQ88,D6Xk^p$/HQ-i$dc]_GIxtSbs0
U"m4.piv?$9ga^Q>AnruCYBT7dS,u62Hfi^.-Cb9TW=WLNeEX]qifXZ8,.FSNx>Wv
U"e(k/n*AD<n91YMnU.=6%U=vUw2T?:Q()C;Lr3hl,rROk-CI$%(7F^]eoSl\^gTT
U"*n]#\cG4)h2B&*\N6.X^e'U(kmZ9TW]D3L*t)6FFQ-s/-8fL&L7trvZld\?C)+?
U"vneY;<Ycf8L/R.N[^IcBk,]^c7X$fq[Rhi?4r$T5QYsCo?6dqJ*iq6mM1+?(T;b
U"=mfm00x4Ar^;ns3qgy9d;;pogU&iw/1g/8)=:P#VDFgVe$4ZLgNuLeJjL,kP8._
U"2QOjU;XMYODZ*Hr=,rnqTgv$aGJ5c4h=-gsM^Ts/<Zoo<.LC]zzN_I-)kvsdP]a
U"MWCQP#TMTcZ,BBhneB^U(rvi;*uMcFE3RauT#Ap<5:GH9JduSt&4EpYE*)'lSz2
U"E=f,jkFr$&ddALgPE^pA5Z/ew'rJdyWp^.G1$bnma8:^i:pF<Zp#:6pQqC\FQ*b
U"(malonGqb&s:s3x[apCedWQd:eN$'Jm1f6>]?1[>t,j\x5H&V<6l)47r1n^X7VW
U"vGpEl?./_d^[?ni%Fb?Jo#A'Gfd#^t4o/Nrc<-:sP45ecCp<vqfofRO<k^L$wDS
U"/&K]aStT>5fi-;u(DjtY6e>DKTkjV7AY)DW?%_c4^t-ht1[wZp&daNWjovxmv62
U"\j,9_2^cmIi2Mtr1c58'KoybDi[b0>GllM\jS2*GJlXgbM'SZMm7S>MvAW6^a;c
U"XkVNL#]7.^,64qdo,o4Uu^bv[,ffNGUynSz0bsJ#ecbxoN?->xGRthH$IFR4OB-
U"M:s3D)oT?*KxX<'i+eC:^,3n*\PjT%-0/tb^d8UZdUDjx^filkKLeyNt0?E1mwr
U"G97jS,:\OrCRm)JYifJ]xx[gkN0*pU$jViuIx*S2\C[ylpWd+>FesHhiU4who7d
U"A<hvUQbz%x*KSTw'gXeMkfoGz\V[SN5RRbbNre>e=Ycb8*rPjvGk9Lxa53mveu?
U"4A-O<g+pVNzx$t]axkJnm'P./W2DsJnXfNCV/,pP)X3q+Ke&F$PRe5#U'B/%*M#
U"2*Bc(sX:(I,7ppn<9^E);q#Ad-ETW8[#I3W3v3astu6rja8K9ZIT,b6]2DIb/<-
U"g6Xn1*hTD)a4^rGwA]9*PEkJE(U:^vL88Y&vg0St?bUXX9<'::/G*a6bB<?vnq'
U"Z[=3&0h\&:\-pN9U_c-dX:A30[v6OY(HMvVpsG.EWE0x\F>lxH/Y)m)R$m7(SDK
U"nC[w$?uC0DTS+6xC)1B,(:.l?N-,Jq<11mv00k76I70[Y?]osTZJ4+T9db>W?-8
U"YJ<JBruga#N?2LtX\noj3[B4mec5S(T.)Jtfd89_/ndILiEVo..Lb].Pb6'.%eL
U"jHU968hZLvWf*Yk\64W;_R7WlB'-?/^M2^\&b3Lmtx06i,ZR'aC/2wa$oY/.c$+
U")p8v.79o2suGVZB1UD^4&Ckh[(YrfL=LbQh-upX/+/OwqFl].J4QWF-1EZGhi*:
U"QQ=&4MPI4B9Eub;&'jm+PY,bBE_ZAftDoK^5CfWb8;;IA+%LO-ZY09EP&_R^Xh$
U"[Ep;-a)eo7e(>onScnxA%2'OEe?I.>gSg05s9v)WZ&5pcE8#&v'#UX)b.fG/5XL
U"]iJDl>e&s$iEo.mcT&cv?tx#E91v08*y1eo3b(fC%CECg_)DinhiW.heaufB,RG
U"X+is9M]BpB0[J'e[)Fgh.JE[%I=Ctq<c3S7,^1$af#YBngwF'cO(/_*h>-g(/gR
U"Mh%*&dq.=+QL&U%MOI(M2-H\\cB.>5J%l3+$D+<T*g)XMEi\uE-Pe&$07XFH7t2
U"X?6-fk,R7/4^_t#8kf57[a8$J6,P%5Ek=,?VXh5Ctj%z)OOGZe<*_W=?r97fG%Y
U"q2-vr8eSf5ZTlke+(8okWEDsP(gXn'h?9rQ5H93,gL[O1O'SO4a<3+(SF<<1t;F
U"TV6UM>9SDon\0FZhJKa[YLk1j%2>glfE?3[5A]m-&l0kor*A9[SA/oY<]YRO6rD
U"N9N7_A[rWZI2_-]<NM[b3r+v(T3QP6A=e<QA?Lflopr9<(3Qj5/'Jk9SR->'b3N
U"2H4JZz:m?f5ZaJG.p[U5$(HOc1DRGdV5RZ'a;6w>3S>=m\k)1+aKI#13yGN#pWM
U"H&3828YikM$^[h\6Ah6);p,TiAydqJF'^b6uCmV6'8H6QuVZ_-^pHZ(LBep5MLw
U"^J.K\a)(((=%J(?/cs9.cLs3^30ZxOF?64-65owTU?Gwn:jgvj[ZmPKC;1^rGUt
U"dooWFo1Ol1xj[-st+SI6khjqOjUV&\^>$Fx]j0/z\u%DmPMy)3c5k;X6$P-=_w]
U"4/vDsK[IC?[v*>?8pk'vDKGy']1;sNA[cU']f7c\u[$$Hl(NQxt-.I8G)fYc'xs
U"ZA0nd%$\RRbf[#Lzg-vmB]o:u[;:T5Bpl5;9+T[JAQPnM+^V&F+s3k[rFNH(\&>
U"M9>k;(gldEGu2o)'g+$D2YWKob3wCCDhAv00z34PQA-.WnA&1N4(jcSgf&(KcVE
U"udK.i9SY-NuB)7L>)hj8$MnC-t#2QzGE&VWsD-.vMuig_9*J::>d<8UTLm0lEDT
U"_F*\ofB7:9Usl5-I4/q[miH%%AY19X#J>*K3Uq:yhe\*]29KfkogZZ0SgW%O0vR
U"t\&[-#V?xH)x+taMV\*)SS&u?LsgxdObi'4/EGo?+&:0z^o=+J%Pv6/oQm'G+vC
U"CKAg_xhBX:-sTGy$F4*uxX^:9MsF0gH6+\=M\QZh8TCdBhZXlx9Kli+Ge:4,rRt
U"vJl4V;f%Mnp;rEidv$wPL$Qn4O=MxFFqlMb2x'8iJNdXZAhq\iwxR$-uK_k8xtP
U"1$B29VLA,2nDxUw6aoJs'LJmfvR2)uGX#KUPW,(_6QcsY7[D(P#l5$Lr4=hD#74
U"1U7/Azj'Us_05_2GBJlG1+E(%pU0/Jjd&2I9pdIX?tnLboD0B#P=O8$+uK';xn%
U"HY>Tp%T-;e3dm\%G(v+CQmB5oLeTW_i2RP2J'*PoZt[l3nobGFR>(U_uxI5$s0_
U"Ka^]b$CS)_td7\uI-&jqsLCWwe1)krk*=cx9#e_UI/g]pNGBYymO?MEw>oIFXWW
U",Uo5T5M8RrZojmhbE5$YM;Z'iNJG=b<GamTJfrHuciBSCWEZ2mxXo-fDR\ojQaF
U"LqZv-:\kik<?-0xZQBul//muhqO&Lz[8NW$KZV21M;$4s>HGLShFYG<>b.G<=:I
U"t#0Mb&O8=T.D3qI>pEdO+j=c-hQ?=bML8;l&<5+irFDtcDIx[G+;bOKZ_;6H6%v
U"Y6*HZYOf?,b;^3,CGOdOF(dyYZW+?#.^HT+7T%N(9(&?s??Em7)_LAS&[S*.24I
U"0?Ge8DQUd[:.%1grXnUfxFiuokjK&cK:uof[[inveH:qXh0GKS1MTlcqVrppX7[
U"d$9vJ2&y6BGTYbhxv6A_-8Ue0.S]Lt.EEhA&I65nT;wVt0rDJr==GIi0V]l8VdB
U"EpEOuFZHM2-05M5W\;9IeqiL5)BAtMmOLP1p$Vz:TLRu)9Wnz2V2>,Z&ACR+btp
U"qB.$qJ-Oih+Zvfo5+7<f+(-1uwlF':yjY$[$%/Ks4A3[EDf:^TfU:%)8mILg=)Q
U"d>0J[P==rK(f%)s)egOT8xPoB3*]hggZj4??tVB*MS7m7R[(;8J]8Th'(4'dF(q
U"p-G0CrSM*eG$o;L\P/52)-L/IQ%aR_/-49-/<7jU<&m-8OjroW=Ej+Nd%57[$eW
U"f]?(?QAYIbYWhc8\I'[\G/yAk0L;\^8uP+/lL;x&YtBj&Mkiv/AMoc:_E0x-q2%
U"+8_%vv+.wd1^C9E6q*oM9o5dk]u=NWa.bg>::]/NIV$aoU:bqP<E8(&D/PzCTl'
U"]F<h.(;_;gi(r)K?_*J%y45*:=*v&/:i1H67_RdPJlBU(*%S7:^w%ctxCVl;.-P
U"7s_&/^pX:n_6cZiMi-.$S>ODZCtrxSUT;YFEue)i)jMa=5+Hsfoex98NKZqhN+T
U"hYBH)2UD+N8-&0tcd)]mb3l;\+*Ux7KfB*:h]o=d8u(0$w:nMfi:EB6TR6X.mP#
U";=,C8,I>=Cr0JD]:Ps6f;<um6KP&FSls,%l%Zu;:]E+MEcThP2ZvQ)3QspU&L])
U"eM%s2e2^KLj=P>b#-[W\OkSn5ZhRoi).*^$ys2vj*SBK<nAUM;(eLCkL6(X\vre
U"K9*aeI#v.qYEsZmd8N%l$s$&o/Gc]>[]iWgWmjU)X9Y8x/D:Rm<HL7:-[Y7ICs*
U"oA;D]a+0s6G1;5TD>3&ukguDs'xtiqXRcfPex4smaKR2%Wf1AG31'kbt\(9l&/a
U"eX,C(W3i8NdJO03hAb(xjKnHNcVQ%+qUBe07#Q1iyyT8.(gJQQ8Q6-#Dpd=%y>)
U"MV^eZe<J_<X#1W(rERP_=uOI#d*n%O50Rpf4lxqR%?6.ew[U&)1xl[G*QDAs):(
U"85n&biA#VyB1>WNdhM+.v?hxG4%[p:)g^V?MUf^cJH#D%#95x]>.$8^=+i[^T6l
U")avhdx=6PW+1FQcnd-]VMeAVOIZ39Ip^KlLUz;uUFEo1?av;7c_cfInSTRJ-5X;
U"nNUMTa$P0D_J\O#'ro]5ljjQ<:j1o$(v5^78L'L5LO8?AuG$taO[Kn#XW/<YQ)'
U"^3&.8YTV#u6RVU5W#+t:\_+BUp)'+sFq$>$:D^S(fk1WH-:C]-Z]2F3CUh)VYVS
U"WRFG#2\??sQvo$/Kt1kTf'N=lXOp)oKq9dKpX]W%L-Fp:LGaoKU$z?:qN77;DA=
U"DGEjxUEnyXdk3sH6;d1&,KwiGbIHhi3tMmlsW\OXjudVdnfHm+;M(RO+Le)Jhnq
U"q_IhCurcDOl85<35X7A1U,q,O44mC*SLP\*zuAY]-P?-dmW^Lvd0:NX=4XkhlY?
U")z5IxFJ-Yr96JA(e7xT$j)fBM:4s?L+P]>LlHp?cjy6fvJzVB%%'hi&9h[H>g$-
U"49\C5y3r>:h+6+*zqHUx6^[W^z^90_D/6<H&W%HP+tR/i2ohm-2D#/G-s*=:c.V
U"%QXn?ibx\93,E8$dT)=G'6<y0CSHg[qEaQbj2o&rI6k5B?W(m#=oE_d^napABaj
U"z,E?&cOvJ8_I%PQTt=Ul?qOD=6ZC]lLb/B6nL,lX7'A80KLG=CMn?GQcN2Xf84C
U":D/$S]69A[^Dx+01JG8B(hdSWBrX+i;qpQhoklm0QL\H58Nf?T:iX3pJ83ooa)<
U"9=H:e';83*4g8xYHe$SHsAa6R2w7SW:p(_=8#dXe[A:kgCwb?0n'hP1(>0fM1FQ
U"$kgGhQ-\_rHa&qcYFAO;xG5$NS(K(W]]+G4fj5JSlk0Arw*hq=UPr_-(L?FeA?q
U"%H%tB\,.X9CiheN-f0h:*o4Tgim*kaAL>_d#5w*.H?1XD&:VqdUx'^qWza,G,A.
U"ZX*(ial?)/X28y#a+kO.>6C8foac*vkT%OEX9GkrWA4AC$oZinA7pM]X_WLx2)f
U"#BPP/F?[F(K(gp>zi[HJB9KkTT*3TWWxd7D7W]PpKN\3aQ$vjA*qNtHr/HS:Hmb
U"X^S&Er2;>&L=ougJV:zx]<BefV-.^^n?gCng>ai;*1geUA_-V[5lufk\,I8M)ME
U"Y'p9-IY+=Y7y_AE)k<A#&.9cBmUP_77_qkU$B*b1Trgf$ytblpEH3Bhg))+ow%_
U"aFM+U^t^35C//\)Sr9q]H<1.(TM]7gymr<SbX&N?U*]*UvcI\odPa#5^dzoeXAd
U"ncxJkb'Z=aE<P&sXV?fI&\-AavM8n.QLds.y^%z;$C\[1%-+CmaWHxE&5m3HTn3
U"weNFdp-X2DYLT2s3wPaH1XC?nmO&#2t(:7CcI%ieGP^f>'gD1:ZS^_?,vJ1-o?V
U"Ruxhc<WZdP2gSJ(idmY;Q$_B/O>1x(1p3P=?=?cXOJ\BFie2HHG;RH]+)SUAc#)
U"1#IhI)cY4E5('JQ-f;2c6)]\JhMk>7Phd35XN4>ecoeD,Eg>e2P$G4'+*s:i:Fj
U"dl7CRhCO(?#vY_Q47yK$o6wiV=_2Yr>HgVE%'M]OOj$p-L+\YKvfn%g#xY8=whQ
U">tJ>9n%:f%a\N=_2>KHUU>.P2836MNHpJ7i:VoyE-TK)jZ8*%PRGETelff];NG/
U")eOp><N1BXIk[On->(P\n-.*.V(+F04>/rdblA'9Y)^]>9OQTp:qoEAhLo5j0z1
U"s%Xn?1i^;v3raRbsmPnN7$tF+UHtc3W+r.]AJ;M1]Uq)ftc]>,&yeWmCm97D/vu
U"n,/$da^htF9Deab'\7j6eP)oW3#J9#Jh%qKx=^3wk'F6T<'#&nL]O6;d?_e6[<s
U"r?*T(p72gSGj[G'GnQjXf47q70=F_BY3Ma>/+A-4a#It7s]<*cpr9nZTe7/[U>_
U"DWgzmA3N+b>fM_lK,/iL<Vkr$sb-1k'OdI*#^)KFU4gKm13vVxM<eYVWp(00\IZ
U"aaKF[F>r4U9egI_Dukb[S*N9Fa]k+O.91A.<IfH2bc\gH^BUBFX3El'f#[X_>7j
U"EKQfs-/eC1tE-<4>H$RNe[AlS%05G*#rCqa>QR9QCXlw4D_4_\47Yd;9Td9i&p7
U"lJ[*):RIU4G7b\,Ye$>OEMU=q3P8e^t0>P\9BW>wSM'*%dCBHA)eLv&g4[g4<]L
U"J]Qf1Az5+)tF;B\?dsd#.c6R?&KLAQ=W'[-cAGb>Pce5<j)jl6e'y&=v)az&l7A
U"a3ZF[ILm6XKQ]uEe)ZXX*&6xH)[fhxP>&adEL^CSJ*i:mls];eoD78FFV='c_H,
U"_[UQuA:'d-%J2BdP,:e=DB)p7#w/=Ufk'*Gd$jD-rrf2-5l)D?bC0>W-Y?_UUr<
END SUB
SUB V5
U">d'\0XHI-.V4T_A17FuE#>P2+\m#m(jI#Ar(G&:QCd1420/KC<L+\2^HgdP&l8f
U"1/'9'b<I8g_h?*P7VSnnD7jdlCin/D87a'&F7',lW?dOK:;/*m[a6[Qp38t;,/0
U"X:I,KXNAVQ\?-.?FoKAl0Yl;MJOJ\)f[qkl[rSRF]C7Ngl1]M7#e=BR#u**ddP_
U"-fsSp(*ZWPlt+afGc^V6aH8_fQJ.D%QqyX5s;yFf:O$tifD(Tx..>,k7Z:1<ksj
U"3amV-#GnP6lgbA]_,=63Z:1mb5P)HqTCUA.:fmnDOak0SChuaac.tqh5nPQnNel
U"Z(m7p8>)t'VxHaW78ET7/TpNGh;Fq)F][6L3B:[G\?yg'Z(Sc+d5j(Nu4?4Fmri
U"VhkE+qb^rYlE%IJ8l+BH3]&9-0&L7(^==g$uPO?1UW#tC>/9jyH/&af%_,T_21Z
U"+LIP1(oRRdOazcN6Txv8#.6JOXHf[pK3ij2*?yg=AJQzI^q)c/eO3Q^hqSmnZSN
U"vGK^JjHlrVpaH+l-nwArjOMP/[kr=NfQuk.FR,*u[=H_jLTwT1Rs'xH2tR]vxrq
U"Rw#aDmdw>oxj,?vXl,ZZQmd=^jHU+R)cu4GHlgFFvrdSd=\\KGfxQ^VkA#LN.mm
U"VJReeQ[1d:'O+JYS40f5-,VW%QFt+$(dw3L58g[8F\rpNapun-5/]:nEtHv)ZEh
U"m1mdWEHXs:Lv[VU+7*?#O&Zv:(^JlC06:W[&?:3i-'gL)\G4EYPF/5S7*g1)Pl7
U"lK&u(Q=70A-50MRhQqdP'i['ii['a;Q'a#q1p(=jg$k^m0K*i=**i\Q=;.XSTT3
U"h(\Xjso=S-?;X'=EI;aNC<c5I4o;'PVQka,Rd9>%RVi.6pb>U1AFx'zSOTYGM+7
U"#0;OY,a/fx,57;Ky$y[8Oe?Per0U]l_k*DbR+K+lx3XdBEV0I5TjERXf$tX2R:J
U"+;sTdUbTX69J#gen$bGYoD^=7oMNJ^[exd8V8$24aEn6spqjbuJLXCVRYLT7EGk
U"c7rmv&suLq9?hF<VGZSgxLET/$RcR%\'Wx%MNBtxLRO]*6.ntUL4+qRW/\.]&b(
U")r=g4KX8qJ\T7$c(d*;Mg5HMNBXWK(66H.V#J<zTc,(9K=MFntQ>>u[q>0Ybm%?
U"<V,HrHMdwjXWxtTak_('7mm'76kc-bc]=dr_/Mgyrb]Sgk<[AltGi0cM7+=60N:
U"OND8I9=l-:llFAK9_NF9?l0bKmToTcqE[+Cvk7k<NoX6HUarfCjL<JfDpS:qE6.
U",B>$t<2im+1yVT(?/Wt*Rbn9GGo<7q0$GJqRWdVU9C]B<2\Dky#.m&DMF1ORQq<
U"\/R+7T:Vu&J7-e(g')3du$[2349sSUm9W\W5vZw'8ui=N75ji'SI#4\+Q.Y%Qf#
U"4#i5k77xwB%44<RipdNC[G.e#zM=ZZ?A]1*Gt(c?uam]MqpSj7.k;sfu93w_clD
U"K0x1h7$q4sB-S9>$$j$JFTIJrt3jBUti8J[POiZn9AhjS:9st,omhemDjZ-ul%9
U"^WlU(N.+s3Hbph*RR8#.D6&Bwdk^kgx5i:-Hr$n9'j>ePXYq3fD=m?IBoNTc)HQ
U"S35YthVXUveN6Z++>:M_-Mxfm;80'RQm$w.:mpHinOpUIU8CdB1=M)e2i\2yic\
U"h6p)t=\L4vf?&'\=Y([sIhHMpjV/R[ajlVbds8t&\%UN7AB-kvJX8e:-^;lvJH9
U"xJN1g\\(M0_IpUgEa0GlAbTHJ*]r=B<T]U'79-)Zvi;^+PdiXg?u9ilmANSSiqv
U"KJ)aMuKVh,98M;pa3Y5Uv8xgjLMhV)#Uu4[M]l7e($M3Q?t4FX2/vchoG.Mid&d
U"EF<ZWZ$mmEwnfBweG&TE9+sXnr9.8c\C+5peNZ%9ldE$u>)\+-LYAml[2x(\H$0
U"L:m(2>6:Gdd+wh8tgt,B2v\VhmUSra*rrEa(OfdbEs)P#BwM??-Lgl(Us_p_rR-
U"9um2j\8sbwx:()+o,N=nhZINEvmZxO9-m36Z(Y+qx>JggnVib:GWBQfCGpvS9^X
U"oWJ+]K:TgTMDXV,yYBH4mP&L9#6e\la<.ZUBKA4hUWlT)WlHuGVbIT/;y-GBY#I
U"kL+p$bcLcGaF(T=_N$[cF=HunZGwp^a^,,G:UeIV/F04FS1O3dd#XEmw.98';tJ
U"JD-:F*3kSq6%5piC0Y'$He4I+T*adGpg2$7Q8WRw&wMng.-]T'']z3G[p*'HPT5
U"NedZ2&XoS9-9oYe^#LT2TZ6MUt+V4LS[2EPfw9:K*2RE6)Uky6YQ&[$-Zq^]d::
U"-V&Z?G)q+.Jq'i;K-#+18pRYTl?aW1nu2TU.Unsi['f$vtdLPA9F+#*Ci5_:o%h
U"4T3t/1aeU0s3(/eC'Hb7EM+i'g<_9GMDhqAe#hhK=E28uE%2s]^a07<.o,Q0,%C
U"C=\<B=:KQYE9Zg$rnh#BJa5<'EUHaa?ml^67rcCsQE2mU.0Rzu0Rn_r+*8%]Par
U"\EmKC.)']IT7/(K#RCY2+IkO&3PFXu_%3\S01o.5eVAVeohZO*sG\9-S6vkaAtW
U"G$rzHhM:'E.MZ3i-VQS6ECT%Z.fbPZ8_M+s.lLy8ayVk/tORU2cLrQcSK6Qs/&t
U"\#k[Y*xCK?0F8)3%EbaRk-4?w2LQ+;(q:1I>FX.Z4oW/jB#(20kA$Ml'L=\+x^2
U"[sXli?0kx[]j]ikYcs75;)$jY(t#?%VCNm4qB[;H1bia2+iteFY(+Pm:pIHC]E5
U"8]*i>N</AWV(J'j'P\.mIC4[ekq-__[CCP0%>u=JM>j:ABWL%Gi.I6K2Z?]5chj
U"pLY)Xeg-m)CfxEF(uO<]s)UIaO:7.pWGUfBkNGTM)Bf_O9UT1)tWirFxoTc+C+-
U"0l6v9rjmG\U/_]RR&fM+/sU$#?5K>]O)W<UJVF=tQKGyI:Hve1pq[27l;ggb:=o
U"4I(9)\(S:=iVFS_jv?5[$#c?Ik-C/(H-6(p+BIyF,S]UZXOR>Y6p/[D\yd(vSte
U"1aza0Ufu*7K:aITbhA[.6janC&Bjb/?I[d,$---J\?Z$H\$'V.LX2e?((9,.Ge9
U"/Z,VH&']S'mXHaOiUBRZ3'hki;j1oj*KOxmopI:;U]Qzf,bZ#x]*Ug#T0LF&^uE
U"_j'Dl$oU.\a37KOi\CHKHYqjK9dnZDu%KQ&J/yr.5,Moa4Sv=clTP2aP3Ut?CHc
U"$]U2%_+:zsY\Kqnul,5>DKhNRb\LDmqUT:)k&cJ6B$nW/>(jc3O_3bF_J$zY=c3
U"9T.euCS2KpO4f'pEQl6Aw%o9J((r5Nw2c7C;H'o/($UqPvM\Z.v)q40;MbHauNk
U"cv+T7Pas7&ZX;yapO&VA?Wy4RXY&]&]X+.9F968SG>'l2r-*x3m1qoCKnykK,UP
U"oNo0i0Z#U;MO&iHoG=-DN'Rl8X>]UOFhii=BSk%1./Gb_+$]A12J4mBpU.WQM_V
U"WRE_Y6fb%u9FuLZGR[-u&7Ul,dzD7wA8eCJKVA]?+eSI'gB(O'6Pb%f[Au*PvYM
U"OHJWyay%m)0U-g6W%%]H^Lz'O-q>PW;T#\T*qC)EB&s98fOH4PdFmG*;^nhFd%q
U"A<,l]kQ)4]ejb/oC:noWh(rlqJvQ,e0rIfELL+jb.Oc<j?(M;#.kRf[=(TA<#Y\
U"rYu5_/F\a;...U)D,J+\beU]]Isyq5l;zaHWW7/N-/*q2lohWLS5Or8,JvJ%%*k
U"7r+I/G<_Y)H?gKdPu8xeU['&oY#.,8iUsMnzPd^^Kr'.3nG#iDuD%zVlH?)4es,
U",^0=W\jUfw4NaD.wnAubE3j6hdE9$Rw^s?4Om?2n8fH&.p?iQ8iPvpKN9\=\LC6
U"rIA8\:EZBVdC\j>pGImvD0^d5g99hP(4wa?I$De[GJu.rG3#54,CJP_'fXVK)&I
U"b&O8kr0[/CM,E,aENq/jY:bX#8Ogg3fA8(Ea.7*srfFO(AG#IB/IPsL/PR%WcM5
U"5%oE;%e9jM6cx-$%IGZ7%H>]0uDMWI1ERSFyxiYt3[w,^1I'wCp%U??ZQ+DW;E8
U"TaSd*_.P;/-20HGa0)2Z59ff99fiFPn8AV(%K#jou)?1Jm0NU8E*PML>)rBy:I)
U"iRT9izo0A[,W?C-PT>t*sTObMDP;ZuD4U-w'FTmF0hDr4uw'<B>^T7TOs0tQ6j.
U"IwvNvYBsNZP-O.c:jhvam=1LJ$XC)M'GyU'^6bA[*d$AJ(G[U.)w6qvq[mp#%9j
U"w7SCPJNJ'YE%cm-?9>MS+GafWw*,/U8//MLkEdmRh;jFY[Yrnk7*]6e.IWku_vH
U"3Ty+D6j+u':>0re_]0G%wJ_HL\1o#f+Qx3u8QX5dyI[.Oa\fIUza?I-7S-B^EX>
U"[tw6jC34O'%N2Mp%G2MBO8]^uDOf8bk4.A9G4^#S)PpBt[%5%v1;6siUCJw#sbb
U"ti$nQ+V**Aw%9*a8XHs>'?1RRc&NUgTepsOV2Ekm[E\:-aJdQV.qCuFFhlY,%H<
U"OuusPD#R+c*SvWI.4=?2^rPaR4+$oD/UbJ4Y79FEr2+45pZ/S,)#^dmfh#S<CLJ
U";/tZ7xriGm</_ZtKL^Pdp6Cwzu1nm'7I'l^IO7U.PhE/?nnW#*s=a8:3I5?n=Ra
U"UH6+bw^*scHGw$U>u<y)B%YShc>H>6'c<xG))MiFm7E>*0JnEVoJcTsbvvH6eqV
U"grp_0I&c<0fcLA-Ph)R-4#]Q19ufOnN9x_t^:6q94j-/?Z)#O0KEcM+x6j]?kV?
U":HaEI0V.1%9G>/uT/T9:=\3dyJdTrvM&Z?7%EB^)d_S_3X\(Pwe\VGg6/9ix1kU
U"DuzgoqXRYfJq+6MatvNm\'%CHR^AS8\1]4QU#_KvoLEPNC&E0?4^a[#[s.r7W7)
U";hj''tHG(YnanXPFi-mY.'JK<vk:aa3tpk[;.NE7<I3M'ot[*m69+Uwhx3FbZv)
U"$eJle%3H:JrOmGCnIUQj3ddVTmoK#AUS/X^h7+mCF#p-+bVLE?-b3#[ypq'Cd=:
U"Iif%JQ:L:[w4a7$8TI=%I5c_YQ3BJd3bhW^+TuB+QQlZ3[3%Dk>$]PJw>2[b*9H
U"(q:aNGo(0D]9UO2CMv%VbCb&(sT(.SBgN[i-]fQvP&Uq\ZQHDB-]kpypZYJs5BS
U"RIfoS/hlt/QAI*CcgIYImxnQ<.EGC+KCqAEb\LF;Hi9F_Sk4J(:-uDwK7$bJ96p
U"=d'%.k_l0RUcak:VG=9It8*\Gb(2Lx=+rgr*)JV#'f3%Eqg9p+5_LeBs7ck6si?
U"sc9(7U6nvPz?%O+,B3yBB>zaA_k;/f9I2uMpAK4W_9dK&\M:+rK6u-:uKnzF(bY
U"QWmDi[E?fDr>p=pY#g+Dt2No0Y5ctmkZQY\n\7=2^r8pj0#dkhTExOkS9KM'5oF
U"z[9)&T8)(7Cc\ZZXKWdw?tXNi#ijQ(P:\/n=tvfwb\IPnqWbm'Vxhq8Sx=:lQK-
U"6ut2?)oA?0]w,Yabo#gx[&2_a6*iNe/R3IQTkDIoeRCZwI,Ywk$?1PI(E4>FqMW
U"-g:FjXut3)j;S5rnM#%:7-Ke4bL[//)j]0UArBeO8qAiQC[*qX*'\n\-qXrHkH0
U"U'yT\Hrhv[myd[?SYv%Cu\$O4_=RYg))$kJ$GNXF)W=Q2r/$Q(y-xt85Zj7*+vA
U"i2\9&(8K1.^GicK*Z1XlQ\1uhn'SX':G<su6m'u,/Bqz,ugOZGI(\Z^+NNm$T;T
U":i\*dvl[C_TA6jsNJ>$W47Pmd6B,VJ]bP*trMA+)9E(dmJimBKP[kBxC6S/tWxy
U"XT3ljqtKSh[p7sfnxl.KVH^w]1m\R9';*Z6WHXNOa=R67OLKOL1C_v9e(azQCMK
U"?&03ZLt?=)$dLx8MuJQiMr17_bcH:G_25sxh6+g]\_VP?kT+ol0:7I7>*0veqkn
U"f\MJ\s((=e'9/2;j01>D--W[a=+%iSb8?1gWyHbC>#&0^HP]8d1#Vepr]l[3P&7
U"f#]nq\r=vQrkk1YqcXm3GdBn+&dt;wGNU-.(luJ6<ZQf^)3v5<%kFDzfRk6'h0m
U"od?S+[x\lFt\bGZ?K<QImUj\-07q7*4(>=z]0WaIJ:ifS?iC(Yf'%oTG1ip>M4L
U"\]shX+Ysb+jhBiTCAL?8&cNm&nC7mfP->oTbpc=rXejNFgPwXbc1+g5G5=qnSnB
U"4J/tgx[OOng1q=_t\>'uNMj-K+W;m8WChsF9$6^b\x_0P(YA6Aybm6(wt^fOXK[
U"$A7Z&]O))JfE5J/8,f5B$Ia#nAQKW<^B<G$LRIX_1<ydu08dQW^p_z%oh6J0j1d
U"LM-wKvp4&Yj&rUWXY6>r-diDmo#B*WRbg*fGo,IU(&&nW3HU$/qOaX+.]nF#?Eb
U"B)q+S6*L320KO?9mBR_2d.=i<poXCti\hoc:BR^>*GG(KG,h.A(Gid*)A2#)i#2
U"GO8zGAIl(=+/B+g89k1>4-=/EFD-aTE]$T/?.bw,d>9?*+AkzmA=-9S<1V?YR/b
U"CbcwAt6%Ny<Q[)nuZ^_wo/VE2-DR_UUupDrMd#2$(u?MC^#kt8(:2fb+P0nSuzZ
U"Q[u0=kJR6O5')RHO;P=71pj>tx%Lt$s6lDgXTx8'YJ?V^$-Aq)Ca5S%XC5ACwY'
U"zO5--+oCQW#6=jl(JW.,(7kb(>4P=H6#y2r]F?=Q0Zt>8/\c>K_DXIGmuib5lon
U"9nnq;5wq2\$r(mnDx(pTdwr&XV&iaQY)BaYtb5=+4]2)6Lnv\3iqAmPa4:'BW9H
U"3<+w--M^WxDO$ni856DFCvU^NBK]b848=)rXk3mL?(QtQP%.1xLZwd:nTA1CiwA
U"Rq4lvGKM;u*d(iH\'Ws8Gu_e5^B6lr-f7L*+.d0),#BMsbr4se8ugR_=1G4N2Ya
U"2]=bb3o9u:6;b:B]pmuO$r+1PxLSI,vxIqIC9roE$+wMQtl(SJW5l30bDNsIh_c
U"?#-.n^=D'A6lbJ(8_gE8'YR1gXK44\at>atnpc3G^-ed4_#;V_T?cn4x46+BFMp
U"nZklm=Yv/A*O7[.=i7RS)k2BA)6'H5Vw7qR&0j#LFZ*jAu%fR8$P_mya8:Kq?)g
U"_93:o,=se68'6f0F7W<w7[Xd0;aobj)S.+2mYd'(71wW03F9;Jc='^PQ+10QZTC
U"ALLhPSLU)sL:9m26Js(UZYD;Qh&1%DY'j3'G6RZ_<LFrWVH[fx2V+(8#gFsvE.A
U"kPL6b\*'7k7IO#SNc2.+iugLtmbLD/&<i)Eu<>u%*PzaAJ%=3/CNGmg&Xv(j'$Z
U"]%Gs37X+Q;/^Pg4SbaB$Oh7Bkj:OG7m;qNfZU-GAY99i5tk>YHe_.oiSt=+CR#_
U"]Rf?q8=8AEDGF7EdawgKX=aa:_Zfjmp)w>2GhYjX<B0_&EWBhTkPAmivZ?+E?%3
U"BXM/zCGZYDnU?\M3?ipA47=>wDRX>8JK9L60?XM\LI01zqvbJ>NsjP(/8=lPA-_
U">dVyh&zXdKbk/l8Wzh7)A-gI-8N<X2W2;#QHv94&iUK&q<(Z6/iNtytS'i/$;VZ
U"h%>NGw1n28F##[ITF3a^Q00I?=Q=[GHb^L9g7/-7_=DHnh)s'lwh&H-W4oJoR+K
U"Ll$<4FJCQx9WPJNM2L90HkdvV&26Wj^dDaHxavxIP0ku+Nn#_#:Ku[m9f8Ha$Ys
U"hsRN_EbEC=%Ql=3sYM\&J<B#o^.jYDR'1]MYz/#ew$uTUcSFrI$ifXp%,du1^EL
U"]B]pG$;/9i;HLBc.p]IS$gT^F0o4dd;o)<fD=u[AP.TRM$g:Xp?.h^ct=$,/?S2
U"($Bq_Awh7iJ6_ZrJ&>8ZnCtQL6[$TfmUe9PEc57r#14q4EUL,V^,)MC:+HXQN9a
U"SqM=3J&(m.Wf>IJJg%T[DPr]LE0P3st_IsZSRr?7-VU#kajEQ1$EVLI4U*(Xrn5
U"T?ffO%)m*a2VJMGB%Ojy5#C*07TxuWLJn;;N&;ky<$I()%/WeXK0=%>ifYGs:^1
U"Vr5#sRknd<FykKCv6-DZ?pw[+599)=83f,]_n58&)NQEHy:[kf53^Y;F%e&S<<,
U")3wB,$,/_o)0OjB3Zhy366WoMRv2e=rHIS,Si6LHdB(sDE/=O\rDX[u3E+]r>cO
U"SrdrB$.IaSweGA[6(gzHBM>=#fCjgUfTWHF_&-C^(CEdM'vHl(u/m>bfpVW'eSo
U"9n&ZlQ;P2ntsv]$SG[c\VOVJ-mSCeem&q4AWqD*.zkWQEup.ARwqYsQ$*<_3d:[
U"%I\<GB'd?-6eN*lgR[Kp#VXz')cT14Qg#NLfsWq'7'rV&aUJyEEVE%J$31\\Wov
U"zBuA0.m0X/U.jnh;W.J\u>r$/4v(c*2ksb.OX[A93-WYp#ns[HK7pqi%#,Imv/R
U"IK\\u2*isbmcIo9HSBQnJ->5Ee2P5HAYUv37#3u)iPgGeBUt28Tp+cE]C-z5W;4
U"F6p7bbx(VH.D1,B>_Kx=['TvVI^r%8BeW(%l8sk,oKTa_AkRvd5yG/+)q343cYs
U";&M+IdxGH2rM'zH6B]L:)dPP7W1k>?3:pQ6<siHojHL*pV1aOerwv$&RFYWtBRR
U"%C;$kE\Db0>u_c275E]V8EJ\mZ)(,l58ZA=Q%6r=;n.JpBmA_BQOt'[:Ur//6i\
U"nWFk'4.qmxcS,%OH9#5zHnqlAE]Td(UU>&Cc*?8_H:w%l5XVB&rNt)bw#+pKOFa
U"+Gs;yO>N_r^DwBXT(5WoEsI37oiajv])t#F5&k(HEijAFXEq*4&Duv:NRl#1kw,
U"MhQ1hkm,a;PxpzWqPMHaEqN)z:2AjAl)?k41ToeoiFFeayOm59SG3fDi6/0Ddio
U"[z%v$Z:Icam%Nsl37UVpyE1Bpb8471.s19b^fF\G\P]<I5;p?2>kaLeF=bR>$6M
U"efa[x[1r,ql(YvrHUFs]'%txZm7<B::jUO'1\1DYI_ggX.fnZEfN)L.A7cne(^(
U"jb2/<5:%9XHq$Zk=GI,kI;(tY9*T^PV.*4NRJWGCKyqOa=ZgGcJqnjYD4gmq*67
U",%[^cdR>*&<mR/XP?:Qe1AaNn2iRgaLD99)^CX/BBI['a4N5/]MYV7V)B-gk5_J
U"f_8\HECE6Xdr(rDAnLytYRkNXU*8G5r.diKy[1\NA#_75A3+d\0?-H&)ueMvRvE
U"])9+f%0r^.KRou9LV0F?\?=N/uK9jUY&nu4*805^x>y2MpazXpO6,&IwvF876#n
U"_c;3rwlDDq\0*u'ICewR)&kHB/,zCvh))i7[MjM]=)AyI's6EbI(66JokC:S%G8
U"Uz-.-_i'nS6ZB3DPLatR42.i3DN]#Ox:M+8Pif'xb\Q29qz3*g[fV5g%ZC3h,)k
U"uS+Tl(OhuqZr,?.g)[*E<Fq&($.)[*V:eXxQWf48IFrBNH(Cre5+d:-n0yteJfz
U"MxK/y2&%QRnUnY5IA)JpAJ&Q8ag8?rsjOlG3])%IXld[2P<qMGB.I]d/LIhjnam
U"h4Pm>ug]Xj.$uxiWoZfSSi*g8Y8;OiWa)',uuk^Ent.ZPcLS\hz4R(QpJkYjF#o
U"_X;T^t-U%[\DZ#>P]^P[XQje.9g[2l;/[]krUX9ml,ExUv-:8N1XMtC=Ypb$fs_
U"KP[WZB,JAp7WpYJWsi$E-R#:79L0'7]uDZDDH3BDm5xfdEg*RTY;c#-Z=P&d5VS
U"/=THJk$(pZ[8kUi8a7qugL_zq8As3e?,?'c(35A-Vihj6b#mR]I]sn+5<\HKW)$
U"AjmP]E9j[L)b+Ok*xG)G702S0OXoN9;-3Ka1>]V)usA)TkTF=obt=/6(]D1)./#
U"s4>NhdG8magY8K9+[2LW:&)6;QsEVKvKBA#(sQfjB*Qa=iUl%**$Vp(lCPJJJ?:
U"_n=ha45eh3PS]nxaC[4,4<e.droEMo)HDGK8c&gnkq[ra?%]V<1<]]Zw3BJH__&
U"fcB52[OcE$/S,)fiGf,i?FAgfr\?O6;8)pDA;k0NM[l:9LBh\7_#cjX%&3U7OS]
U"d=.qYSz^YBJ6vgH%SUPeEm\=p$d0)KMJhi/tn7#wXqreLLqKYk$f.HA,:/iG%/]
U"Fj\=17WS927>3e275E2DDZ24'qjn;W3<25#G(PMwNq70bT;/]s0g1wQ3iNMFqh\
U"Q.VV7Lj':E'c^XBR*Ga,R]t/?WNRQ:d4G,(,i]+fm]>C?Xubm-0poET)WS/IZjb
U";pzoYUmFECw\W5^quM81PO=wIfq+.4=\C9R.0&3m?r8l%'XWm<bRcAd5bP(n&Z(
U"*E2taO-x/GK^1cUwl(i^yMhkKaDVLlSaQpzMI0c68,[YOV$$>yaJ*(8IfV:KwKo
U"=kUQ]4RP>^]L2MvWsiN;K)mSUJ<et<^S25b_tnvE'5RQKFO*A/EePpZekIP6G-Y
U"t$*E\mf%pblDP?A+4NDTSRidXDpQsd:%YV&iK2z7tQVhPFd[;QnL-eAo9&g\OXj
U"<7$d.ke_8Ia.,K[Ou(=YZcRccTZW?8OF_nM.n<.uN;mMnl8VYj?[#/c_-Lw(jE=
U"7Yu;aeJs^G?9=KW;3#x8fmf1J7t85p)eyL0*Xs/[;S)%wVnd;i='Ym7Z<7\nbFD
U"%o/.b4\4[eC/ssVF%I%n02]T>VEqII.$adY,;/k(%,/G)\e+moYO=7YW*4pW$CV
U"HWIb/TL\(vTIep8<jX.:1uZ$',ScqBC>[KM)kTtEr>5;F<1SOP7.k%z]$u26K]j
U"oU6w%%vs3*eUR,^N,FG)5Ih*qX:Z<$#hEl)-d5oW,^oAS-UVMz9y^Y]fA[fuFoD
U"]KN+4.1eM77zXm<oG/OH.t)[+W6</nP[0,o&s%eEOi8XF^87'\tDKBK&Uu=0H8$
U"k_^pJc$#Kc_uXCQ'-(RaK8/NsD(EheV<*znWQStgh%aDq=A%)XnuY,A8-ZIt'^i
U"CAiXvl(UtyNMG0h7i[YUu3P3Y]yGopmu,lfkb4rHY?xYz3QEjN8X(AQXn55XEkY
U"?rQt8>Dq_x#MRX^urkd(Eow/'G%(vQqrE'n,W*j%k+CnAId1=5pzsra3#pOD5+Z
U"q>=M3,u=H/u*^.6gq=AEx,23YrG3iY,'RgwC?+g=c80n&#[hH-cDHp<.t2?vT8b
U"h84;^dQ(cdqO5)QAKA\AGi4O\/W.u%NJc76*<[R2Dk(dlC:0obN5fxSD[F-J2e7
U"(ulo;DsY(1/-0id6,6oZIDZ-]TX*'5#DC'&hc:Ih-Hj[+4^_-B550$(bP^wtJ<o
U"FnPsKBhMa3kmkGBwmCdAVpiMa80EP>M01<UwhM-S<US)5:Z&;*cDyJi-/koMdWK
U"V7g%v;gXBRf0c*[aO8(uBBiQI8Iww0*MMl#h*&#rVpEON$(32>c%NyJ_vrWa\?'
U"8q%tQ8O/z\JmZs>%fbk]R&^-=;6(m:yL2Amsm,*oZ3;KAgGVeI*L^&cOm5RQYL1
U"1-l,_>G:<S\8C+%R)VrSpmme5\Zm>4-kgN$eiw&GvEGxm-VW-O#xhjK%3F<;zRR
U"OmV&>BoCCWFg_\5sN([e%gz3*%hm$)bmfrYUrGyUo;=k_4tu\P50FC$;s$0mmVH
U"n]]#_OJkMZ*P-CBZsH40WN'T0Pu3O]vyr0tqHi,iMIq&Vaw]M_UR;$90I[R5G/G
U"k'UF-ol+2?a.\e[&oir/2:hgblx*d?(lz+&]A06>V?L;ojGRSp6PEl$(IeN3c7s
U"9'e-Ebam^o*qOcP*57CDLyk#Es=XAgi-*B)U*ig*KZ8N2eMmvmJZSc]Zcg%B%oO
U"=+ig2c.XZYtCS[-($-=C;<e1tRF9f^w+fdc=b$&>pTH>BN<jn%*NT86kqwH?Vaa
U"o[YTVdnAIoBPgO85(?U*'5oRX;SSdvP#AGYNP8uU%U-R;N8;7p<BU6(A8_d7cNX
U"SB;?h^O&P$YDKJ]x)*/xZQu(gI3cKE]ej[37^4HMcd-GK:\1^*s?5NAX\%o^,pn
U"6VXHlk:O#18;%5&*H8Rd0bCRPranRanw,bfa.6+LG:MPddAVG[O5*#sSwXS/ZTR
U"b[0ji$'[IW4Mh;N*2qL1TcQ>\AZ\J=XAd?X:D(Gl9KIhKSoaeZwf<2Okj1wo<^\
U"vIM'.pBG%E28CblChN+Ki+A&%FD5M%4=2$o:)oR$q\Gh$IS+:&46'n1^xwV1Fvg
U"ntcudg6pC:Btt[uAei?5a(t)#HWUvE9Bx_mGQ$K*i=\a,sbbZ,_8_TZW1R7gI8B
U":-dLZ#5Za^7J83v#^RhyDGH*mbi$c[N-1EJ-uf60L$m*iW#'a4kc1XdA16r6q+>
U"#I/K'DuB1/S]'3+R=F)&\K-Dd4XHmc-E^E6at)xI^Jeqos(<UQh(S:,K2#I0$1j
U"tYP3ad7=-fFx'OnUOqRtOe:<p0SHMHq>#cu.9D_oSBYA4OQ':)%l=y/&Tud[p:K
U"v>hBN?HM,hFCanPCk?&V6cI;773Wo0dBD2$N^t7qu;C/\3zRDtA\M<MNH=_o&4W
U"ISB_W>S'JegYH_mlIx<:TCqrbGiNx0hEE:R,matKL7B6'(T-u7UDIO/aO1>UT58
U"e+N6L:DW;s'_$qLyFucQ8.QjTlQ#=T$_o%mW]-t.fNd1zXHX83nx([tG%'A'e3A
U"LjP#LH>3rQKB\G^)WZ_Qg\C9U0q9V0Qa/$?\*KDYHW%5s,+EwhQEiHLXrGJerqU
U">EZSj/-HD2DR6\'5_R/CRs\ySL09Bzw2HrF.e%L%M-%J'[*\ghGT6D$U[(MP46V
U"Z^/P-E(yUDTYX^<UV6SNobhelk<S&ImY+eWxY_P'5<b5]q;r77nu;vkvp82Bjpt
U"p^Hj>B)CX__[+l$ZE=K01i[*SPsh^?wrv5+74k:61#ArzR(.vZA-5a4,)[gMe)l
U"1Lx&PDtg8\-%48./;E.qrOuoKNq2p\Lj2MFHhaKLdHifJ^f2U%*A290.bwlPPKn
END SUB
SUB V6
U"iXRYKJ]>Hr.0s$=5m#Pr84;=%tFo8+q86]HAKMh:81k[(+_vJZEssn*Fi87ILAk
U"%0)9n/9q2])KMCz7bMx?)^-xwuVVi%=y\i53T<rYVR80k:f^2Nq48r-Rz$-/K[5
U"mNbznPVN_i:8c:U)_vfc6<-gCyK)H4)l$IWaY-C8YKG=KsPY6sr'QNS-A:xB<1q
U"g.dp*U/Zhy4utf%(W.IV%*$KueIdOS;\$>;[#\#%(c?rs7(RXd45bDJ^C%RVr(c
U"a>,S-NrDAQ=y9g0us?(^UO04MeBgIWLeXpQ;]T<<M+^ZISerh<aOT/bd0I%S.;9
U"g=/%*J^fVb+03V[(o\Yh&ALfG4fgk8S=2DS5[TTCWnvi9R38[b5y)2g*^F>)^8D
U".M.PwTt6$wW%6[8Tc9t,)hr_$Pg2DP4c$3Yi2_Mt2(^8N1LeR)Z+BaGKG9j;+%r
U"407Gn>uJMQqm:[*J(]oSy4MUb9:#/>oCH*fkNgEC=BZV)m^2(L$B)f;)\$[GRbh
U"cdKQLb#;Z,=BJ25s(zWx52)'=<-r=%<*q:I,u=)x>';zL9gEy24uD%Mp[EE9$Tn
U"Zb:5Q76u)Kq..L.eHm5LX0il52Vh/3Yr6-=uI5XO?h-8.pT(V]*I0f&'ze9\:V)
U"J[#d>AS7I?fOD/,W6H0W6GOA_=D6'_p'9SBCWC[RF[Ua7Wg(a;rVEXvJs3lMup=
U"b0UR304Ea;L=6$%%xZG*\D5n62yB.CeS*0iTfiUh]\cY4_mK\N_l6$cJA0*xXX5
U"hM9eY0>xkl<0y>VMAK7bo[tgWJ;SI&7V%d6w>Vh%d.lTGk:Nre%XWB$m*5,9%r-
U"):-^Qe_\Sml<b]-(UYb.<8vo(*AA_r'/pH(-^.cdobymP*CaBx<a'-tMPXtHre+
U"vH7RlA4vO>=;i1qGR?LjsBl4:X<u]^N4XM2uLC'WJ5]8D7UZ]T&]vc4/dXJwM%$
U"oLp2b?%mln4nvy_l<7F3=vgld%_bu\/#TTFjm]H'k3,4Ifc2VclMrA]r2lokfRw
U"vRr+b<kq:lm6VP9nlTgv(nlD0;/qGyd3S<Zalf3YB1s3&OObj0rW?XQV\C#iv=j
U"wiY,ZZ7?SMtH>ea9Jgj]_O%7/I%BkuhtC8->_m[D)mbbsMOTAXY[$y:jZQjNol3
U"F(p*\[;]7j2>4qEYRE>?C6s#?A#i%_LTGSTjb9ddwn2_8u5qS_Eds68S0o+6Bi$
U"ZAS9G>iX5MrT8j2fi^YQ2+osrkIE&C5+#SnNa]?o#w17'&rrY=k0^c#G&#(U=O<
U"W8FqFs080rlpB#d[eZzr:IOL0q0f[n\8$rKW)7v,6VKFdMkJLFYoe1h*8z%WXCn
U"3RXFcHFHTb<8X$Zef*67BHr>Eo;\t<$RVZ^m1tfB/6(xG*M26ONUk2m*phz^7hZ
U"$sR2&82=PTR$l::=]'8FXRaUo7K,:&tDs-/0vO.G/0pjn0E[,hxYgGi/r8-EEQf
U"TZ0I*y+v8wlb,N]EV<Ib2%]zs,]dNrDs)KOMkkHCj>1\)s+61R)Sb>XWPAsp-7j
U"_s47r5hm5dDaxB'0_yg-\Y7]on:c[qjO>SF<jFc4oSNjCxtYeHW_r\Bztxa3c$t
U"aT2N-VN_Wm5qKhq/E2li+5dVnQXI,91dns)sO2=uhOUg=ixGzcbEf0ntF2wrs;]
U"TIJq[Sf<SdUQmtU1=iGQlUH(XZFrN8(T$DwQotH<cl:An)nAYL]K0H-y=Qg*i[j
U"br/)neV;^=SFVbVLxKEklA_0UL3TW>IMI]rCbr#P*G1FLqp:)N3:Yl,bhCQf;R$
U"$/rpEgfXcC'C-fjJ>UIb#O,lg1\\XWX1(%V?5EwJi9kn5Zm4xs%]5myrW&957*e
U"R\..k:j%egm/W5bFQni9fS*M89El+<_8nuX67k5mdz(Mjei*a;.ZRuoSUN[2$z4
U"LLf+d=rskgDUYz47bfrw-%fhL'49Pdgrf]BiB#zq?Vve2WJ]uJ/Lpe*YpNdl>4H
U"1dV_E)TI3W2=jvAMd).Hcl]gOEMq[J9xVQ*%i_z1]E\d)Rj*Vc>oiG.'v^Q%gZa
U"rRLJHp&=a^;C#u0dKikCzq&#SS/If.iUNj1ASEBajY\>b3EX0LGE3,E;qu7RE>i
U"VQ0jT5J;i-Q%C73CZh)(Zk+_xhs5]nUXX+<dH70MB#YIwiqU5*IFT]_Dj$LGT^;
U"jZ47JBD\5WT(Y2r_Q94QsBx^XUS^b%7xcs0B('5nUv4EVW1JS#W(5M&o8Oq-z;S
U"Adz8dU0<_qY5BIn26#c;2B21AX*\dMLktAv?&(Bb8*.D7*mdjok93]&OD#PN6<_
U"-jQu644VX=AZ1m1E2\RiSL;O4(*mZ=kQL>bLC4Zx^18J1#yn4USnf.4V>9Mm.(+
U"2:cLkTO[=JSi1Yr(QB]1>E8LG0Po#6ZLR[<0+iijKO]]t(#K&8:YaWs4hPPjmJ2
U"F\+R<-Yl'$E[%EUir3RpWLW[>aXGdnRNf&h+<IFHdW3,N#pcz;XjW2oUW(cp-Be
U"zy:V:?cEiH:VGLeL;gid%y1$$=XB?gXJ66U1LZqW4F.*v8=q%MA^$O?S=zQ\m,+
U"oD,YxS%Y4fm0hJ;XfinHUZJe,Y-c#0)3L#kcq;)rUrf''qG-J>DklDE$5%+do#J
U"b(3k'[ZZ[8R<=gI0<N,tn>2q>Yd;&b^NCYPIKZilq$HHD6>jqjFNqN,EMr(9hpj
U",L\g/y<Ft>r-xUVt#k3po\s<)sQDE3NKgyd7clMNG.</nA:dGg9kgP89AKWh=LU
U"VFH#:gf8]gbU'ahaM\[BfZQ786\F29w-ujm<O\3bK*wGQ5Aan]Uh$ePNmCNn;jS
U"n8R,6JqbsUxE$4:,&cr(itkYH>SY\R^&mfYkb[uGpHW(n&B$Ml]2,WMdPWCYFjN
U"l/6lfhKVLH'bg%dVD*rKrDE7pWgf<mWL>,gNSAP;9OBO]KQudjsrnHTVXI.,gvV
U"#a^tdXo)>Qvv8ZkncJCm(#%7qKvRzet:WRJeTu>d2aA)J]h&hp&nY2oZ?Pv/zD_
U"p#mO&#A[ieYBsRoIVlB$6bEoaMu.##I3BAR+J,V%t;zB)*0&Qd5VG*c\5Xc;cF%
U"7jWSc-\y]D7skl2(mK%-qD?gBDRT_b29fh$usJb4JU:<#j.#C;-G<pe<?wP8TqE
U"ELx9MS;rm_G%Ln/5EX#D7+3(>1m$tgqpH7F+:HO'hHF*Haf_><gkylr^>rn2wrS
U"9Y26bj$hnnh?_t8O&&Um[+C-r8[\osSyKsqi7LqC)O['pR3ZuWo*R:2Fu,Os^#2
U"_ShP==K&aj-x20ykFbUdGkG2Q/tXGg$p-Th_B%BUwC7yY*42Vn:B'hud?#*.dqD
U",%a8Qs,JJ]lAFXu:P=K\?yz(riuk0,Ej8l2j/aaC;5mh$k7Z^2KvSZ*x]98lTn,
U"dK^*-51*y.EgCz.fSA^.XZGrrs0*L,IO*++b:[1b;WnxP:#D(bDoB;.8:z>K;r.
U"LI-i/w]tfJx6GS#cHy#RokLJo?yF_SbL&Z?T0>TN>Ef.2qkt)-f][Hk,%b[?(KY
U"NDhJ?*AjL;9W6mjQGO>GVa&R)t;#wpH<asdYV6,MZhLlyBcA2*o6ss\9)\]\kLl
U"qXPEt'k:[TOILoQv$FM]aZ''(]X\xW)1o$zKxZW?b^X]sG^f58sR'5xZ]mnX/B*
U";kaT;b[7x-(PPzSD6VtTB64[t^HlB/px-qXt?<KQCm<o(8=H>revR,$q)^VtEhM
U"t]FzhhF917W>(#O)N^P>C%,Y8$K6;uV/.z\(>DO#U:1Ubdo##^v\I:?uP\kDT]\
U"/e_s?%Dsm?n\wBs?N[;3KC$azW*Lcx8qx0XmzX?a1g>3mjcu#4hctpn%PDQj#U:
U"GLF$qNgTuSRY7%18oZjl'sw_2.nO(LL-8CTNIsxVTH<b6dN5n2FIFH/uULhw^&\
U"bAQ$-6I3;c43Kuvxiuj>hUQ-ZKwo\DU(P)J#$YDjsir-\wRLgy1J>$HEQ'&TW8;
U"W.)kaQx_X(VH?aH*]x-\XgBDXHnPedK4Z.a;K+v>pW7vZT(c(bZ+fE,YXy(G<3>
U"[[5tj6\2?I6M7FgMJ0?9frE.xL(>$Ddl)CIaqP%Qcr4=0e,&NjzQNFg6Lxqgu(v
U"(_2Ze*rR>KE%+0vFze'3]\VgC8l6[*m0^H6e+6jsDTVY_S74/IF<STh/3QBD+Q&
U"/tkuRJcGZbkU7#*--jY#WtdP5gd)w;;e9A3<NG.l)JcamfF;iwjPhKK_K-pcT:c
U"):<LGr/<.(JD,*a4Pe0[W7<V3,OACcz;bC\zlRl?&J$ct9r]AEYF%EaU+9o5M#^
U"tzr,i7:9L<QfSaAH%CmeRgChPXV^SWrh2qTl<S)KxP<d,w4l_,Mtl$Z7*v&sO,l
U"8-IjdarhN1\d#tkkZ2/7yUdx\FYM1\F;MKvZuo0x85kj\LQ'gK*t.&cqU'Fi3f_
U"^6c#7U5MEi]WBBO[#Fa4,6Frkt(dqDZFB5LRvT4w#[aV#A8w*?-BRcVD:&YNvC+
U"KWTyhDu8gt_]B$qKsafUJHW8,cgmbdN6FdP7\>*^2-&acL?YuJ5%$bK==<PouZH
U"b/i8sDa>l'KtWf>N(XdnkouJ-u4QSGx9R$D6]ol)Zh?Ad)4IjtLC]sCFTaNnT$h
U"FyYL)MJG[X#+6]aH^FsNT+G/S0Q<GPb)fj&>qmq,ReFU+oq-g_jUX7fbFk8JJ+n
U"pAHA+27(19ZIGOfpDu/^D/BMX)M=7V1l=/[q\I#rh/ry0h*60?i*1gf1gr[_;/I
U"[>8A'ZnA\J8ePi.hM_Ed#m<&e75%-=,hw<9k.,TeqYv,s<.Yb.ZYlN>0z+=-PpN
U"VC*]eG$rdpX[?S$2%KC2mQ+O*:6jE-t?7QnA\;&pcP:2r[1D+i'J;x>-2Ef>ksF
U"Z%irZOg[hhHqsL]6-rM&_ILbU*p$PPiXtUU8CIpK6J#^/LPAJ<KBh7yQjmkz.<3
U"1JJ(J</yLHeoPcajd.K^,w5KMIMlZ1<[Q<AWns>OSgY>dk0>?C0>S5]>\n1q_:Z
U"FlJ=6fmtSR;;joi+Bd<RpFC.)LS>?,nY^-)Yo4Tk(7M0ng5Ja_vYBNXuDUT)mk9
U";I:(ieVCiL^oD9$%o_SLP=56%82K&1SV6?ghrad3T=$dfS><:9yPZ.'3Dwrgym^
U"[5s4rLgf4S;>SBX6?3NauHQ0C\p%C]?bmKArr-*kf9m:kkCv1Va?TpkLqLy*/=)
U"8]7e(7agq_wRo==jWr6j$WAY+S+>i1f<2Ih.xi\s<O\_aU<Xsv4E%=h=HdLP:;Q
U".6Mh38%_d&:([ZLErxa:$tA]]omkd3BZN;e[13F\POz2?TL0#p]]E;p[>nSa+VH
U"66Gx0B)hihN&DH^<IS6:%pg*]Y[9d=&'CW)Rm3/fjmOZcw*PyyPu6O(U$4Hzx.k
U"4i,6m+H=*chlq,dmHPsFktIFht<ZckKkfE#Rs>m4Bm+LQ+hHe#WvjqNr/9jJ/Jr
U"cUkhd+>5HPPZ^V26LJ]hr-jM?bF]7Umd#oDb8B:.p.D8(ku:FSj>KFr0m.vD61#
U"ccfpvJd1^D,mWWHeBQr$b5krCx^CD25&KMpCdX*wvds>D3jFUTiD7]g<>9-ah\J
U"Xw,%SRB0-B0;ZT(85XykE4+?j6s0t(z0\UnJ9tV+qhZ,Xva9P<L=lM)BD\8B1<X
U"f^gPQ,e/iPrUPIK3oVY:/Y3+s?iqcM]7xEdmfhm-Nf]%QtG%WRzjUvAVOde>cXJ
U"8l(a4)ZL>d.]/rVMm-&P\:Sd7s:WBf2zHc*s^0#WQl(Oq5gpMXB^U1#gaZi6,v>
U"\D,a&N&Ft)Vxqn8SHoQL$Xwx($v3W8/ykD$$dFQ)bnZ$$p1)^72FK1zj-Xo#bz)
U"f$_63k+,K.rO],I-5Nm\_Uu,]//3]nUxsqE-1OHhBh+85md\vjEV3W]s$8PTS#e
U"4L9OYFo,9ETLEJ\S)+I7yew/_y*_)81+a8;&0>lqxJSU/YzedG.Rj2$S9DcCGdp
U"5=mWl2%p0B9jr$&3tNq4Ndd2Lj]F<)?>Bxair4\_k*gpX\'Xby/PF:Z1C<sz*$j
U"T/v=zfPPED5GliZ>cg2gP5iWkx]/JNhlSW-Ur)M'(?jXy$Vp<P(+XEY'NkjL%a)
U"=Ip5I?r7h2lwbC6F&UBA4[:Q>c*R]Q9.JBsRlRx*IKnmllm3V6NWJ\aFsnUoZ=?
U"j$.'W1+%Y9u_E;y,/G5b1ODYVvC8,olWSS^)([8*LW;:AnJ00,WukS67UBh5BY\
U"7j'vXqKU_/oM1V+IEZHZ*;eLr[bHEumROORU<%*=zh\UKrDNi>%rQ,)aT(#HaWX
U"%e#)f]?=0nl6JNo*R*edML)3_A6:uG?1q>^>fEa)uMIGJ##V.+?A/SHMM?r+xSq
U"zHY+kE]Ro3heBFhB_$%dcG-_]Vw:+%,a:SjVMz[J;mi1akK<?*YQmb*6s('(?U*
U"=/o'O\p+YU['4g$31Oj,(]/Ene2yO_tNt'u9^j0wYzNWekyd:p.fW\[7m6<d]N#
U"zs.wW6.Slw3X623*+FSZa$)[YopjnbfQpkC&rFrKL$H'f_<2iEw;lqRN57j4-_d
U"(VI_&Uu#g],FLD420M5,$4UY+-Iu)6h18g+=1YB'0Zq#:W?F$hI7wFbnil.1DoU
U"a=9mkLFNLqQP1TtC]%A%(%s^Qx1J3.(#u-aoivxS3t2*mV<ZH8pSi'=<>ULTe;y
U"I0F(z9SyVXM2L\xwlpdYU44NGx*IW&UG0Q2**HB&o1UtRP($0wjH#,IrY&XTQm6
U"J#eu)PkYu,?\E9eqcMtfN0a4E9[g&iV%p_<FxWwxl_fE>XWMuDg/Iqb?R<m3N-W
U"De'nd4jE5C%+lm]Rvo8Rvhu-TCbmGhxDXtsH[4^mB\)/DF'm)xa7m7.Y>O;AfKU
U"j?pJ&f7t8mvl$4h--EUCFUFL+bNg/u0fs..Ojf=.bohcM(T08W^sD]IX=%^r5Ms
U"XZgrbpNTfU#pTurJZ$2#5\t/((\Hk\dNWtXnWfa>hixsDJYdSWflLs%Ip<Kv_fc
U"zpkVR1?3jl?sfPEUp*CAeL%&vBq'?kW[oT6xQfu8mGNuY5hSL$qIGIh9An1M_,G
U",1#62itFnjbr#yMo4Wf5A3YLhsoL#h_\vQ=C\kY6/$C(^/[mZ^,cHm0PGj*bo7R
U"r)2lLo^pU)+]^Ch9R;C[hzj5t2a^[%122-VT6Vv4AQnbud6T(OuNo9bEZtqKHHh
U"MKZNgrq8.OPLyDN[C^,0^M-]Rd[&)t[3[D4yqJL[7ljv9v8B96fd?jA;R[BTpS0
U"Ll%SSnXo$CB><x<&pLsDT[>,<VtSLj<Pr5cm4bAJW?A9Jw=lvWNjNRNCa4kOgnU
U"M5MiLsFo7*beQhroh4St9oTtQT#LqxJS,<GceuM#2QfIjixkXM]YJX8U9_Fug$v
U"VdFCXd(+41D\RDg8;o._?'L0+<xcBc]+uDgcaUo6[+Yh;+8q+%GP7k[fq4ViVdC
U"XVqB>qLQ;XAUPg5lOV_S[;t=qX0^Fp-v,'XbYr=u'Y/+Z*Gt+SiCDn-L1m)E?q&
U"-0c]K:JdvW'O=PP]43C0)^2roVK:^Hf=ohL<c'_d_XQM<,aQZPXX,.o\e9mb\/P
U"()aJOpp\$>lJ50Z-f*3YlM^7NH_znmT[xuiJpfbqXbQ?+rheh;>uhFUpu_;pfuU
U"pfUGF4[>PY.(i6)2_U).qzuXVZKq=rLXmM2&u8ocYFNP8/DiNf\1/eucnn:K+iB
U"EAXmo\:%MXc91vg5vBNvI$:2L6076/Cu-x($sfmxhY%g^LQ14<LciD6=zOflu,g
U"'Cl3l7O'vJs;qz4oe/+d2Yd?cHHPkZX7qyX6#Uf[:0FU)rr=eRMWQnEn.DPJb8_
U"JLzs<(awNZhRS-us>[[8ta//fVP%<-I?z;9ij).4)7&]NwJ6=5&GFWBg5b6MoM9
U"_b[F?&-+T$OJZc?XE=ptT/n?^mF1oHe^&>V&:s>YwSP4jWd<fkn)>>;q&PYd%XK
U"OF.RaG%8,.I;e\>'u^_\A(d.DrelV1CFW&xxMjP_23v\1c>u0J'>Do6PBoh=6/w
U"[^JsuFG:W93Vft8<Ad*hh(iz+A7V[fV6fks&T^-IA2p2IDYJ\nVE^Kuqt7B$-Z]
U"TNhH)OZ27<MUhnEnK&u*-A-3J$vB^^QX^K>cT4PCe;YS)F+M2ft=KMNH)TO/?w3
U"hkyWB2U87M-t_l%l_R85K<QOkyJ'6V:3G-XqcSaM[Zm)KDZSdRqHoWMmu38#aoQ
U"O]ujJFNxYU4tp:D.Sg0tulW#KW+$:%J0w\\0Q2)2y%l[qR0)5Y>H-T<g;o,p8OQ
U"b6L<prP$pD3ODtF^mLF05\)-Gmj9T\2,H'RHKn'syO/Ol%%P)+c>j*DQv+O(]c\
U"TeO1j#,xiaddX4BE?;B(?r[iH+PHc1p/t$nN2+T?K'cHl^3I%,S-%om#:3*,kEZ
U"?anl4&LKZ6PMm>pqaLQc8g7BIP>=,/]xbBnL_0+;c5N_w$mGqBmVEj.5/u+2vPT
U"F\FRkl8;7#^bDGZ&Wbh4[XwWp%vAgH*rNg1qyY6:>OX*&OYgGR--7hmaM*'i'=>
U"/Z?jf\^G[O\qqe9_-[]QeI9sY]ehkB62XQq3[si9\Wf[.fi7iTw7YG<2,yi:vE'
U"QFIXu-=KkY<HIjji;rY;[XJEl\OdB*vUP5GL3CfXWuX>qB_[R.l&7JI>M,<qef_
U"1gNt*E?cta.yV,P*3hjnRej^7WnAk*g.AdMSVW=h:-5=R8A1D)9+r]^9jlPfT5n
U"K(NB;pi-avQ]EAg,H^00nis6&W*P375T5PfwGN[DARi3(8/7N2F1]Kn(\.4GG9(
U"xGT%A20^E7M,O2eNwrT+=)#8f1QYG9:o7pBBNy'A>o)6^nd7ci>R.+9gvO4Z0Z5
U"5S#se5ZVU'5a/h7Z(l:z=,=C/KR1%Bu[I17G<p?3fl+EJpKD+Bo81m[4<I1S;>n
U"m&MI7o\aL*_dD?/wUQ'B;L8GR/\JD>rNq+y/p8/2g?\O&5ga>F^t<+x6:,6q30)
U")5Mi*3h<i;Uz5FDBZkvzmbjeB>:FVGSSt'wG87Mx+\1lkCb-zFJNa]u.#;u9$8'
U"wt>+vnksS.,KOaKOdRMi?Z<?ckUVxk_wc-F(G;(\&Y5iBS2Mv2'f$vHU20HZ.PV
U"SwbhmoMPm3UsD,sR[l$nU[I'e9WO[_$UqQVrB62T2Bic[+E<>==5EZewudUf9;x
U"_g$0v-tw<C3Y[LeeR;r6Ze*NvV1P(P73F5d*iAv85[q_zuQTSI/XTVSqo5AgS5'
U"MAna,C+)e&W)(7GG$drB6l1MNMG'[Md$OkFa'(IDY-4W#ITDr3y6b+Ap+hl(TJ]
U")'F_h'nPuMY9.S(*#D+S501I?e[NSA/jIAV[pY>,4p3Uq%W\:7-i-%$6l..)Dhl
U"(a6=bl5Hob*gBJYT[MqRy942tlO\ywzvZidN+s2';DJHzDQZDrsi#a1k#1YhwsO
U")(MGH.iT?IsRNe]IH^aqnZHVeP:Ektu77o+c1DucFWu1pnr7ll+;,''6uW41d/%
U"msXKpBpaY:-,0%*J<L^rC>W-w)sEKU#/k$r,iq9DHptxHZf7Y7ntJY.YVrSwuCd
U"stjsr8LmQv:XFeSt8st]wVYBCv]L\f%srUOT%b>z=Y(;gYrms[$c?8JlCY,)6rP
U"Nra2vi,f>%iX*7>1&]jEVmjh\d*WJTm4xRTC^o6HkO=E\n07TF7(1j(R9?4^:Y4
U"he,5E(ijCb]v+(^qC*cXl_F'vU^:Dy9H-VIau;LivPOn5H[Fi\eDm;m%(0:uX*#
U"S<_sa^YFHgnQNXU't6pPPOK)$1',\4eXYft?x.n0.TIDMO>d#DEll;R9HUDsg28
U"1,vt>NgAWPMn7XIQnK+E74Kp1/aIv)4Lfq>DlMENN/;dS[XoP7s%n-daH35i0Bw
U"==NdA-ci,i^]I\=qrb5Yd/J33G$;LUCA'E6884rZu8)HE>n;a9>x33<c[v,[O32
U"5wU.?]Z;Q+Va/p2lA/(k?eR,q5CtNu%p&'9%%9%%#%-%g[v.#/%QPIvB\%%6&N'
U"%1%%%%%%%%%&%%E%%%%%%%%%vgy#nux.%tSit%hup*%+%%%%%&%&%%_%%:%J\%%
U"%%%
END SUB
V2
V3
V4
V5
V6
CLOSE:IF S=140AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBO.ZIP ends here. Last page. TCHK:140
<PAGEEND:"Fido.Faq.File6">

<PAGESTART:"Fido.Faq.File7">
'>>> Page 1 of QBP.ZIP begins here. TYPE:BINAA TLEN:70199
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBP.ZIP",4^6:Z&=70199:?STRING$(50,177);
U"%up()%9%%%I-%Y(#9#?.=le66I&%?_%(%1%%%%vg%ynux&.uSiRtheL):J?^6Ka
U"Fd6#xpg&k=AE;+;#KYbEZ5&j>1Cc9jI,?tgLYp'IV-ZQg?g<r*hDgayaMm\?#Bu
U"E7$eMHUhgCkfwx.yOdottcv6lv6m*J/ZWMhM8[%Ptp^jh1Zj)HdLWKr%Eoo$5Yu
U"cl/#0ACG_9cO_qBfN(5BluI#[tAJ\PFlB67D#H3pf(d'8+ke\(,l2hPZ=q9\PNP
U"3/AP$ZBgCXJ.\us)LU-XTkppeg2?51:+4[/*=,bh^]E(2_UKg4U2+dn6#Qu'W^?
U":ic.aMPQ7:1HiUZ\FL-PV3m#,X5x,X<^B0M(umXL12[6?(3'cqUj0Xi8[RJ:%&0
U"F$Zp)/;)*/+Pe^r&/s%lLCZlL93$Ed4(208Gc<DO#qQX[]S;3*pi(2^R2-Pi>qg
U"RjHr7YM7eO7UdRR4i>q^APFJ7Z_m2G5lZQ%d9-s(R6'0iJ62?IaU\t<8AR)/uS.
U"5es0:;\JQ:hq.%Ov.d?U,iEkBJ]8$;OP>o*<s^%OEN*ue8m]cqO.WBFQNA;:01^
U"q^8jU$UhgX&DYbQ40<V^EYbrZ)EDE<SRh4X*k>P?R<2Z^H2j<#6D2&gi9mIBbN2
U"T,a.\YDx.1%C7ClcW$pDHU:$DFAgj0fC)qRc_UbA8eP2A+=DJXJ+4[x]9A;U0l(
U"y;QL9[_ot1T_,:>X]#RQIaiA_'F\\,+E+U$?wp?k%>MYH(YQ)GXM4>'^9OV90:M
U"'YYYea(5k*>Q^8.($Y9if#V6Xmh$_7T=iNl%$U(5h>21-?=b'lr*:RE/4]M%v;s
U"(^W00gnGc+'m,4EVr9alQrAOHE$22Fn:*k?ObdL1Jo/e>kC&6AYm4b&9Si7rWY%
U"QZl>B7PD3.p+p6H527\QM)7,:*.Z_x67.2OLnXh&#[0br<7DGT*&V'tYB2i(/0P
U"#c0=g=sfqAUK+Y:P*7>v7'gZh-]Z'*'\ve:+Us3(\f>C*c4Zp]1G\t&0+a([kg\
U"W32>XnUt27affCV8OM#&OAk5/G-mwFr'$ZG0D9lQg-k3cqJ(^BZg'3B^,7b&dcE
U".2'OaT+aA9[iTQE2fh/jX<Akr)e\Y4As9=U)EG]QrD_nsuMGWr<G^<#?*E]<MS$
U"Z0<S,c=[?o+uw.+E2JJbOU,eUV2t<gq0n%hmHLxN5Pye/u+6+.2EDg./hU*g%5e
U"/Ty(34':4(g)X9DVeyAuLgUXa\+xc^)n9hdHW_XsrChVsaBD&#]QNLFDRqcvGYY
U"2:1X^?*TUm_lP[$Qp-)YE'HmgZ5aUci4A=16EW7>RQv<t%V23RDdBK4^:EenGaO
U"]U*,(oRG^r]f,W:RTj2K'()1w%QI58fh$EXU3X9B+/s6cb]t#1H]0)H)3\J1%aF
U"6-uafS+YnVt0W:5#3RNJy$gq?J7a4iSin:S?[+B(CjR)NOa1P<w1rMA4wzf5Mx6
U"5Vo3fx/:uD4WOBDk5Z=dbLfs*l)0L]?3m>V$u=tJJ%6obcrndS)\A/cl57r\hRK
U"z9o+?4%2HcP]eCxjTfg#g'W4bBVnQ+Pq*,:o9E7G'km6?%45_35G7#vwm(7X\U.
U"Uq+dPH^Yn[D;U?SGvI5\:?w2+$YZjA1+Z(sd'ovLI*OQ^3?18Pr'ean/>l_f?G<
U">e0&fsoI>sy_;H/'ZNVS[u%=#)AaN_NFqDhb<VR0('=OHtaV%?B,&nI.o*JKqch
U"z8n3ai26nR^9#aeDauM>p.D*)).jjj;LWM\L=XH?H\%G\#g_iIALqb/y*X/2:Pu
U"t:'*YWGjtUD#\wH.A?,:?\sWLvcUTZl27*QGeY+vLF#.,R*Tj6V=sidVpLT'#P/
U"3AsDalOF&,+4*)%?0#*&3EyrDHYpfQLj(I0[J/=[-shu=%JbI4x4l&=jO[tAi<S
U"2UX*2$BgK#inG<r-lM:/mzVPk-g6<%X\ZQpcUUCljai4s)MTK3#q]:1W7(Er(cd
U",hL4j8Wm3p[XCY8<5oI7q.VPb5R5;2)oQw7w^(uM8M(^8vMoAnoZHHsm?k9_-1&
U"Kv(=fMd.pSJR1xrxATbf>9)_BqZMl7:oh/'$zMz_:t8cNSWZI$n=<KRd(l0^wRg
U"(;.oK(TUpvCuTfMZJ1u>]QcVp7/;UQ3Mq#Wz]stPT(W?.PrKE:i=qUQEfhq,<Bm
U"2#xG0k,U:$tj+d++.RN+%-OIUi.gqR98ZWHhq2qheZ9PIG0<nGU_'qrflkB2d,+
U"Wn%guLMyEK#9O8t1N'IjXkbnWp_]<)[bqak%Qqb'lo(dUp3WcLEefAK8OTxzSP\
U"0H3Mw++n.m?VZK5IoPkN1[)J>cJ,/1HGu=X9Q+wNQ&>7qDE8*M$)_5SAQh[c.U-
U"sqA;:#g3;JBKPEKk098--b<RI^xU3f9^NqM(yBsnh>ibf+3mbaW_m6a?,+f>I0t
U">NPKfhL;y)Ug(6tcBr$v,koD+D^Y;&/=5ej:W:sM0F4Efe37v(M%ZB&/6P<.-%H
U"9CqFY-5_W#K^r[kCuue7SOQ8jHMf0];Z94Z2BGDy([r7SOJ0XxDnK7j=U?lYC1G
U"F^p=<I0u<SqTpoGB-TZkV\segWr:JF[MpBZ$)+O^OpjN_jR<c\KgwA'Kr=M6LS6
U"s:DF?045g74W&3\w'K$YR#R#V\q/P2FK4u'yoAHUa+1htXfBgZj&Si\0V&m%e9I
U"L&S*5GVxKeE+HW2*$oh9J8d5&#t^40#'4MDne5DdM;ZR7lqC.j5-IET)G[7JwV&
U"yb]Di4^C8M=9H8_#GefBPW^go9E;_WeR(lU0mlUZ7]_zvd-:[PT_][g3KgLW-jS
U"v&rd]Tf3j^0h?XFJ39&+e]I>0eE3dh8YOi2bo\*vh#ytL_k.;BWLhZmPsl?/Y^7
U";[#(R4OV*[Hccq9im::[WH.5G#FO;EqNo2k,8d/t%97E3h)nJnn:Y1.fS<lW4-c
U"TTWtJFMJ>]QjL3KO93*K+cO^(km=A8M>br4c^&Xdlu(.aT1$T2G2hcV$4T;LU)(
U"xySW<5xpi)Ity'U]K)+qN4QqBd6x?K9IH7J/kn>cSIIJ/rcVrpJYuFJaf%Y2mka
U"b4+5UV..Qf>=[&k(a+nF-Qs0\=5jcru/Zny6\YOQS/(IY[?2l9AmAY<W0]*CpP]
U"sO4%2$,p?-0Iy5;p)eew+n<T*SU(/323(eFH:I51Q9\-4nf#GU027fj#RMP%AYV
U"&+axSjNR*=P[a_V;:2oWgvYAcK&;3J&zj^w>%u%iGMOB>FBuqRq#LTv&%='oCDx
U"\;=3SfC=35sDa8h_&KJ:kXJn:)BVj,Kg63v5B0&WdaRyNv52OKf.a;Ia%>,D#RI
U"/Rbj4*Ct#$\.PDiB/HR83-a]g44hKQbVoYJMBjA]RWs%8ANo64MKC#YBPH40W8,
U"JbAv#1Ef\_,EA1?KTu%^fXuh.w=-uiF4.b43fs(hrXfo4B46uK.2rzE46S8Eka/
U"fIk8vn]:gdW3A>I74WlJ/iDRh*+UNd*m>bh2Io4\Kg5Lf-s/NtWiK1QV^:DTsSb
U"#iv25]2O,*?PcXf*/OX\44mdPb3^TsXf6c+OhAugDA*AoI%Mezt6N\+Ai<R]RkC
U"U9BD*<dp'(1,l9;v#$$6Lh]7w]fbBQl,Z:Cn'4COKj)*_G>\WK)>WU02r<3u4vF
U"k0*RO<Ml/S%OCyrjs(0.uSm5f,m]69FPgf*kb]EKbZ7.6<:?ygDp;v+Hl9MCja8
U":H[L#yLImQ;IGE4ZULdV(FmbI)evhPQ%i\GrS]HH5*5<x[>;YP65[jzE_MXkiO<
U"/O45wno1/05cfII8';7nbBfgdBj4-(,J=NnpAAXgb<E-0VAff,c;dT:%rz'%,92
U"UHe]3Ay<3Cr<-*PmGLTeToS,%asYx'Z7G:Df8*v#Q(<Qf-1aIo\u;A)pnqQ4$-1
U"\nD=JY92Rd&]sA:bBann9W3au])quv(>2>SwPZoS8]r9Ym*Hknc]J$VVl>-/sw^
U"%dPln$e)NKaGQ>?Z-sW5fTu.Nn/[D0a4e/F02?7*^He:J(-uZOzU<g%X2XPQZ6P
U"jFsgnw$:w5UL>Qk<u<v<-+K_I[<T1ML>%YGZ)KXma3s,XIWmv81nV0>K)Hxy;3x
U"&.o8#H&6*wiPhSZY^][vNY$0U8.Cn&KRw6m,QFgcdbk-jrn>SpAg%l(PsLs#oSQ
U"3ece'Q9?1qrQ0=/AJ-Sj+N<jMDIn%pJSW*WO/>qcB/#JJYpWtKk&x[bH-Q]YC=4
U"9n7IjX%g7W5qJ9nh8SHB#C4N,'O2l%]t/C686C7/dvtOv%:bMW+tR^%t(/QRVEa
U"&iDGjYpFEhc'^sX/<ZwDLr5aCyp^x:pMOJ#dloMqMxbP$2Osh?$o$(HqZH3pWAF
U"6*eZObhM6'w9HQ)EDM$7&KY5u_YK.;cJg]w%<Wl70[,O5jY.kmN[jVBE>hZsZ'q
U"'d9:/A44PI8nwV\zMfmoC,8b/fL%#&6h$ca\<2L)K$:9M<2)-IPlMc#-FJ/RYx,
U"0MRZ96'P&<R<_n59IC/lt_F[I(9WdukEIE[,W?T4S(p^Lss_^k4?7;p17am:>hh
U"'_HV/Cq(4_Fjrl]Ok2/O9VZj)8F6q8q[Vwns&sb1dph*fwP5tTos]J+z'<O]HhX
U"#MHRQGivIf(XSD/I\%VTF+nxZL7d[Uuvf.o9$K9d4dMuI-\GEOv?LrdQv;MbVKh
U";Mr,/$'/MZqX*]l?9,L2Ca7T7P8'\qHS3lvj=fxgzFC3<r,58PC4?v$q#>).R;%
U"JiOr2r)2*#m,GjvlUXZ,_U?UFZoA=vC][t.2[:<^:rXV(t\'r70\?p^jA2#[QLe
U"VG#T:8]_vC]-DRHSN*RZ+spER]8^=6KS'VCF>C2K7[L2%=*xio197p0tRd6CDe8
U"we1ot+CH?uvoJ;#m^kh(1>#jC0Z5Z;7:YZw?]]#&KdZL*87cY[7BhYNuo2P7DZ/
U"lWCw1E<p7H(_VEZ8]W:)h*SpIi<UJ9HK(HOzAHorW:n(:$.SU<c+0,WtJ-V[x#[
U">nZ*q=&+M<p8hE$SuU8v=T$3U#LchpHN'KM-dR;Z3mI[J2qO5xsA)Y9dk\tJQ:8
U"+szlWw-4g$;Z]q=vPO)Jt[SG.]CRlStR>9OuD5a2]yf/+5K^NM($k%0[a'8ago'
U"Dzr6[.sxZjnXDIUA^%FM%uZTSY.ZCAdwhiD;<n;SRRl:7Gq.^31EdO1m?M$X(Y6
U"-P?](=Kt]]Lh7Gvj<R;6>#BBUiyp'\<%t/Ku#Ze*A%U21/;Inp/kqKw]PA7'GGn
U"lhvI0,[zKc:h6wu>$QUbdn5#6XZ\w']n?0Pgm</opyXaMzOtalv>I:uMK4hq/%=
U"?(JeALIqAUk&ROp4n,ie#r]R-_Y+9)LUN*<,YD4vBuonNje8:hf9nz\]39d'M)U
U"doNkc\<bpkQvKhFX2B7*6RH-)tB2:?dlwOm9_6RY+tJ/VUc[JJ+i(GrmxR#;BD$
U"DO:mcZ+J/44cu#Sk[l[qO)eUjI0W+3e\a[l7u/qQ53<3>Y8sT1]6MduH78<0C.h
U"ec1yC]V3\&I<M'L[/7%z39Oj<jIN,L_d(bUges*JVU0te2VBKlRU%w^en:\h]A<
U"CbF[](+,RaorQpCCUH$2AhQg:&\oyN)KMim8JN,gg;z$j]W0h6^mTL#n5juHugA
U"$0Rf]'&aHwU[AhHSi\/5era#r5ckfb'5cXx+HL_r;71O:=[aV)JI6MdnJVttCU7
U"]9h?;$R('iY0O;ovHI.d;[XT_8=^?n.mbeLbb&qLdmNe>JL29sbaA]x#mxrFkxF
U"AsTdb3f2LbdTbbmc#Xqs6\h_$>6NxmB'TdBYU#tI<7jmn$49i4(iJYFSd<xde9E
U"ia14oKG)No?T=xmOF1M.u8PXQYCpkr(kUP$ucZRlg;rp+J<^ztr?M#SAU7_+RZO
U":WlTn[tMPH-Pml_;2:^rlC%G,2v7E%stvn&XVj^^iqA+T9^[Rh4rdH8Q2Ijd>/?
U">We4_Ll3ogQbLKI;b6+ba(Ns/n3>%)ra'>U]bPwr4FLdGHL#l-LTi>f_pTt?Uif
U".3D**Lt1>;,TD$/xQu6UbE.1uonkCWRo.TLznUjK]ec[^9ET><p]3Be2yABi\Y<
U",>J^(Php?Z,eh(OAzwgatzW[O[5$P0;Py(nSE3o*42wgb'Hh*b13yH]7Rn>t_l,
U"koSbTDHGg%;ZEFPm.U=^a$<Zpv^MKei6f$GamR(y]IU8;4R.aIJ%[utTJXm^5uD
U"Fn(5iI4U'\w%T*Z0VJo2BL_B&]+vmW23,GgUXJpbs5Jq>dA2OWf>T^(K284bB*3
U".TOJ#\.G)nq%9qZ4*N9)1uU1]2W_;Ym&<EhWk8Q<0Y>]7ZlA&F)M#Ibe06RNeHg
U"*fBLx7hW16?W#)yA3*P44fd6]=.:5H[u3saT=_;7oIQC#Y#4$L_9e3mUrfJ%4d$
U"]LG<h;BKM#cbdsd:E)_D#tzhEi;HZm<L1b.1[Lasl_CD*ldAD^B(-qLh]Z3JSW*
U"nxX\hWTBt%^[uVo>aLEtC-SczD[3Siy/oTjXd%X8?X)W1AcoLaJ=CmC/N7oRf2;
U"S?ZR:iUv-FO^eUCuTakqd9jnJP)QAC3d++Km\h)Y]^FhqCs7eSrq33QwH2h%5bt
U"9n8,tZ&0#fRVpOC+24cMEBd4rf?TofWH6ir)0Z;.$lb>*jc[flD?hqbjlX#ZWEY
U",F+azKpxnav/UGo5V2nW,am)3\s'T7M8zSbd=Zj[rALQ)2Hn,-sh/i[ybJ9L[I[
U"?ov6uZ4RXbo<zTX]<&wO8G^7fmgr:P4NKAT8Y61fDJC$_^Pa?24?&TF$,L10HAb
U"1+)OA2q$PE9L/a=q:^G_wZnce<Xke%P]'K7/4QCv-(*m+v9)yvNw#IOk9>#l<$?
U".DS7.Rm[R3*acl[$)2N(2TqMV4EN^$PKD)\]9_:lAA>2sOdwcS16W:F=g[&cYMm
U"kK>#wc<ZVAWftIb5Nr^3ao8]]d#AGj0&a$/uAx)YNPI1x;9g.jwkx=($mT&k#TR
U"h(BJx1q&0:d\l1IfSw7IWqMCkA$TfBx;lT_n/Hol<Tu%Lp:vtU-6S-og9\+k-05
U"QXN+7e[f:EY(=/$6B/B'g+3V2a^WqY(S3,^6_(+,9HeNjpFwZwY[o0#R2]+2cK3
U"9Dho:wwl^>M2Gh1>X'qawvI2l3>PV87B>vIfi*(9T[SC^P5m04w2ckITLBj28,e
U"\%>?e3Gv+ql%8#*ucpG]JU5fB_zdEb-TB/7H=3FPUB,&1m>k:qIW-VZ\bKXEL/-
U"^1%..ZfGo3&^vK;DaOBQFgr\0vCx*Dr7<lP\4>klcPe>moob-6X:n0o^p1Q*xk3
U"*D#G&]=-Q.4,;tsT(0Ma\72%tY^o>T9/90e]aAbZmMB?6d4w_[2tIi5$9Tirh<?
U"4A(TZir10YL2oS<.lfGLS/,OpjqVDr4?dIZGOTJ-/6u*Q/'RP$S[SGSDKI;za2J
U"4f;TQS8lu.,xVKFvj8(P&c^+*-d1H(E(]93IImty(?hy.wd)Si%<#:G%=i8/[t]
U"(mrmkR(SoWDGLGgk&t3:Yu]Y2$X)UkX>FY;\dDJi5bXkdpV)Q(WAfZAcuNe,q9s
U"9)n(VSHC>JtUMzpgB.R,[0f>vKlUoKLZEu];hZ)$X[J$gd482V#Zg63wDdV[-1V
U"d$?5e+b/7mZ(qi]'kEf%Z?B)Fq?=IB85Xpu3>E1/PO69r-Z,>wA\:m*4xKm;i.e
U")qZjJ(O1w&_.<&w8wsEG8?0X'<0+FJ&>6IoRyP2o[vr<ru&Gkvdld;32qZpl[7:
U"hfL'ZSejikE3$1K:*JX*GuRP;jT8;pHe9iwF]'T_b41Fvy>[yZ43npeBQ.z$%T\
U"0t0)\cq9]-AT*$pt<;^_(aZ++pRwZ,c:v0<gw^=mJeE>D9wGf[ui=ki-y4W-<me
U"3ojYZ,=*KgNrFmvTP$/J%A1s'sez7itTJx1fVdK=SmS,XA(j+Y12HZW105vE1Vu
U"GS)e&p*c#G#b8PiSt$dBp\%sAPAi1cba6Cyng2dQn'-hVCV3hX$we%1>$v*DNB?
U"?+pp'uv858r$BX)4V0z1?Qb#798G:Nq%_m-74CX5a4xOHjz)m=HdP(<$f%C&Zki
U"d,R]0LDqk2&\n7e3WtJAuhWEJ2TkaMr>1H3+ATU;,\]FPb;CLtwx#Kls4R%A;t$
U"noT>,ap^=Za<\gi=4uZMjB'pj2kU2bG#^OlR0oAqDS0)LGk*dL0_1sNT0vF1.hf
U"TG.7'HP2I6wF;64O&uCBiMJ[VVcKuChU8,wY/DO-TJoyYpmdkYQ.[w<:9]_pZ9,
U"]G]/8g&h5h-a,MCWmfKcw.RAm+eYl.$jf7Zt=[jcjbc86_rKcUdyUtc$qSAtM'8
U"4Or(y=j9NuJI^erUPskF+1LeLWJ&Y3^51lbRlw]VX$GfKH6M*Q(qd2p#7clG7x?
U"T^jR>Bn*Lj)id2tI7Q*Rz'_(HS%R-Cl.u4bxUp3RLI*ASmv&5%V=?*Vn9:7YWVp
U";_'ln#,sdQsY6Pjnx)sbwh3[Iucxd_yp(vXt]NK4^1<Ynm6=Z33NZ\oB+vDsfvs
U"3-L4i9c'ak)H5+$BR>+-AK5ZBpm(Xgdf)Lm*m-H?Nq/NhacHr-]WcqJij/(6W=h
U"<iQp8#7oq5cukN%KAYN[%T5.)Mf0ndwZ5X'^,)St)RjuNQ/EOaYHAO3cu^&1[IS
U"Z9H0Rs6Un4U<_uW%wim/-j*XGF+gN&$\NWL](nGKO-cO#nMa=C_*>ZoCy_*fiv:
U"42.Q-K+#0c.>$$]>>.D6o)8W2VU':Uu9:WY[Wb0EAg$QjGU?QEiMg+k=G>4EWuE
U"%rd<sMIrnPoL:E;>*f?OAw:+LA*Vqfl9-<U,riJ*[Q&lkK+Zk&zaQONqvYN;].^
U"7e&OwYlFCVe'\'Dj2x\KmgRHT*OW,x(OB#k2FM.^FZ&XJO/10'4cEnVQdj1)YV=
U"qcHYq%v9F,QS]TO2W;QiOe><GFm%E.kSjqYMQ[6(B&3J-eG%VnwgOngGd[9P\NC
U"4=G[f]o6N60:d^m0gr4ln8kUkhlgySWX\dl]ZSFdfHjV$_B=tKRp2$KE62UUGKc
U"\&[S+JF*C_-0H<4lx:pXmH*.14f;1N#P-X$3ShwWLiIP2LkrU.^^r9WK2DU]X/#
U"X4ZJWj\OwY.lI.?rB=mLR(r7sa[7(Eu9$6Iq^dcLAbAy[N^8Cp^]^ao9t8;3dz9
U"Zi(YUaATj6\%4_BVDZ3zqP(\'%gZi4?N+]r(+8Ewp;-a?YQ2<YaEgdEGQ;gY.kn
U"s$DDG$gCovsRnGrBDc.CB%/JOjzSDXX/B(qX'anQ8mfSYEkO%jg%lt?/Nl?+epA
U"Qtk9zKl$S'bSgxT&gnjK1.(5j7.#D4;OLIe0[c<nikvYAF-jyyLI)gb*a<Z2XDM
U"+E\&^s&Rg/O=,5rcvU5<0yT]e+3)s/)crWZH[ZM:Dj9^AgxdovgJ3O24PG0RB,*
U"rUzL+c6t7kwCibi5Q1h4Na.fNhHZT8[-jI\m6--]fmjmiB5m9)Cf'7n>gkTcl:c
U"2a[#f8Dbozpc&eXCdK=jCdxRMDfsCvn-bx-t_Kr/*I#jyyt)t,R/PY_RP#u[T?a
U"2sn;yoXz20FBv/Lozx=.I$?-d)y1k-cLfaf4zh8\Ewnn=\D.ZK4h\^>WFJG*fK,
U"r#UkTt9)Tmu_1\%V<,X]n%m68/\#cK;=YWg&Zviv5D_Z>)ngpV?RC>8iA-/-.^B
U"X2:H)cU)Ce(xfUC19un>Kp+Ue?YXcP]40V&j=D]^nDm4QxIMRT[R0>KH>*?^Gd2
U"1SWU,A>)t'+UG)P.B'_a9CD(hr*uHq,SoRP)^pPo:Fg_%;+]?A'KjXA;>=5TnLG
U"oS8#gLg=:*>VNl&Q+]<WOmDg<iWl_6jn>iLIVPJ?e318kV)n1SGVi]*/^d1A;Ih
U">Gl5qhpO.gIi#^CiCr;98L3GEC1['-ih'DT^]oUH[,83DLyMeP,)-4XPSi<I$KW
U"U/hq&\xA(?TXE<PYQ:[TmT1#UG/9ffidW?.ekO#>/f=O9hr]xL_>Yu%j5HZW,1U
U"e:WuK:kp:D*fNub>-_7-Q=r#AtoW4R%BU%(U3PvWNf*EdwghIYIWlO^GR(#HTck
U"AXKQHeZ.>Ku7I>0.=2^Vyr'd/z8V$La8g'j=ee41#<ev2>Yo8=-Dr6'+R[ZP%/.
U"RP5f>2pAd8^_MSqwODtJyfk&h2WMBe-%*ixjhD1y8h41U9Xf$k9)C_z*?B8^,\8
U"4b(Xu=(c7'D<'RNRbvg\_X/RzlxKn1_f4;0GW/4H<a1093J6<S/MejG;SDS7Pm]
U".*S20&B<KY\;dgOHZ9CLo_EH]Tiw5w#Ing].b/LoHF<VI'iMLCZc<j8As49vPSi
U"[_RmGMY52:kI.C>84ecRF^]N3oAbT7L0QB]E3qw_NakP(K;#[koh]k+W>D5zRlS
U"]R$x;1\sUC8G>LR,_:8LzU3YD[QG2*W_D+X*8NQhE;gp%m;,<C]*+zjL;'G$%gn
U"9i4=.pI,=9pLXI$X]rBjQ8A0^n=_C&-EC.F+5zVK3oZ'scI=4UZ6Z6:_5suSx#5
U"*k6j_JONJaiHYR(SX]U7R,AD+5q[6*FY-%/(DBkI19BMGruPaVVMEi,Yq&JWp$:
U"\k=Mf0rT&5?L)F:(o-eJq6919AvW?7YLQeCZa_10[wyr<)49]I308Q46j?JruV_
U"I]?R3JfK2&$bgLnGa1Z0G)jJ\Q'Hu^om/s+fzOOtJC1kx0aI,IUJKW+WV_VXx&)
U"<Ne7-aX^,fY5b[qkZ$/&9b.;j06r><7vPu9dp%k$kw#B6lvQhIWj^r*>k';ZLSZ
U"P?<PAAU[jMqQpF1k\m03%lx2Ags(xCAfbDuxrZxrVj][svn%AppG)nvlS=xAV5W
U"gY??^T1ca>4</RzF>GFCBrzQjm6&_\wk4P,^jjUvn4zHsap6uMcxq4yd\r%qJs(
U"Z-Nt>?h2MN=2TWe;E818,tckE.ZQIl)VBt?J4y8lf&[mOk\>62SAUMd>^**('>X
U"/n6cHsa3Pc9SEnA9gVUI0Z&K^xg$PdTF7/F&VdyBxQ99UkW0g7Q<ALQ]==>]FgA
U"FZC*EW+[p]X.6>gNZ$)<h$Z*7q>m>Tp$.+/ase4++7VKQ+SYsjM>#65\U6q-^&B
U"d0]9sZqLhI<GQp\_EH+uR9ssT/GjZXxG:U2NU\*f1$5$mTkhQDY1R4jIm/OBiC(
U"ctDdM.kd0oW?kOeH^WTqI6]>M$*y>oDN#i<;LQ9EKkv?VDBuqp2m+^FXFK/2g\u
U"N9zuv*NND3eTL?IPcrofl&f*#]4\ZxGBQ_.9>WQFGxV31SE<1d3AO?=NI-<g9gY
U"u$7&/\OiewpU4_SHu5m;0Y#>2+zH0<#hd7uCB)GFSc\*pkMn*hdY%_kVCdw#)rR
U"2gL&RPYBzgLvhpD9V,p;#++7Z_[+wPH4)XHbOvT-1\a='/Z.:24h8i/rwuiA7o?
U"IuS&4sg%xINu6f.S\RYhH,hkPMLDVUm,0,d?6:V<tWM[Db#YhtE\_#[YOx8JJiV
U"U;rofV*X^4T4cdd=iUlpZ=^VGwRAbwT[aiU^ShcigH-m]HHRgVn;mL;n-2d*S.r
U"DG:#&\O.^Hqbs>ps,3i99f:Sp4Ak$h#eh15d+2*_b2Ik<-0?[O?Mg]lD9^cnHT<
U"<7RdfrJ2S/^-XS6BtOm(Grdlv3fSADJ(BHvlp9&2>db&h[l&8*h8U1vQ>6m7SGY
U"[]3T:PRD;MeKB.E]D/$m\:nhhdL8;;hV_JQc^S>)Fc[8S'/SnWSRHr8zshwX%3]
U"Ka'o/pA+fm6K-2Y%ko\Vh:*BaO5KY^Uo.C*)Tki9&,IY#\ci.5cpRRk>aqIv:&s
U"jd=+V7Z:&8=J:Y.4ZbOd0Zj;oq-*6fhpVR-(6ym:*XKIGl_-B;[L&d,Y&B2f0ya
U"LT$&cF;<h8C,X<)3Mc^ys52xirHJDCLFsNWK.Y6,q*^[hXrm&Z6TncR(AR)g3/C
U")Mmz0$N[AY[I>m%J)m]Y$/s%CU&0S<9Z?&:)V_;^cn]4j:=Q+giBfdf357=['$$
U"8ep>HsYL4:gZ0$G$C0<+CBr+LKK0'.s6)abGNF%pR>'W=([$NVi<$?pFPZ?QO/?
U"^go[[CU61d(UStjd=thkNfK$XIQY*'?m,q_slETO0kiFg$eJ7%ieQ5I#i>QPbr[
U":$I9M<,Bs=G]&;7ZKKrU+Bp;Ax0sCn^>Q)5HUhu7puN\C?e:f4.idJ_PRf96:\9
U">a/=VT6X:k3,X%KdTl?<fJ(y#DKk.V1CkdCfHspg)H;F_'fo0Q\FZCkLB5qm,w*
U"UQ=#0d3clX_1etMdGNXYNiXeZdRQ]D0[Ni4fV)3WEAX3(df,l_5?0E\/I8r9LiA
U"x$3.Dh[MAL-(jj'qk+*+'.l(c4j8LXI8*&%CY?hIiNJ)>y]GtMzTFd*lbaYK$'o
U"\W_XsfgG+>9SgqA^Y&S_Fmq'>.Gr[8[%PdLLc#I8V7[2LW\/UNg1M&.GcrZL^pe
U"Ta9KRntKS-]'1=EwMo60<IAIlN;tAyb0S-Z;Ef(;.6YGB5u=UzH)u=7K?Eev\I4
U"bm^q2M5XGL);Q3,_+U;ka,mo1)#HCjgfpNL-&_JYbK:&7hDygD'<wo&kIVg^E8G
U"&lChPGf+3_'pA3)YKQ<M5bp>j9F_<rPFZvq[S3dIv,0/ZE2ef;iq##j*Ud80l#u
U"JBJiYeEmR\&:6cp7[;8\w]DX=Y:MsnV[8=e.&^Dfp?Uhh4DWBr#kXd-REn7N1m^
U"TQ+-1\U2fRj7AYX[cX5vllf<npSX#VV.21M0lRs3[=K<[3khxxXlu=<A'[^N+kX
U"=2;G7*eF%C[-gYI%U:uDu=f:BhF;C'NOnk)V,Y-[sP*W'8Ame=jer^/otv-_Lui
END SUB
SUB V2
U"kP(O9]A^t<f97.fn#1=wfWFU2'>vul[KY=a\-n4]My+xcH;dDC/Th<I.9,w7goF
U"=ISJ_BE(9E_D3fnw=-)#nCHG<0F9qW\?Ca(z=I0)O5^P/T>_,qdv<T$c'05f&'5
U"PS(Gfnid?Kt0GSS^SG*]T3&xl[sHi(td)ar%kGn;$$ok-Nt99m><PinXyA[JFGS
U"rftacSlXRQ]?]$.vHrW[7dgh%udn*+XqUZ^B-*$I2n/yGeZ?qq*iJL)Ouvx%dk-
U"wtdfwdsduw2CgY.Sg.lSg.S*g&d5sm$8-lNxV-<Nw.Ni'LuF'Sh_wn(=KcCk&b6
U"ZA:swtwl/838V1-fqY5$FrvAar9^FFgYd'WJprX6Mj$S&(_/R8_s24jh1B;i1U7
U"Ty=u;%u1,ui&nOtv_;=wZmT?f?CBc]aYHI28/;3+\55r<h)=>a7NC%RV]/R0hbs
U".%RSI2Qg2q#/ZMmo'4/^qfT$saK^pS9?#=Zc[j\Z5J5DR]=Z$FS$p'4^74xou.D
U"TrXr4R#=7WAJ)9/h<70R'KTe8]>ks_=&F=w>=Y$O7lh4'=n%\UnZ8G=A_nA;e1x
U"+,B]$iePQ[w-O[F*]53BUIXF+IRn+KI_nGoNWK$\*u39<Z^&3(u[\m-BFE_B:O&
U"rJ2Dp;sfjX\p.=#1jHo_]*1wl6aUeAshR\Kd[Qvo,cc22WJ3fXYKs5RIx]P23q>
U"wg4*CG)IKj]V#Bv9uWFT03N?LG%?kX)zaqgj[E^m]=Y[klnT=ftJAN_08.AxGmY
U"=$w;4;[/].?Y8_KWbH-X>at4rr$<47Lf*l\bRJh3RslL]2.>b?29IZpV/2x^YUx
U"qrUXw[7&>Vz<o0FA4aOQ^t.CXU:j41(g8ZK,kLmln,#8kCIFoRz9OsGelg1?Dm,
U"c$Y*R[R\iK((PmNgP3J6'i6h'bK]<a[t7<Ia2x;5yFH%Xa04Hx%lUL_NOA/fv7T
U"^_+y4m^ar;1bt](8uzL*Wp?XH'HIA_TUwTVo1O'oVMm5w+RsklVTexrR%iSDRwt
U"W%5Vlo5r;J>QscfGM=.\K[uaei3rXaG0=jnRc;(=m#b?LCuuUbf7B*SteIPZD:/
U"]selhl:7->J6oMkHn/#9BW3*H56#CLk<w^^kRs\nEiP(Y0MqWJpk_qW1Gc<R[^H
U"bkQh#2^.fiOUlZa#*re[(p/UZtf'Z-rDCSQJP\:^u*Etv4GEM.GK-&'qFT1F^V#
U"X<#?PYdx.s?BsYVB]2+8S))F%-Z_.kmJFTJQ+8VOZkEp/,:JLAp6b2<[hR.r=7<
U":Maxb#ui6Fu.mpp*mH^RO_Q_0oT]ca\eI5<QO)t&'Yw%Z=Tii^KmgAGcrvbJh9p
U"[U#G_QO;ZnUY/&Sj9%V9h)P_qPDW0PABGAVsXYS-3e.&&C^Z*j](T0HYNo_Pm^s
U"GNR$<tJm/4KqtFL$mH:_6?i-Y6&F\(.DHE,RmBM_w<I*IUA=,V>v1((.tdkYq%o
U"8jG8h&B+VOS,4lF.\3Q4M./Q)oF3Z19ZYFJIMP%t;/^d/Yo<ClhCi)senHLC%Ak
U":N=cqtYj9tiu[)s4qKLAZSO),3wz.Ij(k_u%iclil?Mr7e8DZ[pUi=qi>>Hq4IM
U"B\INoeSeiZgd36kBH1l%/4*,kfxs$ed<jYm.%a;oTwK\d^t:H<8&NIC.mzJFaeI
U"*-=MJ\Y<h+A7.*>TiZ4A-$mtWKN;%jhZ\ADWh/P'56?kW883r?kV%cqJO3Jw0Z[
U"mElXbfZmK33i/>?NffC7pNu1q-tdcLSjH^'a_RC6uFab\1+JCs0b(()]zwc,2pZ
U"Rsg35JZJL;Id8tcq[yD1T5fRow7YDZ36d&%GL\gh^ewGelu+1sK+6R-'TWlosRC
U":j__YDz7A[H?1(K$RF;h^*-n2nn[>*$j8^YL[rjg+f<=i3aDO[nNnKQVI;I8$$,
U"qIiC1uEO4<*7%JMjf4JZo[R66hk\+1_#\=/IlH[3nTG6N4D?fc*5_+xJjTfj=Dn
U"[PpHtYV+XaA/>7ZVdnJH(a>pjVxqeN##87w:NrRx28)ftPh48-\T>hlOip:Z^i8
U"y*W$ba9vHAc55v<\1br1v,M$Tmy1kcv6V'Wa2_rUkTao-72U[22xjE=KEo=_,<I
U"nC5>?uV7'FI0pxv,1<RETEZS<9P'$w0&doV2GzRD/Wu'19ipU&nQ4(7'W8dXm'u
U"BSTHs6v$h='=VTC1kElVB[2;/p+nCZo%fNEDg:ShU^]14G]WbBMcfnfk6JI=;p8
U"0Q4eHH3EABs3^llmON7sMq1xW3*neSXP1kWsl.I]9'Z:eFiST\rM;5dMqKwX<xt
U"<B5=^LY;#bv1UvpvOf#JnYL26xgN&e'%AcOgntk:JhFa[&\,l9HA&PcV'=gZpj#
U":NX225sB?t]wK)P#u$K(W9y6>liM6P[Blx#ZhRY*39>Ue-St>UfC9?L[:1\,xD<
U"uu:mCB>8=[R%&g;P_(S)RgLew8q*^EG*brD/$,HF)6?9My7c4da6E>.xMKXN^f,
U"a;=o8lj5F6xSvq^DPF-_awQB;TI/b2s?iYY^SifIaab5S?kWE_[[E<*k.>b%Zxk
U"]\Xv^'BGPu5N92[[x,Ga/OMA.SX^NkJ*10M>*N#>q%l2OI)CPcglD92[.X[*/[l
U"9Q[&Y:;NgQ#WMaoq;?#jR1d4x+PKQeEl5n$3%Y7DJJ[Z.smR6ta1C$#Gs+CN3OT
U"S4Etj#-;_+?7yHavCElqJBSJJ$iDGL=B)*VnXp#1D(SP.QX,^ZC<lytNLOeq=HK
U"?:%(j8_6mDqe[7#tMGl[rW:Ro*o<+-car.dFtyf'UV)aQRAJ0T(n_G^+OJpKHfZ
U"\I;ZvV%i7/i7/4SVwtDTii=b;c:/fk/j:Tq&q6;2us.jv6:_K%EZNFjt,SU%iZJ
U"o<6qgPYJ)h2VxPGTw(6cp,bb1;O-8/<^y7I=QtiO:p]azZ-ZDVJk/og'aqWZMJe
U"v)lqhSw6P8y:'rt\Et$UNxg-$X1my]s'IEv5NXt6autkQ.L/UgXIYOX'j>fn8pU
U":0'qWmZH)FaCUw_?<aC&ezK&;\8F7$a#)aUsg#*^Uz&Ei\<g^TL%a>9f=Eo4-l;
U"#$Hb%aN/,bSr,QsTev]qJNW>r)=^JWIEc\e9qQJsn6<a5c)Bd*l&AqhIjFT6PD?
U"Swd0WLF)?R2qXn&djHQwW4J+)Rlx37'#h-X2'K'5&z>=pC5\[?%J^6k3h%8t.Go
U"(gXdwj7VyECOEnO:rOEv;/Y?jY'bt?K;-q\g%re?[mor.]WwKWuiQAIh]Lgdg5d
U"gs8wxP_+zV4zd]a=\<)XYuKQOe,nZsY&itA=4CgESJjM+Ie+vG\n(-;\m%gF6ad
U",TF?[$HfcN#_<7R$=&z>Bon$m^DNVSh2KY-T-dM-LLkc8x)npTJ8V379RF^'$CS
U"oa[$pB;HL+1Xml99O^:ZD(WC.Qmjv2m[WDq_aXP-C.knjJCq_A#FKB7-ROB2tF5
U"(EXI#5K<$gyMKr_u[.H&?x*Cs>[)d9#^.khOo[[p%jdjln[mTVMD^qsk^YM$ksy
U"1occ*gazZ79B0([9>3wU[d<(_&b8*N.Cf9yh52\]QtB-.dv5Cn2KKeHX&oT9_xS
U";Ic5RiX>'V25*8Nu$jhQS[SF<MbhaQY(R-m9\l53kY2MSH-GFw:;[#/Sc0d&+Gn
U"G'X#s5X#(<\JUw5?bKTd&]]i/reGB1'->(_=<BF+/99:#E%A(8Jd9rH8L#tD?m7
U"H3b+vSr/r0L6f/[4DSFC=5Uf$SMiGR9fuzCsrGHs>u6hODow2dROqnDurP]RooS
U"VtwWn[sa^)j%23.mLL=sjnQl9A)Y'?$pKBprS'lI/f'*m4S5>K,f*V<e+o:JY><
U"f-iTA_QukrRvfO3K7-%p2\)TC<*Vj:'#yOzHSS9,D\_IN][WYTT*1FE7RhJ/G8D
U"u9o>BDICQ<>i\tShTmjHDIqEdxA)4wwoa/Chq*F*?KI##pw9Un4M^d>p#__Um1e
U"'R1h(->LP7l]U1[zZ-QY,M<J6K_.0udxM;AiVXH9AY0Hmo-9_cXj)j*05%#mJp1
U"7?gQSKA#ct*3,L2AReB-#\t/[u?#:k#^IdM/)X;?SKJ/S(l.E%:]+Q]=#:v/IMn
U"b,#*47j;Zf[*umQoo9Hm;z(eGev%g9ZYEGcT*^P4:.%8eTJ2AYiL<P/$Wj1^QGN
U"e3,w:UFd4(urF2ZOO;<FQfhXYU:,jaIjPuDUY(.);Rc*oKo_(:]D5e.[g7iC_:d
U"O7Gshuxj'.Ygh:S&ki.%d'A2jSGc-S<<WWt-jtvQ')/W9P9kl%_&q1k#k*rHs?\
U"F?<TBi'$Ks%hS1k6q\p#PUQqWFIc[4mRoUi,P54Ks5Ur:&m2Ao:>V0^oGb[MPWC
U".5D]HO,,*/eX+^^9Vqr/p?Jp#q+CO9>OG+oKqyF,d7(>w[jvbYeN6':M0)z6CTM
U"v*q%'1mLh9CInE:6Bn_9NTaKYf3a1+,WBskA5X2=)Nl.TeHYc*8LHdKW>wQ*8fP
U"Ns9UM(DCuFJoN8&d^JIcRExr_tyMb.(ZphaWc>-gZAQXjn*q^G-\2Gh>9^*v_MU
U"Z+M:GMNfb0w0k\w<(X:]$C&'5lP2]yw_+5=Zc>O^]U2y.f$hGxtD.ANoHK8d;d\
U"&oD*ig2hG?<pp[ZsZ*Q6+8[<&mgElA?K7w1A5>U^$z$iRkSG6hi(RfAQ%z_Po]M
U"0GR8\4*60]3.[14Z5bD)^T(M^p,aU?M5<\z:Z[Cx&eZ,97-kA;J0xk,Se2E/vIA
U"]A&3nCZQsShB;35A,^qu4f\dBM00Rw<??/gfyCN^A1c)8kVh(([kEdvmkAlXZ8(
U"3GHvW0mf>=SRJae?,V.UK%nS&0W,**dlOcXVpRw#&JlmzKv9&HhC9oqr=UZTuN.
U"fo3[i_s3vwVQ3R9;I?8#me.'H7c/=nWX6lp'7l[d+MJaemq<CLLGKHlAoPB1>hI
U"1tn5Jkt4cP,mprmUGY&3?qmy-ba]cP+BqFQVAFaOs'AGB;d31>YJRS6#<3a4b43
U"cVoA?vf].&IkVHT-TA^XJ6sw<F_aNP8:RnwB8=_hOk\ow7B\)ciB6XUA/puO#cg
U"rBxa*Kr2p%1#\N::,^[Z<83)1$Z<DbRau7>0hE>jD<*q)6/(0KT>1/N3(hp9=2O
U"=(3>QpjYqk9.[*HbUgPA3kpKXO%7^1<13_&N6_QmZKcB?1wq-DX4_%o'+>a>W:b
U"(n;?v$*uBDYB(3mgQ??H;,O$WM+(?]G:0oBnI,l]B9G6_Hg*W9f^2x6U<<n0l:&
U"%tbuVC\*w3v)PlY&hPH$1,SbS*jrLql%lO7>>\('A[ibojYmr,aSL[faQeU]v/H
U"a#W'i2*Q8.UHPW1vkeeoH,dt8OH\k68Oa+Kjt,A126a?OC%.KpW2[kz(f/1PP>,
U",B<40<hI2X+nqdka%o.4Ea,3k$:wH9BiVX$=tiobxY?I&n;C_+9IdL=>vqAf:M6
U"d9oDnHV\e4ayWQr5w+Wj7:Mk8UC-n>94RkHZJg]$'PavH8G$R\\k>+>'mz-fMUR
U"UeUfAI'BFa_7tn[Z3Oj*iK]'g#_WZi^#_Nkj8)>JHBMgCkvX^2Zrp<Pk/C6(P>h
U"bbPB;R?V6g.xxiAVd/c[;z4hAY:=iu'.mN*MFzQas0EX]d*R33=,Wu%8&Y[/SP+
U"WGJ[WKeIBXcM'S:C%LHD0rkx,1c\^&Ir8M.=[Lh_??dI$]PKPUJC4&j7<%K3Mk[
U"t3#,PJ+TPWw3gTpCrg1]b'egXA's6^g6:27[kVVYRo\NU.GzLJ\(a($Y._2o>_3
U"%FRhul;QAi'wPme$k=$WPoog:L.S#4*igbjVY11:a1apj%Jbnr?bD'SSqpq2MU=
U"RCi<LRZT2b^>7]69A^)R6u-Ah<GJb&jAO&hGb]Txv?5JX9l9.5:k09J.^'bt7+.
U"TK?WAV_o&]YacnT^PYQs]p/Z3E%33Ul>4bmht>irEZh\B[nC=G)<aKA99iEjSY<
U"k>nJQFO=^6RD=EC,Ggp;G.DL;pO*eEbV2qs3]QC,UIMS__)$9_U64m));>4r_nE
U"%RmCZLNUK78tw,mGGnhc(h7[+JFB</KbE+[WI-%M,%8ZA&XZNZs>O2/76Y>XIf9
U"m^Kc/APQ<<Xt84/*F,>$ds+w<T\-5vE)$Oedhh:L/yLL?fNZKTh)W]LI1hms]TQ
U"&,b7(J6FI^VE:G*<7blrv0>$-wdZ=6vF?KAp]rwJHboxU+Nf;/'aSR?&J^MtRS/
U"e/wT>Dve.:Uc527.K:SZt<p>?x_W$e^n7dl'tInn70BEDlv$FHgly#DybU]N,Xl
U"2LkmgAsS][YVE?P=XaRi4KS;_g48\Y(PCU2'lN%*)5:ju)H5]F<S>12-RL4Q4e)
U"<1_MT^eV%hHth8i&c[/E5L3XH7i&k;Z]8BkIkV=dCVU5lC(r/NUd'uqVla>PNpk
U"4vXVG<$/=F/c*A37?0se493Oio[9WHevx>e,PtE6g>+4x[_qPH-_%1&adH3M/z/
U"<t0JXf[&[m*U^:pmU5nCLCsk+>,K^ZfCAZ[Et8B;l.Huv7,7B#t$D.4JbbgA1j0
U"e6*g?Gj-Nmy^BD#:>_FI'mFhVSB9Zg,qj&*mtD'=&=TRGuuKTHcFF*5?-S*;PiL
U"5f/1n)IW]91HcYESIU:qN5gYQ0TW:lJ61:s'#Vx1AS#i]%<vlg)V0g%iBl.+wlA
U"B_D-2m84WSeLOG)Fi-/t^E<*)s/z\0C9RbP&bn1'+/qqH[V9ORAeXr$JBc[&V_1
U"6U*?Q[:Rx%=2ImI&3H\&%A5=^h4OHTI63<$j';C=:iXXDC&$zHXcQTr0x%p^>Ve
U"lW?v59Vg]V_$[%OFuArN_WlaBk4VPW2rN0D2tR*BN*eN#K5.IR0XBU&V=[a^,1=
U"&:(xIR6T(Oflg[/0K>2\xuBhCT[u90ryaV&d)9L^tE2#W6WqFpT+?K]$][3t5ex
U"QIBl?BULo)'#w&k_:LsL&)V7r*#.e>v;X?FA/#gBI1_rd?VcvsoKGWCCg<85]F9
U"J1XhHc3'I(6mPc3'ji6S*K0_(?(;.:aAJq:P=Gf$mDV1%FtIQ%A)7B/g_sJ93P5
U"tpGa_4'G9UoW*o9;Z00qhCWi=*Zy'X&RA#.EU\OEH71DPLnIeSQae:k7)Tas&k#
U"tKB>FUhusj;##Q$5MOPpoH>kYV.%e62Tt*\6_1;oDVc$)6CecJ*iGycy18I*>N4
U"R0z19kh'p/BiWLa/bq%_b/);WMte#];3f#,\0Z=OL6HQAR;#[-Y=%')8Ar34s^q
U">fSbC#3Baw10AE0Y:,EjK/3*S<<O(K[Vi2ZT#qI<77xQ09(qp<QI.#\zOKC_z<>
U"B^[_U(=4E=iH#(+2W>DAQ=W=Ht/1P0CO\2aX1H(cFF-o<z$(h'##^&U4g1m9AH;
U"2TDL31sc\<*[Q>&7KIGv&/f/R;-S:I2egwmCyH>W^R2G6d)H?8%wDwq,4;Hc%6e
U"F1dZ6GCQx]2336$Y(%Zk?Gl:aT';auE:Skv],^(XHh?c3;p-E&CLS=gBace2>&A
U"[J:74^[;>)3u3/07bIe&7'#o&Qv);K*>2lY0;;ok-(Z]M,G5XBJ'AB]TpU+$bd_
U"U;X=Wk,RN[]V5V[/S]*vI+'=mw9\_i$/hX&.Xb=Yz5MQ6Vol'Qv+gEWJ:;XvG*;
U"%WLL7[5o[I\Gm8]uKh/1pVH.(j4]80=[oAs6HTg-[_sI1yTmAcR[Y)AJ>#e-S6>
U"XqmNl(/X/t,2:QFEu4eb(b(G37M[DEDomki6(W1&MLSLSda7?d[5kjL-AMzBtC2
U"D=He<6D^#z?De2Cb0(RF;zE19YN;gg#I/,:EHm>-.Kr=<irf;4&M<3DI?2G5[&9
U"pyeUZM:?Cg/Z(3&G\=WYF*Y=/SOf%r?Tg+&0)GI)2,j/Hi1'xe97R;<mi,K5j<-
U"K(ScCZr=zVU.P.unbH.=t(%FMNROT>=SL3JH0Q&+^D$b9zCHf't0i'A1:L^qa19
U"mH[J:6zHCr=jIfwLtWSq0Bbe_fUl]*PSt.fbDEO82X':QLAFqx,IRh)UKifrc+\
U"AD<E;f+77=mpQ_X2eGmzCIg81(6zGk9VaAF0X)k\px^KVd6Kz,R4s%y/PK?kB4M
U"RcN'IR05FA]J_f-twsqQQruvTh\+Um&#NdNHZLwdC9CN'r<(zJklt'2Vdkl0J#k
U"lsvgR:K6r*7W+P)aFvPRJUWjGqCg/DmWC2&_)Tf*weIL-I=,m<#OTYSIHso<a)S
U"+='9/LMg4^]/7)0t8e&?9md56&*G&*aG;=?6A5u+.m,:SGih>D5o3Gk.E0anX[v
U"pTs#RY$Yedk3tCCMrn)(i*E(&9rnV95gFlPl$P1k3a$Wx86(m\Y^Q+1cDeC\31n
U"]/>OJbc'30t+EOa7EmU<-k7GNA)XvP0M+[M7.rs/[JQ/,^o56$Lg9.Ob4?*WBBi
U"yq>Pg;JD8u/#b^u$IkmZ[(,O_$+ORtkS7s7w&O=kTdhX&#vGY>6Y/cQWj7Ol>2$
U"^<)LSimL'Fo;7jJIaL+N7hpAIhvTW?+vBX=jg_IW%&i+5qY*ETb/HyGIs:ao9O=
U"DgvkGB[w57eLzxDM&-WnYaAZ3ur;$v&KJe<21ame,-51o0#5s64[f[/;MsyB=j'
U"iYJtlDW)c\)4Ap$[;mI\9WXIQ&,?3#+:0,y9'e/cM^aoY/59)c6Q/Z>C5M),Vr;
U"p_sV'5NmeYbIKLPLnn+01+ndjHdA21#D-X(U-+c_(^lEP=]id4.o=+],pqkCZ/e
U"=j_Sfa:imow5QKkUiYE.'IZo*'P4GA.HJ(/2hu;.'SJ\]_FhBI__FwuH]0K*l;M
U"hP0l+j35]fV]EP40a3[.=SsJqI]=[j.3bw_VobcW$4dq&r+Q,59Gh=i('t0lh3>
U"w(]92O/c?Wj$'WH_uekV>(vvT0'g[Po+KdKwdVeY_g6IA9L[T$o]kCRV9WAb5&/
U"6R)'fLp9C+c<>,,CaMe':ob,W5llPRfg,kWfXR*(KTsuEW9:1nx;zI,UkB6?#.*
U"82QS=*4$50AswxlpbsT-$MiqC+UeKgApvepJb.8>,eqOALvXLx+O]sVEJFYY36X
U"RKT4Q_1[Rm.D]5.qd(9'9a$n_eAE>T7c1Bg]n\TP0A(QR1<$GnrVPpTo7U?^<WL
U"/P=[WMY'h(JHA+(g:-^JQ7gjAXIi?\K-c..QtvkKv%[ne(^;=^zyCc&M>MO_xuJ
U"b]>Y+I#w*+V,l'h8U+LIYM=%U&01m1il;Gw#2'x6.5Y2^-UF$MU<Et5c_c5nd*5
U"zGvd4QWS*,I$gA=>Tp1)JD:9Y4Ej7'>*+<BAZr%Mk^'P:dFw9WFoHG%BY**XH)M
U"&L7gsd_)Q%GA;][&>3Q#ezRmhl,Sw2O(ek_LqMn^LN<&(PyA+*ST2LG6Jc-%J&(
U"X\;Lb4P]#:auL)JR2TKQGo6Vh-2%,kCLp=U:Sf[fCJ4S*G^hlIN[C6]Uc;#TeRk
U"-EmhhbeTM+#FB[ZkVYz-I5e<IGCR=ZS[Xu&-9LoA\zV5>t_+Nct,;2YzsA\/(R3
U"Z9]WCw$Ns5fjd.Md4HsmqaNMG:)c%U6]RSQU8X9,**$]LrdziqHR<M3O'Y-?:C%
U"VROeZ3u](7R0g&:3up(F:/rL:n'rth)8q1MA$xHxo$]Fhc/Oks]cilQevG+v8zD
U"Ew6M&OQD$9j13]Uc>E##mK;f)BS\]f;Pj<(3rQA$+]4rf&_ScC7B2ggl&LMd?c%
U"TC:5Inq]D<O>e5'zUsI:MV,7N<L$DklP+Wf^[I+$jKSv9bc8YvaGX'sQJm,(7a.
U"%&ig#C2-i$JV>-HsDS?o#5\hYoK;5]U51_TV8s;_k&&0hDM-(W)p0?HQ9(G;iGY
U"6.D#9\Mi=Nt-b4GraOVDa'Lmp>YS?j]*1]eq[I9>%G<-lAa%'wYM)AU6rJ?.Yfa
U"gg1g.w0^,^b)r6jb0UW6+G*VRE0jUROg_ONA2/*&YEad8*UWH51%I8)3<80]fZ/
U"aY*)qhsh4kmJ+DJQxj#qF/^p+<2#uF/[KTHh<Y]o%^1;3N^q$sW(]u?'uZS%q#O
U"vmiV:5u$%jr,jepAQ=^fmr08j<L_HF^aMm-E]&4N?-\kN<j6.axZayeKR;mV+TM
U"h-O6[GE(3F+AA.'KWM79?MrfB),GX)&c6JI%i)Ia>l_4W9SYk5Lc-z;(zx?GEb^
U"+7Kf2FgMr/=FL[_RF0M-qLtI)rkSPoU#vS*IN(A8z4Jkf;V&ymeg5tPWLwc:q32
U"N_nG56[PT>3qpV\eP_K^.n(\_t$vKwhVPrT-8XZd,L-+/68jM6c:./HbR$B4si<
U"-rw=;b\/UK9rad/GslQ*dcfol]C]&:WjpVO#oOMpSJ'7ki^)r;k-+RvHvV(Ac&f
U"iJ*rFDkNP?3mH.DU$X.Y$KICkza\RH(#<,ehD2VPg*Kb^Xb<SO5BBTh0d/_,m09
U"EeN#ra&YU^h^;ZoHwXUc)uWZpgkO^Q*fiHr2kL0\V]=vqd+rff*Yx<A;U0>?G18
U"E?(xgh0b5='G2e#o2\;yp,HGU?<Y31zcw/*J.L5#v)ydUrL=G0N*Ty5Q'^bSqS]
U"4JFSJUefgplb\#wZ*-UvM$yO1=>'bm$kd,O;Jloq>pshH.C*7olgiHCC=W*k<pS
U"qo2E=D==K;:4Er.P+J#1V\#e'-RpShLJizbE)-O7hBB2hP^F\+94[eKB:;cmeUd
U"8sig8b+7?;6)mAaQXrU_W'_A*_CKd:Agoe$CnF:&K(C]j#X>M6$MEh'2<;sne]6
U"C^%8I&T&2VkJk\emuM1#DfeV)LQL<rV2;8EVY6o1'wvvLLZvVMWu8*]sNj#^2Js
U"_NrMTur,CKhS,963qtEhk=It_%WXo%hf7W$QccDSfL>;eE\\&?WVW%LFnj#k^^D
U"j#cr67T'SJehY>)0\FHMUZz+k?%B&&^M^cE9FCCvcRC=z+Io03Pfdqt?po+x9$$
U"R$zo;T8%wHBBgfz'c&yo?x0HTjtDH](Y22J$10/GCe(0+LHT%4SJ*.IRJ0.Z^,H
U"y+-)V'R9kNf9i9=d%\<v14Aj;WELo#pEcBSa>kTWeEn6qg&\q/qrj_dR]YmgGh=
U"[I#-_HYqd'V82-).6UVA&D]'*[wQn9[&D%=+3PbjV4uariIakNL2%9S:V_-s2J)
U"h.X)r6E%C<KRHkCg%Z.*[M##ZC_kk4trVZ&+1M=pD=g#,kc_4O9d0rwffP*6Z]s
U"CH_]:i^_JhpUhM*^+ohy:)+pH3,f>i#5nEF-dcXtjd]l<3/,E#o2'SjRdDf<61m
U"YipO_nUF]bC4%O8M:+GwN,L6BdhWPR,0bf^'eZ9sqNx9'h*G\-)gYQ8'VfVg;)T
U"AVC&\k:]syUL^W+lH^udcDTIBuAajj$qV(ShERt)$uLD%(xM-y'*3I52i?$bO'<
U"b'CeJdF]62Bh[T8^x9IWpw&gq6]/.'L/jk'V*VRo-+[')OwADj=aLg)Ug;O&hpL
U"6*-7;-,)g5[q6BFut1A]'Dhk%Tu;mfr8vXq(qq.s$E-J'N^+>d:8nt6CW6:<nK,
U";%G2LD)WiY'ww<:\9E6h)F&SgPb-1=p97RW\r+MW/6ACqheg)BXYY</:h(;XcRU
U"pe27=8.1M[9_;2f=1o?eq<V.HDJR3U);Ftm?%-/j9T*$*FmE0C#l(WFo<&*U&j#
U"okVb*:o7+=eJ\Fgtf;RmS*G?vAY'CNizJcb%4\0W;WuL6_,tvtn_6c(a=Gk',2c
U"d6#W)N?ez/To(ALM3qOjr(VpB-e-L]LbdP4RT(#^JMgSImGYsNeIwkIfDeF-wn-
U"$aZh%9h'VYaP%,w*k\xH0PEF=X#ukPaHJ;Lrc/223mL/ADW5[w[eSarIhzKp$BI
U"dQv>nfIfbs*eK/Ml8nrWPWLk0;$^RXBR.kcuY$:/y9ds8W:$jTeBftjQr].K5NN
U"*^ae-o(G\_\z9m$s02)Bq2c6E/I7j&[o;6Jq?uel]B<IqP?BR?&E8E1ItW,0B;c
U"DNp6ms]ewH+GQ;A=r1A&A(qpt]_je9flg=lsA4RKAKH+ukt5=Vw#lC33_4M+<=n
U"tl8)pc8)RpT(v.kt45^&l?mE18aa3AFO+cT]<1M8eJg-^W+TIkawZ^5?TwbrLDp
U"E93cNj:*d)V$^9DeEMm><sDe<ELc<i/#;)K2'&gmYYokWM,\=i.?_R7.o9*VHD3
U"1rQA8_'>9fe4$[?Zb?H3P&Gh8'DP[:DXO;]ejqSOZ?XT?03,:IkW/7kfLKP\k,$
U"\N:8<?7Rg]f/8ZfqS0S-FpcqB2_y7K7DZ/+J:+VZ%G[ohmGY1_thLrLH<FmBgR=
U",jrrFE'_.IFBh\10FIhbb,5q2NeN>+#5LO4Bo:zN'F;3(3b\h('FF0]mKGg;;HR
U"=UnaJY,eyjHu)BSDi7pUkD.oawQTV$+S'c7JrSPPwN4Rk0$YNhC-%F*MX(Eh_Yv
U"XH>i+ORpL1s_Vc5<_=]m7UQaJTQcA5xm&XTK3ns)l/Zq%rP,bedbRj/FFe>CnfK
U"<w:uN>YO95Kr\1dtyBntTA-A3MIYBTOO_\<rj,fX\UU.1EVHBOu]7bunDgaAUZS
U"a=[-G0h5;J['2qieYZKrYYfh)prmsZHAnj[0NT8#M'?BroX>540aUaLXNbL^YVL
U"(n\YqY6iS\6;MlV;:C^jOc>ItZr_n^V(syGOqfEMC-Fo1Md#X;g$S%Y/*.xjEj[
U"'gCd'<;CF7XSM_=E:n$h&tQ=pus&f&lus[JB(95FB7FVAl&LW_qi#9uA7ZhJ1]J
U"%1uqig_)\,+)m$Xq0hp2I,a45Y]jg?k\D_L2AqwR=)f)d=Q4Dfp)C=2>OA:7%eV
U"v/pCP1UFqDjU;DUp5n])d'D$+9Z\4V1B;#h'rpU.:&mQj'p0d;^Ag(i>rhV(Fd_
END SUB
SUB V3
U"sq1T9EGptb0ZGTk87Noo&U$E8dV5UKnZQ;5(E'8m#q_,]OpQb(sG/E6M$Ej,T6&
U"$9>'1XM7,w$2874iRl]5qUV09XWt(Mtaq_d'WkwE44SuR^gC#8_wHY4px2t053g
U"4I86PQV>g6,ftbixCehHkg4Cu2_HEu.Hnm?u%>_Q>vS&XRo]qMozo,*BE:q]pd_
U"4)3nvt;z[+\G=d)#<4J0sRYY3ultiy>\9D03#t3&EfpL+[/eIW'+hRW;]ANfYa%
U"H_$W$hwOK/,I-sene6n#Lf6:=kw=6f.FVeT]V\HjK-,?;7KsVz2YhEV&5.Dp,rF
U"c:DnE+nbc9.C_L$KB(F%JZo6xgfnbD8wGCmJ[9,Gsf&Md-nKRm)u^uXgbiM(NG,
U"HpQ9FhFCbRJpV;QcLrVCeJ$UfvZL:bn_QdI?C^>yK?]717Hn6&ASn1?a.Z>mRL+
U"u7h:sX>S3WJi5lG$x25p/__NJpenq-Bx56SN+J/;A$]yk6D1CQ'mv3[a8.9W%6Y
U"-DdL+ubueXi+)Dc(?$(eXJ)0VmdFtNg80w7flx5JB59])+fL^^(s2j_;Ie_dJst
U"O(CqHTW[F+s1*1hga+6<w%^DT%&DbBbno\\&Ae<(^JUTw*pe'_4.a^UW%W6%'hk
U"G862e*l;F=ND2T,hg7hCasU)D#G>b=d2$3btMEsVTLXvw^NYLWA+<DE.T_7y[\8
U"2c_TLF2X3d.)f\<i80)/w*SNf,8]6yPxYQ_;I8xuY*X3Dgd(iT<]4+dlgAX<]Df
U"O$XKRLWby6_b0je.u0EU.AGRClsHSdlm_fT;>NJfLM'slx3,EmX\5Ao,D;K5GU2
U"D?G3$Bp1aamXsCFY5d(jEZxK%qmOsRV9i0aP-i(a:AjtP5O+;.E\P7=nLMh/EA;
U"m*sQ.=Kp%dd+V/RnNgeC6F(+NR/+q&:b](uF*4E7.2FlNh\sNGWLUjNr17%5ow$
U"^v;vO$(a^KWuwng?,M((HSK&U?6<%2r')fG8%>?y)24bq4mTac-%UV<1EMj55BF
U"jTobBJcBe+[iDMQ22kaLYK00-)T;k9B:c#Cm2=eh6OSmGR)VevfpeoW'Da1-fBL
U"/1OA]&olU%hGLk_z_B.eoYI^%C7ZV.ohorl/-CJ#byW[dOB5D;96Vh(hGfami4e
U"Eh+h]4MVQCbm<Q6Be%uM5C+)uy9Jjs+DQ\0U5yvI4&XUx8Cw<P2l7eIScVpuZa(
U"N#JS2T)^_N239g6'<&NvYm,B)&%BJi;'Rp%1f>&Q<H%#=VEwCJV)(<$/M:dF1CP
U";OGI#)W7oM1_wm#H,oBe7zj#jIkPj_<a3F>e=1H3D,DG*/[v58,(5uFRZUT(]HL
U"N7tEPsOOY1+Z]9P2Ssa7GkKo[n3bB/oGPt2%+#Qo7F9D6RltaVG//C1x*Uu1Bdi
U"H#BdM'G*ktow+:17rcMk=fY=,JK.=Y(/hdN?akOG\<Iv3$)jhY,g5X5j13SUMrM
U"Q#_H?nnwNEDAFpzjs#O*oO3eg*q4d?K0EQ=GQJ_U-,GNtJ;1$l.io6B\JnR#EaS
U"M'XJ2SStK4%u)',DraFpsj$fKzH>k&RJP0pK?VQ:<AB)N.>>]7.l-pCJ/Hl/*_G
U"2su\nso3;kNFveZ8f&3Z_7fp8\cO:DnNtq&t/Vv$?0OVO_y*uq^#GGf4cFczK;Q
U"x]\hwrh=-PT7(VSor<-VUvjTtoS2wu^[+\]XIs)Sb[&MC<q$t%94;+o?%0e>snh
U"VMmmg$lbg/Hl8Bo=7TU9&zbaURDAm(Zm\j)b:&o/(#1+geR?BS>MdbWk</ec_1L
U"=gx/VFmK206L0wIPD-03i4cI<mf=Eko(uBd/)rs2_^u,2I%88)D$c^k?V?j$=py
U"h4^D_tr?;<LsH;7P4z1VL:0\Lvm$8AXlU/$&xVLuJpLfJCc-0T><[LUX'?InYRs
U"T?23AeSW)0ms$%:nIL]N+qGuu;wCM^Or8dSNwUlD*slw*'vFW*XVZ.GJtrXA0:q
U"X&Nt$*$eQoux<Zi^;+WKw^:+XbjKt9]A8.s%v[mqcFDTKSL69mF^*qYN6L0.F(X
U"odB7]Staa$_nn/+UgMO%1smp$Lb.X2(WZwY04XM&WVd3\LLLeXl[J/:APR^.X8[
U"B<2bEA%^_4[$J$\[Q(uM3NAt[7>+:;c;ug1g[t_MqWfpoc7xCURii5vwVO5lp$R
U"_MK06Q81$.Z?TeXA_W'l-ngP:IM'([)+o#/;m'MxRLrs;r/UUw<(w4?YvvjxRP.
U"drftFmylF_>UC8h[wM^$gN>bKs0.cSG0-%4bYU(F0oiGOKQLYP7(*1:YMWJf]AA
U"w1,B>f0ik<GP=N%.mT2j(TplloVO7H\lT(3-[;bDsOO#eaB3<u#:,Cb*PaVP,+<
U"11utUTU%2MnJ.sJVtDBUH[E4?rUs'+i6Acn#P8*TK0,$i\mRxV$+L<m<so'10Fz
U"GC/7/=K;UYZ2gz-p0dAmg4K5;*L6]vQ$VS1r<m(^*VB[p5^RBH32%[O12TwyKW.
U"d4uX(ci7Pre*_=jn'(es-H+?wbo\;RL2:kl-*_rfG,g%i),y&0jNg.4yic45JQ*
U"%h8Qv:TT;LcRI2iF/*n'JU?7>Qa-HAj/=FQQc*C;3O'E#7?hWce,7a5_uDt;(-E
U"UIFbD6K01US,<c,\lMgn*u(:k>u*.S*OQ):7uGTV:k'(q_lle#IMWr>i(B_M2em
U"pApOY]D&xEif\H$-;*F:$8ONRDO+UAg/=Qe+=;QRsJ<Vd:jnUUg9+;EVM&*K#WK
U"l3];[*mY]4n0:TtPlAkXB04]3>2my;.X&3$d_-wzCF'AX?H)>Aj).pl>uGjO)#B
U":9um^c5UAx/g2,dNMe-OSHUCaLme'YFKQYUJ%Qk#:'gBXp:xS0UHA29Zu:;e=v;
U"c0/J5%NFFXplRtKG\&ya&gE0xM2Tog%P=4el2h_gpjS%I(R2+_Pf#N>luCLkuGZ
U"<a$BJ(,#RSIUNszN:u]r)7mA:/75)my-OtG*_1\oDOk6B3gG>T7U81F,tLF?0pS
U"b[WX'LURd?-r+t<+L2,51$Es0JFj48b(c_Jgj-_=H(>X&1xlIt]hEYuV%=QT%yA
U"R[8LjbLy[BYk]0QO$hmJd\JkIG1p=H3m^PnRD*3R#Y%ktLL-j#SIx9RiBtU9Tpv
U"A-7J)]M^9.IX]^FdOr+oqG$90S,=5<hzFI\;o.^s5S9;v;q:QMR]t?,uQ-<5aBb
U".D=\O_Q6Zn]k:-M5F0DQ_AXs&=[:q6tW-Hn$.<NNZ9v#SUcKjAiwRr;;e-7',,:
U"44dnZHtJo/0);zJPkbaXYK(_Y$kX:sXbLN=S#jDK[d)Wb,kEG$arP:h2S8[/k'q
U"5N&e;0l%w\ct&(BL?::rFsQh23+D/r=PfSQXw$b13BORGpsm3;npB\:#BORSWy'
U"*hqd8Z([xr*'>6:gc-2FkWkiu;/;=b-N$wXfLwFhh0o$fo&)T3x(Mj#9%MFQ#*x
U"?+Z,h<>i4s2jme\z(1?SIj*Z$PlL[VAzK\WN.W:g9w1+?RNc8S'<eV(DqD^DYXK
U"Fcp1w$Y,G8J9hv?CgrezA#]D0]m7+e)/moo.fl#a2Ewyw_cy[)^j27M4]mu\?#W
U"d<SkISf0GuL[op4eMC[h]Ba12W(am9]SdZLsW6ws_YqxaR)rw[K(LU<xvFUXwJ;
U"2]E_l\0LAdf1,usroX.78e9G*45C<kQ'X_NJe_q6L?,x+2)2>W%>1)4]18G,B<h
U"7_-Bmtroj'NbuKjqIKk1/=SrVc'whLObA0eS9UR[1%ibprd4e3.qi3K+2Wi2N&#
U"(.WkA-T426F^K=YTvQV&Nt$7H(F2F5R3gE3VZ2'A:TO9P%V$'gub5ifA&ABv97P
U"$n:R(fgM']1$7VU1>wWM7rhk.O[/=.URzTH1ObdV.Xh+Lh,1zY?hVdprvXNJsbK
U"7mI$<TI.<pOUbv8FvKA6f]'M)A>iW_%0i&s(0nzZkHCYX:ZKAH&5im^+H=ln[Dp
U"J<gGDY1'h.1:&Ftq^iJnTxiATIQTLaXtjMTm<d3ILJk4kMCtW=u143pe]mxsq'&
U"Xs>7dx0L(+0nS3Twin&?wDJEEi;XMv:-3fO1CNc\j:W/A_reB$iIBp6n4%O%jJH
U"&WpY9P><Py&iUA:g#^ks5OR3nLM2+\UmYU8Mu0gua]BqN.;=UCu89b;pN+*4<H]
U"CD.c>8O*^F)SgZzH0Xexr6;/(a[)'H&;bbZV7ysm,GR&.%,wA;rj$pMF+'6i*XW
U"fbt5F6V95$Au06SvJ1&>EP>_Ll%CL/-R>7gh<i&Paail:#h$wi'Lcf4=*t?q)kN
U"[.dlfI3LmDWgIku2mPh1WbanMH_ccD$n'+g*eq2Z8(V5YMC'%^OKRPqg5jlEGtx
U"yk7:QQV%*b_fPsrJ_HnYM>\vV(tW8(JugF.IUcJ,um*FxX('M,9cYt'oCth3<Vl
U"#AG^(m)SmiO3rpklkY>'Vd#L4EcrEn]yv/42amagk[BB5zn](-_gpV0U(hpm';C
U"Z6><Jo$QJBm#VVX3vbe94^*<#'RkjwM%^aqL#f:_?(TJ7BuDDaQ,T-t:Ohm(HkT
U"W;\w;8n%4<y$_Sh(A3tRD(9^3o\FaA/,S/Y.%_Y[h,[BhfW',8WFKW=dc%44:'7
U")O%LJ^mZ$k'TQc2*VQH;?NnWWBqeI5dUGWP,tPMeX.R?a2xGI#%RCy.>5,PcN(+
U"<d7>lNaxUln;z=bDbrARWJLkN[CudDDZpL#0Z'3oqOZd65+0W%rLAGN#B-7<(04
U"j&4PtTi,'b:P\<oF9XqGv2p-A=%P<#d12S]G,L=\3?04iUOfdoBxO[Yn?^S+3E2
U"#snTh2-j*gOCmPHq0%)mGLA_tfY\ZZVZXrvMz=oij1E)\H\9olN9A?o)v1BfCt&
U"+-$=[zBb[wVEit=TvP]l.xt_,?PbYbnws4#,GSvya1<3P-sZfu%x<,fmh:=LV7;
U"ev#e]=Dpp1CdX:'m&3;f5/$6G$:'3%nAQl'[-5bBO4EsJ2UELDAA85I=Wo+gj-_
U"I<28?ege=Vq/ktblIWDX)g2VPl:^^Y0YOTTHpSAAI8BHan=<%A-r-*R<s?4<,Xi
U"3K8>0;kO0*V,OHTnu-_),L24aP6z65[oNTQ?%Mh:UMQ&-Jz.im-26Q04=Mk?-Qm
U"LARKC$]l-miDEfM&l5zF]%Z'?PX8[6iigI'I/P3bJ9]TvqCCZ0AyS+6SdUFpcx=
U"7)pw*$Y0YW?8^&mx1(]T'M34-)xA&xg:+81D(]VBvtjbeh,EGNu88h&Z=^OWAC%
U"4fZgl\NvEsR1([%M02Jtu7u#2$JBhl$%)$U[d#PFZGrHiXuF:0IB$-sE2RC9v_u
U"47U9K&OpkDj$lcZ^N?fixF1.wD+pfU_Cp68iP6MCl.d<=e-brvLjg%B>G3S0CcZ
U";yZDBhx]8[:\-aS4gHeX6WL\$,\X$A*\XFC*#wM5OPhgo5KGmkSU:dJ9wn#rxrk
U"0F-^aFmRY).YmURD*v6i*M$5?2eQ&_WfF*B2;%C<;m/ab*<3e^&dfv7)?cW0.sN
U"PLhAvO0OA''mrjWPZAE5UYBI2kge,%uA4[^5scKeu]W?<t0rEDtdQndFiRX=JVg
U"GRU.*757_qC-=D-L]zYhUf[*A9KZraF59QF-ANd*s/uMqEg<T=KYGJfQyc,dvoN
U"BUQ[ZUl$mB+C)nJ0CGR#\#Weiy]>UeD8c<)c/,7FB#RlH0B(/H^^,Xm)?12:LCC
U"+j'H0?gH?W%&O?/R2Nn/52F-_DSEHR>05UORFF?KF^L<juMp>\N9pC:pZ8*hu=O
U"+J)?CD<=%-/jYgu6uU\rZ%G)#a'NM'A]9Xh.Y2w>R>Q$QEg5sxFgU\Aum_fV^9Z
U"o4(C^6ge/T'42\X47gVJ?tth1r%0wtte+rrX;eMBks.([MBpr$TZE_GA<;[fB&H
U"ZqlA[M5rc;GM7j?WY3q&\cb;:?LTSJ5UailH)CghQ<coi*YBDZ2Q)G;N/i2nvgs
U"sMgdxX?XR,(#u?#1;O/%Qu29uopP3JNl%[pj5(r#n2lcIz(6lIb6n,R',mluMZ[
U"Pll#dvbjbP'vLJkKR,YS7DD2J<1BkDWpC>AQ(RS%8c9b%LAiM]b,tUGXev:1'o(
U"2Fls[So,P.jC,>/4_5*9WhYagY0gJkorpBIOv]2,?POTOoRao3VQw1c>#(/Cf#5
U"KN#l>O/TAN7D;WxnvYAAHiS7&I$d/^*_=[_=;QHF>9^LP^CgO4Jf*JH+(5HX?y8
U"?Tc-4M%fc#weTLuJ#R0#RNP&ZpwXPZlbJ0No+qCgqc*Air\QY?0Ct$ZN?Lved<t
U"5XrCa^j75[wY&kOgLAVo.RGU=SX'RHmOzljg?4UE\JFQ%4h\+8bLm/ASlRR%''u
U"QyN098tr+WJ9ATFSr\cFs;lQe$*:FRVo;Z4N75>mR?q?(\Fj&:^^jtrboU-vCNp
U"bVhO'3R\(AoGFd/AZFEmj6o902'-7b8&(fgeUOU6siP%OB^VQeOzld,g814k1C+
U"NlT]&O?)BR'/rwmElat]B<fvf6(IhW]aHBA4>EIo#p:$)ad1C21::C^V*G6u$^V
U"%;C>\WL9E,MpIHFd;VOBb*qI\2*ZCleHu6ZG6D-dl#y/Nd7c+b6*POOrxc\GfTr
U"]6G19SZ.Zov5D$Js6Gp^[P$+yr;aNF]KkR3n(9=NPdF]2(dr\-tiqKlF$gcjXDY
U"(S2_4IKMXO(0_u_8G1cHQc=gjF75X;X:a,sf2$pOn<v)rO0JqOqiX04gNzZ5]61
U"hLD1xrF\Hv#Tasy,u1<kOkm>cYXxvvH*8*#Z8vnP]8dCmS*AiJt:)hg<s/XrXR4
U"XXKLZ%;uJKfpUp]2[/ud4[k91WwiB;JZ8\aUAFX'B%5lOxE>sqG]M10CcBO1xy-
U"Eb23jR0>dF9/1CKkMepc#O^%qkOx_B-?QcbLGYOfK^bEQT;xCXzQU'&r2O]1lzg
U"eiA]4/p0368\>d5F^c3<v9hCYQhFM^q0.<W8Pk)t/2y-(xFzQ*jmE<SmhSa^-\W
U"ct9j*Dl;5>E8&]ccu')^6qJbU9mF,4EL/[g7o,CW8IL)-6%ZH_\UgOm)-[l($-Y
U"3FfB[TZW^SDOq#WQq0tVlP&Sk\1<(kUvgE'T]+Pks9v&SbvsB%=9<mDM/X>8aO2
U"2G(t?V,S?p9tSc7I%eX=uKTVUJFcC//Teu=<5-Qg+Y\QJi/^z(-skD_Ps_C]ss>
U";g'E8c.oC.UpcfI3]ryAQ6T0(>1Z:0TVuC^iu/+j/O(2dZse'6h(yqnU'aS5_?d
U"S4;iL>io\nL>5\*#7)5l9cS6?&fmGv&s/$<bmW=<dAIJTGcV7'&^f8bfRYsbn6\
U"sev^y9jXfsHL6P#b=.pejoB&_Lh*kyk5CdU/b3U9(jN2]CfZ/n$)&GLU^PP-/9n
U":A?Z7LC->yYRcJr$cvlGTt+TugaDGYD-TV5LSL)>qcAsZPnX,0TsYsZHD$e3A5s
U"j_Cv,#yA=5F]ICBMIU)ZtjA%kUv3;I.Dfa,O#??tF2kR\ACWYOsok7Qu/rZ,2.p
U"z#YYA9B[SBtWa8#DO:9V:zSy:y94tS0Affj$Iz-d.wK0(4n\CW0NV<HWO5GXM7U
U"rt'(<o?\_WS6oufkd:^voc\k#ZtUtd,bRC0$lFZjX2Flrl/Vl^C.<Sk?i:0HiE1
U",6y%\,sjYVQ09Lhz,]sCv386ltvlWN5\H:/,cTe=fW%>R\o5ew#-Ug*qpdGpfL-
U"M]q?h\Ob-aC5)Y#HD6baTPK2?4x;SHk,SMhq\b-U1l>XIKIj0aaMdYmQ8[<&se.
U"W7ud7r\JwZ/KRa0dctKJ)02e<RPSKGX&6L_)6(WbB'0)rFo.IFZ^G6W9jChR;7.
U":IJdf[aoJ/'?F:<G_4*AwUXd^>_g%BcDJV),U(%k;,ymV)i9[dqqEu>UFHoI;m6
U"/rOo.:V&*.\8H7S:4/<4S5*q?*+;E/?5t^s-UTqA,M+T-_C=P9I#sYuCow\7OV'
U"B#mDuJqc8m0my^qNzZSf(8-8cA4X<VVR>ZCluidv)d'RZ9ZKn1cDHb$tbm+KeKR
U"0-e=$Ao5ZCVO^fj)Z/Q+B-?_*$$rNEg+PUQ:zY\NpBE_?2_4b,fRQCdpv)eMbg2
U"GM)yWnTt9voIJy$Qyfg-v38.ENdU2p+6BDmV0o>g&HUEt*5J<e4#L)xtufD)*cd
U"-?JKCPhIib^xMKb^xE9]KD^?]F1,+4Pb?AtB[Ej*1AZC#P*eEUJB>\CVx_)o79_
U"rT86)9Gs^z]Npg3^gnlWZ<Fro^>d9e*pM-Cht?E4keusL_aNAWS#fA$oCGLy4]h
U";0u/Jqf=Ucy]<*,%Ey*JUgre7^Ll2adE5uHLH(k'bHB.qpxUToZQ:<L.YUj1gzI
U"rj>a>c-pq&<X:iPbuG.fYrewp<czU/b9%kSq&,sn#HL$^b/;).d^rQqJ9ZV=b*r
U";l[1*Ab6Vgd#i>kd#llB%j:z3?Z/;zuwL<2mDJ3m50:)(5lF5^BR%Hz/.2HZWLf
U"DMWRPFP.ASa;:dHc?p5/j#%I4ig1_VO$2b&]_=y#j+S%2Jjp^uXG<*l1T>(UMt'
U"Ld,Ce7pl:4QuS)$Qk\b:,Ze%'5&4orn-C997=cVUM5lmJ<^sx'D1y24Q#zv^/r>
U"U/tUeH6wbmN0ljC'*tW*.I^YEhkSDGD,ra6)Pt-pc/yrFC>9p7#PF)^D-^YH=';
U"q>=dG(&Elyc,sHKpw6$^BOsBg6F^?L2bX+GuiH1M?(iGAltGZK:0l2DNM,>f?Wq
U"dv5:I<hsQ35b6mfV\Jj#sX5_j[=LjOoGM3s76/t82d7OF.=Q%iMH4G[)RLU&GL[
U")$3$T'<U#9nkJU,*]Nll3)X7KvS)B&HD'vm\OwUd0:Zs7LSGEG1?Lw5h/:ecGQD
U"7bFIeOn%Y7YoBQ=4->'Gc9^v=LPcglZ(\H>l?PCQ'f=*3mLxC#(QB'?M3O).&:T
U"9DyrI&EVJ#(,%s3IBtU0ApZ?2qp;fo,%M'9'n,G[VtQL]kEO<1?kr#gCHv=bp[)
U"uE^)U9IdIk)u.pLZ.?W8gB5U2A#/fWR*uX4AC8]75NV3$85\,:=((]UBu/kEX[k
U"'TEu\lDAJSI?;q*bXSFs,RKRhW^2s^3Na>i*'aqfnBA0hc.*]xGC,O90*#-s.h)
U"?'SQ85/dp;P)jx?q-C;MU[Q+_xQKK(zPo\BoE7JYy?vjXFLI$R%B'u]I*,/M\R0
U"=1e)Yq[RunD19O;q0GOqqX:=)O/p3&RI<m57BK4(=5GCa3u_;vCc*Hs:919,t'v
U"XxK_/l&-L(R,37*RY7uTA8fg[P2LBXrDz3;=gPi+MsnaGrnBC+I:iU*z)O'0aVw
U"kNUr#)5&9%Z:RV>LQs-.GOGH[lQ)D-nE1)^jS[:otZ<Qgl,V6%9i,mz,o'?QUlr
U"I\69GA7hT8z%fV_NXr6S9(6Dohzk69R=S0$H9j$H:HYFRG]T,h3dV0gO:qln,[t
U"nwqtr=0.D^CIJ,#ctpNG=ed8LAK0&WVvFr-G)zdn92)$PRL0>pU/^*&AOf(.1KM
U"9+C4:MiAM4oJXd1na&I<dl>$z\^T:4RBF2]4s6QHrBr\%<5=M9ZtEZwbEFfV:*O
U"F?\.HALTuk'69t0vPTOV3jqs'^ilrR/q]>Gi^5$?K2b5rCJ$r4d_WlLS=\fR3:0
U"pS*#&iF\A<>8egbkH3.BXEElN(20?2560p6W_qNNu<'sh?3<Zbp5uU(N-:RZHG^
U"$X+O%<EKe(OLfZk.RXz-maGSVioBfogJKNF,CS)NvFk#nY6bKrPu7m=F9akNS(<
U":+2nr]\8+c\iKY1P6B(5z7IJG0.t-6nrg,PX81,4vFT%YYdAl#(%\?QvN.k:B./
U"E%r9=(_z;;W_OJ7dq==EUHhU%%Ji)=<0[K=.%OLas$YO0Jh9&f^*=n45s5Z4:on
U"7uEjKWS&T;JS$j]Bj+:#-i#e2<z-re3>ip^^*D^]d%C7JRc.R=jHe<BG_*n#=)/
U"g#[H=3s8#\4?H'#&QMGYdAho>,O4n'3W)b5'G0&P.3NR>&[=lDDJ#:tZUgok?5\
U"[>Gw>(YLUX/_[FN'\*=lsJno#E:+][1bo2aET(#RGdD<)C#'?qtgI16P(-c=0c-
U"o9uNM0tT&6TIA'a;BJ*OHYdFEZ]fn)kOI5S2Tj#Zpa;Mc52&RlR]C*m>t:Y/p%e
U"vAeiP034js2Xt1)8dp-wg7)h)#sr58q'_k7/GSu%?;/-'hO&9+B0e3xnjbYF9Ea
U"IBUC8xcTo-kYQl,2#GZZvxP9q54P[O2Qm(O+kQc[PpX5\mYIuWQn^6UN(<Lo>=W
U"dm-gWT0l-1o)KkuQuGr'aiaA.Wsll^Z%*,R3:FR_sXSXUeOC/-^3E(PENjTK,>e
U"JP?2KS?u(j9p2+$Y>i7>=EDeB\/lX6GbfsQ->C.n8+Qi,[0ba[5]?+bK\uppJiL
U"(;Gfn%-fCAfRU4B4y#F&X#Iu1MTP[G9YmvOCs61Am<&9F>qa]f*+]f8iL%)e5Hn
U",+]i;0bm=JRF/-u6'e(,i:p+xPeIDsY%9ghp2O-OXdV(NItZGbYC&2R?V]?\sI/
U"HiZhli?Xn^>QV_#;D2C$z'$s6T;prqFG5qs=\Hp]k<wH?bNNNp+EM3Oyokfb+'5
U"rF\mrRZUZ0$9+[j6[(D[Wi/W#Z.Ko#B*]PJVD-(Qd5;$ri90tLHo)zymy&o_Rka
U"<mSw+tl?OrrlkE<L8-G31Nm#4;^3n[lBLX1/o(DZMA92HEaKF6*wI^mOWE4xw6i
U"&/D\H'[O07cH^=*eWI)GQY+zn3+\fNKk==Ce+=cFiKyE;2'kd3S6l\V?1M99eP$
U"00S1K*g6=kt\KwF4/mDR-42l^0$h0P)2otG1q02WML#f/g<l4YJLPRK>jtQDATU
U"6m[A7Evo4FpL%:Zr],R.55<$XvN2ceZ1q8KSa5HKcUO67\3S78C>Oek7vspK[AW
U".]LZGG$=^FV2N>EnnB):&NOzitKSE?\%K2>e7./e;\f/_ca*fp?[c5HEpzmK^0m
U"G]I+,=QmUD&D_^j#+eFz'/,_rF-M4W8/;^kYfHA'HFXVl?;TeSU$i$JX#G2;vF/
U"]Wv\;P1QEMOhB):p&e&u2x<BSSFh\+p5-<,;2EA*g9G>s52WUtW1d<MqjSobLk/
U"o>Gh])^hS#nBvK(dMRuLB_g8Ee%f]+I5BvINPBCm#Tw%1e+5fWm&'m2heGW.*1w
U"cP-ZA[tk2K'wdpw8mvn88o?TM05G.+l('E\=Ylqll#]dYCGPUXquOBLy)S.X%C>
U"gKAfrdEtc6lfhkec8D*<2r<f&W'G:DF*PAZ(*0%&90eC%%orW$jZc*:pA,;r+7=
U"%#GU3m:SIE)Jf\_2VDS75SJ]g2jI#S=&>k3x[uH30llX[(t;lFhFVwqnnM;*:Gr
U"OZOdM-nlDZG(Q4VvBUPM?5bHeL+\m-rk$4uQ2t$kl5:xEudyK69JMX:8+TIjA#?
U"c%pyhoB?Gc\&Ga()5llH=9&C)SL#2]e)WvtkCET'W=#l5Gt1/2j?ksNbXv^C\;P
U"hiikc<S4U8E6+a6hWl4;bBT0q/c-usSwXmEn\XUiavv%?ns$r6b-KUlEWL/F\aA
U"kFWFGqJ&VDsxOh6##'PdDb=sHC]lkKZ>G6tgk$eh,:=]bMNt2gu0$9*,HZW;a,L
U"Q5*:x\n.CCb8rwltZYQA3^&XWL7VkC:Z6de,qT3\k1:,,,$3_/A*HKh+[ExX,GI
U":=?//cmXI-YAk*':i*_^U5mY+V[#3MH-6-+5lMnhP?n\.zy_OL%HUy\SZFlP+S5
U"K<<r-Cst?nmSv/AdB/Ufk##Rb.pUc]e#x:3E%'/sl$A_F>Lv/oWL_Q_*2DPtlk^
U"#-8.OEI.?IQJoo;><.[Ff72;X?-%\=kAe7YI]=k87?q8gU;rTA>/YDv#Ep*2b.x
U"gHU%_lZ=j'&s?39'wzQIB$.cz'278flaI4P+aY6o#d8CJ9P&I%,C%9-HZsxEkRw
U"oB12Vbj1U:A?.\\_U\C:l$g+X_)iCCAZaveJ,m/_[;eXQ);]9A\o0?N_N$#J;[p
U"OkdXJ0MMg-=9Rl80m;Vg3WXO/_L6DF%WO+M=r+K#B/s0O3GxBX\?D*\_&BjJ#m;
U"C05'/Ilq;(ei(g\KX]q+V[86S5K90RY5g&Jui1r4;lG;O(;yWXeuDRYve80hR]B
U"65To2#1P]1NCujta*l3Xr>rb6$eLu0pVo6)P6DZ,M&g<7lncGKc3Vf8f>>9*)2K
U"3_kL2(EQfot2)t71'17,]IKPXsaJS5bY=v)iRP]T=pQts$xr5xaCI<dd.S6D\^h
U",cAU0sW19Sr5V119Z=,uv)94i[uN9>ckd#k)GlQU_e2G&ZTX'N[#E=>M**?kR<g
U"4'FCQ[)YcA';.r:-^$XgCP*.*DKtP4b)X=Fs$>Gelt'2#pXw#&75Fh0n2CSh-]1
U"QC[Kw&Sig^gaE6/A.qi-zngtw_(.g$>S7j[Yr'vE+_7^)&S:9s/:r(ag-CCysq*
U"\.FiJ4U*Rs>6c$Nya?5^*(sJxVOJP$GZo'>f-U'Ap=FPyb#>pfn$'T$#0xr*Af&
U"t(3V4RA1nSs6u*drtK+G%cML99ua:=^+06jL;td;BgDy'(aBf42%eYQtf6vY$60
U"xhmt58VHBUp3m<+9k\_Ko%S1>1=Iuspt*O^:j(g=5%1qCAAfcYPc\q+4ms5f,ON
U"^8VDsST6\C3g9]j$qxe/q]S_6j2ZmbztTO5Os-&7VCMHgIpbK[pqGA[CAm7<a&S
U"Ob#ke]+j0ggb9_k1?PiMK.^[(sJv[n8M=7>YlTrI2+7OaT)H?d?a$5.R/VMS>Ds
U"kY/^10RO^,8-+/XJ;]/Z]65d004wp\K]gkNDqKugn4#f6pEOf2Ak.FcUf6IttIf
END SUB
SUB V4
U"=ho7vWXPwm,H%Bk'WI1Cqgq_bmnM>g1NKqI#]o#U8aKc&+Jo/J4OC$CHc7mhEpN
U"FgJ#6XoGQ9HH11>=5.>h5q;8=(H=\ZaE^6ViA>vDY&'t=Sf.T7?/0?&M%m9gXrm
U"8duxuRtOggY]4JuHO3sI4B1>Cf[URq_3\PK[Jh'%'*uAnnIp%p6[==)7UbXt';d
U"'utThM;r.<E?BoGcQ$%Ddq'Qg'Nc&D&_DDz.#$:wQd5g>8^wVGu5x$qY^LJes(B
U"/5f(7Z].FHQJjLV9s_&FPB1.?roSo[/mJ9)y_e)8wUSEk(*FRj5=e+EVg/'gQUY
U"65>%oF'sHD1LfM'0\<x8^axc82Gs25R_hDkLUWAld'PQokrIy-FqQdxt&?H3Z,Q
U"NYj5hO6\$G.-Fslj+YMY3jYH*4[_e#h1:&94e81rIFL*4D_ThLWKPm_;>\L3LgL
U"*wa&ux7Np$h-p8s$HoxAs:J>MjcrlD?ODw4aD$sJHE<>58(f9j[vnPc$']okq9Z
U"u%.Re7khRTvqf%,N[?zWpCu?n(%&1wM2x%yNnmj]f^O\JO9907For0f#VAD1Gh.
U"bG:qcd=1%]17'C9#MIpECH6+pWKehvS63AY=U^8B(Cg.DV2<#f*J/#.dzO?j?*M
U"Rq/kms''GJIp4U>=7G<MOk3V&#[Sapa;[94Zc4[1nPz#I[&uSZAH:>.X2K:(PLc
U".q9no;-Ij6OK,;=*Q0=*+4ur0W5FyZfQ:pEU*L$$JRZ^D[upQ5bhansLv)FJz;Y
U"zmX<isHdwX$75<%kv6Q<VE)vT4>U_AMHiiGM\tb1>k5U^BjV<h[hVDZWC2h;7_i
U"7q^])A1i$q>cE:b>/221>ZGR)T/0H5-a^lb9irDo0/&%I:0rx#PGs4C3r%C?CuC
U"1>C.WmBVJ;S72\s&rDEoONO^X7927Pv5N9Ho;U*nphTAo0TT0$s5%3%M?E-^%G8
U"$C0Y)EHqcQp[&Up\RuCJq2a/2n(QP5b2?i0td[VYo%PBVDV4c.*=GtfhI9_['ZK
U"-,hF?HBCl3yRh\)qL/;8-vb32mbHO\uK1gLTYTX0\sYSVbCTTLF0-ptmZ4<B77V
U"Pm17N]:r#sMM?Z2UymeIRtoi:LOx.4yi3H*Ux<QIj6Mv9nd?+M;>$+b]JA9VsxE
U"=48]3fSmiT*tro)T]f0,fFU9d_cs9FWipy4:IDwc<T)VBCLKj)K\-kMqr0^xD_>
U"JZs.LPok>=c8VTA]1''QYMqoD%<9iH:y>IBvb*Sa58nN/^jN_a'bL2PV>EK[+VP
U"MA>x5KGis:-$rBvg\_==q(.<2qv?OP&#_,/6bh,0S6r\KZ7WGLqTCF=A7,\6u?s
U"t(nEhFWB(\:rM#hU_Q592c9Qu*Y3rCTl^7)P6FxJob5OeZ\9[LQzGn;#):dX[Qo
U"vZ\(3i:J0AQ9<>sL]$-Q;8t,(mGO=[=owWCxX%bNY5\ydvri;Gy=KT30gSW:z$B
U"JJR[Ra3Wl7BM8o>:Pb,n1mvRcAs;J'B]u;X:CY#jm#J(VbJMx_IIPx>3mOlL^s[
U"U'0V04-0kF&'je5GE:c/MN&d(96Mf<YzhQVKIr8PeHJJh)jS3s;ISHbM\it;I=G
U"_Sd^TTKCvESJ0xqB.p]n6WKan=d&a8+Li\C1t%X%-GBQ1J2w.QB/AM>_O-B]6S*
U"+qHREUU/PtZ7-dn7VC&*d&edZV/\WRfhCLZmY'QSs,>9R.&V7?NO'Xq[&;u8,.l
U"LS)^T2Z$&e:;TC9&_lOG339Q6#sedl<qa>&$A^dZq]&G.y^$k)%WYh1,f$3/'kG
U">fAT(A<IgQjK:hti&J[e=:3zaF3i^F_bKLdWNNnf?j(tL2fqx9-Q)Juzb0hMvNw
U"Y22VWdWMp\0V(OWO8G:83ic6FYLHn5?he>mO/==TAd/IT3Guu6036u0p00WW05G
U"b)FE/^#KPWeW#\q\5BV[lCiVX*JWqFU[Gh:n#[anf#^c#_*-cNk8l11YoCgvG9l
U"SZf,v&#ZWFschh[V5?vY8aOl)>eHDw+MkE>L6Ya5\9MlF+Lm$d<753J5uZ'j,>q
U";bFHUyZu:1]GR-Kf+zaq17d%UPnFxP\h9l;p,^UB-qVj)p4%1YU?,K<Dg^U5:(w
U":hBp*a5pF#KmQw^j^Kb#:b_u0R-IN+[5C.X2Jh%H;.M<?(X#3C2Uh&2;k76w:bU
U"OfwOl+p)aZ4vg>WXjSZq;N*?^?*XNbHLFEM2m]Ac+9aT0fT(;/R;LA)y8Y]Ux]i
U"VCguNZ?sh1$%T.=)e7<ig32luqX#tS7/\eQ5i8=]rS5Tu1G^6L<gT;_0e'vwX,w
U"3108OxokM#C\/?1)E$A99O#/_y?bSO,1]JLFcj:PZObwa.U[0uvM+,_<K)&3Vi]
U"8Z1lqT9CnbQeFvHDKtwr2T5QRDoH0nz^]q/_CoFtE)URpW8HUeW,=62:N5%n:7i
U"Q7X&l_Si*V:qWk2C]o_0.&u-eM#b)kH7NwRQDLRmtf=OCwNDZ>a^L2>WqQlgJDw
U"NqI9lAV:(9pR5:Hde;Epk<41u$fm92(Txp;nK<gPK?*p-NZc7y9^*XOf[wDRQqW
U"8e3Z6dNI$qRna#jLZED3o$m5fL+U[Y>?1Zk0xmTw/dL=g0oxT4PomL*gMZj#9QF
U"Fuo98u_e#.2xV6OWpK7<o5P^P/51/5J0/2by;Aoq)0EbUDp.\dqenp_qQ2'sy0$
U"O4)^$R]yT_*C\:jsLUH8Aja=Am,]mHIoDl9+Mdvo>sXqjxoK8qPPP>rK[f&khh#
U"g-EGrX7mOH45y*(#4.H%1d;nYn]5Z]hAFycx7&^G&g/]+MO-Dp?j*q_BIn=+H;#
U"A[*LA3*NPN6%m\TcIV/*,L)l00%k$<<2oAM,'\A8IdX9$5$%9Cfo/<+Z+((tX^d
U"Pf=y]I0Ny,Rgj$T1:K.^Hk9u&I,+V&f+HTl[?04.QeJOtD\J&;uZxW[soE$1<&8
U"BdQ)D8p,*n>Y0ALRFicU82=>E^J29gfv1iBYyt<B;$II0.v7EON32kp6>o$^Y)W
U"mOICaX^keb>(*1qpk<nSoZR=j*d,La3O+&'5Y(M_Kr1s-vs3b5ykbR-kAyJrq'L
U"iZn[SI,L/II=xXANlDO9F6]0wCb?<uNETi)jGg8jb,/l^xqbOGj[C>Dq\?Booeq
U"fgqI84=n?';i7.qBb>l1I?=-L^j/%lGB?)'8s+U\>Cfg'\>YE_y)UNR7_Xdk?G0
U"%0SBVEUmBJ8X%ZQ'5i\Gn<S9frt._futBY1oR<FJu4O#E61'*1]g>;Jmd4Wnr>#
U"l]Js^IO<>/,Z1?EjB5w1),9_G9^6l$?;2W2FcYFB.TaqIs;[P\5FDGE&]JhN]nP
U"^XWu($jzOnOrR1JbbxC>v9tanv+p1E[w^%P^3P\<a*j&(bF58b'DT90u)\20:-u
U"LmaDh:af''X8gJT0ItGN$Hi4z/&4#(w#kHRx#fYlJ$)m-IB'(q*ov);K2>>L12f
U"EyebJQ=eL;p#GGXH;B.X<16>]Qt1M26_CZ26.'ZG$C.fm7$E$uz>S%OsUsWOcV%
U"*U/*\W#3\p.TYHUZ/09Kb/gr(?i?7rmsDY\dHRGJL0$;YNJTYL>YYbJS7cmxpj>
U"6J[-RTwfkK7v7a(4>#FUUSa1R0/cG7\NhuffTY*FOwoL#6(IYlvq5VjO6udDVh'
U"tnVEndnUbAFqGj(:+I04-LQK^x=qobbZJ'07xN7JTlMC1R]Gws6m=8qW+)h8ssB
U"s<)P?yP]:Qq]8qzm\fY6Z$V4W<;j_ig2[a?.0<l\?Uwo['bk;Me&&AEGP?bX_ti
U"KEH:S(_uEr5AJfP<;4+HH+-6teuK_mL6q./g)U3p6[*rxqkPRp#_.+VeYcVb?*1
U",<NyA:czfbbJ*,<e0Q6*%PsJrl9?tTV[-9f+Aw6rRlEk]+Ttqx%Y/T8WkJLOdu5
U"Q6o?5f,G-RTZ-,GmAh%me>Z(&G/^Iko.7G)Q0_vdq_KDN'rUM7m(.-jG&[+/'C0
U"lYvU[jn$5OE[GHM\jUU)Vtq+>8]51D0vb?d\8nV0A,B*qWDuv>R56zd^BC3ILg+
U"JLxNH,Ge<%J^(aDeXsYm8JUcwCti\_o.;^=-jV6p]c0qA$\+=nNQf&/XiTy(c_1
U"HNEUw>D>j2]/4u36>NYY,ZoaRGlV8$=niJvL)6,4UG#7D+<sn(qZ&j*wkO<mn*L
U"kB)D?fp0IIs/7aC?'<H9cIh;g*vzzH*?UDIuq0_Q$/2Tj,o&L9pKwrGsaL_xT5)
U"gX'F:aIg%GaLMeH(+9%EslR769IPho>4'gRHD2H7M:)H&92I3M=^]Pg;13l*(2i
U"GI=dQ0kTIh([xrnIf/V6hCeS9YJMw_N9qW8.<m<_k*8,A3dQZ<qb8u6(Rgz;1:C
U"Bo^Lpk.H]PEXR:[8]0E7;#7ASB_UQ+,6Uw<bNd1H(5=^vdE&d$rWnkB</(lBZU%
U"=DRDrrvF.qrt%%+nh<b77P0pc]4[\;aic$=-1:f.R[=C,_e[dfWU,$/>uU_.Pl<
U"ljB.u,vJ/jGXtX0]wu**.,vV2LQ[lRm,''6ofR;Rc)ccQCyFRv$gRqVWQx(xH5O
U"5#4W*_Mt36Y,j$pvK1qEL'ti8Z5j5;UqkZj+%[a#6?eiWUS5O()*&PCNoed=l0Z
U"TVJ7SJP>URa5%Y%vsbP)*EZTJJfQb+%gnCl#6n4n&W),9'[>Q\A$/m=X:6yWg>V
U"MZ$EU*Xba7e2uFs]<vBhytkm?\Db=;8rOg.OtwOBsJ\hvkp4Jf'd=3)6rw7IHMf
U"vFsdeb;o^$RxJIdd<D8VH7s\I(;<a\e3_/qT'7l+T'[hX*Gwe/?-lh)[$.'+vYb
U"5[)1Q4NMfW,#WE9TLJr+A$-Lp'X/:>R*r\W#nW'AQF\6P(NS,i[0VrG]:.r=cli
U"k9BBv)mCp1[G%pX;-miVn(B9W8^mfMrK_#YRDnd^%'^*SvRk[AB\mUEtm:*QEG1
U"]D$U0/h6Z,Wsb4,>M#,mNC^:l]?nCeWuI:g8i1]q,V)Z$hGeB$4X1E:1J3,Y]8P
U"0<]d]F44s[&NKCFt8$FtKI'Ken-BJSK#TG5u':CC)O2DSGmL;D9?x$K8:hFZt1l
U"0Sba_PTd*;:3M2TrJ1OoSG7I)<J7_5K2;O4GJ;gq:h;Z,Zbdgb[FJ9?]od\J:F3
U"r:.ZctV-=dZP(>H$eX=H=84ZS-5vUFF<MY^a9.><*;p0VrRYlia+E5vgPWdgcsJ
U"8+#Ra><P>*1C5W]77)*pQw-)mPhf;Lt4sj=>.8Kkww\WBdij8Xlt8.a2C\/d)^o
U"JA<47VQWV%XYM,l=GzVS,Y?4)0/Rei4+,-R#?&x/q/\?qOHiiaqsR$8#LaSsDgM
U"SlmU77HK(9D'tI3nJd99cB_0AQ//^nh=D+NOjjn)F+WiIw^$GJ1;8T00h>aGqV%
U"PKW,#:xU(PfRhD:#z)FuYeSc[/>3BT$KkJ1-y2BmG/vKD.IeojS^,=N*.hd&K'e
U"/S0e^Fonek<-0:UXkW;B3JPq.QVoDs7hYF*udN['%xGBg[5';RQ2AR2RAjBpc?D
U"=7G.5--F&Q>2/;??s/%9t_Of$=7.IGOkOwe.)WR$$-^gg2-[;&t^^:le+]iu:'I
U"v8$]iURMEI]A7BU3JOTAV0a>p-UW'9Jy'&\K3r])7o42*^_kvaGUPP74O5jqq&-
U"K;Tgl+I$8+]L,CldrRs/0QEf8JJ:Y=]hJ<#6r;H-N2GGO1LT#Y\na]Lr%JVp::j
U"blL[jpd1phEaQG:U&xAbM3_&yB8W#r&eZRzwJxR\tUknqjRAG,g==,66HG>%1;&
U"A>dOQoXuPB)JajeQ1_G?G-le/R/&8epb%0.$U6)Yf&09PmPV<YdKX>kOns6G)Bn
U"'=UsT+3Yn+tWNmW16MJo^X^#P,g\KzF6R6U,''slWxiTlVB2=4J090#)5lXWqv\
U"d_*s2K%#hok#N,]:5RA.616=6TB=KA3HIfOM=SP:ZyoyUCQ>b:7,o=BTP\rVi1%
U"uVN^9'cVSkLY^5xv'8vjRcn3$]/Tt$WuJJB8di4&]KqY_w#w(0%*RCz\PbC:$.J
U"2t,,fP%g.wE+*V[Z<M2vWFf5[ZxIINFEc.ELXwWit:VkF6b'#A-gVUoH)La6DEj
U"Z$;4-%IP6T53q,)KGe/_UwO4UrAJEi'U=<3?D7)Jbu^-[%P+n8q3]7UBKl4Jufp
U"[%TT^b='Ml$z9OlP1O4onjdEY^WLZV6,Y*oG^lIJUnZKcnt8i;O)0=D2>1wY6M(
U"JH6Mc+[Ik4nCR2M%XW?9C)HQm5nD%dt[K..gG-a28tGmg?2&TFBaX5;.ODRWb>b
U"B>iRpTCe?bDc(UTas_quY,(nuQWI0&EjMEZiBm0+.4jHAFosmm-dgmo;/iEuf_(
U"[hwHI#>=;O7NQhZ%i9-g?E;DliV>Et^26BiY(Qhp1GQFc=LUD*J-';-N'/mf(s[
U"FLJqb;Z<jku59dDtEsn)Ui8(S:xT=[#\>)iXxsUul)6L5oBS]-\xOk\Kg>_z*Ry
U"[QpSdKr=&Tiqu-=x?T%o.)lNRv5]Y_da''2^R%r)zJQ-'tB0*^G0E.*AyE_vDnj
U"/1ATVT^+rY_18.)QJW^)w5,n$%a^#GRje[F]5oE1bC/bYC3vM]H_9'W(Vc02r=U
U"Zdopnnu3<oSCfCh'/rvFaL+rW=6xP-/tKSf\FbP52Y4F$pR]/$n>1WsbZi-cXcQ
U"66'P[ZiM(GL'B6wUzu#+n0>&/(&qJKyRrd$)(jjFU.9;YCIw5H:6d[/(1Y5QkSP
U"DM8br2'6VOZ+Zoe'Q>lPD+y2/(rv=eDSp6gEr%Qd$77):-#]x1MI(zr&$nr_Y)1
U"J9(3PO'#TnQngR<WY%Jyv\QquGRE#dv3W]NjmLaogF$nOw803v)J,NAPa'+0dv,
U"TD'd3EBpWjzmQDmU(Rj=Sb<nkWG1)sXvXhlx2JON7=qogn^JvQoBHv]T5$xi5w+
U"qguc%RW1FSL&;#2&B9zmCE1?8c\MfXd\AI?,Inw$^4ZRUgc8-eNo1PSZ\1jcYTI
U"qJ+jQ_?<<JpI^T#v1+=9)K.h#HWiKVCkma[t5W?6i3e-<S$7g8_X-d-8JB26gF>
U")E*(riiC)[#gx4\qMU6\_F%NQc3^\Q)o7'f,7Cup)$:OpJ;AGkI$_orAxVO7E<9
U"c5IEt[h90(%JGr>%p-?)8+^CkBf?B;LS3GEB_Ij\2WIy6ygeta8T/*aP2tT(RbS
U"kZ#?::/Ho3r]8&&J)CJe1]AuCXlNkq^i#VhU_D5N;5P'p5+6B7#1A,Dchz%[Q%]
U"GB3OgN;nY;psY/[_D;gRQ7T8Ihqv9lQa0Tih$tf\TREu)T*eQw/h,fV'V[]99tp
U"*(pmBd*0(Ed0m54'74DX%qb:VjeC=vqfsfpm[3E#h.P9v<F$YQHF87I(xh+o;T*
U"R9/K=9$vhmqkD4h;Z+Qa\#aw^fbT*A1]JtY/^M1h#60HeN_xIs]TIdj?j:):))>
U"tX[*\xBW5[sD#lHjUi:#h%HAwT0(%Fwmie,,\cfpB,QC,UB+PYIanSP._O-w]&F
U"0h\d%.>:<ue&xjq=>8OLJbp&Q?vy8K,UXe00)VcuA6w1I$AmnD\N(:hMv[QEaFn
U"&c(a/da'o*B8:qwZKFoYwg2QpufK&X**/Neu'-[DuV_:>%6uT6-ec;7fe_m56)8
U"me-oC3LS*AoV?ecFhb$.oZ*hvI.$-'<DLI$%:RoFm1gi8>?gAd<[\Lo%iJji0zB
U"pWM+G[SuMDYfB)Vbtn6q)ds+S*s.Z)qw,=Yjhl_'2^gxp)d9:(<vQO\jS<0G98Y
U"2%mO7u9W9KXgIcqKLXigbajokxnLcatK_Z6e;2tIDk9h39\gC8-Kt_&J4%_9EBP
U"]6hrK+5EBb(HPV)?)W?cjVA^KJK%aq%[;O/rQ:HVupNdGjY&C.7I$;,<*Jw9'j5
U"W>.*Cln^Q_s=mk#l_;l2;^SrFQP,[/aB-:?m80RuWm9m7q46>-egfro_,6PCb;9
U"TO0+cKa=m_E4u6_.m%#A:0-V'KRa1CAfMn$P>GEYUnZJ%;$7stq4O3hR]a%$=PU
U"]O08u%t'YS3>/V96BV^f-Z>\Z*_Qj)6Rn=SKqU./u.PrVMV*oO:7$[3*uR]oU07
U"\67\7i+C:=i?9^VnS9v%(RQ9a:h4e]%7#g>;-2qG;5]SxE\6m0sX_-.zWRnC36E
U"0f6<XibPePFnS*BT$WEALRlQ80$u;m0YHJO('m;dU\'eSbt4znQrdbL7pB\rY[I
U"fUPe<.W2,aJM[?Id%X+qbZf+ua940crGaCnAGf6e&FNr?WOVHMoN#-eu9FwG'Zv
U"V1vk<Sa7[hakauUc.FSJz*$$W$M;^U1fAGfLP->X[3iAQs#9Sa&>rln*Jmd-Yl3
U"&:o,pedeP,?:t'Vc(+QS9-PFQ7;TDq+yJ'Q\9F2/A2.v_Z)/MWT0bCgN<jJt4aU
U"w>3h,Y#N16vF=#C-fTAU%9\Bv%Xgk-(WUpslFlJ=55(#wj'ECHWgov+[JY;xTXV
U"VBwv)$_U406?.3XGYT:oUucEm2$%FK_y)<rgOS5_%:]H72$%Vi1.Dt6vglt_'8$
U"%t=,lec<)\g5Y_Gaue.G#P,_j2rx)-5j%Mc1<Fb>73Q+SAR,c&-j]nU\[YImdM\
U"7m[m+5n4#(+h;$H^fG*Y=-TG7Z7-P9d(#CSPdVcl^ZQgu,Gu>]J^aJ+Q%7K%*&+
U"Y/2;5A%u)\AxUUtE=OK)Sf98f)S?SO).wFDU9I(To^&mVe_-sx^&TIx[QH8[TDo
U"bVrG/-<g=f?tkl%39=\-JkStd->TQ$fYD.)=BrUjE9mS:%E'aOE35fJS(Ld.R]R
U"4haH0ljtwtp40AOhDYjL>pceS'YIj+1&Lp?S*g\HA?=;P/PHQdbNE99w<]sBq/p
U";Y6p4MJodOmSc7R(&TYWvW?''/%tT,6eqzYX,]SRueQ5lweEYF(sQ(Pn/68Ei9p
U";[m/Ix#)>E5wz*YaBTCwIAL\EQ1t7^=Y^H*aX''#rhaK4R2Y&pLiXInG#>s8IZB
U":rZs<iDSz?bP6<+52Q:8]U6]C*S?^6WV]q$4w*r$P)tm]]oDyf3IG;&kyPdhb()
U"T7;uAQ:k#oF=RBIw?J^(t%<D7NUK2X=).Rbw#d^wrCJ.,ffIt-0Y>tKu2UZ#.rn
U"9z]wEeO=oFiV3G.Um4A^]XiDjjkjI9S]uzb1A[%GHU3Te;-8^XOV%fPi%;S.Fxp
U"dFofM3nz>/.9oWE?2;GH>VJXe2h6S]Go<vp1Yg_'H(Q97u^4UGQ/>)E[(C='p,N
U"9_,V[<YK1>QRwh53l_3_$T*s*OE\9A2[pmT7FAPB8#KnJl-ee[$b5LOJf7=g%vH
U"8o&s&cMF2>^eF6)DoGn&1\wtdO>&,7H$<h'&8nj^NNRcBL3]t^,Hlk8;UR3?55Y
U"O\VM[/>bn6MJ#tFds2E=L7c;')(;EoOCfg0^ST&/f&/;rORXO&f5,7u)<\o;Ig8
U"s1qa#hF$15Se/JAMZ=Um*sT[J:vGz&N//AiEH>u<rC[kaxktJXRAKD/YR^ejl-W
U"i/3oZ'?6wO.&K(a8O]+QE%=Iv]4<&H-H?q[dg$jxuU-1)-KsvkWe:\p_/N#P<qZ
U"+^bSohc6Ywtaw,sAB.WU4OK*\q?i:#'*a7eP]SJAv&1P/Dz]$>.hg)Y-X:8rIX>
U"F\D'QS9]?gLHgFjaig)&]kfssI_GVhK[2)$kVUEl_PUC3*D()Fs\TFNT)DWN0Bk
U"fD)bqr#jp#^I$,5j_jE9U8Yfjg_:\tmim:D95Sfh8O7RLPQuGYgr=(Q.[Rj$5-S
U"oBWhLY5'Ga8JhDU<_8(/W/uURCcSD4;wOp/FE-UkMdoEcu:rj.gBXvI/\TuF]jS
U"bN#/sc5G%X,a$+F3LfW-QrGsXTNnJ3]]JGq-e+&,KHXMa7pfR(uAk<#w\3,_O1.
U"\pC/VEIEas=3p^u[.mX(-in.o&ClK:2dI=8ec1N0wJe#5r0(?ZZee-5L,htzc:i
U"[U;rZVK4n+'jM9DXa-,?n7o\^e+4Q+JH$wZ\vaS_7CgZ/0=-FQ)_9GT<oQ=zHOE
U"48[nT5$)ZT<rKIQ#?UNXujdk7j'6P^:Vp_:/4fI&jX)wutGJ/7qt]5N:nm9F_ja
U"t[Dh$cVUj[z8?VapNAaJy&G9U%rW_cbB+G#[?F2ChAylgUSR,L5,t0_uiE&i-%X
U"SCr2DIQTeCAmfxYnr'=5]^[FhSa1<=o3FYw^QQfYw1DAC7q'fcoLl&,eby)wW)1
U"8+EkQnIx1F<+5_Z0C8F[Bq2B)ucG\hRp3*_(8tKpm5R8w75q0S>J6b)8(GEwaA?
U"3h5L$X5?DlOI-7?)ju2UU+jAu0b5H4N6y<G^)FB*U6dAk'2\W=DZ-Mf#ux4tO1Q
U"wV)0WDCQ7MGx.\XkeW?;*H<S:2,da:T?CD?41J3cd_(4$vyrDD,^mAc5k<ZGQ$D
U"L+apFd?mdmCO/eGoBxmF>s?6Pv3XzQ$*t+Xk,7sf+PY9KeoGVUZHFms(T?:JM.J
U".Q1D?-Jj/nDBLojzO^e6<Q$,p+73?tkpMf-oTWm-VZFwJ/HQ2\cCpNUMkfOBS*u
U"HU938kFl]IGAM,Et2c7Z':sY+jHt%<L9o5p0BRG=UE$'CeTnNJ[Iq[BsN_GZ5:W
U"sjJp9r7&5rci'\gYqauyF>=ceALxElUDG/a%c8S>aMm.7lt9#K$:LSoT$54r,VA
U"uIOLQ.ecw]8b4:JD/\CMSqr#_^xEM^<BhFT5w/f':K,cUOe[V2VSI0NCvZZT0>&
U"t<&OJ98G\U'>g5BWZjb4.>7a.]D&)_Y*x//[+v'N%yp1T5:YT\Tk&F]Vx%)HV$-
U">S3=mrgxERQUDHx+>I:=h/H,EiUu*g_fX',-62MA=n.]A:\:Tu/Id=FN=5Xv#^B
U"kexY_1a/kN]RP:Q=BY\e9SgQ)=i1^>I(<J3mR#Oub=>u&;^GGK'k=gCqQSJ^*/6
U"Df2yJ_rp]1=CKLY>?;]^H#i.M.5L=U:F6Od)3C;\Ymq7w[BgvSE4H3O8GutBB4P
U"&RscWW32gNIRs#w-iYJn^--n3ES$5X0CI)Q3Djw3<>\s9lI:wTG&amX>\)B#+6S
U"JjD\C'>JYKNbYaGQc$'dGeYZI'iwgdDpXB9(_wf?90N3Ucf\HcbP0w=))vU9j?E
U"6aT<-O_S-59u5xQ:#zK,RGd>l0K]vk9W29;/N7a^KQ-_n/ujv:<7u;&MCv83u$B
U"q5xdi;D10auu^JgKZ-CjPO)<\q#WHF:Y(>C^Fz]JbSsCvu^ggKZ-EMfy7,N.DxY
U"WODJ:]po:V3$qvWHF:Y(Z-6K<4bYqOHF:Y(-m<QvRj42w(oBU2cB[I56Rf$\kD+
U"Q2\a8%Ml%\UlAK=x0?F?D_srAuL9I=rYZRZ]2V2cL3&2ux%U8d<wEK38d<<wKYL
U"8d2p(oBqy.ZkdKMjw9[%Or[v'NQyDQ62X9e^vtB(KybkJdKjw]oQy&-rKiz;&2.
U"YXvNN'#RryDO0NxJV4qS6Uy8+XD9nvtKBKyLI0zJ4G\N&r(obry(,[Or#[vB'8w
U"cE7F8NFr(obry)V[Or%[vBW:OR+cs?D%s?+7#I0MWeyqi+$]Ux2rs6B?9n&:\v^
U"A[/.=88KP^TRi^'hw]r9.iz2y(m?pX?2GBK2yiTOi>2qSA2ym?mpX2G0BKyb#0z
U"//hqyz*h)iwc59%eK5y3TO]FVvf[XOI1hth+$n38N7qTy6+6?cOvaF:RFB]_Lj&
U"w3QyLD5XX*c_vFo:RF]I_Ljw.3>dfY(_w(DL(d/m7WpC=YrIGRF8?0SgYRSe#Qg
U"\IMU09C1bKj[UZ0_Ar\\0'o=Kr:[0oQPgOK8H;MzN\eKqVeQ^D(LqgLUCnbrg&L
U"0K*c)q3<_s8KEeP*b_/gUV1JbK*KqX0/0tEWrXi;T_xe*GOUn+V#]EqY<0Y]BYP
U"%B>=rPM]7M.i^e1JpVi+DXAq[1K*AY)*qA8/2r2YSh8^gm=rg],7gi^FK?b\HJ]
U"vcD21Yh)c2UN]EVVONF#+i+=d[kDb&^iJ&v]X2#.2YR^;^gd=re^)7ej^FK?(\N
U"J3+c)21Y^)fr^<*^g=4IZkbNmvsFQ;2_3q&huVUPuNth8rJ<tGu=,;*Eum8DrrV
U"iu%EJ%D[Aq[V]\J3M6]56Ma%f5Us,$g(=:[kDbz^iJzn),Ji^Dlq21U,pViEF^V
U"g#LAyFoj-\1YV3O<[KD^BY^>b-3YbBc_#Pa><[1KzBYqzb-3:YBc_Q#=G/A2Y^m
U"Jr^ms3Nthx]P^K?4h=7x)sHmue[4BEpXPFt)WYqm.lhiA6IBAe\q;8+&uFrc<a3
U"rE^vT.2AvFr=6a%#h_kL8+P=oB8FgSa$k5RSUEP_K6PC+k$G5L_O/8mbd:_(wm*
U",5gC/9mbpI_Kf3/Ma^M6(oBF^T-*?+fwU=)C]FaPG7NM12d=s/R9SWuWTi6d]#m
U"pHg-Xcdo\Y[<YW:6U*XXH6l_\]B<m5ofg]z-eiH#ZG,rf[Dyo/i.'Z)95kRY9[f
U"V,e9Pi4x+dj8v\[UsLnK7GL7d6vnn%0HmUBVkrD%GPYFNAA[TWS[3aZp%i[OmE;
U"'Lmc:##dSerqzrIgMo7?8n5BN*bQqY/w]CCrlVS\#2=cIn#dEYS7+j\^<4po36j
U"-%l/wH.Y,4jv[L7WT1vGt'\z=4GDUR48N2br#MJ?aMS72?c[Wy.<gsFg&B4b42*
U"h0MW;_6ZL%4D3N&Q/MR=*[Q7L1#8iq/IMlR;5qsBTfR&f%C)&J%p4Gfs0u?S\8A
U"K\1:tl(a,aR]e*xd.$nOK';Qa+tZ;7uDECqN,*#>?jea).4idVo6[\'2[Ss;;.W
U"ON>2QN/Y7]334NhQs4et<Ee:jQ_8'=y1=[uk#Mc=<%E:=%uhm=s(Ud)anJH1h)q
END SUB
SUB V5
U"ELCnD?Qj'hRqkSUW^<3O[?J0uR9R&^\q(tPGux3z_I(Ek;%GdrElzeG:nO>'J+B
U"W5i)qGge\g(e,09[r8M9r%5qPzF?MQ%vet\=aN$RgXE)/<w[>*EXd:nu=&mS&*%
U"a6.Tgxsm&_4dN);nx>8\PA[Q^KY*e40mO_t*TDXUE3PjTjL-(])+u'3n1p8>qso
U")49'2yA_3^7ji:+womWE0S<WT*=V?Lxo(zQ-oFr[&kpqQW37ON,NtyQaCK-Ei=h
U"v31CaYC,3<l]Q^ur'c/,79PuUxNpA4Q'Q\u#rVbjsc=4;]?(ckb.C_Kxbwr25j/
U"Kiw&)<0)NIC_:eX<W$e)'r3u(OIU-h-WFEefkCN*q.IB/ho^ZnL<4hKmuoLbilB
U"KWXh/Ay5qoOOP9NI-s:.c7sv>w?sOowwY-MxeS-q;Ha2)DM'=Sw,^x:.,#AYvpj
U"W41(M3e#on[GXO6*SqR#7eIi[g/T^i3GXX%[R%#%hR,hgr0oQI.QEWo\&%De2TH
U"8R7W&F4IW.qfNbw,k&+Q1HJ3qBH\r8hG5)/dC)ZwAD*Jze83>meCf*S0p,PD/+&
U"&[//v*zFcY'\0(;Tu>EQos>qCEKuq7VqM-F&Vj$i^/+n8:+sb306f?sO_si_;m<
U"i(;5/s*2F%P5sA61X:FY?,/Oq4?\i6fryp7YF?W>tg*S0ZFQ8M4Mwe>ctP8Ol0E
U"gl\dX+0i<5N7e#rzf;pIXO_fpB0W0?x8M;>#B09jjduosh4IDD>>s24\le0d2w?
U"rnkaUVXi%a$q?&$taK+%)3jo:9^Qr#x>ZU.MIkOF+Wji'F:g[0NIJCavYu0)PV(
U"e2>\saRv9rgli>_ilZ,D'dE]7\7<:-7,,xS]cs)0V?\7ZDd1n_fjT9x<DVkJD)=
U"o)n<)5+b%U[3_2t?eB/)7umqm?8vI%lB22khIlf[0Gx6P9iySEpHs8=(4$0<^1Y
U"nXa)E:WJ>h)8^#KbhvZd>uUhJ^1J?L#Dj&/FWQCEQ4vq*.;<4v7zx(N1H*U'G^&
U"vRd^j./N0[(q%)AkC_3ZcgWblSkJ+ZJk(s*8#/Gw^f++[v%UD-UtS3(luiE9a:?
U"Q2CQ9R=Z#J88BmR#GV)j8IpOn_H00Tq00;c&dtB;*f4t7poU^C+e1Jfq'),n0a9
U"g*jtvuLtq:E5(&Z2h,E-M<7pDZi$_:E8*[OQh75L#gI'1.cl)+RnQ[0$0:X?\R6
U"WKR(,]d9T-nl]ZJ0s)<ve7c>vSgB?s6(BVI6h*8ixx#5UwznixzVWSHEV*DLLvL
U"uYIP8tIaF<?]6Dus3vWx1myFCu1;f7c7Qam;:AVhjyYH#\85Y1[8+MC.D;Fggy1
U"f+(pHU7g%:J2T6*GZ+Q?6s,YRG#J2F_4KDI,O7O3\n)07Fd-i\>$tUal0T0g4BO
U"VcmC$T2&'e_Mm,.b[KZ/2(9w#M0Rp$$z,E$K%,PMhEE'%C'O,mMlQPEFMS$+fuN
U"^2a>GI3F2VV?Ec\_BTZ$<]0t'R-eQaE_<mNCMf)7]nJ*XC0?yzmW(h\cHgdCSR+
U">iC]N3oc$1t_mnYmRenGs#g0c<D07-iop:[jwcCZWLFgqn50Sc2\0/C6fM/aL$Y
U"mkOTW'KxsL^^>:TJ6^qL5dI_(8l^\6UcLK*oT87giW7b+E%Fi4]>#vT(LTSLHYZ
U"l4*8aLiIHXz86WT6BGnK7f4vL7Ph]nY3htX]bHi*3k/eQ58q9UcSNBz$QOj&8jH
U"hOZu_go:TS*<0BmTe6^hIjPMGZd:eCW*Nr0A[:<ejc^*Z(dA8=v#BB;2$LrH,v.
U"-8C^-X\rgW:sS^pu:'l%I.nc;tHwcRHRrfk?C'$Mg,OZUojR7>0#\ZYjtEXSZC_
U"I/rNtl\eL_2zH:obu:=REk,)'miAUKBIbCmjXN;vuj<q:RG^g<a-a0h_B&Zc;5J
U"DHWOxuR#P)X)VR&%'<ok2(yEC5*JwlUfM+EutFvAoZ?RJ(UC7#$J'/F*h<13p.E
U"-m[brWNqv.H+fwS]n)?j&:s$%36*>$t9jd[O<*nRb/YGIK6.82fKh&zUkQGCH]p
U"^)>;SYn&.[&g1PdSxsEk/B/3;Dgw8J,27iG'H,%Do,'DC8Dn;^4S7'%gb,zL$&M
U"Iki:7U*CTvqN:4C(UwMkOD*Z-r<&#:Wa_maJG\;qTXvFQ51]=S/,b/k)3X7l(WE
U"$NcPU?$<#\yIIj2deeP7rQ(N(zu]F'72Ur_+IJRtuQL;U/2,imVwx8x/A4GePvG
U"GR*VpHUo;U3m_c)[xwiq%dEWC&%.-]2.fLO.9GkHEE0gz&&603s1[RW+o'<w5M)
U"\R.o>8q'Nu;/XJRR3O7L9HQaxBJ,:VcEC4^N1-*I(,V/iKfgkaafQEw56\^k4$H
U"H.<+l7]q0'6=JCN,(]p42-XfLZZVB_F<1VMa5d9*r=af-wvru04[^F9wfuw(d$h
U"qp3*8iLWHO+6pw0gLB,/mInFXOClbMk9H$ZrV_.u,t-jl>V5#EeQ67mU[p#*&<.
U"J1rbaPKb<n.R=kzgVi?]px?&UQL%uCT&+O36(Ae-L5WPdhv7^S'74H)4E4rDLS_
U"T'qD9G^]r)5d],g#SqSm)*cdu$+)kot<q8*E8uasO<ENjaN))f9uB>=;*6<Ak/U
U"h5b(91j*X;GWX7BVuQ3X4>$$3QfPmX68EpKrFhPu#3I5#=LMb8g8G,pa2,,PMaf
U"9E:X-J/yD36'gUnjq)o/DrqDqYQ-23C)+bQASYvu^8,2BNBo6iT_4Xk(01ZUf,<
U"dVdOO?:b.#jtRvh-M*IGBr8qdpa3\(4-wV+e%4ENrhm.8g?lnOcfd&%WL4Jrn>j
U"vWm%A\tQn64fduZ)(#VM,tIXe8kN*kKbsTHl6E2J?I[+=nUIQFR??b+?htMaQZS
U"YZ^U\?=M4+,VFYJ'k;Fig$+XL#J)[P)O?F+/.6ZMW5YU:F:>'q:V-t9;/1ZkCn+
U";-LWxWm%m06CcAk8Z/1I\EN5xWr^UQ%C.5CA+I6tQ3sLWWsC)H:Wi*a/a^6(:?^
U"[XM9pNhMD8'NI%^U38*I1Ifq/P5wNom7Es=V1NJd)k,CR5=[bc03-V&7/2o=PjV
U"E6U>G#**fQ<O:K5730X-5jLJa\&A9Xc[:]aAs='Ok$9?,\ms;H_Ngyf3ALfE7Mf
U"d.uUm^RAaYqCFhSX:)36T-2*5UE7+70,&l9TO,$G7I(96NqXr5^uqRT\i2]*(Uh
U"-UBLToS6#g*UbE?<b9ZZF/ePp(wl7)41<'^H?ayC&TZQU)pUe=Fohk+4hT[W_J'
U"+$\D**_:P#fs%b6k=l->j'+fM6G^+RME5aj'x[md5P$WD=&Y[[t'7A(9Q=Gh,D=
U"S\ro:[Y*x)O?<H/y=o,s-sDKmtO3li5TP<_P21&+<#AOF?a$e.Grt'3q/as<32Z
U",H_w%*:.nkMa(o5lLefuQ2gaMO[]*HGJsC;h8,Piv&k.(g)mho9qAK:V:7L7/ZV
U"A>Do$K;4Hn\IM)*+b0^odo^(rpQarAL%/,&s/2,+RAj\0:'3[LP\-?k5v?W=:I=
U"TGs'zR/WEZfS20?f;%%vtu/4L&8=a[\GCJ]l-W9883gU_,rEbBlQ=g-ROvNA%\O
U".o+X3l8psoUr/bU+Uu:s:ME4SeBNWK4D>N^>fNqgxPl7%DVXGSgw>\J,7MTJm%F
U"xZ.c3kmoBBO?BsuXlw1GF;I<3)/*:S1Z>iKQQ%Jj5cic0^c91p>dRPP4]-i$,dw
U"R2RQ0BUwzjDbVS^VoY8>.dG[#65aEVk[hoNR>nVV$ZoKV,JSBlCE46ul&x[U+A_
U"\%7[EP7QpUG</(TvUr*qP\=K%G>nlR)t1KMNgOZ;=e/hj>We%JRdbktKS\Z?=jr
U"YT]#Jl*uwIK=+ix2XtBDqax;ZR>]5,d8nFpIcQ'm'IqrYL;eJ$.MAf+\]p8#*JL
U"]Sp:]==q0\eJK6HJx=loCe2B41^T74BdH;*W??1OA[KhB(&>^eEi;202<>X;*Y2
U"?+'rY8VTcj0Vc8#qY;e)J$MAAn1A>+K(qQQhuJf#5f5u9+.da_B95+]F8+wL^>+
U"j*)0cFl,/y6\6ZVpkQCL&nxMiX;\)&cm2KB$(s?DG$VxdF-ZBG_,.U$c=/J;e%9
U"yrqq6Gm1I,6QgIW9^w;21sUX0$p1[g5xUA1qZ:ucVr^36W9*GjDXq4_d'='NTp\
U"kQ9MpD0z<;YEBQm)*j<a86X4<lNlQF4z^'Bbg1kwk<[H:F(I^i#Q4qKPJO_\h6M
U"c%8ElWIp1up[QULRFP7&_Ii/\zV)r?>bDoh,I()n#ME(202B[sK=47WV28p-R01
U"8(/GrdVJ.+$8<z&ouzr^yB8N/X<+bMs(BT<dD:5dN,b=Hve:zB4,wO#1Vj&d<g_
U"UrJGq1.m^t$ud:Kq(_O.w+;.Wm^KLP.Ys]+,K,n2GPQ]<#H(/0UG<xqqg/;Vj6,
U"QjyS3Hjh=7V?i].6Xg2=11\J$EoTdgZ_KgotJ=RZRe54YLhH_i#axcYFLiB[y7Q
U"YGB$&5cjKx**1AgXlDd:U\):xfk?KWXL,InMG#r/,m<$9/.[u=5vi5z0oQ*Pf:H
U"0Z#r1f*(V_L*LO&6Aj1LThgMOi?X4=)H,990F8YHH8<*=GLsT&i;1p$%oLgKgH4
U"&[Exa1LUi*C1F44=oHD).xnf_x)367#xUyeDSVO6q*W8qWu4O;iI/\\w3En4f_7
U"4R6o,R**.7LS-g9w^>o7M=;e<a?kUb/'JsjA0cAK-);J0'ND)RR%lM\oXiqRr4U
U"+$LIZDo>*C9V3do9<9W#'*#gjW.GGJ\6epZW9)U9A+)R>-I9<KPT5-f;pV5=/Y3
U"EqB9=*KSD^DtUN#ChC]0R485Uuag;W#f]Er8]>LYSRpg2*;4hA,#;&KUI8;^Q3o
U"zUO]/9.dZiBPMyLeu,'.T#qqT.dGIxobceounen?1_60.5ofNP29AjHv=%-Rl:9
U"Zi$64(=SIQkZ0Z*1s&Os2:+KmzW,S357W*oA>3eKd+.<Ej%NZ$<<sZ*pU].J>aW
U"I):5wDNw;;>^2,doay'g3KT5<YN%ZJ^>TLRbbc2VnGOSNY#s(yvhBG6(BO5XFJM
U"nI&;r6H#MQ(&1;2LJ5<=U%K/%#Q^8YCc$UY-iIKYL>T'tn-fLxemp?jKsR&tDM9
U"sWSitVCo1HVqal,&v\9=+BwMjI^7Tn/oG5?)6B49A)Cc2b?OA8m8\qOIEQ()Z=)
U")?[#E3+V?bR2qXd8]?Yf>/__-T-8cRMoIY_q^+>v+H(^UL>ee0MpQAO%,/S67ct
U"sW<YRV?\y=E9k+>ZKpqSdo42n^+6\'07\X/NWrc+9rNiOyA-S8nbR58GVgVnV0#
U"HcaEhqC]%]LHrJN:STrt3OUc1uW+YD'k\^w8S#o2t'q52W9&0I5-p4De$lJ[eHw
U"S#kY^)F>YZ:,T29uF8Uko#t4vP.XCH>uZX5_5y1n(v=fBk7+(hjuI+onzO[w6C1
U"pMQ:IPX[Q?-<jI-sN<4>iAg0iL(F4J;ZVUUt7-4,-IVFZlU0CcG0DERs$LNU8yC
U"/We',j4m_1.gp(%AsjZURO1nuIpC49rp]5AU$TJt=VcWB.IOK)D]I+J6_?$H)-6
U"^8hjo-F[wnuz-j;q?MCt[#[-lrjwP4b*-y$A-9Oj#Ni7dMAEHtNfo>pnBf>l:UZ
U";?g1RC_km[tLBKw9tG+tsP\apW%[4h1br]KmA=OiD(:MAT[NccIB<T<L'hKk&Sw
U"l\].jJmxpT#TZ^Z+V?*qy%cdWOBb>h%#Li6MFMit^=<iRz4+rGi#V=qK1\acb[=
U"X31Mo>s^s&m>ZKtU*h[r*l%;GV--e)4%T*9#)/i(oUU4BiET&,R'TSXur2Q*(\h
U"*cs)(9Wtm\4,T7<\z4zT*$]3#&a,W>-Ipswg?&nKX^&-U+ieAI_\*V+0zukrh(a
U"q;^57?&al$\&tx-Hg#y(fZVc\O8+Hc;Dp=QCH1'&d%A1hp%,<IRQ+wr3oq7$7SP
U"Np#_]j0&.KT/]EIl*I\253c8.=')^-+C]-f)M#_ekqJfr(+S:r3ZA4gdD9h^/0u
U"1<Q<^li7>Z?dRFA-,l#S4kEXQUqi;mIYfkPkrp96Xc4ZNmB.twO;&8C-JEM3L41
U"\oC-oh?GZB9YN0lA:RH)KTn=b%Br)m,:mCDoW\9Vgp)h$1s5'HpAG]5]B;p+NNw
U"/Z2A2-%+=NQ#sk+RhSK9\FkRL5oSpw62jAY]jZ5:*->?#a3qJ<JcTo,6VhS$;p5
U"UfbS[yKk8Jk\V,e-&qTAIHDo7%+b,W-AK;&K4_5Ku7B^_nq;j2km,+BAj9-uE6d
U"-P?^,G4h(rQ9j?r'>P1O.J<KqW)^Fu)magYFM2c=/'d/7WF:Yh>>)L.$qnf>aO9
U"g\uh$Jr9c]Z0T)Wvb&IK.1eBwpV+/Ty;E\YpcSf2vc_*Z8=3/jxI%Z=x[dq-DZ>
U"&m\)6q=Q9PEg+1]'&Fw=[1D=H<iLePV/_x^?6(hsm#now?X$iB/Ibh.#q)kOoXL
U"RZ]F.8TkG:H4tJp]A:E[OEi*aWFqkK5t6:'Mz'Vwp-L76AF5mtkpeW&x4u3343?
U"33Wi+LL-(5>E6riq&_*EUpLC>W8.1j&%Jcnc/BCi6Z=#fHgP9%Sl[mM5Ov:lfZH
U"&?gDWJL2CvJ]Jl[I<f^S8\IguB_>$6u[;77Tu?#o=T[L:#fg40Opj+ofiDuwPSy
U"4.9<mNxe?E6*rPg.fM-Yr(5N#iF&)KjDKMg#OYQh7(3cg6ogH:*XBipYD*GIqnr
U"m/A^\LlNI4mC?[?j.jO7_nS.H*/xX.i>35V[+y<H&biMm0KdiY_A$vc(C>GkA]d
U"'2#;Du->J%YxHY$vqEQ)'R\1_wnC_]ZvYydf[Vr*m?F=6anjIX),8tr2>4uW-5[
U"&6(3i,&s16BZ>tZ>M2l]Sc6j(LQeWeo:Sk1G7hDo^-Es.^5'p(gjY1uFKR6dd#2
U"5*W:*N*^\\#/BhPOVU0sotMA7\dh'1xu,3geRT4'XlZtfg-)v'Pih.?fJ_io%2q
U"[]xeD#h3=hEkX,(>,jNg0JbHH>.7$V6eeS6e5N$7JOWB<fyKc9P4m::L9TqKmCG
U"5[_ih,hA>qj]Xs_GZI$jY(0IHPA9dHS'GW+)^:uFX_0<2n9>AO\C$V.2k<<1))i
U"HDtx]3+tqk<P)%8qaNi(]#]CI?L&5T:C\fnZ?,SjqLk+f=M<9Jj'VKR\LG7R&*m
U"_zG&%$$EJ+#^r7?p7.m*SX8\\3$f5l]JLI81U2;b,vj3Gi?0DnJdDT9s><g;(Cr
U"4?olFG]bJR%F2Fl\\Nm?x+eZyz^KYRFH(0lkj[L1w0=wZT;wh1rlld)M>DoE8\'
U"yM7O\=Va4fl/Ue:Jyo6&tg$Owrw<o[l85O5h#qaI'8vfqENi?-7Y.cNaf.bRC+N
U".O>ya#*9d4TxK[9dVd%lXH/6m+g?C$#-rj+#EBo+$tm5OQG;a0r=])+>=p:.^F;
U"8\q2vw5p(50lT'^aWt0tNrGjDsF&_LS[IES%:aLt,XrcXSekkp)[3eQ,w3>oJKY
U"Y_W0^Nu<jiGU;O480-MXQZTc(E_[M'^moI<96E#tJ_QQ(N?'&,,%/$=5q1q$aH+
U"mEpC_PJ,HwW2ugH%Flk9SjFd5/8Yzwx?G-_):+qfJPgQPdrvR)LZr9Bj)W4)6Lw
U"=QiFRgbN#[;8:rgP2wV52S%_1'6$K/R=f*Gg1e%='[%(rlju+nsTctMuQxc1pV$
U"*n(1TqJ&[lc#5<PuJpf7ZqH58KrQ-D=,VaHoh:NJXuB5cU4xc8qBKgUTe2bk3Xi
U"$Ai)x9k8Y$WkQ#0eNG:tui2X)tO5Y.U]N,>SHVK+LwpjN.6E>Y[4.vAduL5Ebwm
U"]Ji/RL8X%ZL)2Z6jdnXHTwZg<(5oh,42ARkG*;'ZoGkL0D2&iAg.K&cWE>&$[YI
U"NY^6JaC'Kf*Z7pBP;r:MrTD:4%LuEQ,+_^)+?T:;ek'D?c?rEo/a$'Lg1z:_h&;
U"m%6#a0wt+Fe,[T6j0krr1_Qn2hU<mF_33bO^Gms%-)lE(tZB[G=0TW#0WA4l]H$
U"\#g<n+fd;^AC$HAC3.QLY'-YlTfg.8eNG(htm.1/3;aC#JI\>?Pe.=5([PA$2MS
U"S&RLkw%]QFz.XZ<.$#XktqohCGTq=Onh5UJ,Vl/_Cw30KVaQm54wTmM]T0g<EAQ
U"P3#w+tKXAI\BfI[lG\e:9e\gZHZYG=9n^25H)vvA]E*QD<MvN*g,6Z_H&nHgGx<
U"_TO/V*pOr^An*]JPqX>T,p:'HE5R?[z4dO1V&Bk=-*=JP/>#6IF_\Y4/u;QjE$4
U"_n#fGIy<-'$MgmlcOe^9Egt#FC(T5JMtp^yCFZ=r&R1d-GV[%R5(v&SvlBIME=e
U"qO*Q2$*&CRXQ&9BM8qQx$,']g0&Fu6[KXwt7jJ?p$cPACU%mw=1)$iNKeQK>'Z$
U"v<'uzQ6cXa=dUipEy#sMke70R:r$Mp=(\G5PR^jRF$f[EfRU7Z##3>1HXVb#+B4
U"P-LuU1$IK5=toSH*)kFf%eA;SxL.NFO#d$/ipRnM:R8(Y6DT-ovt/x*B$$WXvA6
U"v3_4]U./:.6F5(A(9w]RpkI&Zk+zTm]SyEZirkLc%BN5&4nvuwcE7\j0\*cP#%k
U"X#&LAAgG/]K'9s0^rh?<IERHmUvT.^:CGIuTk*p\P:PG>5-1b/H%v8bbl;OvFvT
U"Al$5]FiSnDAT:409%Z.DI;UFKN+h]Z^wpZ+Y3)A)6PmUi'Ms.Y8P>/DOgXm2pR\
U"uNRGyCY2+%YeU4FEyOCB%TEOFFRagG+V:S_pl_E0,Lc&*,d=kJ>g6TcGG\0wp3Z
U"%\*X9>u0Xgm)oAj#q=,%+%aPGxDOB:^+b6g?Ibi:CRTv+hnY5<(lIu3M1T'=9Y+
U"7/H6pU5(G7O5K#ElG/ThwffJ(cBFKpyZ)lBiF^ELgUww0v?%]^,\))C=pX:ZFW5
U"*$Fgw&)\FtQba1f$uM-/1(Z0O%07AgFftr^qcMtM)?oiAhR$FTV>le4nk4JF'jE
U"\X6Y\*QDK-(H0zwhSV)3ngW)RjNJ)9^39=PaE-RK*\i,JX;xIoM;[?Tg1s;di-y
U"c=20y0GOS(_]b$:-#-tGiWI$+F2orf%:K.L0hiIi*wl&\%7#Ii%hp*54h*SqQND
U"o\et*W-dj&#.No[Ng0g+.e-tpMO%I)ajblsf2O%u)\T0H)5i'_MAQ3O<WJO.T;m
U"DCG5bRP..MC^IYxtC&H3iK\VSZ96Fb3_wY5>u:W4KtI&\1J%,g?HR]zK60P6n?g
U",eyYi[(KC4L#(40Sa5e'8,/CnCKVL?xiv&4Z?j/'va)L%B+0(d'Hi1*$X,uCk2^
U"63/.69[/V9<N)&oTUNs1moi*5M7rel>cI?/NtS6bfOL'Q9OBqW]9Q9M2iQ)tphd
U"9KD?')_8O7UU'[)J>Ciqf]K0(Ne$I3rK:IJD5I[Rq[UYJKW,4Z*&%k/,MD7qRA'
U"_'*qArWcZ4-Zya<je7kCPv9Cf\$pF.Sziy,wC=ikFkC=5f]1RKe9z5Wr;8sIQwA
U"Ke8QGm:mO*([,-mNdG<\#W7q&kT_)9PV]5_Y1#4w]QWFpZ680kU$cobtV3ZJ9CY
U"R)Ln2tYcJu;Y9Kay'8uAk3:%CiaO%7-&THeQX:JPN0Oau)8h$KVA5=_Z,\W/a0t
U"KjXuMl_0BD_,)X[5^K/m9q$)a=F;F>$r-eWH+:nCHX0HGAmhL-EX%i%W%&ctjyR
U"g[Z]QD0Z80VwJ*1u'lDM$9.yr[iF*PYk=n1*k_rt4DHCU3vUC*GKb>5A>V27Hq5
U"mLPA.wpim*-DF'0$fEZ7X62xNEME*W9Te+gaPK,g*;i?$k%r;OX*g8CBcbFf/o&
U"IiB)',]988^Pm?Pum?iO6DYjzWt\rS<e)0LKh4Sx/nn++%[F'A$P%U492rMCyb$
U"1KY$YmM6.XaGnVqre_Z3mfD]gS3r$\Odo<rr:D'KaHRp5u]eL_S6;WwHuVF3]XZ
U")knj]Tpjk$/IR,_)3tZ>\8Ev.a%Nqs:j'$P[^[(rs(VJ:*-kuASYW;X7F^R3Kj)
U"_o[TU$oo<'%'MalZR&s3<[o0;XHO;(4YD>cYc2kPBoJhM7o(m+_eb7M8C#HFa=,
U"X'IzW#%dGS,o2V>w0)(6k&W)&AQlj4-G16_H[Xhaq'qMGu_OqE)byS>?CwG0-%h
U";4yxsm+G.p7F\3H<ebg)sjDxa\S&Z\Pr4U[hGKQ8JbqDl^GJd8gExk)N3Xjx_N.
U"s]kFoi>DW0m2*OpV<3ogoICQ7AT]m7*f;'/lx63%+kxeoDV#i<mG&l;UR>0E.(?
U"Q$Y3Q1vz%O>D2Yj,B75<fW]yn?O2j6my5niUJ4[4^m1]+7m6)L:Se,5G--)tR6f
U"R&#uuS_E^5]wpitt-]xfV=I'/,v\y,vN0<=PU8ShJ%j#Bma0QH:j:dw]vOyk'd#
U"AS(kZ)=2;V//l8RHSV[mo\Ni_k$/RFB&i#6_VZHu+T+-rSYC.n]YMtaSiJhQUaZ
U"%(8etvELykdm8L%_ST=TZD?y2mfsbg'3;8i[fSvzf7=$TC&bHz5use$+jLSmdWC
U"vm0-qRo5Rz_T^DD\6Mdh^$5M)>L>^.T24k1B<vlWLE'k1&)'0h#qv=Rhhp:t0^;
U"sE5j1Z)\r2aA>8Z.pC>%3#bb=pIu[,a0j.JC-A0Y0rj0LTDUQ;.Cml#0PKS&+b:
U"ufe]U$&%JgDs,8'bxUH=C,SxSpyPL2R0=X<IC3,\'vjC&.Ql%)a*OW*GyZ#Jxu=
U"ET2>e,\:b7oZ.u0*Azvj0N%mo8Bvh4-k+UPrd?kK:1/NlO=z=aJGG+'W#8bV2N_
U"Mh]3NcH=I39<%yZ8Sv4TQN=Qtk5Rv'/>2R%G%iv<^232KX%>d_?-Fg^[k3&C34J
U"*gR((eGpXYgP_q.KS22k(CTII>^40&>:IbvGGTY<]^_fg[Y_pz.pJEP''xLBZA9
U"DUi<Jq>J&6ugD6Pl<:m](V]WNlMSIj3SfY\6+I.4uHpsE5OG2+II?(wcr>3O5?^
U"(JdSJZ%lZ0%]%M0jWo+bB9D3xQoTUwFUmM0v.PTFX%o/Ul3Ob_CJP*r+Jo&FB*B
U"oY[Dl&Qca>5tqsV=^kEr/BBf+RKo<EkQPd-YWIRPz-%pM\D,5/\Ee=lAWtiPURY
U"Dil/7Qf2fzQ?6#oL*_+rm:IsjrMib-&CVS#*Wu=t-YT^3L\Ri_Siupw$%mI%cQ4
U"Ip_/,t*,BkULT#*J_tL],]+_Mon^[2rK(J87H]jewW8&8>_6K-dZF$<[%6pKR$A
U"3G^9^Shd]-^zA7-=j%gx)&kE>?i=tm3c&DA&1nYviR\KkpnYi?2RL6uO);lJhQ8
U"RrP6Zt+,<NbHJB32WVPBd)gX0XdfWjF9e)ZN24m2R;-Z$xbCO#qljB+rQ.FXAEh
U"\nhlfXyFoP_V2]A^xX\C'8TbHG9FDFJn7q\GyrbHXmxKRjD_IsaE..t0'vxsXEt
U"X2Hg(f.GZ3_:-e-iN*-zu/DLxvk>=rW5e5oja,n)Ko\<t0Z'lHqj\q*mupS=pid
U"i)[lsS%PJxq+>jU5]we-1.#tN,(HhqLL'EwM$mos%XA>bm93&c,bB;QGSAjWeg[
U".Lv2oA]/>HTT-Eo*%gHOtPE^U<3-ou5\O?+l8)Q41e#n)=WV(7hX;w5Vnx%pXjp
U"F<5d*VvdERhkk[]3ak#anU+QeZb(%l.uG$Sn%CShY=6];F'SdxD##hT4S8;t3BS
U"wj9yoD#tOD#RZcGz2MjoX*^SM&r;=Il^(W4li?#P-Yoj#_D4#dcs<:-xG*./[cb
U"q'o:_T\<f+oaQs#ZfwZ9'Hh6Eb3B2\gm5l+TgG?+4[1v,o2Xc5GA>3n(Fv=/LcV
U"vug,.k7J'Vba<Le'tY-IBQ4,Y;g>/V-;kSywDJ4MDuwO&+]SYDb)'S^apnOoJTR
U"2:-rIEndTtGF4:)(JH=sPjZDRA=C=4Wja3N7L5DU]sr^f:Uy7beTbl%G/5>nr_P
U"b:k9wckUIaslkKWc,o<L#<_p\Zk[3yoK.&j*E&PEB&3EK?A1/f2#Up4Bvl6-9AS
U"4P-GG84wi'8KzvO;*3\4n._y9im1vZ6]q$Wadwk\T-BQ_6CWs3TLXP*(V(Qf'a3
U".nT-6Rk6.B'O;jFMhx-XhT*5le_1B&,\O:tRUah+J'2ot87BzwGMcVc(P1T=-&c
U"$y&]tR#rq(JIcQ]gh['>LnF=n<jJZN5O%mCK+ru0GFPQ08n1mmAN#._g%gCoT,x
U"8z)r4+$KnH#4(;/JLc=^Ft2TA/RpszEW-)DRQc[v\.3QkU3tbb6sfx8r?e>ZkjZ
U"D,\FN;L;wh.S^f5qmr0AfIJ%O,.KA,e4eiQfApB%Gdl*g';^qvGA:4'l<B:V\nl
U"$ZcFTg9B?+(]xAIDI*/D.($g2IM7hWL>^aS,)?vnc-iY>A;JYI$3PwMfz;qMOhd
U",+>Q0hP)xvejdp+C^J1LC[QAHkI?yk$K$5#2*B9N&:0tTwI_uqh>v2A,IWi$+$N
U"gP]QQP1VDWw<m>:D]4/k_4xJ(mQ%kw0nPrQuS.\Cp9b*8xQ3tSIxC/qS6hGh9x9
U"&*ZuLMxTx-Z)6iM9/U.W?0wBLpTsZVb%vE0Es&EH>gX'hpSZ]5's*%5s<rapFzv
U"a-XT'nc:4UTFaY0gq5Y*9f2(vayrgy84os4uVXy66pcv(=eC3x.FX\05xG1p0rT
U"o:lCroT/\8^iIF#Pmy\e<m8lHO.<)pXtwv/BI$=hj[7(2peJIs5j6HSqkah.Z2<
U"gHN%%JF=WcZ5.C4VV=L0b[fE3DY'']vC9s1Mq9vmB(yva9Z79C7>>Q;x_d(,l<h
U"I*DZW_;u(Q[V=60o][fLy;ppR2Q7P+Oc4X4[+:,2,t$MhcMG.%githLkc%JqNUB
END SUB
SUB V6
U"lT,s[t)-H4BF&Dd)f2$-1tb*hD3R2s<l(WPBiKuZ;&Sauc%,:U\X^[OFzcy?[uR
U"DKMx/rX0ot)JY8L*uE=%qX4uE(J%Og.biBxf73w,fl%H>lN9Fz^AqX/_VKTf7WL
U"XDT1M:R?bXu=VJ11g3sV^y^2QEbE2$sn\(t85Klqr?EGn:c#t6pF:/_6Lo]6KMu
U"i-&52XtzH;\6$/(R90E4I&m1olRf_(AQXvb&);[t6]V1nXCt#SW:;Y3u2Y&3VTc
U"plwl-7C8Qcn,u-qX_c;>cCtRx-C8(y274(C\t0)Bl\cYnZFaDzsLvuF92&/KtlE
U"\\r^o*L?'c32[2rF%u<6DWQm]uLdMXaMP73UR%DVRJjvYTi4jRm76]&gCb%H2Tf
U"tNcUlK[c%ECB;X-)<DnL?U=y$B-%(sa5Nt,[uN7V?XR6B?<Z^.ewkW#$$XH7G2_
U"^1JQ:ENFbh(b>K37f6gUr1CE&^<W$kuo:l_otBg[34PC?.%vhQ3U$xSd$'&F3N[
U"gLSEKsblxq,2q9DW$Y)z&Y+f1ASoIoC**ExPfO]]*[$p<d<g:>3\z:*u4QV9r_B
U"k8ni\)+gk43'&Piu7g9t:^u]pW('Dp\nr8$YTqI<$w:]>33[[sYXYS]3.Au#nC*
U"L_GtZaZ.lr?ePcV2E<lr<0z^[<QCe(f/Li,k*HF;?buH;PxKuV0HN&ZexQlV*_X
U"y>h-bN^qJ=6nN+x^pikrbjIg9iYi<4;p_Rx]Xng96Y$$0uSIc*^q8:M5;I[-S_O
U"n?/e(4B26^U=LwpT;G/Bbi0n,<b[pNuWtM--+&3E%-M9]HK::'/h3ci:mXq/A3'
U"y$1=g$[uz)\oHVZJW:T&c(]sz2'6(wbkUL+ec/<69D(v%,_j;*/1+tu5GOHax;u
U"aq%4:'a07LfCY]Qlajdhq:k1]ega-klZ#$WKV,XD1-[Ssj=U&<*3j:<AsZ7l_fJ
U"KDUN1VQG)Cit1z,rBCKB31VEwNgpNic6\g=Eo]-bKaTk)^dZFv?6g<QYHf:m6jc
U"dSn6lQ#YN4'di+Fw8ufNu4pTEKa=2fiI<^Cd)&qv^?Sv^)i)EW>L6b;umSfr%Qm
U"1]f;&Z/2VqqoiF?iPcAB'zvEj/N[m(1e3\[g94=NUmH256=ax2_\wpIZM:^2lOz
U"<Y^0N%1+Te::)1eTB$Wb-o/1-:Ih<Z2dpFANIgC(>[x.U]3o9M(0Nk=&:-8(Acj
U"C/\('I6m#evDt7^]fE(Qln(%vbUi$n_RxWNrQ-]UdpD1BYb/ro=OkF'qaSMPK%f
U"C5LWudQQnlb5^V0//^iwpQ^_N04L<rkJK1=nwuuH(2<\^,?%*,3Db<MVDEd%iD6
U"3GLwmQX5npnN^4;.;^nk]8dM43ct#P7,+a9l%T++kaolK*bi)9u%_%A,7jt2w'2
U"6Dcc,=Ar%,:O=&_>mdOjGA10BG]gG#(Q[=8Q%hb.g<*N6klTc-^%=$VeKWp:bv-
U"Z>jom]#^2Q[oD^RTjQ#vi(Usu=^Fwdfuwij\f#Y[Ea*rX2ROd.kpWJJxdyshEa*
U"rX2l3#s)MvHYAV5jxc)(:W<VankRRTE\\QuA]VM;6<gC%>Tza^O7e/4(JYiv?)&
U"EDZxUL:=GD0e5+)S(W-oe<R%+)ht=biQbXj/x\h]7myjy)ZrAr6fJloC99n/6bQ
U">P)_p<u,c#2'ina/0L^eks?,UFOC3Naw%s^Gx(_B[O4n^)yA(+]#T/%bPeh'?-d
U"+eWD<wDpiWBUS_ONw;XK9+ZT/j54CMs3%K%;[Z)<cS61Ngc=k&#hj:Kw]TMn/mH
U"&M_8hef,uRKVWo5ru)^,,+Y'Zv5cG2J6&uM.3Y_rul>X8Vi&hj#*do)O^egPFdy
U"MTm;r9OP[yz]uaSv$CMl2EU;Z6%=TQaQ_VL?(u>Fr1I,rS=6SGKCE.'>BD$Nzx6
U"^h[kl'+Hb=H_b>uou?Vc+y3eV#1*GQXEVc>8;v&s?\)hY/[qth9&w4O<HCMxKAM
U"sA#>vE?[?/R'^WKG%k_5uQMZQ+J,RIGT1<dbI+O-1nOH=:6BtgLNFCds*3b)l0Q
U"C(9JuinZ9GyYS9D8=#162i+/WU\lf%N4VIXV)[kCHZ]OC^u*H'Uq+'8xO&$&)n-
U"-JeLoY$CkkB0GG?P_[$C(2LU?DOh_XP[p=^>.sI0N:>ZklE)boAaD;C#se=*Xie
U"PQ3Ex)_rZ4+^]ND2S*b:U0$?_=XJ20*kT]?.J)>JH80mOQoBAse8YQX8FQVxaQa
U"imF9,a2-ExO-7qPY?b4?_bZ\xAGIr])iA'kJ[gd7/2L6.pci;h)TvhVG*[+A2g3
U"m21K->&*2$Gi1mtx:O5oRR0]mc1)gc2%+j,;Q,LRno^StO9\0;;1bh&7nCG)88f
U"%>GM1>Q(N/8XI.ExH_WPu[Db3BcjrPa0SW+N6t1f3TJ<q:hhh><lu2bz'_Vq0JI
U"4?3gnTKnJpz?VMg^Sc=EdbfUx1/>ov\5kVD%d22OSb<l%)7V9BK%MLty/\s<VmA
U"R0':]bX8d\beH[t)8$1NaGe=y#:02x1Cedl?o<'<QEN*Tnm^]dyM8(UDj,-NMeN
U"mJPs?qM6**s$cVrK)JYkqhho=fG4tMpM:SA0eM^QrXFefk2%&(3_%6SZkYEfol-
U"6RAA3<++CbhVq=t)JMDr9wTT7E2C+)(rL+)PHfMUvmNKAC_rm,ljZlULG;077r/
U"g'#V/;JH\Fa_<)lFBSPFyE[)jQ^g_49w1m%wLK;A>$P-LuY^$md?&Yje+nQ,J2<
U"ca2=Rr3CQ0QDKJ7L*6hfr#[6H>0bh2;9,/#J*VeJx>6AmGD2^Z5:W>A<<0y_-lB
U"D6orqeU[8Ryk36D62bSg;ijoi5W?nCsJv?V0=jgjCKT^.=54Y%-#5?nR(;;q1gP
U"Yrr+1D^fJR)BDw'sS>s.\3xVKan'RXJuQ<c*4Z)DRsY<,OLr?,,1Go4?2Kl]X6D
U"VDSpER^rm,kK_qv<mF'D?XtBD0#SmMWUPVNryZnd;FqQH^O,Y9s\AD[kXW3qk-D
U"pgq.Q=fIHi7g&7^Ld&bOyw.n5j.#wIbQK2t=O0vT/]dlPF>(N>?J5k)1%xpu.R8
U"DatDoW'3vzoYd>lk-C3otgrwWWks)RvhiE,Kc6cNA=Mv^o-f,\X_>Cl:HhAnv#C
U"5UV'k*Z0($kY'^#iqQ3>:^a'YN>P/4MQ%)ZUnsFe3a;HN),AUCL]+1FhQ=OkUVw
U"WB*.veqp&FuZ#cZ>#6kD*6z-?>P0#W0*2rvfQvGAY86+/RJ9o7EcxQmeQ.K2kW,
U"31NG1Po+K-gHJE0,$F8?Y^UV1]8$I_1HKKl\7,t#w+*_Tvo?K<V^BB16p%N_0a#
U"^y8A)b\5/e_?=cHFe]H[>v(s8NkFzTAoijR\JXP0kDL&gmkJiLR#-9B%=Z*8ar?
U"+<L&VKtW7AZllN9RpaecFgFkdbPkK8-m\jd5*XMbys*F_,>aqt*#k,+g0tb#rO>
U"E82q>P=wujVs;%Mk=d3$f+YX9BmR'M6)HrX(=B%nyk76fd2wnayDK9Hj]1erQ3O
U"rDu-38ir5F.19<QgWazu1UM).NR$qi1o<;CYcF<C1;-Hm^Ta(&4fghJYi(kzBGe
U"Qe(m+;ZG0?E]ECuY^EOm+3APfP>>$ae,qsK(NF#L1OHS*Uhr$cxa#0e7qLm5U6h
U"V?s-&Ci-Lgg+N19c;FW*2n='^tqNO$b&5vie,mnPZN6k$9P$A)Y]Qjr**7)%Dk[
U"rf.Mf*No$eVIs='()7Xhwa8_oPmwi;e%B.;JRC]Kf3A4078jTDqpe)0lKBnW\(H
U"yen7fvd5kVR-o=T4KDRL36t):#j;E:GLr_+)a$$Ha,p_wzd#2D9)B\Gi_gTK;Sr
U"&M7]q*NlI$/]omXnS$BArO+RP&.dLRs[]ZV38b-<hI9zEI&D4M45>icNXQbOae%
U"?/SJb&KPQ.KyOtmAfsucC*?-#ksa1aes0*R;pNDXgVdq#%WLa+GDAEN,)1'ui(I
U"grfy'sX4$Kam#))pUp2_yMxNHD$w*D=4M[Ln;7$TKG^YFlu1CDCm1tdiiN%I'v)
U"j1g,Qe*^lm8#y'axLzJeu%GC.ZcDBPc4p#FcuR71,kpmY,ZpsoW[X48f#E9NlJ?
U"RmtmYUbZIhOWTdB_k8pgNO>Q?beh['rUc?,,,SY<\):%id__01Ro59&;6]E&]$u
U"LLB49H'HjSro?9T$OBvT[dM<F=O6o'FOt6iS*G;kJxO2;ke'C//q/'3/cU$l.N$
U"DvDdwInH5-)'H2:=4aWhi(6$b[<cRI9&lU/$'dz33BqwrTCY8ic*KCvgn9aYTMZ
U"p%qR#o102S4nul-m*[b.Je*6V.IBk-4I1nf*qfhTqUm^h34.rnE='Mll&36Hi(A
U"aJi:hR,T^715weQ%kx*\;I3d&PdioMwDdKIQgR?G6%JP:.*Q]yEk16'0D?JzYpO
U"wwN7(:%tLvre[P+67-nM5&OP_kQB[SxNi).DSPrqRflj;k[=XC[i.,(HZzKH&2#
U"'P3j5%SL8Z.Sv4HU3ENmL9Pc'V]*QP1M=bk#1>]f_0%/xBdD^DifngX0ui[ffxa
U"JcKKD?O%x<s'CthDpPCco4+*cUKPbxIB<TBf/Mz7JT[BA1[ahmvnZvtpqm>)ouV
U"55tCse:5rZ/aGlqhGbEV5G'X=a\Y&[nbVn,_Vlc/1h(hfRYs%rbG+?*9m$m;D;#
U"IJQ;*f3(DS0^$?Kks2ZVvLzbMs4_R#Z]Uy4bVp5*\U98B40we_)VmUYe=R'-ou^
U"t?r^ku,^D6P5Y:[G+_iA96&0;sIyBaeK:iCkTo.Mq4zZ=MUbTGbBupZ#eRV'8?,
U"XPB0<(jwy]A&L,Qq0d=RUl#M,_^B>XcAUp]U?_6HpT>7l/_rMrmeu>?W+'#*Xw3
U";w]-M[[-;B9i6q[#'e#43O#op5Dk#w)xS]CE/5XGjPIap4[K\Q2u/m2/#21=*SS
U"jmg#&s9\p&Fi$*(Z)6hpAY>L;I\c<Mztv7Q(G+'\e&c8Yb7=pQV=dsK_.M;no[L
U"37=2p](pn,o61GU;/mrJ[70Y^87V6VuZwjxPl#(/:hKcKsRH,;xU^vP.0.OvhT/
U"1RGek,E?MC4YEZuCC\uFtKqpK%XD^^ZO,3,I0LeCkF:W#TfNo5nB,q#ZA1M;T+3
U"2=*3(J(P1^ZBEs$$uzd'(c)4s9)6h\s&,40ms%ET_cJ'?K,YcVeDM.gS2ZN_KeH
U"4xBQwNTk,nHMcLJW9mX5YQf>S([,v&'ilGdcu*)?%ZnnPp'c[j[x])Yw#is;4bf
U"]pdd:l)^Xn6[To\CDzB6UHxi?Heu=QSlTfT^rd20P'tE#l[GDDfpRYsbS#hH/m\
U"NHe[UHK*$hHb%1PL/8;Es0(8%%32QSE'G5r+\M_tZfpl>kA$Gu(EZ[CK2k:x+/(
U"LQw;K^C+LN9Z)ery\U2L(O)O8Ye$MR/'/Ed/=&Jhx]G4:TG_5-sXjlN6dO\ES?$
U"-_M?8XjS[y/dOlKHEapXkGo8U8$]$(dr9&',c]eN/>JMcWFQv3M8FZ^d\aAj7HB
U"k,(*;gDBIA[p0HCkX7MpWLl[V_O*94Cp+(>pTh3jzo:)ZF&8$#ZID6K7TSx,%(\
U"LQIG.=dufPZ4TcC^rlRGa'HXDLi-q=yQB7ccO*0q4hmh]%:>_?hLG':fg]5W.6K
U"nI_K]g+/2q)$#UZPMdK:*Y-cfK#i65Eiq^cF'qp)y.y(+'[WI>1lRii(^=7_,i#
U"zP=dIQX5-GXtB'bX:Q?$C1VDp%d],fkf%6-ual>4(np.chhOf2nkIBO*xL=SHZ+
U"IGE8t:DY$W5Z^2$M[e\w.,\p4)]CuzGAkkfix\omUQJjB\2bfeE[*-mrfOKdGnM
U"Z^DSAuLpcF?\ShRSUd]Un05N9Wb,>#tuAG1UdW,OKH\W)SKFPD.[,6v08+mgT.b
U"X=1h/j;ZM?WS/6kB5*oW<HeG=l1Y-e?4zJ/3^zydOJALJHYkG,D9lqpL:h*T,,'
U"jp?%O$/lKj3>K5MkEutRmG;Wp.r&3e5.6Q'Q,4;CLR9jSYB^7rOa#]q_8b8Plbk
U"m1+qux$:E)zY<Pqrw<MqQG&ar90.GR?QwD$5_%bopTsPdX3/T&-AI567EHcOAWL
U"WtDRbt8k()UBkoa<7oiH,4iT/5np*)up;Gb,4x_h\Q^HYHrR.dO#5k%*E9)pH39
U"pQ[nAKQ+Dk#\T/9vM3k5^E_.<DsXWn?onXiRh%l88W$MyFk249ds.i?t3/1Id)$
U"2ho.Gu+iicYuRK$[)D0dng>2:4)ZGR'k*f2%yjaBj\Wy;'ms'g29LH;ldhhgzc,
U"d;NY'YcYM,wHvBgO.07:ziKSd;0^pSjkT8d'.wR4NXp#sZMctppNL&uvWT^/&#)
U"HS;RIIk70[w6_<E)&w.Zep#Owt<fBlEB989ebi0Eo.;UDuo;I6ebVcWD)B.Upxi
U"MjcNhN-7k/.>Fd]jFU*]QH,g(sPCtQXd$<&C7PZ;;dVv\_flo4/N&5#oxMea0kB
U":(8&Yq)msI2ej5pIdT,(m*3CW<*FPR+6W)ZV6aWgkaU#xH8jV[G<J<w&sfdSJ\,
U"Qe0$KKkql;-I%1)fp$=.K?p:EUXNE2VP'&92g[8'1)%.WX.ack+184J2odJc,]h
U"qHA0;ZbdCWa;H?Lx2%cYqWMR+kGu),T\n0lb$rYoxjjmmGH>&LR4rqK-p<:kkEY
U"MhJKstS-fR4r^g1)yRrCWi*FAqM7^_XEmGP3W-,0M^)UsUXU=G)f^.rOISfD<E1
U"cta>&[qsxaTSF4IS:Omxt'ROMG/6cHIit_Mb?%y-n3riw=GGRHn:SYJKA?awMjT
U"l*9$8nP+OC(kcrtW,>\<#)=fYeZQAE2t.1)?O],0$EAbxs_j6;xemxT((mSjj^u
U".1kgPrw+A\NoLq4[0k>ja#zNZ\6aNM+vVptBfQ=2mSi$u,NuPex$-FZVC=Pg8I'
U"j'uikdkZ',_Ry9_Xn8[oEPL,a7EjIH&\Clxh%GgHz-\Qa^YwOo9KKR_lS=l),'(
U"<dag^y%pBc,_X)2_yQ%H2;Q2W]TUgv6Uc/AXj_(9NIX:i[h^l^dC/kC#ia?/8X5
U"8f:JA_(r-?Re0u=dS%*u7Kxg?bqb$8GJ'J]Wo:_#'2v\8lVbjCZ)KEDVcKT:b.p
U",[FhhrEfI7bVdcqE.NsXHkGgeSilP(IVU\qNNELM*rNX%b,e#uILT4;<zM=J7Wr
U"0/6_oWcZjQ[>ZwuEfK8\Dgs02J0TxN#-Ye'0ArV^OpLW[_H]QhK?e[2f.MF9xV#
U"uFJxgO(S)Ti\^><rU8$n,fc*-:J-,-A0dj&9c,?*E1;\G5huQO=EMQ,OlH]Ks9u
U"48GOE[:.Ld6.wQEouJ+2>HvPsqtapgeOffHg+.6>i.pTTG#lknx?D:Yzi;qL8H?
U"K7BLJp?W8.pMZhN<E)Rm&]aku,6944sf5(1e,_2tm$2Vt?l_nZ-Qr.nX*fk?c:6
U"$hB89F()%Zp<:.;a)+^76,otkG4t$p'$W6:Jjj&N[MQTEJ&tBWt#*jj%Jr8^OWV
U"V:hRl.pMm85etkik=sXZnm4eVMjjj#&jmyPF\'J:D8hh]ncuh5Ln=iS>'Mwp#GP
U"aJ<?\y[vd[cmlkvI\wD=n;LrWUNcDr-4XcuvT(?.2hrE3MU3\SPFvT\9G\arO_9
U"D(ha?6rnZ'C0Hc%WlS0tuJDC=?PWa%J\<ZUPW\Qm4mMlPK>LgUH[ahjI&,rh2fX
U">$ohuQx#33?axoxKx?xNZnM8)$k^lAsULx70D/rjrOLT6jQe+S'pb\aN39ZzI&A
U"ijR(U9zWodh\s]Il2MGaeiW(e:cX1_<DqUAC[d##2?(nszctS_tuZd&p[Li:Xg3
U"/pLpDY$-$P6RG3)DaiYF.=VJm[NH6B*XF$^?;OVW;TpXYFLpUYw;t:ky<PTIpE*
U"RhSe.0#XY-B2T.NW#fa1pMf.rdoT?>AY#VF\aZH2kJ=5&pjD.KkZpOtN2kaF4]r
U"jMx#_RJ[L$a<YE5$?N6+YYk>8u,OkrXM$iH.N6T-D;p2Ljy_n#CMYoI3udK(R];
U"QK)TzU*0S]dUr^H[d1gb^9EKP706k^DU*B^Q9_#b/r#>.&[1*E-)TyscvpX/l+0
U"H5W+2Y]u>Elg/?o)SoKZtDpuI<OMuU7u*ucsn8YKXBSN(;gW&9&yIrX:FFNM/JW
U"pUO9Cz9Rz?B1k;,*_7,X3HP1axlP(dRWH6FXE5]b>dk#AkfhOq40$-NuV.YQr=S
U"EMamBlQ,i+z[znLd)%ulrJxqo4U+FExG].GH4*[5JI3?h[Uw*b&NkngOB:JEh^n
U"O>KbbWI9:jn/xp:&E]NE9q4q_(58BF<Q[mHR5Yp:ula<g4$o);eu0+$Px0;PCip
U"#8R3Y*<$r/_[U1m7vf.oRjjJ]+uQ-Ml+E92k%6JnU$*G,I3%sr%L)rN;XH'MAAs
U"N%0.1'q65aF/I$7KXY3bwjY:jLz%(8V'/&jKPbXweMRt)X83M0,_a7Hi67+$[fh
U"Kr59m0ht*b->aAs$]uOaAoT>pzFIg]6rTZKEFv9\myrFsT*L5p5l_TlW2e*b>\F
U"$?c5r&lW%&Fc:.Up\99tJ)<n\,e,VKLI7hF[<n,e]'0smCB^t18XKxBoO,8[N1Q
U"tzu/u'EcgT5=6r,kiE6lb5,L/c1XR#a<2r7i^xFMeaLQK4;n68bCtl=LNVLy=kv
U"lJv-M\r=&JpAYZn;oFrwEu[1PXAKic&QMYr0M2$bS&C7YOUaWm?dT0&Tc4e*,g8
U"D1>?(ejcS/,9t7p8CA4_RC<%$qyi&gquG.xJ)4Pjj:tG'1+rv$lBkifuCV.*gG6
U">q)X=>u9Lm3z')]L$8fcw>jl-+lias<44[0s:'.J#[US%%DWtouI'[A+j6Y$x)_
U"7XbwD=eyU5iqfX%jaguglBkgTbXOW^BH_B__s4FZnMjz-v=W5e-Elo/LXB'8[UU
U"LNz#z5S%(\^\gEO_eE+MDJLoK>rPmhj=S.?il>,7:3l<qn?H'sK$%.=hK8SNl+x
U"jknGx(DUUzU[+3oYa^'r?M6e9DEqdqqF%QbHmrGJK:cfnW*f7TY81aDnm9N-C=+
U"I9^sIInTGucf.<6Qa8,gn:qDbhH4u%JcreYgtcW.e<?$vwzJ0,5J/>c^/_nFT\e
U"Eo.=1R'K:JAMu2dlh7tJw#NLUktO$^8>S(tJ$+ZI<g1)3QpY6tO0Fl&q'gPi/Nd
U"c3x(NEt)6D_oY(OJR46[c<k+k.Qm1N%O)'AYc(]?V8\UKlt=0;lkL+JCCmnKr(8
U"DV*imT+tHBCnqbCIIV1r=35aovQdATV_H-im?#i:%2KCHyHDk1p)un/?;ID'gaZ
U"Xm_3T<0A2QlTM7/tFr3t0Zn9;UJdg1)R)ltLREG^S&O4ThlS,LY9:euN2G0VWr5
U">InWeumNcwPpfcN\GltaaRIYIB\[>OT6^-a'q#:$n8*&x_*meb>0AV,veI9?LD5
U"__zAWVToW)\8:iapBAU(Vo6%->,KToS&JmP/QLxDrbYNVR)<5MvbNJ$uo;Np\[<
U"sG3?9m6g4xMckDrIQe8JTfq'H&H;Ht;2Q\vu\'8Xso(S>4tM8l+kH&t,&,<XqNl
U"sMc8W>(,l6Z>FcDWu52;mvOf_+lpl3hIPGqr7^[gWjx%qA7OLus-(30WPgKIMdy
U"$-ihnBUJqF,T;Kt\?zE;^V$;iCp-o3h[]>V-05,v65g.26shMYZ=rRDE4NCLt8n
U"(r9CE7UEaC,(^&ubl='tdeM39-HMFEJ93rqWheJy9]6F5tDYLj6Jrwh&K&BFKup
U"%7_G^*QDm2Z6>S?TAMG'34s5KwMY6H6lLHlpTRdXDP90_+UHXE/,ND&tiHME&RD
U"ZYu1gZ5I.)R7F8dhnSW5N>?l#yQjaml^9^/<;grxkc#L%,6nB3::Z?o7E<YdbBR
U"8hYS<t11<&e';uQoV;p0M[45uBWw?=WqL9&/w2hiflwajhd3ruGR;4stK=B,dn^
U"D4'80%yrI]B]60$Cz?j0li[l$)\$/gYg##D$_gw?dmp#E5A^59Bnia^fh:E]qmA
U"W4ce[%j%+W=;sZ#E9u%_Qpi[3f?.E6)GoqaN>$aA.u/*Zo.DX3zkq_<-;*qtJDI
U"E.I_jZH-wqW_2vC8[^>m.745%$7k#':s.&'B0Euc>NC0\5-PIG&ULe^lWlvgC,c
U"mATGv#JW<%C:zQ?Yppg-w,#t+gd+\WTWUaSul*qqt'O.ReMO&Fw:D9N;T^Gq,2r
U".Kti&,8O;ZOuChZ7fV6pPOn/n9IO'tkD9<TifT-c>ppR.3jyamFpchAI/K^UG2C
U";*9cY<On[4HkUJUWVfU)bSZz0ut3qLbz?f6Ci*uz+6\oIGc;o-pNjb/.yHYU*7\
U"BX::75Ll;gFj6[2wB/:G.gdX/R;'GxVyMp[Y'Qnjbb>uHHX/svtpZjAc<rlLj#&
U"xUrX6meGn\=5[SqR=p+n7>[?j5B27R8WEeM$aNeimCIqQ6)r$L).o$5c\kG9?Tm
U"s5WlM#(7Q:tto5G%V7GN;_Fn92E#qA^sgMVK%NoO)El5RT_ahmmc+BQ^fIb=/Wv
U"9is/'X^oAvwJ_JRg(g#+<Y^74o9kiw_g&ADB8m2C.^r'XY+_=[_ZV-)RUCM4[V%
U"(Uhip<hA5Y:[CRaE'LhfP:_p;UV>^s_5p;H$;enIN$o9MmBg.cAMNCPUHXH&6H9
U"EG\ce47,AuvU1ri*ksdNPcZ0mnWt*t[I]PD$mk5v*I,8u41$vrnxKJh>MjJVvsq
U"I+vCDp>aIKa#^(qU9adfxPxWHuC:mugdj_GpHA[,Dr7lA)g/IPbcXWGia4S-2Hd
U"EHAl:D;GWDlCmgoe2fr#io,ThPH-t^zl$i7l8)vLz)v2khm#^DY>xS-9^3^7;Pv
U"J&2W(_S.f#ovl5K%]x*vYeA%Aeqn16ThEA0KI?C1Ku%*(K9DPPGo;;L4H;r4vrk
U">2_un8Z-XxMy;(Wgj*iw#iYq7/O9Xy2F,V=Uf46pgSws9u/Ht<^Sd:(PJ$c0IF^
U"<8F\\o.Va%N$gKpes0*MZG4Y/C+hJUkR*xXyG>:\5PSEt>jVEBQLUg4^dk3AdSk
U"C?l^VRoe:;ek\85&DJM.C#q+?$X3F^3yQsOn&$EMqS]#W5kH&muSG&qVh\Sg&cM
U"BDFebJP6St.2_Tc3>/cYBuX<)#X%NkYC?xBn>wl$eB__c^^OWDI?TldfHh[n#8G
U"bIFtd+F7kGGvpaQ8Jq$.3Rj=.0tUQ+f#O$4wh&/l$BL]%yiuuSN:MR2v(:)/_XJ
U"F-A)#>6(=SWjsZH<0J>LIT?=D/Ur^\uBRdu+lS<7Uz>%j7m2Y57lO,)=kR6QWk?
U"[&pRt+f4onGgT+.4$\)2C:ZW^iI#uyx4nd9D&Sdo[TI_obxIePRKC**OQ5o)AVD
U"QYV<=FM&H:Z)scF_x8v?^RCWq8i*?E4fV1q#Lm$m^7A?eV&mBulgRn;bk[k:y%g
U"Y:oNH:iOZmCEBb?I=B^]$%R:Z?;h-ZL:09Hi:'&e.5<_N;.ZX5H+y:5l<Nbm;[f
U"af3=p)o;ojHea:RDxT*t/pT?fin2e.=EH-4f-gbBQ:JCZ8no8n)./=C.toki<3v
U"ZZAp5f,\ZuN;&HTX$W6j5.5bSiWL?;h-g.m:Y,m/n8-**IM<$;?r8fohd=+<Q3.
U"PX=uP,ZDIh;qrkj3rjp37TG*%Mhq.Mb$U^wD=$KemL]9XL&1KXWx-QZ.$ONe/Y_
U"7*Qe9i1#<IsIKD1j(A=iUoJvY59Tabk48SI58AJh$kclan1QER8Vk6f'I*[aj-r
U"=0%O(9?Ix&VUA$V.F7wfF'x21NI6xBG,XGqs3KYWhPHS)2IU=^D3_a4p+#Q2zLs
U"'\5+PUud,,lYK(D8Ayl,<n5Cbz3zn1?v.1QNlWo)a+-9jqMqrjZ/XJ=Jc6$x*.^
U"<xw]PMwS(1eeg/kk]#LtncxRK#;[xzttB$xF=B\a]A?).Qd^aX9S88#8tU&I'ui
U"H&:UcKkQ/+\GDm<Jm,6xla?xTrp^yUI9,bnhP0GpCYSWcdt%il(JiF$uk0QREp(
U"4W[C2euW5EmK).?RuE+1T9dBIbtEd.$u)O'O3wou3+Bt+jv/wQ8YUvh:fWO3.YA
U"_B-HDMEJhtqUPBFBc;s^^4H5hF(eaGfb$a=b[y5vuqXkw[r<;(LZ8-\wZO8Z0s?
U"&_)0Ps4Yle/.npxUUlq0&<I7tUECr>aj?BCuxs9MFTp>6E=Go*2wm_yDi':MYGw
U"60Q>OquuO)lr/zeWdddZ)z,hyX2JY15*?cW*>a-B_I15Hrv*#73hTA]tU(3$r$7
U"]56Xe3#[v_Ev]+c/*BCNcT\3N;\av^(f\0Zj*ltII]hyK-T:PMey<TjHR4i-5y7
U"c7;FMkL2IY>s7FY^3:X^5>;AJzQ^,)GA%A,2:C8[_boN4;sZs:l#fV>M&PdrW+x
U"cN/b&Nk0V9n.VQj&\o(>mXXNdx$c6WsRx29(&\+%,^WMK=3'uQX:#cbm]]\3dh,
U"l9L$%ad>?''SI4GXO^UOjNw1[l0JJxJ'RF3c.^]CvF>p/smS+oJvNfFPr+lcUH+
U"r_j*7Q_]a*M.#YkH0'\,i6Kgf^-<vu8OExsA'iVU<a-[F=vJN6)52\FHY3FD]$M
U"ssTP8Zb\*jbO1k5c:+.LoN(#1;8KV,S.:i\fSm7CwKn$i/eQ<tqugXh+9c(O%8)
U"_uY2G=rV?$FInlCrpC5OoM:t'1vZSouNFu0ZhgYn,x>Y9%i>ED/omqA1IlwE,fd
U"9by+=HbKRG65d&X?[%twIQZJi01bPkP&7uzh2wU1V82xfy36[eR3?aXMu7<'Ja#
U"F^BX+F<yVl'OS12xVy3%*&NeR(s5c(Ql=W\vk$I8;+]ILtGY.L>FSc:cuOYUoX+
END SUB
SUB V7
U"1PD7R'^ce7gPp(I$FBdMm1r0Ghb>dwZ42(,msHBScu(-Vph)f/%u#5EnScU+A.I
U"FZ]/51YW/J$l'aMfGKN-ygYy;+5<6&.<Q)t2=k1o9/DmBs%A4:E:6sV\=(A0fzl
U"_BbXXLH#bbep+RTYil:O4#3YZ(Sf]h&<EO;p^Nz<d3+_rD3N%:q%TtsB-^;)_qG
U"MGFN?k>p2G5MRS?Vp6=+K-p(w2Hp_kAm/UgXZ/\p95J>6YC],sqK#mlKeLr2qIX
U"#+_t^rsuWKw:pmPX,)qE_G;BNws,AsA?X</hf%PjqN;66Zr900D<DcbIjp3Klnd
U"nicW(myO#UGFkgx><nW:90H')*Yb6ea_;]t(BMnH+,1U9;zV960fjhOfhO8-en9
U"JwQS/[9.GMLAjEi4deVDMqP$i?v_iO)\.O=qPdR0E&h0*3VPK/-CI,eu1ERKn:H
U"&)'3Ji^Bs\cH(hGEXxhY2W*I\,_Y(mftS:1[viyWXr7Yd%T=HP&bj#A$^%4s2RH
U"ms'GrXeTnOiVFlj%/W(zi0lh*uW9mA=J_zJnp9VAmehW^aOt[R_SAlHN*[Tdb8H
U"S8\U#-+k+nSYJHjl8TU>diNuo&rom_lJIG2P]L*t2KRhj\t:dX3=63gVenh'soc
U"dDxua\4gVb?*nrqn'60pnbCoFZdlX1OS3l5acMan0)dseT7oo)Z0dlMEdb_<Ho(
U"&%pWKS<lw+DNb2U5N:aLTK-qTePeV%iSjVXZbeg(]hN[vr7oZqNUtXgMMRDJqt^
U"1C#$WP.n7+f9KK9CWm2[qq)U\(/Fol$SR=^t/h-JZGYa#N5%^,pv3=IX6qdpBMt
U"$6WY'Z'6l(UZdUq..-Lfsl<wKg:8G'4E=],11b3[KdFSw3XHXtqX(?5[KX=[*r=
U"SubAcEx_6Dld$fO31/VXK1gOHqhiAW[1;[O.eB#isL#Ko.Qz-#73&l?M]8'ZTf8
U"E2b)Wt4e#RUn]9b7,\5PFKQoG^WRs9gYK>I7p+dI#f;[<+1=BQXr.c=DrElGA';
U"s$M0[/m(gD#%^D<gI;iwe,Q&$7bPhd\ZkU:/Z\p3'dkyJkf$l%6Hs-NCphu^#w>
U"OHTVYhO$e0YL8?gC4D3eW5E\%6RGiFv-HNL[Fv38t9ox&yHde=qfmV^&Koa^6#8
U"k+:$RQLg/]qGz#-#tk:/H]E,n4KU^O-I*0c<ruQ0kqtWeLHOt[slnOD,]Lg=BXx
U":T9gj'T7AueY]n^uTM%&-c6*Y&\I&wC&dCkd5j#5kssLJUIj_?ai8Ab>nh4/>d3
U"FN.>PcOqpA%Nb2Zm,ajAAisN^7X2-X>M]*r#x4vz<>sTW1a0Wwf'#SQHHuT/NW[
U"Uc(fi^y-LqT&jf2-;=EFed_letT+j^t5^A$+b.7+f/#&?MdO(i&kA#zDQU=EL2;
U"ZOSK-CTmr7>>(0kk_?3PW6s1u5MJ,PO\E8LR;MT>3W7Cc/WH_gHMA,rm3-mP35k
U":_mN73=p2ktFI_Ofk9bXGXb:WPeYu\e,'a:hDBJU;j3T6+L;0\$+,gIj5R4(266
U"3\>FalNiNWPi6LiZw2Bsm+LL\?>,fHFs5mEs+il)]HUl&%h\<'3my,-9FX&84xc
U"=S=,[73C+e&xgmd#RNgWCGhhDfWBw6hAT$4dHB?#A15xg(#io_TQ)5(A^MRt#P\
U"^;T'v\GiidnfBp_W:B)^gqXDsv^r60ZN#Jiiq;5YSV&LGw:RdRXK'Fa:vi&EU\5
U"Yr#s47\MhM)DolY/=IB?St[+97lLX],>aqcch_i%.4JYOXIPkCy%r;fZC0un\zZ
U"Z43I%4q)Tpg>kMEWsvE+[OibQ/SuEnf+I\sp1MAr8di0JOInqq$ahjK\2UvATHB
U"Jdn%%-7qBKIn.Js_d+Z9%nD.^Xz0okTau<^[*UNPF:J04lJ-*X9G1MN'54(;<mo
U"R,&ffir9([D>eYnuiH4[2mb57*7VX/$Gud(Krm$ugVX%.APyitLXjx'RLtr9T4M
U"+/MhYeRD0zluW&=xLclSCb2x7Her:j.\&IJ:R5*$n%\N\]4Q5sGL6WcN<(-^U$H
U"NbzBs%nY)PHnPFrYb0c.t0n)K>Ji$tn$h$Jb7&:Wi%v+L_$N9+5b^)_[]DUp_sn
U"H#H0ObNq<k*:-+t4pjDO2i9]Tvs,Tg&S9(7?C_L9xY#cWb5m$%l[j6,*V=U]3:q
U"3UmFbcMPNPBPe(^n_-Icj,*_,c678G&lhc$&?Ym+,DsE<Iw(%)hqU)oBovA[ygk
U"a=BvA+]WHRK=1NXC7Gr=VfT&coP]>f(BrLU:qwhVGw=N1qLC+<3G++8KK[tOPW$
U"BrA?NI:&CSiudLEU+9cr.8L'%U%&76)m,W4Hd(RqXFa%M]t+<XB#YxSp%dwIvWc
U"t+GmN;*.ViY8qnXyVaWTMG=[1EIQ'RUar5s1-wE(j<.N1z>=]\r6%Y=>L,2(E*Y
U")#Q15]L%_9wOu,BvqbS7iHa_*[71/+K5[8s]Leu9,J%(.\Zgmam'^Mfk>YXibOG
U"s$8[b=UJSgFemHGmc8)%yU?P0]Jp%#kF+$<m?4-Iq6wU4CvOLq,[qUjo<2DDvB[
U"h8I0\ND>=?>);t6iQ,IkE],?f+qfYnCM'xXJPmVr*9l#50voty-R,1Eua3orZoR
U")Bo*B8&nfOtb3T.D5?[=j(IPjGRi(ez)&9y?J+/G\M1u+9;<JmdhNk5AR#.+pk-
U"t)y^V)dTyloc[Faw^YF1]sJzB__uN>*=bY/.#o//2b#;QLas):H-Hom:0fl)[wl
U"nKOu^K5oNgqRl2]8\dO<d:^[Um6G4(3gzpA[KrCEW_9ty.,oWw/7]$rFPG>Q0M4
U"wdy5%Xs>R'2F#S7L&fq9%K,s$#lm6-]IJMQ,5C*B9hi[.E8#2h9#KhzFNATo;\/
U"E?x?tYiN*v$b<fjl4<a+%chYgjV&^\q\Fv9r)jq/85cOJj&[M2-2J'aZhK1#1hd
U"xfJ(b6Gn6/dq?\>M&./PQG/lvs(:\[Uv\kU0;,F_)&toYlB-Mk,M,LMc1QmvzJa
U"8=J%)lo2'WpiFvb=-=dfhKvwm>Q;A/#n[;C-]ZxBdIaHG.m9j<P/]qYn3x2](yv
U"cOGIN*V7>mwR_;qKkt/uVPS_=F[6&Wejo#4>ZB&*6u.Wc=q:i)MUuk[JkKhRf>+
U"rnZfe[rAX>VhaBs_s5h\EZFM;qD,)+ypgcN#3m)3z7NLoVT#e,xA(eABEtki0-B
U"b3F]4pfnAkX)XRK1t^VALDV:gExSbN(5vBje#O:bZ/1Fs5(D-r::O<sgmASr<+U
U"4o)xiPZL07Epon=9ir467$9b6(%[tYoZo4Jg>(JuZ[om8Xldzaqok%jdLNEuP:9
U"BmiM[%sLqggTRQ?sf5h94p+WIg(4>JX5E,0h;w6SP(j0]gtD$YF7$]2YQ#4ej*%
U"o)9R1u)mmgJ3L]cXJUWX/'UNaCcYJ5,X$gQ4Ff9mT>#[1EX-H#YjJg]>W<XsH3%
U"v$hhwJ>NiHcngpqG4w2\O)XkQH#+VGj=OV6gJ#1y=ixR\1ufta)'rk)W&%&3LIP
U"fL(x8d7yN:3MUSpG9.i=c5N6-Z?00^I5.6EqxKjPGhhjP1dtL;tC]NFaG+z=bpl
U"-:C6r#hlqi#$;_'&h%r4vKQ-'?b[.\\?J=])S8pk%%SKh1g,:t[UZliUXm]k5Jf
U"AeB?Mn9x)I$uT^DQ2r5B_EI<4Us\lGK\Eno&wca/xdMyK,JW(qZCxg4V3jnPiF\
U"[(C+3cJS8&t?sV15DP\_QS^-R)M#r<=X]l2EeQUPcn^XL:9\+#OTMV;p'IV\5?W
U"aa&a_YOBr#wh_*?'(c8j6Qh^bBno8bpu/ZNmJXGyg':UV5P0kWAg<u]I1,32PB*
U"mZ5DW1wn[w%?Zf#8czTxD%j9(6&bSv6EIMWc^I=U\vW+r8GrrEEb(rK3cSp_I4;
U"G=$hz(Hg&o=NlWdUwo%9:?sw.0/ApdT\^C6\1O''9>pdfgfD,XSES(b1eQ#O0M_
U"_/B?6Y[pDBC:NZp^lI^.knaIE2XrjSb?qxjt^S6C.SERgRjhV(]IC#ii&*<3AFY
U"t3rKQ8d&GD]QqD:T0t*hS^j*ep)uczX%q1gFN'3B8(*tpwL'dOXuGaQaINL[ZT8
U"&qLZY<EuKFB;s1)/X#2V+6??VZq4nAE62_#rVv3qMa[>:cbYgsv)Q)UkTj:ZB#S
U"5zx=A3hm]JUVZPq(2WxZ9#xpk+VfWi)9w'(*UtglJ,_*^hLy$w7_tYvCBek>jij
U"O_&GlB+kd?txGo8%lK.2:Xtz8iS_v_yt8727L:jaHA9K+q86aJ69ik5]kbAByug
U"O3kOe_JNKIj1gkM^d0?KS0K8T$l2V->U_(;4yHWmH>tCG4n#(%=e)0rNg-^hn+>
U"eoxb'1E$z,neCr;'kA6J_;nJ<Q3j7;FGQScAhbat\Qen:'L^-w.9V5OzoG->'79
U"G_g$WKj%d,FrAJp$8/gKdyU9sv]=IX4x#RL_=H7aKwj4s_pT&U85Wk%?5(3&u=q
U"GpY,XRNUR$25qfW;Es1=D%NEZlJqo4d$(D/DZ)BcgPdl+G9KY?Dqg$^LI$jT#$:
U"Y2&zBHZ\+)\7UuYlf;(Uahr,R&IDXG0EWAwcUsHa(nY'Mx9ed2L6o;W(aT%Ah*L
U"MDl5WxRc,r/J65-fvnjf$*c6O<VMvd^AWUuKb6>R%o.Hl),y2dDk5Q)))Uwp'D3
U"$lTZ=2oJ]S_F$8+J5lq*vtW*'cWJ.5b:Z^]j1qn;6:sSn,S)Yattwvb/tl2o$Cx
U"eNkG_mv3(0]pRka]qKDtRSB>1t,8h]kxs/4VLytp$G$I_/Z36TXmsAx[1MOArM(
U"\LWAkR_H[[_%IWJVrW#Z3>K*k\a+.4IZwR2pX(pm]aSSZSR#Uzl:E\g%[\u]i%X
U"$aEs7/S8$d>W/*Szk$\WSdY?6JC:V54HIp<qK&W8edj\3B8se,0Pkp]U%$0Q&es
U"?fK&mk]2oW6*n?i$>=a0(6x%o?>DrH(Q9u$g/-*+$GTR[N[W1hT')3QLZvqMxQ8
U"c<WoSUm27ln)oxxHi2xg)01xXBfPbtfLll=3#H_tg9g1umBq>iZu*d,;L)ommc$
U"1F/l.1_f4T1y/]TIv+q-qm*_E?ZNC(\()%-7BQKf\cVHFm%g4x#tgb)LK-.k06O
U";f_k7h5'd/)^K*h;*AZ9bE3ue0R4]<Jhc6\_IGToJDa\7O#=Ho%Q,-xW)$]&n[\
U"3h,Z-AMNwT9HGNnD.h'6UXtNx6t?tghPscXMYc3VxXqM.nZja/+J=zx2o6/quSk
U"*v%ub6NLG3<M#nZPNCJmrZi6ET,_K_9DfNX]WUGI;/Ly%7$Jz_(%J?qxc+x[IS5
U"_aWF?v7&0Imeez.HIY.X$7tejV&vSYYNC*o6\x=;S%&_lb;bz^L-Ag4NMe1+,gX
U"Bq=*=?Hlkp>K'_R$8cd\pC=JZN_c>#OA4>+E5e((R$9&&1\Q/zgb2AmpieYAj9X
U">:i:.pg?Q6tX8U4;_NY5adOPb+qU]ZG>VwhFG&V0W-g42T7p6l*4$QI)w<zRffz
U"^xD:Lzbi7qr<5OAYjd\Rt%VI]2Nj\by+Ns3KL,%2+If&TfE/V.8c?t+D,%R$y9h
U"iAT+XsGQ0E33_ZcaG4W5/*i$4f]];[xLMSNmfW_%OB(r7y>Td\;PAjPG5/t=3A3
U"lA6iN$D\%psTA\Eb5Z10j6PZ1?0j6?Sm<e>-r[).6G7ZoV^S$>4epfc#1VOh4qB
U"[w9'0l.h2q/(GaZP&?&mFL,cC>yLWmxD$b_wYNVv=xkMXB$AkyFE/d?iM9)6M^J
U"Ntbt1b0X4D3CwJDub%mYhZ(ce2tUs9E[IW?)e7>4m$lV1T0Jf\P,#bqKX5>7Dr-
U"[mEF.Q:g(8)DSmVL]b6-%EU7XLV&t#\O0r&KvIGCJ'*TfmJi/''g1CkHGEvvzw0
U"D.iy<w&w(8Hp=j>_';MS4K'vhrTvNU<63WJH0bu_D7-c84R5F7GR93JJYlA9mbJ
U"(NKp;HQIX$o&D(XQ0.&keY%.6M(Y8nESZXEG<4SZW//Qm\oB^M<U&4NS[4<u.cI
U"R13:S-677T6o9/t;dKIE55-Z\dt%spwC$l-e_e7hs;5MH(xc,-OPjAwwOtgk,\n
U"*Al^x>uL)+qJ.HZTC]p,D#Snx9&=XaGm\T':lf4I22_2gE^DhnM83VJiv?h,Jzz
U"B>pb:g+pCIct6l.;)j?dpFc?k[;=G[PmTfz+:Y_:A=%hvf'/6GvhXL)2$uZs8/O
U"(f&'Cr-nFIEzb$t#1[V_m$1k]xDC&po,Z]+l.zTnzGxvP0g^SSJC4_qDG.,SUQM
U"wYV=;MBNopZjC3U-BhajzK.($f^Frs#CoS^$n;gko>)*e*8CK<O#^L*Wj<+BfrM
U"vR4Xad(L%\SwijLq\k8qneqcAOo<Do7p'Yq%Yi0IeUgCq92xKUjJT'%wPP=j_P$
U"oMGJ/KKayc:?JIF%QVj>qF3FOfLNZZJUp)))sIIf];[K#,g^rvT1N<-gSRWFtie
U"v54-McAmlg.NCNNM>8xw+0)t=dBu$Gpm2rItcX]pJ1e(??67u,Qktw.B.H<nk_+
U"+>RIPl=5I/XTJs4B7^?9fz>$eK$s.sbRGEG]7#qqtx4[IAg#X>gEd-ZlSk#J5T,
U"Y?E5P;'J]rULKpKXswYG*%G^f9raJm:JK6T9Qd[9']XgVqbE1JKmY1fSd>T^.lo
U"=a07xlJk7b>%joN#OCnJaA2mrz$>8V<DG#\RoT4pvwoucSxc$sZUwWo?pw'?SN\
U"f)r\vm6#uR.baWMrXAfmVcDu$W(MdMWezgvY:NdFQXpjlVFymz4#WH0VPLxrTdh
U".AUmr'),xZT9o[Y8EF]'y%gS4.\A^WODVNaG9KR$pkTu#-PV1C4BP>hCg#q4CDP
U"u;AyO4f(9JK^k3o4_S(MdydR&rBv]-IeJX/V#)w1plF8fO(2:,p2iOA>qk\\+nF
U"QH+=jnD9Z&/ImrojPs]CA1TZjjnX%%6jOxxj8nbwxjLxYh2twLT_T]kBJ5mlp7r
U"zbM,taysgP0d7c;Q#xGyvSVVKH26u8%x7Q2*zAbnxy4i_ZI[4Jc<$PgY&xmGDw2
U"o_JQveg/U-OG,GW294twMGC_U^2MZ9I9M>=f)z\Oqua[Gq]X2wc1E+g?]^_+AEp
U"H^USL%f<x5s5mv#ab3-7KV9*gUSICha5Y((hUFTMZe?D>5m[?fpf'lGz#kF;*nc
U"<*wn;RR%dshkrLc#o,UdMW'U:5M<DIvZ&^#PzP+cdco&-w%wZ_RFpDo%/NVVy4O
U"U_E:$Ehzd8)9=^<WID+7hV-[g'l]dCHK<G(&0Rz$iTqhWdJ\'GeL]Tj,%3Y;C(D
U"?i^V>MKY71_+XCfLlzG?YT=JgNrTD]Ql(Jn(Fm0RfXRFcom=/?6BH?ni\/GM>6Z
U"rkW^\tB0H_7:64ad3RYgI907xkfc3cEkXt'E7#H+R-gs?BDe8_rfpuhs[aD2RFq
U"DiMnD?J<F1cPnS$IhQjkeehK-N$EpIRqrr*BN,qC6,<B>oRaMkNr>sk.ft9p%pM
U"'kzA^M9gwgr*)[nT6$KKRWwjtbXPV/P_(FA$F+?'%/]rfg5dB0LyI>XObO;KAy:
U"Vsi$9'Bm7BkEVctatfR'\sQ/tYu0CP<SYzX>Vkif85d(bL3La6JGjdQHRHi?yb,
U"Cw?\je$pY8q_9U/ER7EPng+sZ=WA6X]']s[?xeli>*dHp_k=dUR\.3F\>qtg,wp
U"cq0wN=bZ2^p]:0xS*7tfTnb^s/9q2r9-ud83qX2QA,8jM\a-DkQvriC)?>tx]u4
U":Gr_N7gs3wkvgodmp^Fp-F'v_X%MNyK<U=pY*]SV*mUiku7alS_PloH9d%msf&7
U"NNm=G:60t[Rno-eI'4A+Qqs5I]9x?(M-$FR)k-&^gov0gN_OAUQf\3[m.n\Mgi'
U"lfw[;vl2kf\s1\m)_iLmHV9NZ;;]K+3YIkB7b>^h2r7pCxuu/Ma>GmHqc<BXGQ.
U"+<&[Z\\rUx(cs9_8#)7nGK>E(St6>.[9o]g]yp48NoWdQT7H+]cmnr#%'$JKO?T
U"&raIUU7njrXg.obLdYE-uLLurDe>lI/MFsO7$vUvNZ+^+/GLoMRCk-e>%+<)$Cl
U"]HP'CxK_lOTHILcZ;Vw_/586AL.ILovH(K8CA2#&3E,Fc8Zt$JtuCtuC8pZ9#xP
U"1D';%oD7P9xDPA2wRau:);5k*n_S^-(PQ^qT36Sq(b[Xci9UiYRY*7M8?'qSDb.
U"Lr/lq,0w'pW1m[i5eAP.>>I52fD0*sw)-,GD_8kAhJEfutQoo[d0fn?Rd^n_[.A
U"kNHika$<EqX>H2TQ:#A\HmsP^?amL)&X6f>Y#TApMNAo[ERQ&A0VL#C]ZKlp=bn
U"QFwNC'[V%:HNvdIo[&h2d8t<neXL&DCy9TwLZnnN3w(,qWJ\$I1'6#dOu1)AHb,
U"ived]Ju):mCt$+2vFMHggkVekhIG5+?*C&Zdxj*KepsPdOYTU^PW8'556l/,=^W
U"G(f0JCQx9<,)2yR*A4\'<ni=:?-]spCxLoKOUav'qs:c,Au]es#ok(HP]??DWY.
U"3I7jLkmd#o*^[Nc+:.(,v.>t6Zna?k&,83a^9=mces:W>N6%(0XKx=q$pOx&:Y(
U"8,tj/fB]/,x-[\+NV7d:'25rqGvZ?3tb?=IO%%&H7h_AH9?Cs?X&OO%V3[XIXDJ
U"HSde_9Qtk;uNQv[A]ZkKc&5T/i&t2>KS4AV\M%;k\4>;+mVlK[/j#\ZE&lD;f?6
U"J_iEH#..CAzP*xeAi?7qg-'KmW$.6cmKTEPFN1jA'wd3%EOB3=?nNNqHD)'yg-Z
U"b0X.7KTly#SSW%V?]-4uh%g>Cj(:UK:Hib>cY=w<(HVc)*0rK6j#G<lIe00_crZ
U"<1dch+O(]YhD&qV)&[>aVtyZdV_5hN7WG6_d.,&MdrN%>t)$T<#jUjTD:S)?pD$
U"<hKLO$3pD'SjB*7&P>/<u9?R2^iU%3^V^LVJuV[k\/n/C7&(1P*(2+S(yb:>iHD
U"hkQf=h2qk(ltdsCk-HXel3psF\A:D)u9juklP.pKe.lI7u?+/ob2.Wr*_l2d=[(
U"KZ[4Si\a:W3d?brI94_0PX98h1_DqYC(h,F'2F8(bz#/P__19.LW9lE-a8z&thX
U"#[KQc^txfVGSJqgo?Y/^s)S#c7;+2h]+=j_$t#YFJ]WfO0LG1VR8WS$wC6bf-LL
U"4JN,fLmzT$;:]mQh<G4HK<6]^gREkm6*$6J%]t9EtXX0)+ZoOnH\(:5oYEN3MXd
U"5=u'xT/DMK]ZxVCk(YU9Ld3h\K.Rt*iW3ar]$<aGf-atYmqVilTe,dwr,w>LPq6
U"0>ZOkVNlAa.DS5\t*0x$A*v+oT&SY#YGiEPA2.DRLRis5'.7tG_ib(\moHD<]*)
U"J+ul&<CP0,6$l;W7]dwtNTT)M<CJBHDD.>Q=m_)%Z\#5HPa*EJ[e#KMZTgNE994
U"CnV%Z/mvHStOdVaX_R;_Qmx(6QI>T_m4za3oOx7I<wQ.>a5_'WX_c:>B<)AiPoH
U"n>xrTe4Zct%BQ^9[67<OSQi>?r:>QR]VU^%#/d7c::k=q&uC_6c:s+geaxMu8uN
U"53s)\klBEe;KtPkdEW%1NT5-jH_3AY^QyTcnsZLRRy0WKLjvf^Y,sFpKBgYCe:^
U"aYuR\e(b'UKuZME'EL[\BjlSzb]q\OdUE9xk=?c;qH&.(jz0NWcc,PgeSY9t%Lz
U"3JQ=1]Hq6DmC)0#f3f7\[P4hF+7GN7_FEeXdY4-Q4ocoS_nATmWl)^RF.XF&H6Z
U"&O2yMk-edXZ1bOZBrBTo<?bu7YsFeO9;OGE((z8_3ygB,%Oh5bVEwSk#7mM&4L;
U"o4,H>9&ZN>SX-,1,IIM;hD%b&4FqQX6[s0*F;0ALk.3q)qVEm599ZjgY/lkUy/t
U"gEsNH1Yo])M\$>8MjMD3+;y\Yeu->'ZXp?mP/)p7iaM8-GlI9oyPp$fn*wEt]ai
U"F]12u*N<)S8_xLaHi$_g-+)(LEEhdEaL'&M9]=.BI#?6BLH<g2*js]vlhA.[.i2
U"o.21s\/<-y8QV5B,C=7a;.IzQLQ#zksQ_Rxp:&x8X[O88O5?xv#s$dImnj#-UcA
U"d=)=s8b$&uE:C>;4$#jVcGs1FhD9qacomY)eh&RAB_A[LH$Hh?q9?*+<lyj\6#7
U"NVBGnO?'Zxikw&og;8f[JRVW>hV\[ZOtHC*hkpjvRSq/=l2_znmQ]r1=1<>mGK=
U"96wU/%\m%Di3d]+Png=W%>pbZ7%O)Ducn(r[<Xa^Ma1l[S_Z2Fmeie_7ue<>+G4
U"1I.6x.BIxGq.,LC[Il2D+$)qE#4L+W23,aH:%a:<,<3[n7XsK1i_BLdq)8ei(-s
U"_*sFXL41woIR\R.THMGhr[,#C[,t-[F2gqZeuZ69m/;J4PAo<%),Q#hzDehcv6X
U"3WefmSSqFf_+%$<\3'<h<8J%=L'#(eWBtepjQuvt(wjEjC.CI\#R\r<gLJ)H+,x
U"j:8(gOrvE(J[]'Qb10DXrY/+i-Y;w:/]#iDTrqrsQJcBw1$pez*;]i36Le][6VG
U"yc-,x^KZIKA$XUs%F<=yUIsn/nCr%bE_<bio5S/K_jV.68DpXU/9vW&fpZ2caLn
U"GI$(DXu'SMjB88$Q'Amh_O5H#m4]W<UT5BpBAn6WC^Ar+H0R.aR*but/[]hgodD
U"a*qjopK,O626T.>IS-dWx69h)X$Q:k+Pj[dUJ)^y%.AZ5%F[[\-GQ-(>V;^Bv^<
U"_sr^JZ9IiitLet_LmtXcDwC-kBbB8jT'iha,2I2ZX&e>j#4c1FD9(OAKgyV8+jI
U"Ne(KKh1;a3:8^,<c6ieNw8J2dzk<vz63^&?<WZ^vyLo>I:$W_1*TkrHXZ3]7$\L
U"x$]GF%Y,6vgca:WeXRC\aXjm4>+O_CNSTOCZiU/Wa/Cu(3PhWJrs%e'tn.W5#wh
U"e,G.&jfP2=ad'+BmJ4cBjtXlLmY2*G8xj]suVa*5?nEU[VI+.+tx%Dq%N.6a/-g
U"LQAzXXR4zZ;lgz^]oDYj#lu_toRJ/Px'oNu_O)J(]iUz^a51%I0ZF'XcaIq^Dq6
U"G3ls?lsuJs76PJW.M9*H7&%FpusLL[g\ZM8a_.mJbhgue$4/9dEg\^T/6c.nV*0
U"4]=_PD$bn&gWwxV>Qv^'<p:bjiSa]qGTOA--;5hQg(VK\.BmRt#Pyei=;hQ/wru
U"ICU]7C1tk8oqSUO>&p2$MNBDv9Y]$/S+&55H;Qd_x=6:nX6vY*-MbFT6+t7</0q
U"531^pGIXBEFzSnEOZaUe[YbS01]<.\6t80sCy8V=/F1%G;5)+q*6>2:[SRNCD*y
U"3NaRD/o*l*%0&2WazUHfrFgbdFd2RJQ#R7/f1OCb#h5J9+dT)ig&56c]xFO^qVq
U"txF=Xskvn8Nu,R<Jr)4a^5DTsnK%xY'jr.WbkvnD*>qj=IDp#(aMOjcf4Noo+Nw
U"ppdmjr<$%/:c'4(UGrKAkg:SIuS3,HJ4pHJ$Un(Pz960JafQu-&1mgDEgauS6h&
U"5;*n??;H-[N32i*3$#P7uT6gifWD]6?WmSYnW.r9Fdl__tg3duLMx6c+Iv+z(^L
U"UUtbJj4XztTQ&LTFu&NYsLF*27b,lbjR,;_Cr$6[LPC.c=>ec$/(WZ*_azstuu^
U"c-f1M5#b+TxREB+64]:CH<jp*v&5pmk_5caQH$)>-C8dsMgW8wPy>I%%ZbTCsOU
U"W)E-3gs&0cnv,)jca..c(&P&;9DSxEEDtcI00iP;&pnQ;KpSCaGb&l,_1e;7+DS
U"bpwIsjnN-hT4^Wq=GGR]31dG8:KPLC.t4&ro/Itz/66.E3BWZue:yncar1F$Rn5
U"tOI6us(8bi85K1g\XI:\CNPJC4[Hf92S?b,RS>T&\O?1TZ[868)?c]J+w]SAwn%
U"-fN3?O,ETHAGG4XPbmpdRB)\nI=+ARJiIr0U-\RdOdC+7AtW8ca_:qB=Ird:.Aw
U"tdj3by,HeUsmmL9rW?(S_+u3\QEMMM)dM,QC;%tB#=sQ8(rKk&BMmE1tu+hWyXA
U"*^Y2Lm%=MRK)vIdP,q32L0=C)p'w/8<95>4w]/L.;76EuJARCmegYh(rW]fCw4\
U"G5*-_N<5LgX/_,,9WYG?V1][OejejfGYG52$mQL;>=^U#,PROJ*#E&<&f7X%$tR
U"\lH&scnXbOfflKuanP<m3\V<VP_toe[DWcSj^2Ra%maee,$fmXyq5s$QUQJ=t?s
U"a#rC9U^#;e;'BK#5$9_:GR),+6.GU/,bR5Rd\drqKqf4B_RUhE_KxOHD'sU^B^'
U"Mu?+UWTErDC1-wx'u%p&'9%%9%%#%-%Y&(9#?n.le6#6&%?&_(%1%%%%%%%%%&%
U"%E%%%%%%%%%vgy#nux.%uSit%hup*%+%%%%%&%&%%_%%+%$6&%%%%
END SUB
V2
V3
V4
V5
V6
V7
CLOSE:IF S=145AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBP.ZIP ends here. Last page. TCHK:145
<PAGEEND:"Fido.Faq.File7">

<PAGESTART:"Fido.Faq.File8">
'>>> Page 1 of QBQ.ZIP begins here. TYPE:BINAA TLEN:72780
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBQ.ZIP",4^6:Z&=72780:?STRING$(50,177);
U"%up()%9%%%#-%5xdtEw4;c9K##&%ng%(%1%%%%vg%ynux&.vSiRtheL):B#^l'a
U"FP*nNea#nQJ<8\I8btbEJDo*K/]amkIRESy^cki+IVV99s0:jxl,?g87)Feohet
U"lEeONWBy]/6\em%')f5[)f5WuWSWcGX2aRluHV_$A*i8qNw-NR)Ct88Z=:s8NaV
U"l%Q2dw(Uc^q[+p([h(waTnhR1?l_T*P+n1uvQ7$$Q:jwgb)&Q<iHWfQ]%e)Si%O
U".L7dKo&=U/5K.ae,Ve?//0C_atVUDU1cfJ0)JJUUe0-+5AUJ=g1pGSgm0Q[Ya)8
U"Xy;N<K6mbort)b')0xg<0js39nx5mx>sd>ON%7a64WQSK_iW%5U=u3#6e22t74j
U"\g-E:BQXbXPcRf7B8$[:Y87Kv5.HFGIX'ZJQiF9DBW9]Ioyi9gKhb]16B&T-jQ>
U"0crWJA[0X(Z$5K(&MESD%G+Uu=PuMU\t(e2WM&8+]n'<r_IE[&%kU6AZ].ta0Lu
U"Fs.L2$;ymUmrpV=4-t6NGh_bhK-\tMXrq%8VWZ8n=:(>cr[i5heRR[L]p2thFf6
U"e^JbTBq=9*1F%'Gz]<_#M%8PXIb$j('+AQ9nQ*Iua;$'=X:_-qR0x+FJ2[rG-5k
U"/thLHKeDX[b_j]lN*)GbLl3vPTLbXjIor7xIZ0nf59nA>*=1FjL=Pg9WC0'qO]^
U"94(8i6okniL.dYWRD];hKb1/u9K'gJmVDh(qjEica(,#1:v>,O\7)0[A6+5AJQp
U"YoZ]ResMKdS(&Y1e$rbO:A6jB#^yB^.9/DqhW&)Riw;g&sl8dm3bXpdi5&1]jKI
U"'DkzEY^vCH1,fZ/;.o:5+/1^h*gCA.\&8K#J=ra7Z^N-11f[uLQS4*WcoQl5;m&
U"d3_,Jvv,296jPRdo?o##fAI$KtSfCoqC?'eX>?)XXC>%Ux^<%P-yqBDviJmC3f,
U"r?P^M=t%9zVi-XZ)2NHG7yc=CAtn5.LY%\r#Dm-t8WmUj?E=^_WTSAZr1<3?t$m
U"QLk.Z%?,I-nU/pzvgn\O1n0nl>H&u]9fjYpqACxPKuep$lBfI73tBZZ=8)+F#,n
U"u6=3(OQ7S--Ngj/4iEP659PJ9Hh)#qj8IMU*^%.PXkSy-ooL=%LVQva&[q2cC*'
U"4O-N'[Tv:u$DGb$N'.v4Q#y10.(qs>&p/$^xFx;yN(igkM#KYR2Mx$X?]Hr;7VV
U"+GC%'Z(:5I0-E*u\gt5[E3KAcxT_/=Od33]:vOO.U\;./hk3e^ZsfXupXl)uArG
U"IVH#j_X\PIP&c]E7pb--s>\a:RrzA:pHcwC*c/K2H0?rG27zkn'Oz]%mXoS\jI'
U"5OM)$[#LR$OJBJKq234Zp&%Ulog(^$fsEI(JB'</Y[],Lu*$]8l++'rJj;/6Ih+
U"rc0y]d0V2?,cm65pQNigMilliwo2^m>i)[T:jkEN'x5]5toZ<VreR7u3mthgfr1
U"a&8M-aYQ^EjiEC0[f4mC4($;1ltRwFis6nwcTNPMI\9?#,RF.o1X>Jo*K=quO:E
U"W#5.2?&]/fx.Rd;P?6Wa]mR04c9b3%tK/#6V&4h36A/JRMF+'v#Z*3dih-_,?hh
U";-eZn2YKX;pi3AISl/-+4xmd/tcKF%$EW[l]bA2:pT17iA\yXH$vj6eYo]Z5,/o
U"EW8ti)vuBUDI,j'Wf(XQ2?14zHO#0h^XWZ-qXoUMl*IOY+w#UKrQb)MNa>6,e\e
U"=v0G>KGMVAZsI\F^-1dOKdjs&?XpmUHU*[/1,&:Sx8+PG615R2\%_+D'9W2OwQi
U"e$T(1Lb?>;rJ+*7O^Hf:R6$J2PD^]Jwhq7A306v6UH12C$rYsX7;c(bk^7un9ak
U"ok6m#o1XqbJZWBC?>WoN0gNUB]B&fDb.WmpDSvmFwOeEoV#D5lfT2:#mu1S)qiw
U"*:Q^v]1DT6PG/#V[gxQm>q4a>E9D[F\w\DGf2(9*-r5g0C,+j\/3ax]&7t^EHe-
U"rS[CUXx03jvUpf*Y01K]4,f>W())Kn\k,w8.:(T)y/u5AWu)zM=BPX=Hw$_6%fi
U"gJ7np#rGiAP^PR0q1yLtJncW9bcMsHGo47e/HtZg?ff)$r6U2kFH/(lPXrO%(an
U"2f($\pJl&CJ$$L_]DIb$8U3cBqUwxa^kw?2+d*nwfKGnBx('x#V<^JI-/t]RkF9
U"B^)7OLNtu3m(wUE$EZb]4i7%4LXd^.+>;YNMG9E.RD:^al]e9Zi>VeK;2hXS:cI
U"Zvm#)-vi:Vh5g[x2#U1UJ+m#vuZTW&#<0DUq;8ev^0M[(k5qHh>\r(mk1%oZit/
U":Xs7qilt*agGdF3&?M--U-fE[\jXKY3*Eq1:P^m+tj[F?o8*n*312J<-0V4RD=T
U":I?I]q64Xg=;[94:*osSfO527b<Hu)ln%_d&ARC%CRXQ]Qk*w:/SwJo*V1kEWjm
U"\KwgUA=\[l;i[Ed?Gk,KIf3>]KgF:fjQco,co%%$>2CPJ97CS?o#\$GQjOI\060
U"w$ig?]c6pbH9M'4rg_IfL#t5aRSVRI0grX$+t\?(4oY4Ce/qI,6.^giY7nM[WF?
U"WPT23<X\?xiBx:[5%A6?p&2MN.Oev4*fhSi/#WlGqlxX=$YnM^S:aV'5^n%*AP%
U"TgTq.2^Gu]?o(hJu]=ySL#i\nWIt\/0=66iKVDu\ah]EeiMP5QCoNZ-I2scR64[
U">G>4IkXBfZ*ihg5rT*Y.TQ-if-ZKLeXUB&eJvIQip74AdE\G\uZRWKGO0Wu4wPj
U"sq4W_dc6k8UR11O\DB+F(IiK=>JH6me;u-YjXXb;G#*x6a)[_D)F;a2/b09Z9Gl
U"jo5*g?l?9J?vMPz(S^3'[&N*wYC6qmzI84fs=6cC6us.wi7q)=>ZdU3j-.c'Fdu
U"uwthvWXNuLl<HN:Z)P6UlxsLLs4<]NmiDw77nvx<)+C+BWv:L^eUVs5kTXW:*iB
U"k#92_kS[j_v2\-YvpmWIFG55TY;KPIcGJcpv[uIi-Z?C:rq8vTCK416\6Z1-g&Y
U"?dV*?4H-FaY(4hc&S-etpN/nV1wW&JoNHj$GPG[1u_TAEr9ngJ1*p[C;YB3N?+*
U"wDt=xqbrkiFC<Qk6?&CrG;X41#kP(=6Lnh,DMwqc[QA>?zV/iYqdyM,]tkMNJ5[
U"/NgnynNx0cv7_b&a()bVpa..?2YHaN;m:/k;rBKmgF/#k$;b.$U=&)JmYxl,7)?
U"+Pm?+N0ev1N'aO]>_acm(L_ui#^j^&NpHra25Xejc=<8eB.gIiEQ'iFB%JYDEau
U"Xe38$l,ab1Cd9F/UiAeWywHawF*4QHd^)85_A$d=-H9Nrd'O:%Vb/U8o&0juU?k
U"^15c*AHmI7aP$lCh-KEIMStUaeth?X^FGMFMWO4[=0TAW4sAU/^OW,/F)^[p*+T
U"%7'DE'?n[+Y7r:s[QfefibiInWr#.Gf2;Gg'hGH#)QhaNjdl4ehNg_x%'=I-9cH
U"J(qO_;nn8>O(clOV8n,XgmLeavZdq(Ul#AkZ#NAELMS*2](^_kx=WOe0F,2IH#y
U".PhN%Tt>9DR7l>T1B_p5jFQ+2)AL1ljZ#qF3s8_4>iMlqXi5vorW#Af*96_a$b$
U"aZ]R23c[Xba,28-Fl)SXQ6>rPkYGhnceUE1WXKKB>uPeaeBVw.,1,b>g(_pFd/G
U"y?E4Jn*>/Q-EKd*1[V4,3udlm,*s>P'VjTIrohCbqdj*%C4_MgXE+Cm]GhK5a.O
U"zZ=aWroG1?QGG3nXE^(hW1igiIWAxuAWOrOsN,eDtCT%]<A2>T$uj*36(jB8\$#
U"qC%'9lY#O2K7].k0Pl6G3AlOZ^)LgmG[puF1=BMbz10qCB/VF-UiC;4o5m/i3L6
U"WWif5LxFS^D]s0.$?aVS-w?7,n]_SIE<Ji/YI]&$fepd15uPk.hzexGcMVrI.JG
U"gC.P8C[%S7i+-Z&GILjyAuq?F=fPqQg^IYYk1Vm2TOH)acQd]F=Zjue-<uaMqWd
U"xnSOjSBY.#l(jR)qdJ'X55frNasBL/Cejh?vi)'*V/OKB*hX3fPpSg4[7n'KrJe
U"P=PVUa39aLUlaQCN/aRWEqh^j%LdTJ>7A/7#/s$U$uM15>AQTH-4J=AM5p2\#gk
U"cSK_'NQqT'9^YAhRino&=a;#qU^7-g[B-]:n6skm2\D0d<kie+9xb/hi:;.2SR,
U"8j)h,=n=e\9gUm_h(FPRZBCe)aUC+pmD$H-j1e%4c=N;d).$6v4W48NZ,DIoOXl
U"WmHGm]2'H$a*a/Nu3M.quXXvnGT.p+j-\Y->X7i**<[I7y9f_wOs14q'Rj;A\*=
U"VOO+\fRuK&JG-9>(_?b*GIXg[vnT0*Am#PU:R^lTV3Rnk]4SgkDVgj$EXwx#3I_
U"kai1W/>0?KLlo[voT'k(\rt<d4:[txS7,%W5*igO;m/2V(]KSmkWku'(RT%+)'e
U":VXlLG]juPAIU,MT(>l/ZT9CK^:O7^/Mg4Oe0^4x1A-XtwQ#^<wJ'[-ar>0R>l5
U"%z1cc>A>j/Ei):LLpS5ypgCpQQDBk(0GL8<cH6M?,wsEuf:CrD5DHMc0\&g-A+2
U"-wmv^-8noSq9=u]geZh$Z^alMHr)-BK[/H%qn^M45^&l%UxU0hka]uwv%d65Do$
U"M7TI$A#k+#t;qIE^Y<E,Tvd7OIKeW0e[z0?'$[eui5cac(0.3P+fa6B6Qb)9OG3
U"h2po<dOWG)C#$0YJtRQlZrpumvNAP^i9u=<UBK$?AAXfxpknZFkfjqvWE=rz943
U"#=*E\5qG/W1mbMJ5Lfl4xvao<A/s&r6Y#uVDG$nq5(rsUdN,rsM_<(AE?bs]8b6
U"]xSD__D2UeJCld582-.D-deo$&N0<CP.%q^j7SGi.8&M&KWg?1[mq:W'MjX60CJ
U"='ODiw9$<D5H(gS8>?wkDT-I.;33VzIY74Gh1>YjKrH1-LV>K&29BaiX1IXg\T4
U"G,j)#:]P>Y>f7Lot;'jP]'USH]#gpme6VMq&/mr33BupLZS8RLpOLYXrZrAnTZB
U"QfpKI%qBP/N,=$pAAYnqy&H1TFRun9fq/GoNO2IAe0:ii(;?_J3i0QE1iV:Jh0E
U"GU/JO3(9g6JBhdPBZSPll=>p)\68ZZ$O4k2IPZ%r8^<.nTU773Y$OuV6;\ZR69*
U"8lgrrjI<=)Xm[$>-I<hLnG48dl3Xm8Hr&X7#gMZL^&)#4Q6$>Iivj-70a\=9+Il
U"ghk=0%snj1#Hgp4Uidb18S$fxI9gW9>Cj[3Jr4i=6%\\LWeB>X\mRBn+5?a9QB5
U"J0T2LsSp'rb$0t7Q:p7cWYd(9:]-,/lk*4utroO548N2a\6vpX78d5I$W?FaWIe
U"bXWvHnI%BCUPrwoRDCp8nn=kqqac$jY>9mVP(=-Y+Al[U^Wg4Rp'ZbT*poNE_iB
U"PJvfx%Nd_.s)A9ql0WtlKrSfRl>FIiiA<';6bZ:Se0#Sr+UH67ho4,JbiXht16[
U"YJl*R?3Jj'\cx:')kh<$eZIgEAk$4<JG'\Ki*?_Z^ss,$$YD*S4x1h^pxN^uCHh
U"Tk:u8uM&5sYv*1V6M'slA\*mQ$LA)wyb0,uWMC;2(a#iX,\2<6p6Ol3ZdeP2b9J
U"(n,P3tTg$sX.I9Ona/WGdgbEo)\XL*QKN<[sE;/V&sn%$?]9*rg,<ZaCg*3/t9p
U"C>kdV_E1V^NRI?Fl&V[Wf#?>JU$x]AxrVg*5o.nMd*M_c:qg^+w==l#/g\;6%_J
U"FKB:gbZtPlrYMhT9A$ZUc*qP#%z6K;0#k_b(oL9f1#_A.]p[1[?e]Ya*Mnr?-ac
U"K/?pA\TXzC2D51c+sqAl3IBdiNK(G.B8/LYYt1L<2$Q'SIZeGV%]LXLp7P4mKKc
U"rT1wPB<8Gxbim=&b1E[%HDo[uc7P#GK3+W362oAwb:rUx*kS,lVUHKjb\';_4BJ
U"a)cei2Y_d-CKL'q6xiXS*TmlE*)^2CV-^p8?b^q1)EhqBgAY9%',RN%L;0PJ.0x
U"xAcP,r1ZkTSF4nu>GD(p6Ik(nJtGpb=<KfpC2-U9?tc+E212#Rkt8m;AL.di:&?
U"6MrUgoxBR;Xm]3u$W5PVYIB3T>O\kJ7r4L4%]z;K.L^<P<n<jT3BME6uPYfnT6[
U"?LusGAdVw?p3x0h7<ZV7/<ReTF3leT0r+9U3c:c^GT>oUZcDT*l6GvJ^+We^(E'
U"<:LFEBj+ps2Zr^40P(f*D(#Bcw'Vc)7TMlnA9M;JzD=^UWWs#OoO<noT#Vh.)Rr
U"mlboPwcE?-NY<y?+2sDc)Wy\]$Ej+jptt*rBrf&og^UdIfz0C6JbPf>#Fp3;p+E
U"gF6*Z''Rn#D;kAdsT(2)ZiKg%N]c*i<$?>BSV5W=n5/$f1pp<8I)c\xT^o2AqgU
U"Tyk/(+CyPOr;]ECGGn2W_>OXj9J:*)aVg5u)VZ^_(*sW\XbjqKXl2a-UXQ-6e3l
U"YOTh?AfL<63v=,kWiV46af2Xw5KYHtYz00_=bVllI-]G[=%Ud\(7/jSpHO^gAJ-
U"=E7S$&69-?<3$UB#sh+Bogc97(#C3k]?Tce&yJZ3/f'h]GWcUhb^2r0ehHG5lfO
U";kmsojL'OJ227;?dMg9.)&6+fd_f<QG<eEO3L%5jIqj#6+6Dt>E=G>+)o(.ok>j
U"0BC[,\sb,v/H0+ju(#,G4qmf++XW5Oloha)+-Iki1n/rMF)E'&%+4'xTq[1Q0dv
U"x;Ubrwg<N=+1B)jRg#8,rOVSVWlh\XA2KSt]U>tDWg<W#Zg4[,S$6HuiMY/pd/H
U"2^S9h:(OOqPSAnz8=$HB+l<^uUPvl;uTfaxsYOmd?,[Porjz,luspf&)llZFBrR
U"A.OMXtHibk^Op$U6-b6uNE]\+_JF-FZ>qp='ZtoPCc6>+EDAO[/mpI*%#0CY(GF
U"BQTvbS+CY+SCyxdA>hNgm6pZt)6'_PY.A(FIISS%,(XDG-$#:K+0,)l4T7hFtV6
U"'6TVSe,-$Hl1w5oQs;BS92_R[Fi%fg8h4yHA%5_Ua\v(h'EjU[EP;nVD:YQZrr,
U"',GPq;+j#4*[($&dL]$4'zeb\NTP__mg;aC3F'I?\R=Jz(RMc,T#o5Ji7MXzf%E
U"Gi2FMWf-:4nFY3e_K^#[YKIr??Lb.cr<wJ5Ke1XQ)^G?%B3SwFqK??l%0lBLUVC
U"JQ(Gf'jsb,7/mS<M=TLuw$3A/Q\6/a(waxa)0dc?,%]7A[7%U5JmUmf2X*i\dLm
U"3bmKS#p5#==\49im_*5+C3jGP'[\h\XGn4oM-iO8(<JH+5UZZ=ISO6Yc)QvB#R=
U"64Ij)$Ge0/nf,=NPp=F([9T+-Aia1TVgJ79\X6CD1V-ompur0gnXTHCO7[T]gsy
U"q;]p07K;BN'l0V=W(4tWZKaRiFTcCT;HM^oqP;%:_)^J-w_v8JSR2PAVQ$3M\Mz
U"4.?Z]Yi9Qj^Ej(atsVeYP=X'Snm4.L&bh,;qd)N5u8Qt$/MuKSKF[3DbO#sw%Y+
U"dQ(;Ky91'S_BPwf&y;V8D0uQ(M+=$$Jj[,3O#Znupr]C&RdO698tMi%DJ(uzACX
U"eovl[S]md-t$?x8dEt%1LdIRb,t(Vn?d4qLjBz%txf$8):y36K-&?+%^nf,RB)&
U"5Plo$Y_9)Uc=h6+t,MtCgBOtWsHQiIv\Oku&;k5n?])oP2p0IA#Z#/[qmx)=&*2
U")^csOiZq%=F,-VHc+s>P\E=1+r=DUFBE>2[CZ_g2CW)#,l>Hgj'CgA&Plvb8(h%
U"7L,a*<90^I-<SRgh-C_WDrC%,%A[*^'/&3OW.c0r^sPFIMoQr;bo=Ucfk7/8SAy
U"F)3cib1Tk\gAhN\4=Ar;e,J2nts2Voh9&\=YJB8VI5JbrS_A(T<\[ZmOA.EdEl7
U"<Ne2i;5BSQ8:iIV=wAd<<c4D$2*7WmP)FII7<]:g>J8i8VNtT'3)o$fPZQOrKyG
U"):UTI>S/f/S[S_N]Y69>d'oWA:PuICAY'HW&a586k#HgCsPlmZb[4(G[i)iJ/eP
U"2wLSF-3n,QK'^s_GOS*^tS]Im0in#68r9m8F,.,EJR-#3YmGjXZ=WO5H75;MR;'
U"HgII5-,SG&X^AQZ86z]\c;7,%Mz61&YSf.w9TyOccL-Xa7L)F9Lnz.geN/XOSoN
U"'^+<V;ooLFjqS&)'vPGTlQ.)eV-=^Ab&\9ujI.4-)p/z+\G4MD;+*CrLCBx2FzL
U"NXRMU6AM8[<F,=W0NFMN<$0KVtU0*fHWjBJ)qR=Kdb+FTS4g<&A;x2gRu9nN%Mc
U"(pqR?$;zM(2*P\4\iVkl.*R1?Y>Ifw:Wm='i8l&TpovE,?C+1Z&nP0P[Y^=<wUx
U"IXs'YoIF[+54M'Q0G:;/c3+HNx#+N8TuY,62$AZ3L4==4:?>TsC62;jwY[%qU%r
U"NqOf;0C*Z'P>h=47Eh/x^g\gF0p]I&aH^Yf,u^L4iWOGntx]fNBiI$U)zM#oPb+
U"<_T?oC'&Gcdm,Spf7EHEH7SS9OfYZo&'*1^=d.MA\5ibn_ZnS[SW)3uG>_gw7/*
U"L3orHFryF:OdCLuHr]6c'JlDUC;)s09%Mzj#CT*c<5=6Q3_5?D1qYq3UDt*d\a$
U"_J=;fd8X\+v[HZh'8HQlMs'54[.ek>S=xk3KJAFcB(n$Gp6t?7fVE([ZiISxYm9
U"rENT/*8==4j3-/\i[QXYJM;'9/DrELG[vn'l/5V,dn3>#i2di_Grsf:CU.[XhOR
U"ecoGN]e1l(LM1R-K.+#wUqg/cL9t9mcXLb4dO-n>$l:7U(bR\Uca.p[J(>-Lnsp
U"x?#XY,I2lF\vup0G,P6H-()OeLysOdVeEv1;PG$8S]/&0e[LWCjz#=HefmX4hGF
U"^ci^;CJDs[.,_Zf*)>M.v]1T-?YVPq36Uh,=Pasns#:YV-U*LUTQYJeb:iHW53e
U"K$\J_+'/jY6.cGX:mLi90SjfZ+CgV>%X1V8Dt/M6cU1'SBNaP=hWe[WJhpXO3:r
U"Sg^JeYi*)t+pmH=j5CD7Xhd\[27cA\3\ZpM$'S&*Lao%D(loF*uuX%Duw1aZ[-r
U"$>I;sgHOwEQW\rep.BDNG+e/MIMqCgfif'G2%SH<.4oQ9*?NSGhhssf)1E'cKiv
U"km41qX,A-m7>])xXqFmsAn8^yvLUo5-:1X%gJ:Mh<)J>DHhG/tu\;LXd*>=j=kQ
U"px=QShM9WN;Oh4u;3+B#[,wur#f:&*wyN]DykCEt-PcMD(x$T5).)rHNF7LNJhQ
U"oB0*O?BPYBVed&Hd9%3,/(1D'kT2h6-/T:uULM&o>J-.2Od;bq^CjP=7srE>&iq
U"YzkX/(RM.a^Uj3&M[rP[-]&'I1b609l>WDjZEO8f)V;*pm0<Pmh*MY30Y_h,RnX
U"*m)HaTQE,IHBu>ch?B7nQ('Cpr23v[l9CP($3KrkGDB<Ydx?doYzA&&nwSALMuz
U"%^h&LL5>90ljpsaQU7jxa.Cbvv5FLJRUN5+aW\%b?ukmn-O&ze#]E4\bVnIn#o1
U"/]##]%bM'$NxAqK'kr2eV2Dp\_jac*S#rhYe7ImS)$Og<poGJtN$hEGQSVd9'q4
U"Hk;0NA:jN$'85mf=S(vs9g?m/<_rLSsI$<;>P\]KPb9r0us-tNsNJxuJUjnpzZ#
U"sl&rw+X#cR+)8R&+Trk#L6=$>Rq#?pIG?kD(oRHbn_rQJLE%N&ME_]lq2s;&&V3
U"IY,l^W1G80G6.+nf(lL/])?6sb15=('JSTdT<:2?A?pDwlrUbI[1Jc%'qHf$^O%
U"Uk6_IcfjE\g\n'kF0Jc&1XeHuSB8ke'7GMuS+)IVfV8Q8^#F:m0+oZO\DAuY8VC
U"f6C,Mq>5Y<j11d?8c7W3R6G$N/p1ADa/a[B>KEqOBX/YDa#9Je#g)HU]Yi,ldFW
U"5&?nIHF]EjA(/NV8_287pXA)2oCGZS&&\/>8nO-Wsfe0\Kd=Hqe^#h$2bq]$3jD
U"0+ZKaE[*+J?2Yf;0[(euE0U6*\.M1o\nh+MY)H(OXA#]1J02ASop)Jb+dOoVUj^
U"qmig>$,3cWOj[:V,(K%8B$A=ZU)2g(CdZ*=X';#V)QgoJ=0S?E6UN'g4b>1p4MQ
U"]GSxS^k&-,nH:m3dr3juV7=XYtB62i&:0lSc[mPOGo+<\2ihzwe_=v9-eSB>l*/
U"b<ckD0qp?Dz]N:8$._H0)O(zVP<:JaR7c=):Smy[M'=&s<L9^QI%)DVJZ[Y0IGf
U"0>QC)uT''lA[%r$-/bO/CZ5QB^ZQ.3_3k]T+SrhKGW$TE-lHSL,N;xNC'nC1<Y-
U"YsGN.Qo&4nepZP$'fhm9F7P(hZw+dVh)n50BK3%J4*jXxnUP3pATCafv.R>5Ur=
U"K9XlYKijXc9ofR&?8i>0W]BtdXf77oiDS-BFGESlYCNH?PkWm-&0E8jb2$jW:=O
U"OE9JH;Mq#)&Tnx8X[3O,tDk.l4K:s2.]u&xXSk,e&pLLn%AZ/\amUBwN/UtNA,%
U"yaI:JEFiH0L=zKCXPf>X]#_\/UTv9.%>uV)uT#0,PaYEog/?v*)Z,[/IHRF*'ay
U"Am/In*I&B=$scXbp1V5mu6-q#BcrHVWKFOb;(E'qxnpf,H3(pDVqG-kDor$_fjR
U"c+G<,UEC+rvS1k6BCck>eZpt>XgXF,)s*eS>,ar9SZTk%Z#X.QLM^^tn205/=nw
U"i=UhbEf/Kg,n+PqF;Ct4IWtUr%fN\?Uff:\_0zI%Zir/#I/lb3UnW^KbPv23]hS
U"krXC87Opbae;0Qv3-]=78Cpd?grC\Frs#xH,K&s$2TQ*&#VaTj<m,<P44-DiH_<
U"[^cMhV\?e9>FkW-43f:alLlJtaVl-A68(1<8m_Ch+t6c[hw:.,LW)rmUK?g1bk*
U"C&e:9$VH]ZmP>-O.D-b=c+%2f'Kea:QInJ*INB]Pe[-Ey*d:Hd=8Z),(KQM3MRV
U"m(R9,jkl&MSwR55_2S-;4<Ib9q$6sUMVTSih_f$v9?=VeN*l9B1K9]6ZaGA=jD,
U"as>:v9$=4CC:aw%3VoE[]&&78qkEx</WE4$^n1x'LFB.[L'4yWCZiC$B&^$\sAp
U"j8YBj]+=92qtdql-*l&HTfs_TJl1=Yv+.#t2,Y+K&Wqe:ClonGVpbTV:2pfHL3K
U"./B6W$Pk+LhZygIh0;TLel9:FZfy[g8\G%)CLl,#*a4IMHqRKde7.muxNDw=_2'
U"tlGo^lClyC+eF$ROqF,o8ihK=o(#R[#KoOO:d4TpJ90?l$SCqhp3Aj,$]>#WVk,
U"fchP[JhFgFL.ZarnB_cM25bE\SYl>e?*8?CAtO5F%pZ*?6>+p&T><4]:bqbe\W9
U"[Y7cM;]/5g)vmkwr(%pc\VzSqOJhf5bjn:8_8Gj(//<Zu%saA(t.&0BmFp:eTWY
U"pWj5,T)hnV,f<me?rb3o_xY]W#$2P[uW^$,bCr.B#rtPYV#sboJL&ypbfZ]:kLZ
U"l%3%;TE$AMUlF>)y?+<B5(hxrr2vi^-&z6s/Pvp:BwN3]d3Yp:S-b/cVK;gL$?p
U"jNf&0sq0j(df(S.PIXqt$1jC_Fg_?/m+%JFHX_-Fy\Vz,':$lpJle3k/o%CO+Wk
U"L=K;cPMDF&RTQ4u5Q<f:siF%T8%$EbkOe7GNi6rQ+J,<\XYb8&H&DE5=WvINNQ'
U"_WX<(*ig]x(cl.T,BOWCQQWp(MW#l7Z,TiLA[r4;?O6Bq]ZNp\G7Ki,2i+]0m:j
U"WQHl*(I6^UKxI$]?Cm4d<ZD04,o'=CX2:UkE'cb2=4MAp#?C+dNJ8SBQL#6L\2m
U"X9gC3:oZ8+13]_QW$W^nq8^P'wj4cZotfFtGB6R\XgP7hEC%(-wNqn*8D$D04H[
U"P-97Tat+YH)mV[RWbqeM0FO?AC4=QQK(:_&=H>-1v'W<a8+GHgn?#tXau2e?mEA
U"b(#'j-BbhRm+;Iy/KT(hM,8J7'&g+KZAx<dUm%sqZ<3csZ0E[G8wm0)<g8#MKz'
U"Xfv]7,^\6M;8&g&G6sckICWL7%gNwF(>Nc:kj##qA=XOj9g#_:OAYbY1UJ]T;+I
U"spn<SjC22Xx/6Bp\Day9lTMZEiDZRT=zCQ#TU]r-T)#^A2n]qKj:#5xE=2>\Cr/
U"c3XCm6,W;+taOH3Dv8BdX<<CQ]?YaWPYB)tdlS+e68<Tl$V-d<kuV^bRV4Fso,4
U"D4R,fr6&:7]+p[[c><?Pr6r3EM8ern*porwnYoxjTU(f$rG%xwNG7ol+%Wm0+uf
U"GY>g?Ue(4GrLMoOE(N>l=)tLMT9xI#rc.;rNd3N^6s?'rae\c9u^W5&r/=BmkP.
U"&g_G_G.5MMp&tlgc^lrnu&:a>Fk'1(POOz)kr:rEoMECpUR/TmXNmII?BuK0oA'
U"32V3eU+(W^S,_U8(<mGXNR',KT-3^<S&.N(H$n)Ri&S-7(d%:EuvOk?TQ>-n+(G
U"2njF$[ZM?fC<T_f3s5F_D2>1bTh8^SzG;DkG3vNpBk8<P8#NuWwB#7YN\6xNPZ/
U"$)cF0:l6])5Y/:7Ur11TqpUngs]PS>ETT,te>PnUCl?*q/0Tn:c\UCRR0j/Mz',
U"%cOu^W[j.42kokt+b78GEL80(]CluHZ$0__TCdCF/qw5x,5HN]n7C3i9bW_j#I5
U">+;R3%2cX'gZMe;\aSS$^Q+#HqM]Y-9[V'70p[s4,\w'7=7NmA9G,hOAIUyo+K,
U"5(L*0^R2LLYlCaNlVGl<XkC6Qi_2+B9-UhC6g]*b%B+MAr1Q6]/;4kSx7]S[0#>
U"_g<MQk(T*5&/oqj&8JZlL;nLFE=/cE_[:(SoTWk:=8?K3?xQL(KR?J-FYi*DYY,
U"raGGmrNIpSJ)uQ_;Y?#Qg\D7^Y^Mm1#20D'stTj(sp0z=QL#WcLGTPu1YK1x?#t
U"K9l*'i)3NH[\MQfZXC5L5WSY,Ao[,g'fX>8_ViZ71AgdG3-j/uOJ=7w]:9VCuR]
END SUB
SUB V2
U"?IO^C1Zd39-75]]YqapfO<FRc8-P4>h4u3(\%aR&RDJljtfVlOoP'SwmNN3TS9Z
U"dv^u#wFNBBb-%D>Bwg>,,hd]uDYhOo*vHDw%98V37=1Fd2C$+Updk&<:C&&udMs
U"#8:=aTOAMk<F485TO-ms7[8A=;7*;Wk:APWd_kb#+PYq^vz1q&h8P*Mc6)54T,*
U"sEvBkvJDxrjs6Bm%Me.ICGJh$nWf00HrR>-Psl76nsC\ekqt:lxHPf*->g2F,sB
U"nioO2en%UXhGee#KO4B=:WZZ%wAZWm&_?YMBQQ=yMlb>BfL__P'aGIy&%6goOKs
U"P(H+/uoT(QcP)ZaDCIJ[MVAoi9W)QR$m0#\;=pr#_6YE8O_8=>'^;M<#582Z:0y
U"Z#Ar(P](Gl$x]Gg^5b=-_HL\zxn'eh+sl<,8;7/iNWW8hbC_,;],R)bLphZSIfU
U")&F?hs8H0_PYb5i(ve.3LrA>ZY.r1Q1A2W3i$36Y#fqc%5dW_/Kc3T4X)8O^-Hs
U"7f_*61HBC>m,3b?b+>dQi$37CZslf-wtvqjS6+jG8#dCs't03cbACbV*lrByOW7
U"b1I]nUH'>E;=:k7D^rZ]a4vlc]w5Fn_Dlhxv4X*Iarxt0)N8O[QbAh]rj_?4Ip\
U"Du7dlkq;qR3x:sBK]n*nG;\SGqCewukQsFEjwfJPCp$:v<NN^QLB;mtYR8+c8:L
U"ttuFKx9STyt-Z&*?VNLNAY[[?XOJye:X75$9[dD>Oo1]J52gO9qbPzRbu,0gn:#
U"\lx.6HNv0imvC=0#LH6KuN*[gd4uB1c(E,B2&0VDHnhZ-dcLpH:jnY-cq-vP(_*
U"q%3DwzBxKzv2T#89%ll*A3.b)kjg&e:Yl%<lVs6lBU1a1_Ww1$v6F$ZZ&n2RSTu
U"q_z2,)u6gDN7+*,rh[?\vdsh^0$,<F=(VNq[-bODq+D]RdTN7/lk'QSO4N<Qp/e
U"'?VGomt;2CO9a*vp>JeF:)4x9NooS&G0]AGa2nWu(Br+CgUHV+OeijC_;:okWuu
U"Jq]P',D[C/XO8q]$sT^rntbCce6fce<X)PrO#Ys_-b;BDuubB9r_ol:''aPj*(#
U"fGaS;3nRGWgm$YqMU3B2t/,f88B+b1j7&;&5A]bQ,$rPs9es#CPfD?3-frfQpcH
U"87]?]VYdP4L<tUvn]d+2ZW(6DW/,TlT^8[\?']+-h36,13]MoJlu,h]Jfe$OHg-
U"BWO2]<iyK'C-E4_PKiLLm*6Ul$bs0RCm^_PLeR<n>cW1P?#m&fV=F;YA=a8t%Mg
U"_5t3Bm__I%rU5c?Qq$g\kK2;$:pc&[u?80olOs+a9W]P+%x*c&SWw>xm%W>m>g-
U"[Mdu*%j=>ULqJjI0WVKGBf0st9tMiEIh0Wp8qNZ#7>-Yq]$9)Q;E-G+2aL)?C:,
U"i/YjhTTGQlOEs2N;6XpiOCoC74GtqYZB+9V<kqdZ&:P_&D(dg.sQ-f*6eO?U'?Y
U"s;I%Ud1m:g]^0E9YK,aj)qcYXnUv#6bujt*B*3fp;kqDm$EkT5%gWbFW,hMA+ow
U"gF^tJEt/qx<8QT/81^+[6M[q4^tFq1B\dUr\JbQ-2HJD\[T-*U\\\rvxQm4?xSE
U"Ng7j*2N':R>=^\yACD[M2;K>[^u0MGn6g:2mJb+6\d>jTJ*at6ET*]XB?Xi]#:/
U"66D6J3#1xS5xXUfRt0=ORDO%ePPbNtKhQ?HkOE-eXVdC#U>OCLDa;B-^-(ACk\a
U"(WsF<MnJkemRQ0khP0l*;1#;SDKf8&xoRQ6P.\TH6#M>pw$.h:u$.rFO+%gV&$E
U"y*uLw.n\sC>+x#1aO3ih9UrnN[#C$nHN7(\06##CUQ.S:,2H8)EY.G8.k6OuR)<
U"wABUV_XvY[SR6E&*yGB/v[d&EWvK<OvlZWM:iBM=:NAM=.N:S=.XNoH.'w94Lqt
U"jqhU2Rj786hA(P&atdCM]dNH8LV4JKYBqaAZ'PH/j7sPR4AZpv^(^r0n/TR8u:a
U"BGK;#[cC,5.]-_:qdD9bu:X$Xrk&(4Q7q9(%tcoE<;X4Pex+,?q_48uj<SsBtu2
U"t>FhVe_ndusasx0??Ngq/-x(69u^;s=/DGgCm0jB]iLRXhE+dhH:?$+aB^deEol
U"k=<Em$FQHUd/_/pYIMxy,E5=XNob4GI%bf+t9J)GB5x%0GgNThvR;:7TR$jPaZ2
U"9EPkidKUa9+8Yu/2<,l$D=wR4SH&loB:=9hFj2D]guI_DKz3_bZRa-/tb>WT_1+
U"3+PK/Tmsdq_.W_11AEAiqUxP^E:#Q2X_G5lFLdGHu3.6#u.ksi]'[:FYVp4hJ[b
U"H$'t9tV2=U,l5CD9*2O>42C$U<lTDpe3EllN;o1YF1k_3pKs(;3QLCgcYusx#Nt
U"QQ[o>I3J2ZmW?%B/]Z3--g+W^=]YgrM$-L7-h.icQa1Y;5PB^P[vPpSM=FZ]cV8
U"O]\'Y],NaWcqTEjTjhqb#lZ(>TbjY<[d[,Nsm9aK8(kL6?,hs=]&mjViC6.8j45
U"Y'Rk;oT/niIq7gIVzoa]'sYE;-6f;H(x-$'R''tBlEI?GDrc0F0X07j:^E.4Dv'
U"0hO:zII)dr+6Y19)t:dx/N4+zNT*xf5y110iK(-Tu0r-rAgCc/^b+Pcq0[i-Cn3
U"6mGADv)FZa1*6A:e-mK7,B^ra50NofhNO0lci(r.4Kt%*i*uoKq.+[4QdKZ.DP8
U"LnpJrf-_\>:S-cc*H:Zbg'tH9f&9)aq)tuQ15EY2,&9,2%x(ia;gLQ$r^BS9bQp
U"WEFd+Bu5)O#$Z)Q#R0/+I*$h=-8uc=m'M>W/,1n$+[nqUD.YIZQi:+0%pdQZOgP
U"CZ_?U&tQ[=kFWd1VdS]G4dufi'DD<;f*iFZqxY)CrhV:d/5wJ/d+#>+.nE\d<j1
U"gArm_P>g/0K57654lveXp12tQh#e<1Zdg*cO:rZcTmYt\%3[FEnL1Xhi(J7is=H
U"RsF&C+&nswnI=E'&$dm0%h:hrpNtbpXaj;W3gr_[A,h1kYZHix4ZEqnYA$fG0/+
U"R2cDiGDEu]RhnwH?=<*](nf*$kNj[c8,m%3V&>/GgX9<K3;hX^:gd[+$;YD12rK
U"G&]WhtZJ-(o&EyjLKdvp:Ztb.XE-L*Dr7p[9U]HtqcIAm\f=91QNfwnM[iRoZN2
U"J[\W<XiDta:YQG_5n%n4$C;6R2A8/\Y4;X%$AMDK<DCo<I^kqRHso7$%l1-95'U
U"8^%E#8OW#b9Wi_N=z,TD3;>mP[:uG&pU(=Q)ObsM&b(GW8#14Yi>(nr34<Mmdu6
U"g)f?wQ5=a;R].aG^TTG\h\,^.c['&X.U=R#Q76<?xcLRm/#/X+9hRsoq']f:;c/
U"0x0^G<gwBQ[=IB3[a<s85g0\'c1+\rPrKD+0-y>Flscqc5o',fq;zJh:NUJ4jxy
U"VeKYpF=&6>_7c$EJ.3AE?Xb5RN=4Xl;cd<r0$nmtUEP\fzLXO-vZLgi:uEZrT10
U"^n%jv7a/>ab\odb+kR4ukbkaoO:FdiMfuo]r<_FtlGkQAif.AM&qI^k(wa*6c<$
U"5kS4>/IKbVJ5<0GQZ[.u.ngKv+7;wig35_YXliPWBi<=TjPQpu*qdB]\Jpzq:e:
U"'MUp'ax4Ik&3T6/T\C](sf3Km/G>PU\KPKFSuT1-><RM;,W?,JJ.2e]]vtTKNR9
U"EP9Nun>=](pB:bHK]1*)WT44e#CsfoF>cO*4f6^4qapN=bO]1TJ6(Z.-oc#u3EH
U"/L=Y-Z%k0TKoWHvf0g:4B.1U&53W&XUF9u?zt_V+RtHPfZBu3$d;52qB&xRNY,L
U"fR7+vjAoiVO-/pdw0<hJ0jask4HTMnJ\z;=Z8V.0NvYa7goG]LhTFJ_:UxqPjjC
U"&AT_XFyR\5Hq'xAHYOsi9/4>LbYf&p:NC]cob6dt[xo)&46R5Jf;qreh-#ia$$t
U"g\B+^DDB&fww*^*r+cd[[/DUdyCs\$c:&Y\$drjWOCNRLU83gCRg4\a=Fd^n2h/
U"nEVvSui^wV'6d27X/<vD2SxXf?0t8UD?5Z:.J:[FK'<p8q\ugrmaLO3jZIHpa;v
U"Q_Y9c>PMO8iD./bO;y7C9-?F]2R=+VoDHv$DMojh=G;rV$2EAqYJ1clkIGRT%Hd
U"Jx^XU)13I]cPGBAZ2K2ber=]&Dx7NGd+HX?\1$9(^?9G(UD3XmWSYEePwP?4vbY
U"5ajZY&dhkRE*A,ETKnEi(?R_PgUL'7p?55BfFnUPOgft4R^n[#BTK;.M$*86?nU
U"e[o+55;tS&$wffuqV0hw^Yb\hV\nd<9U=0UUx]w$Q?*8o;L_kQx=<*gE]eZ&t;Z
U";N$g.b/By7Q;u[8&;9q:k0E:gKqdBR(zJ/cvbYh:5k(UWFdDi7V:3Fu[6Oahm*x
U"QqTP=6dq+g&sW:#:q6xkEmZtnL^S[]L#OLZsLaCcfU92HiYllwo/bK0btroXMqs
U"s'$kZ$>3lqPmYV+TILRxh?+]CE8X]Oqsgb-5nlL,pgC^BjN=Dji+GrSyLNL-NNJ
U"Y?ErAZbTHVjL^K^fJ&mcFM#5f3uK)P[Y]bCt&OctD4bM\7;?Lrux77kEU[My1lV
U"y\LjDY8KJu>3CA4EKGR(#(5>c.r$.#m?cW:>sfVx2(fND\YAyX=CHPkC==Wo'Z?
U"sDG:*TE8:*#?Jh2KYipZ/JmTLP0cSGP0U(X\ctgVDr7NY%(+wa2(U<oi7xQ/T/+
U">\a6W^#dRfH[lz7:^gU6v\\09^a*xr'Y's7PKPr6g4/<3QNEaSpt+Fiw4%xg?,/
U"K3rPUI\r<QOSd#P,.t5bt21^,dhE?x#ptAgVUJ.1TqmuG#wCc9?or)gn&xe7)7#
U"RkwG#ZU';vEh7z0:?4C^IgG^^<lxSEl9eJ1Wc\v*fA*PX?VI4l1)rh-N7?%adQ,
U"TvKDA8aI6q4FHV;\C_kkUF)p9yepod?)pwX<LYuJxYip9RG7zo#gDT;^qY(BBn?
U"J;_I^4^N,\X+kL>GhT_jTxauVl[TA#O7d=$\7D5jY#I%]a+x.kxkY+p+s.4E$Rs
U"v$kp^=_*b>wE2$V5WEk[n7gVB]q?<LpA7FKgg21=Kg?wO]MSVH=Kw5X4/v(<^Mx
U"kkm]NUd6;=OB[%N<,.iCV5^<<4L&TCp9Hs4n#Dn=8=6<iKuH.V:OpgJ+rei?g[E
U"T__?q[DTfJ9XZ*>%GvYb8.8?)lnsrGF>$28tEX.t7hs8rX8^)K;($9qC;0A0[+/
U":[ijgl[VGcG%+'Vkq,sB^Q,?xnGD,B#7(gJ/aJ&/)%)CGFYYS9oStF+3^h?\X3+
U"wV^-/WLqoCVf(nopDB\9iLL%.e3O;\YCu-RUVm7u?QPehToFlK,KDh]l,/?Amjf
U"$Uo;jl?&x2S]thYas;1V)eNRR?D'ubyWR8ecMZNCxcQl_/W6KD+f1b./B_<,L*D
U"%(Z3,=i,0<rL5Q]lGHRv$&%[\]?IuLxIJD/8PhdGia_<Ur*b'i8:.k,hLxU-JHJ
U"^j+KlR$.cm^h]9=5G'N[Zxf6=e?TKHI*G66GL[LMMQX+?qLo<+PDRJfI#J-,C9Y
U"K.]C>Q&mVo$ma%MJI+ak11OzJ5wBj8uTS:QOkuHGe^m]tIdOqYYN+W'%0<iRvnS
U"bxb#I=bPZ;*2F2Zf4Js>IHcz\\L#dC?iLmaS&nnc3eAN<xS]SSq*$CFXujCj46:
U"n1roB^K0w$bN.&?CliK-mhMRr5-vYAb8cOE/$n<aA.c2.oP8R2+qI'-iWa=&E&c
U"GoTlIBk-'4(BT5KUX)Zv:CZWGv$S9[LQ^)rvIXEr4LfjZ]X8uZOg7;V%8V?c%t:
U"WP<F96n%ipNkSNVes,r?h6['rQ.JInNSxj;WF00f*xBIDR7qI^B/.K;RG(f^(iU
U"CCn#gX<Fp\ViXWp3;ocrK81]P7q%[XozDcFDH8$r(de$Su+B?,Vc$kSWL,2)yWc
U"o6.-1:4AB?(/0+Adk*)%/bs3:YaTInYBG3?;tU#ouf,:%LDC?pyc6$4o2XTElUu
U"eq>qL6JK&txZ(*WZri(GWlBG3vb%0\ecVudoHW,^H_s8#w97ztDH-?ib=XQQ4[>
U"qY:7=U1)^-_.;naU?8Twvp[j7Y,htDVHvMMHL%P#;7u26uvL\D]y,OGcoa[r0BL
U"mD^';.6db-1)gGGhItjmCz45;$[S<I)D+72MZpeZLX31h?2AgV;j#'7PP9LlkC1
U"xkd54zWknsu-uRDI=+9\&YU.^jh<refZ=w3E&aTqB9;pO._X7]0YADmX8M8:=zf
U";WyA3,-K-V?gcB9;W(/8D^NQ$u93sP_:Rg2u[oMB.xP#j.j92=9S)E_25YFYT\1
U"<7?7hwdqI5%D'TH%1_oq6-\P#w)vepBO6(Y5txM(P#r4i988Lq,XIENk<a<5KSq
U"<2_ZIC+%9#9*?GmLzV,U+.Zhx;?wZM+fM(8OJz[F6IdYoX(CFsr>u=dB(MfrjM=
U"elLtZmj(qV#q=Rl\UM_E'[Y;['A&;Uq[f2,q95&HXUCLt3wA'Q/==Db_fsa*aw5
U"qkBv+>t4wq$\]-%glaM6ktP_kNWfwDpx'#y'oq-)]-(_\7FV=6MxG97N>h0f'ke
U"ZJw6lb5&X61D=.lOu58Yej^dF'5MSI7HN7O*r10G=Y2-&>sO9=kl>;CSoGI[Doq
U"QZhNtyV6UR9iaW^M^'HcRl.ALEVoB194]mKi[_q'(6^okU^+&,,9i#O8GA[[Zu8
U"ZdR>qm$D#ix%FV3(]XTW(g#%#u[e2+tf^MWQ[/MG?b)K<CDSF$r&h43Qm'I$*d+
U"5.nIz<kXUkDomu&9WPI4KGj0Zi]Ei.I1B1d]E$6?dkktB2nNWA#$(t&Iy1W?>fU
U")WF?=mB<cQE5R2CYXjgtGmdrI26)54syXwxur9=RbdlurnQp921nDVb&RGib6>5
U";>%\Ybr0Wr'^>t4C:3I=S7mg:d40qDh((-4JAo.nc8Uw^5b:/\KEu^J&Mmo,BSw
U"b%:=1^,UNsmKA-q;SaeTu75f>2dpmwRe/-X?>x%+4M;a7[As_=7'H8jx)Tz$FU%
U"fpWcPh)NdsN,(T-6x\9bf.PAm]z9RbE&N)/mK%3w7fy8NbF92wxF%B#r%[Ll1VC
U"XXUPc'T6j9?DE2(FHEm6N5obl:8T,E_pi0h*n/R'[D#vQBDiBJAQP:U%XAAke#n
U"rgL:PgbP0e)RXfx0fPgri,jm?Z'crHcZe4KUdD:HP#8q1ot?5mvrowM_H'+$.E:
U"z&8Na7:Gn?v_PJi;'Q3?Uw/u.-0#a[qqK62eXzLR2Qvx4uI'MUPZd.Jd//xIZ\f
U"h^[otx)y_D0PXu1HM%Y]7fI]qj\nlYq9t6vrf<sVm^\4s?]m\jGF,n\t*Aw[6oE
U"9NS'86*WkyfrMo[cwfPOw%A$uI6,?UI:1%>+X&ogSoC$B/g',.Fse4Kicf7NlOl
U"2tq.11M/I6W9;Q]au8d$djYvx;')xO#D)kxX7CxL&4i7/X'%.ijaiB%R9?F=kN_
U"rwPdTqZcjE-_KvtqC2%UPHjT4-x1os)]=6xV_sfCuT54[KA?kw^TM3zIp2//x.G
U"'QM/]*D*eL\ZT%mu;R&9-vK^#v9i+D=MF8iNK]R*h5U^/NPqi;9)r[+A$e.3GNA
U"X;A-s<U7_G%<wb;FVt_=XRoF0U0^R#WllFX;ddmP7Uo%:zEc>,.Sj2xc3N>):kz
U"=,dPN_wVW^Ib%(P>UgHwecepnRB7$NG)I%*pen^DulQq]Ch7OlH7os7=lR_c,tp
U";:CpfU]Ji$.,JTb=pG/qnH$\7ZeMYt(u/>Ucj&^?L*eHQS3p%M'+n:)1,5TUdZt
U"qD.=Tb:>;8n7b,SA)K,z;;%TbDXZottJ/SV/';?SD[59^IS<xQNF4Q5S;mWTLb+
U"\lnJZNYssT[UmGhHx(,RqtJq0u1i?hOAx,U#]SkBZLZZ_j+l+V\I4RbO:N_XOYn
U".<Zyp1i330D&w\a]:BYUy-9<W,mc)M8MYnjk-OIR2T'^MTDW?rx-SFQ]a/Z2A9]
U"YSr&T>['.>V5QD0d%yok35-IIKF=X+1;I3HC*c'wyMw\7Eh$QfEU,&p&zGfpu%[
U"d1VD_9[_EVVr:+cX3<>9+kEI1KpJB*AXO3#p%d(QoQR4ZK5kv?bl/#gt932bqs%
U"v#)\atFVHTn-g=%2X/XlSE/Bn38i2>_lm_km.:$%vO.uK&gAy;*()BzC=.%4^4a
U"e=v(rh5Co^2l&eb%9ha2Ubf'L=IxN$V8*59=mtBKqgYyCDY[#ta-*^320)Fq-c_
U"'r9Cd9WuK6rdPAC8_^A&h\u9fS$A%dj&pUr50%2-y0)+*9_gL0^V9m/pZ*\a?f*
U"7bZl0%Wql+ev9EHg^W+o7v%Kh>?Sh8iVCC1nj9?I4ObWbi?iY%7OGWGnpZ)1>6_
U"a+Z]d\ZVkA[1\>??A-ANE%sN/CWY&b9?dL_<AX?lt&0a=t1=<tL,1h2Jan>6:lu
U",9s[%m(hXxzG'NRQe1?])MImhydUivl.l0c>wkMNym_e,D8t#J$P9),v\'==1sc
U"N]mhAr?[=5'(keQhoNtVzO_H\JKo0+kEszu305E,b035,D:LPWk/:bCuv&v.Af3
U"I/]:vp7zj9qQ1.?ODdC$:NEpB9AoG:GNQc'h\</=Gn6xZ__W;;O3eQuaff*hLhN
U"2RY7:LEq[N2L4:eC>qYftfY?%iqk%2oa06BaNk6JrqFj)uS#[5M.TaCg4Kk-]Wg
U"]ES68;=HB73K?fwA,&2LNjg*NK#E<b5^bT+8OV\l7GL9&*-LjsE?'lT(5;^E/^)
U"cO3Xp:5Z=Mddn8*4]WeZi=[$w*jd\ZBVEmbiS6c=k?mZuY;u)k+_44Tcjc?io+'
U"lwuSXPe03EFbu(ex[.pttID2SPInv#Ew=A;i\n5APfMuO1X\=^8svig.-iIp'8>
U"hVg;D&gRoKY:?[$.KnS/1C]cE>CviG<+;/kv]QRnt4doQq1qEITXAxM\FuQ.m**
U"iI$0Z%[xU8o?[pG>cetX]LMC_FELqs-,Q*LOv'rU)&sIeU3btQ_<4q+cGe0YCv*
U"G9l7hmtiGYTUkrscuMm9Xc%OMKc]29-&J^j(TAKIFLgPUYu[q_.(#8F%CYfvO/o
U"*ihu\T*DPSPfplS/=X(8-GK45(B_8F1f.KL,hNv=KH5m*EJfBQ,_B[+vBtb0wY$
U"7z.'XVp(V7:?%_]LU<2Qh#u>\hNpWdCY6PC7-J4Xa<dTEwH[,C=i[C_'2b61J_?
U"-<ey*3oKHK./nKjc$MCGuq9H1++H;-bNin3Sijsh<+sE2sq['Y#rBE/jj=3[h.I
U"f>tA2(>uN7nW\#^RN0_[gN:.aoEK+b<x]4YE_oouMrfPC6n#A9BM961[w..W/bn
U"5;CTDg=?xl*=0B+4)>l-/'=>gnujLUD3'.w<9noC9pVnQ;8_TDb3OiO[a>s3Kn\
U"187If_KS^q;h8uzdkK6.wXuat4YC7:MY:6)=wpkY\s\v:\kNpsb6Mzm(;=qdWn<
U"Jn/mKKIeW*?X%>foP24<w(k1Z1u$BGg_W'i:8WF#jNg8jVnT%&nLH/*#cZ.,^1E
U"PCI?g>Aor0ugUu$LGVSav/P_[L_WvQuCI\iS=rfM<7Wh5/Y)LBA^)V89lXQBE,-
U"rDqMlCb0d3p0F)xV:(uW<BRRndCxY/AmOF_$<J:vnEauW-YA>_VAMoG%pa#]>Yn
U"+Sfs2&ugNul^/gv)k0ch[01jAYB5W0=f6K#AdCj'6??a:+=X<.+x[%Dl].e-Y0M
U"hG<?Nk7<R=ZI;/=5&iA]0KenA8en.<#RSFwQw&_V:Z81AbEO9REz,)'x>p\H?Rb
U";MTGG54W+2q=hPd7_QCL\)8a<W]Er4^4,>ubu73R3_o<B.o.ocON2MSGjWQdPJP
U"/=[[SbcjhOlkmPcw']iuQ_yqk_n/w6t6beS/?+sTHtNN(l-ci[&:cUYx\y0D2E.
U"-6Fdi(1m'HQY5htFr)ZXr0<V1oxeO\d(j#1O23n4w8r;yQxT,Vn\zOzF[u?lcxf
U".j]^2nLWGgoXzptudw(n3BEa0SFMEY/ZJyeEZm&.6AWYCPSY#O#<l$(G-rR#%cf
U"T*G[SLIQkoidkeS(;esdL>J7eG*QToAUN]dYv;UHgN0*Xd?m^a%PiUQ,<hMa:-b
U"\^w?bA)]+>OE.cdWpE0aHhz>f96%]kCD[Cp2M'*Xf8%71/2GBN_S.gTJ8Hc$=y,
U"WSXCI+*D^itfMn[$*$9-MsbRWF%z6%)O$^S92Z)WAsp-leneUDFKiABdjr7EkBf
U"3z+-Lf?z#fEA7q6k)Lnd)=-X7asAsw'%>bl_?Sj$4ojV4rOn9A'[Pm(j3<8jJ$g
U"4&n%&5H-b&uee-B/S%o1ko'S7p(ED'6n?n3=gvkUKl7DvVO4K:(C<7aM17)j\?J
U"%(8LYR-:S\D4gG/yIIM-f:GBcw#&i&PJnhs=]dqi[ok$kk5*JD*_p7hax%F;-=\
U"8A.N^H8N%M6'_4]AY)8:LD[EgrR6rnh&exWPXxNSr8ha>_Wx>D1y.c(>1qoJAYK
U"l1F/ZE^C.lSjGs:_0P*U=/yqenZ9AQOpPzm(Rk7OEg;[&UcemQlb>>gdkX3Y+%1
U"2XWYW5pf]=Y3:mi7^b)-e=,cH2>(Zp.I7o9ocuPDDobVoMuV>]wP[4)n-i.uz\X
U"Aj),c&h(qa.a<?yP2.VOe.n50LX1Rk&x+o\aH+]E'1.vzW8,nz[J,/n1c^7W'b*
U"0V1F45(=6#51k58zBtM6_]\lM-l%PmMH&MESrS][=RaC*cU=(9//afo/VA\w'+^
U"_WBKG/ti+2)op_3uQZVI$$IlpqJ#*CP[Flb.)232pE'Vb#b)eOg4aZ)Ss7<m'-:
U"]h4X*HAp8XMb5M:jMc<)F)$nX'_L2/upag%<GIn5pq+%bFr9^NG<%ch0h])KJ/%
U"1V1a73o&?tSFu;8P=C4N_\Q1e#T[\HooI:LyXW#A.s\399B1l7=Ei]Del%,WL5\
U"bqFG<g-I\2%ZMuZpGSMY>pI/71HZJs^buVA[EswS9cjMM+$L+r#De5O[r-GF<jy
U"H66\qC.;-+T*ain%\hGS&QCt&56BGoMW',>.eI'D1S>v[18;HroVT=>[v^puq%2
U"(SH#5]VQq2whWlKDqOl%weBP03eHy(rzw>.LhTG&ccVa.tzO,&8NeWTYaH0<lTC
U"V2Gf9d']JlO>fRVwX5VEkH^:<lJ2JMLBmWJ1.<(U5^ErW-GL0(keVB#ioQA*tPV
U"fhS2f\R*%W+-/Dyf^le$p]v-]Pm'euH82/fNzXE\3socI,9n(pdj)'x(/MS#)pW
U"?X'5d4^Zo,4hi&SL]58QKQG]jE:#/^328(;1L%rxh]eN7:;E4Hgk0Q0B]vNY3Tl
U"YzSpy>WKUgUwG4,01&IR.y6hE>nfi]meUEq/\UvX>K#0xK6XNL,ciRHxVV8Y=n&
U"d_rFkM7v2TGw1bU9'kpMzInBJlY)j4SsmFZ-;]Wm$Iq<ojxcdWRqg#C1_LJ#3fZ
U"t7*zp^Q3A?c1-eTfK[LJhCXd27)dySl8E.iygm%1a%y7$a#Ajqd\-OMla#61S>-
U"x21t3LC-H:;34Jy2tS/hPUW0SV.d(Kh_:K3uUk-%FhfP2mMO.:w4Bn=^$+>]#p'
U"P-[X^[3sL_Ug5[vO)bGfnm5V[TrFA<j]W_XPQqUTUdTn-Qb]ilV?:[PC)N,M:bj
U"+%j)\?Z>qkYIa,0N=U[?M&bX-f&HrMRXGakXxR9gNwe07y_.<DV7,Nt]5RZbGh#
U"_FV\>I.(zI9\4L=[mdIk2Qc*MLc3=kR.m]U0ikdlqR[3:\l]0kgkp$/E(c?N$(r
U"pcLWwe._Jv4tjcL?O.C_A_(0XZK0Yed#W#t+:3ml?0N&'Z'axm^)d*aLp^03cNG
U"eGK&h5,RAyl*vXy9-cWn$Do9,UL+%qe1N5FMTtDGpfl\b&HI(r=*,G-[=M]*:im
U"=$JDkp>58V18^8bIZ'&Orbaqlqb3[V;z^'N_NWv#'+/1W#b0W[5S<6od2UC)1qx
U"M+ur<aupVUG*+_l1wAEu\H2tTagC&5ggj]pp'HCAfA,k)pn(1v1%[]vE?cE1N8k
U"0P-v:W^at+A3/g((G5c(3e(n&,:UWb[sLDa'\.1ij3toI+?0+.(y$EmhUttPi9l
U"cBR/Wx(70>Z&*Bi#K;&WCiiA2uV=1jESn\<_,bq6._WjtHH_$PR+,$r&hF#Y5m&
U"2<<Ob-Zy4\brZOLDW;21+%S2CX??('a6rI%;>I.-u#*#1nY63'bUi*3#G&gaSkR
U"*iwf=:<+Nk7,&YkI[e?#5+L??/fF10DqyKr+qL^qOb7O#']ZA=eSmRdb7*R8)df
U"]v-JMe2(pccTjVp#vPp]tToEfp%OIZ#nIz&57?nM[-EOvkV&#5J;gb[P3rC8o[f
U")XaEKfuPFE9lg-2YOAk.5Y4v2D851L%No.^fYs=V;6SlnK8f3>NcOmgRq_S#G.N
U"cCyc)L&TiXcEq,><NCwDr]&S#YD2c;+GKm/^I5W)R7ad*C&f2op^n5j5(N_ry0N
U"tmY0EykY774IU/)=&OmVGp*Z$NR9=%9JYDZ9$XMrYP#gCu[a-Pj0sjZ=A8%:s#i
U"E\O4kjBeumDIrndq-'n<buAccJ4DL,QC]Mw3-j,XGM5wh?CgO%gnsUG4wJ)xmQx
U"?QpllLqHNa3A>PMBx_<1GQ,^CJuLm-/*A+nlzkoKql^1XX7#?B1C/z[rNT0(=()
U"^f23r#Q)tHlM#OG0EMcb)3f,PJ3=7FSCLxMpS#3m1xN'V(dZ+Crfny1hoV'8D?c
U"_)ADcLF2a9s'a>x(+sNnjWK#J[rO3&Q-Nx^zDU1%W_(ksnoSaa.l*^B\p;?Y-.j
U"uFCS46CU:9bMcC7k[9gT>CGWgRc<=uh$.A6b&;jNVP-W6V%iGCtxl%(t6[U2,:L
END SUB
SUB V3
U"&U%Mb;v*FsWD$ds)lc47g_g=2R(C#dC,I&XU97$ZJ'eJoJQhtX]8&%^]iOSp/f6
U"3lQVIku:BZutlnlMK%3$y3V;TD2$/+Ca2a0yXYkpt\qrW:CP)uTI,0MoFZkoBDQ
U"=9\EC_fx6+<^+)e>DWOg0sC#Ir>[NLc6X-?G'?n=8N=x7+e_E[Y?i%)h:$C5kxU
U"tBYxoMkJbd4em((x%no11o*X^ls(#2-&78ipon)G_YVZU61;v.'lLwlo?\p#D:?
U"A;pi31:<%C>;9[I8/=+-wZ$m%CVC)?xFUiTE,>/wP:v)xsGrkw#%3^o0>3Ikn3q
U"<Zm'D^MH(u=G]R/f]Ax$fNDbLREb-ig3Y38Z:(9HX,Y5wd0fr>qSQ)KgL1sd5oM
U"_r3d^Hk-qF'r)w-9[>GLF*80XHS%d6($%gIBNoQ<gIK_Nt_Tl,wbbyjd5&Srz2M
U"med$a4u9U=pY.cWuk'x;W]rss98];*=29^'=n72C,S4RNkT1mT,%%PnE(b9nX<3
U"q+dM:HX<f1&A/UE:%e;bu[Q3?8F+d&G%yGqTr3gZ^/iqH_o\ZE5nwcXFMz=%,7&
U"zPRpG?m/39kF)7s?1hZll2&66#_$OZ2ja\B8Eis74qh&%Oh0tcWL6d6>?r,%==<
U"+[SreE]Bw3:cA/M6*[[=N200R&T/2u$?3t905ClTRYN?#&#*rfN='rtXx41mVlU
U"2eQLiyhP)&i>9v=_?XjYUG#W7USi2%zEl^8Z9l2NC4he5YrkI7dg1M\C)eKFc'1
U"7F3OTuqsZ?bTjj^-Wm/)5t2p2o?(>h_]DM-,<7[=i1p%Bg-9#G2Y+[TGs]3urAe
U"98]KlxaT;ilBotWJ(5X,bYljN&NEklAAmZdf>#ZUphoY4P\:4-#+'[':4W]q2Bf
U"'9n1b7O5Ap9<5.K=V*F)ex/S&0>r$KfTa,&S'$3^%//6Fg.%&30,R.e44L;:AKv
U"HS35S=>uX'Ihn$*]Hisr>5PeT_EtZ-:dBiX#f8:PmJwSqGcrp8<-L6K[-joD8ob
U"2kM*xXOAuMR.mt]ajMnNOU#l'xwKaJ>Z-QfN[13PHhem8w0m>g62d>.=:.%(qy\
U"P;e)3sGhOhV>p=8$G?-,eQG5?F^=1U&rwFRk-th2'OFf,hVWRk=,(<Ksk$F_hZu
U"3WS=U100Xz.gM&JMuUCR.nwau+i3hrn%)p\LcAc890*_HoGLSB.4Q]O4=ZdP)'7
U"qs06-pbAQxBR=fi0-V2BS^T;GJHVqGi0?c'1K4W?&V'dBsd/'l9a;d38q<C8VPJ
U".U?%W7Sq8KDU.12OTI\I?#[[)6DNm(Rz)=o('[A&A^RM(nZG;Pu;Tr_+QR+61u^
U"IzS8e'&E7VP+G(GCGFCabU.N[cK7Yjk;oEdx)_R.c:.cl6*&1kkB4[*_cA4ekd,
U"5.9wM\)H_86_^?egy[A1$8KlRv&'M]wIH[iDzcx.L%N;/XIh>Ln_WBmz$TC%Pr.
U"E1y#*KTCykATPK4=8BWm>[T)G4Al.#\1li5&?_&KK\_/d7b3-zH6Zd=G-=&/CeS
U"'X8&L9mIRScm.2MsZ1exvtjK$DhKB7.b8%f]/kNNyPLg1J\g//%XiU7wcQ66OU(
U")I\5s2[l;R*M/0lb^&/3%1ev,5%;F1ZgoKae';w?eWZOWBJb>^qy?^?#(G.^Fya
U"G;o8vaIS;/G^twjSh?YK*J*._A?djv\.(fN,y\pV&(3s'C5sc*)4SX3OhS3;?s#
U"*Kr[7n8nB$G'a9YGM;_(,M%.1RH0mYmaBSAq,[6/d?w8bCWeIGRA'BB=.vroFqe
U":k=JF+KIS:l>9pKrntb+L^2no4M6[Z$;ku#0tK5qb'j)DtTGCd\#I'e367*fNSK
U"?WS0FPR?6Jw+qjXe[Vbx$>[mc-hhhUhRKjlsv?Q9;MX3(ZhS?0u#CG]/#M$F9Fk
U")vJ]wFEgC7/ol^p;TO-6u9$MA:Jbm*7H6KJ(=NaEpJ#Ub<PXs:lvV8xIj,mV6Cn
U"u(5%>&KM[rMe%[^pH8t6M^sjAUYBgg*^EA[FD_qusmgyop'ogG%e=&0S01ZH#^_
U"H1sO=+jHdb)rs0AT,]<pYAtFasl9q$Vo[34B?%/P4\=Aj=gtD_g_p4th1Crob>$
U"Ne1._QGxlQ#/#N#gj8Bga*fVj.X$IG&F&l)C3s9w<Sz+?/][:]%<R*UL[LoA./o
U"w?/u.4ckS#W2'_tp8+1bG5+;Y)YR/2,ex3N_H\BIm>F132z/k&1u+BT*zajS-Lm
U"2Y#s\j=Jt-M$_T3bvWa+4jrbqW(kdcJg]Gd4jMv98P[4<Ij7&DbDD9E14b5Yp67
U"w[8C#pWsC_C&tfMo>OIRu#8:a^o(]Pk&BuCf;=HS>xM%bd)*d$iF+uFhl4Aa_q>
U"-NPw8NR&I*jhHs&BM/k.Nv^7[n(WhWR8JB;I-5W']cb]^?n2lC%Lb1Jaq%,eUsS
U"9/c#LyXFph3$J';/qcSKRsIlpe(YeN5fwM4wq=_FvD86lsT=N0\ERK4o-?jaU?;
U"OepIO0?t?X&RH?,]O$:wW3uSg4;?C3EX.3CN?-&UXU3,J2e4KS3GSb'4O[g,7=J
U"1Na0ceg9bGB-:W[[lN2daJua;7toa8-'0ONK%2AxC.sg['hwwB-)QWS5T%ZN:e1
U"9tHTk.g:*swtHNjCbZhjYt(boPAFAHmfjcH_Q'B2&D4sjK2/FV$h.#.IzSr?-l3
U"ho+\C#daB+yS8/9sF_t%N]bHn8ar\0:D'+kt8pl8.o*HU20<%Oh'>38xLi\%a*C
U"gUV+#0R2lk.T9cqAQMQuAmrJHU)x2ZzQnfgKF4w7)JIYSC^n*wIpPLTK6tjLF<r
U"WB+pCkUF%=OXdcj/v'jx_aep9QFAJ4Lp>iMBggYUSRTdOl(+=t;e*^bxDNej&A>
U"#+lq?oauS;VX>=:L:%gId3#P]]mHh&)$2gI>+h-*\6<g144;D5q=Rc%h#KP\it&
U"O2D2Q-lK9]]_DAsN66\vTW17O-,%ZN^gB[67^eIGl-k)6UcU(vHRE]Hu<kmjHIX
U"uiKB2dMOa:4wHtKP)BS3*8qH+.\i4&-o-?[8'=I_#i+n0U=zb:HAkauaM_EKB_o
U"0RSEi;soXKA5_aj<9*]cHq<3qBAb83i_nwa7ge\]GGT07w595%Hhb>P\5I0dR=V
U"?88--3ea7>1v\D7DO%S,ebKPvN6U1&.?iCYH)0W_WRc,)>Hs$YlM5_Rj(s9%8$t
U"'FN#6Woz^I/mA:%i#(nv#O1\h&Y]$Zj]/t)i;F;]m#*Q6CKQEJDh[/E=Hur,gMK
U"(F/::#q].Jj6+.:1*>yc%jT\*Rvoj-&mO(M&=4/ja-SG7ZsRnnKSRE1ISGs(1j%
U"C6C$*L3Jn((Kh8ICbfz8FM[&grE-B.=^ww4EhCU6e$En/B/u,,xow]+=\K>SV?R
U"GofY7.F%?R?Dy\xIl\rnr34wfx0vQ\R+_Dy5a^'2Q>;/D?95'=6Gf0Oh&:\+;5F
U"73HRZ=Cv#bTX]>i-1cUxqZ)_KhvmiUyA58v#9z/:+DXXJJ#w.>:EyGh5JP+,Nk&
U"%M5?<ZYRi9L)W:s9?8-ZnZ/0?lY%cRVDdTm.EopD,$o-2eR-)gAU.g-N.QU10Km
U"I7bVY9?(ekO..)>5rpo2%G;&9jZ9mAEt\GiyvNAC[r>Nq,8NNAd98wmEH$&ja(5
U"OS7F)oY-V(/o'ss,(Nd5p<U<F<FK;=L1kkalr8qFy;Uk94N\47U>RNR+73>\x-s
U"$Fb%?od<NJIaK3&7u\w#K1\XoS(d.$N29E/xIM=k+WSWEX'a[rfBK'azr)mQ(Mk
U"U#'F0s0,G[V*.1X\msg=K*E?-.\]0>oa)^\DaU)/CJ+;>l;s/wM&L?c<L+#ut]3
U"IEpoRP53RR6Zh1t[Z]L%.ojcopV&_+CofqlMPbaeq?FSV[8E8&%PB''VPE5hK),
U"v)&Q?jvFEIPQiYt1sdJ?/rVgm,S'1&viLn0z$o]tqrHLq5]n7.=flE=nD/lG\_\
U"<]ZYOXu%Q=h=X3SZs>PS=CYoT1v<BGChy5B3;uD;>3Ut8cY92jC0:<++?AMd%>)
U"Jo9,t9dCJrdWPH]yF_htge5)Bs$R#1KLy^_N#lAhv9b15]U\Mr6aLO*Yel_$xRh
U"_e+DT_Jr;;ix<W4NWDIY:On.>m&m7*v3w/f,t;N^vSu:?C#KGZTyV4Xr&R1KQ?I
U"BJ0WD#sJskExe9Z?d-pDI,WK0-Um:9P(qjy$BsW&Ba<>KQkT=)&UrrX+R;b3lFK
U"Q%XT5)odA)#>=-T8sj<Z]A/>=0cgLJ]*A6$rhbF;4fRZb1[I=?1mt;_+nDX7i-F
U"Wu_l)<vRqiH53(NKOaW<lyW\sarg0M*CMTHVQqq*C<tE,cw>blBU_L]*]db)+,>
U"sm^jGaUmIj_TLx\W--\yFplF>.eokkkI9O&BHoO6eHI8,+2J/gI&[iS.7$3[:G^
U"YeRG]_5J\w;\>n3wO:*^TsatJ9B]+qhTWGp<eg[.E>F'MEyBAtl4:lVcm#qE;\]
U"(m1:sV?LAxp-]1U:<1hxJ^&eI2Lpb)tt,\=Jxgl,HIrnb^z[?1#c(aw'<Muc3<$
U"['%a^z[ec.Dw;jj:#'f%V%4Z:CIPC+5aSS-l9,s%2r9iLO6$-jXW7rVg,43Sii$
U",:O,AEBdYIWt2o4vwx5-u9ho(oD\^9^F+t;8j?arL[ib<PPXV(t2BFSHggSABez
U"2Y+AB34zUH8H\AZ92A3')A9w>6m;na5(S?La9x,b_T\.fSfj;69a%LE9IYBgE*&
U":'w*75RXoEMs;UlRrtJM[6aBE.1$+f_qj#$L7?[o%e*C1+\dov.eCju&8=M-N;T
U"Xz>KtRx=6$aMRI>^vqAtepAHl#Kba97Jn2Of0ZdCp?#YEGkKuj+1\jl*>w3+ovt
U"2wl8%i1SozQAi$YRLTuLRh8ELVN,6byvKl5^2qJ]sXBD'x>OUr%z3Ja[5R[yv/m
U"]<QDYCP]t+xpt?$WR&XGS**WYoG/[X%3Re_ux1q$.,WXaMa/Eqwe55W%vq*[r*R
U"<fQ6:w6m3k&N*xAB/(z-QdZ];kJKdn21A?Y.]t8vF%.)\r<UTZB.]y76)x>kbjq
U"mjwCipfc;PIj>.TrTbWGmFM%Xv-Q#YSfB^?nA7u-iccUYd%T)M2(nA%/prH/q'I
U"W.U\3uan6_<'=H.Lyx$>J7LaAK:]7vR<_^x3?oJH(zc2(HhmlUWKNPC&2e9+>0+
U"E)M.KQM7_<M_bO8r#7?%1N&<8FmRxf+PRS^[aK9<[xRzn\c0W?/g6)cZR?P#cks
U"p.d$HC2QK>9hqH)0F7..?^pk_e07h+kb]2D%681XMn*_3>]oZnyoDK7:f8\Dh$E
U"8H_&FEU,M1d\KC?7PR#E759NGJ1b\5^jb5y7.\LZ/.6xA1k,c)6p89Ys^+lv0lu
U"?iAejOHc:^-b4hHC>Ykh*>-k2ss2Q)Yg565ZVl;f&?srj.F$Uv$To(jJf[g#doc
U"(&?_w,IViv8QrPIBL2Pn=xfOt>Be%h]_ze$_QVFm&#=TRjI&A*QM2E7'.#-^6xP
U"(h34T&b0&jcd%OPaI\PYsp0+UjQfF;t#UkxgxDt*:utw]GpAh0;t=]7xM\$1jxX
U"x#i%Pr<SB036x&/oKub,_7y76XCTO\xWH*Oa5MaMSVR:Yj)#fnKW].qs_m$sDaT
U"Ec)E\882KU9).6,cnwi48u]M)Km>\$Z7B5mz[\m*k#[P(tQ]$nNs)6wis'B<Nb\
U"-25[III0'QDJKMXZ;V3UF6ii<WO4Fo;xU(.JHubm/3.#OYU+Ij^1h8?ac0DTATN
U"Kw&61]k$?Fo6)HJ2,)\sF]$BcVjfuy-DnY)i2DyrAIW9X8U2jpCn?JuHw8:FrTl
U"*2X,/]B,O*8T#=iK8L/a+eix11WO%>vJ73IjiY?N1AO,U&)rf&gi^]iAQ[wurkR
U"f*CYQqVP'rEHt$aDVPdPM$?)g8%zNZ[*/BGj1jeuV'ZQO?,)&:oyN,pDJR3hd].
U"OOcXM=06McBd*tJ-G(XJzQBp:ogxLn)u.p#Yq0?ukiWLN0#h\CFXG4DLoWJchWW
U"*XZkN7yU_s-+B*[zZ8f3tHSq%wUc>SC&CDzL-CDE8pFi5A[4UoB%Dk:S9n6;\Rz
U"OcoH:SJVxyo&B'tNE?B*\JCt8XCKV<GB(YM,'gr[,^<2DK('lQXHM%\G='$lH_F
U"]/-&oCG]l4N,PmfKzPUPf?O_;jfnQ5%iTPsT1AldAE6vQ<dZwMnFsLhHO,7WDl?
U"wURkQJsV<e/>K1Uontv]BHd&tEs,2#Iaj(T$_Bf).BTf,mdbznB40k0kJ>nEV3H
U"2QpIeKJga<yo(e#po^oW2.328\e'sjWup0da8DIS=T4\jCS8#1ncOSVTk7F]s34
U"j(Y'*R^<Y;<JnQ4hnnjk\,w<rXV(hl0J^\MNzRbsTz$qnEud0__N<mA_;j:v%us
U"LTy=NQ;n=^E6?^.P9.>d<DATcSn;S2OtqE'8c0hbO0I8)XoGABPAnm[p_nrFXxe
U"f)(m%k^fw[Bq?a_2$DzgDFU8DD9?580lL,bF6cBg/FQk'S&<5HULNuEcnh_DHv_
U"$FT'sdvo#ShZ3wJTd1rq(Gl*G[Wp*>x3TjtvhH'i?2#M/G7i\i,?AEs2gu.?GV6
U"P6n9<gRMdJX($l.1u[k$E-,*a)FO\&*r2j55f#c^LrdVHpDGy]'l&h+Duenwqni
U"->WXgv9;Y2h/I9gk#>Hjo^o]<$iH<u=#4Z6gc*u%nuargNloj,h5$nf[j99E8D9
U"LjJ>'b=%ct5d#%YHmOa3g0FRBACJbcLdH%I7%_6w9h[Gb$XZ4't$Nr5rwy%p?>=
U"vM(DB2ctJ.ouc7YOX]f?gei6Kw/.L>vbA2$QIe4L:bgBKn7$(a2a,+8zpZDUp*R
U"M5tIimt1Wej4#e\xyx0>tWSboB]Qt>&T9x5ifzhYNwrr%6Q+?VVuQCHV(LPb^vP
U"0dP(lYt:t,Y]+<CXPa\gtZv1rM6%1-O>VjS\DDXsjP.3Hg8^pBvkMYj.s0<Fw2=
U")i^YUP70G9RN30^vF%JCWeKrSHFPs+goqlFlE$f6R=WC7KMDi\L'TqA.GB5DZ_o
U"Ls=u\pzsI(e>ld$Ktj>jT7TTze.:f0h:fPGYw+1l'(0j[OKr=RYFKfL3t$JPO<e
U"EJnvaWq(pTeKj;nWdEEVP%lb6tS)AKwn<.)nl'WV3Y;5ZRH<Ih&dGS$T:/5U82_
U"BTnX/$=53WGO5NM_Fj2#Q$1LXC%.gKXOTEdwTId?(iJ$\^R54lBOmPjF0Z0rE?v
U"rW3j#Y*X.tnq69+49wM3AZu/5=nGpnEu\D\76I0(P=Dwao>Ih/hTLB4Nob0tZUx
U"$D^'+vSMGs0fo-lC.T;1958Nfj0(L3=S)lfVB\WTc^(aYZm/OPBL76jBvdu0^R1
U"e)dWj/$Y.KX;wd'V3&hG>TA)4tCupdUwxM]G&h\tTV]V^j,ubuRPDryo7nKgl*)
U"D$$'>ipoTx.D]T,vB7FZh/;e,a$PBXkemCLfuK1+C-bmk6*X7U-YFxDeGrwWWXc
U"n?TXu5xS:\Fp2xXUqK9YK#TdY<^_#ljALXoi6joA:>2YZLaLMlww_#rn64ua]5T
U"Wnbj'WbH/z\?6M\[U\w5CU'#tvV_h_<-.#mckFUJ'i\LMw0jb>SNX1+Bq5>_7jX
U"e)CB3(e6I>;udEF9DmgQHM/q<E4olB$%7e(t6W]Qw?6uQkgvYzi/KjPFjr*a&sC
U"Ws%6pszUnD7'PGXbrR$GhZ)87lS?aj]iM>33Be=wl*0)ltMhC1GHHENZ\o^I<V?
U"%Z><eU4]<,[6hF]soEP7u;Ub>60\FE>cU&lSjY4e(K3)M&$HhbCk6&(jkV4*q'%
U"DODJN(J6Lads_R?29H'uNvDq4uncdCh:^5T(I6\t'qB0(Aoal<3jkS602zLjhnY
U"l8J<d]a;VjqcvFwHqI3he<W.$\4n$<gPm]kX-auF<]Ac,vrpX$05[)HR/(Bda$I
U"#JvWJc^I4_k3Dsp&3xWb5),bMP,jB2]qKN+Z)iVLiU#28nzD42$-QkMb8Uqnu?X
U"c2Up_hr_<hlD1NfP]NE<uRe5rXP2VLurwsbDt+qLsb685FSW$FuVe)w<+.1GNwL
U"MlkJqM)$f+v8/4Z+k>uk[bA_/;>dGeV&Nm-9Z3dMpy,yXQ4-js0LXzLXmlNj(Y8
U"TYx_*4-3xu,#N<(Mi3dR,PF1-c/QAkv(l??d7/:blnGIbHWS/QG4+?2h]Mql3(F
U".WHwD<Qp.>nk<7(jXfipAn]s2$B7NA-B&T#*$u)A'f&Dth]dy^wMG[<ET^IIht3
U"8]dPyIGlSKY7nXR(v2PH*<Kg*KlU)pi<7a*0Y'Xlc7yjHZWNT8KW6TTFb<g[B$h
U"3%B&R/S'T_cCZQNUSeS^<H][l_;F<SgzrBtkGWI]W3xOBSE52X?m7[\QP(xjDU4
U"dIopd-'r\BHAR[]UvUlmpCqJ[duB7Hs9gPZ:.e<j5DQ4:IjqHhsP:^p]0fE$^HW
U",t4Bkn%<T/j\JL,=f9WexgItUv>.f5XeFKN]=C2Ce6QvIa'6:n^<#m-i6U#?s8C
U"2?*kC;i\T74uRhFpcDpV8.oQ5tckDE[68,dcYKWcan:i[ltEPVWdmMVwLNF7tfg
U"_b0a-$;fGxkaHs8jN?unFlis[nJ-L0P7De5.H\k(BdhjR\ZeG,3wB_s)l'_&hTs
U"lpQmUsrZL[<H];jc(v_MprTsBiIjJL0h4.kXhx<o=ZwESttf,(]$s;dSmi1(p3^
U"r??c&iyXTo>_6Lne*L_0x2ZhE0Pu9f[d^HLBf9^C+TDm%TFKt_)M\4'8Oo4?%(Z
U"PVd:Df'0'uKoUnN[<J>J>4V%aS[78f$poLCmN<;E0-[?IXQ4jcnV#Dk=7&VkJti
U"4a>p0Jpr3XTmc+L0lwkJeH6K1eMae1N'LtCWPpRi:2*2K,raK^7W<jGUXTP/bD7
U">Z9I:\MjdJFD0ZHl#vo:YfD>t%6hc#/o>#dCPXQnv<6Y)E(us.x4h6*mhp[Yx]8
U"S-pB7K$R$9V&eF]Hh.xCg1rZeIW=wtqm+bK7OS2DSJD69Tcu5MZ,qR=B.CO,T#?
U"wJl(8baDdnW*&o8#PU2'HufwhW&gQR;(#Nd_rqdG(:[To#Ocl[r8::]&z3C.zB3
U"v;jpsL1jOil9:%sKpl3Z(Iu7^%lyLZl_4<02'*[qCLQ)nV<P)3k)71X?['i2NkE
U"Pq;0*[,lZ\F>_c1ku,64Iov3S+b\-JHYU/W5X2P$]Qf)'MVC-[X6T?rH0G:Sg:R
U"?,qj34nvo4i[^$nH>%nd+';cobHm<:Ef867YNpt#bktV/0(#bx/4^sUoJ%06z.8
U"uZ%4$=/^d04T4MtV;E/EB)STvu(N].ncPM,iLH9_qbq^RrtlTb^4YjDRLdpF6vG
U"P2QHl>hc;iSO]4p:4V.EdM56,*8V%I[Fi-B#D2)e,h$d'n)cdp2ur,(l]p0m<F)
U"f_8oG%tS<NjF&]l*6zuZ+NL%;I#IM&H.BdfWK3dLvp1,uE8oO,ld+XfRR%4QnWq
U"KI0f5VoN>m^<&H^4Rd[rK-6)T9#/^aVCP./mdeJ>ASPDt[-k9CUhtlK=ckroIZc
U"D\M>#siKXDC$VWCfIH,xI4Y_$]VB%CWZB1dCiw(c.M-iZKuYUNSN52vd5(.BqnO
U"NbhVQ]kNN8R/g9_j;=uxcUe=bS&M8&h9Xk-;Ns]/;0-ukMyUKgkES;SLTs*uWNc
U"lH)pktP1r^xr'(Nr<IGovu\Tmc67T9+V+nBv5>1C$yfB,CK+oLH<5jwZ4-S)XcH
U"x[h8h4(xOKMVc68B[]Xpm&qKARv]>%A4tFO5m(xHuuy:pm<3O;XYse7D%q>micx
U"=L=,;'Aty*3+\xuT++ifCAgBkHVi5<S*Hs8oPNx]lCKH]8e;GSvC/h_#+SHk;8t
U".hG$q<9B?$Lo=B^XKxAQ&^9c98mI,FKiN&.LiSqK_rw?<<,4)DC11qCj^Rbi(23
U"WOfs?23L82H#Of.pnJg0Wt^BKlY:fBZ$T^MRT504g_q3VI4qcc;5n%#:\Hp>mtQ
U"ru7OC52q6mCrZ.xGxkKB&>\?KxlOl<hnfO2TKk8L:8KaVmr0wV*q^*.LsojI1Q8
U"t'Jm+?u\W?/M9+5iYVP4Kb3?tz8'9.T/M^\g1$t*d62#U,_Rw\.Hs=n,lsSJh)z
U"'7_:aY'Iq%N]R9EVAo3[LBfs$l&mu1?Y$6lr0rKjop)=+'du5l#1PF0q<&s+\*:
U"?-#n2.1JUgf6#Iym'XfL*?ofBoyk#?oOL6AQ=ES/a^73X3l)IlJaSHiCIHDHc$o
U",:ZW[>&=x_Q)2RP&SghX-0cB2HwMvu1/5dB6QUhs'/yn+\q6B4hk9V,lbcB2p3u
U"<s,^j+i+$etgs18vXVxVfy8M]LRL)qMQq/-[:,Ox<x0/8spIzzXw5Y=?2T1$U[2
U"eQMFK-,OP-,u;uZELfi/yvE5f$(=3ef6-NcTg8=&-LjT/&FLJGXTqO1Qw9:I?BT
U"Wbf9[ZAjeub=p:c^q?(QiSai6Dk*;5<JB9QlpYZZ/CpE$tcJZPg%]6%x&V?[LIl
U"k3H'N#g;#=M&MMMa*p)oCgk.9z1ooTg59\i.imc_eJimS'Np4+IK&U;V<7gwXfp
U"X)=O\7T*Y\?Y*:v;kKt+Tvjbz1-o9-tca/lK9eSX+h57:o(:*OR4)QLOKal_gjE
U"vI1,k1nNrnbv_-7o3&,HeO84+:gAOcf?[,j_/%yFI5/_-0T]xjyf[oSy-K4N?\;
U"HaKf''3od6b:X;[a?(U,ixk2\Mf0'k&'x:VpmD9e?pxL?3.>+]&aM7tj<7N4_/D
U"Ltx5N_M*K*&uH<'.+bx7bR\jJ90*+>O=W8)*eqBNKWN.qP<=6q[dT<l(NwIJ$o7
U"68qrOJ+d^O>DTLW.)(GUowSNV)qEhz>;fu85C\Q^PvL,8V[dWQ9:^Pfn?=i7g]U
U"u&q4ve<?dh5=?\voasQVFd/Xer[l8s[9TC(K<c*5Ia-%zHJkuIUA^>-lwZ<IhZH
U"#8V:etK&#bSifg)n8UXHr1u(D0RT4j*6KR9ydlRnJeQ:>==hf]7whx3JTOBolEP
U"6lE&.CcvuXZ<k\c7\V$Q12B&qYtk59MQfQ*WJ\$G\#,;*5i#k*q(ZEFRuDEJMBJ
U"KXC6m.u3XPgl*^%'5oOy=P>sHMP,48IKRrHCE4<)]>F0fgUTC\J]gZo0Jrfw(_,
U"4[(Sl2hE[n>csrJ.?%r4;vd-jsC4CI,p1iKg[X<'l+Jf'9E%-2+z7X<R[<Gel\;
U"s6w7eKe]aXLonzDl3>1'elmCXW1?i<J+qr]FNV^%)^(<dK6n-6a80sHc=pO$Z$<
U"Tq0vR=RU3qbvE01R<+t7Ag5X^BZQD0v.^xE:Q84?DSt-#\oZUe<BQl/=YmbnAO=
U";<PoSvz[miumIx^fK7$qzG%RZCXkP$RP#fW_^.uRb]lAea=1jgKMn'5[$8#2.)U
U"^PFsD:p$cTWP=epKR$BnA\>n[dV0fNAkcxkVTmXOvn8Z0%]sD#ts<$lD(L-3(Ht
U"tqp];C<<lZ_u)h,Cj'>V[;:])dtWXWu<rT&K%erhrN&h4dn'SrrP:qMkl&kvLIg
U"54OG's7/o73L<>KNo^+7O<16vtRq%hdqcd>KaxA--AW4R=nPI;t*nqVQk*8*Xi&
U"l;HqT<Z?0ht$Oa3?;jIo)'<].+4t^#J]36j=kId;mT$f2XdIIg0fZ$^D)fF4jHr
U">Crjqul/6<NlDqi]r*D-PP.EEJAIkrB,(vI^pGedbt7,3Z>>CFiZH#QTl#nW:%d
U"MWU]V,'p?txPHr)HHqQlFlTOFb;=mh05wi*p>Z_I8dC^JWG+HTCZgsB=99W+9Th
U"p.(qo*]0^3^Y-AM*[l,+=bdrMuLjoJw]hs*To^\43IU<D(DRm;?gRgr,YqbFkKo
U"u/gFhqqlq%t_C+ee6jMGWW4t1=aM$4Xtg;I+cCciH_0j&Dnj%XQ%M#%2Vr#rM+&
U"n5$KjH_2k4%0k^(gmOmbD#LZ8VLpD8p#pq].#Pe#t&s-iRGe#5wmGQnN)XOkeI-
U"R*SGQWs=)f-tnpr\-2Q/N>\p:2.Q;e=$etk>XrV*4NQcYFT>fG[TvI,*6zAi%K,
U"$Uv8))sJ6'S_D851fFcCV'7g\y/7/Rk-,Rrb.<\t4_VBAnT2xn'-t.bom4D#:8v
U"oF#X-676*<7TnFbMD1-B-R9g5V8ZN&+LFgC-5Tkl&jqciRd+-NBcxVA5D8lg_m8
U"\NNo\_^^lJZfFmmDQr>ag=><O7sF*S2LNWDW\(5AW0GlYQ0>kb$nV[VZd'\7BRK
U"$-sl2mV*%Ic8iZ)r.)KA,lVjK6[sIub0$U9zcZQobG1yKa\Z.ZkDcSYRf<d5UKT
U"(HV5XcLHJj$Uqt3VJLAlfhSPYM%Kh7ZlPN.yyLApa,d?lR6FVf$Q08tTl7TsDeJ
U"$iiL^Dt.#67HkT[atI*6Pr_DPdbJlZ6tlQ;/MVi6_Rpc*w&*/zxq#vH0O:SXuiT
U"BngE5N*i0FkD9o01L#<cJwfF/GRF_(:^T=SA<\?xU8?,We0\)W\Dd_OS\ka=D_D
U"u;\g)klXMsZ#'mzlm]e8j;/3fpv;74h=;MD?CN,1qmrbtEp9[<E(]QZEW=;jr8p
U"_^+Ve3lhJrs.T-A1R\TzI7UNYDTd\^NXU*>v\iZL?usc1oFrunw?jHx1T$Wfh/5
U"0c*M,vPhY/ya-4WP$?oa\ssQrP$Sg7K82#Jv+l7SxCU]l^-C0Ee],RFv)I'<Kbb
U"EVI&+]36X0IS,4':F3emq8&.W3u,X.V:S,oiqBr[ks^+[_jD'\6=\7d\aDe2d-=
U"vcon#4P4Nd2pFs8.6hX7d7FipX:$QA3GXBRB4XsuUJH:kvbf.EZgy=ONtz2udNC
END SUB
SUB V4
U"s9710WV37#upPj&2fZ-tD*\l#$wMR7c^tzMmCB?Or4/g<DmBt6KZwpGZt=fbErS
U"\hl2.GTkliFA>4FVcM?Vg4p5H*7O2%#*n4505e6DS5'Mgjik4Zf;6nqK$_?'#X8
U"reecAf1^R1Vp#B\Ddt^Z4on;nFDAeih1kl9jHi;l,m-tYFH/TkviNRtJLn]kD^.
U"iitIIV)R&=r_g6E9B<1.rMhv?[P<9/;li9_Tm_<Ivhp>qtaSs+GNLe3RHBmK(?h
U"S$dP;o->E9eotAayOdIod4/1jw[=P3ebaA27pggWx55',tc]r4AqrsE,W#ES;El
U"3[]<OifJs3Amshk#LjDJ'x5Y,>U1i%dL&IWZ/P=<RVFgF5Cf4r+UZ6zRmqSuu-=
U"nlO0tw65mRsZlWS=$FS*_]p$Q&_o,\^h[A(LQj$Tu+8r6EThZ['%W&w2<GEHc)F
U"M+qg/rwso3#'-Jp7DD/GktYyGTd:=\NOQfb[1S.dF<5TWDu)C[l]L^j-(yjhTLm
U".:KFtjrlpW%%xSgs#D;3JPpacrg.=6BVC,T4E'k4f#7>8M%4mQxMjE;asANRuYq
U"QB[IQB4,E*&l*)j7bm<wG_IlrALT$tk3gYyJR/gblEP;tTt=;MaO(D'$yj1?<67
U"Kp])hhc\NWDK9i-8Q;3UCDbht5>+iruocE0;[Wfwn6Hol?1hRWo\,>#tGt7*5P4
U"U^YnRwg/i/]z4N2;sW+hRqrO[LNE^#x.)*HVDb[-rFE[wzkP?D31&7PiX2[j2K$
U"dCE:$:HI6>tbaGP3c55>54VVs2.U_?tk<_t0ZvFk_]+Yj8l94-R1rJ4aq3p1bUV
U"0c4NA\6puK1dr9e)BpR.>OMmgW'1<R^G'kVDWK<T=dGnI4*HkWsJF$*(ZmL6h]F
U"p8,-#Wpxjn>zj5M,5c+gpM:=Y2d,CtVR).LFA5'T:_ctX,H#VJe[nQ6RBX_I9b_
U"X$.VW6.%lCQJ0FF6ubxHBCYx?Dv#WwD*L,AenSE6ZHHf7N('JARtb*6<LBHt7Y7
U"E_pustucvUC_t+^3FsIBUC$+(]s?G#)P(1\(W#mQ;8=LN$x?DeW9*BEAK2pga<Y
U"vrG1o\Op\Vx1kGDB<c)dE7t%tD5'36fD5S[?;CZcw6iHUl3*h1<yv>bnfQS2lkN
U"p=AcVw(X,5m_*9$UtHLCSB>JlGN/bNEn^;L2PnWWP[wl6Y/e30XNJpVq>6[(P=g
U".0qMudO8Vp3Dc7^qF(:NEsAX]F_2qjjp3U<t[=al_aZIZjZCdJ'FTaLZn5JNd/U
U"B-G+nN,tBbcTQRT\HccE:_gOf(?eNFuJh.U*&<\t);m;F2iImuGrSgMC5-%XkT)
U"fCC>ZW=5ne8pWM*U<;8F?tYhTtCqp\(TQT.Ri4T,$E8M-5aU_F2'&pd-bihl]iH
U"l]._DG/48\&$n?8hv0$hmgku1_suqB_A$yc;Y:74Lh2X=x1[3RS?l6c,R7h<q<V
U"gDi[LfU67j\$D3U+QF^kal8,go,5dhJoKDt,FC3_[r_:+PmB4\-u8Yi.5W?#zAh
U"BAe);9$P6T_E_p1<iLg],E&kZdS;bu/f/p_jT<F8uyXFV#w6CdGCg%$oZ9GmHCk
U"VupMmofGFc96b?SrF$n<#-,I;Yxqc7&FL0iWxp1L>X.<#AvGLcu-+GJ<Uk-4kFp
U"RkQ%uCIkY2r*RiZX-j.mb$+AWUqaC?RY3lALs^+R,OnK-1c^R:J7BAvR5PHh/Br
U"LCS>IcmxL/c-](ZN'amI1p\9svR=hNtX'cm1gnt%90s#j[r-=O$ZvUQNfresBhR
U"^*$L9#q(ktVQ$uX-XqlU%-aBQ6K-Y^DP=\ijgPcrKYSW4GRuKDK9+v.T0#l&N_c
U"K]t,G4HfB^KBpgw5#xM;LuAgjBe^RHR'e#$di&<pdCOu0h2lZI:.GYCRsd\UWXH
U"frv>?:lWwxg&fvJT7lUtE^=U$\z1G[80dkih1DBD,4pdlb%/6J$&lOItvR7hlkd
U"\(^z3b:bfuaUW?tmrjbNEni?Mp)E,VLL&:OTl*hVlp)q9Pa;hkJsV:pM58Ml&*l
U"&XVNEvrn(pKU$cQ7kaB*AR?Vr(^D6D7n_uNFsZn6rk^x*HbpcqssIC/b?&ak$tt
U"BSAALR.>AxS#[ITE3>h'EhUKxbo+PtU3_xX4snbAH8R^P]c+\0B+%gEH9&mbqV_
U"XBbYJA_a\Po.GXH<R[MymG&;/DH^Z+V$]t4f#l0uInpV4K;sifiGa0ESDEgXXGP
U"K.osjPB/)L'G$a4&m+3,$4Km+3EIeQMahGxebSa*DxVnDsOnWe0uYics3/o<]Jd
U"<]=)f'B;S6xV$[\nGt=?8cDE*)i)el^F45XX23lBtY[miXJVMo;&#QBxD9UE<>g
U"ali./+Jj$gWgv;iV_H1C?At$lg]0Oc/9kn5bkkM<gyfy:P.dR3c;z[l0tGTcQK9
U"[1ogYrtTGJhJ-8\H(U+PzGnSNImXD[&PH7^v5/YXeoomCL[-bNFl:C,]Zhd4?:I
U"7Cn/Q$c5FgBkZ^#33<bs)q=<6tvN:vgT\t%J]mjkj%Xd&278>nV,s/IaeLiTExU
U"]FtD+ulScRTpU/\-e_NJhZjg0uQ=02Av96mUq-Kjsz+FX:l)olPw:2^?ofBN5?.
U")MPjYTfEvK9aip-nH+8'VKLpX9Xo]K=LG]>c+fGU]vK'CBvqz]f=fhpJY8/TIi]
U"9P,RH^*?xAc7H8P4d$qrfMR?#0Lxz4[k[0K>^-.u)_;/Mi%avh<mm2Z,gk5R>?;
U"/W2\&f$H^r4BR]C4Xl]Kp23,4^Z)EA6RaW%ZVe=pT;#tkTDvYaZ^cGwWVJ(e#*B
U"<\H[V.=pA/Wrx8cP[1dbd_LY8d7aP(QJ2b:Hn/h,x_(\q]pRi#'5mkghDbd<L$B
U"aTaBDp:b&W,RB2n(Y9&drRX7=oj'NVrmmOB=kKHa)%%Gs_YpllG56C*Ho<z?AtA
U"']]K[uirBvgBdfp,4f80&D$4#7#Z<'$3_8cA/fkKXn?g_HvGmoQr4z465N-\zYh
U"cDF/*-b3dWH2Z8f(V-Xh>]8h^uU#E.N86W46'uRIAFw8k>hJ':$qBw\v:Qm$alQ
U"hi6a>9KqOLV8Rof[NF(#^>6&Exr(lTYnX[U<t^hdJi\x-(kui3VZcG?+uFeLI=C
U".j6Exea^lA'J3],..BUb7Mtmlo:vZ4$qE#z4iBpBwq]QwbM$Q$<#b$io)FqHj-p
U"E%eFbc5Ho'S(Oc^YuReMba_sfVpzM(CStv4X5pAHJqy*)_/s*ZGz='%iHLN)BW[
U"0m<kCXDror<S^hM^,YgkGBJAP3:k4h7>A4jKnV6KeC[rA9$0Eh_F.=a1>/<XMJD
U"KI/JXg5R)PwG,jAyYN^DLbl=mi,Pt5;Hk2AnW>UEe6xx>Jh'mTNsZb)H//$YoJQ
U".8>x-ld?jLtNCA)a'up[AK*NEFRgKA+mm^e%_Pq9gQ^=w?V._%D3^H8s9n[ec%b
U"wqG4E*<Z)V<j=/)nV$nmLd#k,%emab(_fDCN[xIqB^QB+CT()quixi#(oi-Ue2a
U"SD#Wfa?t.%[mHzEK#ApCt\hLq+x;^>l%_28hogq5.L#F4rOuc_&_r+CDkjgsOX\
U"1^E;r:.E=,o/KjuOP_f^I7k*Lj>fKJGgMhLC-AfWt-93#B:=s/R^1yYcJ(gKnOM
U"m?d?f\::dW-(J[\r6/QRBraoW,Fac1p5*t\DWn#T16fKD'6l^6R<aSpsJ'^36jv
U"ChKhq1a>CPBER?trk,h[aQ5q7zBL3<%PMb'H8g7Gq$U>XpViPf[M,TTV$E%-QSj
U"*:1B;0n&\X^PO;%<RP=V2=Yj<fi6W1nU=M.5nH8I2T9L^Pf(M-07O%()t4cfI^:
U"+\4AD)GYv)jJXlEMA-.0K8T*q2b5l8^'8F7'bsOfe*^*$e,cBkbT)z[P^vd_QXh
U"^Sh6G/^JDl[o2TLFtQZf5+*ihDL4B8ziKEPD:80J>tXTZ+vFtM_akLX;kmPxbAa
U"+qiX=x+NW1t:xHAU[WX][XkvS;d]9<M1.r5Nfo#it1vD=t+#e9%ASbhi.)6Qe)C
U"N6-/LxH3+^Jk)V6l#FA1J*G^>=Z3+ntOA4);e&Le2YMGSZQtPQN_$JA^^'X9.F[
U"614Y>\]9[ANV*Epth:*;0^YM^Rov%lx.]h:e:g_3?u&3fmeVZ*ZVuk*wyP-N'T;
U"d&oHm^NY8$Z4\3Dr1xqaAGL#7RI3Bi\REC,)pE&+J/RjGcUc_Sjr5J?YC3t4rlM
U">1$iHoeO+lpE^V#S>C'mj_:p>%iZ/7EBlliLVN*y]dFgb690#h[-Uke*rrM>2vt
U"v]l5ebrCb2vq4A(A]x4t#d)>R9,6uHHJ/E%:p$9TgSqCM7*kE'f:\Yn$0luD/a5
U";?K12bW2dSeUyY_('%_?OifDCVu%r&V%76^1Ej<W6fF[m[=>/c/thcGJGMt%&jA
U"d2)#]]RRBpT&v<62jXY5KdI*cJqVWT=W7=mRup/<Bx^2Ku$A5elSX0WvS20R0eb
U"-2k;[Y9LTEjdg-]+x3;cVJT>=,,izCc,Je19R-=w6t>9B>'O&80;ng/dw=.VV^m
U"b,m^EoO[Jc'nO7h(6?6^7n3c=f05v,gr$\hyGDC/bp:LJ+:A#s-]%?8X,0LRfL&
U"ewnR)O)bK0uSZLN6QI8&8B)D2yh,b*$jQL8\j#pMF6rO7UG%3V8/W<*;zmzMySn
U")&dQCaiqT'%.Q8GGIWG;*AV;Br'qQ;,(BjLRL*z68tHRm?Me=jd*Vz=Rk)MF>=y
U"5VCQ(OAX<Y4k9+T/Q6Qsj7l=IkI-4n=iJQL6j)KT;3EKiw[g(*EQStx^5NNh<9v
U"K.L8LR5w+6.pdG#R08x/)5e/^hgs4UC$PVuD$\0.[$xb*LWW4:sLLjMK<x3qU^z
U"Bja<X8Xs-iG;M$ekl<#-.U];#VdQ[I(Ct62Z9h5Ryf1yKkdo-/B&5B8lC3K$[P:
U"8;ghZ$Cb/M(jIuPyM5f9la2GMlH9)oc]/<ajDbTa]Eo)Rjg$fKhV2JfcS;rge54
U"VrGWb)18:<PH-&zIb(sat'Gponp3m0e4Gek3p_PGq\CQRqLsR=T819U9_FT[p]G
U"jQtnkbVPOHqrRN^W/YOr0f^?NZmc9L$1k(iV3C3o:MJIXTzR9kq(#2e-d\&H($e
U"XGG.EhKa7OU(x26V_>-*rHh=WL[#[2S2*h]=H>jaZ-e7GQD2iAt9tKl'CMc>r_#
U"dK*\FgL6#;6/#W)6=;J8[qL:YHI0MF-AqmLB%Fm,'$eJG)L6ks73tBH:q7i]?+F
U":sNe\Zb5bIn9E?i?a;rbRW'lYkk_F_$xJ0RCmrKPCdzSF=+_h6hq0IkgUjk'*/h
U"<nZi%MTpd]UcbEN7KUe#YPMXq7?BNAi&7q*xrJ=+hE-vg#c#euQJd_X9RQ>b'i[
U"4F.Pl%t]l.OUClL_4,>+U)gaCs7t(iDBK,hnWEJ%0rV3EB_$LiK=.jiQtPP%+)x
U"WQUNl:rqE[b^R7pNQjtpJ<q\,ps5Fj%seGRBJ>,mALMs,i5TZF[APaZ=#I_ykN.
U"lDi2->8I#Bh'Dg7Zv)VQA8YQ6+,5kqUt;d?_*-gHj$r\e#;9'DVhM4hN(jaN1e6
U"l3A-qiBmRFXGkJ(t^qTrj/lq:I.Wg_nVjKIqIyv.2$dr?I#eEtE6],>aVf?b$.$
U"TJ$n&zFyB/=Td;H\O?p$V?VOoEiQvzeB5j4qE6K$hZ%sT,+x%Zj;zADo[-,lON&
U"294pkKG40o]uK;&2t=.\dI$VlA%juD)2=_?MAolLnK?.AoSqrWtDt/gNabp]F,:
U"V?\S%XwW#2*P1n]SZpPr8'Qn4/;X%xf=+nopjFCDT?fPkXq?0biG06m6*Itw,r<
U"MZYO?b0UC$/h^Ufo45e*QPi_D'au>%n-qM5jF-Kn9Boq(pTtt\*,%C8zF+neawF
U"bW0IR<]^TRRwe^eItenH12CH+h#2hToOM3mWEjaBJqAl?G)fjCVZ[-Ko4VuTMY2
U"'6/?hh0Vd?L_x#3'qV:tAtcc(c$oLM]YcKMIfXpDVlT3256msw.o>z;b2[hy*YQ
U":S=^Uf4#47$Yrr4bmuACWf*,N.#BI+*>;bzMXFQ3V3xL-3w;G\lfqT-C_sh0:*B
U"Q2a(ajFqx0,10iXE'3]kUsncp&xDk%N(xe7h]VWE?\,b^5el#4N_m)?<'&.<#r4
U"lI-uiw#1_]p2n87h,qj9QbI22LxVv\v8>gh9VhAgJO8M$lqY(s7UJ2CB[h5YNEb
U"S04wlLlU9>(jZELlQ-&/vy1_gNa(RY^>M?f]P?R\Y<3o''NNjUlM(LEt;;iB^IB
U"wsW2QUEO'*j->NK9\Nc^\4^t;vWAmsxogc$AsL//,)(#b:94.a-Sks5$Z;+=IRH
U"IJ#B^P6NP+]vjet=:fjCL^:7kS7p&4Gy^>=np83[E)7<pbWWFLB&>^iPv3=qLVx
U"/Ij8o8%h:U_4yxLnI$-^cKRE4L[&r$J;GbYJECiZjE.sh5n3qMo_<r$6n=9N%bf
U"2cDucFmY]F5jn(OTiW'5:9m\#U.OXRacMH3s7MqdmBE:'deZ];_1?6_dzj$>3+S
U"(Di;d3Sx<2l3t:DE?hnPTphIkXGKaBC644eVXoQ7RjUBZ,OQL>t$goN>6UKtmmu
U"4B_Qw4>AHW2.&\,bq<NCP5j6gK8D<P3PEez7VaDha7Q6e0^JMWfR6q6&M*\1]+z
U"'j9LXlyrX\/U6CH%J,qR$6&c$wSQuhFTdZLvMkt?Rd%*k?QD8^B+A^#IB.Gk,m'
U"QH:M0^x3Cs3pGd_hG;]I0<hz9[Pe,j5BUeqIB\k85Ix1?T]kD#ItKtvB/RA7jMp
U"%SmXB^<bZukCqEYF.&,a9_V^bqq,qQr]Hjm1&.A2V^dbG5ksM3^tXHDlp]Hj,l3
U"mmg3F,>g?V_kEqcrkMXP<PjZ4VGc8%cG6>BV8Bzd;_J;RRfDq+$0I0h%^4rl+b(
U"?lVoX*2n7^jW-'%q]N<;qLn6F?lee:$:_hi]Col8-uU0u\ke_>pLJnvj6L).85z
U"*DjYMaOLEd+f3f=nr>\uDL*Pd-(fgLpC9_BICR/m<KS836Hp1d.QH4ZdaqKD[*+
U"lh^)]dUCUT#WCO<l\_8&'sy-rQvBcjum&Q%Eus5XlwG1:aB[h<A)mcur&#a+VF4
U"i[nFCFp$4ruqIJIFeuto1Vca.x-,>ne_s+HV5?TPHSeE:F%[AQ+2(_b.751s8K]
U"+v],1Tdl0KX)FmIz$3D/(IH_8fhNy*=&4]ft#eD[k:xMZOe%6hzCG9M%nu\_45b
U"G=UVE8)jPRw[/^\WIBJVK2VfHeSyKe(OxD8-23^1KPBo$ufBO=F,B_:Na,s^SJ;
U"R'lP(ZHCj-p+lm(y8nlYs'*Nmw;_q%kKQ1;hs)Lp7?n\3C063^g=+bd;VSTpt]B
U"VL27v2hx&>qTj6#0WX$q$:L=:D4iMu&E$dCd6jBrXycmcXEjYNqKu5rL:H>m_(n
U"#>3u1W4nhhxWq(>*4ra#/oGSE&N:'aa/T[K*)75nUQZ'L2'Q-t_N(-%<;ZL<,gk
U".6sC:tbnh(X*D:oPKj^YKh*kDlZ:Fd3;BHFBa-cgQV;sb+%v:On4amPH#Z(P5.E
U"&7q37gVv6oS<ftXDbnbw-L\?Cy(qGja]4<oD2=>'1I-HUOB9m5S-FvWAQi83wlX
U"tZaQP*M$lYdBY$N0BD1[W+>9Y08DTb<iP7md8TgCW-HbP$Xn9s5dZ>yF?<*GPh1
U"_/OZK.=E/>3.9o?_8SQE/#'eLbHw1(GhcM[1ib6QnrQ:bDH.)+Jg8?q^9'tY/E'
U"E9e(>pqA5]304F]JN%QTeqAzX]kI2t2bO?kfW$FT8/%(UfE[%sw_d?m>SDO<1_E
U"33->#v&VQB4BhR*T<%VAdD\Ud:>U<#;G($eM:XjM_B?eDkd6C.9->h$p7z9i:>]
U"<gm(5/7$=a,DO]YC7d)L-QH(jD#=C-lpFkUQ;nN9%%m2h>.FSPP.FEiVm%sZ1oD
U"FoDErA=RAVzP(+=P,5>dxu(G1[FC1O'>9./-G)2$^Y+S>KB97'5T,D>;'pAMlfs
U"\tpvIWXauJ#DBS,0RnJ*Re*SdAlMAl45mR7(]dXf&U4i%2&YmQblQgv/^iob1%K
U"Z7m*.9O-Rny-kV<TR#Z_?o2Rie;&]5*0QJ6sRi>9xwBuH,Q1zxlG*80,9#1=ega
U"_7M'OF<EFI$kS?(5's5hHO^o13h:J]5+W75ghe1g&p(X_rrp\2LMKVTx<rH%PzH
U"h;M.]x[_[,s&/>/nY-tfO>YHQE7_3#:e\7wNVbMJ[WviOWK1&r[EX<%C6,;zoqV
U"\Q3FDC/4<6dtJjL3z_kY'#&LHw5^164eG*2:jTsZN3L+<c.x_M)p=iZjuND/LSq
U"YI8/nRve.\i=MhlkRwHF*r)s0DT-'3hqjUM7SI<VX4_8$'L(;UuY+95_MCp#Lz=
U"fv&IKmiaTjRPXM6*diZb:^dZZ0)g0MVK4W;^(SMU4G%)\./7;u+*U9<2ccvDi0q
U"71i,BY%/k%j(IGk\IfiS95DJ7mwS,c6.l6JgpvrFZ?lOAhOnd.FQTj>Oc8j;x,*
U";]vO:m80]b:]wTo[RZIZ8_[,=dbRE<e[O%hc;+rSE[17V5Lg'Bs4^jy2HX2-pVa
U"J;iVTKNWD'2Y&81S(D8gP7uiU>O&APm\lMAre8Z8Cpmc2KS-N3TIvDax'kLX'MR
U"*8igZOwU/lGd)*b/sMoP%+XA,Uu/MsQcx:lU9_0sf:IbQ&$a#VW$.<?#gM#X0RP
U"9J;'aLnGO\/8Ri7V?]+GFY^WSANUU5]dp%p\1<,E,M^)hjTmK5/k7M%llStE(O0
U"^'7oS'*UW[)70u'^-%L6As41Bis9eHPg6T=KMu1V7O(#e\H/MH^cBWWevwSMWRa
U"p89^;xCR1-a78+W#0cOR2RB)Are5Rq<mBa+RCYOj47,I/JdtO2ua7Y$SlvQk^p]
U"%YhM#g^?e2rU_Gg,8Zp*+)fp6>P\F%c4?[x&e$uL'#K/\axTDyCvI4H+-%V^2Nq
U"(684K'IC6%96qv3k6Sd;S>53c.TAW+A.h1rR?)u$&?iJv,&/U(SiVZ>g-09NSM8
U"EepLH2A8$pf.FM0/3Dz,/%lMhh)K0%0?:FQCP]10q8JO&Rin'(-8^aTMIu&4DNg
U"KWC*\;%,M*:1Z)sen&sJzNZ%s]2vr'#:Y5+;l/\IuJTA(==[Mqe#=FH^r(E76=]
U")NZl,4/Gnw2Cir]+.cqnDa5Np7DcM:cjfi*)5=I]*L&+9]+&dEUR7E]ej#4Tq&z
U"\_%K#t2(<#)%;fT$]6/-mo8/f=C67&%8k2,kdU..KlX'k63r0.Ilu>VRg1$1L_X
U"O%xnQ9VfP>V&771#>ZN_B8xHoRLUoqldpJQdm?]TH.^S.?h(kWj%W,d4-Oo-f[3
U"e_4)oA72]Q:pt,C8mQSdF2Nr>SF10PFHd=B1i(+Rs(-Q5BpF%=0C9s3JRB9j3;+
U"_pJL/9ncDQWM1/glvY)6^-AZ]:_F,P5Ug-1,hJxur(Ox2uEW9smZ;mc;*,efK8o
U"28GxwP=fn.Fkzlu:0L>*/SwJ]lmUmW^*<;$fha'?ua25e6WM<=ziMVkd$S&1<(9
U"C0Ug][2j9.qW#K9+9U)c>kY_9(3U&I,LAdwxrx%(31#Z-o9Tj1gF3'I*n6+X9KG
U"CjCns6<oq^_'3%-6(W3.-egWBYxHXyRqy?nGN]#'60WxyhpTU'AZ'8S))AAHi3D
U"ca*Ns7\RW*8Q<TMJ\2\xQM(/qnR'2e5O#T%m+/oM?ZsIf7<ISUO_*s:H-uWcm'C
U"VBZQF'I-Y*>R+H;7gbyWS4%hKb9-l<KKH-<C&St,'4e%pPwW&&40i#C#6E[ID[;
U"uK)c'EIzUit\Pn'(:1VG*kGi^3)-oNV(G:eC^l%.FRo#aI?:SYo(L?D_r?_KR42
U":1<a'#.iVA0v)(.?X9X+tg*H95a1lk,zA.2UHEadOy=elEx.fe-n+j/G'_p#<A'
U"X#_e6JW_?-bDC*%3Qw%#5Lizn#Yoiu[+sy/3*KT%^\7frEnXovHIw05;ln*1gtn
U"DDFV_&v?NN$>j*Q?i;OuAm($PlH7;M2R#P&l\$s\&v7j'N*La<'m4kuCJo_'?(%
U"00[&,ApmPBQAO<ILkb*XE,,o,W)gUK8o)3;G)&SFrCIuEiY)]oDg[_dob&ff_0#
U"EuOC3,m:#EJNC1?M2l:FbR=t#Ihygswho%o?]YEKDbZE7Qm-),eqkFE9d.3O7hI
U"uuF#zfPP=+<kOe:raS.UWG.3t2j&2F1QQTNk6CSl9)K98f]V-Pn+3(.tiR&W+FU
U"Xpt9,j-k&c/lgxekO5)O[PC]CUP0]12pM25*e;lI\HNhLdGHPu0APZ^i)opmXOi
U"-81LQp9M4_8psVij#5ErU/L%'o/'I(VeFvP*hYXd.6_P\3d)N+&xHFA>KPVUYwM
U"z8Wg[l+2E1PXt%B=I0o*r-=vtOVEQSJu0yDwd&:F<YLcHme-$.8F;gL'*a5IS*R
U"6K]f/8BMp9eKSEn1Dr&EYfNk.dE<71RNG#<8XESTE+,[zDq/w^I&Bb#N2b<dD3I
U"h\rX7krP=q(U%$e/4m19:<0FpO9?AbHNs,V99ePZeP#-X:k&8ZYq#N3<pE*15Pe
U"dTSIF=V+sHDMf%[(Z_r./-%Bt8ju-.^hL,$IOYb7&XCw-'%;vk44nnmakY6a\nO
U"b)1NPa%(t5])I=j+o97C#WWjsPXG4\nnk*vwR6ZQBx09d4RI(IT&/l4/j5J-$V&
U"f)sv-8-Z^D8hn_QrCU#Z]:+0_2.#GE&D9rEB;hRp8gZSuYmW_%V1u2q<)F<+.Y=
U"a5NL?[><52ypSfj?e1&dxT.XUa#Z34<=NPD50F30\P3:pXL(sR2TpXIQpUpvLDs
U"-T].rUNM0uv=ZbB4us;ok0*qLgo6)QoIuQ\Io1bIwp>b#Q_fDGE%i13C>Y:'Es5
U":gh$Lnc>OkJi>aV0w\oNp.qTes1eO+ad]irGCn2eLT/Gp1&3;Iu%=A(dKwWa[b<
U")r&a5SEjP)2sQ,9Fyiw\1fgspX2SK_'D##7&R?Bi\C#P<+5it4^G#E]L%F&_UM(
U"fY+;]TZP)VbRAKWvgql^0[mY%%*M/iP0^sr+im/Y9j4S[FdA^BI&;AUg&S\QGYh
U"rYm2'4'OI+9;]q7gIC<w$C2XTBSh2Ta4#-JJ89]<I\EE^o[:xeF-<FK])Tpj-gA
U"Bs-lCI:v;fu)?KSIdH2&:0k*64l0nw$(HdD-U;D$7QbcF^0>=$)7)0V^Y$[z_]9
U"1vV,;>EmEzlL:%B)++Pvlu+A0h0BaSIm$ob+fvNf[9>/[V(7ux[^fzWje-rs2PN
U",+3p4l^_-*=&P;(^kXE2g9K6_t.G64EXO#uwUlMPQhmT*X]X\u1&_:L(fPLndUD
U"kgd3/+>+Y3$l]%rwM;0K./-I^cayI#MN(d)g-(y8o0-D#Aqk1G9;MM6D,pPGoCl
U"\ov0oI,k9D=Rv[Ol$^4&m+qnLjDA/GzdyE]/g)BOvmn.1vnO6Bk9(9sTBni#GJC
U"S=8b_uvXG^j#J<ojsbMydU=5OD-2WajfkUBDY?j5c+v]:(;J0Uq7)8Tg)P)O.nQ
U"a=NMa?EQJ<a,_0\J9VEl/Y0sl]>f:lMWU/p,W.0J&RW\q:+w:#mt*e6FNbCz;O=
U"hiUJr-Ut=b8N\4[Q0D1w2ADz==s4lW7?:->7(fO6\*OaEu\:k[L2b,43Z(s1Gh[
U"Park[Wkf[b/mo]qQ$Hqb&ST0ES+l[lZ#Fn0uZzf$HNquD\m,do]<%1qL4j68m''
U"DaUl&vVN:1PqC?7tqKmIKVQ$j)TwEfdrP:SUg2N#EscmMjE4zKN_.P#?.Qq?\05
U"(P=EaJB3BPzWG1(t5ho6(%$sS+9wi4g%QoXX')gTg&QeJ+%q[B(0Ju7*)':8_WP
U",_pGXa<9oU)LvRF-.dH/[%D2o]g?H(U))YSB^^3LRQ?R&MERsec;IEsYR=kQLWV
U"f_?Q)7E1'4oj)x+1^?E'v*#PnAg6\EP6*HW[NH<%<l<Z^%Y7APVt%&1m.CX_eBP
U"T7oC)q0.PYWI-7(5j'q^CT&d:.0*%3GGdUSkjmg8op8j7Pv1Ga,O*IqJU;US'D'
U"rD>+LiK8);p%fmPmR&]$[M*=94<_Q5wqnzU9(jg)>V'?;=2V9^u?19[lq(yUD_7
U"z2eoJV9MnRYm]__O8BIAS$$/2+I(PP2VeitoES-3OMVNFnE4OjL4op;BQCJsIZQ
U"qQeV3=LJar3EDXs.*SrXql)?15^kIp7ZAp?<5XN17f1*3gvx4:cwJT5bX2q,<fU
U"7]VdVq>]rEgQZXuu=(OiPU8M2:eF:xCdFq0x=U5&/9reU:SdP7QA)LhocBLN=zV
U"%3_goX.;bY-h(K1kt&E$SdkvsgAho/1d_p2f7QmHFd+X:Ir:/XIMBCfUEO[:?gp
U"cU:qIz:%5SdG7*Pd)IrxU=w1JoAsIN*U+-x148:7*Pr'h>Vp8vb*wa8>R.ir0)<
U"0FDjnYP'gQo*PsS&9/H&9(qkNZnoF_18q4lb<*Mi,kpVc')q18dl1.v5P?Eq[/?
U"Twzcl/7=w:E.5,euOv-ALXf8&nA--h1X-OB#EMM5^f3EMRE*V1*FK0)]#=_o^LA
U"6/U$o:oUINJ=f8=\RVk)tl']6awH[$yybds8_nx\kc\N*mIrbCga'v]52+tVA$$
U"x6Y<Bd4UcTRRD$jG5Mah.ytwUcdXqB9zw5FRKZ]WREmm85MGbmLJTf+#IkWFN4J
U"4M=R/j/?1OE=Mm;s2)kB0cw$De#'HRIAC81Jl>gA]1sUjq[7kw+Q_Pth#(pV'pJ
U"^VFURNwpmj$6FX&0]G/h$2Q)^A(#gp^K+?:(x2J6Y,.$xJk43+b6uT%8Q^V(o's
END SUB
SUB V5
U"q%\3oaJnTH?I8K/Ca+gb)',]U%A,rvQI>(POls)tRR.G.[uf50/)LV;1V1R+'cA
U"]>V(/KQ,hfXORYP;l#Uq;MhtoMdOAvJU3KnNmrC+h&)EwNQRsoY(3SQ2uPsMnNK
U"IQ'VpQ094Es&+*jth;M4Fe'1E7e*;(J?Ym3GQ7^[.&?xNk2RE+luw1GzVsv<r(7
U"m+h07=D7b%LgnYs_+Mv;.+r4gHOj,DGFfwK$VZD]SFY9NWY>^XXN;kkB26G=g7$
U"zjrU7>Fk6rrjI\[K6D>r:lr.79xBYw1Q8]XJEiK+M?/*fzuu)2O8I]XI'ir%HA;
U"&a6Vws9B,t8jIe7nROKC,1-enrq&lxNwC/+\qRmd>yan++cY$x:sQps[Qxz8SG(
U"Xwn?vZZCKRCjCp$$wm>9bHad'+0>D^p^MpaGV^m*%4'eEXPuxnn3)PBfEnUq(\7
U",QO)53'O5P'6,p8d(ldMGpxRnMIZ8-pZuMO5Ocec)VV5#)9<g7wOnsd/+rw9r,5
U"dF<*%us9dcN6_)%_cQChWL;0P4Vy97d;m>[4eTdyVMzK43,e&u$m;6Dh'_#'d/W
U"c0Gb:dTamgeCtH69e2t:/nAXq]1P22Ytf:[atj#[ZJ^<oj)ogChRQo($I>p>FZH
U"Nt(>r(]U9d-Yi0>P.lW;bPX[S#%bU0WwqGHJP,\1Bt#ss09tlmetgvw$Tlmx?-2
U"%X$v>,I%l3EEnpg#x^TC%vqmew0a#bd(p#8BA3u>DHp&Qx&9Um8p<rMN,m))EAG
U"MF,CeD&8H&P0-C&ohcA:1R8Z-xE4LYyYXhJwY\u><4uS_PL[Doa_mX6,EdB/Q&-
U"<U.<Q8.S:RFn4g3dM&rR6k3YV:;Ez,))r'm9K)02-U2yiB1OISR6op6>nS+ibF1
U"l0<Nsn<eG#x<FSS(L*j#=EI[fRs&q^h(GeyThkWAixat.d02N/MbFcdp]1hMf^d
U"X\12Mq^vdpO]4M^l8dF1i5MfPcdp]7qMRhdm#0f0km&KG6dvgVuaUC$kC$ephJd
U"I\ZX3EK\uT_1?Ws1U64A7$L>//6PyqnNgeT4i;5L]yNsmcMaMIgZ&f'R9)Mbenu
U"vYGhF6_\']B1aR\PL\qSvIs,E6.fV3pxdEg&^si6vJVI2PEzSZvmt3gqIoSmg50
U"iZ9Up8&c0(R4-F\2R**TasdI+37bIaZ22NoEUnSE?6nwMl-&ve(,9#^j>U]1XOa
U"dtHPZf7W.2S2#Ex_-[LvRV_]BB]s.(s2_=Z$j#^W-Tw3CfKF#(3UyWuOoS5BF(u
U"Qwu2M;45wJY5mr%*&aIV8*=K]b.6l]p8%-9^i2huX*mWdF>cx5iMszp,a7xIdU+
U"DLXtF+1^s5$.s'*WaRP,;+3(X\%sRYvuViCwZ,s]ZNfB>gwqmqIu9?dn,s,\WQp
U"tfRVh9t\i+l?ct2?IZ2F4H+.1xK?Wfqd7]u?d^vT.CxDtkA8GZvd^LAJJAPSU)#
U"v(]%'f</f9.JGM(_(TJdDT06<$.$5cP$,*+\PS^apn,QxwO_v2&(Y_p=0BJ]zH/
U"9g&D8-R*5?='upiYrsd'9;T.R>m60NoW1/OV0UtJHho63u=Diw>&mjd\Yw_tzF<
U"=n;^AVUi*fqxmeq8dCm0Sx4N6M.<8ddo3Tm]XwfHZ)H/xhMr2ucp1t+#^q&Roj<
U"wn>>2PFu:pudrx]Ku'HhjhT3%7p-pIS%B+*'x%%cPn6ZYP,qws9a*Pxe/.a^6^J
U"%c:m)c*-(11m?&D'9GBdR*tPDxO'dbF9XM'(<]01UzK[=0u?R__>oM8Uy?4WV28
U"olk:EEo#yWEs8/X#3EFxE<Pv-GXf)\&CaoEu[&_OJK:HTQjL)N?*xDoxgIGOna,
U"ex;SEPiI+2G1N;)kc(hH4EKZ]Rek96N02)a1,7i1:>XB&)jccEGRDkzxYEJ]$jN
U"B7kYY+=/6(T0FSdkI*0$:*i*]rJw.5S(%R/4oF6'_a1Q8iqUZYrhA49(;KSx]F&
U"xO&9,Wj#G*7dHi]P$<S=Uao;A9Arba.T/0kf4kFqrqZvd?G0NDO7O.17E-BC%gS
U")L+rfp,a\l%a7d>lPd2Gwx0J/rcnTTY0t1_MndaF4X^6VOW)OK6eZwK+(LGBZ+W
U"REi\BgCDkiFD1MAF-6Z05]kf];,?A8-;V0q_W#_4&m:prJAXm$c]K*&EO:=b-FA
U"N<_I'T#;'BC=C3T=l=.r$DgUesQfml1)PhQiSG$960i&jz7E:[=:xRIlJs<E'f<
U"h$<(Sn;,HEEGWXW'\ekEoW1_+7nmE+iunF/cZWF^,Bs6Nufm'H.:-VUK4E1PG?q
U"#CDQO3],C:'].1=A,8T*5*pO.;J2YOCfR:BJ?uIdv%^8,<f&&&%y+Y,BQ4zEoU.
U"lEKhH\6Q_(fc(WKa-J\jhMU^(m]w]K)2sl>Fql45_u6o#5/5m#9*p=^C17vqS]W
U"hJ(CkGg9G)s>UhDmcax0>8C/xObdlt1s:k%-T\m-E%_WAJ8;63$YO&#3n%+1'a-
U"Fnvm.e5w:>2^,Q;qf3\p)s&tK=bvakH%#;V<5ES=nGupl]UvjT]<:0w<O)YfYJ4
U"T0tvdL8E6W)l\^M:,+_$A>aOFR_47ooL#XJAJoLGE$sI$h2HfHtHdm)q0^]D[0]
U"A%BeYMNVd\pBf?czACAkT-t/)u88_Pg(sWwp<2w.XUS]>+2hIEvxnNxTwI,>P&7
U"9uZ-([#YT%^)1(+M_%:=2%;>=nsdD8+Sue4=xaQ:$XrYPcrlTI(1;=>53f'M[ZU
U"$][QTB)q,&SGN,B'B<ItjP#$lv;HV8.#C,U##YgtQD]MUM4%m,?(sR?ldDk\8[>
U"lhY[j(&ZpkmM$dAJ*M7dnePQ.4U;C(Wv?#=Dqwq.YPw6XJ;D8ZA4p6XZgE]W?M(
U"jj711q,)<7rqo^C;.72P7>5ML0A'%Spyj8'<9tN)V7^;,u/x)+]wf;\$OEIlZjO
U"/0+ybMdLEkP,,/#D?2A/TLjOIQLkkcN6HSaSM65J<a1V/[5svr*d:zQIP>?<eF?
U"nJR54#O..9;ss0fdX)u)]EK)?F.wT4rqo_L5A&4)T56GF.K5?MYZ2IZMa()s(Rv
U"sEE',-B%#.0eD+HCchIgvbETr^I?rsndNIj/*(#&(?Jdsj9T+S(s?WBNZ1rOo^W
U"A&?%JKvGl<iNvSzkO&W\2W.<*Rr=?qm7C;d0%YS?tQs):3,lP$U&18*1\t<YPD%
U"W?C92FxXDKd5AwI0g%3xp=.j,U6+:3e$j?&sarLn1AC^C^m$JZ-WrtmX%i2y%*f
U"7D'BD_,bPDmU*;_\5noJ(Ab>=xUC5QqO/OVacA_a*1pAM-In4m1*A6,M7#7HCM7
U"o-9?fZd(UBwM0CWQ0)*Td34.8?-uPI$fcN?c.<?7tse-]N\%NoOy^HM3tV19TPF
U"&??w)PL&G(U3?0N)H,Ut6Om-&[**K?s5;Su+GcalvjAXhQ09QQM:&\nDq:E4eGU
U"<uFWw[:MpS9LTr860x990YDaQYu4906U)=+9^jS&J(Tj9)*?\b,c;=Ocn:cM80?
U"TY.)#M#e35hJFp_Es,DdLI?>l7Q5Yx.;UNMlmD5O)l54nVgkP?pl\Yd_.b2aIUu
U"#m$7wZJVY7jDhTo4r^&2mKfI\T/=8ggJ8(YTta;U>9d85%P;;^Y.DdG8u'N5jU/
U"bcOzLkp/$c.l>(a[%''>19/qoSUs(tm(Hr(jzZL.K.#hV=RK#B2w<FuLd_.lb9j
U")[nnyaI#KMx#m5>e7+#=0co3tilnJNJhJW8aS.lT:rGgL$Q#XXI0)FLxiB:eQ^R
U"T$e^SP[dQg[F?-4g3xaD6l:L5sS,*ptYkTYcZl9$3e9qyNYgA0'efM-883W9M>*
U"UW.hK+[V.kHd)\gFooLC.U9%.9Fq1\K1GtnEJPE\Q/DcD\8J3g=F6SvIg$z>Z/w
U"'*aFh5sB>c5c1c]5kB-:KR,t=$$)On8'<&V\+4.U;&D-9*Ia'Us3e3i,aNfm_pk
U"%?'0a\U=0_[Gea_Erm0?<nV9\<H08bA-'P*xwAFDX:#+uQ6GdN4AM^trh.4nPH1
U"r]=.pP\^N&GgTJheD10*=jd1#$TKPqpS$1Kr-Y&D99x\?EGW%hzY-_hX2#t;zIw
U"%gdiMqA/Ldr4.Z&[T<h+a?)M+Rp8Cd4/llbRakI/gwqBDRuGnR-hZ,Q&Y&/Lc]?
U"CqJ)QR2Vi'&>C]almE*WS_^u--O)<Xl-fe^U:h23,vHU$;/0[4f?Z%Y:D_PDFYM
U"'E+2kQ^?ni##:kMIjiQT-7Kp<ETjcZjI0^Y6n*l[=3qtqr$$sHZf$UIk',/1'4l
U"5Tf22bbgPb&7t1kQND8EDP4?QauSR,:7TFN-K%me5R8/=vifSiujKa%(2PuarU>
U"=6h-5ZjWuYH-(T9\HrMa)5fs%0W<]nZgKM&3M.>1\]&DZ*=tFvv?twLr6ex-8;R
U"9[s(dM,OtKT;8DxXd/C7e3cd8OLD*kF\rBuo4LLtj-\u%T/v)6vNhDvU$AD.'/P
U"4j?D4ss^O1WQO4#=nm$C?tIT%pbonUoFSU^5tCZk??xR-bRtE+po1DCRk;'l6SW
U"SmR%I/0?GaK[gf3?&N8+EvgI/Bh:i04X#W&(oB9NDGrlZRghJJCa*N(K;KV4reA
U"DpkznZ<tCDL2_mHM&io7Fs:E>oHU]%<Op&XQ;,\icJ1Jut,p66.I:srWbDXk5^Z
U"<47Io*qRetw4Gi.U>G7'0>$8.x7S5voW4ORH,T\S+Ks;Eauf$<_1_EGob3/E'm<
U"52f+TegH_u^Ca:bGHHJ2hxTd(HQ=GOM4dL<U]g*;xnwWx#wc#1_5r2Hs8)Y7o&u
U"=lf;X)v._zcXg1*Q5;/YrsfLsuV8?03#+#s?wLtN_Pf\ws8P_8FKDBY=DLuy'i%
U"Taki/OJ#3kq8)CMoY]gB0[N?LDm,%9C:HFc$j(Mlr'^<\7)m5RC;Yx>%$3Y3a)s
U"4>:.RE]wEhtEBGFr4^Q;63)gJ2m9tDlF%64LY,:];3+Z'<.lHmTWj4]8H>vDXv1
U"];#GKUAs+C%mX][hfWK>c?XM]rkG.tC0w'7JncjKl*Um&2_MK+mb.UJwKX$Cm3U
U";^iqkFxpUBMpN;-zrd9:b-G=(0Q%Rs-#;:JGimMh>((o8h]K#;Q_*7-Y,8;ll4^
U"HQrd\PS(EUt[Rv7(E]jhpF&AhWn1oRB9w1W?hJW)2Q-&]d?02oqErfCG5T]EqFJ
U"u>XesxIpxpx$lhm[x?/3e,\(%yI*4vS5+sI,Kr=4L[IP6IIS7CCsH^XP[II(:Dr
U"40Fo])4]ohwd7/ltvf(&_H5%U4QacGlZi[Mi.rr%Bh&\EeL&2Iz)V-pv.<eEFK0
U"N%rjXZW<Pp\>6]kk$UW1>o),F\VNPWTeoFPHArqSV\SS:kdQ9m3g7a'AR0nLEn,
U"whk,2<W?qEg)I24Itg1#xO?/MuvPC:o5/[wR'h%#&TM#Yp0v?s:/8K)&(ih)$q^
U"6+tPdAsUTWq$H4Os+TB9Hs4QrcWDAi-80=hDh0h.tAdvrlPZlS,]#w5e7Rfm\fs
U"*gd'%hT8LV(<u4#eM,P.#\ACg6?b3[/gJ?Vu:-IV4GARS#>ZS7T*F?JP\gWopw?
U"MB]nK&DNP4qe2Wt4asxp7h)p\2WZY-px?\Y0X#3bM)Is?:;dpP_>IeHx\;p7GxH
U"49*s2vMJRx?1jwW'eS/>e++*]x*&Mu+^gw%rD1)c.H]H0%1jpmHGUFstXv#?hON
U"]S/EYpniAdMja-YmSQ]Mov[L>)-gFi&=?M?n27A;0txdT)P<%mvuE5M-EuVdd95
U"CKx^VI=\%5mi=;?1#X<>nHJIQAk);o6s4d*KDUqmKp5hIK7vz[C/?'P)ET)HQF*
U"&7(?)Bcu<L99+Fs1v8O,w/VwCEm7*6:s_daIn(*$+U\l\.l-E#.&g#waPiCG7_#
U"OI=>L%;&3Hlgi0W#Wk(;4'D/Zj5MYA10h_/o&<m['u+Y^MW%v[x/R1e/s$]M80Z
U"p$<3mL5aSh\2X07\NO.PB6p%;(*#V>.UYu/2e1(;IR/]=N/<*S++&_V)0:E.4pN
U"6S2%o*e/PWkT8.2,('L0>]Ug56kE/WMktjHxU-+),p/+Pd#]iQe$9/0y;L%mWiY
U"nQ+7ALS(mS_/g9,kbnBI=U4*0OGbQGg^i$QLJW9S8w9];tO.<iV<d=Q/,OqC;F3
U"<;.Q,:si<Y?9(_,.lT_%ZZTM9)h&P&%rAN;Q$S3kKg,/)1tAnzSTLR8;C8\<)_*
U"3E5e#)Ilx3:z+:JChSjPOCH6[gek$#j-mEnI[n(iWB.palVMJ;-:F.-#ZsrR('r
U"_Da85':*IB$O2%)whr]\X1;N<$HIiITd%<P\&t-_)I_By#1u#1cFA#w'i9^DC5T
U"3u'7vZXI(qKu+Kkb./udnu2pW0/teRVR(rGU:W#s0WuF*/fI[M)9I,w$z[uN(n;
U")oRzS17^.i;w^b4giw\YGZad;+X6KGOHBQGcbaU#gTiX2J<KAX=3kcAlw4$79Pm
U"3%H8Xy>9Cj8fASFp8KY2iu&pEANTM-9HE:lVTG6p/B,FFJV4GD7UI2evk3J8J\/
U"%%y>gN7,(4#,poQA;t.'a//s=%sq*'s*st^j_P\^?xd77YlVs>trd1d*voNX)ll
U"\Y5<)gmL;1aW<yCDHKQ2,8'5E)5q;/Ao<T:o0pgjXV=D7%rw$:/eYI2E7n+v9dK
U"zHSfBGQ>jFYC?B7UbGS_Ai]'[JSX3GjHoFhK8EI$f14:U:I1La/I%Rp8:1(m1iZ
U"=ba+rM]sgugQ-YrU0'N/\Wy0>WGtdRs&[9u5pi.%/k1CxM_SwcfC\8M^<^/8.vn
U"wzl)4KYT:z1>]DWUY[xXzcOB4,fAy00OCWP*?*(MZIHnxWxbi1KJgm[9[TPHw)I
U"KaI^j=P602jI.w;Qtkl+IusM(6\#ybKn0>lt8+5rxr[v.D9NN3TMd(\;deaE;jK
U"uTTCoeS.R8PQRcFAQr.+Ol&PheY>D80?l_Nl[wgJ6j;Jtu5Ol%[tnmIP*^xTPLj
U"RML7m&h,\gIS3CxqiPN\oDD].J%'lQd8c3?[U8GSsef?<ntb:?L)K/fQfn/9%wG
U"p'fRZ(z(<wn)VPcWW5Lv^>wlm7N(czY,vX_BNi-7)ws3?EX/=QffHLic:&uT^Jy
U".gE.O\&J7,jUlkB#;I6MzZnh1uO=em-x2j(odHu1GPGp7GFp$UP;q$OK]N1Z<Y^
U":O<uaWH(n,V3.)l,OD\Ku1SFAp%sb*aOf\#P+q1I])1y.7cx9l2lD/1^q'e_jM=
U"^qqIZe'XSy0f23eDf-0)<c9(c<4q4/jRn[iICFoZelW8pR3iPp'<sOW)93[7nnU
U"kc.lHd[a]c7U;q$.[\)5kz5Y3Bv6KUf==4]5e4/[H,5:Q^F>'r-[*9(;SdcB?Pf
U"ii]_9AOer7Z)6-P_q,.j?Dnj$dKjPx04KTKdWUw'UKT:Wr1enxu,pnhG8]mRjd(
U"nl<xojI[&Keq]+BX*?p):[[#1C9j8tEoH_SEj\M(YT?V=)\;FNsbhvyaMBc4ckt
U"3o2$(bJK[Dwtwx^yaon?Nv_zhr:=x])c:E'I?2SBCuvHYw?o627^>DGrO>rVlzc
U"yTO]-PUXhFLUSUabT)g7la69MQAwH-F[)m+o9]mj+W+X<eNY(.3]/eNKE=4M3^J
U"_cjM=]fI:4?3,W(]2ZAGe+aE=RSlJ]907BdJKG>48J^MsY%k&I.%octt6r+hmhD
U"4\<&r&[+-TqE=*IgtYm[(q3fP<[P[Ar_JY1LSV,;fFfv-KfA6Td[k,<Vk,E]_r]
U"^?X</$JS(b$e=9sNsROxC'nsAJFFUt.lYiwAD*_^HJ0m?yC'JO]Ysw9iV)_-Ltu
U"o#YWXF4oKHD>)CRX,fYu)$CemOv_BT(cVn;JQ8VG^i\.qLU0W9=3j\n:sjO,jaV
U"3t]>O9,n\2qrVfw,>lb:akM>hwSAsxvgbvXv*bAp$eYcpijE;;Y*:1e,:fV;S;N
U"&$[Alm#=d>]mQ2Hqu=Pn?]Ykd0bI'Y7lfmZHQLZ2b)$Lbsf.DwpMDVR;OcSH[23
U"P8QKP>va)3;5C>&Uphe#'TKj_OA,wv+'&6D3Qg8N.EYkF0xtw:Lw3_kfR5Bs<]w
U"ve=vBTMazqs;#I%FA=^m3f=&#\XpmIB#A_(t=PR+ymp4Wk1DV<xCC-(xQ_M8kuP
U"$DXo<kk;J;^t_)EB82]B'dp#_a)Vg*u%o/HFvnFVAkZWlo<'RAjZUIN^<S-Lq')
U")8_tv<rLuQ5ucOSei+E&d',z[jB+2;yQi_$<q<YZ%Ep&B?PZgE=QsFER4:Xdy4U
U"ZtrKcu?7BM[elBQ;*p1KJABjDkGtrq?[92qeeK<CJS$Bd[?<n%Q^Zb9:_fTOB''
U"PA-Q_GC)h\XuS+L$>c=QC'xKi<e#Gb15c>kArvcnM>Qj2NC6nvmEw)*T\Xd-8C=
U"qOeG=VX#)ZXW]dC,pFLX&-ur54\PK/eHI-jU<=;6^ENNe:JDn80Q]IAsI.fAOO%
U"EGqd:(rTcC?kc+,*'t[gqs-8iPVc/aL4$8uxwt,MQ_FFjq>?cjz,LOE3x\yXQnD
U"8Qw-hQ3$P,86VoJ(YFCKh*ibPEXaeHgfHv[XqFu(,q3DPXe=6(j*Z]cIT:ePUL=
U"CwMHR%\1dts>sKvsjt)>Z%;kMVeYa8u_dB-_\,ijpNRaat=fl&W7Nrg'3PC]RLi
U"Lpy/?e2z;U;4V4$QP.%r<X>)g)ed34?C^;fUu%%3M(t'xaAfDfigsCb:c:oee)+
U"h+t#JfUl-daD0($g.1jq5%fS<OC94$8[1#ncvJPUG.YTEZ1<YqxgCKfcweW4dp/
U"TqeBt5Rb2Sw,D\$a_S;]<oVDs3CibTYbOQA2&we)W]ol5q1yqI-m#E.0c_FFM^(
U"7.Q+Fy(+G,-/t5UwmOi9U4j:c%C'QNdSYPZc.4YkxD3cMg^opI:&cP6U>5.vh,T
U"dfnon#hf7U=uTGBT<,t8'TVlbn:VkM,.V3VxFu%Kzq2it=eZibj40)(E,tYj$ee
U"VL/>Q]7=>vO9Dyn>-8tO&L0$WeSe&Rqv),HiW+edf.QJ(Ss[-9F6=8EMSf*Qov1
U"YT]:3&X4%vE8l=4d\.TBTul5TEuVFIuF5z#n18K$QFfY#oX$&PMYp&&9NC]&ig9
U"ACk$=O;FJ+<)BBDSJ&S[)9Ot+fnb=)+Zd%?([vhW-r'1nl)&3-)hg(,XfT\gr/:
U"Nu^*;r_elA,Zv<+12Y2'a8ag[nhtAoA&D1Po9[/Iosz2umoWQ8\r7iGhgle6)gM
U"RT3HFkY0-7xsp3WSHMgO.Cs#B+h7Ko(a8^WNH*+5qT\Or9xBc64hv1yFF1Z;ngI
U"Hv?:kceHdLE3\PHpgWse1Rz/#Wq_Bt.jh(idDW(o\ms2V()zxz*%eV_8(x*-C:Z
U":sa8Zg3=8]Bu.8yc)-FiPZD\RS9.A[PKCN%\bV.DL7K6w3WQh0Q-./H.w?A8PBp
U"MW*j6&fo9.jp^K_7<MPH\[olG^&J3<)PTHtcfgqfivy2HZq'=S2\fM0,jtQK#id
U"bS2;-\VD1)3W6H>i]LS]U$OIqu0fT6a0D_BdRwK?XTNM8,(fK*.hvJBV56t1qBm
U"u\[YFr.QZ\PZ&0%WrDae1?c):zFYuHN$ufvGgU4UY+VV-$U7\qBKNIQLR[LFZ<\
U"*jd\G^T8NcAy3,Z8yG%v(_+iEKxLs+.7TaMrqde.5hu$SWn\cHe,+L%KhGIrl8%
U"D4GFea^:Di6sF$Zk.eS#L*FuVTL<f\wxW,,hKZc*,%?ls-xZdORH<0B>sD:OoB-
U"C'EPFgjmC8bh$rswpEY7sPV[fR%13E:_ajNX^<>aiBL(iHA&ObrnTis/WV2CifB
U"^(?emTr^Bp:1?oVQb95dRrLpl]ZZ&2^Csw3sm:?G#cQmd9l:A1W86c_cO^K131X
U"7GEg7XCooLTYOsowE4C$uT:/-kJnH&:AK&$vV-V#;lx3&C98=c-$89&U/)&M5Ni
U"ni11ok*e&Thj*2IHDQ(to]e-T&]4i*?eXn?Qvl5z7FhR'MBQ%&:e%4&O_9)s)WB
U"CCFagxyN*Jf*PnJ.F9?klljSv).^'DU/k6p]^s3>)Kb6c0I=.\>fJxR9e[pDX]&
U"C#g^twX2xR4cip.>'TU>*g[IS0dYcO0LZRmx\kl,jo>_tbp1(aFNRXYIFKL67i.
U">30F,<h2ICfTPF^O*'C6&0qOuh%]#$CF4ItSrKhjb0/bT_[WzOxr5.]hff9+fcT
U"6cd$47zCs:,eUhQO7S4fH(xjafuHg_&&.GEvzeifxHXKD=MgZ$Y%LZEG4\d+ar;
U"3GDrrPy8oH$*_fdWO8,,?dW:kTkH-t^+?Ja2kvpE'<cUWS8#GmE[v+yl#WDfc%j
U"O&BdopnHZO>x)X_yReL22ekqJvwo,EkMS-vb(PzL:gMGt?,%NrCM)F6C(.Z#5dG
U"GYA._np$fZ4OMR0mp6HiDLd'2X0ror-'OS9JGaq(ypi1coeM#bX?>3P9&iY]IYY
U"TfP\L/BP%K69IC1A=qmYc7Tccjgz4J:kG8q\W8U3d^\it9P,F:%KE<']TN$6klU
U"j[n3QFkVMIhz5[F-\aLq^*Z&Ou(p&tlol+m1bB%g'NA.x1?-\5-5gUvX9/-#R1Q
U"+)0P8gwzp[K7cDC4](]p,UVKc$sPXn.F'S_B9#YA1qK.mCJA>53ro7-lFa.DDAP
U"nI'>Ckb[Io'0pnq9&']f7fG99z>LSZVT#7pfa_uO/ASgbt.;ADZ2$1x9OH0b\f5
U"tlgIG$J$S+7)i,[=4<W+D;he'CMD$UZ/qzGU%inui/t6Okwmtd5U]vpYO5fSW2Z
U"8'n6gw)vHI==IroVRy[Em&;uL.m_*$\e&q:-cPv26u/A<ccQY+FpE8riSS:A#7l
U":A8Z>U2QVRqX<f/T-B;ys0v^:%3J>GQi%4m(#fp#6]bpN=*.nIbumR^ISY6tN=s
U"=#/W*%/>(-5mEBd+UZfZL?Eseia=$I#f1%KHB+jsW.HGyGnqcVFXqOw,4/W<&;x
U"><\qPZ3Vir0[iW(vXM6&\=H0R4*g3R*?+FUWoc>IR\>yOv-2&\)$a_oi4t0&p*L
U"v6\IH,H_,uoP8w^:9otBZzRF3;I&L3C=wrA8hLn0HXEL(cI9iG<*L=2Lucj+oYU
U"%)OCsvC>_58232I.C]9E%;[+5EH^/RtG*GKeTp^(?ra^%b>6e1\)?Kd4R;pD2l7
U"4c*C#m4x;.n=TBf9kHT^F:u7bidF(kk6a8.J,%,bYH>+fb;eb(=*s%C]c]EY^[T
U"V/c*L8>]xmbHC?$.-CskP+[<:BAcamJ35#4n:j,_'A?de-IX-rnd4MH%bD$t>H?
U"9=s_8pBl6Im+^>FDqZ9XVP))OEj)'G3_A*i2m[Y4Ni)=Qi]%5+m(VVSQ?rPG]aU
U">?83Oh1oxsE<Mhbq0KV6/Y-Xc?)gX;#3_znaZkY7#+wAsC0U::mH4rf+)[D7TU8
U"tK'Zb0SwW;>joPb7GDh>(DI+c#Z9jKB$ItoV?79#7][mAoh/rF9(i4H>KLJ#F4L
U"V3cTAdkD^3_g>lp#?B5Cj\+'A&Yr3Itw[K*cBiA44x?*:*IM_\4c<8i4AD=3p99
U"G\(sRE2Ac6TbodRlDQS$j>RG\VfdVlsPDtUbk7o<rX&RTJeXGlu6<X$p<6GqkDo
U"cwYkB(69mB'YoS=84(HV&aM^&C2j2*5c^06t'Aw&6uEoCEZaEP6VNkL65[4)e]R
U"X/90Q$FIVb\bsu$9nU2X0U,jp9ecU>*p\J=#1lFhA[-QG^lJ5'HD]x\'&S&eqK(
U"K)jGh,4C-L&Op[^=#HXco-aY9h=w96:#z%3]m/PZ1,QU;dUU:3sX*qa?UH6x:uJ
U"FE0f&VGub[2=17#au6YKg1:(4?&,6^(3r7TwG=Jsg#?p*GDBf6X%sPYR[*(+/+^
U")D_l5M2c'PFGi?qpQUJZj[ZZ'RdTlc8s($#3#E:]+mB]XNm[O)tF3OV;i)=E-KL
U"vE'jm0.Ixf_eO'L)v*Q8u6Y%qcY&6Pe3u_'$1+k6:5*FIWNLn6c4Gvvt(t52'lb
U"ScfohUCQ)r*J-(FvV0GBh7W7*jO7:U$2r-RgVapBfP/b8rK)/9*;iTEg?wNPRI5
U"2)=HaIsuC.#l][rRoA72,2am(n6'%qk&e*p5u2.Otp-w\4.y7'W3=[_COul2ka8
U"\aq)i]>&c;o6=duzPW1nEHR66j#92/jripu7hQrVxT'Zu-4RROAE_H+4(y;WToC
U"7Ke4$Y&)m]CnDFx9+EH*C:g/L%uQO-8gfJ,&%c/iaKN8vsj4)-/jkne9deIfGFB
U"*=Ddli;HMY7_.7=cfd).pr>mmI+srm#0g18r3RkpFvFp1X>;QxiH%nv(aCvC1XS
U"]kPicEk.3;eSrq1bbexWBZAhocvkEI*w)ngt5YCRm_uq[LWI^^+DHGc^:4VWxD>
U"nHF#]rBSiCMd9;QNl=+d<>RT3GRz3qdehyY'4cv'1f;AsB(Dc0MC_s)CV\0%Q&4
U"y346%W0Dtf(i_lj*#p&Y>+dV'c[(Oel^K\H+?n_2eXu[mj:^LjyVs&i+[<tr&u1
U"R/HLL^a)ztqafnghve1\-/R\)ebmRUiZMSPMZz&%dsact4s'g%]cU)cg(]eMEDg
U"fAWFYN?VZpJ:)F:reFj'8%+K0&z*iP:p0K]te9*PDDn[MJb]?RLa=G7).>;KSPM
U"5Dlk4.?kP]S.H=lSt0(03/qnY>&eaT\9Xbq'(Ms:B$J9P^U,DZ$B]^6\p9Td/e=
U"C=\iuzC_S9udV]waDr2jl44ew-r4=9lcZM,_?HPJK2#l>l\kRM,%g.e)YJ6p>>u
U"Ioi4oe;Zl*;sS\eU#A*lrKtC)\8%O^M3Xsat9o0XdRA$XlG8i,3i%Qew*8td)b>
END SUB
SUB V6
U">ynjy#2_-mXmR>'').gqg1fDTkL%A[6oHszZ>QsZ?BL-RhL1v:g/I<4o&#tPCkp
U"WYEE9>BUREHcO$BL<Z,oh>blD[tY*&VWIKGZ9<xY^Oi198ft.le+Uv:*^O2JEru
U"oh%Woa\Gs$2zsvdk1onq:Zv6Hq'ghlAiQHJe;JC*Qdb=M#:[e8IM>i7Dw.e9S:5
U"05qsSG=niC21u3uNTMcItV&dI\Yi[s3%)D^V7]xmPC%,8+#)6/H:#[r<^c5hAW3
U"Wr>f6Q8]%Et9Ma5hj0,_vRj_Xuy9;vv[iNRcbL<xm,>r=AA1OR5>q1b,\5'ktrn
U"/>%)Jgv6Ws+OH&U\s)*.S$w3XqvbrQN062AGIimbCJ_%qe'=\CQRIMG9AVgo($g
U"=:hn/Q.?2#g&+_pff9$n^O.kOzC]=Xu-=sZk2KcsWBn?Q-E,o/1,CgyXW,u\(wB
U"4%VdUGRF60Gy6^8B5JA/b6]wo\)SNJ$XbFtFA9d'^Nf<Bk(uhCGT58ACV6gj86V
U"Us#1oErP8d%$:woEbcix4XagoAhtAXn+G9grhI\=,WO1FFUBeuBZWbni4R97_B-
U"M7^(A'5m9g$u-^eTORS?nPj0uxw[1vFV:VPP7']o=x':fk\A+7j/mf>OB7kO^3C
U"<=>#rSQy%qNV73H&sXB$I=x&yhQn]fUT&03BYx1M854'Zm&r?CMi4w')xah01#A
U"n4[EmRwgxPYtjz_R&ME12%%g^AmXuCq3]_HnoVz,#hqSVfE/LEXCBvf)]a\+Du#
U"U=vv52/qL5qf0zh5xmt,8t&;7iKD/o2(JH1<:;HigVzrU2''DgA,BWbF[7BUHKe
U"*t3EFnDl+Te,d1uJ1;oYUNDqanZd?Qy_'t.p,,Dk<.OcKi&b)+sa?LJcHM?t/o4
U"TKE<DS/1+WlfW*8$Z:CR\;96_Po>GmrZ7QKHMdJu[Y*6e$ooTl-:lou0boL:qpE
U"nqsv%<GAe1GdtSz]\x^2VzvZSklFLUJyc;kc)VBA%v>WI4hc.-^8Te?f?*54G/p
U".4VRS+0jwT(5a1+'#0SKcbS[R+CYjn5G%bCP(Kb'UeKaAE9Rtp[.iHF.*3m8Jcp
U"VR3ED)qkx^.1us.9O6q>7]b^T]82Dtv4uJWoKgQaOE+*NeYm_SqZ[zAt/1^mRM3
U"3.7B.$mS-4Yo\MfDg9%)%UU^4.B9?,x2&DNEOd_9f3)T/fhedA.tew344(awa6j
U"Y?,B$QCW]/\wt1%swyR-XbKO&c-wk:<2^2,5cb7a-QeRc.4Z'#On9BuvJw(-aT<
U"CPrQ/S-\sP2^+Xq5D##ffw5L$KYX;nn/Ql2ie,dgEgOB0l54R-5aVn^&b.749/i
U"j*r+8:X[75iu1R6(>0wg[,?uVHW8+RG)s*LS^>xfXwcKZptJ#I\]&uuGO*.QoRo
U"$N*GhF,nH/3XW[=#/&.T^6>Ujw/ou_L?^I<]f,A]o^6i-\7JEIRda>rkjD+O1Kd
U"t.hMda^p]8C%P'AgLO(wS?8M*i(QBQf9CW2Ah^(zX;<-6okFb^*Fy^odGhGuI>Q
U"<D-M7uI(Bocx4N.eIwPqVRvjklQ7Izn7(+o;K&IA+^**_2(gIV3p3.e]Wh#MjEc
U"9[5C+GSv]S&A)g^13p1e,w=Fy.G5[O=/;7&Q:ao4%c[E=&7O-,I+)2_=Rl*&K:E
U"dQ)?7eU+-VWDd#5[b7w5W#U5[B=)h^:hbhCq6?E-*(?NG4nJYt'VN4U:_.MOg7:
U"=+AZH,f:3PQ4z/X>KGY2)KrY$iNpafX%*u55)tI3)t>+A*s'*Ww5)dOI)d>4+4n
U")kExj:.CIPbWq5)V^n/481&;+H1<0\2#ADhw$n\-&pE.d4\_T[Rc&hWROVO;L4<
U"O[RPsOF(jm*4X9sSDco/n.7]DK:Tpw*X1tt'Yq\?Qg(?X2?enQk0T?bggImY1U*
U"5b5M8%T#vfRry)+?M*Bt%bqhH84[?s]b2XCQN.G_STfDrs4m:(.vWz9R/*Ns&HS
U"*R4xNz0+d=AujNJZ$[P6,IUO9Tg\$*rTrij(B63T0j;2dcSH9Mfw:jdFkt&FPjH
U"7[O5mZgstY*91cklcDQBbypcJteySrWa-GMj=JX?LMLNi,jCJBRX_dp6[?%%n&Y
U"_,HeR$UJX-G/_V5r+/,Y8&aYF7TCsW+'7TMnRaam3GU9Nj[3<.,_uK5]/ket:tL
U"dWjM^OWLjj23f6%Jkf7D+NY9f.k[g+QIl0eHz\-Sfu%h1aPYkL.17;y3^P(sa1)
U"ib=uW*eLy_uQoFNV8rT2,N#EihEFL;pcPg7:.-/_en4+'NBl%yemu.EG,T?zq[H
U"]w#Kf1<ohX5:h6FvOmd6qH>,rw1)=Hp/ea0axDxGd?*TsqcFQwsas_Z4g&lINy3
U"lRl%$W],rTkb&.OuCM?F/<qy&nQU-9*W_v.2,rfdQ?*t)bQ]K%=8^O94c?R?w>q
U"nX*(wG*PaF^7dm^y+4b+/4]Ju^DL?gYtm8I\$oK'>9&stg2cl*c_Kr:#_MQ]qZ8
U"-%JIcSTYAZjz-)]d,/[IkV.Bcge$%<2>ggPnS;4VOaghIZbF%kgIUNYpS7?aj'&
U"3lU[Ndm9Uxt:uk.)*DrTu%<]F2w+o%tu3\vL/Iq?7u(=Ys9,:1D\^O4jS74HQol
U"H1OgAD0J1FbzT+4%1-_m3ud%D5CSYNX[e/t(&?.4l<s:,>xj^0,g%fi?8pMq75&
U"aTeK<0$v]Q[gmO_q,;#Hi_TN&3rf3ot0EY0/dxLCY4v9jR6ZBIqL<tJ[u0C=><&
U"N.',[HhAtRHFQsRB8PqV*ALYJ#8v2W-Z%E9*%23O?+mf=WezBf+G[t(oNf.9cf.
U":unrY7f-%o;X;^Wqiw5gKK24hK2&Ef0V#MI/Q8Etq&<^^[=3HdXhe,Sg$j^['8r
U"_/TD,q.:&m$WjpAe5H^N:%Pp>(mn1s*E>S&*KcdnknF6u,s][2]?a1RMuG2W7--
U"qw.C+NDd'^yx2/NvkrbTuBTu(qAuc540SUq7Zm9:vH/4p[G/f6YF*?smGk'aaOM
U"jVtxLQ*2iU(iI\-&XUAhy;(h0ZqCF/5/5MPrC>x?u3Xz0^.#wW-vIEf[j.],v/9
U"AVskqJ,cYS#Z0(K0)MW\3:K;=<7-hF=*F9#4oXOTt2(Y(fg<(%BZuEoA$[$7Qjg
U"H_ue#NsNW2w.(N&FHIH0Crp\'eN]$))_qBSy-6Jl_uP<4ynFrh*jV\P;=JrQT(F
U"4BkPbN=+R/3\V75o+L<Do0Qi2,e:-=\/$e(Io:%#08IF*+>>4c6c-t[JtARjd-*
U"w]F*k47&&=_t7xU9hIj4Qj9%VlkkeDn97kS^9$+ZhqF%q'/TCx..m\Fi\#XIT=k
U"9]L2;6qNC,)3ABuX:'(]k]1QiIh'o)c+:E.Nf_=)HwiJRTeBm/OtQ$pDBCY>O?>
U"1BS0EsO\A8<Y2i9K(W4jYBlho<f9n5J=;vTOk+5SJ1Xcp&=g-Jk&Q&^xgq]=t#C
U"Dd3^>ho5R6+uO3N*[UL5u4>hdqMb_]Q\*#E3PdYPOi5sfmM9rAm6MRDqWdlCd_9
U"0Ce_Q$Q;-o:5a*3W:swO'*eVa'+FI)FaBTc5^[-1d%VtqOJin?0?&coL6++[T7E
U"^R%X*p5blCjR8$<fK)OpFldnNJPH)ZNTt,:=+.w-YZhj\<rKO-P&kUK,TWLpa]T
U";tA^IkE'p1<7IO3g]1^Asfo5$kddGpyI#)LDpQ;gLbEI^vX^,Njra6Zt.L--l8>
U"?^*WQkE&xT$BT,kcN\$>>B;=Ase'VGpREpTqDFYCP]sz>G^:O*#CuC&A5lHKO/.
U"X:]E^/4()+'X-.+w_J[G,>O?<]<iuq6_r8-u#hZAa[SnzED_dxN=jh47;7/4tRc
U"I(%('A,tHJCU1(Z[wKT<0a+/5;>ZR4p^?^Bt#)uj6bIMEi92hDn0ci$6qG9YVf6
U"Yy+C1mFM$?4JC1r#8t,DShr>/$pp_]Jiqc1pGO5WrT<JgAU3)?v73%;MIXLFoc8
U"J,s_)\H5HBB<cntq93$-T<b[tk4ko4[YmLJB1zgoUNl_I(MNg&^V;9o;9:_*cjT
U"J0=3?d_g)82%B)eG5lWZsi,I*jEZA6<S^iWRkc(UgR*Ob,r+>%]#,p?Clh$^[R(
U"L+x(retlEOCEHdjJcR6V*UhHQXFUj3Ig2+E^&/H1C%O^rA.p3Q3X,SfLp(%]f6[
U"&k7x^.H51^[x$F=f[rVUfn+]D],5srp)]ia[[LxUDu%?&bt(:VP\Pi/G(c#l82%
U"=Dr%(#T0qXNiPz?<RcvjBIWqRio#yhoZ%Ec3^*1n5dF5#XZI.yj6rEB_gFe+%A)
U"^Q&dj'=[4N\4mtc(^lA=?]1h/xBjQ72l>a't^l';jSjn]CClh2YTFlG4Q]*EGrZ
U"4gZ>C8cC:qv1=GCn.e=y2[aOG%>VjFxgPOg2/^65wT+C%6/3AEduPu7lhht*oAc
U"<F_G.uRX<8LQ3aVaK_Ja'H<m?0Tlc6P1l3$o5Wc*c*p]Hd^gfi:D)K+wBIsscFm
U"3R3WZUNxp9'Ar4z[K'(up0mAg<M.Vn0HB[cfkJ1eAIcGdm*tp_bCA<('F[e=6Cx
U"aKA\MOOrclW2#bBkbhV:xxj4Uuc3v)?KewM<2E&D^=7VhbJAs:bt/q+POF+a+$e
U"K,nSjf/WsYHFpt(40mxa9Y51ESy[]F,b6(3U,XC?O:jJ9jFEQ4IE_4Lnxtnu9E=
U"isMDmdQC$X$>JJRzQ4XyF)*\[$25dQS&fg.91+4vR_(%Ocr;54WP7ptV7_:.$)6
U"f<wBBrJlYj7%d#Pk0Z(u)WuX_(:\rU;WhKWY3*#QhLwrW4&Ttw,sv9q<Ev$JjcK
U"qVjb)g\?.JMQ9-xnYDrkjxxMu.ORVfKuHjR&B5ieGcZ?v=eb;H1Mc/z-ZJc&^uZ
U"'MBq6J_iBO_jmin-ci'>khTdTPNc)?9NDrgl<9?,)NAr$LOoI0mQG+'P%4PMVYL
U"O\E)QNESaquC_7(+v#gDK:CSg9/q9WsTp,-L-%;X)t.YNUcS%+p%vXFK:+aVqqX
U"M(r25h&JBsXnU^?mHaI_Pa^)E*_g;%.a);PSg+2P?Vlj79-&S5bYu<Ofu*+C-Vu
U"67]l1)*p,2jzcBKfJg2,d?vDWOv3gk[o$D*-usS^#AOR4_fgSY4F9)2wqY7rnF3
U"_^Ca_hYYJY86/#M5CCM)eL*1w4XmMXp#qLU4y7K%Bj=qLY&T$WR.e:p<ieoA?Bt
U"Ji(_j=y>-c)HKT0=k0Thou.,N^#?pe%&VQU'vdToCo9=FB,t+CBDNXlbwGwqZ3l
U"1VSIRZ.[9RICWaN&x#h\pIdcAo[MHU[$$,PeftcO:OoJO$&:S;&.1?&yt(u;3>t
U"H)cmRA;nrcg069weeDnso./oS&Zu:OQbW?E>L/Q\U9a'a<a-rMD&w1H5HAj1e3*
U"ucxGUe0#g'=slj?Y_7\Vw8AZrH#JbXKq'cWYuF0%F/Gjh(j)VDW3_)VB1^2O%lQ
U"Z*'oq>#&j>_\B.IOzBF)c5L85Ya?Hk#3'1MYjmZ<bk+Q#5MX1WApx'a]RY<*d*5
U"Zt;,$rOYh5M:[grb1]F8E<0hNES*5e7(GFV%JIzVx)Y7PK\qQHE+i697PHS)ycJ
U"?hp8(t]$1?%PTSe4WM=U(fm\bO=#3*+sh<8YzE;W-,H<0-<p^aBM]G^(Ru0*HK.
U"H\p=$3WnQ;4[Z11GJ?Lw(VTreX#xe>i-ClQrFUO&?0_c%vLD3]t76K?*q4u\'J8
U"2pG/oZ)Z)#3,'fJk,1Y%X01t;8s]j19qU<85FI.aW,+9L7KX4=(]k5(<T'rBcAk
U"Sq(3f;S7?<Gg<]g>1Mvc1l7$>A\NAe1yOz[Q.Z2>O[i[B.gnmdPxd%5M,/%+4c*
U"v+)FO3XtHBZYo^bF=&,FRz:_WtOBoqcLB:Cd?jnt[]?x_ZLYz1G(P),v7c8x:K.
U"NS>03KRT9cQH='KOy64n+PjVIXEgSV-FrR<jyUN6?o+f]r4k7Sf&Hy4r$.'[-9F
U"^CrE$XFM1BxdtPrqW0d*2tAZOLrRnE-Z=8oWuTsAT(kUEW3ar$KD/js\9\]q1_x
U"q5=H,J3?oQ;d?HQ\/<qgg&I5%Lr#.dtCs&gEm$r+4d6:OX3z31I71</75waUT38
U"pb%>TQG/Gi8km&.hP<5nK2p9zuZ&&)&0vc,/pZV^\mXoNn6AKU.aG;mYg2gkq'D
U"KEZ;#Vi&rg3gTWY\RspC_je>$q&B$m<u1b)*=AnHy:&N\hmKRUBuH?S&pI8qBCr
U"Y(<xqgj_g#Ry_0,za;)Rt#,cTRiosIIVj_/y2dDtTd;daH9wx[ANetL'[t0hGT)
U"9?QunMoX+>H[wi5h*TMwllH5)d-cs+**h9WZm;#os]Qj\'lmqH\=[3bCW70<)>D
U"+?uERSl]VT8*\;]/fs'tB:-hz'Tk'\I(1PLJy;crZR^]AY8qet#llf-y0DW1(rU
U"L1t$.i>dcuS-L&T\T5YO+_rZ\D,t4vYGaGGZ1;e?^t5,YY*<3h]O2I4W,^F%[P%
U"(O,TSzHRUDMINjVPL.%Q;x3n_;?e3CynY:e-#NJ;6(*6b*$(g%#S0,'xQldn:v*
U"_hvMR0UEVL%W^(Ow[3Rff/n9E?j2qYY+?>Skk%3f?^3^p96N4Gc,]lP(-tW.si8
U"[f-R=m[t-1FWd[QPD.O<G3>/)9$H/'\.COdfjnoG_I1+Bfghm5bOjn7Nu:m/Y3_
U"R5%'J4])-kBb,9x5),_'0=xSk$YFi\0sFR_Hwnt1LXOIgT&q*qMrpY$+pzEsPJ.
U"Y<F+58;<wj#1\6SCY/k<:18Ne]7Kf03xo_nmcKcGecq8.=)VhyEmSfA$VjkeLa]
U"s+;*P/SJoiAz(,$]=VEq*vG0.$L>XOsx-H9H9CJgUAU?+[XF)1Ipr+u\a0EL^d'
U"E,nI+-Y9[,mI#kfk1i%4a%%cRUn--73vE9sqZlm;]j_Pm.h\]c<_n?j2;zLj2LK
U"^D'7/2/8Nw]#vptj:iqwd>H-3f]101A[X]m+0NO$,Ab[7nV4%[d%Y7Yh2yM%fk&
U"vRMUCR7\>0bXUcA&+1/AE0^8:hImTc4OEoaelAm;78/G=H^#e]V=ZRkmji8RR]>
U"l/g/LQ$5EF0>aHCttP<edc;HsYTGgxBm^/loJAtD*,uT8rcH]C,bG:Xs%AoJ3ij
U"dSFdb'e)U0qBfx>vt8Fd$\GJONNRR>$F)j_#,VmPphhGq+N8[L]xj[_vlhVV_HB
U"Of*w\?o.W:E1>>:4XmXO0uIDZXfrG0%Bb/=>fLKB)vNHXo$*o4U<?,AO&f:U]C2
U"v'UJMYPvV>CT4\PLRXY$%fw.UX#>4*OLCNcHSJiHcnBPa%#,n?<8ng1U2k^\R,n
U"4F-2lVV%c;vg<I42u'#p?q^rt71<)P_y_Y?.3R7%16E7UnMXi[R_XAkN4&8.)jo
U"+uvP-c,>*89^euB53Pc+L>g2'=uHK9dnpcG7GmOxkR.].eBE+%M_6aWq*8ae#ry
U"cO?kkJ/q<Yh4?ovUL>VCM9UGX?x&dY\6*C_xI/,&&5IbyNJDAkf[4=q:g.i6,i8
U"/$Dd>6w-i:e'BqGBf_wStG+O]2\mJ1^3L'KL8+61EOYL0tGTffYShYT\V*eEpkG
U"UQkjb/WDDKd&ZT9^suhP[\b;Qc]q)*D3nhZGs?.8gKI/KcuPhKjjhd$t,-+t's^
U"Au2JVjQ>H.3.A*Hf>LNo9v6un?r>54l>Dq*&fGTnTV-?x_Pt<0FxRcx4_aft8<&
U";_h3h&=4'y;ZrjBdJD(R^]d7'hBo&3Koh(tChF\cYQj+qY_FC;oY8fX%Kfuq$hy
U"$B[/.bJ.t1=&M'.9Bm1In#K9M09E)w<_<PD>8%j<RjE:39RUi?j$\gTR9gPv=*X
U"LiVbHPF5$mj\^ql69g)[)n[WV#'ASJ-p0&^<2w<Mf1,FFtjBh_T\,F$l3p*LvtF
U"B^?:k3>r6]pe^K[ua%OT)SkvlDg'BS'/sL*jWSR.s8,jEdD^cmv]hn5l4p).M=M
U"HTO^h#?dWpwq%VX]]eQH6gRa_\xX2,1/LMJCk0Oy7&A$CB*mpd04VC9t7A;J=do
U"*Bj<CJ4=51L9ilg=\*i^=ChY)Bu[7FslxSjL1T-w%z37Um+hRD8Vqp.cp$M1iN<
U"b/,.R_6]JeB(c/H%/ocZmC8fiuq:MyvKf%qL8#KrG]HZBnQjD#wh1S&hAOgj]XZ
U"aa?zIZh0k)CRRbN*b'?d(P=$&hBvB/;LY*1V,j;h4KNJD=$CJL?#K,GO\OHO]ik
U"bn$(_wG1*VCusetxlpW.Oj,-x&3>>IvCvzdh(n0t/n>V8N?f]:go*y'e7DA7dIO
U")q0F]QK;H#Uwk;r>o+%^3EIK.%kz)zr69Cf%M7.(D>JnaNQd_KIr,IZy,vn1[&=
U"9d1:.;AiZFV5rYhK%W,r\m[$X9W55'e/7>&;VR(_axb-\<nQAPs)(qthgIIg*_o
U"(]j\&wq6_Y#pUYe+V5C25c97>Z&&R?K50)r(H6;;VrBrgaA#w&zqQ2HOva2n%Z'
U"\H1\?p&HaHxV\VQFJz:Ng1u&8:FbW)5%-cYVV,s\JQ*Od*Br;:lJ9dE\Q;FZ2v9
U"Yk#&Vo*Z%)]8es?.[aB(0<STP%evaa/S*IjU]H_<FL$4)-+jZ/5hoLA%[g?X_Iz
U"VAD+ZY#=UjL\b4Kwzs25'N9O66X2nbQqaS')[L&93Uw[q+1CJKUB^'4_[PPsRVS
U"#rF\y5h^)8Y]bhs8mjWI<i/x8-%hw]Iwo\%[TACr]%sy3=ANq4RnwTzR'tdZ.3p
U"c[Mq\nd8AFOXEtST&rK,S-O\[68&Af#ejwHo:\eNym0d#K,Ga2eYDv_$0pw2-m,
U";^s6k<uDM^c<Y'Sr[%7-s%SIlj5=Mq*\Nb0,ogcDz'Rf[gna4n\te-iO<.O*3DH
U"\mews%t)4L8b;A%\35KhxV6YIZ+%6[BQ3uXlP)gC302hnbi2]^b<a9\V_76NDY1
U"fmSVLQ<V(w;vMfeTv:)HV>Y$I.o36'9kwf?t^6q02g\(7I?vnsU9<%Eic=(^g?0
U"nALSW&6T#mBI'F:tOFu^/[44+YqRUl_PZ;6mJq;;2DZ?U#o;t*^_6,U->=aO'fl
U"SlmNyav8-Xge'+C.*DbwEn#u3iPDQRn&cIENX2?u-2eu%17^ah'B)12,PTRcrfc
U"gg)#OY]'3Ml^HKc6P)L'9ekIO#Wr0/xa-)oT=sg0GbV_DmuK9#VIb0;[99Co^pv
U"Zu8wqcinNNlRx_lJZgf*7oxdxPcXxvvnHTng](LDk?RxvdZwqFS/^bRadWD[QYr
U"D:Al>7''HFvJ[:)o$)(9Y>xM(DCn_gj+Ls[:tFQe:K[>U)#^]pan?dEnWq>AOcf
U"8=_RAkTAM$c3P]dj[sJ[WBd.7J#mo'sOI07I0^X]&(>E^6GIqk9ZvK5S\6gx1<V
U"ePa>J5'I90DrBIeNV^Z?3YI(\(WIIN3x&>_*(Iqdk/R2w\yI84%I::NdGiJ7P2)
U"N4T^in-+Loir*h,tvQP^Dg4]?/L+EjcG,wZ)p,M4O>\5KeZ?Z^n?T&G$qT:c5<3
U",6o;[sK%lJO*oSQ#b0.u$DGSpY&P>mb.ub%gsbCgGPkbr:?rl*Jb.Q,vT[$f+Gm
U"\CWc</\[4hCmZEi\3\D$c3rM?DyxIPm.6:r($C<Lk1?D4PTq5ZpP*Jr1a#;=Sl[
U"D/OY#OeVHi0;pND]u1&<;8VTsbd.e%JpwX0Ru#LV1D3hiU\cpOTQ_lBAwNZr[GB
U"2TJ1Dg+U)IMq-Lds4]U-yJa*pdk+Jt-7Z2aP3W7^)G=3\%6>/'Ni7YO,5Eh&'fa
U"-L&E\1>:S(REGX;w>JS0vVGLfglKnE&cbRbF;gj$wJMw'V)m\tJ2Y>4Ej-Q3t4x
U"4:DA9WAxFJpaEpqA)aft=4FwHP#eIQWPnoM5^YzR1eKI\tivi0dPX5U4Am28'SX
U"5E/$dS[>TaQ.?3DW^h0c8_lD*h5yY5fI5k3'*5:-Srtt1%lpHDLc0/dmUpUp]4h
U"[&'&LjgM*t>2\gzSuovs4+iQ^?1rW$\e$y(Klhz4VmiKlp)i;eCG1DRS#71;(6,
U">wRta^ASc1itt)UlBnH;L7nPH&a+-H#^RmV_j5hmn[oMyMJUlh#fB7*h&pG)c5Q
U"T2yqamNa4J3<\%66TOtKJ-0fG*el%aN)Y14BWOi4LLVVee6?sqly%2aW$Nu,+nS
U")>g<kfO^DIK/ePef=WT(;+OOies6Av&t#O(+qZ=fs<+HO(lG39o,j8[E>h2qDoV
U"q7AbZD1G^3G$d<=hsHA^Zx_0$;.JEBUI:%NN*JO7Ctfd'NOka,+lPVi\ePp,XGe
U"YXfT.oi:'kifwG[70mxgF<),,k*9_07T4W>fd_mlTYXCk,W+8yt58EfE:6nrFY1
U"ivmi\33tOZ4OO5Lu44U(l=\$,^MThnKg5Ju0cICp;ge$A-8;)%9uoB=:07?X\Sf
U"=ukj9k6g,44oG1W(Y,uq[^#ob[9pM1N>oJV//.07g:J\6_MK7g:WQYf=b,+4To_
U"$/;'8$q?)=(Dbb8E72<'GX17J9G-p?gd0t5X:(Q_VADzzcnY+YY\PoGj7\,%3%N
U"i:3[/&vhYCB3?s#3Y\tpDZL?X_\J#PCBdHF>0nJR)2D3PI9mh'86jO_Dkt0qZB<
U"'q#c4mAwem6G3\k=#ou9<icRwt,*Z;:rfc.0_nk3<r[\j;;F#*UN48',4g7d$YI
U"trNUr_C.(A<y=Ku[f^&sUjND,WN4pjtGh:Dy%kUj\1[\yrN%k2*Y2t_+4K(ediu
U"$1rMNI'%YKa]9_&f0[.g>:+<1E2xCI.P99/A$xNQn-xM%V8&mRt9uk%$Q*5S_o[
U"&M]dzO>eqqfnl[qeDw/[LD.W\L%#Yb6WN\/p;uVtk^xgIj=pp3UJIj8H=dUoUlW
U"o<I9o)c#?&F/J\rNJP8Y)2v3e^+%AgRyzh,yqMS(%(Ys[#K,:lcFijTqBE/=>;?
U"AB4pf,ymSM#B]qd^3kVU7?8O(2CPz&7<(%*Jkt?4M+?d]jSDe?M6=5x):mh$+9,
U"M:C53YRlUT_n5d'9HYPv8/8B?,\d17ET+(AEo.]m>Vaq;JIn0^;>h(5Ai?n&w/A
U"wn7Q'Qj&^++PFG(0\m=%Q77ep8'us4;8='>jK#*:#*gHLQ5:0nr(&nl>*V)IXum
U":lg3]dR>Yr?\[=*Q(EEz+TM7H4g>fTiup%N7(mZ[57ONwu12G_8M^N2t.O#WT*q
U"((-O9Eq*13li)PW#A+0p?Lk/szCE.OyRll2Ar.ifBzT9$7S(R6;J_h3sQqBn[=f
U"IyrYACM-=e+xU%nU)rji^g0uf9T+sRK<1zuP03f5\gWs.3qd2(7zi<9G?]U\sbW
U"QFnq]&9u#9^2#R'/UVGD*iV&f=zuDn53Nq5-,iCH)=eV5M-N/L=D$t+gtt\53q?
U"w5s:O(ve0uwR53&1Y.HI.bY^pEU6;'Uu\,W0Ul5kzNw,.k0tt2%K&om5rH8J%[\
U"WHBXOqJm0?.1LqiR'0<v0%oiRi%iy(AEFX.N*.Woxqsm,0X1HNrBAhM.q/\YZZo
U";fI%qgq<cfdjk2L$K8keRZ]ltxh]BtLom)p8qT*IRw0DeA_rH>ZXKOjt+A<tg=>
U"ESp1'AZM;z6]V'#kr$N(kct+eVnVrnOQZ]$U3.#nT?e?PAwLl1ecitMkG4+%lV8
U"(3(zSU>?[X9Tq*af2I)0+Hp74Fd=sdg'AQoF64nj,^4fKSOWiG&w+>'98.InUq;
U"T-$F5D7c016.JJaZ8ojC0aO;EJUK&B:UAVT=\-S(doh'3^gihnAjoDP8C2JlP.5
U"4N8vKOge.\(08>R7,'o)FG;Z<2ng7g.8w)#Tppn6GqQthSr*v7qi1GlGb3RwuKG
U"i)[XBm13$bTLc=RZP'+7bQ^Xn;k4F'gA&n3VDGZ&*#XdRw&G3IM'o4b3I(U8lB/
U"Z*$as:Aw'&MHQF4XtZ&E%*i7cLBc^[;6Fs>)KyAC#&KUTf%VK]%5JQ^8[dquYam
U"7V[S]fAbV_XY+Rnc,'\r,eg_wl?QgBaN2fPefVf1=f/1q_8+8%h;SA'sOkppZ5[
U"YAOA)ZC&%qdPkc?\gG'4q&C$2'y^uYY':t%hQS+0>Jr=dd<x5[A%Ndl[M\#th^3
U"G=8S%eDUO\N8pq=<YHO\2A?$H6RLOMDWgf=Z7'//RK_OHEP8t[JL(:U-g$KPRQ-
U"MEycV#YT1B4(^4P?\HoGapgnpIwirVOv=<K8\k/Pk-:=]*_C:%crL--9d^f/Den
U"W<^XURDDg&o>MijpGpnZk0q#1bD^MDTo0[.Fvu870u8U*'*NlF?J63f83lP&+t6
U"4feVOBYua*f:%ii<Ui%.'7$)IXss[/mQ=.eqMabpcNH'R':+zb0Y#v$d'-N*_V:
U"d'Lj9<41I24[0E*=iButdA*44%Pi*g]xsL.0]/;FCEKm'ppMk9)>o#Eoa8?:1Fj
U"J^YU/Z<D.IN)f7k$Jd,:1GviBVE/yx7.1:a_/,10G^tJ&QQ0%'4mpz%9ibc0K_.
U"6m7[fFQ:S6-Q,t[+XJT]\uW[<ex6FLNWH?6NZQ#Ic&1%L&_.mz4o>:=sYv[=9]3
U"1)&CEPMKg1S'T6dD7VCT[$(UUo=>c'mg_ue\'prC_n8-%^d[Ec]66ZLc[Rt%<-N
U"i+)G0^1+Cl6aL;dMRB#>xGm74#[DpG+=g#tL\9S46<=phF9U+YsZ6&Om;.:2)ir
U"RSnsq\:O4n7Li'eE4*<X\ZS9Kds1sP?Fs?..JwkDB:O#\f#TJ?L;r.L5\wp6>[y
U";7ept,j.\(#-7d,9<[[FHmo5M<JkD4pGtBgZHh#gIO$;x^c,<'RV00)RWSa/j7G
U"DC\mq4Mj[\q4Y[h<1Y%sv^FNFxO*(0</#A(WYZP5n2D3=>byF0tZF>$F%8QfQ3n
END SUB
SUB V7
U"^RJ3q+J;b.LoC_g$atd_mzGH'_Ro%D3^ov$-LiVB+.WYu0Z+f1=J^<h\I6XUSSm
U"1RdYfgG*Op0.Um5DC7+&vo*[nNoj)0VYKk5WBePip4TMo2wIy%os(A.SBICA%x>
U"S]rA#9n[&1Q,_Gj\;\%qOCFY/:]LIgd8$<-eGuSP0Nbo$$oOZ^Fz+,4)[^+\4/f
U"3'J/vm4[O<2>#A=RC56y42O8WVCKEIU5SAH#sH$flEAX$+MckZOGk0FcY><Tuf*
U">2HaK;kNpiAWK^M>h]]5J_V*'_Qh=\+I[\OYm%83SRM2,Of'Q/b7)%,HY;H8%#O
U"A]3S$lKZ\Ws5FL.mqKDKOpr&K,vqmO>rHJC6E_y(9RGm:CScy+uAa920f+[75IK
U"-#D$v8FK>56sFfm$e;B[2N(eW$[f_\(=12g=FX*wTGRjNczAYwm^.yI<8_-QW21
U"Y-QW_(E;+Y_aviqw;g?4TGhT$GhTGShTGh7TKc<-$E<8inZB_VZB_ZPB_ZBi_ZB
U"_VZB_ZPB_ZBr_Z]t<[krGHr7]6f7]67:]67]G67]6f7]67:]67]G67]6f7]67:]
U"67]G67]6f7]67:]67]G67]6f7]67:]67]G67]6f7]67L]6M>B$qxpCy]NciqCwM
U"UngYGm+<xV)l+SLbOwDOM:,D((N.5Dhjv&eu3p'AQwC']uNQ.d=1f#JZt]1n7bD
U",.0,Da4>o(qFIe/$n/',<^1zC1an*3?GNE2vvCbPnBusY-2QHSNzG-w'&;sR;vc
U"_)wCf6TdC+q-s<MztRRPFtdK#F(%$M7lBEZNan9%<2+b6eg7<iOz)0>N#c\lP&5
U"(QP1JuU0zo/i6wDhrQ8d'iW7nW\CTG7l)KR..wccCo%,Y:SIy&c\58a1dmb'h1[
U"N<ur719jqC;VX/B<,w^b5d)aKta^Ote83Zr[lbsMm&jh6KMhHEvDo:vBCQF[jC0
U"'cd9P'IB$OVn3RTo^SRbnG^]L?t2t]q1br]DM[^+a,G-nG+\JwUm9\#s:PY>]b.
U"$,5uEBKiUhA_6ljgr[]#f7D9VbAen2,tp06WE:??C(b;*6]ti>k5#e7aC#65O5X
U"'1FEi0#$(oVC82%QD9/tpKsf#VwgpX%W:oQtcE>c'tQvc_+yEk1F;$SuTw3&3jI
U"APs'LB[q4)ukn]v,t*asGGh4WT*f/alSZyve#^S#['q%..GI8NNQ-9xftL*?lux
U"TUP>E.&P10N6R3wREsM8aa5.LsG0,jg8EAOtFppn7D2Z$',kT=&0])l2$*co3dw
U"cJEm+f]]P+Zp3HtDz/pr<J7m[j?F[:B-<Y55orC[X\[9jQHV3B1(;BFpR?rX:I3
U"JG2/Z/'/qp;fcD8R[PSroe)Y,<u2NEr=D5\zz<O(bAO,$ynJbjabXo3KK*DO$\)
U"p=MrZ5qt%\TrHPATlqL,*ZYKD]nK7XoM,jugBIg&D&,iEi5J+hRZ>eugB^FV8v>
U"YBx>b%:l-Ju^\If]QW>o-$]N8MpS92ZUG(CE4m$y'F4<$<#[w46PF(>Ul%IPWM5
U"<E9m4cK%Pw+ETIBXFkgy(p;&k\)sF<n3y*NC^s-apAR9iU>YYE-TI_3cuQU&Yp;
U",fE99:T.?o%Q(UuWT/QN%xW0u)<'mf+Qp+,-rZk/Femj(103-=%gFIoFq2U/&v]
U"(0\;#?4BF/RG%QUTS\7JjVV_#uc01k-&EO'E''YYpwc,k0WJU00C/]8x\&_hAmP
U"O/g00NnHO,r10Bbpup[]tP+jf_+\</y(aF0&K[:dVkD-\gL5V:dk+na=,YF2yz1
U"8#MkHP7<hW+/C)8DoNPeq3A1=W0'W%(:]FcQ'u)T:/?za=&8v7x&qG,dSXWohAK
U",?N6t9XaB\dY)<bvarGHRD]0hrgkPQU-22FkS6+CQZq$kvM+3^[_EJrl_-)9Ib%
U"_\,boL<?Nr43__M6Lm9kRI6diPRNo;tjfgegYE4qnNrjAKQ-U^d3dMMF[AG5-,2
U"#n]Kin&pbbuoNY_'9U5u_$g^(=J=?Q.r#W,L7^i3d6WD?blb77v\2yqQxKhWC0W
U"6Ye471Z.1IRJvSI#'2E]V<RDiEv)&/5qv?dqLgeW_C;*)Pfs.r?5G0+USW,c-IK
U"B8]*r'$:/R:/lxj:#XT-rt.Ek8)QILBI=-a&fOcb>/Nx.9suqGe0(JINMBS/sqU
U"S96H>=BJIXLrWGIRt#?g<+;H::h==V1NC.ns;0g7wfU>/;G;T:==;=NR(7n4^7,
U":Mk.=u4g9/MH4N;Y./x#*L<4y'v(\m5)%EE=IHSf<DqjWp1*dU?(s\Deb;JXcf6
U"lao70IP$Pk34\J3,+HGPs#bOK'<;z1))bYB9aQlj8>(utA5PoglgHU%emjiBd=t
U"%_E:9c5p5pL#Y3rQ\b'9GR?zGTS0uCF+QRK>9Wi0IJ&(NuKY^&&oH,n[6JZBd1c
U"A>og7^9'n]agUV\;RlM#8q?M1E^(VOO#28<$4f>gV8P7pg0a0k>.t]<4<T6oJHC
U"^qih%QpW+nh7S9lWVRf(N^v)TZWJ<YfsSRYA\cq;dc9Z;sWPCzUWvHWE2?B)_&+
U"AP_t;-]VV\d-<Fp4/DHl=xH&>A#1s8aS#-3FVnVfO/,CgWD?eWBO<S+'X40QS#D
U"*ScQ]Nnm5uYbi--0ntlktK(3K],&;KfQ:Pq(-Tj<Cm)r#Jm\)?E-+=ca<oLn9oK
U"'$,%b_uRYu*xQg3;HybM/NRt:*a5RH3(FMdn3O--q0_5tPum/EC)</=<HYER1(9
U"Zf8hDq.^?>0>Ig+\Bau*GD\(yAm[-rQWxUe,=1U#)[,.3B3G/'J/:1E7HG_UEX7
U"FYq/YCGf%_ytES6[$<Ul(1WO\q9+'*4D-54$:,gW#_;&h'7F$:5n]NZFI56lA\v
U"Z];s?i',N8Bm7<l6lgl.I0gw;H]4Xi:d/lV>#RA2iUxV#R;a7ob.Z%U:5L$N#kL
U"iolm;DYUARl<./K$jMgY1-bqkE.t4qS2Ha-tt0:'V#MGFPbdQGFBMiP6E:CbAfR
U"fwD47jrbpDAO<?SYwnS%M2_2qroaaZ-m<L]a8<_msi>\r-KXnl<*l1dXBXC_t%4
U"5^dAN8rkQ/H>Z$_^n^PleB9p+RSd^PH.^L?=IBQ5zXoR2taE$I0:K;p5OrLBAT:
U"VOFbmEQV0;)fPZpJ6FPlBW2*s];J>)#L1=+LiOj,Dl:9)EIa[Z5V*--H<nCqu&^
U"3gG$E5xpA9W'(fY^qg9=an-=\YwLj&)#e4WpPEGc7pw3vRy30zTWNTxh*xw9)02
U"=Islrih+%sRMtuah_#k+Ql^(4FI7f$eNUs)ugAet(f9O%[-FRJ-;=QdHxM1WNy=
U"D)U[5KtW]av_ImR^+_QZd'd2I*UroP)UYyKs_;4ZOZ-JT^W59_tT*4SS+r3/#tj
U"'Zn^.'hNcN.Y)5*Z]Jx&A1=+E_rPANO(Znw3s_b0fqBEV7Y;xlnUb293W^ov%K\
U"EdRsSTvwmR#oftz\DG$,Au0sXuKdhNs\Km+phFA\pLYJmOwVt2pZUndp-h,rSN)
U"^LCY8(HjXTT1(H#)O>lSVMjFH&OHZQ9H:o%[(%7vm5Qm92kiD^=39_K;7CvIHGY
U"saO]\JFZ+2:p$;W^j/F72M>RCGH>cRRa_[aOtO'Q<PTTFOVELx\Eth62Z]E)3+Q
U"-KZq'gVm19e:Ktm_fu95puHwu#ZDjq?1Zx9enZ-O<BKP045':^7hu2e7x[>,z-W
U"]P#5gPI&a='p?c;_c:NEN.-0NgBCvsMCQSo(FXt;]e_bSWk5\?Z%t51R3AmgD>Q
U"J6i[q2,lal$.Ce'zE>OvJDc8c3*_*eS=>q[JxE.*Jq$B:cDVl:Q\)pDrQn/vqM_
U"_>B(c.hjI]g*$^P+fu2(9xnkB6W*699L]&H.uO14#y\\UI?x?soV$:=5F>$J&#a
U"DduD.2jd*O]UR$uIQ'?wkH]9[qYN3EUED)k=T45^=-IPu4o]g>$IGt\V+'AKwMV
U"^5MY']cgn&d\Jb^#]BXW(YD1k_B6G)FW;E<?Gs^dgdCYLH1n]k0mM?6XPv(0>Qm
U"v3vCH18P=5v']itzS'WL^dM_M](_bLa[2m*n%Ii?P^M#&_8.T>]al#4-mujL-+O
U"]%&E*/?9&HM;(r4ssA_K\H:%%-5z1F%k%:H&59jM??w8,uDJqNz%TL#E)q:*;_a
U"cZ1=2piXtaA[8a4?An/M[.5r>TGPSw3+u=:d?zoM%0U?i(qv<r5:DY'SY90?7,D
U"23U/X[?<:z\ECCy<gtp5^Br)DpVC$4ZIpAU7DSZs>xpy[HAu^F^.gL/,dsr^kM)
U"DbT3KF5_%b80ws:+$4J9eP^Pt)$'Q?aT13RU4[0TIu:qkkI9t[POOorSoqD.N_?
U"83?03xV039v1O0l8#<tw#K*uYZo,/9\#T_vo0t6[&-J2]Sm:TIMA(Ej[P<qYoFE
U"Gy:VsCR#?aD<<P;cZgG\5i9dM]UXCY*;\Xl.-(eGfP$BW.QQ\$#Tu#IKJ^o][Cc
U"E1+fVto$JM##p;_)tB.<4e0q=c\Jqqp;]]2d89u+KjUvpQ=U\/co,WcAR9\ODNI
U"[\L9'i?#$-D7EWy*V6k^YxB;*MGr['.>L,&CD/:(&.,/n&h+=..FJv5cNJj#,PX
U"kTk4;.Z4]=Lwwgs:G_?dVLS0TaX'builo[5C(u2lK5]w4DJHgB.Y*:AB73QE=X8
U">mQ086=]WP,0fo3lXp1'L$PXv.S?,sN?Q\;U8qza<YE+6\rce=rBg+IDd].RDH(
U"qck]\7;<G]##WVFhjFaY]N:4S_Jn('VMAa&)2:9INLGrFzpVDOegV%Iv;s[\\Kg
U"iQHy+flUk)uD>qtjTrARCdI<,<otP$.b,,i<7+/4qA(6W17U)MkfnJVco^N4<eK
U"*,n54^Bq46fg'BR#1Y>GGg3V4nurPx'ie'aRJL$#6G61>p-J2:eIX,]hyN5^-Al
U"FqASW2)fehPt%tgZOQ]L]K3tt0h3XHt+z0Vf6<b0WJN]Bg2NtT(7svklw%??HZ=
U"452p4M]+C7ZtFp]W)X'N/aDIjQ6(\>0>5uVQ%mW*+8'r[Jl7tu;pk#k]JRhTNR<
U"Ip*U:pUQ,,$2=Y%>iiZ&lO\f4Fq2,q9hAdv#t<UQ3PLK)(_<[Ymz^6E:JE4Oruq
U"T\nTxl?5(*F]CZ:'cmvfKv&3=PhYoQ2*U^8%Loqm,mcoegy.Pbjis=9-cue%I0/
U"klOh#kjJ7v,G894'TQT0*w\Sdl>'Os0egn.>9Ru7a/%+eIOQXV(W'W?'yAz.s7J
U"]yc()7gNYeNsT'8)n&\a=kd$n>ot.m/$2aYB+pEcD^hjE.5l+D>XV*4_Y4RHw8v
U"0E4J:Cd&6'dko]:/>s+iK8EH3&qgQ34.TIo/0t7Hno[+eq>x>w69W,epR=sgkK=
U"R;=3Y#]ZLilAchjd1#L#\zrrw)$5:(f9*N*kW3To\1Z$5SHVSj7WzU_?r:B-7+J
U")x?20.eT?0-ax&Dc6G#^W^4G'[ZfIu%Z^(C47S,N+yZs1][32SVwY+3.nXVJM8<
U"4D%0NLu)xO3<r)H[Jba./q4feicDNe_ERlEU(ig'bu.V-]cBe#s[[,tuG$i9PE?
U"p7LnMFL>y,iCTIH5JU6.c;a01px??$[hiN1S^.*)Lt&vhY-C0<$zq3;>qT4%:[1
U"h^[AKN29dbT?%gLGNOZY7irE#?3gK6gg,FoFAl.epDV(\Qc%E-S_f,%a*P#\XgU
U"MM<69FZ2s_$-[MOH6vul*mokq2ZWD(>T])ja<Q=*^BZ6)X$\8bkGcN_W5Bq[wfB
U"Z*1vR(LY*<XeCb+U<c<[%<IhJ<)\jq2vT*>LaYU0AQ*.L9jst#,su&J2$>AdcM/
U"hs;2<B2.6Z'1-as(AAy.#JFTdfB*#CB6Hf;d71dh<P%Ex$7I^3z<bVqRr8vLdQS
U"8>^8RX75am1;%Pq=H>rmK2$nBl7-Dk]/jk,uv&<ij\RSmwdc=fxfepL_:3QM9c]
U"ho5;Op($9El)8Fh[A$QJIWR2CU#z--N1e,s*%S^:[ky))2kt=P^P+ZlV%Bao$5)
U"hRd_)I\I7%ho-l_blhaL)[YXsT)oRTl_JPcB^[VK]YVMhN>5\:xQ&$5mx2FzX\:
U"K(D3yo(DMFZs&smdneLhN9ooM6)4Y)LP^S)TVI:y]NWIe$hhIM-ppXI-eh?I5'.
U"lzdIYA26IA_uiHA08ShFZoE/m0:Um7_a6IEaurHaIA5AZ/b4<E]%az$Ak5oO<JB
U"jRR4caSxZY79d^?P82V8je*D&'/qO/&:Q'sdW9%1lypVjT'6mjkfBRN^wt[6O_>
U"3Mf&S<Yax=y=EENxIF\RSK0jb9g*g)gXW9I_ah<i_aZ$8j7Q1VkC0?Gv#\A<'Cg
U"Fxqs)2bKSj/0rV45>U]?3U0KLz3d#n'UafQ[:gCMI^LsV&GDhT0jDLK3s$oUgO_
U")U_uiE[paeSOi+2UEWjcpZImVL%W'yH(2(r5s-+t)(%G+Jse$t'_bw18ZYC)jpQ
U"8--=B?CB]Yt>R%9>b$MG6ZCSONh:;^mS3#LSQ=E46FL(T<KjTMf$db=/$>=kJ::
U"sA3\uq#J]5\_>r,B5Fb_.eI9Df^,X.GBxi]*m;f,Tda>euh'2EesNuB$uooQ.0[
U",>I#x:aYxN[]oJ;tA[v,M&o39PK-W%c[Bmk<]moyJW,'xg^Qox>*K3^mZa(_(\r
U"2NEFxoQCNU17?/b0(vLmC6_E-X2z+1DH2L;:FxH:8ViFC3dZh)Ee[BGMkW2V<<u
U"N'8U7O,9yUh3gptGw'g2=]%w^^w_DQ6AknFjmpfM>-ma,sUT>F--g3KLKH:BF(A
U";bDQe*dWIanWj9+g_q/W(Xs>Wm4FpTxm8AThY#(<9F5G&Ni3$vF5[B4+^2=\]ne
U"cLn/?>RcBi,/,VfUE0RH6TWO,SEc;;X?M??oM\[jPJPe^b0h_G.pcE1IUY9?I#^
U";54A9O#o_D2\xa/&/e'6lobH'SQ1$^fcQnoNaKe?[2/rlwbS+t=1X*%k=:KRI%\
U"JlR%(]_]AurR=&_9y]([(e-F'k:970;,MqKW0=Nj8:BJ2/FzK[y+V]wO6u98EQ-
U"8%-h'RE*W57/:oI*_[hDGtO?qFf7Em3F\3[Pftyp<kSf^DzXYsI:z2T&xOmjJjn
U"SwaoM8xZWUIs[;VFlHiaGWn_3c^#hkbK\wJNRgl>N/[X*d*%dBXg=).i=2)GEs(
U"pQEPCkpev>w'rn,g<gvRI]tMDXlsh&E<H+q(e6x1Pdz*[sU3x(EM^s&Bk9-J']:
U"7Gy%9NnC&a\Oeeh(rjVB6XYVY9[E49'&tmf=a+\MmGLdYK=-kZTkAZ>_,z><x>%
U"rr6/+[s8,r$=xCAIs1n(Jhvc>m=N$83\tF]q0Ec+F2N.4R4o'&vKkiqAZc0Cc(D
U"W41*M_M_09CWJ4zgq,gxhtr%FnHV5NKSNe=.*N&0#^r*KOS%GoS3Z.ep;dx>U[v
U"Vo[_'KI<xt'Ut4NuNOk\#Lgj.3Zu=<ox?F7Am4Qd>wI\\1.+YVcX](<:X)w0;BI
U"sJN[OxLyzs.5,RPpTpI0rTxgQCO?%EWf#FBZI1ue-Y:Z2P(Q%<3LQ&#W/+%G/8<
U"?2:__2hy'bn]d,$I%8g#*O&Fc]_[v0v/(2s'2Xr85ZM?G9g:m<,V;mJ5np-A/]2
U".FNmy:I,Her/M)Uxuf9S+O24>gJWNU,y>auZR=%'R\#l\qfW>Q>7_d(Rn/qf^nb
U"0)vvR;BRL4#w>G7?87Ki_6Q6<JK^1&Xch]^':h:lN:WScrTu^YC]hs3H?rwDB_t
U"7ef&Xf);)UsZMS8pf$+Req\aG#&o58f,5lk#jDv3hsixN9tG.ONNNn7H0tv]?8b
U",LNOJm^,.mW2.4Qi$55*ci20nUSg:EC:-E71wmR4Q,\n.xU8-Z/s4#R>h))>rNI
U"1<:MGvQj3>._DGZVFs8bSaCD21hJU/OWsG4$L\BtncJ2#1M$bo2=yT80RHT2nq$
U"nP#;/$Uh+=Uf=.J=fH(%J4L1?R(hqP9V&BhFo0.Oc(3BYps[$Yf=0s=R:\Yv_9W
U"Iv]vRC,xER.dT1Y(tCiu+(i(K+\.'[ugq_%2I;F0caO=s+8s3C.GICVAMps'Zwn
U"T&>;_Ggi)H]JlfFl1d8UZ<-h3no#IFe+B]/P.0W?0^Vwq$Qgj;#]mK4Ysm.>]R,
U"tN31me<.Y<GFJ(2[&5,,3M.Cqtb1;M#o:W(X67<E3y=G*9%d.1H[87=LYG7#sZU
U"7\Z%q9p7nPK<oL9nODHBN,?%NlJGj26O6luQ0:Ep%bMEE)l#A4Ze3GPBKRTAvc5
U"k/NF-Feba>>#W[iEDe1JZZ^$1?X/g(1_%:,h\';F1hSd%P,iK+=HXe9+cpcVY38
U"Rm-O[]w(]g.R'-AVIwMH=A4liirYiXj>Y'cThRsS>nn7fEZl^8;q89(1Ut&Q23W
U"Rk19[vhB--RQIJV)2\R<&o?&+jSE,P<[\xJX$EJjR5(kf&HaF?W1UYPRy6[b13E
U"e7[EOPO-rCwzB_q*Vx=Z%vVY[^]Ed#3Qrt56%?w0MrOEe=k$S*#c#U*-;CX2Az$
U"V2PTT_A)ulc(J5,qfeL]\Id0FP5?q4j6;TRMU$k-.tpxIdVPbSw_);+*Zf;9kb,
U"e&%4t#]dq-O>pU)lSY6]u;zbFQb1,U9QURAm*u:ZP+<%.RpJdL\gDT2pr>/4]fP
U"]JFiS]Q.KWI)1G^69ZB3q]^h]2R[2RBXvBGf)PbfSmm-9%r1<oLCOWG3-g%lJ-e
U"-O*6jF]DKp</CpB(*1*>I2>i:&&$qGV&dhSXnNelos9;E\WsAL<RjJr1KK$\A?M
U"'z?':7V.7?#9pKrghhU(>x5qs0*PX,%K<0\R[-SUuGV5nt_cPe)Nt1<jZCJD_d'
U"(1N_%02+.9.R;Ie/L\.Z$<D?U7PdI^nBAYzE58R;B4gMn,3*%Q=Tu-Eq>XrsNTv
U"sCvQ3o;hA/h2=\g'w_Fg(^o]Otm+M\W*?[z%K)kqj4vT.sh/.iOj*]h2Y.btL7v
U";5kQH'BdFj/#w]93<3iJBLQqr]MF9w6=/H6/h%4dOfpMaKCv%K6pglB3==cE%+E
U"*RQe$hmC)'Td+8ntg>K\BCb+N=+Kg\W6j<^V'W\H2(gGj)uc&EcAIlYH*(>E9-<
U"qevgH=cErBRuOylWZv-9?z.v3/&%B?l&5'bw'fN2&R(?)gd0+P;xe8Fg_yoj.LI
U"Hi]#/2]awV6R-.[hAe4d8LnDh%BP7jz:c(bM(HU(cC6PPOO6kXaCzoKmfA)E.9B
U"-._Oq-O<%X6M=FKUSJst(k5GOv=/We,v%bL:x]&miNU7f<eBb*a8Z0E(va]b=nZ
U"0QCg#+IJ8&f:mZK)$eW2Kt-=yl-lx0hKtl^H.R^9NaJ4/FrkX4-N)bwp][%3Ve&
U"H5M))utt4[EGn](cD(qln?N+CP=Wd7/:5mFD_LQ1LE+ecErI2i:yssi'W;P$R\)
U"kcm8aTaG,DGY3j*YcY*>.)5zOS<7LQ.In\3Jw\j#/PKUd]M.bhc)et22/mdA1rY
U"zXSBIG;+h34B5M^yep#,[ep$ogJipe-Fz+yV/w(Rso$H3>rd*0Q'2n4u:d3OFM:
U"7%=l14-o$G/8qAf5rohDxV6C7SE(lS<1*C9iVr4cf4#krV,R)v>o//$UGR,vt,v
U"&f;hH73>Oz+)V8afNqOj1SjouBMh:O^67oB2s9luK[y5qhia\w*/\(\B(:oOm8&
U"wKsvvLQK%A;9g'sa.VPZSc:/Akn%q,U.(zHJF:g6oyFrUx^oTk8Cn#E,L3j/tM5
U"c9wtGf%t7'G>'bV9UfpbL;UM0YZl0dZfZ*LAuRC)*eoN/].=a7wn.Q&[,=pp*0r
U"-LR>WXs^n.E'Jn_W'Wq;N>*%3cAg0'E.?SQn2z?wHC]3*H7]w#G[%.3^9;K\1(n
U"pbXX2n/8g.8&OgX,xOT#z\nR>^hdD'dC0G]+Is.(y.HfFXRloo>FUOdSR-5fnJ\
U"JRfvLH<-DtPh,9wVhz.EB%yX6Y.nT,YEJ7<X4Rlil2lMtHs;cPD,yHqMV,t#m&g
U"mig+.J^cvxPaO2I0.nTCcDhwqoNNui\;5B5cWPMEukjS:[_rRcQD/uqewku7B0d
U"9w7+;c1=S/qso5g$?k*>RM$C/iz0b11;vJDt0W^hJ.(bid%TVlkx.:HEd;Mql+o
U"rKh</yJ/-MFj'pV>d7bblKvU)wJ+A$6*Y?q<)Nqq?5N*7t/p1wQIAyoW]vu9x'e
U"iUrl;*?v\5^dq.*&EALc%'V8&ijP1U%*%A0JUz338Kbo;+^nb&-W\(r.k0[UD&_
U"g;0=l)/cKDN6P=UuPoPGY4BWy*ia+DOJlA]^)7'l.vh].3o%IxNpAif6b1LV.B^
U"4XeRFv)eqZVG^ZKXdeQ678\asA.BH<sHP9e29Hj;r[4'LL*tz#TsNd5S%G4jOkC
U"QK<>i:2UJ3dl#9'?V=2H2';]<cQ3:f&#HfSI+3oWV1G<*V/XA^U;U<(jo:,&+i1
U"%<DH#9<t7^^?s+LbCD-e/3Baq1gG(-QF?+TvI'i$w(eA+)q8KmksPs-77j+mmo9
U"$eWe*qrsQWv;VWd%'qqaCVtc27RS^53q?f%&T+:$Vd8tfF)4aF-Utlg3B3QA2FM
U";/O65<D1%:LtS>i8T94KS/5QV0.u=g%WM7n-bf*ip2L#Wq-k9&+NIN&<?^13uAP
U"L(j]VSR)TvjsO*.Aesj2:wQ^7L9_N3L66o)b.Y_)->3PF)Zt<X792_&6zkK)0h,
U"N_k2:h,*Faora\?[e[(',j5CrmENrr\uJC.EcXwW\2IlT-Y?eA?MUe=P\_u\KE1
U"?(92uop-0ZAI%K=y(Iw/sIEW,.#sN]Ig%Zl)X7QH^WrNiudRpW[4.U+jeq;>C/q
U"R[.E84m-)?gz8a;DVO#<[k*[WnQvV5E6pZ+,3U/#;rUB7BP[RS+u_TRL3<%S_ne
U"RhEk<p^*#_7kzOwIggM24ZsE.*7P(7B6Gsd_X>DQ5M&;u>%u[*tbi:e_kX<H1VA
U"s#7j9RyKi8UBX,K7cp/CW7:yp';VGlNF8Q$0w:EV*\Imwh</zcRY2os+[\'Oit.
U"c?3fH7EmLJs4fGu&W=M)pS#ULJ9tZ1=\_w78BHj9Mx>xF(=g^Ts'>s)TWG5SI4'
U"F2#]-fqW.5]0kEKFH?H#T1d+%omCEwI5s;1DP/uvAW.)>';<M[kqPb1wR88pO8j
U"#L5jG^?-FGK(INAr[d5SeIV-k6V$126]<'YLJ7=sp:ftr;sNMEdlSpA*52Y#AK7
U"=u#fTPE0I;#<F>rp>lZJ7EN>.Y>RVjX/S2pgFxbi,sJGf-Tdh6[(kJ[_,'=2JF6
U"ktiW]kjMFIsX,'6/Lu'H'U5X0gzHQ*8JV2;:2I7*;O,d.L8N1C:p5GAN3o$G/>0
U"nNm,\yLA#-_?Q1ag2C2Wx(9nj?1jXL0>S;KOc50E2N$b(.5sCZiHh;Zr$iVC\#h
U"p31$=*k7bnum#((&:TLKD>mAAr4%GX'e.+$69'I9^22+BE*]H9cD;=%J9R0Cwq>
U"p,<%Go$*/RDXCaj9^*%;r(K(VRMA+y-*\ic?:rCEm]y'>Q5TeS5.E$vM;wde\k#
U"U/zNi3.JlK)W_2v/wM+B:ktCR.1i[WGn*8(U8]P\t*x.T61x>8(eCI%3e5hVhU'
U"E\dUmqIS&67A$jzs&J?qYf3G^KgmJZForvN(f<.k+]O--)mT(.#Ab='=Aa+/h3A
U"L<H/\4L&r-nS7XDRX)7oMWXH=#H_P-l7*=sfdhLhd\O2Hsk[G[V;=X+lZ1tW/Nx
U"J+P(:Yn3r5lgjK^R=>kJq3<+/9uD=d]-*^aG48A['53:#+uH0j\[D=>PLpuB5&]
U"\m)d.F'iQ3k7b+1B3%G<_o)kGNb1p:Jr<$NzU$CVJfu%VK/DOqe_o]gre=3Fn63
U"dUZ=v-PaVXRWKgg-kPyoIPjMZ.b2>SW_X#AS%g=7m5cjO.v%bP>b4iVL\r1_NDU
U"/snm:Xt#WP#>ri_;ELOQ%_d'0h7<B/J>P;lH*R/+,^6P-Y;<VndT5hHZgC0\ksh
U"*D9E:(8r=NgHH.iH'TZ&Mj8K7]vLrbb?HQk.Z0C'QG\\)uBd1o$YT:]A-miDBu0
U"v*BZ*d1.T(^C)k;4sX0GXU'g9[=OCKaZo6eI$,]/5nV,D)hSlk08(1jj]:U.>K+
U"<aRZM)8^?OOtO2;IUD=s[E=DYbUM?A;>n,5B&SP8eqTh^w[Y:x&3yfZ+b2g]Ya-
U"tFq>l%n^0QKkEcK][kERoSxn^(UWj-WoOWG]ZLtiTj0-]6]Io]6=H_zm]OMw6F<
U"gGlWo]xH:js+09Z)egu.C:5oL17uk044#*k85QP5[f4%Yh0_.Yb=,^UeqRp,Hjl
U")YJ,8H9we\;4=q<PhHHCU^p+L>#AKC4v70f'*p'C]u^X]S89.JTQ=yEE&Dpo,lh
U"3P#mM,H-b_Ks%=;s+d)dDTJ<J/53(&*9nr<OfG;/m]aK5#7P3v*AItU5.LIPg/V
U"g7sK1a<.?TNe,W?yNN^vCtpP.c*2+gJtF84t;E[E,?q#'E2/=-fbkJ,-lzC#CZT
U"o6Z(h^Xv++kG?tI$B-^X(iy6.HxC0ADbll-qB-k$*I.ocj&c=[9^]t5C=>Jlk8L
U"eC5D<XPRj>67<V1>0G&%>fEZl<k';][eq9)gIuDM6(8.eA:n1*4LQN[aSJuQdwU
U"RcJ.%2?Y8tFjFAPkec_8dim;fSL/PLu0nu30d8?7)VG*G.TRQ;HH%X\x[T1;XC9
U"aKYr](eX7/Mp'i5J+1PUW,_k]B+1sY1,#Ckz\'2-)F+L_-6Y-lSMK8O6p,LjRmb
U"66r^Py5,&XGyz^o*zEa;l?k2$[E-pqKVfF<&j)T5Fj<b,6YJFG8ID/Iwzn<p%vh
END SUB
SUB V8
U"Uv.>f/q-)v)*eXeUvwFbCH%7/ck<viOv.A-W.lGnN%%nROl%>nS.1Xc7/Zw(icz
U"ZGKP\Yerj22;Vion,.0[I>egh/;oG.toKS>NFPbu#cE;#)zF&Nya3Qy1c7Bf9nR
U"HhF8Nb?1dIX5A%p0OUGQChdU0e:$cO&_M=fp,llJai>ee[bQ14Co&e]1?3>I(83
U"qOFBQwEpcHok1FQvfEUA9Ll57.JDioaV*C6P)71ZUTlbr;PbVX%FZ&]wtU-C^DC
U";0[G&axIZ-7%dINPUUB\ab*i-$*mUGI//XX0YdI<a*AXL0]OV+DPeHUFRxn\g.9
U":D86Pa8LJGKg3ULGLmo_2YCN8,wBewkbN$+NUQ^/C^S68mZl(-dW$G,eSATcmq0
U"KFh,*J+1f<#u>cD92$1#'%[5op&UTc+.9G9<&A$xqVr2\/CEDKrTAYZy,7i>]$?
U"tHL)=(_$pO2Inii;vuPTh?:i;wG=/\c&'[[<5m4>0;eERsA)*+M%#iR*%^\$8BL
U"5miFVv8e\wR:?BRbFOH9ZfG8&jOBt*Zl*6LdYO^wKH3*dQ5jS/V(?T3O27.B+TJ
U"Ac-nF+*M4>]H6mcHKBbTttD/cPTk4ZH.y'>Xl-)#/-HVH_A$Y;(5/2<MFV=$B-f
U"jXLvUI#Un(1&$mZ$kA<:E=l?h4,.f-JwwgJMpK9YdENoRVnii$)Q3_)n/afO2-W
U"rWsPM(h1XHllFTr1f+08M0s_%WU9(N&1AuAqW7fgR#Cs((,NA1rCk%Exh;d$.j0
U"Y;'X321gU:$dA2J$F&/p5+</Mi1^m9*Qp=N^eTm*+(cl]_V5]%-a/hT7I\$fVfg
U"SOBA:3[oWIgsAts5[X*=Qpo-BrAS6L\d1V$YOc4-z*b%FNLo#K.\T7p_C<s(M;u
U"o%wCXxvRZeHJ<;)P^V?^6/mX=.7.l+a+6\fnGK0=Z1rX/mLQ;\-mTL7<S=N^WPW
U"jLoFR^A);*Dm<6T\#^PpAWm/gdZm0&M,R'5%TH<0e#S9CKDjj5:.cRZVg2M&6/%
U"CEi^RqUre&TSMujL,ZQa;3XMCVM,?K#3fRzvX30V5vGL0TuWTL$c-.R:?((RrUu
U"Qw)sH(]'Z0#'^2i?0auIgnRz44;gLm-8+-4+F/-Rk2K?R)Y3s/n)<I^>2vJl4Ah
U"X;J21=5k13pdi;F%BWep/[YB>rJ-'U*D7m*U%7uYZ#fEz>^15ggr]xCQh8WPq<8
U"rWCuN58x<wJS'&U?q5d'B?kCUX:Y7y#&WfI;HojI;S,B3*=SN(=+4s<ZU>qiuY9
U"W]pSBr3_w;N1Q9yQIH?d.E?66BFn6hZjb1(-V:9e=+7puIa.t4X-tnai>kejT6q
U"ma=O#FpX(L$=:YD#.aOEbBP2k^5sX0CSIiA7K:l7tko/yYeXggoy^<WaWB+p\0'
U"aatq/K%e%P<ixUch18xQs(kN9YnIDc+5Qj1tKBerR:b;3]v2WFzJbmh^>U<M-FT
U"tY6h+Fd(+P<X0t]2Bo8Xv>lDoR%P2_L3Rkzf98Xa19JlSqpD+m7f]I.Q_vlaa?G
U"i3\9)v?O8,29mij9?4e+#Vd?04$Ar>dV6ZanfNU'3tzYI-4n+$vFJH[LWY20JGX
U"iI:PXMf6'7M?DIXYNt$HIj$,oTjX(-8%Mduo<?u-F,%JqPke<=,+0T$Rh6Cs)(>
U"[4SE39\:ougU&J%7%iQZEG_0d]>pJr<'eJE=pOjX7WJE]qUKo3PfMi%L>qFB\,c
U"VrgOD+j#qM>SHs-:\w(37F0Zn:Ok]2MZ$B\?2gt98Tf[0rhBDFc=(ML#68Dgu?>
U"03JOB521u#zU'jD58b(h[iY8F86;o[t*3',a_(L7^g/&Y(m5FC9lKQT;BF/(:3%
U"5B<-*MqQe%RR_:[Z?':1W?'Dh;*mZ?';BB5m7YM&tr8KOQPulJEoJ<:EoIl&4e%
U"tF2/66-jn;8-wI_.k1zwhbf9gbdnS<TZ36Q%bG_JX*1aLa6*z6esJL(e4K]mJf2
U"Ccdu&av6?cxmMy$.>?-K(D96f%=<NW*ghZL8TXhooqY#S'_eQdd6aIW4e4%^-zu
U"BHNko[o+.%ax2%Uc^sEUZ.%R=1>0dN:f*ljT0:q6++e<q&a&^Dh9%?(29i1q2Xv
U"o4&5'-#\1K$_O=Ss'Etld'Bq*B[n3NFGl-%wf?/fg7Y6X0MqE0<jpns>Es/Ly^N
U"hcVQQ<e-'dvo^_[lH/?,PIk]H6q$_c:a8cRUzhAj#Aoc2TI58%pFn6Q[3M+eQ]p
U"WNlEIb$'7buCj[nsgYUxFPPEPg8%mlCCIPkPEep#m^JQvO<*[K3*xiQT$+0R,0$
U"o^k:vcM7wyGQ\;#yc9]dJQ08l>3LoqVAtTfL?>5s85gMQd.a?O%O=&)Wi%S6FOB
U"ICXZJop5)g1.xaXWc3qTZ^MO#kPK-FzJQkqd8[w5Z)*KEjeIM&.zEVOS.><1*%e
U"QWNi-C*?fJHt\37l1)yC]orhS_jkkZ1XZcLUVwH,2:OJH]EAVHe2e,yi=3?U$HZ
U"5P0A?on>9aQw/r;*x_PIAEelh0Ac=8;SPXP%vKhT:sRQP/I&W6^YlEIyYCHX:O-
U"=heC(Q;d7<)i3&oJdWpcuTPJrnY(CdPi)f8bQ%ULp3(r,k\J#h4TZeBM6qM<qFq
U"UsWCEP.+vXtBEs-l%1(]+g<'w.),)rQ[6H$vNrgrbN?Pq*j2*8i)</]o>ap&FKI
U"jzb:)e0Q.Sr[k42gUS6T-(Ea?4tx(%up&'%9%9%%%%-%(5xtEPw4c9'K#&%(ng(
U"%%1%%%%%%%%%&%E%%%%%%%%%vg%ynux&.vSi%thup%*+%%%%%&%%&%_%7%%u#%&
U"%%%
END SUB
V2
V3
V4
V5
V6
V7
V8
CLOSE:IF S=199AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBQ.ZIP ends here. Last page. TCHK:199
<PAGEEND:"Fido.Faq.File8">

<PAGESTART:"Fido.Faq.File9">
'>>> Page 1 of QBR.ZIP begins here. TYPE:BINAA TLEN:37759
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBR.ZIP",4^6:Z&=37759:?STRING$(50,177);
U"%up()%9%%%I-%)E'?A<OCix*bd%%gZ%&%1%%%%vg%ynux&.wSiRthUL;<JSmu+a
U"$d-$sdy&gIe':)Pf]_3kb5TRK*Pd&aX$6ERH);9[?ge1I0;sctThkB4y3Tn'+bn
U"hX$<-6es1Lw&DDMDDDDqDDnZc:ZfX)+Y+I7dd.KToOq<4ybGX>GeLV#h)X[X\hc
U"W,ub)CA[j'dOgLS?rZJd4;TMi8%;da=6'vd<LIzmG?)k6,fT7/4;PL0-.(U,0p'
U">fHa)Ear4Gm/FSk:-ir\-tiD/nSXHZG\f+pZ,uaS<yUcR'PuSW-LIjUVh)7Om<c
U"Nqd6)-+%BmL73,*/(Z;a9Xg5X.6)m4ukx;+=hH(mna<;F7g8Eqa<e5_N+?7*(x*
U"[jo[gEggb;;#;$c:_=5l.H3JK+,e0;iU8;B;p)'hfMJA5W(D7JS2kAeJ[IkE%u_
U">U'_0/HQw(;eu7s.wS>=T=>/lp9gqYieteG?52q]Hp'$</::w?/R58=&EEz61oT
U"*5BX*7quBTkfsGbgtnOov&>RX%gV*G+)Lnj1fXCC3ZU&olY:Hfh$bU5Sqz;S*Vo
U"?etHfC[)LU*g0UMKNOPBH.i,0+&dGj7RQ17'1Jk+DEhQ9\5jrd?ZrjJu=t;$_A'
U"Gh6<=dBvq3j6o^.p-_jQrlp0+;6^AsO84J(Am0n7Yp6ing<[)*4-_9J#qd%BISN
U"VtC<S6&1P(7KgMLu\&G#JXI]Q;3;aK:y+RE,&*;kRY&uQa*A*yo+_YwSCMEhMW7
U"AV::(#'neQ>B$gPHDt?#R8#YjAfJ'qGeVGc*09Y<F0,U#hRQP[5UJbG$=tLiT#;
U"L.2P+]C0XJe/m#SM'3&a-\N0PHFpn1SP1/?<u]7=LD)6oiONdesTQFYWOhnpVO:
U"QB1+Dj/#luagh.4K,U+?RTd+0?E0sfaT;8qOnmnq?)fF0ZPX..C8Uax2Y0*YIF2
U"[lXMTQQ-*X((nxb/p,eL<bDeUACW6pTkFoGSa)lz0=O#18+&7U.(7FXG3[7d84F
U"+(IS#\#mIb-^Ft18pY;fSlWJwlKYXC6B*]&$8Oxaj=l)-R9*o+nq:x%35]7KmPE
U"<2U_-1gX#dK6Sk%z%*A57Td<R96Rlb84JQn?d1rLuDRsiGL3u(/cLyW.Fh0K330
U"Rd/5JCKko)/,&7\ZbvG;wY'T,J26jx,)%--P$#k.N['9GFNxvSx*oWUrIuqw*&u
U"gGXZv+.-.^[A^'O.y1saX7,>,LB92I13QjX7gTH')GxmQfkfWU*4%1KjKD64<52
U"exPcnQp_$+&bmQmfU;5_^-Cah_m5pR'-%>xMa\jJCc^2.U]*&R/hYk??,iIyT25
U"%zK)&yd+Y#.A?F%.'46['G4&0RQ#qxbZ8p&)i(oKV8S=gI(:JB:/sY,R\VIpY=j
U"l++jIZgoJ]IkrcVgwO&Q_e-zKLlSq$wWu-63$RvG&DXg*ge#<PW4ts\i^;RLTEW
U")4KLC>.1cPil>IBX+Ii%[U0J/_O4P]TgiFI\*_GW?*U[Dvlh(-6sg&$F^h4[%*V
U"AM'ViMLg'B9U.B[Viro_Zo^QUj%zLR'E?sts:Sk<.;OIkaTWDgOWaJjZAWpW6B8
U"ewN'P7QqX'-D0Dig6msA(67f)JY1(xMXe:S07wPg(Yh:>dv[nGTJ5u9LS&]aJ9K
U">?(XPAo#Cs+9[3GxCeCXdEtRifr%[;YJoQEj)hiv67(T5FaPgG)3WCKat+/'adI
U"IrQ)r-cKH59Q6sUvM;KG]NVZ.sEc^--jbn]O\nZM1i_5#-x6S#JAzsFsA+-0YeC
U"X]&E.)M$3UsB)JRFnZ5_wSeRktE$q&]>+oAc#4C#H'-Qf:pjlLdjt3rJEF?gQX8
U"vs))3t#-5g(,[o+Xn'4TYpQNCMHzS\1=9944Wb?/Bj[&4la-.,_RV=wOc2<?h3s
U"6P;U2DFM1<iG?x:SQ^l?scWQZ1GBUgXxE0RctY>9aUg$MPjtL-g'>d62-pP(/el
U"Tig]zcIJmOPxi4<5CR+XlVM<)ThIY*Mz3\'EuFQPPe?hl_)fn\p[CfZoPs,RRX3
U"n0CIs7$70e;%KeVmn<7.UCKCkNctF5(ZU2bw7PPrWeXN2p)<y9Xw<K)mS#2iSn=
U"Zik5CNB6r\C:YJ)?aug4C1yISPMx-NGpXPDg9N5dS>fDII5zXED/3RI]:,N%v&c
U"[0Fek7[5-Rv;ScP7H/U5g/T*e<_]*l^SdReT8SpE+Hg>nB(4X'g5_Z4V/Ss>=D*
U";kx%S/qFV88UU&%.2ETnTTt:iW]:7E1Ak9IA8cOF5(dApIK3Y4_^\BrS?O9kL_3
U"hU,;2FWrT,&<l1oJ*MlIu>8dI&]c\SFH>]\ILJb%d07'6SuG71O3576qfi_Wt%G
U"g%;jSTC^N/8oQca.*g,=YM/-.qB+;\*/jGp<e#m9IW$DL^axBTT4I-2gfoX[EHC
U"^W1V=f$az.:PIcJ:qX&FodpwIq*GjDClmsn3H0H.&G^ek)$8<zt(xOb.e9.'(7m
U"PAWFPZ,m/:_Wq4#suTm34_7.E[/J?CR9(ggx.o&JQb0&6+$)EfX-%D1Up5s-*b:
U"'Z&;xUbU,([4[]WN)bv'Cf7_*OUJOe+idZ*iEK18+W134SCHM3'.f#Z'iIrXGVF
U"o)na)dRag[Ef=re1C_Cg.1&+j^/+gL2v\su\)LN2PG$ik,uhpDm_F:/B&a8-Eoc
U"_=TV8IIF7,u<8jN1/=b1ya?mk'^t:#3daW(2MJ&X[GCOI73P;i'?dD++$g4N_]H
U"v(u1hKPIO44F:&1u*kXHqP3:IT-elg;83YxIT>MpB20q*H%]a-gWX-&WCS-;B,.
U"I'1JvsX1RBEhOQ#*8(hQ&Z9V:>mEdnaa7,\/*C=qX?F=8IC*3nAt'A3Fka)ol8&
U"6m9cR,f=MxW6vS263:UAD/1n[Ddszc,Es$cqWyV503G#JnHMqWAuIPFmu>qgcVl
U"7EP<Z']SzCYfN2:Up3xqOPYTKMkBV<JWODq.ZeNP4$X\vosa\a(NR+yVZ17/TT8
U"3rxP=9DN0(]R'bMP&/k+9ZZuXVr3F<G.Z(a=#U2-eofhZiXP/I=Z(_NJzvV4,VM
U",YCN]9$48Jq',ZI.k.jntf$J?U+<qtrfw$BiKdQccl^D4K=w]KGa>9+^Xf;C9Fk
U"W+NDKtD<EH(T,WuLx+Nw3dZId6xK2?<M*jl1FZ('t[mZ5?0&9kr[*D\E$'m^K&T
U"cMaVJ&<Y8-1J8cuUhbe7L;8'x2.I[8io(W-W&Lmh4_W[adp:O/TbOXvE>:$4EoA
U"fC^8OJ_-_SfPa[)>Vcq+^c)E/Cc[T9pk$HZ73tWrX(Wu6DNG5=k3eu-5H82mT.J
U"TTn=ou<=UHj;i>K]3FxR'no\_u]K,lg1<'O7/p)_AS0RAcS?$tO)*X]&GO3+bdz
U".1gB)GV6j^<J+b[Zn+BkKJ,Tv7H,FfKSdi[S***H;o?+DK#b\eZRG-F?7Be:e5*
U"(;9UzX&aF3k?q_=E(Z]\D0611mnQW?Al\\aXzK7H',/OF0b4G7%P>\6YfE,<P3;
U"U]*$xh2?w)BR%P.p)YV[aPR2B8hz;wULodX<5;=\KgrXS68J*.'nk'Ffi7lU$Cb
U"o,^8xpLQ*xT]jH?ke%WuXd+s1[^\Jii9qke(_dBoykHt]vY53^)bsl;utd_-06Q
U"+Inr1,$1,UsT+D8w1kU=fTUFcP$1R^;_g[*2ZCI#k7Pu:X+&9>?e6fg:DG9P9b[
U"Ue2>1f'>%Z2K:bgOSp\uc$:9n1)I+xRp*%$3e9?y'bp;:bqk0,VDL-eTdH&I$AY
U"f+zWEZ:3je7#gnm+]fU^dYX#]ejbY/VZP?[VZf)J?Z=.fw8D^C+2S]Fn<-%7ba=
U"S]I>?0Nbna.TmAm8r;X8L>wSMeSOb:j?byT+TUdTak(d)eiqc9EXV,sdp>xuBs?
U"95n9EGK4PTDa,>N]a?Ahm]_HP<WOkbOWE['nLSLfNzL6,%;Q[?AnDcO$zX&U3+o
U"(dG6.tgL4^5=F6]xsSS6'^a_IgKc8)AG2kC(wkI<nr'X(O9AC6UP1cb,p_A*%aO
U"u<]mIBmIp7X;z&OF-dLI7\<JbtjkvV-4Ytli]6q,\q\9>;,a]7=Q>p_6B4?2yh7
U"Ep:f0Vdfqj':aKN0>dn('&:$<Rd)t42UZu:$DWIz<qnN9.H4jEXEtGl<(t6MwGs
U"eCxPol^aH:8w<,,9:s2O8iB2v1sBgJ4(x5;-5G6l1YNE)/g>$.]qN+u\_C=UHh4
U"uv?>vk<4(-6QWZg,TibbWe]\$aAOkA3[)B8yFGrCQJJ$pa('FQXu,4A7j2Fj?R:
U"7YtU#Q[9wNuMGO=CK(QIh(kO*RVFvlW-j\?gl;D-HJ%eOhY:E]HBCm*4.Ki#ja4
U"#KD6fK9UA0.EFVXwiPWLsrB^+W6STwQYwoXH20idt'mN%?5f6B[OWj>YU5Rc2S(
U"R$q5iwKbCt/t#aOpJ';TzvdZ2?X*1DrTigbsC+=+7c&(SO1=,[m4*[D6.V_z#\[
U"3MN^n7IGB^cZiEHf/wODP0Xkp3Hh2/]-&CNZ,(N$>g=u8sZMYN>P%t42kaE=Rux
U"lbTsHj]33bjvsd>Tm>klPOjW7(J0ZfsB7wXbsC*wCYY^\#P(2_PBCC?boSznaZM
U"vxNS7h?jCrv3e=L?I>aq[6K38iodTQMkF&TbMKaXij\s<2a-Q*A5f+h]>)eu4Ex
U"hf-4BQZ>.?DThxlylrjuX:A6qU_^d4,M-^Lg:m-oL$DV^cq-KcW;%)FVL#znLX$
U"=&o0b;U'k\s:trWCEXcP'ndPa*'T>/5<U&oa$F,KZ-X//llBW=u5zf/+%dqx2H9
U"ikeufXWM;*hXGz=X3\QgaC&DAmaYR.%lPst21rt%mS?.<Q$:C;p30I7XI+OHfT:
U",'Ka_Xf/*#B#boRs9$aPnJqZ_a*E<lB0NLY>4-s]WI2vss8Ev2J+g=_NAU<F3)D
U"StJTXRd+GRfVQ/IA7Q\MT>j]mKif8GY(yr6$,ZP0b3[\dUq[p76v54bIVgLMEd2
U"hM*zkOu1Bb\SyL]5=,d4$'^OOj^Cv7/^BRKM1T+jGA]KRi#U70F7fpE<dr2<Vgm
U"A6dG_oeN2iiPbUh0bC<T&Fv#<J=M-_75u)oUdL6,2LZhetIPVoe^YF8FV+a2s<b
U"2&L5tTO$;\_>?0$/q$1fJ,,w2_,BN-\f3bG0iTJ:MT\$^15F%aHp'9DZK?UyTi%
U"mk&yU14n2C/SXR&0/8CR+u?]F#/E*%R:?ULHvM;65Oa#2Ss#VC)a5xWlf73pWm_
U"3?w&M&^AVC,Y>6\/ytdT#L#'aa[G<S027'o?$KaB^<IVg&G:oTKI<-&7im/ea'V
U"Ei:%/XCvChs*a]p]5x*aXn9J-.BMo'X[:ST.bF=\A36&^G.aLSL(^OGt5FhkL$K
U"'NY*7MYIXz->]pdk5hW$yTbhbs)w#=zn:u-c2o5+*TCg4zebHW$5m_5JzuU](5^
U"m6W[G13wD^az_R.b-IC'QoY4WnCC?db852Y+j'RXCe<fmA<8'>^C=qoD,?zM\)p
U"j'U/tA7[.N0j</v$ph/AlAo;SgN_wGLmsut_e)-'J:3a1U5BE;'l3Cuj4NxPs.Y
U"$hhTb)tOKLFN=zj2VzAp\W8-it?Q4:,;S'r]p$SCFJuOiWov'moCO:^-IT-Xf&c
U"1E\EGe_z73]8Ip+Q$S87\WImVbrE1&fTQmk+*:=e1^j1iF?YW?OEI[Ks$>G/DbB
U")7?]q*XTN_\8AVu0]*D3KNY_Cr=\5:vO5hhet5?g1.2&pL6TR57fLIn\<Idup:n
U"ArO4E:$W#&Y><VZS<shPA.-<dsZrBS'1PGy9u+hB8G=]lej;m8\+$Kb58&[[dKr
U"?A)\d<)-/kXv+be[ZZ:+$BZZ\=t,W9^']TR&.*/etCnSt49_y1<g&#XRioBv67\
U"sB&&5AHougu[H&bJ--x/S?hyf5E\DCODer._CpMZaZSFX(rVmT,C+(ZaJZBcHcf
U"bf+e:,5\pSS=p-JIL*%H+e&Nqs7nB>dBWhs10Ajok['yPRecBu&c)Q3d&Ec\lrk
U"LtkrcuXbY]+oa+tJ3XoW[c.N89VD8I<6nKl/U&lFT%,]v./?MjI#F\iB__H/.jl
U"ZM3v(Yegu;j_aBB$x,#bRnTb-sEaS.b)-2d6<HR[2C;[cEBS>$RrM9w%=+99qRY
U"ISagPgfs+\R;k$aS81,M=$$;tMnn#pOK<b\I]sJ6YHO;oRKWj;Uae^2rKgALciI
U".9y-od6d,%'BT/23T\BOQMU2TA?.f\.WWUr?BQTRp'a=C&x2;hnmHd&_GZO:9#;
U"+>e$;1l0ORABq/=&K-hGVRv<D7glE6OZ<jsU4\eKn*g;rk8)JVc6n2g1ot2n6;)
U"Lpk6w0.m(j;x^)r0=lM>[2rawVTQr<hW^Yax+l-fkd;l'.,3>d2=E_n&axe=D9e
U"bi/(Prkn?07$Zn^IccQMC*iXB_5jU+SmSV+Ph,TOG^Cj-GQ_T?_I+XW;d^ckWv8
U"Qjq#brp/F2^-R:4EBmyHFkFTbfYRpMJ8N/poVY6kf'eSdJoj1FYw6YukBWEbT0n
U"f,QQ8nr/PSk.jw1+B/1l\BwP'8eLa+SmSrj<mjALKUu4*rJtv0,FAWo#,PPMRM3
U"#8*Bj519Y[dLvDXN?B0C/r$Q#tXJlBqVy'.'=F;HEg\;f#:P0W0RIPPO]1)[Yp1
U"\+qd6vNoqj;#DNDr)SWGWJ,%2Lk>BR/NC/Uk6ImDJJN$Xmkqe9NK.U1K.LbK.Y7
U"/)'.bPT(mPl(7^(K7h.z+BZ$ooZ$C9kF-^ht706&O-X#[G^3/c:'^jBq:K.]Jry
U"J:53s,nr9e1\h\Opb+TBPc_m[/c[r.u;tivGlX7sQG$LT/+1&^iBAXfH#mY>n'8
U"n<QTg7R0bq1$Fp(YOS8DJl_R98k?UmWwLn_eoKDk]4&Voo)I$s.<$aNf$.A<^Eg
U".7ZhoIssF-()6X,#M&(I7QASM=A-:W9J3DdP:2%N1c88?L*+?PZNc8,l0g$yYHp
U"kWvLB2(DKP8D^u88g9oj[16dRPfXs_kT0L?(r-djXZq4#p1Qaz3U'[P,h1KbtI&
U"So_1yEOS.m89D5W3e]GVAZC,4X=+5FAw\?_?\.DlnUA9*=Spjb#3SebS$>r$hV[
U"Eu/zj=.3AxFw\Qx;6>Z]'uMQ1+D/,a^anN<HpjIZQ6#HnnZTNMv[tWDnWR1m*2D
U"Sw\VfM==]_q1+AjKM[cCGMyrXl.]r._byLRDBJr:HImL)*d5X*VqlIlj^4&;)TP
U"a4h6ad2\9)=Vw>*YG7=<rCC%ve*2p>SA7rX&%+GlD_?SFgo=[I>##FmIAv,hX(K
U"%KMj,&-8=^3>.iF_C01l,('(hJ34nMC-Jf;3-[L/I?-$9,+rD;[4.6+kbd_#l)1
U"uZlo]^RBsBOn6)QHsjxR:mlgG7P7pIM(.7nO7lF^ebQ$e^<X-uH9nXjlK.KYs\L
U"&o[BSqPhA7x8plL+>Zjp+MHF3]U2YYsFnzV#^K\igO&QQCC_+CLiJRvQWYlmnHt
U"i8jpEPi'(A/qO14ag-E*7slei0g&$tQu(];gp9isa;arfixz;1fW(VlEt,M:>&I
U"87BQmV2YnjHJ(Z=vYS;-7sICXXSTq>(eqdi<\vIRQH[rA*1$=E_KUGM%n2;YDgW
U"koX+F+<2]+]&bn_j?[Us8-f0S#r=B6pz-8n]LF?7arUJ8hFZQ7_d]6.:d$oCJ'f
U"p'c56H)qalah.VW>cUk7U(pm/A=+=-/hlYcq8Qm]KI%%tSx+O-WkuS?0MBFLau9
U"c8<k55F4YeEda:1y*g=BZx1Wg-.dlj.C8Q?B>sIIB;]B?7QFJk7hQM6BWIft]c*
U"_XDz-\REwPXjWwH[7HygT%k>Civz#ds?[4#.Zx<Q9$-6/A.va>3-8VV:<82P_ex
U"T.p_,jWhyQ(&GAJx(0f-BKu/D,lWq]k03QHZR_(q](4^h9Sz%O=t7lbBkchOH&#
U"6L^<OqPDd;WxYM7Sff/vzX==(U0ALQ;U5o^#]l=Ilx?ZNEm,R$n2uLW%^;lUK&f
U"FJx3H%n-16ZlkkwJ]A:lmIDNiuJrrGMrLwF'BlLkeX=RX\Y]Qc^vLkmM\l3NtBH
U"ub9'vqXj_a82*c/hw\,i8]?X?qYp0hWlQoxN;?%h+Vs6a+,jN',*;l-t8YC3vMA
U">am*sa4'Q?L?jn<eYv]Z1=9m(v6,O0T:*=#:$R3WiHhy=pT[D7TciVEV85ipXVo
U"*tee5#RrSWLPP2LVujqaEjSY]1T,R;Q2RB$$)Ka8v,<IfijBiyK28lBW&V/9KR0
U"TYlM:KVKr]&cia+7i#l]U+SD]<k3G<nvNBU8gF\u.x#tjV,$rJq\;L&>_?_G9FS
U"=L:v'2F\uJT[7Z[(Q;3D=Tkg&Eh*U1NSFhTk:L0cI/.scsG9?Fd-i4K)mTgiiK?
U"G91Ww[OWUo>7'C4Dc]95tRg?WpL^G6T^9j-AMVx_tyafj.rWPNG.ip)Qu(#VmpW
U"4_:GIx$MB>Isa]-r0+VCD;0Uu;p0i_\^+r1.^exAu7]yUyPl<ma2Ko8ePTf;h:.
U"Jkdi5iPul\)r';p7p&&6wpLGLvUGPWN>b):o01&'I6K6-4Xm_)nN^fXa0)B_67B
U"K<WaOE:\?+vn1+t8eI0,N_.T^BRV[Hf.r>OJS7Cn_Z<uNHbITOv.)bt^/&hBf1b
U"E*+*8f;mSMn5M3Je#,Q&e)GWGu-Kbmp=33>fm'7(DE)Ys?tFdSc/Z(w-aY&jqNv
U"r4L*Vr,u6*#]P$9wB.aK\viGKsB.6mjI6Jl4$1/7RL(f38y+13zS6ljJ7(>D=^D
U"zei[C$>B2RU+dV6bSEQ2-.seMq2%KFWU<N*%<_IS>wb'R&VAnpD1)\6X?bvMw/o
U"/\qNact-<lGP<8H\1NKacMBAI*B&pnXZS*v(2<,uaQWi\hNF9hPXe2_DD=[2,.p
U"O'$>X)wIN/I\tn_UmP3D$g*&#y/dArZTbqlE:#n>JQg2zX>+\Z9J.,9Kf48YH$M
U"]oB6E)KJ:kbqrIJ%)'?K4_IKs-'X9XZ8>Fg4&+Cd4/Mo/m9wmu$xxC;,,t#?Tck
U"fc&<;XYE.&PXWbWt\%H9wzgUggROpL8JS:\EGl6H/\q7V:fCfNaP6Baup(v$2]h
U">1oA^>l:>K#Mp&9Vn0Hknj>Yq,_14Q.=eq5m;v>i6e>tr;sq.Eq3D]=yUESe*_Z
U"#VET;U:z_KphaN;MQ7>'ys'0D*Z%koK^:ecW8tPwC+t>HbPv&fSCoujVHokwgJK
U"Aqr$uYhW*xtEG)].wCC$bKS=N7]NaIpCkahL4[fe,#-^BZh('XzseO0Z+EEh#=F
U"0uIu(n7v&%\Am<R]Xkm6t%*Gj$,qQY,TJ;h$uq)2kYS*97'vtx3aGJH1.S4z(=;
U"3z,>gVg%8d7jO:FoKDiXg8Gv_4^k\BKDeErND?5h6>T=s2a=;jh9L1iYG<7vi;k
U"i>2f)h+2Vr[YKgjABTHpNqx^i^8LX_lfr49Y8(#V$^58t5;):Ck8nN-3Py>tcbh
U"cSv.h\Q]Jca.zkU8u3EK&g$b\[j[b)1Pv1ylq-yfjUgPJrRmU[0Pt$N+=+e/atv
U"D+qgL%%0kgwU\2x7RkRvAH^dJ3vXEbUa5Hv<VZd0iLI^RDg(r'JtS>B<>\Vywf&
U";$na%%Qo7F'BQR6axBW08[r/RnIt#PX$sFrHnMXiO'rei]M44sBdJt6^7^'X5hL
U"Njm^ShEt:r/bQEOG[5^n(Y1\9l-57doCBPxfPDkovDK>luXeS;F:EmLc=;mmK^n
U"Tp5.X:R[Ii:\qT1e,iyV$+s5b[,ngfPi*]KpDq^=)C>XpbhdSM3TUKF>l-<;pv*
U"GTW\mN*=iJd9qf%IOVhp2b=X(CG6M[=319N9%(fk,<96T/C<3-wfva*tAi0Vne8
U"A7.q%wPYa:QjoIPl,2h6xkuYd$&G=C[mp$*wq0P$>[Al(_)>CLyUx9i7NyTG:bh
U"L?<s?<KI8:)PQ/&ep4>H3/BX^kko_)41FIv(Y4S2*KHA)MJ5vCuxjKvonwqon;,
U"Yc_#OPhiGmhGs39n\j%P1bljTsWNSn>7A#<i#5seHe\84oCoRE81RqS_TCIJvV2
U"Gic/-EpI7C_F?x7zJDY^?c=L-88K*F#aJ^j<tL3\ZvqXULimm79y+-uT->vd<nj
U"/DwQt<4?dsAE,*mpDl7]a],-*,&Q^A\2;xxH.+]a.j6Y;U9vi<Ft*Z6G?/ZlrLs
U"nyGBf-cW^FKBj6Cr%Ncj_aoV(xEt[$(Y&=kYjt[C#gtCwI=u$n<aaGcD3N$KMHR
U"QFJk_h'Ydi^a'V<V9]GC(PJ^stk9XGUy<c6Oo,cqky8<28[7v7W0SP(Zk*$9M,q
U"*tfOe6CiBZku_,BWORotOXP;MVcp8M3b#;84o?;QF\I;6uXJ/8j\OHN%Yf_cRUI
U"Pc'yI<p;EGNbrW1wa+loEhCo#7$#4^pX5>%x$uXZuDD)d8Rxair.,'i]08sfpA^
U"(0VTmt0j,WDo&Knqu(P9TBC]'?*Fw>ESNcQ1FhbgdVOeo-hI=E_lBhzQZnUk]%t
U"nHXMr_uw2j'OoV8LlJ2sWYYF1[UK7BoGgkqj5G,88dcVv$EhX&_s\3nB_7]+UV,
U"gJ5yh]\fldBf]n**MAx[?s1=v-d2\vBM8cMtjv1GC6.nCdaDgHTpMu5<ufOQ]b8
U"-X?=Txsr5b.h$cXr,2d1k$;RjOz,&46wY06$x%cp^t5Mu__V0jGJipRYc(Vn<V[
U"Ni:w%ndDhu/<;]\yJ8$Us#6s?V$O4tJU3s(s=N6Z=%U=jMgG;GAQMHASzKn$KqH
U"=?uvoVlwiXS<h8n0m3BqGZo7Q:5>C1gAST8,BlY0aLCCD=s5EVrQtQwLQ[6qL5M
U"5[tKqdxet?_#L1A9EXe6X>2XWV&A#Stwz0k]QB4LJ).F/+CEGC6+r)'1TxX76/7
U"$-N00s,_107ID5wrFH6L(>)TEc+6\VV/UBE*->%:2P)J#[ry7jV^q%n&CGZhmrs
U";.+y'_QtRxfNTI$PdXaB6Kg5Iz]qyQkIewN?w:]IV_Mmf$MLz*(lbWX$1:6H]xa
U"/aN^#90ZK*#?8sOEqc$e9r5KdnYAGQQZihT#<TcdrEX60rw6ilQv/mLB3Lm+7+l
U"e1CfjdIRb^/mmp#\W_O[f\AgdkirBQikL[_a&]N_DSnO>q:XL%i;u%uDRFi>^%s
U"V4,ohJKQ%pU6EadlM>'2pcApT0e#_j^t)#_;gG8+#kK1#U)iKAnt$nYyOqI83Hm
U"sBYT?GofONl:noLX$8NMq<dqi;$SJ_nA22++dQXKtum,v;tH-o1v.-dq5=kWO='
U"<N>^P19^=vgYCe<9]aLF.g=8ghIMQM45A\c?>DlP/+:Vx7udBm\#&V>42;K8InY
U"SW>tDI\7SpZd:]7gY5=$F:*:'HDJ&H2u-XVvlxH#?zzlr[FID9mU:vKE234eq=0
U"QuF)TRgpYz;h=[92V)v)jG9\M#j'k2hI?SIlas0dWbPD/4U>.Wkhn.Dn&.G%h%n
U"UJS&uiul&6NF('X28QZOl2rf63mG(ZIL]0vN6?+J(VCni77A-\G^kKfIO8DU&p.
U"QjNk0#sxaZqYH&Ya\H:8T*x/ptE3nwdZo;,fX>+pYMb;s/FrH&u^x(FH(vZmA(U
U"uxQiG-b?53e4c_pjQfBrs9&WByAd87lBrp95YVfX0q*[V,R7T16J26J3Um;OnuC
U"(/v56&b)q.4KIP/w'4ObO,F5nQv8<k.R^r'2^y94MQ1n3v5/z%SGFgMXS0IXQ_<
U"6W-$_G3]$h#JcMmVi3/4,6pSjxJO9uRZputo$:_NvPis#cru$S#Q(<^ik_<RM*'
U"8O;,N$l)E<>/gf,4j0SR_4m1BA]I6UGRiZJ#TSA+pva5qwxDQeRZ=<jou,;[S0q
U";Q\2/9m&Pea]l7sgjI/R=;%qcCK60gg0]/B.pdrQh$k.Q0]#8U'SK5gR'$ZQ$u#
U"l)fmC?h;I2\]NZs:I4aJD[)c:*<X'e'_[ZMfN5s?]b-mmzIM]-g&5&</Qg^u]#U
U"1?[z]S7v:rvgt9E]kVe#L'o?k\Z81jr4#bne2G(>qLPpsuC3D.nafg=[:;)34d'
U"FL)18f(JU:^N>?X76'qm3A[jvX&'ady00UpD?39&z1#_Qt]ODCE+qUZfp3weUuW
U"m:oiOc.3G'J\<TI'B&_ggGg5t<R^2-tRmoVy\b[R*;*jP4c5qWVu'7OZ9q#ye^^
U"EJ0e%8Voco,xh[0Mj<nxYR$1KZL.5tH,>csBU(_B2:kaflZtUW=#Znj86uTdWqa
U"pK1]yr<lg1iM8])j/4s.YArHK0dp91fQN;48clp&55eZC-RT'msJ^tzJYTKj&%6
U"8ewz&L;HsP::[4G\#zN:fLtjcdTT*r7<Y)socS#Uh=lI19g#S$cd<]'VEp#aHSq
U"nezMYn*(IE&Y1fDy>&bVi]MScMR8et9a1J62<\,_uIDisr-eZmz83Lol>1'8t*+
U"vXm%A3xlID?;6ik#2%Q.3*8_\vjm)#/DkH58CCHY-o8uQSjZOTuI)YTuEC/5NUO
U"_Muuu8YjDuk7<^k5j[c_&fZOf34$;to3RJ-<.f;k[2u3a[zH60^gc0/.gn>]U,b
U">-,d<(R%*99vFgLi.UHt/qj;aX08,Z(;J8#Va,/EfG.:c]_g1wc)Jpm>S.IP&8O
U"KkFz$r*lwfg*DZH<AT<m_A&V<b,$R\W\Z7]cR2W#3SUDET1V^a:xk-*xUYk#+/^
U"/a'^sCN7b2>3bq+Akw:K5KYetp$_,QN:J*I$b&4FY,NC;ruUeI4RCZt?6R5<sYE
U"Y+;iJ0BMZ53c-E:?Ui[u-]m.Sd/U?#62Rb0KRT_#m&-^KnPqsxVm#nF*bmgg3x'
END SUB
SUB V2
U"S7\xISAV=hGSjuAuxR;l8k/IZ+(,*r1FCXE8tkR-P#x[(BI1hB3c<nf2rwvQoGZ
U"_G'676el0'po.Kd[>EUzh>2CdOl9[LjE)45EV$d:2e3)p(1Lr.g\iM,MAYZdY]F
U"CwuJBt;DwA*E&yYD>])360ke&0mn[P79x=.'=Hx31mL77]C105O\y*aY&eK\UlK
U"O?LX>qBKF0JApb0q&*ruM,W1pnf(l/He'w81BrCt2Fr#v\8Osl(o9Jgj33*3+FR
U"vV#ClS$HoTAV_PrK>z((g/l'+997c28VF?m+A?*Yvo0n]O#x8WO?jOoa>d%QLs'
U"\w(%cDafM$ox/\T0Nr(/8VoTjPfa_\3\Zhe<thKhL.DVq0b)dl59^2*A5Wdd/y[
U"Xr5,\suTU1#o7425h&yY>ieTG?f*[$dak,9x_CAeMSBP<xq7fm>brgI_1CbVC.#
U"eGQLbQ9sIZXM0.b<mfD^]\BfWUp'o8j/^\k4Y7YJtQRc\1[RL064c^Y;dv9b;R'
U">Cf6,q4;J$+dqTw>dk,7^NSR:rk0MyNKKQweN%oir+f=K7A]A(L^_6k./E9RGJ2
U"^fDFe$GX.BKZ/_-VmM<QcLU*37gJ=\%<+-\)44q5mdkP]rM)^_+<r/*UvMporBq
U"pr*wPVh[WCN?7E#Z[)nKS-Fn6Gt>Ko/T:^-*ikMV:A5MiDXfeblgaiGCk_ohb0-
U"2DhFZrEohaH[^Q<mE'Z&DY1vz#.sd9Z*'*(3iXwvwulf2ph[^3J'5fM#kc<<(HW
U"Nf)8cfG;*cHsx>a6E9-0CMX>EuWK4eL0_f)&<Dr0?ORy8wTvHogOgbmck_6>+u\
U"D0,7QG;opsT&^[^cgaRX8O;in4c\8=PEIE&FJ\(G<fMC'.5ejj'IQEcKF$.hwr;
U"NOwG(vTc?x/0A2IMWFHbi?]PoP</:k]l[:V7_R6RGZN';KEj].IjqLUbqr%L-gE
U"1j_P)1>NUE7W\)/.3NpO9aG>pit]^V)frl3><k?H2a].EqD>ZGN#B-KVN]3?Dv2
U"P>s2W-<Epay2#i:uKsyuO6)ymAz0I/^ia?$a5U)eO4'sWGRCTwV71_XTfXwII%4
U"n4Rk'p5/TXTxj^M=$9IT2]^KVF'P8t;6m_0+]rfFUc-MO$c40p^Y*M&ClOa8rC\
U"ff9)mGMGcTw5%NGsiK7?5%8C'q^E9t?2(W[-EJ#?$FQ(?U&O?64FkKxKZ7DRaQ>
U"D*T&;00q9?FX-1,Uso4bFIwR1]G#Mkq7jmU?PcRZw2d2'*u;P$moF]Fvx;(lc*(
U"P$OZ#q#DS6Di7(-i=VTH<1?[2;Hs#R7q]*];ym7S>/*+v;Kde7*u+xFaQs_K:)x
U"1Y7j3wxCa*.#h._TJnv_=h:7+[aOso_1Kgc?dJhr&,3YOZfrs7$>LdXt6*uvAvM
U"t(oDB<rE7^iYE]bqF,LDE?hpka9dPSm+KRJg\Xx?)J>gCdnQZU7SB$'KenKfg(d
U"1SW'&v+fd.6:e&f>MK-g0opfq0uWs,b<35#hnFF6]8AhTZKWc)_-X?JtJmQHaUM
U"Hm3*BrinkG+3U/qa[b79oCsGQX,=j*iN*_L#XR)f[7I5)DGudlxv7huHVW307I^
U"b2Ng3TvRxG&f'RM=p&LOiP]pFp;T$d5$MB6j>bX;[CJ.$=(a?#Jg:aph'p+[AI?
U",qCIBB;)XSYm8D4]Mp'8GgnFoPaD=ji03MKyVqRDaF,V_oI\V0'N2FP[)D_Z3YU
U"BO\,POLg4,,5IVfgI4,=MrM/*#mPn23dhM(H0tx;,oq/>2ZYA_cQdBeSdYYj^Zy
U"?_?^N/,8WrF+^CiwdpE8'Uh^1?5]oE/7]8OmW9]^Z8x%+4:c2R*I7e#Z/3:o[?i
U"Pi3,;Juk+436vCEn7BlGwc%j\.yHldn1lPyRVztjGNY^XsdjH+w=&PkN)rY%\%N
U"*-wA2n)U7gpsiv_m3E(da6iyr+(c/uYnkwxZnTrok^dJCB*]?N)O#MC7inxw:PZ
U"2sHDqxZuCLs2O'I)V<]W/R-9[?O6#Zt9/9^cJGJZXG+]'=^Zqj#A-2E>FBlOQ=6
U"f%K#5$.8.UIzJ7Y57%ksxoS'7u$%v$99fKhS]<+V_0_G7altG<mYI>bKgha\8qL
U"#?^0N][3XM(_S.k4b(&<CBCD%a]1:BUPyIH-rA,]Qi7]8S88>H%T',:Y%w^HgWk
U"<t:WS:0o/Ovf#WX+&S4zMGmb,R&2Nb4tktG?onl'2KlE/U7I=lnruiYLDe8SasU
U"nKv%)Nuw^FJ.'A^_?urUI$eL9WHof(&qwf+LTcnM-M6C(>5P-b)fQzGCQIFz&F5
U"U3X=R=H6VOIj25P;sLuxsbRe[Aks^pU)6igw)&vJUs8YJqW:SkCdl0\Qu3ROZ&X
U"K?:4d9gBAc1q?[1vG7w4MjhofCqH&Tib798J3FmZk(#v=s5aj:2.-IhX;L\.Cs+
U"+L/coin%u:;H-52Dm'$:G5/[H3g9y6'H$[NoRXoXX\<Sff]E3r#&m*J]I_pOMI&
U"rt;=)Kr**#Rrk^^N//R0Ptz\?''1oV*1v4+9fV,IaJ%ZwJf'>G7vT^13hT5C0UQ
U"nO,ZLq=],VZ&ZiokVg7'E_&]<jeh%wT7z8\5b<R.$GOF>R]#k&+RszHj4.Ki&29
U"Cl,>*ybUOD=tHcBwDgSDGiI*<FahQ&'lsRv1>*<yLOu6/o]lC0.?2T-$o\B3Ja*
U"fcVsC5TOCI#<qRGX+G(Id\b7pmPklc+u#Pi<N.\\ml/LUR03Ls)L&;JC$]XZ2F;
U"cPQ;,RaKg=-Sb,3i/gY+JOj]But'7G.YMZ%p*M(7\fNpk7nTDZaQ-Cr:&OnsMVE
U"<Ml<U[s6)iIRkTlj;N>XY8mnGqtms-5;i1fqwx?x/Zl#nzrtP-<o.1AjcXY\K2E
U"O1kFML>r7_+o9WJ?9Enj)3FbBL>Y[8]?BxLOji.s-,IQO7cK[&>XgPyf_(kMBXV
U"Vi;5,c05ait&?0qp[P,^vsO=v1?*0LO7OpavaEVFL8*1^NwqNx*]eKyO.O)Y#Y'
U"U)LcGeY8j>V=ln_veErPlco.Ka=msWvlc#%ny^>+)Ah6)X0Q.mIawmKn&KYE1Om
U"JJ.oSz)F*Q<n3zcB($MyGM\)Q%[G9o:BCg)PPT2k$RS<03gw2Np(t79D^nid:f(
U"=Rw=oOnB4IwcnB_t$s>AAMZ1t'kMe-r)d7:?HY_Ddda6S),>o&g=3k4cJ3,D+fQ
U"0EvvA+C5x#06IaD=#u';5^E.1,(_Ivi_bI0TLf?-odpjASUWM_pQejV.<q1;d_A
U"oR8KZKm\[=$6'uX1r3\0xnLm?s0TcA.YL_tphaf3UO%RYT[aECgRSWS'7feAvXM
U"gE'x(yAv.NS6,g67:BpVA[[27A?n_O2i)1(-zRvLa_z:/orE'Ini]uJU_yWlmmc
U"mNBw#<Y_kwW^(J]9aRgC+%lcfS%ALuX4D]ZiO,[%>kRM/niioEklGQrZ<-$KG:v
U"<jQBTqXQ'^XJI0Fi5vekY(<'A<biAri+:EH=C8M?SZ.od3Y8JxE4y,nQo8eNaLB
U"mdFxJ9?3R''u:R&6W4^j^&nYbD+Q^lh(1M0W)N8Fte'0so<4;nu<_dok.F%4oLb
U"81WeLuC,DVD1/N?\Ld\dNwbAt0Wh0#Kklom,nrRNuiHu>d.97OKZmN$#C%r-qog
U"Pr]l)lMZsNAg1p5rKaU]-jV7N&$k_%vcS+,cAu#6.X^DsG4LCQ%C/EC>x?^+sx$
U"Zi+#:xEd$?:)+2RzaH?Lu'n?8[MG_(6u6:_ud>ABf(l83HCvN,ZUpX?f>EB;qHB
U"*?K\+(k3[N<\Y:M99.j\Y<3#&llNo7&?B*0Su4Asij>Ot[PdpNgX:i0I<0k%AaD
U"si..ck8_G'NxTMziP_ODb=,hLd<wagqy6XR(t#tbiSY)MJ<l(AA&$s?j8TqSQ>n
U"Nb/OL)db8//.YF>p_'<$8gNZq2p*^>r<KGBJE\np;%ZP)Y#.B+]JKY?rdCk:\,_
U"sYjIYd./Q?bS8Pc:).?P8vsiLO&JZH^W?>BDlZr,;5b^8Qgf-X;a\8Z.?>SYg*s
U"\0_nQ[=53ISOgT*<tL3.BYGp'%*;?)=cZh%l8P.xft'+WjFz0$;nOon3CD-bm;C
U"Ngg;vJ6<t%/dtny[cnr8I:EUjF;\6:f-(4+$;bT],p;?e=Pv]JrM9**mF^;hqY7
U"R1G:,fsNvV2]Qs'omZnau96>tPPStsGAqvpl=V(c[-W$:TGTA>lM3/PL*IjqfVb
U"]rGy9r/lWB5=:.T77+1?4u$E4=V^esU/#SI?dtKR+jAI::UgRXrl7C-7W.(+7TH
U"u$AYPoh:1It0I^RICE.s<?J),5]H/e#4.LTq6pmQ$/40D=lnML12C6dG$,3I6E^
U"]i=/X*k/8JL/o'L4AifEe.=;o7E,(:7cIK\(/)aeZUo)uOPA-c3NL-c33\-wB,N
U"rxVfh*,K1*K,2o4**H&_0=Q.#-[PM'i0W<Z46YZ8mb+C:0l[?Y7Y0\7w.W8gEr3
U"(/.JRu0k8rPlu6I2Vfh1<TRZRAin+U.[]G)B+bC,6nsV,670HfkeZg+YyHN,p7c
U"-X<U\aY*Wl98^VUy1so/vmIsRmdCB:u,M9Oys9\lNO9>Gg<>W_&0(6ADtZ0eoTL
U"35pW,U7sa0XJ$$rpK:w+ZCXdf#X=68BId(rMdNQeO;\m0JrN<4AVB<FVqyP7t6U
U"]fG'&-enK[mjAL*w__:IW^kz)NZm0.9dV2N%?FArBe%BptbQ#p\O0i1M^zb1Dp2
U"KtG]?eNS8K:U1dZcAhC.8S=5.uQ?\x4<7/>M;rU/DB0'w).\=7:S.5BBQ=.<;Z=
U"3J.Q^spQmgIjqf)FU.,l.S5&p&92zu7e*kGZb[1F\i)FX0WVy(#aUgl.OPH4X^q
U"*K2e78Sl4?]vje3=3X*UX0(Q\A8Yx*=;*R8GDu4Z*;_FaNW*\_N&_]cM^ZlL\\I
U"t>zUldpy^BL<aZHHmf3=aQt'$v'kfMcT]YDoXi4QC1wb6AJ<Fd0WZI\\\j7+tb*
U"S?d]4\QaWe>/5Tmq6Rt6Ku0\L8j_2Lg<nN_Io(Y,J9sNx#nL+86rr<hlS>=pJsh
U"qpw)j.J%MLq<P.&IbANbSk?fRBDZlXt>Wi9O9#l=/2G0D$V:Y41N*[;iRwKT>KU
U"lJY5K<dF#uZA.O0ca2f'1-:ZgaR(+Fs3uUcs1?i_GY8aLoZz_$\v;gDbN>1&Y(U
U"0_.]]58(_CV?kK/,DETwiobgQ'PrVrg1kHNTZaz0^g^cZ'VNkCP/1CR0VPj(Y%a
U"y?(f-:I.-GljnlsZ$?:&W2%a2VQ*lMS6r[FdSaQ62Q7XLffQxZ$tWU-(;1VH\jk
U"<-nq&q:Sjvt_2u-Hjh%#WNM5CS.mBAf1fsar0D7%hcX'[*P,5YrO.7o7+\UBwh(
U"fHtC2IyoHFB.rY*R?XKia=s\Bt8wjg*0,oQg8tj>'JfstVTjdXam_5jLxELHR>j
U"cl_qd$A-/afG;m/af/_6j4g0m>JfgX*1_TVK>NUL=kvI<s#1oIL=Zi*K9Q<]&?#
U"jMD1gJm,RbjF/Cpg/n4,=6VoBJA%&ae<SU3R=qY_RS-#TLJ%R[DRB:Ul;g6AUr(
U"pW]hRo%0R>jaG.d93j1.O0A&dYuc6DPW'e%Ts\rSGM<_30E6y*-4_31\f4Z2_N3
U"X'JK0VDuHNofAbZZ/xKET0mb)k\?98ct6X/-V3?U/d9fX?[8Ds;]IYg-5qa<1bo
U"]R-m*kW\KwEaB;\G0)gt5q\Zr-5X1i2?4=r17>mt%F%hwbfMOtOiE*qUy(-[15a
U"2Y_dv%LcHi89-afggvhaqkc%FR<&fw.jnMJ;AdOLmF2E/dCL/_%XphxCg:ULe?7
U"RSArUbl>\QM6%k]CO/iG>JFy-Of6>D:Y_t3bci:rIQ5wl-K%23$)sn/\)Zm4G%H
U"$nwP]A0:ZXiT'9OxLjRrj]+qi=FS3S*J#S#mTR_&\b:v6%<bvOTA)#:vQBvl6=d
U"3.QNG\)3:BO-2,(/^BmG^3WRo]^nPXv8A##%QaDK*3-+q+LJ94D=i/wD\g=aFAd
U"P?*jv04XQk1B'h-*wXjMqNRutK0=td&Xh9vavdBM[Go&O.X]1ZrqqL']<F\n%vL
U"Y\=Foo+dU86vO)z&dygui4FnpQgpmRR(nNy4z.%2Vx0&.Q[2GaUwj\xIZK4-_2z
U"dNP-eq??N%9$#,-nuZ,)rWsNSp)$erq'h/(+'.ZOSiGrt).<6gEigx(G<jkI\b:
U"A+(ZXpn,AdJtQqE5Y::XGxYn0vE/2#^-ovW>'X3l<w7CS)75&[,r<].JlrZ8n?-
U"I1F]I7t3h\jR5fHQe=;aWE1'b:VeI.%I82;_FGYD^&#J=R#'s[sRVDUb(OJd'AB
U"'Uu%-$/RX:m=]Kc6*]pd09I_)Cahrd*ZfOB?s=(cgX7V9g\]KnAWO/.>+Q]8L7D
U"TMZ??k%w3G7;IMY>mH:0:LOqr/s.M03s?7$jO+=F/lMup(1^QNTl73Iu+ur.Jv-
U"gNS*ANV*ie<>c..GJkb:q$\bNRK=PBU.,ZO0.96iAGUg-YZ_MfklDXVbtmgl.0X
U"Nfn,#-GH3jex:eaPgFf/g4M1CHs[=<F6W7<)XE7H6.OPEl?Ept-^+0dCFlO%jE'
U"pXTs8)eQ*LBGz#_=Gp6RuKuYK*hJ'EoK7=N9L\L*VJvz75^3Mq6^*CC'f7Bykm'
U"3qq4k0DtmocT[g*/ZKX-J63F2VAFcR\hG1&q/A;3PY_iC-7S+VgS&21dM(jaRtv
U"$;tA%=8QANN6=8DVB2$TI5;]U2'+'Y>W[K#MH->_l(kA8Ze]V<<D=Qa/K%.?ix]
U"r&p'aCh*G.z3%p9iu:UR6*AKFJk'.'Zd/B:H:q&uY09')j\?r\6hNFP2M;:x\dV
U"*9fvso&*Cl%&yM0P_,u(Dq$MJjA);OJ=>=5>>sl,fVJFTg&$omDd9if^\IJLGD*
U"6M/]sy#67pMZu9sB)9D7z%InTJojmnwpv\RrPj\X#=LpH-kG:G;_OGEh1)Q$5&A
U"4l-$sO8#;-dt04r&$^Fidk5,xRlp01VQ=)1uVB#u[[]<-S#Xm[mGFnp&,<C.I%9
U"bXt-eswXG#BEDpD5GmP,Gd#$N^/IRh]_8LJKY*p,AS-wq$'[\cmI=7)9l;+n(go
U"rY.SE*I.)o4\Ak&Ar*9K[+rf5F;dR_q'F^%1?<AVRyG7Y'ZC8H,vFyg$+\anX+)
U"BLgh5P$8vm7CuYN4TAH.ZTL]\k=x=mtO:WXr&RzeC_6fTWJ908x6?n<MHQV<nM]
U"p?$7&kb^KhNgwO+;':jN%K3%*C>uqsC6eK0hTUF>r1b[ht,x]es\t>smJ6d\Gny
U"(1rVyohvC'e=17S/.C.]xd0k7ghFB4h]6XUS9UEBfg;Y*]VYAAN.%0V6_3W$oTA
U"OxxJTijC=tHrcaRf>mo>1dM_l'-IRWWu4a.I_:Pv0&)I80KWy/ZtJY/XCK[cLMz
U"Urep9+>U8y9eF&5=J=C<BG%iujm['tP>YO,?6O510^Eqm.i*,ei_9w1NEqhuKiU
U"I?JOkQf:D>[QgaoY\<O/<3]BTaDT$C:V7;e*BFN5H7cKC66>yF6=JJ+JL1Wi\ga
U")tc;UA#?lYb7o(Yq05-ouLMPZ>RWPq53+zT>2)L_jkZ4SJM4(A]dMeU+FUT;LIn
U"=FuC>X>bDu7s5Bphi7KZgHtF'*i8>K^Cf=z<lKa3rU21/TQyBY)MNJ(y+qGq)Nf
U"T)g/cdp[/rG9G>-0fa>K(D*+0BZ=4xmI5Y]=T=,$XpOV(K-]'URLf&XO-B4_gA]
U"Xe?':thYS-4dBWO[8OZ#).L_mt4i$;s<()xX&NXSYA0K0__$$%JX6s^LNMm1>9#
U"mGDetLUL^1fWSo]xJf:Dikbz4a8#H5$kwGW:J%5sp9$dey]yP$fF=a9GJ(&Fa.o
U"7co2./N\s<%rJ44J(,:3&a;S^JK0n:W#GyQCe:J'6R5U%?43>+h<\y>2g2P+cts
U"KbIDC7,YBwjmVB#9AoV_t)p%D>D#:s%YJVY/NU6=#8J<[:lGEI*$RKuw+v0Kb:y
U"6Iu[.9Yi*&_--At.QG/s0Cg/6J$7F/1Gat\8g#ciCkWSXoB4W:W*bY_-ZPab,vI
U"I/:]r-n[W[nuq<a=T=IB0nLw>bsoXKB%gG#SGB'Gv<,aUO7fFvl%\,<rUhp(xX8
U"Sh,wK:nV5)tUx3'Fo:poNRdQ]8jet\.rI\dtol+M+xEjVV;t#i^E.&L&:[xc-OE
U"7KYY42LUQD%pl/1mH'S:g^7i1.g8gWntSc#;&m=#XE+%[5//zP*\(Hz7u%qq:tm
U"l:mRQ6:qu*xW[Q-3s;7>x-Qp'^%+^^hRASTZrP<dK2]=zsjhmA3k,1FOCPmtqQG
U"i'\vYjl</i%$U91g2U9v'3eBY.>fr=-K,][9&=-I^czZ\3DV2'DZ#syK4bVzR4P
U"GuLZn_ym^+YZ6bk7Lohs\7;)xON0NP1Jac.<ZG?[^2-?:R'.0>hU%AFXkKB6Y5p
U"pB_PO[e%>m(R*jNeIp#)[G;--=A99^VluZ5C6\t1Z?-hKhH0MD+zWZ2(=*WQ,fq
U"0HXd*6OO)zP5Bd3S1g5EI9=i9#nUv9-%&G>/,tt^TlHR#[(#Pw&Z#^Bx;6iZq0R
U"ZJsl/-c9Z$hcHhNialMxtJNE;Fm?uhi<_lvouVhgieQSJPRv;k4\6>e-?UO4>?$
U"iP\*WB&jWXG'l5rajYocr1V3=OqU%$FLX\gcvUm_kQ1CpA%)Q)5o.cuL2x\>K&Z
U"#alxS7orjR%mdb[+n5.uvIlgljX(Sr0a<L.?H#81pN54)ek-cS1FjOGuDabTc>B
U"s\b_\%(xDCwE&aBc\ca?Q<APQd4^]\Mpj8'0^hP,UOp/=xK3JHiS]QQ&lvz7>Ih
U"=isWZHM*IV(:]U)Y0<<?Sd2pWZRfUpSm\x)W'V&h,e(DEK/P$xLpBrwqsFaFl=7
U"kU;:.RI3kh2DI^LfpAK>K-uloid/6DI]Z#hT[WMeGdHV+WYj)343frUqC&&5R<k
U"oIS.9_Fnh7oR+XL4%x*>=W&UB;,wA3'^?_3Ki;\D%IbxisTQ\n:KAV)#:&c]:Xo
U"*MB;UPH3Cpb76^+b6/HMsv5E+F1:%mWTXt>VBj4PKLnLqs?+SfwPooC9C/om?Li
U"ErJ?YCO<vfec0=gUnRjl&#n6SV+4S_?#2?<QdCnG7\Mh1ST#joZIRVYFaqMVTbD
U"m)C\xs]tz&EK+zcBRnEXrloXD5]rta5-u#CrrCb]pWTVuFhgb8xOblf[WXObh5y
U"S7=g):;3Y1e-zBJZ)YbDq>s\9F(pr98P1t>+3nKeIJLuwhbv\>=Zvtj_>(B5ujm
U"m<xB9;yB*k9)]+GofG'W3L_9ieas%d1$gkHY5BA?-,q^*i890ocXgPLHwwz5lO(
U"=f]c*hf\B3p\NcEE>V,i&G,)bPblo&s'>-tGKr^lE5G12*>MZ4mBS;FH[b'ej6K
U"B6nSkd'HDDvM16Mp>o$mZaOImIG?eufp=tq=7=IJM>OeNBpVb[*eRuoi)0?853W
U"f+'j33dR0b*P>wMkg<g4iovQQRSI6T:,-cZa3k2(KQe0J4=F.-N1Z'^5n(DgQ<Z
U"A%bq8:dL&xHyg\M$5C%+7-?,U(4FmTToT5K)o6(kR;.].OiT%U+ghDy?]qrj[Zg
U"07Hf]M[q$FlQpEp-U.E-oAwk%VcIUmTHSqz2GtjRne)pq+B.])apcFYNWF6>S3o
U"hoZ+,X*QCVBYNg4Xq^._-]0>WX_$4ts5S*9o5XK25FfG#iW[FvC/(Bov./XAPUT
U"PbX+uPO5;O0BH[YzjlRXhV&IJMOW,G(_yVmbaO,FA[JHnSA-QS_eKuqFyx3lgX&
U"b0DjFdZPW-Ag:*tgIm]fVbmF\64bBKxQ:=(d6EZ;(FtUS67)n/ZFC$8<8M'gu0;
U"I+GT>^2VR;2i-?$A+ljgY_Z7v.Gv9\&EOLhBx;uRBu1$I<Z:uR%T&j9G-pZ<L[]
U"pD-&J7NYBvrZyIlsaKuu?iSngB0vEV2d5txHa._':7Cw[8-=5&_g3&S3:RMlZlN
U"B/fW,+$pN;6c*Y2X(_vn<Zd'Z5ok+>=Zu5;u)evX:;.AyO:fQf#<5Ji,Hk\;0b3
U"%'XBVE]IBSX9JVS=_L6NExZfbRk7GOTLJZ&e-[jqTNp=\grq\5X2a1?Fb\-6U?t
U"A3n*g+%E^'92q^Dq%Q,oyns5[NJsXOHLHOL/,r8q^rAA?=*R_+,+Djy]^/&uFk/
U"+pJAO-Y$Dql;,+1_XaP:+=&1MaHsO&lAv8?fOo/#w;e.3NdY0/w9):u1j'r7rq6
U"UKWjm%6].)06-vY09Wvk1WQ?2KvFS:N5vACbC6,FE=SRgCR?a8\Z/)Ar?gROkXU
U"NI0ZE(S+WpRt&R%+P9TiL'6#CGkLj[,o+>\35XM,8gCVwpBA[>&CC<U6g,C*'=4
U"HO][3*A2]+j[#W]ENJ=SyDu>6*NaZ=Nx.-4u.JBJjOQ4Y#QqlAAW.V-?&cD[.p:
U"'nP=hfo'c?3R1[uhQ^XiD34Qe?d6Y5J^Dp6*2=Sq]NVWFm[,i>Y]R_BB8,>Yf^L
U"Oh*H;mLI24\pU7deP_qzv*wse<^S+gJ[\C\TlZ+P4^_'[UVNF2[e)GBk%-\SQ$X
U"sK9LF)eT'3VMAn\D*Z(Zc[aU$:x(T(9%LV&X8M8*q]oxIr9)3]IL,m_4q\?*dO*
U"V+i70JRDPv6FB-i/Cgrk(+r=eiPB$z5B[4fdL00kec&SYei;tJ5\d,qp_ngK^VH
U"r.CO6.lI4t'NoXb=rfKW_E*ES2CDo=FU-3BJIyJ_CPDiaw_-5WI-j<1)'%A'V&s
U"(\i+\.]h=(v;$g,-;hi\&ndbq9=?J#4B9%Az/(pX6Td6Vg]2gls']3eg%%m*=3V
U"R>=g;&nbie#0UK;e]zXK\:iRQmPxPh^)F*c5kA4iU^DV'E_c\[Q)V#j0p;cU_)S
U"g\R,Nth'%T*TxVH%4Qd#/X:q/_Q^c<=kqj($(zU*b<[BQC5B?0R=QOkZtr[7dO4
U"u/J*Ue_Sr/X);bVrmr#KsO%8YFmC.;=B<_xFP)lZA&0(rLo#%r=/VI\bc0EDXj%
U"nLDd;'^?)&.0Vj0.;?ra../QX%mDGl[H:_p]Y1N<-[5n7x^I(;EuxU/_P3UXDUL
U"A&Pp[\IIL^u%VeTu<5W*fL%L5<%e=8+EKWXHsfPHJ6[\VlKd,Iob18&CUhm.whF
U"L1a**.*u=m\=R5f$eEf8%oI0'<i:%,eFNR&M%O(uG0mf:*uiarkgn0>xG0Fz:k%
U"%-7,Vs0&Mj6r>n4cYp$*e5+Bh;LkFL?ie/K0IWQx7o/b43F*IBeiV;h8]^147Hm
U"k)0?>B1JJ_0wTlG6mUQgX=bW=/Vm7.#e:'WRH66%EOX:o'R#&?z$4kZs']]Z-LR
U"yZ9K5HIX?)=P.K2QEQ2hw^VB0<*i3Yc&$#lVKVeWJ'&+V_6<o.jR_6DgTwP5Z>=
U"5%LOGVVF;?#e;'[QdX)UcYoliL85SC8GKa;ih&Kk-8nJQ.bullIbgV\)&_q_a/d
U"&L-YN^S[ojihV\PZ+AV4;Vw%R+KVo,m2I7P]Yoranx)%Eyoy[im0hA$),v//M\'
U"4Bv;YmXDY*/%PP&jtZsKTrh]L7[ZAnr^Y-R:QvJ_6()%q(g;k\#J%;j^0bX).k*
U"igor=uj0THL1t9bO'#PM$G95t$8C+8ZMj)(BA$6,P>N':<c1SUB0Ll'P:#UV)/L
U"]?1EH4ou8fW/NuQL[aZfp/VgY&V0zl,QT7I=#$)lL^yF^cpLDmA=)H4N47839k^
U"WFLgK[1kUwa5w*pVPmk$*l-apnda;mqRH0T*OY3nv&;m(e?61Xa/bA6,?YLH?4O
U"q6W'M(.\/1c4T,c2jDaNw9[D7#Z5'+=9SZid^z)5pvPH20CNH?29Is3-7I*^rZ*
U"m]Ao^mloB[<e$#]:j'L-5Tv(;h:V-'p%S$Hc4ELSo7.u,KZni%rpVrqmX.4H3_;
U"?t(gT-NqIqqrmVCM7NDNfhaEwUY3iDWV-oeV(,5vak]+(qQ01v8>n:o+)j,vh\7
U"$,/[VmfZx'K[E:?Sn*NXdEs:52k6DsDTQjCin(6Unln78kMM?6%\:F#ZqOtsC#1
U":5?If;I/X;Mr5Z4gX7'4s'dSJ1c.iSftYD1gZ+'4kBdsx,J;YF8o-]=+XpUV2/f
U"VL_%%IWQ])8C#J?sn?K;8AG]K.tCAKwsG(out$*Z8^aN\S63(c(LaXPL$k$ikA'
U"Mxa/y0Enbj3O+8I\pZF.rL,27RGwvI+G\G76ndXq5WASt3CsWqEssqX$ActC$-W
U"qtksEWAn[tC%YWEssWEXAk[tor.W.oss]NAJrn8n,Nc=TFo0b)B(E_lC/ENgx$-
U"V\&'QmJiAKQzEtW^X9*V4uMkg'K=Z1aUhOIlZkpB/&5TC&^Wu\#+]$.>'PZd#%,
U"\%DPPFH+<8m]_%JHSk-M9?UC]Jl4sF_pR4%2LI-h8oWz'8JlbVdtMZ9&E5)yx5Y
U"Y)y(wmY?&G1%&7Ddi'l;a\)HLoenPFkYNQu9?+SHvFhC9xo'>\9EchsX6=oB9_Z
U":eD0k1hm:#I2UXl^3$8P4he[j'oUg'n+A*t=Z_i1bnhYVJFGP>oL18</*BkH1Dk
U"DnRT/R)0K'r6%32p.I5Nk4g9,dOL^504r9S4[seGJw,FP0ECMpuV8rE'BpC0LCC
U"2waNVG'1^4,rj-,%O8rM3\643DC+'o1W...a6<*-8/ugT4RZ&McVDI'F0l)T?E7
U"YePD#[sb26?[E.1Wt*-MXoFRfFTfZ[[=\0atS9W4YePD#g=b26wk+_D>8/D-]8m
U"$1#)XWi=+.t1xi110d5dAth;%W:70RBO<CX=l.r2q(59Jm84uiC'm?mWF&1e'BS
END SUB
SUB V3
U"jCm-5oE44J_HpC;9jHeCqRL4I5z\kajgAA4g4FfqH+Lw6=)Y^qYxeB#pN=ZZU6&
U"2>s43Z2fd6uDiu#q2jjjcSrvoAl0.ekdRVSj0]BO[D=P6Y>DLTh=qm+MC]6Ho#^
U"FCAF[U\YODwGJY4K_<i$[\<W#6B3XK2dw'jZ&Gui*vni11LR]]f5LWaIOA[<]j=
U"^8V]nK,#CFsK8nkD/WX>7mLB[eGj=>VF]pK#';F+tQL0CvOo]>&SqKb)bJ4?RAc
U"lC?/k\v%lwuI0Y&a:U$:*Ps$OrV'dfxS&W09&-3:uZ$m.C0eY%4K3)ZIYPOOOiT
U"TG:QW(N[,JONM#PR'h9)Jm9,F>?5BN,0kqn&8'tE1r$vV2K+qIY0Y;>J8I7wOx*
U"fXmFo;WHL2n7+Y4)08.o?-(YGNnPpG&%8p]U;rb<(GK#xkl,]qHG^%R140QGc\&
U"NX0?:v\quJRY&Q/uM7-k2Rz,'r8hoKi8J,2ct&40l\K:*1h.\'7?.X9%P1O<N*V
U"/I6?-PYtmG<=:M%u=1P%u)[r8V^bb1BGf.9a'Ni[V^jg2GQo=>(J>F(#7Pw2zaN
U"F>R2zB-kay567NUUJ#-CLjll.KS*70,dab,=Fj;hksyp%'oQfogQmCDp4-:n#07
U"iWtxN3SA$-;2I?M.oT76;'r37bf+kVQhv)iWpJh,pPY0Dcl0/\uBR7,Y:U'?ux'
U"n7uf#x>sBeP3k^XWna4fS(sZ'8JZ-WRct%fJlUr,wPJ2lMA\1s*UJgD[YBiuj=p
U"-H;U8cOFul2O($QeRr*8Qx:SOL\wGd%weRr_h:2=3vY,7CX\f#?VEANC^voKKJ;
U"eenf,:i2YL3?*5FSoI+Ka.)D5MCaxa8g</:UI.kwp_cVcbUtnmr=tsltc7;d:cF
U"IaupV'I<2+t6amaWQ(/C/U*0$CvL\#z3;IN/?k\#m7*;Ne9J7u/Px+[[&gpC3M5
U"^(BEl\i&Tw1UW_P5i.OP=E'fVfOh.=ig/k(0+5P)a-'%ii9ha?=xmw*q?Rapp:y
U"9BmXQfS,Pr?HlNWuFI-wdb\9PnL[OLr(oYO=%DC/_<jl2I]TKQrnN_ag.Wb_A?;
U"b%3Il7__qeeHq$?IEJ.7Xcc'B[\lMP=aRJDOBKQs)HRTF(d6\G4I)zD:X2Ak/AG
U"YcQ?r1SuXd$pa'euRC3S23eg*LUXl?]0I^r4X-]Wa+q&,Ughha'&Mp(NKDGQm5r
U".WIF9,&3*O(xa:Qr>7PO\7g_12y\rq=T(r*bPvWvLKu.iiR7tY,h7M#6]vQ]WgO
U"b(Sz4;aVNuYPmcd;5-DKFXkf<8-g\b_XCH>>\Ank$w+H:a70eaRTmTi<G9,ddmK
U"u*nY]PkQ1Y):o&j-A4?HHRkauiG;.>ef4KrRSB#(rx.6Rb.WhKu?0/;gdPU;P+.
U"E=wjL(Upg-CfnM,CsReadF2sn>#'_JN+=vcXH(VrTft9?DRNpLNo=8;_-Rm_=N2
U">;>a2#Zno(R-agsU\Brdf<T0]Wg\h;$>ESfwbItY0_b%t'Xl<m\(_I^obLfb_+U
U"x5R[fE9GC*76qkPiF<gyqPBV^9Yzo0-0Ll9pZgt<Y^wT^q2IL.w_M>:d#kjW)bw
U"95u?$HZjhsl/,bWQRbk%hR.]gp$pUntEeos5*]3dHL)/daj37QZJ'p]47Z>hOm8
U"$pK%(^qp%)YRFU8O*T.mYKf2%PblpD=YAe;E?dk0ObZN&<\>'kT]Va;eKufK%8q
U"kkgeekcE/Ho<,piC4/xZlbb8)pk$YOs-+3Z$m#B=uVV]]Q0Vv8vRYR(Op828wk9
U"yhm:PEE*>J+^^d%bdh&DDRw'BZQl6A0Wv%DwubTrPmvIU0lEv)'5#x6FVNir#&)
U"$bb01s%+lf<awHUVsxK4,J_Z7'elEdPR&(J;K2jxbUki#6P+e.J+lXo9sV>YQSo
U"%)d,;<V3mtBdGA-7\L\mYFKukM=w^N'n(#y05%4sh8qPuL+4M_aMUT37Mdi48;-
U"w&ti:p9J6O1O)5?:(i_P%i&BSuo(Kb>JbDlYHE$A$j^$vXMkN\HM$dS[Nb7+?5a
U"_hY?trjN?mhu'L\3eVEJ]Ww,L+j,(CCedzKP#x-Z,cO/4HWwYL;P\l_lluq+a+6
U"mCBm;cZLaY;\:L5M[/$2VZ;s(KA-A*:PNFr'kZ/g>.#O5o%ZS#B8.68uI6VN*$E
U"/\im^?VXO2f5*4<PV&8,d&AH^k#XXT_v#ms^%=pOpS=TAI_h_b>y'9rHddbE&BK
U"=A,X8eFko\h&:.^u',.N]VMfs.sN)bR$M&.&>qzXq1i_:=f1I/MgvI#RTUCy'OI
U"BtM<j%oc$cLB6930gBsXJ+;+SEr-A$WmExxs.m^d</%?rDdIJ[)dia%E45CSzLq
U"Fqfh3f7GBoKL+ZlW^Hoi(VhnS+dDcsD&BnDob_GLwAPrWr^8qnXug#6^$fy3kB<
U"C<Dvp[S9RdA2qM%0mdux,)fH_6l4wI,YJwUMM9u]j*S(VyqHY=-12&P,_UxPZ7u
U"M-CiYT4nIT<g\k?J\SNfEp4^iJ\cn=wbpt9rMi.S\IN$]m3\$dJ(lnt\6x8E(bL
U"HN8_*,*tt,hfx\C5.HjFif;6q#wnbK4[FrPoFMbcQigB5M2z+<XM>%HqBf3BP58
U"+Kjz;gxisBFtfDk#V-NxC2Xxr3DedpQO&8v\I]6s(X9HT3/IRK].6JC5aR5]LQQ
U"046jOd/JPlM0'%G*UP3qiRg'AqDC:5P_xWpD,#Kf0<NwnDv0S'ZgV?uEio,p6s2
U"74ZwZtQ>7Qat/sh$lQ'7rS4sX\%,x.qI'dymRvy_S3nvH,JF4v6CH5O*<./=$:C
U"ZwP01*FBCsfpkKu+%mqM(;StUFbC\^x7Ca9ChscF\XHd=NBSX]Ti[\iWLebNJeW
U"*q;O,tTiv;7Z_2^C*z3viHkb4'wML*I]29$app]$b$gMa,y8#dC.ZuN#NHIUZ(N
U"n6eB0Kx?[#b5,Cnb605Xe]>HchU0a>zaPkO\phxSZTm0VSiZmc+SUFv(k-Z9c4.
U"a/%UI_4/CR3hsy7bCIq2e'T'mtFhaC5gx%Jcv]d-xn3P,fcIQ$FsSerjNw1+>Qg
U"O1RoT'nbEF.a6_/+qvu1*VjV6o<6+3eChZ#JBP#UN^d'HrpU8vqe22ed&?<GjGL
U"q,jU=m:MA#C;;nTb&PB;ZdS5co/T]2vP(-LTmF(A]KWZ97-zi[qo->fL/o8j./&
U"kD+j=rIb6Ke%ah9A[9RQf/.t&fI.8-]CI6W<Eu<$Wrb6bJjimeH(1&BQ=g-w'4z
U"/h5h\xyIC;*Hb51;JJk^8#e2XtW)+>i%DoML>6D61oM<[V1:g\qx)^cGkMItrbS
U"KSvFue8N5usDoXbV.svAqud#Xq9\'.95p0[3)E:aHC'dbTO6JanB?Hm1O9Jcuw%
U"cD$+=r+6qx))hF%^C5Z70/)OJ'Kn<G)>R/:thczyo[..2;KVshC?&TR*hg]92XA
U"1wbBO4U&-6$ciP3=-nSc4tjtXkVE$/Ku)b_pV(AfqMf)-CG%QE._e3F#Zb11WJ(
U"%7=EJ(nINw_pG'5H4r6Jqan/C>Vc/.6]+5bM),bP$QHG)[B,X\9+cL.B9zd'KEp
U":3Kax2\7DUT[+vRAA9?;CgT;p*.GAr_4QuVcXAFxK&+x?8.ShW^qimiv^6rOuo?
U"(<Jus'I1\N)nd2MJgE;$U]kmqH?'%CoX8EeC3q,,mM^$t)D^Q%K?I<_j4NZe9)u
U")8OkF[lDe/=$43,E]Q_Zmmrgx#)W_WQT+(T'fi,\\\%v=V;Kl+G3YuWsd^jDEr.
U"3T5ATU&2._c=XSJU(pGiDUQtfj1F/_bt7c3fF):o]TWP6]jE715UA9Rnh'Tx(pF
U"',rR#lOvLoIW0^9gzpHQo]QS'T3NJ[H--%<2F&\r45#5MK/nle49P+9&($4\8^q
U"CjD$0QSqkXPcr>xv12;iVs3x7_7*/<vA82]06.6$8586]tIQ^.0b(WO_7&<1ONj
U"P)8rkp;JcVY\FK6uig^HSOP=eZ<m^qQ(?=ttEWA4Eb=32a#[2uNGN=It;/vu8U[
U"FD50#iX_Fv,E&,OPi_<_=b.=\Q.Q>So2iI*5?J61C',]EIH[x&dZ#&*ep1kkGT4
U"*e6CWNhO#cZ,?jCnVf<A_B8A53*b[=RBJrMWqJPau&D6vIOY?w9L&hbHb]V73Gb
U"hevQx4GRAQGritdrouK[D[aJ2>H#fwB)P-&Xj;1*#;2i?7n+p^6o$$Qh<v$hRi=
U"uWP+U#8?E>&dJec<vWi\lSZ*I->s/PHx$?Yq(Yy#m*rNgo&1kD4Z>yh'kbFed6=
U"?RhPF:byv1t[+NS8d/8<xCb:Q+qs$VJzcrV3%$qCOfP5RzzK3;'K('kb'ymVx5X
U"ylm(g-pt2*Lcu0OxfXz4s;dympk$oKD96wnv6TCyy1H#vNqHM[7?8KQ*1Hie'oK
U":xueN*VMrH4eCh-,ddsPr;(sRqH_DZq_XSNoYW^5Dz_;>5ezZUHwypP:ivZ8cC9
U"lu>Au))8I(Z20/coIQgSpVX4opZV,V[BA(+L:eAZG.0J**Qx;d/:peLSFH#m&5i
U"JBVT,OBLYIFnJ3-;[$+:D4dpoF66K;=&p;EP+k#c:_qxZNO,Ex-20RkC0WTWg66
U"n^rRi#%>Z6*N*m3/IgOlk/hWt1R[l'x(pCip-H2J%_p3$F529ugupCkB)&'kxrG
U"?oRPhM.olTsDhk<iZFON*5J^psE1+)B^P?GaqqTNrCcx*nd1WSFM&SH0fAYsN%2
U"sH-;_Oj1>W_#=mE;mjg'wnhOR?/OnEg,B&K1=cq/WQcgWBm#X.YT[I%dvz#Tmro
U"*Q76zIz67VJ#e1][bhK?]l)e_Hix9+&K=It%1uCF4Liz,BU5+-':oUY%%g.F'5Q
U"O1&=]DuEB0H..91BN\R,wR^=^r9Mx7fXhe^6[$TXIJ?/.=[ugS(PVits($2aL:s
U"dt*7s>meOTP?-_L1KfMfH;^?cD#4Ed9-E8/2YrZQe&TE(#yAsRKMTuBj1kn;D2E
U"UYdb>$DHF4W);xyGOr/G/rVIwq^fY,H%Y7a#stF4*+&YOXQ\Gg_%bqJM88G/X[/
U"lNpEsG]Q[V>O36IdDgH)*;u/+3\>]L(HrEq0G0R%L:J70Q0?Y/YC9<IQeKGk'4C
U"E'c'3D)cZWRm#-s2c;C0e6T2\rR^NI%n-jLXfQjN^P4.G5UiIWVNk6S:[][ysUY
U"#w5VfR**-[jHi+x0u=Er.BUIWV])Cw]]uFiA'4WR8nsS)rFgQeHa':?'/OVUS4e
U"xzx00jYyeQ[tdQW+%h.=wU%FHG16;OqhWaILIv5X7=pBDI%$PsX*g5?X0m.r[li
U"JO+?[I&tp3$_Trg\bdJkF-^\.+rNQ<FUjpW:mZn2+&CiL4#\f#jhx%7/Xm,N2JR
U"r?n:A(H-]<w(=Pp:KSl\>7=a%1Qa-gO=.kDk7cM2ZSi^=yj,cBi&SEtPv7-4OPB
U"NZX.Nmfops4)iI3FLsbR?*d:FRJG13l,]V*j%'c\MCu^VWs3A(]L-yE#WY7o%:V
U"ADiv$U6dUMnKS1e,X$/\n-&:%'22sRYXum:6<a8#V)DP4A5ZOQYgICYA;E&VY?h
U"MA(lGAQwEP3=x-.I#(1sGamuO%A1Jk?cgCOJLX^7DCJ=;C^=XjV)L'GF>[oJegf
U"&ZOE=XmTe('=jP91b$0dKN?QRignD1u7^\?(iLga.elz8fAsLy')4\+gG1qKs?M
U"g;jNBIO235x7BP:)<XK)N#&5xSTw8TWGo*^8t%%ErlrKG5j8V5]$U#yA^$VO4:L
U")7mj'8B](z+Sq[MW[9#0P4V1IP5:6,[O;R->q%fUu&hAJ^6E(&>ae*TNT*p%84&
U"tYP:HCW$LBgRqvT*^fN03Z,WFr3s*0-;O?oK%62tJI5$j3HJyBu#ieIZ=awZz2_
U"A(:sVXp5g55#ldq4fm3Nm?,_E.U^SIlo8<\6^4C_/DnR80V?lqg&)=PhlAHj>R(
U"ogQZ[Q(8L/-:q:D^VZA,>N4MSEHQpKPY-<Vm\*sk3EPH?u5:K#8Gq0p0LQbLa6F
U"3i<F$krH5j1.T\3r\'<'=h+s:LTMT\?IZba4ofq&17<_^,'#L(6vNo&%6,_o;<t
U"n?v=7kYxcfdW+dPg)8(R*'/u*Twzjn3+LWfbVqtRsSmPu,_x_Uhj<&C3nY:o0cX
U"jrK_8x.+kw(BIz_sGQO61]C\'+gHjN?d*O(4DX5m/:iE/;#9#Vr<hgs*l:>qDSG
U"Q].-D;P=f6?a$wI>t/N]iTfW&ntN6Y4;58\11neXfQNr[Jb1l/[r+J2p\JR7>K0
U"8$dPf.3O),+emmhE0gLUf(_T+e7ff>#9L-^Vhpf^O5GA0$OjWO5R\JnEXt<\IGG
U"'I1W9uA?M,0iL\6c>I>K]kWEHn-1+.[X0cCngwmta&[B5#/QtErI*11Kr&:'jZq
U"B]CQ,(kUcV8UVKgMW*gfj2%V#+^FEg8u-;pnH%;kEJ.IhdrlgNHE0,LBj2B_Bs+
U">(7%iD5Uip]o&&y<'5I+x:6<>55Y=%qwg[_Z+dG(+^Ebs8U2yY_gE1>r5[6w2dW
U"_W\[%w;A>4=CZt?jrEA6:d()lUTKeTM+)M/s\^X^g4Z#%-h/qU/66%H^+wY7:06
U"=,xVwV$ArcJCD[>Bq,g[DIMq2WtI>k+4,u/cJhebp+q)6q\t^&9:6Qi_#]xq54-
U"wXk#xY(U(?I\DWbbJQTU>A002?vqkB-w-]e6,<A&m^jeokV_?f&ZS+l=&uRju5x
U"UjT2VTT$-3F'x/Lq[gjl-jEA^q\/CN&ydc?0s)jANuD1s\<1l?IGgAXLME1Q4BG
U"(A%6>y\kl-v#MyiSE-#H]pf&krI(QZxs.[%?<\ALs5iXoVhU\O#0P^eaGIORtQ9
U"#jd)6Ujx9Xb=WtPn5y5$+-'F:h_l7'=b)*UkOwGPQ-'xW-XmQR(GoCnW=,ftP6=
U"T)TwwVHgikqpt[uSnAOaf9))9R[-OzQI::fq(YFygMYYVfj>po(a(SF%,y)16l;
U"3fLuEt?e4>)kZ>;-jyOO[c?rFWV>.-D(nIWJf,ayrTRj%K.7N($CmX)#&raK%[c
U"nTw^f.Lfw8S=<cd,-(gXgaz%*X)J6LnA_0)fvD*pM2Ap^aks%#6s;7i5Epqm;FK
U"*t9C;M-?TO)=sWl=9TV3*tsU1P#PFG)T;vzVS)vQ&y&6$7-CpY-O&KlGGI73k\4
U"1-CH7x(:o[>gU;72(AP&Io:28g):5L)m,DHlgC48y;3bqm\6\c:9xh:2=om*r\q
U".-D14^q(;-hZGt[dX[YITArJ'SBo2#i7#e-nT4u$O/w]Y3QFb^^FD7(%7^:m9)/
U"QVb\'mca^hS>OEfd9VW.\RibMMlY%(ki\E)?$X&kD;)8_]YIM1Uc<\?m*q>0i*C
U"2076;]$)HZF%O>bhPx^A6M3lb]d8><8g(bW11'mV&e:px8o'b8tQ.Nd>Cj2*SyT
U"G6Uy?dVWfPow/j3=aSxbIz[&M:1d;Mrljo$YUY(OIuQ*J#\,fRiD=UUI[dP%&\F
U"F1$fjS25:1lfA'_3'Efq2\lS,hSZfnrCef=-52Z4LL(]1kIb*oOd^:o,&>[<gVr
U"<cP71Tu3Ss-G:E)VG_m+WPS,14#UdNgQ/jL--w[62?%;e#Q-tI#QO)KAB%j=e;k
U":k$D-_82E*e<B8*#?l1osYi6Gs^#4WBEqnK=A,#jl'E-<iqz/a0=aQ*EqW[oP6r
U"^#m68F7&Z0Y[1PpUfCFV]#6='j/CGKc8i$'sW[;aUR8v(us]7EVJdJ_r\M2;QK2
U",wT#p&Ad*1kJVwhA5lGozTb;.VaDf9MbH?sf[1:'DO42srYR?259,3ZW0nncvBl
U"otL5Zc\XiL%S9kc-db:24::Pp;Z>\BjyOduD^oofocLsIySf^)]]ssUs)&%-0Tb
U"dsd877?wsnPW^ai6/rM(jKRxcRq\\[_&5J?b6K-byVyhFm?ggocGL3Qf<(:.TZF
U"_0=N0NDd<Q):Km#zo/2d1+^mqOn-_AixGMFcjLr^u1rSt?xI>axOOiuz&LRTtt.
U"]'7.>\nr_&r]ACgN'A?oC9Zot&qABNZn3K9LNl]AMEu+-(OndPb.8OvIcRH/1*j
U"Km*R\M,BToFp&cWoZ9(AfP.LjtvCv)ZtKLuI<N^qv+&,O\\k&vzG./:nC$p^48p
U"Ce(DVTZ;MhFNv.5b&6x1lxGJW7,Q]oej;rKikI2gbp+nNtvz9uc1X(kKt%1u2R4
U"7NGnn6^_ly,#>dc%kzN7*?128D-C$(yoki[cY:xmBlxQnFk48GOWHFsXh%NzJ;&
U"]toBnkNm4Pt<JkN%sDao[eRfGN$=oNzx-fLd-:Mu.xKZtmb5GFpOj.btt_\XixL
U"V]2*9mIwUU]U4+l/Pe)vj7TnO'\jJzV-p[;+zR^w3o^dgA,N\dl</AU#v?bt5L'
U"CTkdl:^ockrkjrb.nuxNvP?P_P#&N[l\rPtdDu6DleeHT#On%td*l?J%&(Ay9[j
U"/4PVEEIKp1Iq*#e)YgS=3$\PF_<s1&:T>^#mjdtbr>q%tkV']T/4l9\<l$WlNcJ
U"jN_MqDS_]vcBe;w6H>-djWlAoqi3BH-hND+1_=cd0C3>s^E8C#.?HTXS?4x3crh
U"N27q%cD)DApO6q8t$HS5lbM#w_ztYL%-iLoxxs4#C5havcF^1IpkA%MLlo?.'e\
U"AcyhX+[LPyYK3(kqedL32AIyYUtdcxckbyB/lO)lHRcMYHHAesPR8\r>QCVm$q(
U"N7c9D[e<FsRP^3R3UH4ba*hDJm\9e4:i,F\Mv'CjmZr=gZ4:=Roi/W=FV.+DtjO
U"G3\1GXH8mc4t8%*g#]N1,fRU1-SyIb]u'-\^DuQ:a2gf[0*V8\N<G;qry3gbkY3
U"%j^[K+A>>nua?;UQ8:1Rc=nNn-\4+;]9iK?ipoU5s6wVPTNlH,f/LApJjw]l#=6
U"8+k=uLG?lZ5%ca&ikF9nw)zD:SgrP?V9IN5S+Z2SBBUo,K]CJkhz?Jup;t=eopn
U"&:aUG,AEy\)VKb6tZ>Ag[Sq,(loB$B?BwY&dB(P]O,lh/'i,FZF[2Z62QYd%:0U
U"7X;1)0a)hbE8da4;jg/V<(tbK4$,K8'+Y><68rbC?W/R)V6VJu#u%<Avbp;*kfJ
U"p.(<B:F-28ENGe(S,XvtH7Zo?4*:LLz0UQ)6q=L+1txW7SE7bat,jZ&-_0NS*\1
U"w;FQc\/rglLiK$sPlGhDtr+FJw=\>C9F>sHNJJx7X3X_XK&*Co^'vknWRsKmQ-w
U"+qY_>y1x6tNKIpP<Fr5Tt;Ifdodjlcm>NDtrg0<Ge)J3xD8W?-M+a]E'saEH8)Q
U"[KPNnaL,o42*PlD]Dqo_V9#RnTGNfr(9$XtdG\\0NkHrQH5Cl#3e;G;JaihduCt
U"b7XEdE5ql$CjHlR]l^hap-C\77x.m'(L>HNRbTHT,&o,ojxp>v(KA*LTfgnu<DU
U"B633nhTNRI$yWUo^sRN+Jlu^#P^iBU7IkLP&>8yIYwst/+Z_m1xt+Fj(RIVTgL'
U"KtN+2I4A+]ja[DWD%Ot;v_e--vh:(9%YRr^xh1N22q3e+N>sgk0s^3#Y0^fPWJf
U"9:^GN'y(dK[cQ'/Qs]o0W\e)zTqUUS#rH_$Gz-0%=gI,,rzee%Cb,pM.u$.$F&n
U"_kHG%oALZw=:Cm>FVXv,Zk)*kJU\bSrV'KoX]jl(YxGAa<>EgnLHZuAXB;06?;l
U"wLc-In?r^K^cr#=rQBxJTZ]8VPCMW%5^A-gs&,ZC_>Hw/Ng7KZCQTHNt%PBxdX&
U"SHi/.W5)r]v#KL^?>_'1628oKr$A1I?pJVOgIw'=?v?*.g;Na&H^SrnmVghgr.p
U"&*BHn8nsYlqkG>XaW8Z0N8)/hN*QN+mEtNYUHmx)Y]-#R2M+xEjkV%PvUtk,L-v
U"sZ-Vv<:<sjRSSHSWsMZSWC5i,*nYHLQrmY&+.)uf5/Tm]bnXJTT8noPTO4EJMdl
U"H7O94^TephkzilP7Go8D#n<[aM$DInjnLk[tnvR%\>P#b8rrqP'Id]*[-M\C%+r
U"7u.cj]g>Y+'A%Mf?;0;UN[(:jWqdN\$kTQ3Tq/06I:CuiG;N>#,cjw?_+7pNPV'
U"n[2x=VeK3NL7'k>-r,.gM.;C^)tqK]-&j0'<wYQ)\0#YpQo%(OMFPaMpc(s3U1c
U"YmQl<kU=uS0I$Y;F(j8[Mk4KuU;rct/kS^7Q^+UBI])t=/(40Po((c*oS(iCabl
U"3i<KCo_U4BS0:X?_Hu2YcDo7>iChLoHS0MvE'\eUB2QYH]AnC2vap)cDJisN(fM
U"m2?O=*)>YQ+i<cNKf:tx(N,on]DqN8[M/rPA%SU[ku$0'rHyL[MdnSeCttXh/CG
U"hvPoH<5%flP_VRlCp,C;gajQaS&CM\4tN+MuCTP4YyX:v+mCza,,2tvkNZ$C>Yi
U"_fW'AnMLXqwqe?QPbnQ5NJCYo&M2n?,nIwu3PHRX_><Pipw<>(Nir?hEldRE:>D
U"VNBV0/rs#uHI$1B]3/ylgQ,MyDXn#fkdLD<>$j7Pf1WS=9O_6)bg9*6Ec6hrlQ0
U"C4t)(7yUKhk#n<MuU?7rLH_g?eR2*,0cV1(rp^OVYw8:&OYm[JCp_d91z??_qge
U"$)qA?sXk))h83=idm#'\k*l]R5;>1Ym&?GNrIseO(i:QUsrsqZa-kW:$YY#;#G6
U"?8o:.elgbk6ncn:4)e'ho:I=CFPd[.Q^/[mFcC?htcH,xLmSW[&ve7sRLE;3;PC
U"*J;'qCqJX2*nGo:I&LYn<COSWVHxJ.QtyK9ptey1/D*<t2v:QkMM6pauG?0$oj=
U"E_)Z=\LLB1\a6K3vKB]Z-?$%;sBhEbgK]vP[7<(G,AVDd/[q9RKcII36\rMFlf#
U"i2+Fgh-c3mK>3?g:G4/u8Q&q)g>=q33lh\K)0kJzDhT>Jw\w[9OiOqx2+f/1v#9
U"R?H;YR?A6gZeE/+Ti>arS$Vme$[ww(i01dDa/,9-*?r*&F<GFZ7F_LU\g;gu'AA
U"#6I40w64YYk=6,rSFiL&i6;)v;Ou?3^vHCG0)r6Z>A:'fMFF8;j5A]nNNLx=D>h
U"YT=&MCB)[.UbG*;Paj7Ki_6Vl>/U*VWL\dR?>]>YUOmu%4%v\PNo>s2Q[vX&wAO
U"/.[fu#mD;84,,IpQg3mfdRyc-nt5[b]EBgQW8P;lSd;JzXsL.jMIA?s0#3K;gVR
U"AYz)2:c>TdHOHB1x%)l13(U%s1(bDd:X-s2QJ_9v6^vK/CCB.qHj;6ESVK0s4G*
U"q0mLYLO0[vO_5tT66I/%&rBR]9q*5ad?(%ju73qVHc]T#,G/Kd\g<e*KN$15]4q
U"$BS'/tP\Z*_'M/CJ1?VKKx+vm6Nm#t?AtI=Z%W4gG[g,aX665uJ)Nr*re$<S5TJ
U"M?sQk9-dl8/2$HUA0U8eT*SvdkE=6HIMD[_D=HZe;AO.=h,TH0N'G/%E'&009f<
U"4BjCdMX-/D,_7E8tT>?UsdA,F\t4?slTEG_GCUi4(<=8jWk%%#4aIRTvT-m<RSg
U"^1GGH%Q?7)*<Q>&B2LPg(=CUl'-)W$4eRlrl3C<Ow%eCiIQ/)rneN*^$>a-nXzl
U"pys6^>^v_IZ0SpKOdAQ(,3]n8jQjNkpH')r_+fWZpt3gP^X)mHO;J?K>(u649s[
U"t[g];$.j+b?AX&sV*.a?wcP?$>F6T;l1*$N)N2T.J_oGLda)a-8ScbUH68RCbB$
U"_$3'jUVEPc1<37Z#Qm.dUHkvHAL>mIH#g8pWm.,1s?'VVNhjbE<h(;u=D)6#(Cb
U"*AE5e=kWuo:jfLV_Z5=X0uAq09;RWnf'h,a%H:,7y'NZJhe^'?-ml;&Th*?$:(C
U"[&<4l.I*luPP4&'S9<laYZ^84N;G^#w2?VB?(R0Zd/;'Q$xaOFX>B1/&(SEQC[0
U"FXiE#F^>SN;Q6\&>B//b^,4sK*OfRB38?</]snJ>9'O6tKR4s3H72'+=fiCeMk%
U"G.8n*9G6\r7YdJ#3OID6BKP:2hcL'zZ5\&xN9PEuKCCygs\j,%9Wkg1QV);/Jm<
U"\j)kK_<*SGp&,gfVL0&]VA4F^LB]P#lp1KAcQ<Sd]223,coRNd>+SmA0rCn=WDF
U"B&)Z_9?89c%q%%THBI*keTnM*(GMVH(]j.[&OM9DbF,ib,G=&p\[:z,FXK5lJDj
U"zy58*NglF*(dHi='M(5l#AZ7Cts0l7SAn^Bwbo0kcx_6DtrgDvBjyOV5?tt,*5h
U"D%Ib?oY,pNsol5OS8ZR1<xw3t*'/.))m*(B$I-Bx1EGC#\=*lAqRp<c4c;vDXxo
U"1.q'B?ejfx0)8XGH,>+DQ$:*#ciVN\T*\2UHsFR11q6x%GQa?\F1o%6Qd#+c_Bt
U"sK2&eD-,%-E*6ku8.uKAZ+?TpSBSoMHH&pm02%:<W:?IN;53J1nX88\nPvKlBYm
U"rQC]A#g7\a+gc([YLZ-22s[<$foKihI,g*QON\vDf+Z%T.\k<)Wpf5U6PRc+nTI
U"QrT:D#Pr4A)XH[)Tk7exa(M6?0eLY4R14L<D:O;7)%/JLu_Q3%6R<6a3J771.gQ
U"-iV#3*REm50C0*bRpzos.tqGo/1:?=.-cPb+R;Vyqcc%#'>)aB,(^:C.DluV(I4
U"(Ut_AZ=Sid'0)uR%?3]EJB*TB]gZOoOg+=.O>1)WK3.YZ5t,o$bwf(yJd%wGo=1
U"J)g812\*EHcM3^e+y=p0^M0/JR,svAEgavlAx<h;)nLk>evpyN^NgGf,&1im'[/
U"<??W;=s$eS?C<?Cv4wpc'*+r/mmAn=orr?xo5zgmlKHm/6Pnpm)SEPO2RCb(mPM
U"uutLobVl\4h,DiM;k=7j<W)g4]xA#=OOUC3cf(K&N9kk>_ogn#9sH=[U:g%k.hM
END SUB
SUB V4
U"F_LNm]srd\3:%Dqnh+fbI8^O<q,-$qa=&?;U>dci50bn-KNpoVY;awF4?,#Zrck
U"oS=gNj?$Bq2^$)wXYivBYT>5no+b3#vPXnahu6Qq#(^[AnGkYJquszCmQqp)Vpr
U";#vv<H>vnD(ny'AFfzdOFCb,;&tq()9p.UN8eYFa\sJw3;^dT9K8VFKF:u$a]Ls
U"Qds&fT\pBdurSh?XiDgKi=In$0Ji4gJVor#oTMHL&N-cxtg&d^wpop%*/,NWC:x
U"gMO3WX$HohY&c+oC#Q09ommSWn9nLguY;ih)qfJ<ku#RJ9jV$HjibUt:?)q]ugY
U"7'rmbkNHDH<f%,lYAhdi3rpLo_i2Kj0ks6Jd2:13a1(S#'h0zyLhVmJh'r>]ZbU
U"GJE9cpu88O^x_6sZuQ1-)yp9N:)(&yI-Xz%2D8R,knpff^35w?cf(793)gRj<V7
U"2$+4KYtrwRL/3.m;Jbq9\_cf(V2z4f2gf[2VxfS>bhl#^2Yt>]K8[+FwQ4>On]_
U"x3xy]e.$TURFehhOPpo/2,oVH6JD]7eOQ:+,+:.+)1+1*-\y&Ex$daDcTRlCiom
U"$pgEMCNii;^g>p_X6l-Ih?G>WjFmu1Z9E6gM%)>iv9IgH:R64>5%6n9yF(prBqK
U"-s/RoW]i\;.sjU&/6\tRZB95%Dd4/gMS8;S&9IwpEMu3dpOV)+tJK5),25vuV,c
U"94I2y/\R[u.3<k4DNJ3iBhjB]A5^ipACAA_v^VN<>?h?1,4+mwcHq.DYZeP>;eE
U"\Q7hU=06,f>R7^:Aofv+w'qm+wMH3Tnl*a1lx=JF&3i1nG)>(((0>GS7'tOGW;.
U"'^Js$F]^BG#SJ]lXJYJ>jZ$%PY,0+=[1xaNE-GT'mBFmL6F.)kWn[Yn(/R5l4q(
U"2+s=<DMWF;C71ddnn,,X3.P4It&rjt2ydtuc#g4MV4q7aW4bEk>=^<en)gieD&K
U"#<9Pfq\SKhB%r%*a>I3Y_c_zT)rTG.HAS'Zgp<$k_%a.0prdNiL;(WIP#WbAKQO
U"]<AG_J4CPRZ<O):rp*$ln6DS]b&Z$Ze,R2>vLYOf'4628)L#u*9aaw(9E7?AnWJ
U"C]uTLI9-WNPqkf].[FEE,k?u7^*vP:1MDYJ%(vw.[;b81gsh.qpAMY6e-UqM0uy
U"I,XINxI''vAAjN<rY\fM(*IK#LKQV2G=^gE\d?[HsuP[O#1UJ/zf%76KHZI9&YB
U"+veDX*ESuibq#ZG).t3(gMQ04?8SQw%k_7k/srF8kdI4s+:p\.OM0WO'^ygu=Vl
U"YMOiN$mJhZ3wkO>KnkJJ?tjZz=FX713t,>=R,i\V:;gHSPV6$[i\<(f<4\.[utW
U"V;e^(/MfWqkv<\lakTl*1]k4QB;8q%M.])M5V*m-1&rNEcHGu*4&h/<Cjfl+q,:
U"EWG9.F_</)9gEU'e[mcFdDWeHxd-/USW77q2c.==lh90K9<xoSOQ=n;[$0V+?ns
U"\6]_aul-K\0/lFNomy=;/1O/Hz+fv%U,$.>$d-?Z7gX???GB;,40xhnqD3nE3+M
U"EWF,K(I&Y=mNSn?Ow.Tm8AeF%cGzZiLEn.LzYABx(euN9v1FP-o/vdv,>A%<d:H
U"/WX&_eljo];P;P2lKty1rq(MpldTDaYzVszLo<>vY(TX:LZdU&=7#]+7gO>IM\6
U"jn>1XtG^fj;id1Fp+=bZFXJ[n7KJSWgNdgF-*$Hz7#R-t+++5[a-[67.JUmn&Z;
U"&F2qfJX,g^]$p+C<,-]_gJVmddRRRhC:[Ksur;86VcT>qDM+;8Jg^$Yt5ja3HqK
U">ZtP:,gz[eP-q0Ds?veH.Fme:R71?#pgD&Eo$CjJ7/Q=OR,<mKP*k'unu^VOWJ=
U"jdvEgoBC;<42oNu8Hvrw90[GcN4^\e52oAHkuV8/?RzLTkiju=8*+g1exG[X=fQ
U"M'lE/*'G6(+Q;O)<as<Y=Wobv)_%Va]x0PVNaB?ldg=K)(Fm2S%s.0)5;8r'.1g
U"_eA[)hX#$WYZ]wOy,f3(VjqEzTF]cSAuHT([*H4N;m:9<gykjnlvCOCsD68jynX
U":AiH^zPF2#fvC[jeeQ(0SUZd4JOl-'_P>&nN,<b'N&1u%/gu2Lc0iv7tqx:%KTn
U"rdgJVx#_TE8Z$q1;pW&]\ieniu+MApv6Gg-0iQnpHOFLwFoCXZrSy<[r57e%91%
U"O_[?J.%wD^q]GBs)7nL4]DAuTF([0OOOt.5wwP'VyX099$(SU\TrQPU:Uw%gWgq
U"g&KMjLGAwl+y?VZ*V%?Q#U=WCdK^I:KL4l=9u$v8\pCo#78Btg;_gQ]%.mxzFQc
U"LOiB0U/HCptW].]CoNHnfVKm,.O'auu]qi.idaTm+_TjvxqaXu%lct4+J5G_V\$
U"b6=Uc,:.?73On8,[q/$T_t33Mb]zGZV,:wqV4:V=Tv,X3DptFX<kR^n1(2n].B[
U"X5G%wDQ^%s]f=;;Itr&R8S>\UUmYZBWp1OTp2kC7ypXF_'fm0o5S(Z1ZN>MSrMg
U")<:6+/#WQaj2w3L\bxfqQi9(_)inP_C\dfHAmcPO[Pd*3;D+n[gK?&VxDvA9,ox
U"\e=(r/1TJ62S?gTBjNG>bQ#9NitLc.G#PFG;gHnOhr>vwhydtiW7I:[^%85capB
U"A17-Un&YuH&a(8W&PAT-:B%=Y#z^AKEaM]dOQa91:gkQrAGgWxGb4cmOD&QXU-9
U">PjNRm8)?KBG)?7Kg'r1)Y//<W=.4M3X.hHJ9yKgQ?2A'S4'#pY(gQ2I/]',X>P
U"vmoyP98I;>%euKuiGriKb9^A8I5bI_6amD'sYIq*e$>ag/rHd]A(L59sX5m8g$r
U"xt'::a4c7fu[7M[-i$qUcAfDj]mDUF'w'I3PL-%.+)odEooq:WiVbnYGhFc==pY
U"n2g-dDbM.11+cygkITak[nswWfInt9:1./VsWlHDTI<F?Foi<b*1:IX?FqMps:&
U"&&[[g^2[9W>\WBZ^1'cF?;B%vfap+b]bSb49Qsl<,wg*keC_AmhxPB*eOA6o*UE
U"8eZdH(?hZj8_\9jo/rgUPM#l,DO0-)kzSBo%GX=fB]<BLj9nyKRGa2_7ew?hVy:
U"p*Pr*x\zDg5>EOaDaj2v(]85Tr<<Yq-SJ6d\sD>?pMepioAjnkw3S*iMI5aa);Z
U"w%5Aoo<'DgCAP+G#=Jb3BmH.OOzK0a73(2Gbo*G1NtLS,kPH7Z;XZ(f1XHEZ/h0
U"3p?K)]UDg_#E$&XWPKR(:J)t'c8,F,r9KX:M6z=tSQK$2&*;40tUMEd4MWAW9on
U"<yO.5/eFy>glTgG/_'$wsF$)hK7td#xPQK<>2MoF,PLrtMT4DMg_8TEA__zN>DW
U"QaeV,)G_J'#s3G%1a*y(Owa*K'FS9LouVI:2e_q^os0Rq[^jpB$5F+,M+)9arSA
U"j<E*7fTihNWTc&Dg_Dj#=,D'CYW=$#^90qnxd.t^bW6nG\EBL5]_OT'7Sw:=YQ?
U"\PA#DwD_0d-H6t'nm?3r)N7NE58JW_pR_cNNp:Hk)b'5.cex(Y?N]+_5y['ewsj
U"pU^Cgr?^Q9-,HUPgu_$,8)O(YSc%0/hK(y+9sBVp-BHq%0u=o9[xiNo?$wu8)Mp
U"i4VFX/F1hp+I=.'9:*l-/['mf(X0JFZj#$HqmBlZWbZ7Mv&nqT_A5>Etv#iXy(A
U"Sw?GjNipP^PrA3dUZ%_$wXNqU539,i2+Y?hL.ci.(6e9n8cwYjt-o96lTe355a/
U";auWqv.CG0MZ*LRu_Z8;ehffYqM*%p$5;Na,'2XZn//Yr*O?\1n_d2h0YkRwyh7
U"XoEPy*-%-oKqWrI/7i'K%)z9)8K>E_*D(%$]UdaT<#*q+Wk6Jnczw028S>nxpu7
U"NDPLzb_xJnMTt/]1Ra;2l8#pu*nEVR]rr^L88JsYMU8(pt[jd]nZZ;>'(;QC7Ny
U"173bRqiJPA$4KQur^pRePRe2Z^Yc*3+>EQeWkZG(TBJS]48F',^#>gXLL;5a0rd
U")'<;^'ZB(L,H3v'[e5I,NEbl*W7bJ3tfY$g%U-X\jK'G05>4(&6WXroJF$dp%]P
U"9($83g*PKN6iwK$W,>R-Ci-F]?\lV))S$x->TEZE_ua%wLiW'KP(%0r#HHEp2cg
U"KTRh[(6nQKUV(]8q>U?q>K?VIh.ZQ60['kLTW.*K6(n-JeN6=#uIy$X-+59<qbj
U"*'ls/I_R7u[9EE:+8eMm[KImK-7+jfJOC8G7k?YFO'r7^=hmW0EjMUc9rOQV?4&
U"6b1vQvU-0.#BCk,;oL3LdQ.icjRUL.gT7DkD#gi$Nkgjllu3KVF?'_ewiZH+=\)
U"9eC\Y4%4%(dOd*)/-x3iK'rC10U6E+oDU2>59)VKA'/&QKB6?ebqr)B=3;P2y8X
U"Bo.+\/\te*G^-r9s#gm8f&/dJ.8aRX7P)hfZ>y*5^MAu]0)qb,w>on<9M2#G8EO
U"Qw%L$kjPQS(rgIz3lRftj$1eT73*9-z)p2*AIf%#Cjd%C<PfLQ_J0Qp8;Y'V7=2
U"IXen5t-q>JOD]Kr]8Z^uI^BR-r8%L+GS'eGp)aQ..,hM#1_2eTAMxsKG;gLaY?:
U"1PZ[T08C-%9g6KqBA-V;OkQ'%t5KD*O+O>VET5;rI^tjBnG(A+Sx[CU#sUou5-b
U"R_ji*FKB0CA7;W:CG\DBcmx<2pFovTQn)H<Ff,YDw8#q*V,=yjkpSk*a(bF]6ow
U"SuL6LZBS:sc6JQwbEC_lN=\,MTVtzB'[DJP0WE$e5#x0#]>A#KAU/u+xDps_002
U"[*R6/\*IGL-R'MzWwXuvNlIHYe\KW_TXOMRPxAnAP8.\]#Vj_voGrE,/CSmCfE2
U"8Ih/))^GIj?KIacu'$-j]RW&>LqIDrZd%%8ASnID%\=(TE_ug?Fvp:?A??rebB+
U"kXls,h1'px1W1yi6))PF&gJ*eP/7ys^y>(d\z\v=SB)H):H)D#j<0CR(:hfpINL
U"zm%dBtqgwe\,eF=j&SyTN1%)Xoj>AE'DRBiUKlqTQzoaq]\<fGQDj<q0t(W:Qg[
U"WPAQ.e^7\EV&Yc2L(o/d.f]-IY*Nh:U:rdF'c5a>&nFDmIP]m]2D$xxfk(4#\,1
U"43Q5E93&Q4]5M/uW*K=a0%vs&brs;-qO/F07EL>fSBW?^LQHu#h7Bo'i+57[[%Q
U"Q-?2j*bxvm$Z4mcUgVP/+YAMK(Zfq,$W37>]-yHSJAQ$b(Wm,xhVk^CQ==$;Szm
U"DWoHoAH'<Ww/^8$S>1Kszy)%g0lfh_fM1]+^OSHf;*5>*D'Q#Wd$mS\9JCA]in=
U"j0It=jm*yh>QjHnu$rH^UIxWt0ZsY.r[Xr*T(zP?Tho(pPvCgr*[N20fkhWFCEf
U"li>=%mn)6?X8H0kH8n]d;VZ/9HTPOfu^zZnTqL?W;<8I7W%$SadpImtQhttH6Gk
U"2*Z&[q)IQ2Eue,dYtW#1m_O>^[Zt)*VQU9WWC?D:j4S+hD#:'D_.tdRc^e6XVoS
U")08=x;n$Qx(gQF4l3n1M;JDU8N:MfeW&?L[Ok0K(_xo%x.HXzNtORS,(#razM]Z
U"7D&tH0MNgc,q<9>LmTrOe0i1X'\-A4w:=H&8X(;q[ifMkB,l>aM21.2Cd>6Ga<J
U"lk$PtfF^hC-/t+P+CE5WWOj+j>B>P2<U)=EF2e^PhBikcx#Hj>R\Z;Nxfoo\.F1
U"OHF(&R]w?5$mD'\uIk1v#.P%Y8]k#E$qnT[uG5)K8&W4F^HP<Wd5:bTW5n99%Se
U"owv^a9xbF6-%dXW:Yh__4ec&zyVA&jp7M(-ZL%$A#0cLzaIb(TS(kJZSUz4I.gF
U"<ka833t(Q[(7+.B#9??1_d^;ukMqQ3O[3T(:(zc[c+t7XPcp;_$d(9WBA\;/<-C
U"gJ5.)9b#W)c1AHF.5e2Es;/Sk^TQnZ'c.\(.7s;e>*5Fh/xQpSY'iUUj[]8jl:C
U"xBE%WOONx##OZ$S[.Dg(7]X[=ykK=+sw&Ye<>r(oHk-_PW0?jUjOOe:iw'%<)iP
U"92^\p^mBed(+,,7,e,*6Fta&)]i(Sp/<IQ8/Y3smXDi]7*\Uem)%WJ/'F^1?.q-
U"\0G-wjS,:W;AY+_/nC)Swfx,7E/7kQUl=H7HFGp3yHC=i#t8tX5D:Kb%15(7fBi
U"AhQxAsg=KBClCdgXr&tbIE)JbN7&k'Icl+E1FID2_KiFQ*%LC3+[uC5</27VQ.:
U"h6iI6<u#?Mvu1u7;H?DZIo&&I]oO+_2OoRk.WWUp*_dKrkff?p7XG:FD;'+so%S
U"r$[tY#W76\AB[FqAIo<aGxQqpXKg9hC:CUe&tnAK2E,cL]N?=3C'E[6/Ald(796
U"rUu3I^Xk6,-8FQ35_xlJe(>GQpD[xQ:$_>lSf&\:(cb[2e#e*\2IGWq_BT+a%cc
U"$E6]r[VdWg)=\sqG;[dd'k:Gg?o?[kV';3KDCV[PF#%MqQqZ&uj3V&6V:0+ybUA
U"hv5VvC]Orj+:&[Xnc;*xR:GHQf1>S?.1obA-E#V>GlvGRG1xK[)1N0eR'^T$&R;
U"vpW:B$QeZX+NsLv)i,#b]w\780\YEhlW5iKH.$CzC,iu?Q?F&(3D%?iIJU%u*GM
U"0jyq$1P%vkUQ-H,k7vzfSZyN-mLtl_l2_Op,.(bh.WbwM(>rle.ti3\#Aq7_'oJ
U"=T>I7gMHA&BAv.>p],<?F#l\^j5zbD^EhA-.Gc:,a)0%UySsX6CT;J?yNNf%4\H
U"1wb>'du]flY]7HA'fOe6Zedm16A(Xn?Nw:[\mmrnXw>=W:h%XiCGrSd,TAk8Xj7
U"^J1qp5yt+4H(ckx3uw[PsW&dK]u=onty1EKO<X.O=UEun'S.R&f2Fk,kk^rjK_s
U"(z^_.DQmc^P5c<q:^Z)o-V<$%bW2)o(f#fj84Y/9ja1hhyxL/H.7?We'$\Ba5kO
U"8$=W+8>n:GXUi69t.QE;#*M_:Yw<to:dHQ_8MgT]E;:hkD%,G4&>KOVze/keNa,
U"ZNC5Jlf7Q+RKr2['906(m[-wE**x&EOVxDv0pUyOhg)r1Cbi7Y[Eo2V%.^($X#U
U"lfiYkrP8dfar*:d.A:\n$Q9?+f$#ftSY8^e4e4jS^r+OAeZiiG.#j.(oe$'MnCl
U"X5(K+^4UKLLp=^?NcFisIT\<W3:y3Zd,3psDib'gI,W#wW-du7Qv$q-f72iIOwI
U"SeSQK-ANISeQjK-'g^>RK-'Oe8Y(D,&o-Y418Iv+G1?J[qMCXCO%_s,l;'a9e-[
U"C4DA[h,Ag]x%AYD*o%,)qDJ1EY$5Ou8;VxZ0Xw>Z8vXMVJ,Y;?6XWNQcHDQB$^F
U"F+\HQDuphdC_54<3?+lI)iD.+e5DGv>iR]4,JNpHIa2Nk]8-f0qmuADrs&(-.IH
U"x7tlexbZcY5rsAP<sqmE6<aP-]MlZQp=FPqJ;Wi+cg9bg6lP7>^\fPj'^rFuu71
U"l)mQX-raYP,50O+/byMHq1v66N8gr_<iB($V=2etIPavLERLTQ$2F(lpV:\jLTV
U"WN6]I9t<UIp9$o>7>DOlpL?jo-xa:4$nTp$tD&z5QG=->uc>r]Ap\Q.]Ycp/?CN
U"xj;X<%Y(%lO7(?acsB>tE,w7I.Cpr,z*Q(0.xOMPWk]'oEaq/B<r)Gf+^w-ZDr;
U"ngcJU7G.j+O16GWdM(Man/<5LV'j;Nz)#LRsMQ8CP9*LBLQvBjK?RSSG6X*#0t^
U"umK,jrNmqWZBV?;wm&VtgrbJCi%L(\G4Atk2e7[d('CfR*gQ-8(/a3R[9kJEXiG
U"mFIq78+NGrrkxBv*NjRV'wTt00WJh)?L[pnby[3%NB(mJQrPyhs\A1DCFq;[WZj
U"%EddCtjJAGFJLT+-Jnb$a=a=]hkKWf_5XoiO^cJjvi\y<o9,=:$5oeTvqXW1l6s
U"jhh_1&ehv9Q$f2lbZLJZ<42Fq&_+Y<ZjQt8A4X;abek,7Mcp;(;4$wRv>sXUDNn
U"v8\G3TGelpgJwn0rS01+%l\M?d&cx3g,m$NDpr1MRYAM(I&$6.kWd8Lqbr.huU.
U"UTEV^FXNi?pV]oga)LMlolWg,+i=o$Mj<VTFp-V,KAt=')kQAYV&nd%^V7iTHeT
U"0vs%-HDoGIkJS8,VVQG713JrP<sUFh'diS897oqGavR3=?B)P(ld,CK2y1+L-&g
U"FY?.A4OSkoKL6umXQk.4vm\zRblO[.nK_>FDUK]z$,__:9[C4iQAs*;'QUW*Vwl
U"PtTNC4]zHm(sx%#M_O8Cx(:)r^fN9:bc%sY\3b4.pqGAoeyQ=:ZL1e5:ORE>sVk
U"c>fqWrGK(8j[&'vDoc'6cUEI5HQEP*Phyk6-kaH%+(97;5.8U&gt[-eH)*Gz:5s
U"hn2?3ck^GcQdpQ-/aYhtpo%Zk\\XUYQK.XyD-_%1+HzCh%=SkuM%-Z:I7F#2oW2
U"ohg2KiRW6>6bTvKTQKDAIM?/'DB4az$IUV6Q2[q,3Q:o21G<AO;kaVH2.EH1pUA
U"Rb3omfrcb3&2WR:T1%qlCm4;EyuM2rRH&9,V#S0:IbVf3'dCkmZlmo$EctHN-S5
U"x?i7uM+pTKrCRpXc)#EBVMa1\7D$38:,1mX(to0RSaUfaTqV\6vi_<;]I'_',CD
U"$.&Ck(Vz&4ycSa6>,kA7=HfvmX\ZMRwET^H[^nv'ds+k]ZuRJYc?[1%7?DaR8N\
U"#$9j[$K3f3*;=qs$cSU'Tb4.TZr$8/9CueDqdx9o_ULqjqt/q.u?COM;c.;]WFi
U"gzo?NC<PaTBRE,YcMkNfJ:kH=OU17n(b0m9tJDZkI06SXg?;#(EUr3S>ZSBwmX>
U"_.87YUzb3D\uDxF,otsVfuAB%S<Qh]nrh_PZV_M4.^Y;j];(]U=Can_6M?eevSN
U"M'ZH:Z<UvKr#8J1A8[U6;]w<S[MwWj-S=5'+D'Z;\&GhFjC[J?eIJYXZh$:kECB
U"3qq??%g?oKN*tAFn2v4=v::8Mo2DCt^4JIqyn47.IK:x5,022*4hnZ;hs&*5(;;
U"=%B\y.hG]rJrNaQ#p*(2;(^H8qME<-w*[eLXfwq7<sft+sDG_(>ag_XMZDTsws'
U"a\>N>=zA'ml*<o[)La<0hIV\/WgYXxpLE8.pPE8.1TEZ_e2-i0$eW+mW<$Kv2H&
U"/kthDe-0gQKX/G,EO]&'?h)nteGIt#+W*W?]=,YL&=n<fHEqm]3<>-h;w1glcIO
U"aBCC6l'NanMHodY9xMypHZkC(*sQnD,_]G'UDc\?]Km;Xl6W4?TG;ZEU>u?m0Z>
U"%,)6;2=i#W<%r8rdX-7EHa*<CcNh9N6k1<uuLIu'/F=I(qP'5K?K(r3Il>C-_Rr
U"/M$jyipE-9pyr#tB[3bI(?D]09$V8QuL[c(Pni[p.y=4,f_Y]G2SambE$b)d?Z;
U"E^IzKqwg0c7ByjfZLE=k+4[Z2a_il1'J+>8d5\zxIwFMojEq_$guKcTkZ.c]U7y
U"N9u[5PuD6rvV,Tsw1-[Y+3FgBt'8]-3XVQ^aW.??>tkQIj:8V*;Y%%PS=&/hd:M
U"\E2FNtV5r6.NSt(;5*hgbRb%fu6K+4xM9t,nuTu%p&'9%%9%%#%-%),E?A<.Oix
U"*Ab%%g'Z&%1%%%%%%%%%&%%E%%%%%%%%%vgy#nux.%wSit%hup*%+%%%%%&%&%%
U"_%%.%Tb%%%%%
END SUB
V2
V3
V4
CLOSE:IF S=131AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBR.ZIP ends here. Last page. TCHK:131
<PAGEEND:"Fido.Faq.File9">

<PAGESTART:"Fido.Faq.File10">
'>>> Page 1 of QBT.ZIP begins here. TYPE:BINAA TLEN:32468
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBT.ZIP",4^6:Z&=32468:?STRING$(50,177);
U"%up()%9%%%#-%'IK?A&]I'6)M#%%<4%&%1%%%%vg%ynux&.ySiRtheL;:&[olLa
U"FPTjdm%'<jS7#5:k5.;G]M/Q(G#&lbPe[(>h;7If=4l$0n'lcGdYlEe68fH_6&l
U"\Wr2Ly&&&M&&&&)&&[\d[\)ChceXx-$DntVl(XJ0Rx2e6OvkO[[9Pg,do&paz,1
U"K&tcq':pdQ83Lg^LEGR3Oh>=+HiFh0rG:g>3\5?Tc\_7z0uMj=/DWq4X>4EF&dJ
U"(R6B)2Wp3S[kyr4\S_0?O(1H<Qyu1x9)I/bFL_M%DlimS6CiFjJ,CAg*?%AZ\24
U"EA/zZY$9c)r+yB;LUVOF7eRDU4.tn3azTU,b[].N5rI'(.jLyrRk1Q%2VLdZbTZ
U"'EKsX(w,i?MHhBZ]_.?hBV-0eMY;*R2rM13u'+[VG;OBQypeBqist[U)a#qV:j2
U"a$yvdPBT>A5i7BH'<*AOVDJoVZKnFTv.N[1*o^X.'lycRIxO5&4qRWpu5oU&shW
U"W/\N1_CxVkZXkKv40'cNd%vQg,p8R.hV]I^:cfL_hV%D%zgHDoaX[*N(+Yf%mgZ
U"Dyc*%\hW8gM/r4rJOX$<kO/T8&0Y&xwPr_UCknMpy^Xr:j&ENfX0uEZ)Z,CF0%$
U"*66TZYi?3pceH^.tOjIl'/Vx,2:3v/TVbF[%MHYv)jg$.(^nq7J4[rYe864=[ML
U"x<W+,'5>rIme's9rXI;g5/;'w9I*oQxZCv-MpWC/[/5Y;buS8[FpG_cI:qf1S9U
U"6TaCUf5%o3Y3V3k[bcc%h*?/(A<>_TvP3lD,2oXIVGZXS1$;17vosMpb[q7Mx9i
U"y3aEe([lF>K2xp*[GW'j-,w2IX9<-m1Q*b/qPz9LU*$3CNJ8/zj;$qS).kAw4D6
U"'6DGSeh-UfRP]Wr%4&^LA^s9^B^=7=5*r8d3*o/6I02-Io.ZPT=':O?Exk.Opq#
U"[[3l>rCwI-C,U(m82b/fJU+r&Lx<*Z7i)C,*R2U7Mc&UdWZ7dc8gy*u0U:j8*$z
U"Q/M$9#'_F[(bl/C=BtgS%.MBLOr'GU>O>L%*pIZ7b<+O3Zz#RpZC.kqdz1_puh&
U"_x4DnR;<nFARUU<95(QhaOP//k>%7)_\:z^tb*hI,b=Zq=/Mb,:?T*&H'z$Twes
U"B&jQe&#gt2\9-H)XHLaPLe<nMGuN:,/,[M(X'<KXr7>uJ'd5GVxBh.xM8\Unejq
U")*s\cFxE$E?cLXyY+v.85[=Ju_%DCjZ9I)3sLX.KBx_FB3wh=Kw0H,2'4HiR3iI
U"RBOP_psT%wQ?Ad:C9X.Y0TiXA2Pi0aW\;Bie5&2K$%#H<W]2<suSKJ:/kYg?>ri
U"YyL^p+&%f(iP2#]rUti2O+/w22.U*+.qOUnl(.11ON:u1K&iNLQG[zW,EDa9YJk
U"C<u5ETPQlH73-k#Cyfbe9/wnJhWGEHMb?pFM%6Ykbs(4UxF]h4Msa\<Gq\NhriB
U"E*..y#f-qsb3K=.72UYfC\h/;03A1q3XKeZ+R#'Jvq\=.Tld->3t:Mtg0gS7b_2
U"30,P0'6;>9Zm#N=[uO8QJOFTcy(o.TliV8jRBu*.mvdX1<&5rF)Ip%5F8eak/+^
U"7Re2Z)3Nfx)?,XvBEF>iBc0ra8FNKM/'5eEJRzyOl^cqHS5n;l*EaAvpYnG9C5K
U"zu%XrmZjL(LLCH*EH.U>W^%-rNj&^yWT'MylpOtIS/L8UVzMHK5i2C/b<:jjLm5
U"h0\%HYEU<0MIoj9L&vQ;UL]9Y4sE6dtBBJE*wUVp;u:A'sJNAKEFs9nbc.e(Y[O
U"y(L7(tS/Ec$\%5P)V/3Sw])>R\\Xrk_;a*]x%h,(AN1;oLG=&#H'1Q&:VTlL7ln
U"clG*FD4*6#6Jr2At:vpWidUrA]M4%KJT>&iVXpc#A%%5yw1aChjY2>$Ja0lNA84
U"10clYHSVm,?$M;2X#Wr-)84%p.2Sg(X(_\TA9tG67MU>qrNI/wsG]SdO$Ijz_Lm
U"K?UQI6Q((V12:)qoE/j+JOdr9vT.+/:U56wD2)&0/s>P8c]#S$Eefl>fh$,94mU
U"\q[R(;c'Dh3dNdV6B\NF&7P:Xq/DSH]^g$jiwK228+my$4s$h'p2k2P:Jh8gq(h
U"d>I(WFV&\D9i,I#Ln1U'v:pD4qe3^bHA6o*U'5QDE(LI+PnFzfUp[)]5lSbTcKc
U"1-Uh4a8.RX-VPqt&.NV<_,jM5bC:;lI6j3cv\C>$pkmZwr#e7f?jNV)#O[.OM5o
U"<XgTiG#?Oi/[9%xFiJRd/'(bwI5R%?/B(3D./V+E)zYs74-N&QXya3<1?i5JEB7
U"35^ae:dD*1>+.W#j#koWcZF5mYz&]Fxm'84;H71)LgrdjT(n/oEq)A8i;_u\K:E
U"_Un6fSwg&RxjN/BkiYiSyxK.Hk8H+lJZ[ZD$bJ,f<Yfi)AB(]Lf.6iPqcq('11&
U"KR^r^2bamvJSbF.(eDM/1-++KMDa25Ge_uTEu_O=*&QqyYXhN]:BfQQS;;1Fr%o
U";8y_;j#;pUP>QIife7%/[rVu:MCk\x&#9($3c(=ZAN5Grn?mdGf#KtzXpg=?&en
U"<.Z0e80<$9$0J>:U0Z).?932jp6]7SDFyc3L40u#^:YU-G#j-?(/E49hs/o*Bt*
U"T4V[WF?h;=kO9H?&Cqx57;kD&(f?MBRrkzO:-5*w97XLlJWei$8KLyD'10P1<cZ
U"NR>:JiQb-?ZgF.f2wmb,Xjo7KiS+Ql:Oi%l.FE&R/0(1PiA4A]V&W/-G:e+1bZl
U"fQ&25*t4+>S(Ws(2&-%riL54x>DCB(m//:sg*]+>FM',?JZ)82#1Ti+FJTWH?5>
U"]k4&8D#,d:PwU^1<Mq:HiF/kC(z.Tss;z><P&Na.5CYf;5w\hD;=MS.z4LNBYIK
U"umQa[jn47KOiIiE3a3W#n6iYbPlP*j(#Qx'g4zsRc&4t0L)2/c)Cd<_$U1%&axK
U"]<$8j#8KL$#AA9O0q.5pTjen=p%L%Fup>sT]cfv%oi,+.]7\1(0s#p,<(&wh?9o
U"*]QpT=)gWcw$i].[\G0P9$ll(i-coMM?mCtJeH$2lSRY4hk83CKf3a1CkGIRh0s
U"US<#L/#bIJwBE5^qjs2cxqVD_^UhwL1,\.[\K9'>OhK$-T0&U^?BXlnR=xYAb1l
U"L'o=k:*d[CBWK3FO%/?/cpbsuNIX*Vj8k]BD2\a-J8s]AzS;[N*hLRvPHCEBff]
U"cE#BN2Q/ycDRx/Utd\m]4QjS)&YU1Ukc,S5bYj.??lK2;Ec/cj'*oZ_<+#1>4Kq
U"D,_U03J:$72ZFxV[f1cY/bJ\T'2A?^4M^1>)>nXnf2hx*sPi2xRFY]&,cL<0H$M
U"i<9h'3cq(ri(.Rl&<i/e=2oTb0O#E^r?2H%1p*sq<=9Y'4L:wNdEi\\%>,\X(48
U"=AF8^3/<<uqFUoRk')=+8EOwTY&u3^&iHCh*5;LG+9*'ipi3kO:e&FV+Tt)EA<o
U"o]c>gHYcchW(<TYnJL];L^o6aILY#Y;_JMAcBn11'jj(v(S+RC$^4W)J=B^z6I<
U"o<H(_4FNw2']C:'o^^B+5Ka:)TEsehR,m&PUWR;H=4%(15m&hW1ekj#'jS_Y$*Z
U"ivFxUIg,jY3V:krF2*W*:==YQ4:um]ZLfF2-A2OeZLOgpP%-\,^/ds?[M_huQBd
U"yVNGH:fuz1[j]K%r]x1a3H,x:2fo9FN1H\lV]b'D%AoutkjqY1c_L?Y9d*=X27:
U"Obzo2L%sd_7bXHe1;/Y%.+>3tdc)S'\[g-M)XoNVp_#^u%3nQ[W2H?maQ1<VJM\
U"<=JNk0srm;lbY6<I:4&et0a&8GX)(xT:e>X_ceCX[>'1dv<un3\e>:J,;1iT7,O
U"UDEY0u0W%PhIs%foOn,W#o]e+Xdk$H+70<k>u8-NV.M\/DAeIM41N=R3J8KcZhf
U"1WU=4Bs*0KfU9X5lT2;MVngvG7I[r8k\Vn]u?b0]ffUD,NK?_#I]nBOta/%K;,*
U"X^l4f8-$Z\'2vNA#:Awli:xiM0<T-?<w1g7y]JZmCllba\ctv5MvoB/r^KArNl8
U":ffdwUjv=Mq$H<U]Yiebl>0s=QM+=T#*5/,Co(TBN5q8gtUvQsC,=vEgO&]Z8+w
U"E^k,Y#T<K<O>S2Y:G?GKdhOX^U;,#NF1A\(s+:HXdmkD$%>AY45I55O#0snUk,H
U"hsyoRp5oY7fJH+4Nr_Tj9:#jP<VSOAocW$BSIrd%^Jb]0KVXRXA1O(g;+N&G.ho
U"EzknRoa/rlPXlHr5;$xK9%FO<-P5*<V:QcJk'iTT1sBxzDUNf_N,a0'<A=MouKj
U"0;ap<w?m-raS.#[O*AqA5[y;9C2cd,rH>+,]e*kW+.DJrObH7Tst.KqG?rhtjfo
U"no_k5'ARFnqD<g];bH:+LGYvT)5]DOYu0w*VpM%G;q;B<HK1W'n?,2Q*t?#&65k
U"ZIjc1NRTm)$%h3jiFfrFg++tOcS)W1179kkgGdFbj+cp0x1uuWUaM&J\Bk/YH#m
U"o?9oJA,?Q='c>_6I;b:9/?-/(qRk#$K)=EnEtOwKAHAbDVFJn:?(PO[t^v-.)0\
U"6.u/\S?$7z[v109&;=B%'Q=k[_j)$hs&kS#41n^*hnf;;G/$WvroaRoBi:-]7H[
U".s,l+S?VB6R#KzX,tn1Zsxvm>\c#aeEUV9XCFufo3YnHT4YnJk,s6uKxt3/btxd
U"qutL*x8o$Hy0*bV#9N=+K7Y+0BTXL)#Z_kYrUuzgR;Y.[6I?]2D;0r9dA#'J6<1
U"3od$nuuijJvEPrszi'fTBai0IAN)G]1j'R#aA9HdM4YJ;sUvR0d>M##SY.E'6i?
U"CgP>RQU-I\&u4XHKRPn*Tf*e5]d<7YkD2:2u8X$;rgN8Lr4o7x,VtVubVhKQ2bd
U"?l'sEhb7N_vD_EttGgBjDPNN(:s$W6fugv6VIV2xnq*mn-j$)>v2SZl'*-J*qA1
U"4_2d)SwoIh+>O)3]b-02a/K^N(LMy.-wG(/O7V5H*,=A(phyxP;QXBB^7.YEidY
U")$6Sh$;m>,GWS2[QG-.tLf9ClI)bm>Ki/Zl&EXbsrfSG&.t5n_l>H,JGZZ&XKgK
U"V*8fkfHx?ATsb?&W.CWA,vsp0*#8QSsTlG-QP7&$TLiHG_]scQsb63tG9eqsa7e
U"a#<J?L<a6l.Zs;)O_4RY;?HlBe*zVQZT:lX)1x(ecsb8[g?x2QN;SL2J>H$>BeQ
U"q4JU&2LUoc7U16W7?no>CflSr[i)\)%i/S'Z+6ZKQ)#-ek&'/8El$3B1xAQE*;4
U")I^$nheN_<?lB(#>hrO)ObNi9>f=6oNVcB3oTiS:U/QE_LbOH+i.\\3IH\;<+5Q
U"M/&Xdg3I-1/TJyVj[8CmgtC1>\+b)K-c-;BZTF2XeaUsa,0RQS;]J]hReNv\2&t
U"faJ1H/Xb:%$5agGY>%4xV%rc326c.5h6zdQ12o:<x8u+Bo<?[aSGF?T.92Y8La2
U"6^)X&H4Ed[(J+4zM://K?ejQy3n^(6lqeDW:1Ga*HBi5B.CH/vB>Aqk^b#j)9%t
U"f*AT]5gaV%Yei>GOX6:).M6e>F\pI^4ULF-$)_KHgr)yW0*&:VY(];a2a#'-&kG
U"Rx&[B=bYm]IjT%se*lV>;-cUX)qOFc=_XacHsu.JFmq2IQICol,XDQEU8wlh,-j
U"?hC5R8)1B(eUmTef761'[C\+uEG*m,Ou=nr-(40WH'W[pYj//\9(r11+QlRAB[h
U"y%l%8-P4Zl>f7W*VVmNT,+_Kf-T^O)xi-tpNrgF5e-shP-0^Rfa)tGw<Wka%qe5
U"a_=CgT_kun?>=uXuWw<CseJNSN&=^WMLf[k=K7V=;GNSSrlXmgZ5J]mGM7,_[II
U"cItGQ57=IcM.3$Nup&k<*(+b[^g'Gff$+?tg?DkL\W4-L'0-#o)Cl\TcPJ=%7kE
U"r0ca9<701ZuK],86m;,\lFl2IILtJuW7<)j&*deu\&Q-#bmgw\1AY*EnB3RED:'
U"eow5RK%YQw3$R>7qeXPs(q]T?_mhQlWa4gfoIEoxLOk'y\U;z2,VznWC9ciqcMM
U"TO$bFSK83wXz[MHuC5>$*:h;+VZPZ#;kJrUyHwD<p:s23pW8[[=*pN%AlSKw>>T
U"3a)8E_+WVb[j/[GVK^rmtLI%5J+g>RbBMNc;hdhYSE_0;/ktDg2.<y4fb5FCZjI
U"Gh'XF*k&<C?NPK9'\*XO35<:p:I-DAUgF1v*+W_o5'4^$O9f=n^2Y(>n+NQK\A+
U"%,o[_R-h2l)'T)Tp2*bJ1cPhB?=.pcj:j4IuXV:sgj[YqJ7OHqIsSb?-h16[GAt
U"M$$)0q[,8ZoI'k8=/4nOZl[TYqQ4[:,pB+Y;O%Q.=(M334$X8+o,u8Bvg$'Qon2
U"G-#b>-E]HFu4*1uIv*gu3;iBAVA&2Ku.J[q5DZ3oL^K#ffmV#*M]>,.N*.Z[YKI
U"7G'4rr8,vJd?.^ldXwvnIK1zh+n&e]1UCl\Ob]aKGXs$lWRrLh_[ugvQ%0b7uHf
U"d2r6b_M<rV5(*e&2So-\R1&1BSP8/Vm1Azq.CP0b#67g4bTRJQm-GGQi\1N>E0?
U"qkxH[vbGdmy6mMOn.EXqJP8Tsnd->c4V8>Q_.,c4-n$dlOY.hJod%A-xv3Qeo\'
U"G:D_Iq7W\B;Mm=St<$eHBH6'T^sbTd8O\=MrNp_8fmpNrtjb2yErx'R8<Pbxgoh
U"*o#?qugXsnLe8Gk8\HU5lH>eO6'=60Sw]u=&n:l=VgvivDU;k9EMUQjUCzk&]qV
U"2yF&/2Hmj'hI=Y^%')%$f'#W_tYwZ'I#MGWm*0^uI&TW-kklj,N,z9ZQMS&/sW,
U"xH'b7GJQZAqu\$+v=0jX<no?+=f,nHlxp-vP?hu0yo)3YkQVm7HaK'W3O6YNWT%
U"9]P^>s=IZ_[MLPi?QiUK0(eBF(6]m]<L0D.BazHFsaS\F^<Xm[TRYKrIj:PW[L<
U"Uj(rJP%L5rt:rdc(+Y+Q:#3js\.FdcIKGH#V.2SH#ishyJPlC%deC#&PlF3'ZB9
U"%dx)bI03MGnajISazaJzkz#gz<aOcFNn6L(:\bXk(D&uI9mlTr-1$p57LfH2FT)
U"_CP<B'F2y5P4X>FkxUO,EC*D?-ZA6I(dW0<)U0Q0d=,HKPLB9#G-3:M,?'Een?[
U"0Lqu_OFt\qg8?k<^lpYlMnMPPZ*\w9b0h/#O,Q/$kO$_a*T8=M$BrKt<jRgBY8p
U"_<E>#-s8D8wW=X;g&NWJx3Vy54ah$M98ChB^=GM?]KJc4ANu(.hDa_hk/gF+-BD
U"B&_bwOY3VS:GK:f#Jn&T$;?8eTKBzeCU1ZcL_9]n&B*xK^qVT<Ue0_.U(TMh9uY
U"Zosa#[T)H8rjZaSigalSgH.%xdJRCNLsdDhcmuk:?+0KR*NNcS1G[qXkDh[L*=8
U"dczUG,4F=w(N$TCOILoF0rJ.Ch2#cje$nNGAxce^g#mgpuoX>:=5$aL7]C:z4)<
U"1mO7P(a%d_9Y>0a0y]B&u7J'I4VN;Uc34tDKHB*F9=]FW>%e7rj65<-9BtKC'h\
U"t/QqV?N>0a:5oD$Bs0CG$X,u4LXY<aPYh<]ZQY4Vpz/yG7c#F0jswW1HY8_Isrd
U"J_&DhHo5vLi$j5%nY(5FtPk4[=snQ/NQ?<UkZTw\^+^gkf<K*Ik*W2RN)(8)L^W
U"frICl_I/^cOx(siNr:7As,]szeJ#/^IYc=N2m&D0fUz9+o:-k#u_IgboP')Nm?0
U"CBWn+Ionvf%SJlmRA'i?*+xwDs(U'd#n:FNOn00AZ+[/_Rba&2H4<XM)WQ:8Cx?
U"U.1QuOx6[OxFAh74I#P[/]s&o1;\Z'*if=R(B0)<h:qQ+SVb1dmmCn)py[-x*dV
U"?WF#.;gA.#d8zl+Dl'2*$58VCN7byNTYBE%qqc=DD;w3hJmngDOY+KD.8mU,BL^
U"K_:xHURu52)B+P7_d(&/MVH<o3om7#anYjBn$#t=9h+T+k6/&\tG;i6#U6zA+C[
U"_P+H1gJNUvFan4V)2Vmg=A6kc3Wj-+2qTfUl/-(-sbiWC93W]j7]5sg\BPjx6?n
U"Y-tgt7e(v]3u%p$+_[5i^IInm+j)8R\.TwgOnY&-%=8DoVHF%-G?G^b1g4:02Ub
U"p29ZW%O^T%+L[iVHm3_TrZV#9VxJkY)?T+,S\CJ%;69%/HFBF0J^1*:G.O4R%=+
U"P>Tn,HN*kX)jq*E9T%S#47FagD^qOgYPnNSFS0k&Z9Sk[sybXHIf).m-Fwm.vWh
U"9(IXJ4GNgv_d^/B<-XrcnN3Wi*8yhQ3i=_K>'TN7>1nC*v>DgI,$0-+/0.-sk_A
U"IdA;YW:=V3v\(OdCGtrK*2&YWNSn-i#0*VS%xZ4;X\3e(G?-DOPlVoGM9&XpH['
U"1zTLzP&E47Y_Ua]F-;E#NEv.\+8GeAXD'bTF(=B7.]a/5q#]s2[>==u6nj$\1gB
U"*N*5)B.=S&G*(,+LyC34gyRsNc\+:?^1N:uQa(Lfwjo__w9;&J\1P-)61mH,uKV
U"'85y2837)DKYESJ]7[c(fWF.VW]Lu*-*S.X8.IzT8AINli,Q?*^z8gEga'V,5=r
U"WT\6/Q$:d#$&Q43ck(j7N/EL'OceZ.X]4Xi=C3[pbT,.ame&I#*XY9M3Kec7feP
U"AkE1z<WP8.-#*P<k6%)p+M^'_(VFUn_^'p3yG97:r.zgmRs;))GfjSs&E%RxjL/
U"*h*E#hxu44Z_>(e+OYS&9JsXo*bu_zP<:i*r#7]E?_(IsZVD4QZF#Tt^i]P=V.g
U"dPdpNDbgb7k*k6#/_Vqpfi4[5e0(NhID-<HwUgZIU2gt&G^V>t]#HIki+5'C<f3
U"^%AI.+tn+fenGh_eCR]U0vMtsy2iB&ZtKa[FeziJ>N2FaHU>Bipo:gJFOl-;v#.
U"(W0sE=kj7*KlM1E[kFn&'hUJUFmT?e&3\$B$r'PW_kO6X3$pMLVj%&*R,a0]H1>
U"m'*_Mt7r?8d(VTXu>m20^kzIi(GEAV3.[jt]<99;f(?MXZFKbsvTw?#n):tNX<_
U"j]Q9N:K30]ldM*.]lZ3/j(ib^kA^+GU0\sd&NR=?_D-dHA5(>,Ni9f+i*NDo9(H
U"wbUUYQnVB#T/6x3?Sh.O%>W6bbwN3gOZ.*g+A26g1**0^<OCZV5$].*>cQ/I;pj
U"]Qzs)ApQRY%B;SBMus]I[q4V,H?y#gwm8SF7Igu(WmOs?*BQU/Ua>8*0V6LVzgh
U"9%2z_q.hS\ksA+)I8P_]S^;[m[%N\US#.Wo'Aj#/h.wmWVMggy4Ct(8Su:Y-lAk
U"lR0/51mu>]v_>[Ez0,]gQB[C03+J5:IUQTbNHc[lD^gY]&HlQcnHrpK>j])EYp5
U"6H^SJ1yjjUP.s8[/Jg6H:He0;[a.dt'[AR57&.dEA#KKQpHYA/b0)+NfCtvnez[
U"5$+&[flmL^X'LT>).a#PiI?LF;28zX+m>e-)[-DBm'#fk=oZ_/EACg4R4(oLIIa
U"Ul>Hp6Q>6;3A5)n3fl9+RWX57YIGk^eQSA*mWVy2[a]mW5XZ#OecDvPMFRm'qYg
U"?N/jcSKc9bH2=D>_$Plk0km6=MQ/+_cRoi80Ja:c'eD-vcIV&xbT&r.pib?WX0P
U"/$%9*dP,p8_/eQ$,JmmR9[\aURObpF:Ya\BWruPDlkUbKM(J3IBYBH0)80IOlft
U"ot_62+VPVM3)MDzm]_Qd\-z$6-LGRn9Q83I1;35hD5))rTo9K;Qp)ZTb7ujG4>6
U"j#gHEV%,VAfs7jmaBP0H_i>q6)k\/i/i\y**V/[LL*m*B#/q<$2'8gxE*ZrvtF;
U"AqFN$22Zg>L24IXTr%[3Zfhq_U+N(NcC=$&K[LTQs%y,HK?AHY4K2WP*]38Rx1;
U"zLamFJVJvV>g:o3%nO9f$s/Buw)0uEDo^m&S2ym%\I\7A(=SehB:;b'[uob[I?W
U"QxRc3qvWGb8*U=BG=D^dMIPeoF3YD;/y1Ai502l^+spD?,Tn:Y)NOobZd&bA7yC
U"KrxQc*:$PQ5wDC\AL7pNM\d>447(h9T,tofu]S)e,Uv<^?ECU[r5dDfNdIZ;Z.0
U"KAkID.vq%IxhYRkP'C*9ONeA;X>)+)caSSRFj(R8cp1ItaICn^>xenaa/<8MSb4
U"bS$34JbXbVd3qDnEHV)sDb_/kzFm\7tt*aFrhB5mIejQhyL=#ih1>B*=KCTI9/H
U"DEr?\H>M4'J8M1X7bVjk5hLgxDEfrb8hv,j-L4tZZefy>p)J#Nn%3:w7Dw_Wai.
U"bc/Y^o-b60h^w\O/f=NF,FwIVOEnfkYpe%z6jzJIxtj/9QjWK'wvvkvT.XZCt.>
U"l*=?hG:tRd#rsx>oRGvmA%OnnNXm=ss0bQqG(Q$7&lRIs_Tn-&<GW1r2u]E+q:W
U"1$[iAd^spK\W,\mB#-KsQrFJdJjWccCt^ym6kaZD-rbE:-r2i/SIg8[_[9XeA>=
U"H]_v/yAFSRW4*(GKxHo3Q4d])c;Xo][en^$i5NLCZcaG&cID&$>-vs?t%nfQc?-
U"aqXIdiTDt^:Apuu>\f4N^r[65tuor3o82M6Ji[\G5qlx$]$om9Xe8tsu*q:6uZm
U"E;*9\[oMLpB8eU5+2$SAnbMYJpZ6'UyJN(:_5FpG.4S'lhAumab^\MtGXmgnn-3
U"IwQ2600xtXA^L\I1Q%<JlTNAv>Jc-9cXwy%S>d7\>s+m;(p3%jHrqUDefoe7n[p
U"4#;6>4o]^^:]q]i%#c/&w8fQz&2d(M_'(l^hN&xyO:*0zdWZf;l/It?NMl*[.[u
U"jr+q+x+W$qNfckcZWY.PfWZN%OK%jPLt<ssm.V:(Hrpsl6MYKQVPnll(2#4foIl
U"#0uQ9oJ%bu;E8krt0b8660CjgrOtAuvbv5yHYcGGsQSdf5uegRPXtFHRl0d+f?#
U"if6_xW\[G^fq,?w46L<f;0LswptPP1(_Msx29i=vUBm^wLT/MLbeEQ(vr'juZ]]
U"b>gm'Q#(sE?tl0lArMb,u6766LJ.f&rPh+uM8yvMrAau2&Z(-uYsW]1tJt\JM/(
U"aakd:,+;KdDCqf=X]GgPV^RwkCmrO2TXnEDMq5l(2AmOAJvoTBBnP^.z:QbRMXu
U"#\rrikvKMkN6e'LsUJxbrLwujx/'X&M$Ann4ej/%BpykiTr^jatjT,O,XWP)yZE
U"8sLr<t?>Pa6I(M=>E5ytsVz%d;WwRve)e>jJ8jT?cQ?_ZbdTt>kJ*G5tkaL9c6&
U"QM_-r1QZ-a#/*s9L4E#hK^YPVqN+Z(?/6t^jhpk&J)m)e:vc7kslkq8#noco3qM
U"gdNy#r\F\</3ToLrotHt&BN:pd>w[N7I^+K7:%>.Y:eHe0'KtT*e0aUpIp;TH4f
U"S:Nafvv?5J%Q<W-HcNxG7.YsCV6?rtV#Mo_Fnke*'[(U%sKDYxy(XOK4(1c$gyO
U"wbVCE)D<Dj?TMt#IZdk=_&<sX2/i-Cm&W>OaGn1T(d7vP1rE5j\'MSYz?ChNh#(
U"=B0pz439hVM>kwt'HvPMcD>F3qQth%7f5':KlPGKklpdVPDnOgL1nn6gQVJz.l=
U"/VjN-Kc*0LB.B\1&jWE1nXyfhh)1QoVw;OdAiHmy/Km+QR08Er[Y0_vma6-W=_Y
U"<nLjMehDy*eL?n=Z7]uIAqF:NY%/0nexCJuI;ytO6[R-mdK5F$fc.iWDjmndQtT
U";qMm\<zY2bt^iV>.'Wwu.$i%NI&PMX>fRC<bE,<m*$6ngE\e6aMGcPmy%;D%W$5
U"+qUMc-bhKqy;pkW?,t9f.rO;lmFBgh3*d7P9K\CEU_T]ppxg:*bqsxBTwNMdw#,
U"gsS][KKu=>O%w)9c0>]kzGuTDsaguQM>/0*4(s2to8xw4NBVD%Y$CBJWi'6.bPv
U"Jraaa'qkNfbA(XN=\XLiujHtsLV]Oit3cbUKfh>Curl,j?3x).k3)m9g)KiX6df
U"n(QlmHlhZluqNPQlf6q-?X12?&F%jru3DFTYtsnf6Up1Gulpj\HAcDM?QffLkF7
U"K2YWVU=h>n(pZ*$ooqr-E3o0<Bg%ZWa;JfoaoR'kfMddN<p*7M_b2aEQH1;N1wu
U"V6oTA,]km6\lh9\ZXq;P3,a,,8tmp5k5L4Xo09T<A1tg4DYS-FM2s?_WB-Lp=0r
U"T6MJ]Y8'hQF+DeL&H[g>#4f;U>UNmUbB/P\xStq<S&Xne5=LV?a;4Dl5^j'V#4-
U"LEDhMiaCX.lHx1S#(n9s6l8ioDT)[kkwdOt*<z\n'9>Q'3m:7w[gH0eVQUesG>N
U"P2Ttfc,b9j1i#\68E;p8Ho]7UFX4E=-fUBG=Qw>t'Q\e6H>.gep6%uoko?t4<nA
U"OtJWC#XNtJT:,[)Gqe9LVBZt>P7H;IuQ9Dn;\-pUi7,EE-PoHC8Xgp&M;givI+F
U"KvqSbuFz;mse60im[iuT[m$i0gYaPhb1g)#0k=oOm8L9_M_sPqFv9^$FE&;AGh=
U"#8.eO?u^]fGo:$VR'p8K+1%.^)bWdV[XK<1KXI^OF;62PJn[4oT'AfuX8]OT4,)
U"KaO*6r[7rGI]Rh-gOk1[Y:WNE3\6\ydoXA%.h-4-'\]1S80g5*hq-*t/zPBTbHH
U"6Po[LkkF%1b5s.4&^GQdnkz/&74wZ1[vi5$h?<ek+8o5Jh68kFW3df(pkIsr9p$
U"V>apr-tTc5/j'k)AMb[Vf(4<LQnV=uC)Z,V&f6ZUFJ38.Omifb'^n:1u[,n/m^X
U"nSHN/<fg*TUJAXjWuZt^&=7N_l3>/*wy:>Wk<;8jCos_#j&yF6KN3W[x])u-.\A
U"_NT:da;kyf;ikg.nEkGDn2-%9Ne%d%-1Rv#HE%eo+9[N[g>ApaENrpK(E2KOc^>
U"LL*(9GHOMX=yep)il>n1>o7'Cac[URJWV5bQ=VHpmZeHGDJUW<<qJ/=9y4%BLox
END SUB
SUB V2
U"r*;w2O;KzlD.e>$.vCsZ7LwwToiE^82T+nPXrp8]'kEfFSNGR/-;ZCI4$(15J*G
U"cZN1u7RICif*1I0x_RrIL3_/'Ou$N[Vt%#O%n%b?xEpQ[cC7=w2UMXKmZkGWto<
U".QX#P'ly5A75&nWYNLsF(t%n3ZoK?LbbzT4%KCWlpk1a%q)T?6/'?%MP8?Zk\m=
U"*Q&uEBQ<#c78me+=Y;e_U<PYF2b^Ha>jNkX<9_%ObYpsTkU<$1=#eSdeb\'dDNT
U"1hx4(qI9[+fhEi,ybbL7E8?fXGjVGAD0.$ihn:0VRfo5T&?:'P?zQ,Y#,VIn_3=
U"+CEF6nPc_'JDa\/546a4Cr2ek>;'ZI9:l2YF6#JG<s.Vn$x*]9gfR\Pt0D4TA7J
U"EN+fj530jfSOf5luY<t)4#KjChTrhjfH+6hja%c5N7B?).SC7[9%MQbY=juUtP8
U"L#is-0r_xN]s6\i1:koBGVb;FI5AOAf06/Uc#:$sq3nHo%j*l\93yDOn0I*O4fJ
U"sR.Hp/4DXZ7UvWP^5Yq9bZjdo42lPa92(a,w6A$as[64C>W+*h#JccOw3CN>AV>
U"=9VUf1$TiS$VG8Hy;G)PJQBeG'WO4w9VL4<86L]KvSs;A8:#+Rk2.-/[>38m9BS
U"5R?KmcteWjM[Bo+gqYJF]4dMib<^Z:o^)7QRXx-P/pJmx2A#&puBbvVH=,)t3RT
U"U<[,*5C6X9$pW\Nu?77/*KGSr^Qg$MT>5miL+W'[U*W'bU*Il&A5g32p:m14FIm
U"XgWQ#8Q][+JB8Nl]VW/j\GB)FTYw?'u:S42A_y)/xV0aZl+Gw(K3.e%^)oEA$FM
U"E/bta1>H\Y(jqY1kMvqJk]7qU;+eU(TFi=jr%zL>lBK,3*%^xhQ-v(#3j,XK4JZ
U"65RZpkH\=+qOHD9]8rdt7\b&gDaFKe/QGrY>vNVeaZAeFyR(6+%)?('f_usYrV0
U"<rFX;5%WmQONtn?2xSu6WAKV*3kSezlEK.f0[,<cKPV)zC$RtdL*nl/p/ZY,m3z
U"-tDW64p26vyj+mY>mU*_+qop$NOk8tyjK.sI\pPOUUd5ARm%ec;*Y>l:*qUY0S\
U">yY'rD7)T]]HN3)PDOImat)X4NAw+Ek,9H4Ai\=_KGR4BXpE_YzU_rf9./l0K(H
U"q\.\2O6SFE,Cd-v?R20knOkp<tl7,.Z<$*7/0gMkQTdTb.\sfK?S[L%p0s42N7c
U"%#HI^?3wC3V5R81fc1Sq-MZ)XpvmqbR*RiccUi+hsd$Or?uqfTUXjT);AO-l%QF
U"AC<g/D/^BE?bZD%5Nv0(QUVI0hp4khJW76B\kI'TcdBd%3YNy0DGVDIXnR<NP%_
U"m_0),U.UCt\U)H2_snOA:8/KN;OB]gKts]6Y,p0A87Wp;6O?GTsPAVdWShS;p;O
U"(6f*C(e4Q<B:9/=f)u?H)vE'/02'V=-/8+BeE-%/+(E=d)$'D_arEY9Z?)w+5eM
U"?aqG*::o:9govE(b7-^U6):Ig3WnS5uFP]u&<A:sgj3nT5:D'i9#vap]>\mcmf%
U"Q]Tl9<4qdFf3UG?#:]GFD55[m'X]U:l942=aS2g9l:o&W/G.:.'oGJp-o?XxvZ?
U"SH:<5*b[x]$NlM_kA)Qw#1=U&e7k[V\3?&U,2+C^uUYGtZBZ$_PSbGLX(M9A-'A
U"d9<*C(*0KYaAOrRz7ouwuVBUURMrNV8%oSVu>khrD_l9qa.QDgAenvxXH*jTQIS
U"=6L7b.JYN6+NPT8eBdr95gpQ5D#y9S5P7).'$.h?()MP?5b-s2pTPW*DW<sDXd/
U"e<w6W6'%FBhcfiL^ZQ:'d5]A/2=3(pmN*gC'#Be2z]iZ5w.9_\X-q-<Zs,1sm/'
U"(z(Mbd?a%=%ferF'UpiRLnVKpRF$#%j3A#iQRQ8v3)d#X3WN')bP-0143MC]-NW
U"(Bn>l%<)G3oku)8%w5JL$L.NaP>5>YDa&liU]Ljy#-Fn$$PoE%[v+p>L:lt&<9f
U"'.NNRa5hO8qGE;VPC-LJEcn_9j^XIP#$=57H-HdvmW3w53k$Jw?XZ(fviiOt9k?
U"F$3>$n?An0)DtZOBJl$(LAiceaw=X0#kniPZ>9'N]lAA,0XT[2maWM309q<)A+4
U"*gsVW]P>1Yw+$/v3TVeU>Nr]TdrpxW9GI]B2(/+<ft]vsWE,tUA*J%qP9:R,Aq3
U"hbsDe5SOfupWu[TF/hsf-.ZN4cS\$Akm9ULwLbk(7W%YosVDUYupio(LVP9Gqb&
U"6i>t(gEVY<6kJH<o%ah(^ap(kBefe<)J/36QrY2vS9^qg$PXMlpj]J&$3#kq'mv
U"-NXd:c.HJ],CJwOS.s)ak8rYcbG]=:E?DnQSQeg)w?RgFr.8tNx#[YBAu?HK]Ot
U"bIq<LR\O2['Xh%4coUeuG$2dtUvkRpgm4OE:,S6OvM90c$5,]&vlMDu'2uO>1Ma
U"8-fmXW%Y=(U+3lgHmW%\i%VYM(LUktP/P>/NG5d#qs*^LN2k&#mr<e.:hriL^RQ
U"f0s7s8qkp&yRl+IqI85$HFVMd*EwI'V0k^pPX+M39<,IP]rgEf2&FtH2gP8)GQ6
U"geKF^QRgFUc>HjgqR\;vpe+(fCOm9(l&hLU')PCieNq3':J%d:E&D_C7BTq/*Al
U"YA_usnq]Jhwq^8kWZ7'PIF88q24\'Hvs\mA*)Fw6HgigR718VUUh6)B/ss#[emQ
U"j#OEt^_?C]im)g^xpvaAjogtD,\=I)aA./INl^7WHyunPoJ&^P:E*/)a(Xc_bVQ
U"s-<)4NFF<Uj>#-tEHTr:_-u(f/[vEf4\aZahqn>U'bKP?&j5$Cp^oxgj6a6AjeH
U"r<2QXe]OcoG,-AF%So-:l&2CCO07EjKeZ^lWf9rU(PR'Z[DC]u83\G]Ld0Z*5/>
U";Aj71sR8H^i;>A23ij+S0u;f0PNA4Hr&76Hu_KZhQ+r&zRLVFVR<(7f6rp-;D%-
U"+-T(NcyudN;hc%W/7if(D_q-igN?Q6c$3/nxIiob4E7)[oSNt?XM7U*+V#zmF&5
U"UpGRZ,d7Je\UH$3r'+<7]qW,=xi:9)KG/AUC0oLYDft/foBgFM\EZ>eX&=w*6^S
U"d7r<6i$n6PsYvwwWgeZ54GI3?7U6W)o5i^G/;$/;81YUFPg]nR'n1kuN)>;N-3)
U".<NO-).<RN-).\<N-)]NR*#TijHl/a5M=ZmT2Fla.Bh%alK3P5HLX'09'R+M=tu
U"BF7(k*VMI&S^.$A1kOWz%<($3%Q'huHguBc)hO)ucfPG+9O$wTZrewn6kQ0livj
U"=4kNV80P-NVc'c$f2\-q(X_3S(-.3%ESsALfYuGx/5r2piUctP\6Jlimv>sxVB(
U";>8loMLkPU0;1#na1h\\/5UO-5KM\2M/,m,i0#Tl4d?ujH/TH_xu>u+9rgiP>96
U"=ke1*w:<893lpEs/06Ie_/lf]-,6\#3tqTiJ^<JUjEohzl[l/gk%)PpiD=WY#.c
U"=r#-i>HhoLQq-;]ql1^'['F_mWTS[Ue4XTgg*ElL=OEaXC1L>^<ga5mu>5Abg7H
U"QUXna#cBMB2mH\DGw#<?GsWhVY6dhy9N,uIEDCcgRIV$Q6B)ju797cF'fs?)8/i
U"RhF5Qv&hbsx?aZK\_0s%QI9JdU\?s%^<Eix(3C33cgld/yjhKh[Y1NKH/4;$'rM
U"GbM;>_1dYh]Z>ZhwkVaXr/A^0r9Axu[0.cu0nG<<VH6x0pjJWKS=#/D2[yyU2rB
U"PL-XT9udM+As6]RK?#7Ys&UijIMBB5yj;vZUa^>FS+yG603lq1l5):/x-hc)G1W
U"Q$2rW8x&R4U:cl<2_UjfefMO[=(7.9I>QFOl2UY/=pPB5tGNKOlKFP:f-^\ky#F
U"Tsh)[F<1zSQ9&KpkkpLS8y/ULrN%h5BV/;[X/U39rXCduiD%_N1=WM5e(WS]_ax
U"F[tG8m>W0ygH)51mvaw?m(#qKXgKT>_)6uUWdtaDji-$6u/ZPKB<M=[x<'ZkEQU
U"bEBDi6MhA]$3fJ)Z:m'eZY'o&KY/hg;L_tD?l4%?:j<XBArS9_:Fm;\VWhk1nmE
U"CU6TWoZ,_Ilm2b._O)h=P7K,RZO*(UuosgF8$/S>YJTR<=T=$MqeE%].ss_59$u
U"loX=W-2r%8x^rquHo(Z9wfveXl%K1zr763>JBxl$r/Z7pn3e+Mx6gZ#);qZaprR
U"*;7cqcl'xUhXBUB5weA.Rc5Kn6T/p88$BgTKGHv?hML0uqi11meeTs3*YVc\aqn
U"2+L=935>'^&4_[;DeT7DoeSi[%:t+Av9LA]SHDP2L_M\jb0lrb'bO*Av]Z5Ex0(
U"\S9l*b^:lGvse9oNs0fKt?-'e#A0=)6xQ<4a>#vN&,a5<vyJ.&NULoM#C:lbE,.
U"-J-e]u1KlyKsr,peFflH8d)cP#gL'm=hVN,if_?vq6Lo,0<KUYl$AGn]en^nRL;
U"^8:eOWYTJ3)8nj9usTHIY.X=yT:1J(OH#fEtR;;QnivbDKYe92j]q%cxm8A94U.
U"O:KW8fP^pc,WT5G0(_Mc3Hpmz1,$E?8Te3NG3a6h>X).bTA==7dU;K7&TYb;(tn
U"H7[w\sd9Um*Eibc4a./I=DB:nFmp979,*l/GNmjLRs&LbpCe?SS/R>;nLq=PH7n
U"/#i/'LF<[b$:zi5F':USXgt5Uanuch6M1qeH/8O(cdX%\?R1l+>4%Z+$)iL4h>%
U"m:'p&b>k.&I>/KB4bg4Fr%Jh.6b[$5Wg-nb<lH7'inlda+XV.rF0hMk'OHwHP10
U"%kp[6+*x5>K0y9N9LW_CE($Ifg69DG&L=7=c,(Mxbi_oPA(=nVHL]F9lbPKx[/9
U"8e.Gb?WqH$K\D^]l^^r]a,p5?rZPlZH(Kfa7b<PW+iT-1Cl01A+NxP1AH>tB&O>
U"338C1;_ZUUiL6iZM*rd0BrE-V,A2'YQ65e2g;0q'l<tP9P5Jvm:sV:[eTb1KR(%
U"b,&=_(e0]Y+N-P7nRT,AE=%z4>38u1-KIzLQAG'cAB%D>8AtnI]mr^^jcpeo$oB
U"<o[f_Y'aE<I][E).K8T6Y62KP48>34xU9$R,kpae2(+TqSQbkfE1A73SLuX1i0L
U",$0,S=b6.G^?WciHfvO^+[km1ED9>39nyIeUr*FgANK#p0ch8OH$D%2%Gw=AsfR
U"&GuB3A$v:=ZhA2LcjNBjJXyg_Ubgv?Vu28vfcIfD0Zmm?K3Fq_:'Zq%$i$%?jzB
U"9)AbXY?>Tcx=l(\piH1b+ZU,N[l?iP4])%]1ANct/5/HsIEqH+)-2Rp2Qh'#Vnk
U"O=0w7Oas.[kHUmb/LBYEZbiG&y0\W7^Zi14C_rV?-a;JV*+%MP6?RL](g4NOTcS
U"kNR]'?MSzH7ijv9TRFeUSS]+?RJ+SX86%^FEErxKw0cB7,/8Fqnh]65V_b?cUh_
U"W4].->Z\S#1(djUuMK[vSu]BxB.*ovKNx5f)NpH;=#nhjOSEKvgpcgLN7gA.z$f
U"l]]uPW%FOhutr5\dLMI_rwHt']S^J$a\FK2.-9\W-pHEjNg<rMN#9PhtqRaoR?R
U"UQD7RL;rgH;A'2&>ZlBr+L$ATn_]/rrglr+/*k2cr27k+_7QEVyuJp0PkMn.KSk
U"-(Mw'U^dd^tJQu>*u)LS/8TUePN0:e3B1w^w2)wUfURm9ix;+pIdUHKlycYV8y%
U"E*):\\%+8z#JiyVh:VjF[BA%7>tQ&C,8DOc5/%:L]hs8a\\yks_$s_v3&kvW[4z
U"vrl$ex&$bmnJEKLaBv-gsIRcOE&^8z&ir\hy>kDP^jPf)<d[AYfFg][XpY&g57&
U"co4*S=gJ9hjj:%lbfesQ:(GAXAd'G9M)8QZ/[*57Q>.^<C]tyL)/gX(^8e'2017
U"gScBEY?nuWF[\H?%_7SvpU#\]sHagN+_iXl8CU78_]^c+Pit2QIhG_%<%I(1$]e
U"HbNGP0dEsEcyZpLh$\e^z:N/_9\9'h5P7A8g/F&&.L(f2Nbl+dionXp53[AAHXY
U"+4t&??8)8*y(hqy$I03(7py4fHfJVx*rCpJ]ua1kW6HC8kR=/8$.gX&_Bq4w7B_
U"Hx7d_zJb^X(Rh5vH[hgSuz;j*V-K;2<hU\LMn(%DU0n>evO8pd1VjHZaZ*#^CzI
U"WHh$+da>&GFV,n8hK5f3tXsdw?nb/qNbTC_ppM2c8jlXKhvl'nu<$#P;*BJbgD3
U">sVtZmM?l^sljL&;H,Cd>x$-K=Nd4K6>csZ:trNiHtrtZV[c^Rx6umj%Nn<\g_c
U"H2og1I#K[R_a.A<N2ff$6h98[\37m*ep(Mc?lDpZvvVlNLuKe*K-c3W7*$YnpbA
U"jugnfLiXn^GVaxwVjf3)b\i$d7=98fBqMyo$NjmtzPn+gvt:q^/qj<waEU3XTH4
U"Ei<YMa74k2nr33u0vW*q)cqlBOvVst,[WZ]dP^Ud-efWV5H=^tN;G>cRWACxLr=
U"(S]dbkMs$3TP#4.fpc>TMfRI2VHk5h-e$4sOxX:AQv%+ZGDEt\NDMY=V*dTa?w,
U"WnDm\xdux<W0TpK';>JwXwqNVS]#&IeO%eCIIo[>UZI:q-l&CW+qt?#Q=d[n7Fo
U"P?bGYhJuL(liHB,,F,?B(zzEShl3JBhX?,lF^kVU&&Ny$pyzdKjX_wsBR<VQ=V&
U":chbSV378EkTTT<ZQWglB-TaaaIlscKfjWL&q%dAIVMZ%.AF_LfuOFdO1j-Iv[C
U"5qb5:-x4P-OYJhrlVs&-$\Z_2TgrG0):e6oD&N<T(8=rXne6>FW3ZEdK5zhg*XR
U"uvo^VDx;YD)SCWsQ/pm]csd$jtzpdJpkpLH3f<4WXthL\JgKVFa74tdi<81lJ-z
U"jRlQjiOcFe9G)mq,#:^Jl1dmIv6+f4>xY>pNvZ,4q,ro342_#xYD36->Y;jMV3M
U">nD5sjrj&NT*zd'Xp$BibjE7VEI5<>t[1_#Bh>Cr.limoiG7Rr*rS*4bS:\Z3X8
U"6h.n]+kfsfjJ5_McT5SV]ZN[j2r;atnq5;f6>wh&lq>P=:%jadN'etolMFT$ka#
U"Xr]li^Bq/sCNd92so1n29T6BeB1cNL9qgPI2w8s\F4liG$1-4S^6)7Yzg0XTf&\
U"rFM_#?L7KX)ixqJ2+bZlZ<ADCh6vMmN1D_yT5N0b%,b$zn:4?>eBwMuKKuiYAta
U"(X57h-_h%Y:jY>GpEuwdBqrGGR7MnL.Ji8[\/bi*<.0Q?=MoJHbw?gucvUCEpFt
U"qHB#ZL:R4&8p+7Wd>JV-afv$jChvdrT.hL<Xn&vWhsKZ#k4o^HXl<*62+t:jp>\
U"Mh5EC0DNdDTa4%vbYA1.t12n?wk>lxA,srR<]7cCU[1#o_0*#hbesTjcYTlKH+1
U"X:w?JFuE8p<ST]2yF.GmHKyu^Cjrq<#IDRGeZfr4VP4rvIeY?kfglT7H0Jt%tum
U"NrA6yYvOLx3L>ToJ%clllp-fmKsfyD^zIs>d,Zxv*%SPn4Eji?Rz48\)ydkatJ2
U"x&r2&TP_V6,(C,F$j2RlE[JbM&ElhCxF,X3D#U;bB-G3pWb$%nL(78#K4&Sb0pX
U"lZ$YI_a$lrgDbTewH<N$s.W.)Z8NaSXdU66kKe6,Xgs82lrJ$l5,FISLqQxtvD]
U"JNfZS?>G4(#;&:2Du&.;OQDGx)QVbmcey4*PTVf2:Pst>&u^;</$3daR_Lyr<]R
U"iPxAE9N3kj+t#&B:i<Cy^?.td;?R_3_$f>eo.0V4Ls?c2rR2\(_=^N7+'$gB:9C
U"9_jQ^t8addVaEr'Wr5OE3dRz$EUxht2%jk$n.TTHi$6XKlRrD*T*^1N7]c4s$d.
U"$,l(>lvtz(P.QiSR##Zpz]S-Gn2i^87Xhg885%(IColVZ%t?tn\Y2z[YLQHtT:P
U"4,9;njlV[uo:0C<s0?]ES7pRTvl.?QuNIy#jW.,g_]e-D%I2f\%H^Fn5OF.Q<Cr
U"-tJBghdDjV/sw88RXDomZr4)uD\,WV/[C#hnVLJd7cx_Y2N0#>uIO$$7$'Z$nW6
U"J/=Vt-o=oDln\uAwYrruEvOeMajM2-J.$ur6Rf6Y*?#?VbhNQ.=eHQmn'HeKmdF
U"3T9+O#[5j=W0DiAPFo?>pr\tMJBr$lZqlBD?rtTfuBrKviothWZ5Gg%pHv?jTtq
U"w9oWcDSHmNwrJRs.<AM*7v?pVcUVIKj?cTU-P/=8EQ2ACKGsBeB,h\e;Xl%.>el
U"(&K:fUN,-K%T0<Ip?;%d\o:#W6W2ZhO2vslVoi2$roBFTKZ.LG#(Dft.7vQZ864
U"'dd$LT-H8ZCLS^EAj4k2k31n;C\Cs48JvPF\'5_m9q?D7V9hB/pQ/wC7ak8P*>'
U"bg_tI*JvQ[U*tujT]sY:q&$EtuCc,>8bAlAXr<lql5ef?>K6KU=,;]JXz/LO%Iv
U"Wbc(Z9$LTZHfu^bbIG#NQl,\vtVi>JS0pH4Ql.%4YJt6wV>zZrP1wM%:$NEA>E+
U"de:GBMaej=fFsm6ZuE1jjnF0vTj6&O*]+v23<pPf>#DvlmBD'&Cku0PT=.xRFSP
U"f'y.5q#6<EPDI#YELwETN$e[$.Vlt$3NBFKPW#:Yz4PmH/Ptk;bJ#=?Qp,,,85Z
U"]mQ;8Hj+$:op<vx)Zt+p5UyP=Fi^0<6qMMJ.9O7JrrRKQaeTzLxcqZ^r_gyLl?t
U"o&vkHIl0l$]?8(dL_1t.6h$]]Pbu+zK\B7iHFj]8sG2lPvrROp3NDq_>b?MD:k%
U"YuFVi=x3Vab.xO6uUAcjc0(B6tbcWfuPT.Sg<:'T?86;>X>W6so8YK,<?H_l'5U
U"otsOF0<i]7.6lHNtksv>QAiF-ZVYbEl4iNY+^kE-8ujln:xMHcJ[N$?j\o8ks0V
U"dVFGqA<Fs_5l3poGLfW$>HT%Ut>8vDj&4r<dES_bIWDVjL.ll?mgWjeGh(TWde?
U"$fONAiVx(fmRI0,brOfMF$r^D.n>#4<Y3fAHb[-2frsEmuA;ksbo(\oPJIQ1<qS
U"V40tbfndYZ$Z22rP+PukfF%DLNO,f&B^[tvH<n6nm#Fd#^JSQG5,wVR3HMqHK8q
U"qAH4ri&Ia2J\d4k33AFbX_T6;BEuuice(b>QkCH+Px6KJLaj[-WK$w]CXK_&BpK
U"JD'liVW/.7V4T082)dcSNX4_dd\O\8z:=BfcK8Y$nl<3mQDAlCc>59?0^o8ZWb?
U"66gMuGg?S-TqpIlv>_fMe(;C$/ilvlug2g<D#oJiTMN1:#jB,pAZUTEnJqOB40(
U"KM62&,i4ixs^sGd_pc1k$O''7QF&Jvp;C2qc)l;%_pBT)THU1(;*4>D&rL4,xZx
U"[KH*pa4U-b9t63w&k32Vyd%WfVOjL_yo:S4nY?WMS0=9]bLk&9<9FSQ??Vo[Elg
U"14Q1HW4ns,6>?dyHc/_saw(pYa.*y*J#-Y\7yOY%(v=Z00nW$pjZ079bc2q*(ve
U"_:kw$e=f\LsIKb9=2OI.R-7)9Z1cgi6xhy:^ZK^S2B8o2.c=_uSv]w'4>6/N#t>
U"&jvT*WzlcPNK[pM8\xFsUW6Z17]UZN1tq)221hbO2eQ>5YZ/_Ta2IqGvv%Bns&(
U"SD/^+Y/rw*KR3W-41+f3h(z7+%(7HhLFGpN>Dd\nM0.7HW^BIPxBu.1Ohg=Q8Vb
U"*<[)i.,?f>Kp(UKpV%1,s>sh5?(NUA*NV'e:e$L$&)ni6c2nQ$lvZ/1K$J;t%2'
U"dHry&5I6DRlx-'1VI((f8t3>5Di$X4)uj+?byUipNx7WxpsD6%n(6p8PDirBfx[
U"v\p=P.ehM^$/W[[O2<])L,FJ>?O%*LqXK\GXRMlEwpq0d222W>lfMdZp[Rz$?58
U"Us?Kfn'r-k[bgJK+y69p>C]V/vbC2FE%_5)*\gNTOaOQCF>S)XhI_9gtJ#WR1r.
U"84#IEp'du,VFj0ro\TbI=qrT8lII9qc8w8Ru>hc9;Le*1R3C4_E:1>HU7BU^,FF
U"7Y9q.u-V=7i?HT<LquEbRcwQvI5\8YQ#I1bDm1+R_2Q0O4,nrE6%5N$'4H473>9
U">s_vj*jM0K7d)SEOT&_Bhn=TU6kWcgr8P3xi9%D.6hIHeD4m^31xxy(last&eax
U"o4aZX5#LIU1(Bq_Au;ArMY0LmO8DP.p/t[$bi4FP;7JQ+Rj5nt,Z(A:kk/YriR1
U"wx%P8tS3*<qr6U:8;i8+C?9Q2ey51PYLp/;H:B&YL3EG(]ShClsRw_Axp&Uu_+r
U"2fuhQ$I7Ev'heM..V<$IY(Q4uhH'C',G$.Dy6XcI06mE1_#CnpIo.#=3W;pbwUt
U"ifwMQM.HJ.zF>J4oN4$C/Z.EBy9*J*n<4KCu&mle^4eUz4MT19#Gi+L6U:8U=hI
U"Vzh$3)$H/P^s95FH)MLw/b4K1kCmBHeQjw)O&bPDUQ3;%\WvmEn'\0lhQ59wL.3
U"qk,1W_8RE_Z[AT81bFXNFtMx4Pfe;>koo=GW/DSmLcJFYDv=3vIM-:q*,Gc=BkU
U"Gj.CmOkD*RdpE*8'D-,,TBb%j]j9;-I:Q]7m+T-);2.J_xPN1l6=\,Gfrn>XWtD
U"Iah,1WGhD]<mM)^'Au\%V)QzglE'kjGUxemhG5/ZiZ2VfKAc^]wF\8[yVKaddV9
U"FVr%CHwxL;92-Ian[bh-5J]G3QI<8bugcl]wpHrVnqD2*PZP.TQz3=8Da$9[QNd
U"85i*65^Nmot;#-u=M2rzS&5$8>#Abs+8sFqRF#aTRQD&(l3,#r6:/4R$0;,TLDr
U"A[ut,SA=Lb2-RTyM[mNApDh&)4*4,vFi-9jD\ZrRHVthFKKPMBTA[^gpu>=(uXF
U",t%e_>i+&YTtS5]&?jR>\nVu<X8PH/E9J47T\%[e]t'h<NFF6&ISz*0Kf/Doxh<
U"H=?C,/rU#B'A=R\,IT3<DoRKw^F6tB-K/UQZoW)h-oP0\2$3[ynbZ&?%9XB5zS]
U"EuRpS.mvW)MVZu4QtfK6xf&8h0E[K^[BfS:-*Po\K*ca%\\e3Nv%:Jg:;WM]C%B
U"D:/%0+,Y4T/F$POq$Z?A=fY]S89sPRBGZ'm%ILmrRHPQF&xopB&BtQkn2\68?0h
U"O0:dB%=1lhQ4gcW/_DJas513S4WLCJ8#%7>FeFS]5P&Ib?e>ITvO#1(Y((=UuWj
U".ef6#?=,1&3jFQpVY%S=ruun9A#E_XCL%B0\ymDdL56v.AX7?P54VW2Dp>K$d*>
U"sp[R720b0,#XM55g:0M1)N/Qyf[OyBaihKF#>uXV]aIs^0E>K(4LSngW%CcXPI?
U"=XFd1^b6d8h'GApim78sy^e&Ip<\%9();fxUmPpb<t3SvYcm/1N#5PQgUzZB'QJ
U"QhM^8Dj<>faYe207wyvRq5v*-.D/_0JIZ?q7qCgFnZ8hnddD$^h\Ow5]95Q-i;b
U"gR;fO\E+/pY&g=^.X^[6IT$YO/DbO&UwVj=)NV=F*Z_1b%O#Wk3$%LC4YrdS:3u
U"'gf+I;-k9MPzL_V[FL4ZBW6Csz[(c[n*Jb2qiCT6lT>+0bmt?1]A,:5iF%EHYDx
U"b'gKvrVI_DsSLZb9-ncWZt8[3N:^VT'G7f7s[OZ0n-sfDYQkuyA:ggg4c7'wh4f
U"SV_65Hn)&VQ-C*9gOyK9g+ve8bR+(yT#I]cLJiIRwCLHor8Ns:0]>cRaXK<1c4y
U"=:>;#.m-=n#/0jp;>%O1JGrF(<cS)KNsE>?:vq(bRkrN=neiwq%Ho+?7q\?oXOY
U"$4^8B-ZX#Y^4qh2c[.+S)y;Xyol)u9L-ON9:u]B=A=Xk_Mqr>UOM\EQOVphhWmF
U".;a;n[cn3UkUa9lN6=jI_dNqI6EL6JY>o>-cY4'1vrw]teIvDLJw1SRJ+.O/>6+
U"S1cNYm:=RsA(J=ozSypF97P*L6=HCM>/h;h?+=x&?Q[)]#^voJw0unHwLYRxt%r
U"13y4'w5METUjaKgt[\2:f4_P_)aZ1\3vc4<Sp_3^=Pi,3n.Gdv\1E*$AH?7yxq_
U"IB%y//whz97_P-^%Py^PBm]Pc%]PY]+PM\P&C\P9I\D8<o=fl(05Iq>j3akvRgV
U"[z;+?%;[Ci(S7h/u&C:FRt]x1\H_OYEFfG4^#%Sx9GsFMxF/F/^&+ytRp9*vX<X
U"unr9E7^YKGoJ]&P6+2hKHgZ1YMj26j7dfXb4:H(krK(k\f<4N'QlE+&];QU\JOY
U"eJP+u3TcYaap,C=qHxL9w/hjE%28I().?Q90u(taAa-ODjEW>?X/_DlnbSYm0^g
U"M-KC#Y5c8aHP=/G_NfBm,0sX\ACxd+g*5&;v3ShQB>pfV)ufHj,U/'.oBYNPtQ+
U"n0>>Dc/tU67tm1G)fQ7%>]bUrmqaS*^MZwmuvb\j4]L*8(*)HnV.Xf's0'n;1yD
U"weEDnife82Sj?F=_BlZj=#hpeT?LB/ZYOox(m=Mv2$.K=[r/O8(J-vIz(oxSn5j
U"lZ7gAqm*(3xp*=EhHqOV,Adm&*X0s9gQ]M,C-U:DBQ;E;'aB.3Rl:QcdaVR.8&s
U"c9a//_9hTAzcFkWE#ZS]G^0PV['FAJS_+mY+kfC+)6T29Ih\y$^8YiAlWxT<wD*
U"_V)RBp<(Kec80[y_cbQ6lGGK;:J?W)P>FR/3EL#8i\E0UVtA9$pJ=6P:Ht^a1*#
U"av#8mhn5#)_2ScYC+094^K9dQ^Ryq<(Lwh(W<N187_EIn,MeL+3XaZGmc=,IUs,
U"bz:iUAROa18*UVMVtaKc96jB>9;LYH8Y)v+7wVM8QtIOB-E8_[DauGu%NV<$+5(
U"d&Q0FGCcNh9q$.\Yg8k=SGwO*?oZ9m='65Ekp;=V&qCf7&O[oZmpV+nP%^aa69y
U"Q<W5k4aqC\6$k-gMC4MPhCx[C6LF?(NUrZedN^i2s]AM<pp-SkrG6/dAmaA-.c)
U"fN0]w*obU%tSAUgB%JCNpqOk_5kIU7j;1HXo'cg/?,karppBU/25aWe=)vAT%J$
END SUB
SUB V3
U"N4G?BTW9J6JcF[g=.Rj9A:mu+/2FXo*eL;38o]5OVi]sg.gv])BPF/,1qPI%b_K
U"q,m;b[&s1PYW^6w/9[3iZHUoatd+INwvPIZU5cqWg8[pQz>oYUW-B)qF*Y_L*z1
U"hi-Bne2V9?L.jh9DYq-,0GS'ne=UugJ[))djM[+U;HVj#LYu5kPCE_O_2a1FZ3e
U":kukW-4:=%\3))pxVYY9<&a_am4Gv4(L)qC?POY9x3R=4&*k_4]^z>+c77-Vt/S
U"':w%EsFp2em4%P#I&7&S3'DUV0iFI3]Ng&7m=bKY1ITgCI9tZ9:_hpWMZiKigiN
U"Tn-:,[A]k=2.mw&$oWe'0r]8[:(#KU:Rd=jkujp9psToN6j_m6RJu4o8d7Q/qfR
U"1U(ht.y&O%3:ibx?o&zTxjMvo*oFA*q48/(W*Z=%:c\Cq]$9I$Ee+<.>=2=g./D
U"-0YjC,bv3RQ2v+n;z*s%9sphfuOY$FZ+5'+068d>Nk?cN0Gb/AbcLPY=O_]7L[K
U"z,CaVB&yX6ytU%MUk(=('rjyaSL%\XZ\4i:7Luw8ac*BGiQeIqkdNQ:Bbo\(tmI
U"k8;&7&u1;/C=%n5)<^gYWo-dyj^8/h;G8#sKVypn1MIN[;ho/vy<W2%5/5PuKjQ
U";JbWKLZZg>m+O+adYah_'9R-&)FL;;6ABX$=#[puWJUi-'mEgtJs\d0J#2w]XL)
U"Bx%mAHy=5?t^1,Rjx<d?&s.YMtw,r.E$lKUqI+mDVv:vj,^.+[JeQ43w.-VXbIi
U"8x.&I:_l*7wrY<RniNh-L(K4)Bhh&Csvz:^[>n6DD(Sk^pqPO?CqSgQP&pGuR&A
U"-]R)yX+5I/s_9;PoLyqOV:NO:&EY_^3h];Y(fv[xlBQ59rAndF*(*wS7Zb+>vs5
U"TM.Cf[]omqB=10wV]6Dge^DdYh\[pq.ZWNa8]\&f2O=q<Kw-&(p6]C?c&8R>uJ5
U"FRfcw)8R&e<S;OWfgTH_naD<(=(pP:1)Wzi_&I%Z'a7mghe8^>iUrv%.p*m;MO<
U"OjD\*7BafAPoF$KY.(z,Lr[:VqU1Y?,i8_FNF$/f4q+a6d&<9h,-9KX-92+6o+F
U"z9Y^TSzeBs=.=;/G3XgDRCdN\1(ek*Y?(1H#0_;digtUc6MoAi0AWWM)G=ID_vn
U"gfml9xC>VW;l\aSv)io0.cjS%N$i>\&.3JP]%x56$jA3h:'ujm=K1C=$N^T((/p
U"UG4M%i4UaoO,/*h<Qc,iw5IX]CBKbn>S#)GD9sD[xOzGfFw&J9Zf[F<jSQHdJ*T
U"?ic5VJ.aVyc;dw,Fy8Q&/AIkmEU:k.nn3MtPfWJq;vT$b<VM2^*U2oW6_nQVEKi
U"_Z0Cgc.h[Og+-D>9s9qPSHGxM\v2$)^S$as=.o>#nP-n2A0^\:T#JA&Xeol_;k.
U"S>aarHaa8=xgC,pu/k8Razxk#Vr*mqr5<(Z^XDGAN5P#>_sfh*c6E5BByah/XD5
U"mgWl2\al:GdtD+u,<u_3F3V)ppc/O\w1Ep9fNgUW+E1yunfx8Q3PtHny&u*-5Ec
U"OiUoQc1P\ldG;S39%M42>IKN>xrz1;b.A)<+>ILcN9(]S8=7Fuqej5)Rkclbg^s
U"EMU0P)2a+=ejo5x;hAdk3bs+dCF.q?DfM*_^(\ieiB8cT]695fkg+[S:Kx^/+ac
U"5lXs*ti:k,/>OVgz\&04y>RtY<t8u%S?R%#mn(V#l\JdfQc.Z)Oi&rJ5dJ42bGB
U"uiAod.EVfYGwji2BYI]$T[v,LLT:rjcqeCie=m5sJa8T0QD_+P5jX1BTIyT%=D>
U"?7)+05.Nsn5-+,mW&X*:l==_YpbQA.K8%Q^:XkEvsfK$O2+kdhb'ZD^gYlM2;jt
U"#[?AjMSDVOy<b'j4'?QibSiA;r[ZXmAl/[+N*64(x/zb?4MI(x7Q22#c6:nPKsM
U"IogJUn%i=7:u-N5C[Rw76/I7y'b5Uu[L-&:8+fm3'cqNEoY&Q'L81wKN-GwY&B#
U"Gb*llie37xFnbdA-xfPe_GUODVb8rVS\m[9/IbW&gvE3?P>2pNu'ci81r%4r8Yg
U"tsz7.$y/g*rs\HsR5Z/F>6M*q6C7>dH0MM2j6S+&(VP9Mxq^A1NFNvrE3hbpySq
U"lsp16%:lyEdF#ZHyNDorXPK7XKN.A'QAD'&CTg8HxnZK<8ET3TjuVVlX.gG&O0$
U"S\=Ys+lr-K>,V=w1Zmt5.CF2Is?8_\$5jO[pdq#tzu)W9qHbbissocp,F/WKjc*
U"_#U/LALu:4YpGF)MtWXBf./d)h1'btDL8Jd/1M'm7k%-MO;[_6V-$C0)8^[oDyI
U"BPO\NSo'.Ey*D7//e]j:&wUz+5rC;C%S)h$+4AvWRAe<&M[Vd9Rit8]A>^yBAYh
U"[;LI[$KjW]GvPRMkPuLKBln\6=k87sLB<)j:9;*5P50.A0I:VMS]'^]H\vH5lpm
U"9/wbh[e_[<r=2eYUQt4V*B*H:i/svy<OSH9Dsn9\k+40QAh=x3YO+oJVn*vc?c4
U"Pw2J+,*B1f=o,X0-v7AHe?$$4TsP9Dn[D8N5_8RTAxhW9d])?cOAjM#v,e0:hSl
U"U3q.tR&i,XF9%0YgjS+ZuSKUhO+i]qAtN+8umdCm28s:k)QCya[]+Y9n?Wfb_)n
U"1EOVq;sGE+$VJh)Z7j9:X9(D*&%s#$F=O09b9JHGmlX(b'wR^#AJQHaF;C/Lsc2
U"M.l]2?pC9%03ds%'zn1n^#YDs:a2tTUu?GBU((5CjISldmWmCskr6<K-m.&L:Z8
U"sQYo9#7Oe=CoZbglkv0$cLUpOdd(BbG8rEv/:7s4aOF?iQ=Z5[_56*kb,duuR.8
U"pAR5XI1]j?9n#^U\]]-tu.pILm$Pc7,6KY;k?ud2SiW0QWD?3$WcWpiYKjW4ecD
U"iK;DjH7(HOA%q)DI*E(*&JW52_XXuI+6S*C#6-PTB/Hk,_C;X#'Qj<P0UeL01s:
U"Sb>0hii4^:%BL#JjSnPr;*N?Apxu&N&]*9&:)CR\F5S9Y?==].Ud'/hg-Ao^w[[
U"f-N*Mb$&UhB7_YOe2HI2ip'U63ml_?1_GcV-B*4/Z3e0UoJ)5_;wrd5^_eAHi[)
U"*WV-9uYQ,HrUCJ-PoiMor)b8&Y\/UN>6;rC=CWgF'C(oG=PD6\bXm92O_L$?fM%
U"v*7&E.#jAb+iQ69:FDakr6N:'X/tjQNmcX3LAPfI,afB$tb#<qxGAIk#5[_x(xR
U")SGD,FMYARW_k4paT%)pt&T-V^T=oDsObO?Uwnw4P&vtSHUK5hBeVg7;&qJO5&c
U"sv.Npf2I\LTppt?_Do/v4LLO$9p+(%xK84.'yiGbd4V=DCkXatZe8_AusHTSU.4
U"njU:&O,lj[%>zQG8Ha?;Q:BT_(?pWU:>70(l^/u,agVM$0q1MPU&')U#uqh$DP/
U"CnP/_+p',SNM4C8Y,n49EA+/5m]H0(c+*aD&]4#Po1XXcJ]UFno*Z.wb\u'Cb>'
U"-=4<Sr+iCkucodq%7=SWbKU\wt+ib*A/oLt%F8+a:&m$sDxg3DF%t2t;*BGkK7.
U"Oy0c=3:i/JLYIRqsfKHS&SMHzM0Uwe^j?+D>aQ0CCjqppa5W&W-b>Hh_b(j\g.$
U":&^sfyWH*+H/CTcbKfwij9[Q;rLWj:9)E52-^m=0Mt0/_&fB:J<;(#E&yATaHA3
U"-4z8Vic\E.Vlw>9T.Y(qupwZ$fmo,]U;]aCT>K)T<2UZe=e-mk9)<IQ]7x04Tuk
U"?7FMHYVg7r&HpWl*r\r6p3hG^)'0,Q6:M*ok3wf%,+SXD)*eK1j,if8aZ856D;,
U"_bOHF*^sdLan4Z+Spv&kxUq7L+oEo)mI,#80OGsEK+%M%NHI*d]ShQHD>T/+2qZ
U"3U;Mr9)k2=g3GyWP6_\EFpgo,l77)>mTqt9*Ut=GW?[aYBjYzmsy_=&e:y0M(X.
U"z9ouQN*.y]T(,3Iu,$0DaaEtY&VnL1(wRMoS3?%S/p%[keb,SK2-9^<>=p>w3c;
U"W/9iJL,HUP)VUY6'Tnd9ny$r\45%3M5wE]>S/qLJce&>/Rq?z,&,]4%x+=eR$36
U"pqu[&>(40\<Se<#Gk:>VJae60.5,SLpArK'T1jHy(#UMqxA2b#AC5ZTYf=wDi)2
U"pYA2W]SZPz7zLCUFu#+5mmi^Z-ZD#YuQo?DCKyl0CqMnd8&[X<m7,X%2El,UI2y
U"LXmA->%CE^5Y_:_&#]1*[e]NQ[t7a%<oAfm(Fitd79Mg3->RQGfGKv$s;g'$7ho
U"(d(uVtH?ft,cX[EBZn4$LPZ0pR^auGrhE'>Xt^pFb3dBouKr4heW6w:0I'c7]01
U"NTmWmB\EK*pCV$\;9pOsx*mvE&_Yi5IFGT.;0(rOvGI9ErK_HRBs8:LxJ9srWv(
U"cHTMwOYSN,-k.M#Kgv.v6JyZLha3Hx,MYq7D#z>q.PcJf;%t^x:V4umIPh,Uy\k
U"NvvlsvtK%x9:mPknk&Qn..&n.:plgyi)L$h=bfW7*nF0BRxmmtTB,<-y1JtcP'/
U"lxW<6OdDhmr7&hb1eqAHpz9PK3]owMu\<eY_1qI&udwaC6ef%4o.vmnuv2ACL?R
U":LY>QPp0E4)+c#;Rp\tZNprGah^lo1v-q3xhO5feTcqN9_LWBRUH4C)_U,3+>N0
U"&l^tuKtM82QkUIhr>Q*I3Q5C(Zq/W/cP%O9fAk;F+a)B]UiWr:IFp%kr>('YmXD
U"#Lt<N,jj+xFo&gm7p>R)=rdKp7jBRZPer^-eC_N2I5ng%$o[c&$ldjC'*1mlXf;
U"ZmVH$JA7S1w*'\#B<N0$tv9a]cI>Vk2B8Dww1wONIm]2TU2Y)jjQt7V?Brl:Wk^
U"Ys5-lrCDlM>:*4CphFSKJIqYt5qJGO,&CloZTVa%lSv%3pt6p/7HJ;U)tq^C2KS
U"lenKP_lV-)HdlOltnY<cV'q'^ffgkBZ?eXU&?MO(j+<0)^Xm=_j<ZEZBGSI<<\Q
U"+23UW3Wua[[+/g8rBvE30js*IvVBD8%ENgu2K3eVa]t^cM%u1hniyd8WEv,KvRT
U".Rf?bz&U(sOfeWX>)dPoID2vZDW1DT5Nc#IU9;jBF%w=]:WS_ji7i^Bqb0ik:Rm
U"9J+-bO&zX%rAk(JbJnf?gYUT0yN'h%Uu)CGP5T3/q>kh_Bt+/gKf_JdobsQ9/Z,
U"*fwTx%26'engn^AH&tLlAs$gp_PgR+Hxr8xFpF/XZU=A<7YC2FKTIjCl84Np,bJ
U"=v_1s-w9Le^+>d8mB:H?$1fIsX=p47Lw:7D7Pf,Vaoe.,AD1s)*-?Y;Pm)o.vt>
U"&sHV4w/c\1Gj2a/'hndHBnots27%ud:BC9t&N:]sN<LpT)/12A[&/I.bf%u/e1k
U"6sqB9PD^J'7(r3-P<L3o.s#B=Aj%30,n=QO_-(/zzC9Gl_.a[.XJ%7QENLS,>=f
U"r-IO#e&G%RLrzgf/<p;RIjUT\3[q>TXfgZ6Kf%p'%G9Aa<W$[p>9')C4,2VrPvR
U"Jp\;h:F.XheFSxcRc^GbZE'(CHhd;'URw618ZeqW8'6a\VT9\($^h=_)-%q.#9p
U"+Y_t%<lA:x;Y2tNt[h4p$tE8)Q'uTg(ogR'*O+T_lv*i0s0nPQ8JMRR^7J5)i-p
U"b15qmTy]N\c9_f;VUHvOmtbcA5(5s]+LwjR?QS*eMcoWn)6_ZZ$,$dU7eQVIPQ'
U"f3)mNcD9-N0WCN7FT5w;9cwrCi[o.8m9l2#paBkgw46-YxXUg;(l>W=YnTdx:OW
U"wR4lE,[9G5x2ecjd1\sdQ>xDBEVN>trd<2iEppf]gvR<3eHjr^>I5Ne,2Yin%p5
U".x)FNn/zuCIWkVD\J/u&FhH$+VL&sG/X&t5J^0uOu%aNk+)1'.Km:,D4Tj[VP&S
U"opA]\;=C>dLtMW9ld2-g_(gb>%_]1_PuSS+]'Or<:3]<YY#B-[a6ojM^jb15dmq
U"E(%xT+ex4=vwDgruf>pmT0g#ZAwYrr>wwrNICE8P*iE+-_e=M)#t2yDBRD;*Du&
U"yDG,UcK:/z2*5UgO\6*7RTDIXFc,BM4[ruL3/P+%,Nj,KTjIqu;qlI,/>*C=mm_
U"lq([Q+d\,QnaN%6)Kv(nug=X08+/nIz:mIt/5%=:Uvn*:Rz*%XdN-'py[Is0;=+
U"0FF[^\[_I(UAD#+4^_OGC(KQL15gQoq[3u_Xz*bcJ*QlQ%=f_D8ct&Otnw.kTbz
U"^FtN&ugPykh.1Pn+c7$D)1V0Qu0gtaohaH>L-Xz]0i=8/bR^Dkla[$Q>.B9#P8U
U"v5o1P>(cy7)A8[q:h6VOMFl0R7-s,2X3aCnhUlTM?7oqKRD(WOOGR-iUQ][1q<[
U"uY=4MFSZ*c[6j=d7=1]l:8g)*V^\c05^bB\BAz1h[(,)c9GGNzN+/)ZY,()Ynsz
U"*3\+8W/VbqF#iOaZ>x.0hRK>u^i%&p=BwA):TWoI.W53*0/kQCHB>s&^(H#8O8$
U"l\<[u7i,8KSN%jW0#uWJLD)Wqf0h*F:FjlVE&Ss'HIHAqba=*\e\GmVuUH4RE&C
U"_fEf=)qq(e4N[pz7ZacmcES0ZC9d6k'ahAEp<Q%StRd^\k[:ZD'x,8WN(K[jHf)
U"OR6FVF^^Ur5N3(W6T7Yuk2IP;,p(hjw%2YCEIn2=>Ox7Hf8Tn%09WcO*mOH'LUG
U"Z)[Pb:,%I#93w<(U3<A8j:a2(]c0HAue._2(Hwe>Jrn6HQezdJ?5-vtX>E2iM+C
U"&p,ft<]OWVREnp^)(wl[JInU<^OzW8G--Qv,]%2E4/P2.Tl)/f5O*)R7zW,moly
U".mJlg%([Q)mlMiGI)M#DG%Q&m%g(((<(ngv-#g[$R^4or9WXu(RQ(Wh.Mcr%,he
U"n)Wx=LF9H'IYu8WIEPZTix/w(FcW2*2yh_AtJ\idOug$.U6e)I?$FPN_aIq?d5C
U"xi$9>eWrG;l7.uj+nEdK+p>KYsMi.+BSX,=XoguD=fgUgas$PSC(I4\^6JZD*D7
U"jd\jX0IRuOt)Z/1F+6VYLE9e$TY52N_E7%m&G99ZTNT[ExYeeVb4>9ahr7o]JM\
U"Ci4EcLD4XFhMq'l3Mi5#qbs8QJ$0GNna_];O^2d94M4%2uqB1KrM5EvJE<.\JuV
U"01jpVD19nnS)f;(=q_AiCJxxy9L+XkNbeW0XF'1Pj&]xiqkv+gTqH2V'%*2I=N:
U"/f>hQ+6X47nko+K[f[d/K_fxc/8Ib5gIjl_21W8F9b%-.<+0X&l,8d))q[?/)PJ
U"zimO^\])THMM,3Awe-P7u3M+iM\ks5UoD8g1))xrRuG**38cxU,0RhRgcFG#o-)
U"E)%M)U_)#NZ+m]M;nY56HE4KMCkh[tMF$+U=UDT#tpxxEuQ'v8G2kC-FkTDA6]K
U"M-Z^(M):e-ah?U-Q<+YAxln8[E1M&%0<c>+S;,\/eKoVC/?W_q^r=8('Q*e*B:j
U"qt4w$uXxwpox+xws0v$XoQ8hhfKwN<uxwPXfx0pxfu2nIq6NxteNJNttoMXq)&p
U"9pV()c.V,Yxlou(7+PNqbNWi.x2*>?-D_'Nfia[Sdkn>)wlf4rE=Uv0xIK\Gcvb
U"<o_>o4'>RjMINxC:x)JW$57.4Q4BDIAJNCu=+Qt_J>5q).AD=hzN_xgR5'2t15*
U"q=<*LDV55L]ol1ft=UlX'>,3x]oldUx=7iHd47-f';Vgty4Rn4o'VU/[1e$-q[z
U"#aMBfzj''U8nJ&a-PeSREpE.w$Vp_On-ZepU/+7TV)I%-Q*CD%g3C,D%-ALuS[j
U"BEUGP#iova7_aEQ#N+F1]-&(F?_*r%;\oHuU*JR;--Cwz)yc8Ce_?m[d5rRRDpz
U"Vf.1GyNgX1zMmGd?q'N%\wdAwdC+RHpZ/dp4X4$bR(0Imga,%j'GIsDZYQ&n8EN
U"9eD:t6fmb.P[\_5sWE%BP7HoWN/JT[Us(,iXnQ/f:K$dME[+6*'tKvDlMGik/jm
U"g]xfR&^=sz&.oJxunFN1^&u9V&K[Q;1AR9mP:(K5oR?QsYG/5*(SaV,0\a\*.%;
U"?OA-9:k#CtC-L4xIP(96Wtx=pbH5k=:/GJ$QinbQPw#+lkGQLK;Y038xersZ\a4
U"7(f61)_&21(B[?b]kI1tgE>ys#1gOpHGVh,of(m)hp)Yg,&=gmdy_NCn3''VLKT
U":HticY$<fa08^)Qb:<jWro2QFrfcMZ5-=3aO]Yg+1%/C14e^BUo#)CqP+qT6*Q7
U"+UM\n'+LB:%&qP]VJ[&U##'/7ngVaU]WLEeXeJRRQv=/2UxS]O4(Y]IF\C)0M&I
U"]^6(XsMy6TOfQ:TsGVCrx<Ve3Q0'1v_RkHA?]MVS1O,Gy2a2vbV<C.V)DLeEGI2
U"EyP]:MAEg>K&N(^wxsPSHHQ#9eFU'&&z:&oG4q2+gG8\p&])/cug+Lt6WE)RG[O
U"4bTU[;h7M$^5EHe),[;=hz_(,S2aSIRmHOLM+%g]tp_O?<0t<eY#sA&GIA4-o;(
U"3EaE0iTKH?^cm5jP=KaKUDf];tjcMwUk-6O\2+hf$Y\G=GDC%4.%,jt:(Y5%7U4
U"6NL%5'+[=:>Re,Xq;LHFu%T3^z'yP88i-UECc%[F6VyiN:ohIQA7;<4%*51[9j>
U"5hyerRH1dvTP7E/J14uLL.kN0&3ap*'H9T_\C'-FPclI30j19K*4Bat];VO'2Qm
U"QqU\<4]JX-8&[ZBMi?\=y#OgfpHDN6ZRz9?>:[Q=b2jVJqmn8dLY<S'#k51-bU&
U"SANZ>(/Lh?4R2Z0%(<$]4U<KfOi_/Omfzg,V([WG4>Kdp;00Rg_V?)#F8pN:0q*
U"4_dCds*;lA2J_b;GBB2<]j:8*lvQ,?i\1&LW<0G&QzN>h)y#<WVkE3dg<_i]Cx&
U";58dI6JeNT3H>GkU,9ntX7sl9LHpLRD]FANWxfs-;wtpOnFATK>NS9o_#E+GSa0
U"Y?n=G[fh%OV#(H2mimvprCgW%PkZ<EEI.Q8+-l?8N0.?\g-,53x(^lqyR055%C6
U"OhU&lV5S\Sx2S#l%[zkz(y7J'5^O&ZG0cAIXn,jOS-/^'Dg.)7gNgbGnqlU>H8.
U"'TGzA()1E[+A\s1(#h+FRM+;bUaxO1\(pB\A1)E2p$'QDG[:;?3CU4o-.%wLt;L
U"+<*:+Q;qcr_p+z;(#(SwdFHEClLV0b:*pwzUi&]^Ki.Bo\g[B]ExfccDl3uKYQi
U".6iEB$7fgB5GJ[4c\y>1#d,O?c5w8->X0H?W7F35]rye<WBx9I_J(9t1pU(Dtea
U"nF4:FiK^=8DG7QOom$&Z>?/Tci'.%1w>+?wWdd2#fZOOBnoQ0-/dp;k_u&qZMua
U"L<B$9w:G(a$h$Mrxlj*XtJos=a'$.^Bm.q]O7kSyNEL:f2$Ncl8kcY;'fTM5IOD
U"PffEtPR)KG015Is,Gg8oO4u7pnPq%kNo;1#tGw='Hp4W%Dl$^/W$uRR*<cMEaN1
U":d2)^lfYcdTSj'I1QaWA6%7X=%Hc06='Yx:SoR3'661W>,OZ[wm1'uN:-?d$V:3
U"^+_MK6+G>;to#0[m,qGJvi'FGSu%2C'Us4GqmY,DB5a;]Tr+\St=&rIUO>O-C?6
U"(dbqJ9gbsvM/O+mv#MCMx/hEQ=A?r>gKU38g+3dV0f\3[.:Wha%maXZqR\E?h7h
U"/E'0,nXECM2'x3qo>&(1oQbB.L5hb8Y_=jB[uoK6uIC7'0'h80n:oWazeQQpE35
U"'%HkB8E]E4)j=8(3;(W5).2vCEdSV5m5l?b^xorC,I6hb9QFTvIL9TUGwh3o+$K
U"MZ-2MML$u_\a(<[4JgvCzGJ38Dx+=\]c\iha#nF3uFItU9t\5EJ78[fX+7e9vrb
U"hRVKOM9Ted90tl0D[8z)T)mz?cAVd6a7p'(E]9,THFmmd^Ay%*rZPQgk*rdBEO-
U"b#Y\>cKKZ.HJo)k._LSr\+X.vx/QQIv0Y]c7G4*[#S581UR%<o0/jaOvt%G;fBf
U"RnYZ=\F(=:%#VagJT_n0-*CGkHm0Z9aQ$CRkl0]_2T?rHvI\]kJE=Nq33SJ,jKo
U"QI$OQro5<PBGTo(/lopq&=\;8;KQu#7hs4:#&&ub\JH9hcIN)^1UFI\rd0'jkFL
U"0QKNf[sjW[J.k'eP8Seji+U?s$tPT_/\R)5mj,DxJB*n%:e,Iui%B;fAkhjDp=A
U"U,2No,C\V=27G1BlI(_]Y5&gP0_SA&B]bi&G('uH6R%Z#]DBp'P=\+fx<j=k8*y
U"=h9Q_:hT=PegJ2Vt'*yO8rTZ2Xsxb-tK\Ue]b4LV)kqjOnQ0X.$e#A#+2\N1VEs
U"cxS\o;;3A^kg9QLk'VKH5%m->8Ie+XOX=KEZKo3oD_nB:#kt0#74L+bnnXRuB9]
U"I.oP<)hO98iiKKP;k:F>Z2.P./Dwwp1*hSC)p4F74NW-:rcsKbo-_nC:zt76a2e
U"x#G+K*qdhDS4a\C1(;Yt:ZJ&=#pA98P>Jh8JRh&?,aUYt_(M]c*GA2*Ip/=ra>Y
U"q-MSn4nCIqy%4KSwY4s6K5a_K&KMf[=QY;*DoL.VO.03[iH'dXq4L9l-4/*'=-o
U"i]p(+Q4J.Qq8)rKOAd/Wi5%RjjKGP4AKRK\*bALjll&t<ph/^+<lo1c:*x$[o57
U"#ajc)kW]Z((71\Sf_1l^(xa,j\CC]E5(H,YIp3oA*AiJPOY2Dmz6RBj8Ylj/'JL
U"=E/_qR>/VW0'Duu(92+blR9E9_YEv=J23]K)[X,.AWngwIe&h_K&jcxpe$^O2,r
U"1U8t)P0n[I$v3ZLPS^u4I73bUq9[vvg1Eb2d')(j\-2Y%*R$u]hK<1TV,[d>jMV
U"$H7,Dg)OC1n.#9<VK;(SCfCV*[=*E$]=XcjV(wxFr]X>COlQV#onO>0be7vqonm
U"jXj61sco_^RbHj0?H55V2ky#Yg/fqeAHrN$y^\dqJYQZmSPHkH8WUvGN2(S50Qe
U";N[7JaIQEh)9G2t+[uSo)hL7OCH&iriG*BD%]=%XbBRMXtgwH6IINZLu39DO<C7
U"=8MXx4%mO/hD7Me;j2N%NNc5JmQMMIEseNjdhl3CIju9H0Ki^w$2%eNhL5hLkX0
U"_5W;<MjUoA*h1HxG[r4fC?rLJb1LLG;$(X7_hY-?O&K'Ol*8.;\Md=y>fqDcG;I
U"ezCj9k0H\/\XE%4>lftJwv]riK\Rb2\8GMBho#0GqG7s8o^HOh&1LU5bEMO)m5^
U"&7C&3e6.Ti]+.Mejl&no9fmVetj9c0bc6v<N1\G#4'e79r9'/nm_Fswn11Dx/-O
U"j8Zm4$CE<2KDs4y(<xS*:S#sH9gGc.]HK>/=s.-JGT5;Dxn%4sD>NnQs1xFF:J<
U"V+sc^TStn,#A$><sksE8fv>Wc$H$wI23PFDO&?\(VKwFW<&E2&OO&aN?a)4HN'C
U"N4FJ9xG97fIu$?<9i0gUVI?<WjF/ASYb;VosmAebNnMD)f<&^PwgfmbbEekmdH2
U";I;lg&L\[fVDX'R?tGWA6#M]8a%0-]?ir?EYoXP>f/RIl;8/V#UzyGWk.?32rA\
U"N=QaZthDR7nTM1Z,kpS_FSPb[2T$llfaaV.+ae1cS=q\Ih'0=B^RN]<GR$PFU#5
U"TDP^vrH/;gzg2%)#P=C0E(Vnt.dbB+Np6fFoh\-oQ%na,:rR?2>pLENw*q,jGD)
U"Z[ZrJ++#uVt2m%%566/<_4q-PD63]s/Ax0?:eg;iGo1\xaq[43X/x5g%'7asA$^
U"ih_646soS'#KRK8-0f8>q^d-0H?M1k85n5FW&>m;sUeqcV?cNMxBq39:dG&N&*:
U"3ecMj?aWYAt>EwAz[?Y(aKmkfNg,9$s-[7DM_IfI.^$'e//m#74AnUH71uxp31C
U"-H%Ipy3-qWeoM[A./T/iSVPJQyWf^)[4+9x(A5][MY+2Zx3KQaK%WJ[vVTqUy_.
U"EPe7ej(ink52N,wq?po]nQ[*Wc.XgydW3/&2^c]G'a'<>VNC&r>w=a/3drrapWD
U"ZepJ8=rJ68[A%B>%Z_U.GI82,-cW$x\O=J]B6a8=>.9cLQwvZ0ay<u2Cy7AOq98
U"_M4;^T=2.=hQ0;dRK>h7V;uU-9GOs^&5)fLW8O1:h(g#<q5^Oi3PO^8><ulFFZJ
U"Z'&i42Uccg%xoUVa#K0m,um?j\LraiLP-4<.iMteOnaQ=8>,x>A2BKFKEV=U.')
U"+7hpvZ:Qy:'#u-YH*HjQXoRJ0,gd>Wj(36?EdGw/%A$/Z[R./K[8N?$h\JjtmZ5
U"RARnO8S%PT/fZ1&PiaoC9*Ci(&wb/5b^E'?S^KD*<Q$ViMRW+y\c.qK>YOcZG-Y
U"67GeW.m(-Xjef?&5'\qp%yyo-QGLmm2wD-FqjrEwY=Evb%oTnnshC'YI_JGs;]y
U"glKITXk#%F]Gdi3B9H]&Ph$s/zdDMjM]rfn)/$*?J\q(lJZ&lVAJ8k-pN33MY?P
U"<=Btq])mKKm+FB=o#Fd,0gBC[/R,Hc^P]p=TO_H]<[Td_D.\H'OOx:PoXZq+X4*
U"o//=XG5-R*+J*Dou^%T%*3tY$m]q,lN6-AJceTMdBA3uzJ4if[;W*lb?.=mQ8X'
U"S3mrh^%n(mIdoU$UcwkpB=,27AH<8\/ET]A8Zb(WTk*Il:D%dEh9?a91L1'rwOx
U"<phgK0;ep0\g/%.JPS#bW[hck\zXf:kX+0ge5b^,E3m(y*]<)AETLMyc)jm><KH
U"'FN&OmR,$_z*^[o+g>(U2C8G%;,IhhxM)tsqYu#M:P>kWYRVM0Px-D-^IbyKD:4
U"ouwhgSlDGMQmmC/DH.zVCMX__0y;s%w[(d,L&Z#hXtxKI5Wo+bkS:$MF/QzWot&
U")6m;y3Rm*=S.zy'XIN*f31B30uIulXyTT]of3WrtiY'(an/<v6Rp_f)JGW1)^%t
U"gI9:J0Bkez8$Z*sF?Mb%#J>]>Lc)0%3mUFdbGrcwA)H_9)m<Al#?w5eoy3pgmnT
END SUB
SUB V4
U"1sGYl.aKv3'6nUWsCe/(GWo4dCwzNFpn*Ch.Kwhy*o?\u)Fs%;nOgPvLgEWK<JX
U"=0_3Z9/AL0*<X>FQe3U+87M.(QdtP<H8F;RqQLl.pmm37,PjX8pWCWuR*UH$;i=
U"dVuFP:ei&]p?y7i/l)la?%SRSX&ct,e5mBaDkC'9jSwsXb[]N<a&:yrXy'#&GKT
U"4^q#4u^,l61,Dn:B+vaf[R'zbz#OQ/$&Bg&d5XBZSSp-ppIQo,y*s^/'p,wBvq^
U"*61it*;#2YGwDNuqhbmmXB[Dlbebrx?x2fZd8_IyEBY86sJY&m^Jw1sXcxIaXtk
U"fkXv5'ENs^L:skqrF/R,Bry/o=polnHu4,NebVaG:Lbi\PdEvaKUy8ja^0)Oc)h
U"wR,F,h*G89)P3%cMwE%o$11cHe;nkiUjX=j;S#UcRH.7gL_5Kh]9MVB;f[Yt'uR
U"ld^5(VT9T46Pl95*ViT',1nI#psEA^2WloTAV-el*i*N:xp3>Q,)CC5On4FI$N+
U"xkJqg2er?7<DlfwN$B,m)Vw?nW&/q83gp^iYt_fb$dMB=;_1FyT4PlN?s$KW->$
U"apmTr4L7#PeJCVK2/X)S\Fv_*a*3JsDrSL)sO(q;IutYL#EG:qwSi;xvo$W?>?B
U"<5:AFJn:Ku*d*^S/ooNZgVqzj-rw,sZ+'%y;X:',ja\/j<w#:*oSRJ3<$M4ZiX/
U"23UM#(voo7q;]-slf>9Hc*&5Lv>SLMu(Vxy+38y;jBUHojMbLlYHqF^>TYZwgHN
U"3Lpc?o(0AN-'JJCf6I'4mOyAfYpMZ4DS/cSujQ*2JL,VAHE\yissJF.N<P/KcRb
U"j+T\f8On/I1?.:..TUc0;oX]M*.r5bHYLC?r?RNJ.Si2t3Vk57<VPh'^=trPh5Q
U"x?NuGYPG:3?Ur&b4eud:IZrf(OJqOh[QNk?wzC<h_vv(a[1,eE;zX;$6;zFiZTM
U"LqT^G+qMw<i5MJmCJGjNY=%ouc:2K('omA+Afd.[dP#wa#087&O*=HE)USd/qWj
U"o8nK7vjOYbv&;(<svL&#7yE:O]&'o'PE*g2[K^x#[2,hxcEf'^8vqb[,rSclLzd
U"qI8C8#+vpk#4&/+SKpdfk,M&BfHjtC9z[B8sgTSGAUyz&7&jq<tYlMjKg.k?F,O
U"Y201SkjNgfX2?6RC*akm9tw[LkPJ'W712:X_)mQB1IVnvYBfvz+ENy]iRxBT50q
U"HT9#wX?xtJ*U(S($vaHhPDmaTnS[l\uaMl,X8tOmr:n\dofrk]$we[gJ3cS;kl]
U"<1)(&>jvSr%a[^:dGVyTL8I?p0Cs6\jl:[_kq2+Y8>#W,DFsozmzaUh5M/wc'1Y
U"7J/(^&jFtE<zP9#BI'[mN?3[Berq#BX:&]JC<EdKxcF]U<y7KYm/YGX;m\=nw$$
U"c?4#I&o?#_$o5vYL2EF(b-[ThFzqudNkZnDIPS1,]#e(G/JxLoF.W#Ehl]EZY*H
U"sg'SqEd2OG$YK4X<)B-'PqZ**QeLh,'R675g.8WMIDTdF+P/+#EQ1bX^NR&[QU'
U"o'sL.;a\X_P\5$M9xjZ_D%X,0esQ:V.w*'_sry)Q+_v69f0'ox0Zn0=9V)jDw^P
U"a%'=bF#oiU?Pam)$lBq8psP(^-2]]FD_FB(atj'0-Z'PPZP&w.7bC#:tX/1<VP+
U"4.P8.hGU,_1keEbxk-&1QkGf=M5IYXqyI#:[Vdrn9NFzR&?(;m#ndymF?m\9he/
U"0g^+&jt0Y)nMK't^12+07Cte+)mSxVXXp3,P_:kk00OK?]1jIgfI]MY<I8:-*9^
U"dAF9nGKeokFGCLM_Gi4;bq624Ct*i_%[LM00PgG==)PYLrs[V,8=2.]3[4c$#=t
U"+E\%o[PpEnJ+wK7flxJbVcZsSlV_.I)S15sg4/NZ%:rW=V%G01ILoqhZxoLP+>I
U"(Q?TGRvrjR2z$Sl%QqTc(5$x8k$HQmjBsqJIEm$ZrrZKa]qSdp%IL+ggzk#[DZ)
U"_b7_KZjr^cH6?#$WXOWfv94jfw)qujK$a\jHBQ6PyyP&(9&dOlr77o,a=50VX0D
U"z8w9j?EAe]#ZA#l?r)<.>=ke*O?ao'k6u/+A4\JOQF)>rsS$SOIuMRZut_[?,1l
U"xTn24w7'2U?L4nHG3#HGZ4Cb1xfg;N?l>(#Z#iXf?hkZ*\pWpAQ(d17o]g%c_A9
U"4G9*FopB0Y/<8F,vWW..Gc,?vK&ZbEamo8812(SUaqzRa,$5=cD0][#<%9dbTS0
U"=Hp#%GBNI<2$tK2Q+/_LsSDA3(<A^r[%^yA3_0f&IAM6'C+qw%GNbe,.be]Y>61
U"R*A/D5ta,^=C#>(G0sDL'q/y+g'mG)]'K>^Yg1XdVz<.L54/Sa/UjAk.]U(A%_/
U"t0O%&_o0F.bi7#o1fpm^Ia/Rm0PZaJAU3/GKpY4L'PvTj,A]_#Q:w;.6=y?aE09
U"2.zUM)HA'kUPVG_Pkwc#nc'My*FJ-=T4+Amke%9\If[o7QL78nj)_j15*2nia:g
U"t-gF^ey9'T0uaI[j$suBoXw$]E[J)B90CbCnIvpkv+2*\[Y_pFx2$^GGQRLAq?i
U"pa&/nSVE&DkS=82%pD.DiQ?IKgm5BOFOax:J-z(:l(owlGLK6pnQ[e%[O%We3nT
U"5-&#r0zPEeoGGY<Zb*+Y/caRH_]s+b]59<kl_N7Y?lh4ZUqW])XAH]+Rw[5SV)r
U"5DapZM:Uv#9>rpLV5<'OXbbxF2h[YO(8Q]U^*mN%up&'%9%9%%%%-%:'I?A)&]'
U"6))M%%(<4&%%1%%%%%%%%%&%E%%%%%%%%%vg%ynux&.ySi%thup%*+%%%%%&%%&
U"%_%I%%SM%%%%%
END SUB
V2
V3
V4
CLOSE:IF S=77AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBT.ZIP ends here. Last page. TCHK:77
<PAGEEND:"Fido.Faq.File10">

<PAGESTART:"Role.Games.File1">
'>>> Page 1 of RPG-CODE.ZIP begins here. TYPE:BINAA TLEN:53818
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"RPG-CODE.ZIP",4^6:Z&=53818:?STRING$(50,177);
U"%up()%9%'%7-%efAW%)I'k^u%%%%$(%%%-%%%%rf%uVSrRfu>a':/%5m5ihCSn]
U"Q(6Xx>sOgDiaT-N^H($VfsBAVmqf_JWF=Q9wDco/W/H$+(85rQ3LDr?>^gk4\;A
U"R_AF<.in3.m#6A:<tqu'U/up%()9%%'%-%2+>l%6iBdk&T%%%%$(%%%-%%%%rfu
U"W%Srfu)dav/&OU1hWxTV3^DZ^xKZyYu/:\v97ilswu4e&gW&;%%O]Dm?cXp.C5U
U"ct7GV/pw+h.i[QESZAN:WMi&$bZH#CvYD9Eq]HRoXoZk_&>a,Sj<;(i#^H0?bAs
U"YkUCk$q2k5/(X#dU6h(?%:/ObCq#r>,L;l0DQ1;&Jai5L%%up(%)9%'%%-%4)Rl
U"%8i0(<g#?%%c&=%%1%%%%w%ulRh%tijS[gfxfjbvFTp]]8$H6u4wZ0h>h>#5/8f
U"pHJ6qmj1&56lDn<3hgtgl*C%/\Q9ir2]p(%d'EJHC*8zufWE7ZdeT%&em5)%&5)
U"&\C,cCm*QMe4>96NRK2tK[Nj%RjIMo,iRG;WX1Y(69$\q>f_Wdiq^hGY;%TjRS3
U"/m,hg;>fLegPWXGLu'B>$>39b'8kSpY(I6:MK3jXlG-mXz*r9tq6*nGD?Kn[Jj>
U"7T-nsIo'et-Za3,LURu)Ck2-2((<M295TobpHBRh2lkKS]InBs1rOjn#=n)VK&(
U"4-YZ%R;pckZZcgo;/Kdj8G+$B?U-QrGFF-nmL(VR)E//S7cgx#6?Ly$SZdmQ?E(
U"41OZ'MTTc3a,RJHup$p]<6g,8wnl$A)EB2YlZI9FqlIS16Z$/jIK]YpT7/n\GFL
U"u38,R2(gj-ipn];9NYRCnm-Xvb4'g1Z2^3?P/0C58S_+\T\YJRUIiJau#2+:sK-
U"KI[$MCO\:qR5tLG0_m/28sw%Q>_'G<9u]'=qp(.mLubp-gAJ%BseePs[*)Dy?O$
U"%QaB^=Z\O,]11v-dUm6K)\U21K3ny=mxVNH;E$g+BBV2;:KRI1B[-cj.MX;GIz7
U"h87r9FC*R9FX;N,'cc6L]UV+7LD[IF/h>G;42%)<5TRkoVPAhEv*f=&7*S7efre
U"+YjFhjXP-Jr6FVlTT)7J'2gSNQ$_J$XP$2%E-HKT=Q\TCXL6d_58ob+Q_FR_'aU
U"II8ZZQ&Kjj1Ek-q#qm5W-I3-\G)13c+DyX0XO8EHkngu9ID/UpP<)=>yg[/7i4>
U"C;S/41IYmvO[bCGj\_#BQ:>mz+LRJ7gZ63Y.x+)\)hU1Za52Oh]2)jjZra]_$ga
U"+)R%slE90u2[vNHAr-j7qYOEUMV17O/gdV6Rse>S_cY#mTpgFEUw(-b3[%u]iD*
U"hZ_.]?-_m)>1C+Pm5]7uh%0_sTMIwN5o>5,B0GPY(qEV<Oa7n]K)8:A?M'Q\b;I
U"vXwd/#(cyKN%5iD3N]ZIl8iJ[AP7s?\DW2)0NW]BdHUhq\i=ao_J+::ER2o9hY(
U".W+_1b$SY2D:1\MIn=>9M=1FDorLkVW1olTm.HIR%2ls0KIf+0udw=jxE,mf8I$
U"jlTsWC6YefP9u1;'#q1j/DeGaCQ*-iCH-&M^p8_tt8#Kl$c\.^RpLR>L6zA:);T
U"\(;n#tI-uFq5b.$=Z[X$WtKv#5?oPZ*-WX=2v9)M^_RU.dpiib1+$Ti0#c9ZmJv
U"D]e77V8rFstYNY1NR0/f:cS(5Z7AE7'$u?5i1Dp(zUho1d:b<qj;+y;Mj#/[eU8
U"upsQX<N*c+6d3X-*syQ>U+E^T-QU*&R[4WfWJh:%VxZl]YFcD6MC0]3?$<#9Kh=
U"w*1HGQCG\z?pss&K'5zOE5POulWf5+GA*HIv--G+XSpvTaHUk7r\qmG]q-%91tn
U"f90cx0,8QAjg&0pa5SiA8+xLM?E96?UV?]Cqx7%R9ENZ1WR6E9Di=BO2uxT8&Z>
U"[-(Nqa.NDgG.%N#>%v6x#6km,&$Bcb)xNqinKPKeN8cW4TOY</Vn5,XK+oi2)gj
U"18\$IIhOGOBhC;kPkXJ\L-pQ_e5(j\IqgzYYl,lVEn;auKe9[l]B:XFKDow;YRI
U"?Q7Rhlx*o*99SrKcF>H]Ud_b,,ovmoY+^s5)W6uiX,msp3+\oJ]#88%tOh]<;Ld
U"_,[]zGBEYo/,EOYbP%lG8*9DrTAXj\QnIG#R&UudJs4_4MBm]:BjYA3s&_Wpr(t
U"c-ciQL/2Kj/w&+IdtgIbt3K^Oa:d0+7Pl2i=>BMlnmm>n:NlHL\=al]70wD'gdu
U"'qYZt^xPTFtnuu5^&(=B5(;N,S9Clb<.5jVMa2KaNph8\9UPK9=r52m&bq>ERBw
U"Z37F2N<i-s1+Wd?PYRG[C_687WYF9<mQg=\sO]mmg-<)<Q7#GB<qVI/4ZR21P(9
U"<A&EGc?6Y.Q#lRCyiM<8(?k#\cR:L8]5?E^5C8YaHhp;*YwX\S9&s_[*Qng(B(4
U"v[[mhCEMCq3%_:V?H-8gqMCWyXeJQmeZj2U2N3=[x1mept:<^-R-<>*Si.\6Lep
U"q8'aFGvJ\-hbd[Dz?wFx>>9V$,TJr*#h80BY2$QHnL-fgPuK]J=$YJpsXO1rN3_
U"o(R7)<eb^8SS^hanAf/-Xk>\ILHzeJg44s_a#oKosSn/o:GN)m#d2,4U(%:p14j
U"PfZ:kBU=TA=0XZfEC#[h]I2cyW1?ZU?F03$$i#%\8XJe)=X,76=U<B[H*.iU=<K
U"EwU1j+CP+,8Zi?)#$vy=_U1*>SLWj;v8web82_3ZepHou6x=w'3(lIT'-]>^DIu
U"X?h-g$*&%(_'V<Uw\$oZhD)RxvN9U$WZhcVfo42-8u._#2JWGM1?;sHx2p<VQ>d
U"K/4TxNKO)n$-iX(uB96D*,E3#0[O7Pr>g_bdP>b7[QxjK9JtMyPu-aO.q8YgoVf
U"LU+3a<ner6h9EBAF=f#QpHoV6_>FfxF[<b%\\F.hM4sjmN6RvTIEA^4GY3gVcx]
U"h&/d$:1_q#5)D#cNzQxQ4Pnch.nT?1NIeANG8HH_*F/'C4h%9fR1Mw&,G+7MY1A
U"QM<B*/>2[>wWWa]F:+9pzUo5D^S?^iJa9h(\-&O.ZyN+C>G?eKNY5KIwk>oYES4
U"7pHzOOn^TfaT\UNh7xy'DuK.-hmd_w^4Q/VCZ8DNvSF-?<'mttH=,\35>SD7LR?
U"+FI<*fhS6n#e1,P1>uFnD%jQKBHJA:xXMu#g\eoBE/=)tur+^22A5=/-rImArAI
U")3#0Q9#&K?E?0Ijjz9$Jt#sbcL?=dRGCS#k+F:?zI%2B:>+3,]mx6_]F,;8Hg:G
U"mB&PL&a-7*h.W62HgStOkQodg5YiRfjo?p3]E6%Z**PSf1HKsyL$&GA$w/PaKo<
U"^OX?.GVcvO8YbmAp.v8?2a%8AqZgVWWgM0%]KD%#BWn>:yP$yJfzyGPw=LC#CWx
U"otZ*;c):W:IpO[J0(*x1wmVl%A-<CSKtsWY6Z8\7Pg[+Ne5n&Q]t/nc.RCl[edn
U"el/K0o_)2^9+n2Mtp=uV*f%EJ<*PMai'cjabjHbeVA-OIa*4g<lHA)FP<#I%fk?
U";U6v#(W\6-icL6ST[ccE5QgUPs?Dr<rVolq_=?k?m<_R;)[[Ba:Q_WY68$09(zp
U"1>sp,=,tfwHp4%4l^oK;F8n,,nHV]0iMI8_geZU8/i*\:+32hMN5Q&/BAtMM4g:
U"hvVU7=c6(Apl74:6<6ep3600We3<^s+S>^cYe?2BsTuRrS.u\'U7YW^AbY=m0;5
U"85q^BGmeO\q8Kx_HE4YLGMMGAMYM*6D%\1u1g+6Nf;NMw]b#]mVZ?1TrP+84^-K
U"Yb5>SxqtYwNOwgO.,jmflYFg,HIf3ifR4jD(nP$j&(S_z+>iLf5_UGP,O^^c-c(
U"W0EZ6od[WWl3cnmY^'ZwPFN6kNObP*R7=LiT5IQZh/E-gXcG1I1)Nd0u_nFAmsR
U"Rxq%[,XDHKAEbx68b*oeb>T8FbESM#QJCewBC]hX(TLXI#S&=W=_]jR&s8H.I?g
U"UCe/G/qmk'<f5)5:p8U<wpSg2rR#&_;>*)(LoF):(;BD32XsTeDF8xM?ML-R[qO
U"P3roA1*ACNTHjDLe'qx'b:aG3rZE'cr;L]^M8dgtS&$:cDqO\&Uj*-LC^>k[Mh$
U"Mfhjo/&&-#BkCf],St9r.;2$[NRZ>]RryqT?M^<tAU8$CZbcX^fgX>EpXe<4.80
U"9f=&oc-\SXqfGV#/XlF1p47pnO'tL7tF;g?4O-rSiXPC1Z(R6CJRB_kHr>C,WJ'
U"E<K>JBrB?8f285Xsv:pFG^dcLN^ckv97ksft5=xg'FZFK?3RR9WnCKdsXlG^U:[
U"iG3quMS=q8uq+P0qPorU)lZUS75\xXX?1f:+7nZ*#:_;[LOhPnDO:uK3>kkO=Yd
U"k:Yn[mk9flF*<[1hOaHUCr()b-CnbgK9U6SS8-0GTWVB#J6Wpm4re(rZ8D:W=Q\
U"vGOdVwGBG0\P_d)X\WSJkN.XP7S>pfluMf4emW=3MJf;<NfhmBBJo<PPrklGa,;
U"$<Udu-7oe(JvcaK<(o%\4]-JeRZ<S',to??eT1>nKL>m)H'GdljB<zO(8VN(9\y
U"Q=K%G-5^]jw5;j%,]27MlGs>4nx=xb1nCO\tKO4gfND7TD)<ZFO/r8v:/[wP)k6
U"x,%EOHmV)$qp;wpE9Zp:]ZuUI;CwTpP]\QHW[]].\uR2[(I\sl(/Yx_+W&s&jxn
U"F:(ru/Ucaj<RkV#WL6Hpt^><OK7$rjKbC%X6gHh4KbUk7</YI$G]^5Dl^3VWVVJ
U"2PY+(*wn%^A90Z]Y>GV:1T.%n#ptF6b(ghvwqAj<B->euTZ]0ca?we6berk>$IE
U"V.'hp:Ti+I,h1Q?o('b3,[],A0j?[%i>Ze;8CwouN3OZ+A--v5iAEznm)pg9.l(
U"3T..XRis%hsv;Zu#:%DUY\TYUjT&iZ&s#<AFTb&QW6FXq\O-g6+EVuCdC(#]g6+
U"xiTRD_%OuNtb)HNcwL#9&6VGa?a2-;xh-F_l-9HDYgEjmbE\9K81v7K2NXyL>Oe
U"*]Z*^dKLawchA%kd\p-Z.WkaLOa'mUYk^g%j%wb/?Dk$g$k*=WRtS-;^]>,3WfH
U"(IV/<?qx&JUv4)fKa(gVuww=a3Y>B9$XFs/n9-^+YJ]KE4F0ED9r3USqIuDO;_q
U";SpCW7ZR;CBFY(<#X]Ith<'aLVGw'?O>eD$]vi&:##tWJ01ykFkP_QE1uDf'OBZ
U"NA]1$['M8BqU3j'tx':N+jYME+FLBds\uA):tI\[QXi\[xH&5HGt=w[ImN>.3y?
U"fQ2GB,N*BfL:xB%6#SjhU/*[A=[AxiO[QX2W0XR;,7/fjB$;?U6h,IL-X3aI/Rj
U"j+2JXX/qYx&LK2pK'CmKO6F%9E%s%$8kq*\m'On]CUTYmyn?x7-R^IlXf6m#CCE
U"[f]N#Ac07U?B+(rdq\L1Bf#T<rLE$R;eKt&DpX^ML0rW%%cQW3R%'XG-+X%tCr#
U":^F#/V9t*:srGb9iujUD6.kc?p8_-DIQFdD>#Kt1H.l[k2C)?)l#IVpfi&Ii?'/
U"eo<^'xi4=)(]='&asX<(oec')DR77oZ)i-81Ga,?*3CutO%%8kZ>Leg[OGi=nMI
U"N7JB&7j)nrl:v,aVS050Dc4LJLoMkMlMklfwE]OuX\winVp>bSSGYUOYkv:Gw4y
U"d.wEF(qI-Q>p3+E%4o9^p-:nXr4FejxiJO='O#5Pk-5McDoUDI-K,>[g'i*f=lq
U"2t^%)U/*::hVz-&Q0/O5mv;m\V5-03r#N%][CM%.7D_cV'Zg0[A,WU$&m7%vu_>
U"/-[jem+SJR,K'8FnHK6,'\aPv*3sv\EB,A#(fxM=N1-3P,gga.I4$e/CXm;G)m;
U"eIf><j\$f0n,Ac8qt+2,G78mwlX4*8/yf(pPira-;ei[yNFP'4+Lds3qEuPQ\fF
U"-h%VlcW\a,ljM<kAg;LpGbO?Qv$(HMkFh#Ig^?q)vO.KEmVVyS)Xt+Tn[uc\G[o
U"apivha]Is87haA4%61N%P_SU(VuiFtl[pelIn-<'HdD.WU5PpghNTT0sWi/5kP0
U",rz$>Q<Jh7C=DBZ;LJo=1NeKW&1E0i95,s3;<5khcj+-NJJ9fV%d/J4d;xER+[*
U"WY6ArDxe(fg+2AGd6<F2V$J/>QpozopgHg'erLoOF=(9JUtqZZ#9v+^)1lk,c;C
U"6L:m:CTM7=>pfngmB,SA(d=f4tmW=s.HMM4zV=XCl)2y9jFI^XSBDCH.IkwF63r
U"csgj<91VjP71:kOmV1'm.=^DNZ(fbDNg2FJhy3W+I=e#tacl8e_yn8J]yZNL^xK
U"rGb[r8K8K-:d5b?H:Kr)fJJ&9)S:pS2d(?nI$+QhLQ$o4b-/6C_(Jmb/N6,Qm)W
U"[Pc=u#kUYln<o=NtaMblKMQK51JNCb;Y[UDT6.qQ\FD])4C:>jEelepDGIF0(Qj
U"[r\S0J$\u)pc5,Ru%fQMh.A9^Mt,+H4%wuHgZfx,Di;3V1>eBSN[AU,Z0NkAreW
U"dwJ[CZ(&9Ck8)$YvKOxv6hn\?O.Y,K/%ST;rFP'BTad).8EepURKV-U$BLsEAj]
U"R32HE%]J\?-ll)DAy]b&4GYA,O<-42bM5/F[>^H:*Q?g22<WP^1=_T'2k6l6l\]
U"Qt_Sr=8eH3zPTZqvNa>iY#i$Latlb;KNE$cLTa0mG=2<Tk*FB0xp6\,lY:AKh]-
U"ZXi_+V(Q^q/rNd#M.E0Rs\w)edHN%rApTr*iTdP)41P7;)Ts1,el-o_rhl+:Woi
U"n+d;G=U?E?^ldqc$E%tY/Q?5?fa\0MKI6u4D[MJfKj75>Y,Eo(QxP:'q;q-kOX[
U"Q]YF/dLtt'p/fd(:HB0.N?6j]9hD,I9pLtucZZ26np/N2DqY5QVzu04_hQ'LjzX
U"Gh&Y6-by):%ZNeZVme)m--Y^sFit/$tOLHb%b08ERz<,1SIg2gf.-fmGO_fR?1l
U";$V41DAF<CU'D5_2YGpw_o-8MFe^3]Q&AT3?riqm[&4(3ojTSuHkMr\<34G2+bJ
U"610EVH%vrFOOE5d/ZzMzPBt_^^q,P<$hNinfxVTncI1Xu8ORatV7AoKLu++1f:4
U"clcF%B'd3Fe)X:Ur#/V%Hj\Hbk=rBgWS^A>mi5pZR%<VKt7T>hVGZ-.>9R><$=x
U",D?h4uC>h^NPcpw*0slAu:Q##KK58jHnXD00G<Q&EcX495Cl]np5T/h-%eLI5F=
U"$/5cuqsnKTd<As=1c.TSpTU)=^RfQ44K=Xi1Ej763^GnOqG._?+(vSuto<7fx&V
U"+a=04u=4(f,W;pmtt:Rk>4h';^_]<dqZO^2EaRG*&O4e3lYO[+'D?<pn*oRsIK4
U"iq]*P<J$[L4XHp/EogGcPMz,=p,p<x/bddGpb$A9BpbY.DVv01pxo#\vyHu:^Vl
U"*N:mKKd=,XBNb8m1TCx+CpgryO%Dli5m8=^>.-;a]fj$YjB3Dl9v#RRO*DJ9Mx/
U"y=)pe[u4CWV3=0I:OY,J*lU3%bYNvq2:sn85/T(bJMo:gp+pI&(r66<zIk?(kiu
U"IYtwka5??qzJZbK9JIFdbnLfg.9JXtf?P7OU[v1ajopCg[.$++/iZo$dpgbo1td
U"eLU]c);2VJl2ymdDVhucZZ%_#+?E2;FUD9VL07Pau'*I.:n%Qubqb?sh#KqlRED
U"r867j\In?KCHkfoB]Kuk%fP-OSk5+TOQI:_>O?uMq*r1B]bP13zvG,#p70hEwlt
U"Q>=%GKxz9)6CX5GWKu2Dr2b$YGZ&P%eTLec/cZZPp7VCvqrwU((it/+kb5eSL(3
U"G:l%/XR(pvN+1HpzJ+ToIfJt&-l&=3R4sj<DjMG0>wJ?&;\qP9K0%ed8z6DO0EQ
U"p_1p[#Upa[,z5%%)Sqx5dCofqT?00U+6a5Kuxjy=yMh#B)_eSJ99WoN];+yOIMw
U"IiHa?6_,y<7>K8j2NGl>?LNpsm>.nZt'frIz5(P)sU&wl<dYO;'M8*pU#r+O$;G
U"V3eMb4Fd?YTKIXyUcq,N?:%4vgG6)J&46*XpspD7q/v(S.PNG+7PaPK\YTQhaAe
U"b:'y*IhH[/loVh'I11-DgY^JPhdgyrWgsPOAu8^Q8^F8yuqFOlBVA?I1sX5jWin
U".daN51Dq)%6E;t:h&&.sD4OS6*G?7d''+4D+&ik/y2/?X%aVETqz(OhV<T6#RAf
U"-x7oYNfl*8y(5^AsG?YL2^TdO,kb&SkGGWQI*#O(:qrG/<0t8Sj;w=-SiUGkrSk
U"YKIP(&b+/9Su)co91\?ryBbAT]LWxGc3LAs]0i]*vIbYoKudC0E6o;aWm4gf6:j
U",k:Qi-&Wkn1Z;Z*aKuES]dveyu'&065l56\o2c1-&1SB5lO=bvu#-<u<NpKNGG-
U"6T<:Io8uN./Yf^xk$e71c0Z-ntQp+2hy=ub]Va1IJxkvCAeR%*-&c.0=E#>2uIY
U"D0%o;eOLBNgx?'+_O;.8$7_3P_<Ko#3C9N[59=qvLtad:rhBk10aMj6KDG$Ci?8
U"+:Orb%j=dkZ$T;NrSPvt\V6seM#^Vs,G:7Kg]_x&S-CvKJyj<sy.1]%w3o]$_LQ
U"D\rs*5VPbw(Yl[CFCD,c6T9dEP)I=e2dDTY$&Vn]e[=a\Su1TAh%;aC<oglRslV
U"7x1O<S,N,F$Bq\&_)+=ax7G#X5(O]1URd*dUR&_Wx+N30r;f2Pr-:nMpiZ:8P/p
U"Y%hI)96mmvl.'rU8/C5,3eN/((k?J')SD-S=\:OD9,*F*feVm4DVO]jSUHwziEJ
U"MbQv%kC1;?+d0W[V[MLP]7sexe9(C=1+SlG7OWdn3GBEk6qUq\Vc:'&v*TX_UZS
U"N6<9bt<zuF3LUmA8XB[WcP/8Xijg&GYx>Si[n6:es)[,?0.Oi)Ps$rTbQ^9)dW*
U";n8A_nsySWT<JR0JYH=KRKD]AC[)+TdAXoXXW>/F[6pF_W#NG:xDQmfi0+0#6PU
U"H8,'W<p]D+bg/D))AU\mJw%IhJRc+.h*MP)>AChMAM2LKQ:DWv:CWAY9/X'&X=a
U"jB),-+Qo$(e4[\l=qHfR#SY]K]wYSU5AG$A;0;sY2<,lt56PR8Sa)j'e0pd9XQG
U";7PXvAa,&V*/s5[2Dd\MtsE%z\g\VA:&D,10uu7^+^C(:fd*kwSqH5.Ad'9vtpk
U"SvC6r5zF[FeSbbYfbdAG<k./D7cPg_HM-WYyR;]/+Ux10bkSjTiE^(A/eu-Pmj^
U";R(Ekiq^;;En0;$:^_mBm'8up(%)9%'%%-%>DRl%)O(p'YB'%%e%%&%1%%%%w%u
U"lRh%tijS^j'je35JK9Fj/]-7bbLXMhhCI/UUS5%LFei7g'Ge+ikII.)-_ngGH1[
U"QgP,(<PDps<3Xgj%B1<WcLA/gTsz7ztf#V6q-DVaQ?V/%C18mG>W]ZO%4j[f*&p
U"JG01nOUTv$Nbi#OPVutrww?rWHKYhbcy4x$k_YDcMxIxz((TjaSO(5Yhk#ovs#I
U"CmBw+S;3ts/vl$tNsHpdDNA^[JRSATBjA<q-Z3mZ:u27GPsazR4&OG]1K/2Yi;Z
U"rFf'Bv,m7eBkjHkNLDj>n2Z]th]sAnH(0uVndT-u8+GbYmp\,M4_ieg^HAn<w+B
U"Lq-Ef'<R>_,>*gu(7#FFsFb4PqeX6uOsJfmM&LU#IP]bU>uf'FNuR7V173[?5'I
U"7FeHa4-aFi\7DWj$-NRB[j+Es_/_&&D0[>R_0S>,gFShx/*cEQ*VA&oj4aRq^mq
U"NCZYSZRU<Poj(Y93-5?#Nb9jB9h#HTxo6uiIwFs+m,_7]&f?)u]'N^>viH[?Pf1
U"nBpjElg=RHCeeA706B'^ImuXV8xl;r$(j=o7\mm=?\OAZF*-b/sp%)1Jq%BuKX/
U"c42n+HWn=%qk12,63t=(TW??4Ih4s>(Td5kBs&.#7:HQBFmG=gW#B<fJNvn,>tA
U"V7;iIWAg2GaU/M>+>),HD/0#kP54fSVb)Zm=nuQuT&W=>J7Bi>)w)u[38lc380f
U"WNQ_GfMfC,Ui=X>(zfyVI7*.AV8'djI57wte_#v_eYL=A%\nuW*veJXf#ThO^'Y
U"#xG,B7X[ON&6\a'o,*j&U9AEeX]XeLwnP9M\l0rdxver/Fdgk,soMq/riD5R>+C
U"X;+V[nUPIlFUyRCSCPuPgt=,UyU?60qfy.oL\kPlm]\E>wVl%b0_%Qi$u]TYeS<
U"=Y&sa<Lp*=*KC?>&q)DTKiP>*S>FTK1cLfo0DUc+BTWU2Eg]e^:qyb[xMbIKr>8
U"7.CBxTYq0#oY(dNNBZJb'nHY7#..,aEhKpJtFM*M5/so72R0ASa*_%LqrL3Mh.*
U":Atk\V9>]wlaGjuZ&M,_TaXrNCjx7hDFrafomfGX5dbHGRx'C-[W&aqjulz7Ful
U"S\H]FHH:b2+d=d_\ICE4B%iOLp%p$v%d:>=;EpYpXMKM4\t\V#$%U/N0y6J%s=]
U"Er+lm2z\w(6yVu=ZSU9qL2NbTxmN3nw_TUXYt?yOXx$y\(uZ<3Uc#hFz.TUK?YE
U"5tw?OKhM&/1eFyg7^vV5k1k0u,jkt,]Ok&sq$1Ea0.&7ojB'B*j%E:fwOdSCriY
U"FK4L-YCpFe]rT>:K<07EGs:A'=ww[g?lI8L,E]/YrF$&gK(/%F/%$3g-CPDUZeI
U"gSBbD=aEi]=e=DLIIy>.)tp>*('9$]Saj514+Vkp5gLMLNP[Q,;D2g2V[^_ag;S
U"pjqwh#>j#wlUD#jbul^0=/6r_5x5p6ChnNkUM7.)K=:/85B83)s3Wf#9Uq0wTJL
U"ZSA7T1BVWnj]u4/ChS\4[G>NIae?r$eOPNWg]m\]s7O_pvaSZDDt/8:?M2JE]wC
U"h4ls*<Diz#%r9#ddLgVbyf6O'R(r/qMFgL]_P2&3U6#T7PHn0g91=t,[H;q2Clm
U"\ClU=l)j4kI<eJ>=QpV'V47;cr)u?9)T%%W\2nNn4+*$=SOR2g(ja1C^uu0KKCH
U"BaMkL-a94#tMrJAlDF_Zqp_Z0eQI++Jp71>%*>;/G85Bs1SC'XT<T\]CU2MsibE
U"_3=u2dg\ty[Gf9=d4%[yo\Chig#eikJa/5UBMaglR:H?.;2?gM&rW&Qw84Sw8S$
U"w8Sw\8SgO,8xxBjw_e/3&;kSZMux<Cogus0suR\Z'VISsGNWOY=I\0jBH=ISp(f
U"%>OsI3/3g*9FVG]2W?<tG,2;5O-IJ6>(cmehoPv:7+##3#T#*MUGyB22gOKk:s7
U"oV:77cGEjBNt+8#Z%Qtcq1_$]5>Xn/rE0I&AFwt]&5xnv3NI3ncaWiDosEdY5h-
U"UbJl110y_'2Dp<-Dt:-lgpgN=:']>gDQ1BX(][kHP)J-=IY/dR(kRAh>Ix8G5D\
U"9Y/u&(pQJ,yT6rR5Z(UAcYscn>&[gxqj=3t8'rBk#N1o.[iFo7=]Uz$%/Vo3V=#
U"ZkX+DMM]=RZ;/POeC^d&/h<r^18iwk79]eW]wD)eqLSLJz8Qqgv(=G:gEvUF$F^
U"2;8d.vq;%FWAwE[_-f)mX&0DK/*V1bo3[tfnH5-6iJNh/Bh'A9kHu)5R(RN[M]I
U"U5h2am$;g,rAXg\zH<=Gre$3:tjIZ=uIK223z?fVI4;e/U[nZ<7*,$2$r<Vj1:r
U"8lB=dk-\Ujfn2rrmZflEnaX<T,\<v-RzaXIJQ>Sp]ZRtKPJc'[#(Zy:)#^2lHR?
U"G5EIYXP;$,Q,LgE0b1kF0nOSbXW'JFZ;\M?2WRb$5Rj_+8CPNv^DPxC&iA6qNE;
U"+L]')TYoaLhi)ffh8VKfRP-o=A14c9ZNl$-dFryls*xg,J=8rsM$QMEw%4Ne68d
U"\m^7$a[d[:xWwN2\[rkwIf_6qegr(7dDXPARbq=/?3?[2xR#N$8G(\]&%zF:;c2
U"=4p^wwVdcQM/0$O#sO[Yw:^VaZ9dgnws-avjrkq+tOJlwD7Xg05mW?p-2cHKJT-
U"cfu7p%Gx0m'bI7p)<1fY3GsK*(V<^9Y9DJ7i[%7SeAQ)A2X*0670G6PE%1fceFj
U"sl-i6*+&m;0=Bh/bHmV48aiSB/t'+RL1Rckqg$Y2k7P)C&yUVEj0)mOf-8:y]g7
U"teD4kGsCnsad4]N2y#jBxm*]s)SYpeWU'HtVtkar9p#-Sm:%%sQI[,Swvbl_Qvv
U"?JBgs'S/%31AP>-Y7*kh/;)meO.SQACi'6n]/?Y,v;-(_>d?77uQSpyzXI4,:rd
U"xF8jgS'h0(3'r8,'V=__Ypo<RDF>SknZhtLZ3_pQ=(r9d2hC9)3KaH6PY?c.'zT
U"XenBwoga6-atum5?eTX]HxQy>EEeA\>,H?[BG][dPXnLM;=9u&^>LVNWRA&y#wO
U"NELZ&#msY=LF;^?G;_>m;H*MI0Y0W'u^>J19Ze+5pnVe95tLq(4dUy+M+&o6$<%
U"Ts;Hm;TgNDuE/f(F(vN9^H=aJYK8n1lWmr)HwWr:09Ic8O1sQTmeQ+3M1\gJm>5
U"STk>n[eS-\%):t#a;LD$Z$7RWc>*gT4cX7l;<Xs4cup^)?&Ru3^TIY$0U>LNB-&
U"'z,rH;q9M.L]HNrA.];5m?A1;S9UN:bc1X?r7_AY0pl5v>rs<>bjIVVS#?KG(]B
U"97AlP\k5v0emkKQsDbMn,CFt(1,-XHJ(_atUr,(z/(((CDatL(u3Mns2i4P(<?B
U"uGrjY\UZ*aF&-=vKnt/=\[sNr^=KgN&90m#)#=uV#v+K^bja6/YVeR+IU]xK3Cm
U"#9TN3iM5MlU9Jwp]cga'(SLBa%s2qP7IDK+\k1FcZG5:0Pb4e>QJ,c4'j+hi-;/
U"/r_'jh(ZI81[Al0m;R6660jxK^9?k_:S\5Lw\HjPQ=?n(=F)'vP%+?#N-HsUIc9
U"i#JVBx-sMw__T8m,C1UuU7FEZ^(4'7T-(BBU]?)+DO1a?xzH&I/.8_/[NG(S.I>
END SUB
SUB V2
U"qTs<s^y%G*V(r8%)(-vz#2//;0h01)c?pb;DXt+#p*b1;.%HnYZ-)a5MisDK+]'
U"/=Bt*k<cc^g$*Zme^'OF=9.zw8M9F+Mph4Pipu.$:R46a5>RZF'>]2Lelnik<NS
U"\.F%NW?=ysvNhYM'p0oCYgzWp+bvY[IW/'$>Q_d$6H?$-bFTBr)y<F]t710P9B-
U")Yc5N-on8JO;5Lh*B,AVet#9sWNL5&#Rn[JzJ&MPD&k8T;7JP8QWJ,&_W^yCF'[
U"uhA3a,(j>Dejf9VVV(93OVZ*B#szlW(uT3rXmL1QW6a(tSHfVju^D?n2?k4tVHB
U"Zbim/VVZ.U3M)UtBia6Pm)epN+ZH8Ai[\8J4'Le#kpA$?X(EO+jPW]mi+Pc0E^U
U"v1/J,%7$GV()d..EjmW>Mb9:f&/[>k-MbY=aKfpn<219a/1t8BYB+ZPb&lC&L>9
U"<lOb/pHx]<W'p)[10(ak^/M.dnG'r:P<2K<-k-IG]8gsf8BHlb[Wa,TSBf?&?iO
U"6b:F.nfSJx.C?P;:l.W),2a6wGHr?).,77vN2OK&vAXS'HoMrOGEllLI<'Q.X8Z
U"<jy:yr#8pv\?RQ+&yqCqAV*J*?f0=;bDI]*Rp*$60;H%YSb[*.Un,Q&J+$cKnmI
U"8l4tCFArnzP_;1[p32/j=6\\kQ6W1KrPGV1u<-#m+X\h4OamOzd9\7T_A(*]kXS
U"B&.-zfn37-&FeMv*peS:s_fXw-(lTP4>74H5msh9=Hm'1QcfcP<i:eo:;Hu1K?k
U"OHPH51H&?<E:DbX>,&)Of8wVcRdfblG<470NQhoU#2j)SBTf,i:G%ar--:SbmDF
U"M\n#hjpU0a[XIxuArxQko5+f;/rhqU-SFZ)v?JY#N5Fe-BDAms--1rrbq>)ULfh
U"\e(OOA,(;+N8+&&uZ<npPnq^Lc$5rgyGV:xFNuWt8v9cCRzpYSoJ)=h/$.ao#xR
U"SG3^mZgdikf8#5O6S_]C3:Q2M60>F;UtsKb9$0()P)*XyTRz8i>E/-&56W+hbJ'
U"6L6f25qhJB<W3U7KC6NaSP]Yvh.mXM61Umg](L>rPUB=._O7k-0H9p.xh>4b''G
U"oi6ytpXZg6m'5%TEE8f)-kH=n?0k'O[D>tK$QUf4d9ZffwrIjP1:[N%0Tk%M\bN
U"hDm,)tE8Q1j]5^bt[cF1Po<p-xe#JLB^/PEE5a0tTBD;G#.Vo*J*qO0sTQ-rk]x
U"VJ6qG$9Z/TM<V,OwEKsExN8S%nHDC.R%o*nfO%e<5q>e+h9'E2e;B$FJ:^[BHVM
U"O?j_FRJH6m4;#.pa0\,KY5lZ8iXB:-D6\RQqEd*^nYyee$;69p;lzi.E^>Z#Q,$
U"uTKNsIp6,#<:=t:0>mc+3TE&t$9Ocn&cS%ooRBo,R1QWe'?J-;Wzq<o]Z]hEr3b
U"qi?*a(SM/O'C>UMIvJ&pkY2JJu;P8.g?_^_3n?c3NJ&kLnM*xm-(qT+FxtoJ,ID
U"MjmE\;W$UCs'wABq>*GL]=C2.]7(RG<UJxAT7tuIx+d5/tKjy(TTbYxtE,T%:rr
U"XiFR.1WVoUkBlPog:.)]0urV+$cBL1odk3]nL:%dtUq%Ltw&IYn;dl<*V]<+&ZN
U"3gFEnlqtcC5PJbkQj3U7ouckF.%$]rk&D#*Dq]U;-Bp<wQnp8tjwesc>&,N7Yh(
U"-190AOp?tH's=b^7GdCb/(?$9/s7O:(Zi=,M.A)awY/rvDgi6M#H3X3%aGQtvQR
U"t4\AY#H9E36sA:a+E8O9^^q0;qj(2Kw?N]J-7CG:rhu:P[o%sl%]yDN9SUz>[c(
U"%0qZh?Mc+oCJ4iDG.kRhuc]4td78G)*'N06:77MHxo7>qQ5oxfM$Ie;$N/0((YG
U"BFIK'OK'7h]/H%'G*c%m08K)wW_?r[?0K*Xu<+j#;s-_?07wZ,[aVf+Q-XY/=8&
U"+?;f0.bwivT)e'V2Nhou-dwwodX-1YVRiFPX[2GTf<uhhd,6ah4f&Sr6a6Z;u[v
U"O.fXFXf03ft8gp/W'm68lW9omHZfV_gJL_Jdx-=2QNF:R(%jTtB''P):#16M15$
U"0,<R4[A+tXW<&\C9-$WQX5-,#jau85sS?:hkF,uX1x]*A#)Av__[ZXg3Rrv=4Ug
U"\'8a$lgN-+-XO)1/szjn>7*PhCnQT#.s:'tgK7/.]=Pi^AeCRB^U3o[q=7?'</:
U"Z1iBbXT<4eDm1O,#2p>oxVWGkxh(o4-,MP:W[vW2s%T<TJnc<[1l[*%pAR/TUET
U"T6vYHpg(<L12:-Rl#hqWUl.#$^dKZnM)<K)o+5b2l3*5+?$cLZ4nv<?XF;lPgkm
U"YxRB.^oamk'2^E<;(FrD97fH,c$)9,rKqOQ<M/drye=bf3mRwTUBOZE<;OmWcz'
U"5O\<=QhrdFu7sjMV6o<W(Y#zp8^tS9mzY&*tNu1hyAt-6i6fHWpiIta\q0^-Nk3
U"e(R70/3]'/lYW't)t*YLZ*BWDqVTE2^e_\g5X,lWH(?HXaVkc/UWPsF$1o.0)J=
U">L4*JUP#jufmPA.*hCN2)9k;K;c0B3j0tLg7BX4]Ig,RPY3y5+k.M#OQN4LeeDh
U"L_Fq636EpU-\6WX&ztES(fC.qu/(\wX,XYD$mdOrPKHtyp)nGQ#gAoLIZEw1gb;
U"<=Xao.WFMDle62enG4C_MDNjVWVLCGRJJ\x%?BYu<Hdx[#[7?WibMQx.:0]>+qK
U"<AQNFs0Xj)/M(B?j#]f&X52pXtNc?ZvSbQWJT,xFW)x>1P(ad9'-HimZXoc;0ed
U"aiNHqlGCHEgC60''1PR]g_D,mO/jshs.-yei5yHO*-/,pJMj[Fp8MR>XnX^_3px
U"WGZs%sC\=vwWgaV#QW]#7MWT)rE0fi*9Tko-)uSyi%1JkR/%\,mUZ'XNf7_^4zV
U"JNiRQ'^ka4+.,y/TLn<7*uB2FC(Zj'3-Wz=Z*=IoQ:8po6hAS3mz>]xS8F7Bs^(
U"l9nAgk$d9_*]g-'<Da1)0DkG$0*<,Gl615'2[JCx6t>s[8HJWd)RUd%9-7DxCPV
U"0LU\;*c+/8h0/yg$l6=LARGnmvG_L$poz.F,I*tAyu<Hi9b+mcEs.[I?SD\2(W=
U"-)W:==Xqq0c'Wb4QK?9>]rRHS45Ul4rCuA]w0.xg)6?IYB(&1-#Yq(AIMkOK(lO
U":9as[BMHej-N8Q?85-m'VvtqL?;epJfx8Y+w#,dO>UPdR+SKT'kOjl<r&2swpl*
U"muj<dh,(xtNDGz)&nM.Sm(Afw/4SXUX?(oXd[Ri8f4]WBT&T=bqxA$bDId$(V.[
U"x^gwn4&s)LB-i^'pxuL[w_Q2HYsu?%m?rE14;Cx*tX*VdEmsrcwQFoBz'#o4_*O
U"_vf.hzp-&ISTbYu0Z1hD>BTwqc-JiJbr,^dJ0iW2(DM/EmSmCi+FTR\JDP'+uNi
U"#.L=+ijpSd+ToAI,ZB8,o3)CBL;CSStc2Y-d>+q'e,hdekLbV&oF/p7w6?dwAo,
U"AOXJ95[Dg^5yg%c;bKU6ta>_tS=jk7[pWmNi=1pw$&(^uK0.K?uFn46BN7G^[HP
U"n9=&Tj'Id(+u[vuO3j2'3d6u\k5RhQ/2x2n&.]4(.,UB%5ep/z$-H*PF$Jz+6mE
U"L8&WWf9?>&##I':/^*vH&Z>Y[g,*T+//*)wLAOAJMUVGtm-/sFx]#-;uwu)QnWU
U"Vz,nl]EO)H<D5oEj3I)CNM7#J1Nm*^q-Z5PP59G59*G2%d-3HAHZ-4&D/J9$\+o
U"w&(_Q8FGM_Q%NB;4:SNwOcx?zbm?IQW.&7V#3LOr:-HZM/3_]xy%rVe.%n)$7nu
U"6sLnH8%Ltq=Hko^BkuIE&2leq6CF^9a\t+bP&>0xo_6;zN?OGQYP;pOAdKqZ_I$
U"u8/+%MqKBFmvFF'kiieKPwYzw1Ak<=+7m:69kooBW,-w^8yoh?)YCr(D9Sud'(:
U";a<,uP>)AC2y<V$1d>y2gl(ye)pAJ3hp7EX3[ZAKekY<&PyEC/%d1GMJ;cEN0jT
U"]Fj_hxdn6H:hfoe+Z)$b0)SC$.<fV%D/?h30p=dpj;R$ZqU.<Vy]bzaJ5[TgdBt
U"P<7$<^2PE5HBJa5i9JcDO)EXwHtX2JHkPH%[He#jZNr'1,bS8b,S5'6UiRKum'n
U"\)bdq+RwCt&y>.cHNwa*Sw1UV0/dbnSpPTf4XKK+s1Y9WWYhAZP[n?m*I))BL32
U"n5)mgo0P9U\Xp=XULmWZ_mB6nU.XOIqo;e^>DqL'o0:O0Izk#d[fQV\>lawH=+]
U"Xrcc-VI;F<EQdP7zEn1ihTr>1.?s<dbvd11e$0SWMo5e$)&ad*fdr2%=,m2+H.p
U"jo8P9+**F]'7tE+uJ7PMYfx71#hawefTVgadj'=TNXohJbxD==]91GXTh23ZjWF
U"n4b060Y&_SC*oTwV&20l4^KZ_AAxSx;fi2zDCwfQd3em<R^)F1h'C6CQY.=de&h
U"3d>WW7?6;dE_,1[SyIZxHl0>-UU28y4'kjih1uoJEH;ga(Grsdc<Dc,rX+[20(Y
U"/NK30E?L25S+\a7,$<AR-Drn5hpgOD6L6otPj40ikcu:lovt]tuDlB%XvsEb(+7
U"xTjLWP\kA9sHXwkkIFSBYmL0I.,RJSJW:J)jvaIo+2(NABRI6xM/4XnR8oAaD;N
U"mQ...xJ0_G&OZAEqzedJj[lb=q$'m:HOSO_NAS*s_-X865JY4^*ygD+[^Zk-C$h
U"Wa[$ZS*]bF>Ym5?7]rum?Ftl?2']dfuqr\RCjv:K7eodVoNiE?=Bxr&Ta0i;qLC
U"IYP$hztb39RLy5$$QRU<qth*w?R4DUWn+Z<NBi8U]i'8+o7a1-dfOO%3'$)D_sx
U"%-&y*/%o[%YPpSUPhY(dVQpcDUAtm+;dyudVMo=b-Z)FF:+C7Os0=kRYDrTLMz;
U"yzstEYP?qQnOUnR%;D#X-23#C)U8XUQ%JjB;qmpa&?Valvj_RhYwIzk??%f9oD_
U"]5sG\q3F-%XGG3/85Yed?+1X9$K#j%<lLaXwkAbk^eH=d]JQK]GiCC_O7bsC0Aw
U"\qE;xOc'Q2*L8121Y6#'^8LJot<*.&b#?#CFFtU(#kj[i\U/vglSi?hhM$a/O?6
U"KBC(r_q;NK]a0bq8h?mZg_#NaViL0x5hh3<3[6(OhO/Efs2(+-;UY$Kcr7[e210
U"3_.q#&r.>B\t>JL2[yxu1WfrDr1XEvn##\wm]q_\RNwEGY3%xLRWd7Xdqj+<RBx
U"e2>3;1v.W6hCIg+S5((p*K3X)7\>brtg#0Fh6k]-5fB]uW6hqR3w)>)h5#ljfK1
U"#mWa[x6oHt;g,B>ClcnHvEcz5\xPAdn7$u2i5.yk,?JOr%)3rhjwM_M,zh.H3pF
U"Sorz4W6,ovqJ5(VE6#)R7R&4\bGixa8:)KSUEq3'm+p9$VJxUjY1isYqD,$?c42
U"P5s*_b#1=#'2K?lYap)m:X*KFD+s<=dAltyHB592f(gX?9g8BdX]oK1Xk,a24Wa
U"p=gSt1b_dMji5dQ=YF[]42r9ScwfOJSEG5\^.SP1:M.Sh9*SX&IwpveGf6U_s5F
U"KE:iEHH8%.;CSQ[.RT88XR?Uj7f_nsZ1#AR)k(0Qd<Bs[Mx(W[WE,R:%'V\Q(Tf
U"on;&rLGBqW&_-_hX1:hrm+L128^sNhL>F-W\+#(2DawCGcipTb=\mZ)oCjg9-^;
U"zi5_h=3'rFsV1j8]jswGpP^%R/>ii]:]71$dl,H6r\g*%ZGE3/dkc.%>8%-2dQ+
U"wQ(\:RTlj2[ZrZ52QH*sT<:e*7*ba[Ph._Iw[QF0;SI9$(3frXfViBce#SBGZBV
U"fs7K_Nqr]rE;lkT8n/W3f0OgR*X8aQJ'0SZu<hj#jB#0ZYH1[E(mu6)^p=g)*]5
U")1;Mib]S'h(I\[nrRk7&pvBVm-*>gu-:,EO3FsVYtmJ,j#khJBS9iZ0Y7$vOm0T
U"jE(FjAolm*8SwX^[)*&jTZ8d$?Rg]-?H*3NiM*_*T#]-(OnF)pexGrK]V;9Jh;+
U"pUjIX6C3tIftn*+a,l\Ye*-^gyXen0x%V']wlhFGQq)n5Oe)O-pG3u9QT*_uX;-
U"5iF++xKu^z<aE\V^Sm-x^_cnw#;(IU]#TsCSs5#saZM1p/ZVLZ4bY]83?9%lf(G
U"$lHp#N*i>et[)r/(lU**Jc?k,T[N#0Nr.ZkP,WcnS(pcb<V%uEphiY5gE5;+7K+
U"sJDYn*LY_)k<^48vgmM?i>oa'Zd^VI:q4S?j7/;uDN=QK#?Bn=(\?3%<82R\1A:
U"<UiJFRwm&>PDkjXE6L<]Np2S*7;lp-$j9PW,\d;rh*w3p)\dqCWtc27#,'2+i4s
U"PZ7:geK30UD9Z.nXNkK.QSBa)+TwWwBok/GvHr^56eF6hU5Sel(2CRuTL$46\IZ
U"JmH_ejCJbfK&HT+9>%9<gMB$Womvq9RuNPs$Gl7/XEgG$h0QNQO.)k-Zj7U)wv;
U"bHpFSOtQhR.\PNy)+rEd).-v+g3$*b5=RC[3n'\F&'F8O:%Gf<-'qpHno*DDEiA
U"j926]jDYlUGCqi:Y4HTu9Kux>u?$]rIGHSRhF6D?$9orK8[BwsqMob3(fq0z$(H
U"s0b,U<WqtR3=5=RowQVZ&K'Vr&xEHT&Z)>E):&JX<l)DpUg0W9c3_vh9m:M%s58
U"v(KdU,Jo\j8j/QS\FQqdfU6hs/t^##'$.Q/EY]ppNuSjZ%Eoipj6G[.QiL&\M<J
U"7]Hi:sG_%t?tTbtrqWrD__crsE?*ERL2Ur^L4O>),t39QD/K>;3,f<b:IRpL4L2
U"9ec6)Si+>Lb1)ySfCa16\x[&b>;(J=TTrv^alLN5Z.\1*6Tlda6&HFEb0L7]>7B
U"f^.HtsxEO(lB(_]tmtMESLrWf)bDV7=RH7H\c-)bn)&7q)2RrE7c4m6]h+OqN'F
U".5a5C*?KW2ZeJS+nvDK2;i$Lq#3ktZ<tbN9AnxhtL66?-S5OS[rh[1?[5o?N/HD
U"+uk#7,DSN?NqNxMjA4ubLQfRLos:(X%iJLG?FwRdy'JvphXy,AFdkzi7Z$+te&R
U"]AR9].13/34:]=vib6<RL<?Ksf-YI-a[wBbboFVWeo<MQ9ovp?t44<^DiC)6>_#
U"uMH73VRUM2e=(GGjYWl0e9q,NX_DDcn=.4lQ]\tpH63AY0,4Or#8ff[JVDZC8kX
U"wZkn8z\k?FOhUenh/K;K,-=Fm.McrQ1/X#l3<K7(f.gRn5H)3TS>A30bbVSBk/]
U"6-O3BP*Vp_P>_HHCXL>aXN\5F?B6pAT],d?;?+CB6lHVZKjEEZ'\\QGM_C%*<V:
U")t.^AZ]e#CnMNMmR(_zCde+.*3$]k8%9A_A\fVOEI<EbObs#&-F>2nS[J(J&xK(
U"B%X_Rm19q+zhuW+owt<fksza4LJeAy:6T?p:i0;Ys:epIqbTorMa2Z\)lC;?qlJ
U"c=*f4UmJG#(%v/9jI$bYU.B=W-Ju6)GRAik1uNVvYPqwM#ItJ/0fOg[7-;/^tO,
U"I_\OqLMQ#Yf$Kb'nkY659:d//KP*>2cNI-;Tf[EG7&<9y1o[Y5)4/*H:S-8sK*A
U"K:4j'#+hX^2V6w\B$,SPfYj$3XP:S/ak;_'I%ozA(F22UNLhP&ne)N%4poZ6QoF
U"://AgxonvcuYkuKN#6t*vVE_:^%e+:w&bf.[k&k,XhWT?\En\hQ(^jqt7B,t$K[
U",t;%.KK_:tmaH%j[%W&\%B);o2<eG]<EP,GBF.1x/A/e.'>v#BUHTd<-fBUpK4r
U">lPq3.njz:oa9[PC9JX-i_Ka*I*i:ohSTDi5Yq8p<AcN+u_K\5koQYRhTjm$/S$
U"A$eo#:75%Qf^HZLorFwE#KTfpi=;g#XyF'tPXbBm0)Pip&S')703KHBSlpzpe%'
U"3*$ceXUs+hb^SMRE$L&b\)h6ezl2u-%em=6^$b6_M%fHhNfn0+bh?u6#:dBVV9'
U"_-29jU%7q0%(xh5s[/=:Vc$G0KrTcl;E9._]r^E-Me+>h6S,FY_](4o<=4YtCrq
U"XcJMgf_5=JMd/Gen?fd1LJ]Whe$\,d$f^&Rt3fml?csUM?KEhp0>feTV>f=>[&B
U"p(>FR]^]<mZF-YrZMWYgLjO.2d/_5=aLdBn-Bue/uxrs)d8[0^KT9cVr1+4'k^\
U"Av[M%?5Ks_mF,RDzYUYS$.o#rR=$^i[m5,$9'RU6*k:\zGzZI(s[Y?deaHx^+^W
U"CIv5\^O3-#I+ayKUJr]lM021Nj.V=oZlF6:3k7[2SdpVXdcN:,Gdu*c_+lv:M3+
U"E5fVr^(0ZcooBg:xfNXJ_j*cX=M,XlXuMe>,ZPG'nM<GWq,wJjDu9U)a7$XHddt
U"$N[ruSr,-_T;aW./xQuEruujBlV_08[Dngo<YwOC,Dc1qSq5jW)S6A$143.sLUS
U"_0>Klrpf)Z.8kr=ao)Z<M3MpaW2a1G-o\fW.+OZw=9nx7n$M?,-,8CJrl.,Xkgv
U"vRWK;Kip45pFJ]midDC>w4lKosV#npw]4Kbb6;tp._(k>-XYiEZ;g)vmPSi*87Q
U"O%(9G9Oia/kmMWNZF15h5uiC[yd%&lLb/VJ5Wh'5e.'Q2$$$v%vvVVLV###ELvt
U"n1^B5wpwa<ZP')/PU/nBp3E'c^a,:0ucFBi*VhW4xdEIFutQQQE^$2X$<=5W8_j
U"hnwQgB[leb>J$[r*F2'\<IJP4Wlchhac2#UNXb9uREqaoBq3NtuQ_-Uj055YJr=
U"+;>qiRVV]>J1112n_c_?qQ_Uj^0'[?H;?q3V2qQg+=k<:K<s[0#R\:S3]].5I>>
U"2ZM[XY[MX][X:FNJVA$vV$*/j/g,A#TebWLGi]n]X[j]k6_D_Ph)Qg?Q_-Uj01j
U"+G7Y0E+]ZS?Ar21^RhX(=>O-oBB89>3[EK=SU=jeg]]uLj?u?WG37xdEIFuqQ*v
U"h,v_T7dm%U\5Bth\\/$'[/Yrk0T.Xh?d255w.XycR9FPh1+'>6E\<UUlkISoMKU
U"]+o[L*+ZiD//?k4$<i5l?B55CZUh=ZST),/KE%)bEh%n5QskcZ6IsB+P=8':pxn
U"CeR\_e4q<1/>u\x831#N:=%8<FvkAG/IWM4T?Y7PY:_9RACCCZH75X4h5R5e=:G
U"K$Ft8XJ25RDQ[td?JqhqQ_l)gX7N9uZjQ7SCseP0\[bG'v.GbttJJIH3lE$)i<K
U"qe:ZXGaxz&tju(gXD&-5?17gPe1N3arpKLoVh0gR.swYgie/]#M2]c<s'B3]w8n
U"Pdh?ac3+w-T2XEmQgn/Av:F(7UZm^Um6(NdppSL7$rljDnrm4Ag%#*]LJXN^\m'
U"e?0lKssS\s2ntEP=oAnkH#wYb>F#LnJ9'mnaObsL8F#*OYD4&kobw:p.w4sNjA_
U"UHfx2Kl6t*Kwk,6T9vU0o92Po-(^dGDZYMt%\FsLAVL=Cr+p8\1z(jUL<kPB+77
U"$zfbR4A_QPYcQa^&RY=8,:\>;ZiD\GgD0>J_1Z1^4m3-QGgQujq/:rnfv8zT^l?
U")r_aIrKImCPONNA0PiC3S[V;EDAChNj0R,h.+W0r:m,7B3gO4M%Zv=6%&%7=Qr5
U"VmT:_b_D.<94NS=^<BjjX+P:uqrI>+ORk)*VYxQl3E2/=D:/o'E_O3?7mD?KGMK
U";ml6QGkYX<;p86l<Xl>81kVT2h,U.g2c7nV1MAQxIZkm8\$'1^UVkhM0-'C=hUN
U"hRmpkH_mbLif8:Vum3M3>*HDP<dQlWU.$?,KZ8indqKrJ\MT>1^M]1UNX%bP6tT
U"vEt?SJKoJ7#=6)K?Yj9[sc<iR<X=M^hi:Z0t>.3UyD.a;c-eumigN1D7qDl8\NV
U"mKMEtR&rnek0rxmsu2>&^[p2A4dpp.K/EXg1y&<%^Supc$W\p[dBH+\*X\MezFM
U"9Z32x,ib4,Z;2ixanVmheUb2K:putPiWMo]7%FW8Y/PhRwdh;We]Qa.0Pvi$omJ
U"LVem'-L3F278\FKU]>(uQ#13L)lBVlVYFUy-wl(?J8?3SI1h\U0:%F5C[319p4J
U"qQzj[oO84'H<JdT'Hnl&ac,..I5MS%o8OEWM_$U+>Zqb#%W]wP)M&ao=TB\HWLB
U"lS\Xs%Ujz(l*U8thSH,02h4&nopZ%-^7<;5tKV<#,>#3I[9\ZFG=1[GGr,o^4#\
U"K>94AwV1V9Fpq*B,v0.>j-IrtVFL_o/XdQc&iB?F3GbY4MfWLKOiRN/sJj.]A1b
U"ipbVPj2n]Sl3WC_bDZn]8+2me0B&j?)$fPC#HrJC'6^uJb_o0ko2borz+W<BRC1
U"b.=t\Ua75avsMN$Nvr^v9_1q,s4f<ucY;UjshOP%Tk#:\C50SNV8;%t]PtB7G*0
U"(+QU<_jNhC>#tu5*>Wz:LHB?3Hl:]qdE2i:8$&OtEk57td>B7x?TZBU<,?5_N1z
U"pFJm+\HBS6Wzb\gD1qYYjlNp%%cN22[vnTMuOQ6:H['n2[un2xHA6I=p(2BG'34
U"4C$FpnFun<feZfQrp:\:\c#GMU>9K>64G>L4[K/EsQRUdd_,qjR$BqL2voJd3SV
U"U9ZwTNMgkvLHo0]7QdlF&iwXYxd1w*gVU4&?j<Egvg7+.jgATwC)*+uS0%tiClj
U";Z7-HA3)Ke=j?lNV<E#BQwv*oEkWn*BfEgfBY\4M;v<:_*oY>Ao&LqEASQPTEj%
U"YmRvu[:4ReXR9LlAqbAEsTwArWe5O:[d$f-IvQ>=&2?^/g;1?C9r^%]BqUZroxi
U"##\mTNU?$Yn&i_<=4Th7g#]i1nt+S;ns.6bFT]M<Ggb4GsYYNcBGL#=+7;k,'GW
U"[sYkT4PCK8;)dpW_'u[r<Lx_,b>jceJ)zQb5):^C0<V;><s;9Qq7v7:LO*%Z_Ei
U"3#YgI/:77Ag$_^AH'[\w:ETlQu.X9*Ga0$%gt1j/2W1HgosA7dem)aH*BrIfGUj
U"Ann)W=.+M>hl:o&I/c82xQ)WXlj6<4#Fu<p(X&$63LJ+^[r]u_=t$iGXdAH4cw_
U"V[S2BiM?zmc6rJlQPGNGowt_0NE>mNq?Mtu6p$^_p*Xl:pNO$uWrJoBawxl?+Ts
U"doMWR'7'u<.+eGe3MRV(KBIFbM[)B$XI9?^HNj*<d*EG$m4e]?fxer'=>/MsmiD
U"KW>AI)Ef\5O5M+F)5%H(U;>\+7/a>4?/cBGz[Tx,'9Y$H]LfNFf-f7Z+d*7F7>s
U"0S\brK+gP6-+t/J]GCj,WA67?k>;4uO8XrkkNrGQ2>Mu0.tB$<MOs[La9cc9MC=
U"#FQta7<RdTfW5FZwEkEMdA<'j,r<ABJ]8uC%?hgP1nc2qcFB;CV:Ng]M%POfr>D
U"8.xg$2pu)Y/RyUM0;B,,&:+.''Lj_^D\dtDCBzneZ.7]TD;maRHIkJvH+q^TKx'
U"_(jniso48r:m^X9E^ll'2[PvYigFk[B'L.WnY1DO6wj:mNG0<fTE.VF5JS>(uNT
U"Dx2O4U=f0>bd%ZhND-i080vXrp#nBFRU-qcNG0v%,bg1;msi45xI5'WF&O9nl<]
U"N>O$la%tk/i_.v%3DJXTDn^tchb?-/h4$GgSmh<^B8n\'C(N[3;]s+$7/]DYD+9
U"wX-5sFbd%*6gho43_BhF_U<\m=DRYDEFy+y8FyoV?RXGD)u<LO\2oGX^HK_%WD9
U"a>ct>Q8q]]_3XNt*1lRAHjGq,Pq&XJmqPSW0ZIKv.FLUw_'DhZ=E1CXBAs%_cK^
U"0+5kZJdc:*/>dDog4%/[6-q/=7I%RL5lQs44,Z#cwQX7HP7Hb]dB6r;:.e]DqqK
U",.B0B#&[XIk.hL&.J]CFjj]0<gr=$o$-B*M9ny=5IPp#J?Ba?f'Guu8hxd4.J]m
U"iEjR.B&nIE?-3(,pf)arRF;lvG'g-4(cH(V5s074;9<;/XObZT_Z?Z(=7a/#-2l
U"VFBB]a>.2)_o<uR<U'qr+[wpbNZ+c9MDk'+#R%BIc+?P[TDk(%Ka'c)BgG=C3AV
U"icE507jv)CY$LK4hd/a8H)9VG-\6'J]ZP05TefG:M:VZDJJ3BJ2]#J_T2bVk\fb
U"/2]#^]5Y&sW)cDW-]J;>Q2lisE_q(Z#,]dULSh^AS)d-uz*2g[fNaGiJSC[(9*U
U"SJ8aY??u:Y&*,T\oM1[7%1^HpME(.reMQK$GkHEiUv+:[tRE43Td4Tr:S0t)<Zi
U"3l:[&$c::U%+j]uQ)h]6D:noUQEG,v2^ES9Tq9%kXedeoP6H4Q<4Q9Nv]gd/(qD
U".*qrZHc2dVK'p#St+_0\RTjKHy,I?L+\cN1_YvaFRi,elA<d*_?F7Xd8xWa;rtE
U"%E-8&<ZfpaXL8'qi,Pt)T<VcL[#R[vIXtm6FofJTqfNL?NEZs?.xcHGLAPoXOz*
U"fN.80r>Y_::wP>iP4b?Ivum%l$<F.]?2k_h11u1.6%o+A85);J:^p7[xer=^_h<
U"S7Rxt>R.Bl+#6:=:r[7<<mV;)#X6D5(7zCZ]d,_<l,SCq%5/:iGP;WO+pb3VuVV
U"UAFT0E$/I3QR[h->B.9<<Qg?#w0K08m$RQNJ-7>w-m,dn])DZjaJ)w)',S$GgDJ
U"ZoJ2ztqArGeZec^8S%iJ=50&';<8]/P:TY^Qkf)Q(7s#iaJ$W]5T%(p,+5(<gym
U"<k<4%CRp)H>?.#0%4.TKMf5&>[aE9;DC=AxQ/bO74dED1-3hE_O*HXq0v=H?d_+
U":EGqv]VopEQ(e\fGnOWr,/>CN+r/6jwR:g<5-t-A6Vl[=b[G4KUGeME-Sl.NaQ9
U"sG7(m:2qbDZ4(Mk')E:]6RxDe2y%$FEVKE]95&LbcfW.kejx:kJ)uL)^:+s,j3C
U"\C3C1C4*H3,<oFC'oU,\.M>B1:*Y/L;l'GQL,oexkkAv/Y>i]X$?FxcY61[XDUx
U"/:lQ+>qsY;.uQfR'n&#;NyyEw.+7%=KY1O8Q_,>l3xn>IT_x_XV74B>pt7++G9;
END SUB
SUB V3
U"qXV=gMoQcRdDg;Z.';g_H^.b5L:b0>EqjLuhX<3rf6,;Kcw$8pkzbDOaj)PdMRB
U"QYNfM%m82_Ets*hi(qlNn+<5Dl,>XXU%PwQy(?Q-wE,gwCuVz3hVpr1QPTqV4^^
U"g'ljG$>]]_yqT8DdTToi0)[/^SZ1WD'V*[e4N\8P+[:ltm24DB[p]4obd0tSs*W
U"*hEN/JH-iL:1qY<>Hdw=*LZAg1t*B3X6#p9-bAu?[P*YMekG2nb:)LJgf)aygX?
U"n]SelD'_;Hu0=R>eRP2n,Q#pZCCt1;+TiT/:-xQ>+:nO*x;XVgA=aR-*u18F'7D
U"Nj82WEGP/[6:s;D5'iKIGN)Fo%MtqAa],ouse*^*(b&zw^e3GkL$dlV7Qk_UAK_
U"R/+8No8qe_Os8l?jHc>oT%rPE=[l.8>R?,H[r58*GXe)RuL?7v44SRw\++W/h=C
U"am0RBS0>-EAO?Y$fvQ9FC+)^%A?T-q8?iLPjjptY?akNec<=iUH9YsYr^kzcqb.
U"1jc0KpmNph]n<pt8;#kDon*y<gpc0bxodwiJ?.44RbaS&w7*x>-i9CxpT[goc;4
U"lO,rXOu6B\8%vGNZ)WD^$'FFL]]W3b=6c0+An%D*]uj\^(LqkcHE;-[ata#zXin
U"Py0F(;Em+]?GnpgOd;XZ+EUYlH8H+WIxcSqblV;3S<Mn1k<1gj/$*;,Txbsa-u.
U"y'iTa/]&LlA<eM0f$NEw6_+%]0<(enwTl'Lac^fSct(nZu?1qRw(FQmY3E:q.Kf
U"w8e9jv;VH*W<.m6,evQQkE/2Hl\k:+U:??CM,-?Td=#8^wvCkOowS7$tV;I:%oW
U"+\l.$G5PoT>SvQ.$T7=)-(d0P<0WF7(+u-ItXc$,F++:;'pWA13fLg$d3]G\jlO
U":rAOG;,HCrI=AfLn0AcDsQmhp4-/EWQt(QK&?vcIX94nv,_)K,UV<QXlX4BH>0+
U"03&(9_dOsMpfMQ'7C0%d[QZDgI_()TZ=:+plPCQ8$(IXG5'mapC<UwhJIphj?W^
U",m;>p31c9#t&7pKNd-*Yt:uj[Ih,+88t]usams$Pd7:3>CLDeyWDcCiKZWM+*Y<
U"E#cYexjyAWMEZJ8dG5:H1pd\Oy\,%GPxRvogO2e$PYdBtE#r2mFe;YT>nq>L^rv
U"p-Z?k]*KbnIsMwpf*]x9:/1AOpSLZlQIX&mBB67dNl6gi;s#iH'r\rPV?#DMZoj
U":uOG+5c*XZHH+r#C9xZC.kYbo^=*-T>]a8vw6-c<Y(,cj3A)<d^]yYc\LZD0A&O
U"iY+<k)3K3bc(_QoNSF)?u<[ZrNA:N(JDZcD1k4lft(#9F=Q1-'UUqf4;?_iB?Rg
U"+_Un*PXfC7t+jNtp<jMt9jLqQFa?Ag-I&G0YuZ5rA/76CCOrXDGKWx0uPn]8gi:
U"gk0mo*:)^>?NHy8W<;pUcH2ne'nLi8irDB3c#:+rd6\6&Z.D,hy[*o=TcJf/>AW
U"r+5hNnU5nKcg'T1uk1OBHc8aui+T'Q:D<*QCDzJ/gYHtF\FququX0aHOcHk$Ylk
U"F&R4Zvd:i^zZ'd5Lwu[K;dF:/0*HV:g>o1BV/((A6LC2c't:]lYT;E>O*Gh>E$d
U"o9bI:JO3=MY90-YV<?R6.+OEbE8t:u3C<4:PXtvC]4Rzs?Ck=8dxEQuMk*JN7PY
U"0Xi?HiUt\gbecg2o0#s]NPUllWoewgORJK7+6Bkz#[qvHV;:ORiIkC#]^]2<MA*
U"'JohJ=W>^U&&E*=%=BzP<#T6uO:B>H'XJ9mDPEk-_*(brTN$F'\7$en/bwCBf(4
U"h]Zw\Ob44BWgaU+ccgH0Lm-Xd'gw=uO#3\xr^FR7gU:^7tSH3xC2QGAp5x?J4Lz
U":c6Qs\2/Z7/4YAkRT5j4Mi6DbwwrMxzq[O\KIg]K&nf,8Uj&Cl]03t]%THkGR2O
U"9cOxxraMx2aNIQNVHEoZ%&=90d01Q8AGZQ^KcI%m)_j0qGYf(FMYR1j;G8Ys<sq
U"1)jJ_8O:pxsL$Wr,d#cgbvHg()_>VE<UU4hbZPC_S>8o\9.=om*ll%V.Ih<**=$
U"Ho$+_/1K]o:h8x4<E#]OTI8tL8](dl]\%xocNG<Zb[ts[\p=IpS6D6\H?CHmOZM
U"o'o,hgbv=a'n&p$*(pX.u%$*I4<Oz0=)scJqPFoJ:>hF.?>Gl9zMRJ+'6YCJxXU
U"<BFM2)R*jYk,qnTQIC7q:=ofo.YZYuEU?fKFR[GpCjlhMW0_S8S8%*&-wxch1Xf
U"rERZr4pTh\iEN(3Yd*Ti1:t#^ZGPOkeTl]OMLA&^F^dr<X\GSAba%qGq#*oL=l6
U"eLP3>#eV:6G?abUCElfrQL=p>E&W1oU3h,Ql-'7wO&\>^F._eDXi?F2<8g7:rMk
U"C-jC;ya/Z-V4)#D8'TsYM\OtP-'te0;b)831G?&ANOU&(Kx<n+>i&e<X6g$6>Z+
U"ym8TkS(2PCso1)pd89G>3HU%n;IB]P$J5$++pK&vn-cFwnm<fu8rJ?siXl;P$:p
U"+(:6hLWP+ZmoKujA9B<=]Mhn=Pr(gIH[pON&F\J%aTvLuRyd?'tCeBgfCQM:MxH
U"lE3?u.#)d8.pZxBA=By_NP>BE%:dxZ_W&N[T^oI^/3V^F$0(%%g5NWC(P#Z78B%
U"2klEJIl--W'M7c(G4oUJKCrbXiSZU<ZdA?e(=g=%ug,VddR<k[[g#u\_^=6hPIL
U"o1F11L+-T/zGjL<Dp6<XNjE,>HEi_]>z'WK*-wBQ-fH?%B&K=X5Q6:6-58y\/WJ
U"rRDwx4#qN(TIi':OIH+)N1/=+ImGT]-X&q6:aY.xMp_6cOpXWuX.7RkHR6TczoN
U"P4w_xbpeMxv9CHPb8CW#-=PZmY;Jr[MAL^KmqeNUII:sPU=O9KLbs[We$xcceLi
U"0[\z_B85(xJv)lFq--W+lD8PW_M>M/joSA;DBOp4<G#.y9i'j$m&JJO82+V$b^l
U":u.6o<*F?&9O<9uNFbifVhU_:?K\S<w:kj=Tv%,S/v.u(e<=b_=hJ='$I_7l3()
U"YwVe1?5dAU:MTje)BV3ptGG>qQ-hX)B]P,Tf:fnS?(VxO7I$/'N(OAmyeas0<&K
U"DC7H2/9LLg,ib>&=^XspUE)/'u4FS#3SU)A#ck't1.i.n.>W&i]Fso^0-v7)2/k
U"=%pUu#*RjUru2Ht5)9A$-ra1o3<.omnbx+CgRc+gr=Y0b#qL*jPo>\b0o+X3g4k
U"*Zo>?FigPP&D#%z7K,2xH(2TvY-&ri-CJuPl-kfNEci9;#8q=?b>JeO/.VYA^c?
U"'?H=9N?+6iy*fP,/>^p;3g.A'bp3<Wd/dfu3=48:W[e7qVQ+_;Sm)X'.Gnwi4V(
U"kn%PA0lZIAGqg=)]Uav^o3cZ'5%vNkx<GuYN'jhjr.BYi;RtluS8[iPC-:X42X8
U"uW&b,t5lr&psswglHUWc=ptk>DfSRJ7Q[9Ne$ZU69Z<SHW:45\l1uOd^a>ZRY\I
U"b3l2?',kRAa7eM2dc)G'Cb=W:$R=DL(>-kS]b8J/CV4G,&*[a,w\10kEBC-1A2=
U"gam[ld5Auj)#\Lh9_[iAP+GLk>UBj\72&uX_)M>82z$YfKa>E'jQ=(cK'jP>9?t
U"Uzb:jw44C0G<:6N=04JN?f\W%gK_:NAO1??p-XONB)G$Sx:d6<8oLe=Z/\OPl$=
U"(9;m/tji:ERi:Z.ZPAY(PAZPhe7%]V8%%kl-kRWcu\D^YF-^NrQkxw5:r4gtMSo
U"uq[flJ8j4[<i,#8/LL2T\nU#/N1oBy2WxMJoc]xWK_b$)WHB+%j=iupI.0xbcU=
U"/YtPuABDFvFo2s<8%W[[0/(c?2XdA<XRRawFbG3<s?SR9kqNqX9gmt+NP=6PTam
U">0-(:+sNRoq*,<6H)mRB9xJXjEXPeZnuj7TExRm^.dpB=<()=tUmj?*oK7riB-I
U"](Hn9G(#8]AOZ,fFZJ&KN;q;H%TMfa3#O:fk43RLf*lX*W$,?NGgKnBoy?&0V*^
U"pg<=%8E\-YSx4:r^jE%s43^3\=ICnXfZGh5ewmgcjI$)2,X9,K7NV#KkXGF=:[G
U"Q]W/<nOr^4lhMINF=*xj.Nq;%(k(2z)R\;'0&)Mc/KgT)/?F\2goG6dJCe>\Ur7
U"o+C]ZWNa7r]70fO+4kOY1n7PpCI<E:96sp?P]BV,J0]JcG8JL(ty\h/;2GDBcq>
U"A>e]VtyJ:NkBIF8J:'-_fnKd/bQ0,o8v:lvli6Y0._3vRkP6]<>8R;L6neC0aAJ
U"%e8aZK;Vt7-[N:wg(<G)::n*O&g%.$Gd\k=\Bs8n0BnmNLgI](*jrMZQ-W0&$40
U"\R?&nB'w*%+'Q0I6A)cP?.5&=arx3:+;R0ABYeOls7XU,3j]BTS\:TDnh-y0vW(
U"&^Z'f8K8Sbi:9Sxdc?W)7/XWLAJnHhs%rWrgI_A1)a5dveA10ji+uCz3r*s&oVS
U"Q'zu4g'dL\l8,I<F;d#[>e8SdjOR1wD(360QY&2EpCo(px&/_W+O/)O>AuksIjE
U"$hHL&u3XX$eNulEu5ptGTlchB9H_;2*U/X(VTa3jt.2Xk,1lP8hP6K^gfZurnd,
U"i^LFKPHcLVR(N=Psy=-/\vPz*T8',7Ese+6,vOwmS_i\_*hA4T>:U_[KM59LFtW
U"<M#*)J$k'*MQvXA)5&lb.0oY(h.(^8X?4sBZS#DWKi>vj<8$j.kk>+Xk6tb5P=m
U"(ARC>1i_'+ZWa0fnBs#-K4sHr%Lo=svVfT-tQ_ozRa.C#bO>>3tMY4:x4c2*bB5
U"><RoNtj&qz&bp^8t0PPdm&7f=k_-#[;xFUZG$_q4Lp7Q%tgmKRVxviVN#kmcPJl
U"52(F3E6m>>$RzJsDFqdM?SJhpchXicmmKJKp$oD<Y6g#32nKz_3J1/Kt*92q9o=
U"Ics3Y<DWGw:mh?Loo1Ef69GE+jG#9KY<)mmtjJbdT\h3NSrSdj)%at+qL1.U5K9
U":gOs=u1hq:oc;KS)uMv:#_ZxFDkg,LiLIDs;3,$0cQ(0XAWLS:L0'ju(<7VAQKT
U"?i\G<euNQ5\r'Ikf?wZIzb:[?&pEF1XuG?eLsRodhU*.i)i[9)&>-?Pb)?lR8_f
U"nYKb?pIU_\j5;<n3k]/Z+ca<BTTW&a]2)s+kPGCjB<v21x?rhqt5+24:r:pKSKo
U"h+MA;^E=GbVQLvT60tz#Nai'q<3$'>7t1.:(xDZ2VFY\Li1A5l**m[Q94R/(1RQ
U"+i0j-su*9/<#%uB&,RIe#RD5oZOeY6b$\*i2qf5dO\KUq?k:R\^lYG#G]YfC8q-
U"45?TE]fncNM60oWY&c<o170IGQgGYplXBbLExk>d&'xQ3YOjw8\<'u%/\$c)\Nm
U"1?J6ljFxpFaV^gB^Sv4JLok2(?.F:^*^XqC*_fmwO1qf,21^=eA=:Hmns]H&<8,
U",xlO6H/YI*pfD01P#Q*Qp/[FEVCq7-l,U_^m?'(Q.6hc,r]3pP+[O7tJg:G*-9P
U"kx<w+ghCJ)Td(r1AK4t62GvGx3$*?Ud2qCv4JCdxhl=#U9Y^0&SX/s[Q=+2BkKl
U"K5+1b;y\yEdRD*S.6gai\jcFaGb4]dm:-gJi'#^^ag,:c?B;Z6LRuf:+hFN5+F'
U"3c=IL>gQL$7Tcd;TzAS?-=0RTikb?8_^=N(Mfi:Js'D$DeG2edA00\]Dw<:Iv8n
U"bk\?T=]]j;JH_^;(5-LGp(h-EVr2CGt'1kaJ\MzIfW49U^8[wiVtEn9Lku[[Nj(
U"P[0-*MJXkF(qMs7[9F,^=hbaL_TD<PxBEKW;>qmro'QLTmhX8&,O(qg\vPY[L_8
U">%IAqDOJ_=-Ev(1_#jwUD^u&XCTdXZgQ-,DCa\'om1R2YCBXdYDaG9WltrYQ/.j
U"fwCMoyXuf<F_Dx,'q^&8UUbfFEq/VXBeRW<$O<nDX(#d0Rt,rB^Fd]Wq>Mwhm%$
U"+KvAZJ?dh5gYH8ES[Hv)3XHf[*Y0rVcTrg:2oH\qRw7YA6u[srj53Ro:Q-ieI6)
U"=AO)9KCSqY]'MQ0dhp(zj$;\HNV4#<lTDwoRB'j0CW]M>j^/>I-QQd+U.\,MjXV
U"Qg(C0QAPBWt7^soR[QZk462GP/T.XoZ^.7g^eUKs-VLMptgU\F'1>;Nt%/.:o-=
U"%l0QzX25w-:1Ejb(%NRq^_g8f].6,(X>6ianPdmXaY;?fYwS*r+oD5BlV3e2Bv)
U"&;2+k7dh<Ak^CZ^GUBitGo[Q-vi_]7xZt^PF_pDs4]Jj%$rFA$o<J#3JebtQI?f
U"E+;YFBT\q7pcl8_KM+Kt;Q7A#t9lr8F,ZRDr,)%07a<'.v>yK9M*T6VyU^7H_Lj
U"D]2WQ5hXMhm%qL*RObp];s);LvAo=O:ZJJ6GkEWpN:S:OZV:/L3V(i.s,FgB]F*
U"iWzM:ik0':Fkw]MUyj9uBrl,#GBVX9XdhH'ZHNY9t3F<Glq#:u$7&PW[MkhxZNr
U",]QHD9kK4UDIPP]gfrRcUuQbb?a,k=8My5YSlFU,<j,F?ck$[a:SDHg.d(GI$la
U"?=.[AX)g[-TFH4]sK)fF.nMFHkI:f**mV$8hqGPqS'RQ.U(4UI197YaoqomSrL6
U"i8V[]r$]r7cy'K0X5*%^Zs8[nq$f:k[>GTYvHt8=F]L][#1Zw)J4%,)TFl3;A_)
U"heC)[8=-K+Xijokd>eIjpcg9$vd2L7\Fm_\+$RYC)d+:fmY$liMKJhHcOjA^XVZ
U"ISRa^[yYpz5Hg0aNaB%CLJa#ES>O.w6O,E6B+o^Q[suOOw+h^if*nM'oPm%D1pX
U"/e1___+TK$Ij')A6Z9k2<[(jmirqmk^JLX68Zhffh#U&d&l0Y^iN#:Rh?+yUTCO
U"YnH4I'QJn(kdL#eov]l,M5Jq4uEEl._p)RKG)r[UQ+admu5k(e(57=W3c,Ofl72
U"A3awW7q(4D=WKU4]Zz6&[qh.r)ZI#uZ^#YKtb\&9T/DWI)e?PhClcMR2m^JhYmk
U"ZBCB'y)8B&gA?aS?\B'A+dVgSNK?e5OT0Up]/R&KU9_La[SYRm+ik>_HqbN<hUJ
U"KmW:dQ,rSU*<l+/L?rs0l1^uj#D7U,jU6XqQ:pe757=rJRZ,eSenVnPrc?C'P-&
U"%[xKj2cDUaNvIPUd:kBgR9lZRW2:)'Mr?^*b/'_e9Qa+4*6#,bRVE^C)]h.aBxA
U",j/0NX'1:xb%c&V2-N->rk*YO8)u=2HVFfj(_N/o>rKtS+_S^scU=X7u=*Qdi_)
U"MSG16Mc,usI2ic)pSf5P5CFZHFjqUL*>$w9i+:X%x\.?8H,(UXUs2(%Gq8t]P&.
U"uU-i#?aRU92.10wUc5)y1Y3:+KON5v%rUh$1cBx/CDp&gGX0u1=%6>4%0O7N-ar
U"8(#&Q6D&Cb6XoshU&/H$%A'.QC\d=SWmS(wbCHYDYGd5r74]+-+QJCkn2/pv8#h
U"EqI6/3q+c;';^E:a-2ljOK5$M'Skh-?#I)Q:1Ya;#%j4k^l.J.8YHD?:NcXL6oL
U"zMchUur8&maP9Lv[/'C0.pmh%%jhL0gDsfthq8e%jb-5T^:7Na+im.hT.aU-&),
U"xvEbVPme&J:']MnSn]q%M:zd1/AS-XG's[%.UZ=V:ZPAK*S;?3hhK]]af0/2;xS
U"fr;og\kGYZ]U]g'vnn7e7bHsrf,fCIHSL[R#E0jrE(Qtofi-XM=m$<-_^pIi7M>
U",-7e&AUY<K$B3l&Tie/gpd?#XWilP&LqR-,cvl5&Bf#tZ[$m>H$m-U_k_loLLZa
U"biHS(gMG0b6,D.T69p.;pQ(sTktqHqB(gr.b*in:##*dvOc4+XHt&nXnJ3wxSRN
U"*012b2&'cd_PfjI9N,r%V*6u&1B:%m(NrjA(-dZ,:]/ARSxa6gr5UQ^Tia0Yz(N
U"A2L#K2;ol($k/T*D$Suo&V(,K*'Ai0qp(D5bqX&b0:w+YQD,/5b-=K]Hg.j7uL<
U">%xW#d>a5N*+w=7?F&*p#_p5uAH_Z1\A/'J,1[IaiJn7TANTCbQa(dOUTlKryV6
U"_5\No\are#DIZ=k1\-sZr2J9ufHEq7O]p#7T$&/P63QL1?vB_+#w1W<X'X#_Lx1
U"MUz]^bkA]n%Pk^2Vz;RhJChdN2&pz\Xfr#m(gC['TYFa%6%guJTfp7*$knJnY?6
U"2shNX0b.hp6Q<>O\7=thP5mhf/leOI>KR]r.$-u0OQj&RF0.Mr^)PJ3-cC21D6V
U"S*H^,Vn>vmWO=5;/auK\q<r\iu$SugJ+IJ%hAmZ2D*-UG8m8IHL/g$Z+MX?J/rj
U"abK:y%Rnn75ta5Q3Nh*tS%/B0SD]?JlcUk_4,\[lsl\Y'*A;#J7[blNRf)2__%[
U"X=XRCJ08Kqv_=+xT7GApUX0JkX%O[a2Evns0cC#r?*Q?I,>_J'b'9mE-J+Ka[/R
U"i./$+5Pn#<^rJmBm8Grw0IVNQs6E/rdTS#:&lP=:H;h\Cj1#1uFSMQpVU7ZCK)H
U"qjkJAy=q</Z6%KPJ6Dp2eE03N7KACq=O[i58Ulk:k;/b1Iw^Tg97K<,Bd=CZ7YH
U"28mPY-VfLZu*WTMaIN'mrdQ#Qx4FebSX$^VZJ:SY,PGh^gnn7C]'E.aAM4oUudl
U"vqVWKgUYGxr1wg:K8OZIGYjIR$>HqJrk>25S%/jzRC7%UQ0_u/e^D;oeb]e;wbR
U"bj?5685oay9_m8r918ng9A_V\h'yrkra.G$grH*r']mW]O*&nj=\)QHZS=KjAoz
U")4ir#>PPT*Ma*5LV2kA]1LC1xfuFF;gh$St7&,lE?$7$Zn5.ASDYO,URfMBB]9'
U"LL4:x\\/03v%),xIQB*ek?C\TzpkDmM_QnY'IPDcA]MGrGab.h&jD*<I)<&;aAW
U"h^mo6XL1_AT;8QTWt5PYeK+#NhSvoSmd;RO;LMR.,Ro&((4O,UM1(mYOZf[mfGV
U"J0f\IuR'R_7R%:OuSo<Ze0kZrgcSP=E;pBeSHa^S4NvT\'<-m80(323ioiv9[L>
U"yEPM\?2XJ+Nr,$kd=<X*)n0U%,'fu[/)=NOv/=Bd#ax(t(+p,CqLIji=<Rhwh/W
U"Es:p+$.(x,*UQ[gIFBgZbWB82tuBW]JvR:hn6Qa0hSVl:DhDj<'XvEFir=/rJDW
U"VxNgY-B_8II^9wf-t$]Oj%,H?GsN>d+U9_aW+Q#lIo--$Ii1U8k]R:/A&S0KaFF
U"/IsJm[Tx\>DKvTlIUZ?=sV'qr>eXJ]P+1.(L=+L)>-td&:%0j$%t&fE_w]#dV#N
U"UI3K,vdr)Pn^h,$5Dx6q:'fxeKJRHZ0KnWkn$bI5K%'.$klZ_'<4t[6/efcC(>?
U"l&_%1MO4tkMIFc95)T\?dQm>2O>Du#Me:?#26HtX'f[Z>FL/'7]%;g;ZuWHHrbp
U"1B88El?g:<Qv0Tt'PZx][Q3KcmMd5a:_\8sld(2uJD_N,bS8SKq.6iPkhuD%u8G
U"e(s#Z(,crdkrodktdugkPVch(pmoPJrdXKtdulqdavSDxvDY^qducrdwueD3NVM
U"CN,yi8=U84SF.\$T.\#S.\P.Yfg(jl$(jhr(*Y(Y*a(JrM.0Aq.vqdtW6=dZk<i
U"r2L,M5qMC(D?pY=\Z]*q6&bA2dK]KhTgDIb%8RDFK5hqc%#FTzMCsmB+tON&:cb
U"Cw56%kJp3<*b&giyX=X6?.SP;X<_(HFX3]QFa.h*j&iL37Gfji&fOA.myK$$O#0
U"8EwC\'9n,A(Q;kBb=[pRpMmd5.Rkxnu0+6UnASt9q6uF(+R4s[+XVKgPLjTm9ML
U"2rda5C,T98c8e]e.Tqs;8+1>(Xa;_\MOgSf:x3,U;JMH4C*.3A3yo6>NRTMM;Y=
U">vLK?W)(dB8XkD]%sG]Sj]iE9&.VtZ9w2V=uf+dCU2)]1H<ne'Zdi7/H8qY6(X6
U"p'4TpaavH)?7:mtH':d1a;HJ3aM\boRh*1rKAm,\LR7CI9Dt\%%nE\nLn6G-Vk\
U"-oJu,(,40BlH)'s4.a4jcb'B\O]f4Zj3RtXh:s$#4B3OR<GSWP='NBc_>]:)5;=
U"[Z23fR[2S2%gL::Q>K/>m$zjdjaAoe7bgq6pb.1L?JdP>O(\_,;8bWsb9)Xv/M'
U"N)N:m4,fDa=n5:MVAtGA,s(Lw4*Zi)=yh*J3v<RLbt]s.5/Wf*qsh.RNtPNfnOq
U"T>h9,#MuXrV),U5)lcZ12L>;O+ksnQ;rRTe[L=IBM8AW'AOp*[#:F3eI^eIW+UD
U"wX6uvohmfJC8)%cJCj/f'*WR3N0krC'79eZ/10pQ-Uj3QUfaZB*9>Xa6j1G'0T?
U"^J<;OVTR*EAP36*gi=DJOE?D[r8fRe&'P\0>?k$qJfBK^rm0&dnuZlF)1P_;6mI
U"]f061M6Th0szQbOOG2-X0d\HwN4q88i9m\u-?n<atx8:'BMn2TsV#t,r>Z[[^vT
U"%25v=>+XW>\*5n/ISMJGrLWvfVB^Ym=N,xuur)$D#qVthr\,d%\*c?Z#);*H?ob
U"oxF)c*HXOKsnP#oNjOvV.h3j4a;W;.BjOq&tj\Xr>fi-Pdqd;SRKDimH&^#qHr)
U"Na+Qu>4Q&h/;e#6U(i7pM/?7K3OuvZkO6u+6LInYj_YCwu.AEbwn32UV+D5W5Y%
U"pRnaepOgaMi=B14[jCd0_pbW\WWtmVhs4-YT(h*xL[5Wu+6M#[%U1cP&dtVENU0
U"jSDy7tL1D*byhDg+/%O)'58H2$t)oBe*M%O^I>FR3%3$#T<34TpI-/4SI_Onu(B
U"I])<Lo8%x%yaKoHyvCvrW:6FF(NRfUC1P&)yvOK_:z.hKo'A7I7HrkC5xgaxI)J
U"fBviKF/2yY&)kwrcf9k[fr<I6cM_nAFDejM.F.E&uP0vO6ZqnLQ+BB=FgDzCtpL
U"c<5?cIU,C=^BXutqnhopZ_'0IoXBJi5Bei_iP^QFiBW%=oSROAzU.h)gn_G]'ub
U"3tq%wEUq3%6/)$xKwdKshmPaY5.x)24eCTGj)Agska5;QODoOG'T(LfK;Z2*:.n
U"e/4y0CbxK%ZHdi^rB<?:K-a<mrSZhi,uI6^*[lF45zk04hzNS9K2/iH(2i&[fF*
U"znIkMx0jrl=s*MtxBFEl$P<&K/qh0Lf)'p+epMPRJXI:=?w/c-<K>g#=b0%(Hik
U".w9bs6+\t7'AJ5;*ds7(Sig&7qOrw'8Yb?C_];So=x7MQ4RsU5chHW$&mfp&Vug
U"m;tZtynup-L]eH_0$:FG*Ajctn)&AnZ<0m5(Vul_,[012n=I(X*q'%49)?Hu?71
U"sah7ro*&):]7T.J[ot*:ob0_Jn1tB(9#O0+(^;.KJ=Q/*'E3$Q.jnGoK0rRUB+t
U"fO?f;JgZ#*$FouZsZaP3*794Pu+(+gKJN[$F:%N#:QZ6/9EUj9rinZBZ70J2XoQ
U"F4$1rm<+$>kyMx&L2$7\)2c:nmegEr1qhrFyDb'Nx_]R$n&k:QV%&l?qgqV<-.G
U"7tBh)x-.CC*FIdsC)dC'sC5qnh,$+t?ktnrHEfAgd73Ra=*0omN8,>iG1ji;5u;
U"o]YRK^][]CRN9#Pn5\QjJo/L.[m\L+HD(0r(jTta.-Y$IT64;iL[Cn_r,B;oP_]
U"qy:6wN)Mc/vW<CXcv5U:*/U)rIQ(F6cqgNQ;%A0&bjqeRK:vG(Qw:=#;p2hH9Iu
U"FusuWU:&O?gufwh&#9;7+,=wHrKw8YJc]co\VG/u6cMq]-%IQZX5Lp?gg1VEV0n
U"8wg>cVI-b9q/C,FqJ6gmBXSNde[9pd8Lqwn5o2q57-AaCSG$mN<M;x-)j'Y*#j%
U"ff'<uUn4d6]jn/55w-R8w4xHpkTxfkN^F.4_eSlU//%H<9y$lq^6wC:'A-Ia[et
U"uVlvhMt-48ibF.9Nc-p&i$Yj5;^CK=oog6[cMD0S/F/#73Dk3.D*[)*egN=a[Cf
U"(_Y;\Q?q*qHQ4S%l\'og4i_007;0TlGtQr'&Sf(o;m^0#dd'1s+Lg\pl>FM6U]w
U"h-9Lu4G.pcD0]lX0#CT%<kLuy;^aQLFa5\aom1UHPjp9O=TUtRSPDmJ74%^X;et
U"<H*Kkm=C0OXUmzbZX8BV2,5LYfZSU*4U$Gs+EjQaEI=w#9Wt,W4KlgtR>Co1h_D
U"&?lriq$MC.?3'mftn:V_s01w\NlY]-.qLvu)s&8riypd,C+6S&^UK;AiU?:t%)i
U"XWOfQnlvfngi#mX8eC0eMiYSrM3YS5Z:]pJ.W/B.IDmyBTaBVjG-GswP/OEcZ5L
U":&-N-DO6JkVt,n:?JX*i<yNk)L[O43i$u0]pGaE0u*r(xlUGlu7[7H_g8$J\8C?
U"L;FZ\gZEEFXrHNw.8Bm3GB]<mZD3Vi)bfzS]tXt]mzD5J64RY]LgLz2C*:*CKg$
U"nwBYV#UA2Q3TfsU*%pH;JU?Ai,r?pA-9hVBIck[)6^$v*O%P0U??T,Zp?'k];1t
U"m4WXn-5lD%E&=>>SD#13t9]ydH(gPcmO788[.I<P-%-DN*=yZ5DFb/[ULiO6d#.
U"_L&=b'*Sb$MZorQ$9eqIuYv#fI8zqJ-YiC1,_dgZ?BFlK,cA=b]u4hdqA)RNmuD
U"A1l0au(?NC561=tBugc0/(Z2ggROGb]nLd?8jX0v:G?FE)e4#GleA9q;1s?uj:G
U"Ec((uE4d(*W<s2cYrk3j4ebHz+^io]<*wFt=%^b\MH9eBla>*kSpFX<jtcNM+tC
U"afPI[-6%4Wn<dU49OoqSNM\)DB[jlx<N]f#lmW<Gw<7B9a.F(X4;WV>f60udwYH
U"c#er<O*v\$MVbi?Y0c=\N)a'P<IXvu9*Lx((ux>Q8wf81\?iB\JeXwN*9,zeER2
U"LWc1crdug^hp0.HOu8+7HMk8QuJ%HjKbfo\SC%Mm[[-7T4?9mqA[v$Nbmgwd7#v
U")x>pfLV3t(r7hX/k95OhXfn&vCsknKE:*C)V8;4I/kJ00=(D(A'ZCN/i3:?CQcM
END SUB
SUB V4
U"c/_zO.X])U&V&^G35j/PVpBVOBr&Yp_iojXTJa6^#Ix]K9IRm%-XYvJ%p8Y(hgm
U"CKn=x[^N9R$fUVAS6pJJT;oEfQq(1ftx&j'Dv:DXHf[=%cmA?N4_h)fJinP]u27
U"0KPtU6*x2D<03)?F=O(WOY1N8(&1(\%EGhggU=$/,g1X*eivc>JASYmbsMOue-?
U"r0_w*d:'-ed\%X-*X;Y(wG3ZLL+XlTP#Ndw6Q'0q2604tfUF4D=6d6b-9$Ieltj
U"k&i.ESvvWDH7X]k)HUM$n7G9c8+G*ZOZIRJO4hgxl-t(fza7/9sg)+:R50M(;Gc
U".?'r%JeD\xeW7e0-aZ6H-DQw+H$#7/<.%x(YAV?.UMX>T^nM)gIY;6v#6EgYA;t
U"]7*VF5DPNDCG#J=qSN=PfKAF8N3b<L0M83OG<b6Oy=Tf+[N2a6?7#4nEp2jO>rP
U"z\E)/d5-<mX[0r9AoY9GQ=NI^>sK)a_)s.%9QRQD9nsabUF6s^z?aEt(.w*q0Wv
U"ZAf5#pjge0gD2:=o3ZE^Z=1#<k[3(w;Y))J_d7iKF+'B\?c1\gH-XC(c80ybM)O
U"mQDO<>U]WsaF;Wa'a'(wzawJ],I_W67C+o)Ka\\OGqwHK-UCd18R9\]WMo,%:CW
U"Y[KxK40VD0,sa*sSy94y^8L7)m<SjO5-en(qUkYoa)3#m9cBJs(1$t_Qmt*gQM>
U"CGRS-$f)0IDYI[wAgU9n;o:^S(XF>84YpDf.hRabiIfxZ'c[6E66?.,c?D7f,y)
U"EC),:/CKe-:GBB\R_neeRSFOml)E,NcxOHc*IJZj\^:rY*t01^HDMG*ty0=n$M/
U"t=WNa^4r-.oVu.n(Wxe5mhX5xoT);Z3X<o0M<i'auE[DqCQteFz\R+9cu,TRSn'
U"E;#_FxI[=d3;#OHd2lDn3C04?&Kd5?v02CA?O[%TQ+udZvg=o7%\T5F=)d#HU3:
U"c;/A*A1k0A#e-%(M*^'ZIZX:]2'#hY'.G]G,'Q*G1\Q,M&xpHz6TRs0A:Soh-gJ
U"c;*(61pecW:QU<PB)l<wh&PO=K8XmI4V*=as=j^A**EEdL6^nwh:mM'L+4/P0/B
U"t[o*.zN9*Lm%jh&ZKWXWM):MP8Cfkat3>$UptMSr(tklsbX1+;yI7NP?LC2pJue
U";&vE#?bBPOgjS,4MNapcAc6PL',,#k22n^rkt^2dfkFWLhYDk(4Vi&Pcq&wrdjF
U"8A=g#>yrY>[u'o#]$q6bpssMg#>)ZUEt5TVdtP7^47?i851r[h:.WG.rKXO4(l8
U"JnZ8Er;kQ2lOm#lZ?H866:AT84C6Fv3U2X>[4TC^g?l8G^?$Bl-1f.Si$&o_\GM
U"d3;/q$3+z%:=TWUH'BCS[V3%(2of?cEp>rorVT'zRY(7qhvep*pES_$m1QaHpf^
U"gN.&F-6A)^>):khS%Vw[?O06mg5tHKQ%IEoLLJOLT;aJ%IuFH_ku7?+^OB^G$Vy
U"dWYJH',+N0kV$>\2hj[[to.J9:oJRaWlZ(PW*^^OFTnxkPbq[fen2-UJeLK)bqb
U"Pwt'.*AzMkfGjfl+>'gLkFqDxt[v(lgy0_9Mum%Y^D,:FVTbf/O0P8z2uddw_Tg
U"tIHcIE71\*H(%3l(REXzOE?wK'05QRFfX(]5>9j3b9U?HYogogHD+.UpB$i>eu.
U"z)&kiO[/0rZCEgHhnZ%HW>%TkRonpy%>BM-avI;(^%7Mf(F&0)[s21vJakK=C,R
U"w#[PdbX+?ctTBbF1n/x[LSzC*L?FH1SsRg%'x#W_+eLedrE/7T1#f=Kl&N#rN/;
U"'19X6_eIf*;n/bN4&L=*5,w)4HgI[]5G+#-.FOD3VM)'BEUr.CH^fb7[Mf42%4S
U"Xl3O#f-KYI[,d0PL-s58;6,nif1\6DHt%JlOK];8<Z]6SO^tr10gHnG,m7Y0_+&
U"I+(o]#6]9QAm=3T2_XXs65tLAT:OBEL;hMK>\*,:$i'&B\gQ)Krw<EN$6b4S6Cp
U"Jj([3g#5M97(<876oi/0r5rS'Q,\l#y%Q:x_GnL(q%F/6/f-=[twibk3b<<*nQ#
U"mlLG^+1ohu&)8EUk-$rCaLVtSrOQfJ/xR;N<'0Va$t/A1/VOGq+j,);s*nfLScz
U"P5_sdQ+c(>Gr07-r&*Yl3acL2+'B[<m%UNGt(/NtF,74A;MKUj/<;xd#,z9IemP
U"#IfKG]n=7[1v[koNwG4>ZKU45;SfYki9e_BurlTbhIU,LF29MBtC3b5GsIa,+Bi
U"43N8?isR2'=9^hi]T$$sQ:Z0t7'?'.(Y'X=[Kf#a&Hj4dM/UqJ:0*nw)/#'d[[F
U"rE)taSyWg]6vrZ4vgVVIG^q_IG_n3CIRsO?_e8\I)YZn#;y&mDPZnbW99.vWk<u
U"]5q_Eu[/rTq:q*gM#>)/yWK8TV,c\8##[4TJL[Jn:L&Jp_v1&>l?>cV<w:hN[55
U"DiUi(tuio>7_>9LVQbs7?<_RXuJvb6W_R&kaFIuZq[]djC-\u9J>^nT-;HsXkWC
U"%8\nar9s*CId25e)M?MzDA9U;#dY%=LRu_/v)+J7/;f,8wV9_r/4K_=bkq^:L[&
U"/(<Z382T04TRg1=W:]CZ$%*C\4[F.ZOPuHW+^.8:Ng,%-*ch6PsublJMjSK)cZm
U"[r*%w0<(^'$c^#fN=FRY+9*#zzcXz100J0.H+hi/&17rQWy?4RgDjDu;<1KfeJY
U"?8r=%?Z6j+pl0/o0Q[/WJQ'?O#i)TMT(h<Sd/0hQ>Q/k9(nOy_Q520d'I_w9:K0
U"K,t*]'JozRJrbbo(G46_>7NZun^2m0<-Acu+0#lUdh*s?4J'a3bpOl$:a><+3Oh
U"N1n6R+\*a8b.;?VQKalK/G*&G00\,8[3[#h>9N%M$qRRP'lDX5Du,EJPB9=#O3A
U"-U='#^0EODmIhdC'aq3xkn2/Pi_^\ffSvc(>?h,7ua30*2YzI,,*lt[#TaSdhL0
U"0rZI=hec/fF*JU5nR&0T1qO.dd3tOTDC;eV)QiSYMaINej3WETmS9vSIC[>bh1I
U"Urv*JB.kC$Yak]reyS.HJ#K'CH#%XDNQC3C:]kvcTbY:c?80u[+C2.R/fCm2/TK
U"TL]sPm\yM4^g7pOiQ*uF&&E=h]sHZcEdiT,;2L4r2)L1y*^Yj.[G:Xa9;b:7?-E
U"ekC91WYFJ7g_X9g((#IN8-Bk3p^SUnbO+WCfCimZ%XL2%i9LDTiaRd409B*Npni
U"SX&SySnyt?nWn);E=Jv<dt:yh-:m.Q.tRZ+:$+.k-MVv-9OnF_Cw\u_$D;ctWKD
U"k>JZ<2tL<7'4SuwvU>+^8o64:9hf01z'WcwbDQ/bDirbDsbqDCQdZ);7WcD?KH<
U"x3lt+)VvrUPh+>E)$6EcFK%0_7&K4hMA[Ub+-oN;c0#j*iUoI=/,JOHTs0p=Hu1
U"1O+n'2/k8HA*dch4#7,A+j\,WLNl/Ts(&/-CB6AaCg>5_K^&%hYMMp]([9M.(;=
U"I3<EgWF.7m5eyqyn7CEhIDL;A5A48#MLmP;aINs(G85,,wkQ=V_e7IL\xn8zV-/
U"b)JI7+q>DNQOIVak)TRtD120t0),rC^jnN7H0uaw93un>Eq\'tP4rH>I9Q46Lid
U"F-Gwua)/Kkl]lQ:o#cHAL<8L'+O*JZP>e#QLpp0#aFuHDt:Ehc%:Iub'6bUPouP
U"9PU,=#*fsOVrM_m]8u+sXb$c)ov)2]^OU%]&'Af/WOP$RlhPV#'(N]qwy0jt&*J
U"J$Hzulc$h1.(=%a'B^.mKT00>K;-MwZM,tyT71Pe%0h#cw4oOVDqdxAttHWHXqL
U"2)NJw>NQe?WIZNl\XfgzVeYZUGiwT9tP?,0^26k%'SR%zNs;1rlB<Nwh#k_*d/o
U"#ZTx^9K(jlkz=Bj^l%c-uL'd5cx_l;U);\Dc-dh)oW7'>Pn<Zx[lHc#pp9s5AA-
U"[aOSA&pd4=HoO5Y[N'r_^YgJ')N[/e[v&35EkB>D*Ade2gj&^3Z^1wLjPq=OLI?
U";ko:.-]8$^F^7:3$8dC8<bflmk^KJBqW*=AF$t&*Z-2LA&Q9CS72GbIAH0)7H2&
U"T1x/*Itm';A6^\'a*E?55d+/P7PB]Y$uYCJa0deVsTFQh>d4'9T=&o1_:N7h-7$
U"oCH3<zZ<0l$;i_jvq&4g*v0-iEdzDU5*M:A7^NM']Cug'zx6HlAok<^NkJ1]P5;
U"%1T^(nR_B#<9o3tuZh$:]D.zR&D$xI:\bKwdor]VrW#,)Io<E\f%LvP+xc+4\Ru
U"y$[(%h.u*9Ok+qPlap\B*qX*qxD=\:bqTpR?67ItG)DjXrv>y;4C&22/34c)F#>
U"M-&Pp?EkW$3WhoEWyo3^dtSJOU)5rTVL:1l1XM14i(iIc#]26NT?pu:7E&In5=j
U"/R(LYU0G,GSow51N84%d29o3)fHj$s2Z]4,B%W\t(u-ZCVM;*#l_c\#rn*EoE<R
U"KgT=h1=]*MuB\,e<ASh0p0jGKu^0Ci6kkat4k,4b6rlb;<2Ch8l2Ch^EiD/^;.6
U"P^o+7>)B;-r^BZX%QK\pZf%Y>KY%_b?F1+ySc*6x>LLa4hv1UsIitm9C#QkG=La
U"0L2zUel5lv.tg;1&Z\pI1:14I/3-q?.\fcKB=_P8n%e9daWrVu)iYjJv1_C(8nX
U"?<S-)2[[JW:7<icoupq-SkZsr<H1eW36sfs:6?E<Ze[wYy>C8P;*A+3.'8BXSsx
U"/]*G3;8J/Tnia?LIhkr[T$g#j3_tH*rufXIX>32S/KjNmRbLj4.h.)&;fI\cG?Y
U"5(fK?,-os'6^%iBTAiTF^1HD[w)*'MO]X[\yG<k<phu5QA=cR+y4nBr?xg#TrJo
U"*EJ-YGgxn0;O0vY^*gup\=]En\l$wQ;:uK4uIUd7pD$wk;FR)g_(Jmm]pPe$4Dl
U",RF=+TgCRO%jgf6>i+4tnuDT.*NYituSRsCx7'R%z_9TLN(tpf/Nn:oFa0\#KgB
U"vuFyV-V'MThC(QT6pZ_%N4ha1;MD\P890CTp2mIVvYUMKt:u<'*&<=T4zXw3US.
U"W.q5*Gndu.]2up&/]'p]u>\/<'_mUNE=hO&4G(:xx/y,OIJ[FAAp4Q62A$max$+
U"K'.e/fw*[[BR4j*wx.T*Mp%7KEE6;?Of).$)RoOp=qh00_=%1BnAPc8%jL\#1)#
U"Z7?L$eun']UI7O+hy\Dr,i)]KO]keYA.G&(^i-:?LRk^VA'a?Z^(YlE=olVeD^D
U"zdK&)v&dwj>:MD.qXRFifE,:N:3c7uJwa'AT8C'q+%)4-'.rPA:i0DtQah6\6u$
U"_1RFZuTU*48w-m=7,[<:*V78nQ0gte.*LPLa&eReNO_n<B^)bV#^)$/&OVhi.%J
U"ifh?z-gJhdWcoS^Th)5cF3Di<c<t>&n4L:'Inw+Ec,CdH,8wENS$XyxW/#lZu#)
U"m2-8BwgcZ^dkA_%ja3ft0.Yevik]?.T9QcgPQ1\gcVaK,t4jdw^jv=Ua^7hd3$.
U"<Sa>)',R$Lk(ZM<I;:U)pg<;0FVc5oTYwn*GI<:n],gjGQoDYoug/R+qBpo,le+
U"?ft]].oFv/=>GA1_]fC31-:d(*2F%tLzjTZFcrPb/uZG3nH\:*aZqh>cbL5^7DI
U"i]Wq;^jCKkEpCmVCQn)6(-4O&Z#EJ1T7Jf0TL<.PV[bUdGv(+utIJdCSn)UieH9
U"edO..:?Ejh<>yTE]Q]H#BEFI0]0XJA&1XGS)^dyl,^.F/sJW=]MDS9-SVW?AZKR
U"t3rtE[8;OR^65*\Wp]KMh0Ml#FtZ%%tw;=3(M3K$M((eRQ-g#$pf%*nIp]BZ?IK
U"44w-i/Py\Qp3uN5\1Q1AN:K6(:Vqs?8s)EP1G0?3<_JD/#7lql1+2+neur2T'ET
U"xkA9?1F:J4MqW\]\6)L'gKcI:h$av4'T]_cA+I.)UIaA+.=r*cQopC]S-LrRb]V
U"jPjp]X8t6lT#b0Dt?uuV1y$QhS2-=Sn,VM#]q-o7mAF0P[ANJBW&h';0B9-b%*3
U"a;NTW&c6('acg>W7Vk+X1PL[D#/dVx#K#z/VT\O)=:8L<BtPfs8::*=XfQc,Suv
U"OmVPev2;nH*(FHL6[^N%W95Xc*Y^gBUBgl,Bfj)TUWcZubCWlZY49MDDTrhA7c1
U"k^R<\aV,zD_YZmjG#)Jg/;(Xc0ESA];Yb%Dd3CU<r+HZF8HFN0\>XA$1Qxpg(8U
U"<r1v?[7_+DS1i[+?$$2n3fC1;%f'M2ir$-6%E>?IhsNk.ZB9EZnQiw5#/d<XP&j
U"T/Y$-I$l$5b,PFqkO86==\^O<E:fcr,GG(bXEi,-P^<_Y]iJdger3.9BK*D6V4m
U"Dlb/=h9aS%/*,9h)q9?w2-YoPh]=K_%sfVfu;Sn4A,Z8h$s+pT;WubV()]HcW:q
U"RW_I#YmRZd7QXh0^0C/F+(-ZMtX;MRczMioFl4=Bt\_>2r'(7\r9sig%k\=flKd
U"d6a\PX6t?^glN,$jsjS?ul\9e[\B=.*J_.,]=0)sBf_\?G=u4O/oZ$LeTM[%Lxi
U"H2RoHYJp<P_(^P=+/e4Wi*cGvPa\q,Cg5R;rioiDjFDrlbgVtHJUY1O2reoFRCX
U"sP,7lESq=>Uft(;%C-Z6&_u.JGC/BtorjTqPl545T28w/WQ3H4)<M*C,9eJ>*>'
U"'tDqKwSjK#&\Kiso6_#OWC6>%mMQrivcMN%\JTB)H7'qv7],Q<Ucp$wiNO1)PTo
U"P;T'a#Orc_.$1=g-*:SzL:Sd8;Fl/kdR[q^g_>JN\hjrERWiVLEgM<;JIo,3$KM
U"Me4TZR<00f#:'8m9:vFqsKPXE)3#SNEj3*fD2xLR#:cDFK:))SRzcn*-*F?of+6
U"%o*2Qj**HJtX8v>,4Ext=XsRDjXmpt5blV+K&F<Xt?D&H\IoXyhdMx^d/5Y(m%p
U"xE5tk+n[hcFfQ3iHfBY&s:bs3iE?b7sj,-0$'0O8A5G1\07'gsU7A,#m#P:AZat
U":Q8GBTW8sSZ$GbM7=)dCuh4j[8DNj,jo--6SU;cGGnk]+L.s^1L-5>&L7[&be&$
U"2h[furq<upekFk-N%X90eE5g8Kynmc1#RUTO,FL;vM^ZsIkYQ^dfJ++b7_l1][(
U"e88?nmz,7,Q^:<g'8<xT&h%Sd^%&A_IP8?M-^v[Ufk'Jod>c&/*1SifU&'/NO(L
U"mTnTR;V]Vq[QqpA'eu=Dapg]>ZPr7gl)2_)g,*smT-HX>a._6p=&^/6Q7Q#jfH&
U"2&ed%wu6;-)EIOm)7Ef#W.%=Yo=OjUnPbm<D_9ZTs9H>eg5Oe5'H21kx//9/nX4
U"a[PY/(o<k>H81$lhaoCr0R>qi[h'du<6k?^E.B77UpKVsm%Cg',%3+-daEUIXd,
U"$'n-LUh1KI%,YPR%b^r/FsC(d48ThvxJrHobUr.)wwS*Qudyh?J'5Ai]8B$k:SZ
U">_+SbqO8l)5zUP1igo$97wzAgd<hHan;-44M4Z.fXn0S4A',n,Q>vKp#_>?LTIO
U"^/EJ_Cr8n1g%g6\y'F<.22\ml.-sG9H?JgK[LVKBaqt.i:).Xv0%=A9MqieC2<2
U"4#ZIq=:WngU%Is>C)iYcE)4eWI>\(eVd3D_U$Cs<kY9+$p,gk^>/C:>TFu*9s,[
U"Td9lRvg$>-L-]S48Qwl0d^pffG?fSU/2JJ8#m=Qw>/Q\:[b7T/Jbd<7S[=36:HX
U"?;9u0Ye_]$x27:HqvTJe)n]G9YLusAZ.,P6He>?9,h-0NuKt9h.]$2ah\o)WLIu
U"s2qTL=6ahibn%03CtpWq'0UdfMHecE1d\'7/LkS6$dRokWD9eXZv1x&Sdgmj9<]
U"mitpPw+1j[q<Xxjen-Z5N*X,wbvSas['^dc]KEDT8#%N.M3HwhwE5GAr:7MTSpd
U"Rcl;hc)/(SL0/[;lw]/oIRI)s'.CsB-7_qAKq^vfl0lj;KflFSPfPcPmlOBLeck
U"C=75R&0HCF_TqxG88tRGn&=nat_.Od1(skyt<I6Dt2P:#D+Da](]iD*mchBAME&
U"oyyBuyDg,d<-a.XGY6mC:fw5u9v(;5%EJED/uC\('IC_2lXV?-,i[;Obvf0g8Qc
U"+,gu<AZNUlJ;cXln?>j_/u2mc*i(_])db2,CBk?[7&QieF3icEnF3DVmyESV4)U
U"I[FC8C3puTag+Kxysg*k+_PXi1^Fe8G,gq%g\N&#?HH:JIW']SYXG.9PH;kC?.9
U"//t<[QoLpSj.$KM-&vF=S_B1rj'a)g%qYq/20/IIn2>4=d*2;H=wp#ar[R#JHUL
U"8EnCDYpzNDHF<s+ym5.fjl*)$?CgU%A^*0iNM*m>%TNq^y.'35OL<g5n9C^h&Ut
U"dO<Tk(G#>QWlrM^vDZYK0l-jfPLA1Hg4Pk[BSddhF^%d.s:H5wkPy45$9bm(9H[
U"dqUl-&PhI\hlR(BH,9d,%mNd4Lc(KAn/?m]cbP-3K99O#ir-?DL'zXM&jUO0.1f
U"paK'KmN3D#y%;c'v[#UB^K+'FH'NL#_-#$8(7<XFB^;mvdLM5W6a2)FuYWjUAU%
U"pbXbJR80#tIG:(C5dFUX;P?u%Y1.^8/T>%f/\T*eL)kT_$K<3]J&Tt519p(_h:;
U"U4qJdZq8sF$B);KKqTLY\j;:Wb\1EW=I=NgM>QB?8KIg8hR3qLp?LCc33;27Q3M
U"HDzOO=1;2_*z^l1#qS?L]Owj,p(Y+5I(^ng(5n'Y,D920PZO^11aeIL;L/#o_8g
U"W;;0<:[;5s7;l[i#WU^DB4RUhlvAUwR)))oZ#ksIRw+dcAi4RyohgivZ\iX_?)l
U"#TXvFfD:j'C'6-gYsd9n;vB=WIZj6T+7t6bAD(TM+Hd48jSf9H;3(2\u%+?o??P
U"-usuT;790p&pH**J7Ey?,VK2k2ORqGKV<olHKx<d'NwvahDUf_iVc5JtI&w/$lb
U"SayQd)syQX0/odPa^]xZbsI'(Z72U0bteV9_C8d]TK[2(/ey&xtaQ+31Bc_g]-V
U"ffPu95.*A]M+U'i(0mBYHa,DzH2=f-sx%H)P(\Qt*t5F#iAQG#D,eh<zH&>#nO4
U"aQ:K;O*(_*J:f*#:e(s5KQciJ-G7]3XC[ZpHNuG&-6?g\T?X##\I)a=o<h9U_M1
U"q<-OpR**)JX\rd0jlTrm0MBx,;L:y/CJO=Zw7rnl1$^*uY93;gr\iXzHOYO75bC
U"+]'6fXc#[i=tm1NfeF+P>4Djj*Aa.,jx'dnPNX5fl'\T=m:Z,#T+wC,7TBe[Ld+
U"=GrND)8I_-CW;ILF[?T-B+x^lV_,VH)dKN1k2)ZnIN[j:9aR2^aM0q7h[Hya/93
U";uU>.M#\0#\:NLGR=p,*-YVm4/B$0MUP]PIgR,9>TBT/GxF'+Xi6=d(e&[M$m>V
U"R_8HZqVI'w*+6fx<wDr>-(6.a^xjR9$VK2[Z8cfe_i^Qj]EspF[sp4]rnKfPI5S
U"?f3v1g.E:d>0T5LnLk_3G<iJ2BRH5ra*nm1^8IOt<UD)A#/$X^QI4CwC0T-nTFS
U")Ao^XRu6=u6<7FT;#U^SGwdp8\t]k]usbuiG<8;8vCo(gpi;?RNI8HI#JKORxMi
U"mQ8$nG_$e:B4zZIb*:f9E3'[n(9<vDc$o5#S0s:>jd<srQu:9]]M^;O:cOQ'L^z
U"o<+RUygN<?U'5WQ8q:>1xl[sUm;p8v-JcIA&*4jW\PZ%i<+%:ZeQiYJDH(B#F0g
U"fd+k.fK+'fU>*Y$nS71\MA;PcZMHF?Df=0>WY8o3P+]H+R)<_YD?$T?M$[nY\sg
U",(D'O&OW:%;$62?QkQZt\e$9CNWrW=Wth[<.+%R8$#ZT\fviEJ0QKp8=Ifho*_'
U"7y#3S\*'J+=W/()^OR^E36%=8qIhm*h1o/2>Gl?Tl6%vYtVTv]hCd=8zk5[?HiS
U"als.HSEYrdU^XOp6mW9FsEfB]=-nqU$%^kNV?w%ZFHW5sqf54?m&9b6AoL+5r5W
U"9c^7Y_M4,]<CH6bL;Xj0)\_1io^EFn$Vi\L?NqUn*i2$I/Pa,SXbNatsn<uY.(.
U"^&Ia1rW5P^5M):lWZUo>0UvK&REQQJ-ap]CmWBuq<aMi',iTDme8jHv5o3Qy%oa
U"y(t-Ff[DH.lw76==3M$R6E'&2WlhoLnOtaaPw/1+ctZ0^xo*&n3FmjTd,LF-$>g
U")uK(3GfA*(Kn0q&*>/qfpbr5nZ(_-g26suKh1qTtHBmBKU;5vJXs>:50_'D]?dC
U"L;B^.UI#rNP'd?x^5+0ha_?<wh[#E<P>KJM2atdrp,59[Z:rPd.8bB'>TO<+)Sg
U"jOAu1wOmoK81eqK:m\Tq\VI#MDQKq[>_\nv7LUe4R[HU9I3T8xYvB]gd[v;B(T&
U"Lc;bH;/<q<4$iX]t?Y_7>tQG8>V?iK6E[?i2%\E7fZ/JkePLRB'ny0x_0IB';>g
U"w,c'x[2rZI=mocx18U2;tn9T-xX)NxvZo*ULfnu29'l8(-pbhGfRPrc7]Gh3P)V
U"g,eJ2OQIrft^+tq<bFTK;a>ILl;0mpXt9vdDqBZ5I9g0TP/oc=&_;kj?TWxN0N0
U"'(N*>n^-^AmUiV\Y'G,rs=cZ7t0G5bt=iH$RJ]C?1enhHL]RAub#;:LRg7DDa:i
U"C*+.s_?0jxWah46Hfnavf<9TJg'n7D=$3U_gXBaJ0O6s?h\YCpCG)P\AW.W,g:Y
U"+bL;v35#w>3Z5nam6MI*og]jM0sh]C7fdFc&XPCFhB9jfOWwz.4-&9PfDZ14Uiw
U"_j#yV:W%b=>J#KxiKHHc50,EL,->BxsTn%\&$(+Y2na2BREHCahcruAR^Fu+\=X
U"j-Q[>rQFtE'HNicgjg>T.wu&db<?\:EKuVE3IG$n+8D:i6lRC>22N)\v#a1>eTt
U"_C<NA3?wT2=*U56zYl9NG8q\#'1m;-fUc:Y1p],KnfFZSD75[l*UPW]??JhEeiu
U"w2'$bYCkFFt_I+RlrY.#(-g-twe+*?#VG<4adq>'Hu=%B,Uk^A5aU-Sln<8a:t/
U"r''D>j)P$B2Vh&EI69-97O,?9RE^\hb5qFST;zRXpi6ks%hnoAV7IrX#Ejd?=W3
U"dhQW)&(GdM%9?=Jk:gEm1=qmRvJd$\<Qp>9YBHrT$If1=?m6ourdWsoc?E$]y,o
U"ga(n^lvbs*$>4y&?,P]9mT[e>;m:<5qJVi4#gd/[KM^2BqsH2l6oP.#AQ;ypEUC
U"(1G%vc*Hl^HeO)]$];jOMFG8FU'CSF[;^Pn&/jdROYAP/smX/*r#UQFmVmUPziL
U"*%Mj+)(8#MUs,#MBUKSG29wlld7NTNO?bm_Ce(aroRp;?V2.A+bs:bBm9,/4d7i
U"$&0S>TXyge38fM&Kxzn=r_17TF(tZx;p\ATR5T?n\D#AoU<qV)0*8[cYyVJ8:'G
U",*ItP(h(oQ$?%K%Zs_OX\Q'9)4M[hWexU_Ev(8_)_U=,m=S.lH>scTA#x^+=*QR
U";ee$i^\>:p1x.$GV7NO=ZBcigQoy>p8P>pUL]9Fu8Q+aV^3T*]Ij[q*Z.1qf>)D
U"Z]H]YYmM'ur7XwN)&u;2g=g:xsCN*.+MA3/9]sEy:%Jev[[ykj<_x\QYKZ]XL&F
U"MZLAFdhO=2s_.K=g2GQTwky-rhyaJ_NfNH?^el#s$#gnQojZtXDet.OOG\-*($o
U"ZgV#iQ^'L#/5^KaA'(x)Iv:ralniSK:>.s4/$2z1DPxBPsNHp\cS9%D.\Iv+d=2
U"Uhp6Zs:S[M+*'K0W1(k]+t#NR3:9nJQsV8#k8D?pzr0FV)(W<7.)rqN[cHvPY/Z
U"M#>cFZbbx$0rnWgM-+62Y)79-a+K+c3(wdg)usoo9w1/lm)*tZQ59ceScEIYjSE
U"Iqb^)mIVTJcB&^.UhFv(u/l&0K/kW;I)PKi*6T=Yuquh2>E[?j$ZiU<k\3fkG0m
U"AiZO/l]bYyH,q9vGdpc1>gD91HIp)k/6]t*[cICr/OB\m2q4h*S6rS/CM$l\Yap
U"o'U+$XgHP4R<-jcoZ0Wce8ZF0kOlq%STDUE9%\naI=&-3OJ-dI3HdSjcF4MpeNe
U"=p+F^c-c7;d-kNTMc?=$ZPVL6=HuH$=I:h>RNp'mqLAAzwzGfv1SsS#Qh(:cl.9
U"-LYf^AXd(\\?Nw7t>G^2KiBS,n]nb70)EW.5U7e39_jFOtism&P9SB)<uWWXEVa
U"KC-;Zv_d9f9IeoHAj73w%)=tYWARsNm>%a]Imp5ba4Krm08lE44dxgsSU+CSi#+
U"x+4Ohp0ap\H'%so3Y.UDRrl,3>&_Bn=pv;m344Aj*rKic8E.Sag'sL4u_z&d4hT
U"'L,d1DpRY-uF+MH_',.-tu#5?)c>'xj872<(%N#;pD[(Q5h;G1t:LgwFNf[:$?]
U",0S'WLBW>rxr^S.wXuE-,2#n2$E6ei,VWV'.2Mhvdc>O*qf<u)ugA;fT$3g8'*Y
U"p)#'TrlmJ]K*[SGHm.'ZR+HXf+TWIdFtnNJL:4a0>(mPLFN9i:fHJULDj?DJJ'O
U"MAA%F./1PFyifGB#0?Bd$VY/-fS'NpX,;*6AH,:QY^c$\[G;W-c^\q<#ri=x5'v
U"0.eIIrmW7&Jj_FQR=G>,x8&?^H=5bo5g1#d*eHVh?hB_P-KgU)%EK7Loq3jsq9j
U"jQvttEhHOk19ndPQx8&;-8+/JO5g$z#,cXeHWm)wKos)9rhSdRm<$^Dm7-Kq(-O
U"6RK9-l01ys[c[.bji\L8L2A>^H%[W8Rg;:iA9EQ-T.Fs5Qt\6IZ9jOvn?T7)'X3
U"\JK[F\RISaPUFn);zw**(Y-O'Yv494j%&H^itGIRAGv)2'iMzl+Oy&NOY.*M:>:
U"ZFldfZ%e9ij5R-YwFT57%*cP7tWkN,jgE<NXlXhnvq;E_FJj\>5iW+>Woec+/pD
U"HJMRkfdo5gT'%/=xDo757LjeJ435mUaKQ%'9s4cpC$2;&Q<jmS5^6F?bRf0a)7r
END SUB
SUB V5
U"K&VR^mN1V8JvkO9T#-s'i\no7n7&n>X2Q57Zg-$mO,t8mG#[X-65TDyEa#beW1,
U"j*h3=&+uNTfcP#XfB#v#\xU]f_f<k/e7CAy2,#XUC</:b#W3-y0wQuOnArtK,l$
U"ANW\>nn5C3+5AU_2]d4b0-gqBwpd=G\xQpZ.ApR_qF4=?xwNNQP1W4Rz2jfe&$w
U"S[V,dut5][bi6.LXhhJHr&wZ<D-v$.xliVcJjp(m1cpKPhF:nowX$:vmT=nH=iH
U"\T8DV#VfXK8x#?/(rfM+.,?qB)Y7ls4#V'X#8_H_tH.Tx>pBk5O^;V.V%/$[M>n
U"?onXdU_C_5lU,bS<pKks-e1;\udC=<f^D<1.v#f7e2owlXTXu2QU:^-jrUxWkDc
U"r16c_.3o?1IKt>#F%jQQd+QU0;-TUPhZ?CPx$]YngUhf]&8ceVwqlFD#Tl'va*O
U"aBE0Ts-JXugLkE$'Dj*<<QXs0h^Ieu>p<dbV7$_u\vaR<Rg+047KdTRQPjA_-iV
U"(3AiSmj<e'OuMX?PM[m13;CsQSS*S\boda)]9]\O2(TH*;FV,=j$.=u:t2DU#lM
U"jpt<uY$cVSp]0Ah4Qkf'<vWhPPy6F_b[wK9Qbk9/P/lB/op4X4h,j,Y'-).U0<Y
U"q*d'W*x.9+BN'.OS0%o3U$<P<*H;lQ^lOC)rok1fd?cMooPI9c[/Gf8>1>X\,#[
U"f8M^jN)mbS4NUCUcUUz)Tb,m93k&i#cI3kxQO*1\/*]9)F&N^Ql8sq,-O5W#+P\
U"ge4:4Hd(Ui<\9&j#MQPbEZU1NRP)J&a8Q^t'pVo_yG8=nG+_M^]qHT8T$CFjH?J
U"Pi>=jc^r,Pe<$YLtD]\lUHjGk0jAsX)UAt'Wpt.0Mb\\[UobkDCujWVe<V][4c.
U"7Kvb/5\l1e):/E:H#CW>$hQWL_WSsvcafL'M0yauZ=]kU.F_)wj\3MRI:42r,2p
U".Y;'B;8y(#AC<'=2PE_2=*S^=T]]T0c8W&7Rbe;0Zf9xf=_K3k%Kq\>7>9?ZBtT
U"BuDBNr[P>.&F2g9/(KYuVxDi8*_2zBc=?eF&sdbaKDSUafsJ<nD1dc,-jReEOoF
U"$OMk&2k%a1bO(R;/Oka+>N2a/)\w7fx4z%m#)deglmI+o8'NtGW2(EAyu>[^BG5
U"Nd2ylpigaC((YO/BB;3q)bQ2)kM<ODu:0ej-CUL'Z1L*K4EV+S?>=>/_6;303E%
U"*b&j\am^IUYgV9//TR31;2fd4)kMD]TbN0Ev.C4]5'?hoyz.DqXNX(8V36[o<SA
U"2Z[[ACX2=9Ckv6n8'SUE0ULKO0uiG<*N.zD87x%^X<bs'/XG]t/iaCmN%+yUObg
U"H:\y:6J<'veo/3O;$\clHp#oI/%4G?jqmQ]:/reVB6RQ&)NTN8Hfa0bppqMgU$(
U".Lo9If\c#)>mwi.AAY33i'FiB.m%6=P<OkuMrmYlRen<*+4)eS[w4so4f18f<*R
U"BV33h]XLMoLkQaYfU-<$pKH)7b<N-Yk.;[,*nCP$ZUZ,VuOeTdo\4B+=P\uauc_
U"fW-;,Q%5<0'>h]O(IS:d?IF1ZyJFK7]KD%G4#>0.B[E'DTn4%zn^_S-,HW3C&Z3
U"1BOr5a6t,o1):;eD>Mgn/P,L;tG$am7)_cHj&Y^#53g*NRjE[#4YYoRb^n0%uBL
U"F0l;a*$neGY$1nYIdMcB2C/TJX<<^9(FmqwI^)Xwx)+Au*(O37rRG7(6g23?]u^
U"gl7QQhkgB'fZ7eDb/YXT\=HqR;FcGU*Dn8&Jh\P(i^m+[HM]^+#t=KEK8WYpvO8
U"$(uMQG?KYaCI&.fk0Dk-GL.Yg4[cA[$,*PF8U4n[qBx=q^%61SCgHiTPC8]k-1O
U"MpB<w)BI>m,:wCl,>9,BQA26#T:O\[xf0:uChWEJ-z00K]zYnSN76go8a-&&nqO
U"k5Y)cH*(vPSFM5g3W:lz^oK+vA5Ab'DX1+R%&5D[sPFN+P1ifk/:T8?]g57fn%]
U"XBV[.tkQ+JZ\$B6+&GTWm3B(eqn].A2O$mtAk]GT^$pQ8ctgA9.XP0wbtNU=dhb
U"ab[l\\$E5%FJrHT?H%H)OXwnRxI10Tw'jhqMm1?6gM#>+K#w)H735\Tn5faV>aF
U"FFUG\n1n):^(+v[4ICs=7QG8Zb374=;-TipOd??]ZX\Vm/?5POD](d3];l%Q+,;
U",wL>oH$fd.Q/Xma^P*E)rlVJ,o?mG*HMTO)juOR^oJd;pKlHR.A?Nes)(1ZKXuw
U"$88?'YVi8eNcY6N.NzW_,ta/7#9z/WK[n/2GZ9s/>urCu*Qw(_Fe%,DA&wy*jN;
U"pd.5XOpJ[MIS+-QQS#iU42$;w8jZ%UMesYO\x(0\J<CkwuX(ysgXJJaB[;I%Ky*
U"Y*gtg/#%3^/\T-%L*xKOzBt;/.;=S#-fk()$2ia.V.yFcTP/Dnan7>5buZL)xYL
U"*#:t/0Ne'=JS%5MLFG/'t*:HCUiF9HS8M]WYg>a&H1mla'Ua/Lk5BMDVFzPm,<&
U"oSe#ieQxP):$tfK:]N>xwh<DwY0K)zbyJE>b'zhbQ^4Z_sGig^F-=qB]&c&cbY=
U"g$iUgK*eN9j?)6Ng\cxHhm1K;6.#mGlILyp;gp$1-SlCAu;mVln>uLC?o%qkS27
U"f(j.CF=6/T<-\$GCa7\c=oJ[46#6&Vf?iZ^_B3tBN9&(RO8*&4)S#Zg685v/Zu-
U"HZS3+p+b)&9MW);<f;Fdl6MJFSTt$LAfnx(u^]7Di7t&X)g,I%G><tLxA=Sp9dI
U")pmt'0)$dCWjJ$m;^xYd^#IjU:M>b-.$NZiLrf.qH're)PNST,WZ5mXWLYx(f(9
U"<0fT-OenQMMMB9aO3&OYb,)akpLgDeP8Q7MO]*\1PvA:uJ6Jj73v3OOcIk9-3t'
U"76-AJQ\2D]K0$mcIIt&vuK09QKQGo3(:bK:gTd?(qf90nU-an)Y#1-s)'_'H7+X
U"aniBx3'*43p:(YFPilwA,+ge8NMA;4VeKGpQcNau88(VVrTcKjiHjLv2H0n\XRZ
U"j5ZFBmO1#,D=[Zd#n??k-3;]n&0OG&i#VLHfMLsGeu<H5PugqjLXP$a,]qKj%HD
U"]F1kRGMu_hs^>mxA)T36aYZBb3#3aLbF_+5mG.Bd_*#S43?0AxR9XMxy<wt%u<w
U"re%uuP<VFI4Sj7H\B<ZAhC-SdLCv?AhtbF0sR/k;I^wjN:a9rKo?)inpTkVnQ(S
U"T&4,VDHVixkRN9.u834sCjDdDYpUU<=l0S<+C5uMl$'VcFNV:i=gr#Fu0<)xt\i
U"h;N0SfUfh0.Bsc01(3f?<.UTVId'%TzvaP8E(2RZJ[f:Z)J7)ceDW%'ZL^2m4^u
U"P]qB:xG;DSQ#<TLc+Gj<uhu\QqpSJfi*qq[v)DeF]Vdqg'DM*=C>\4>p,8/79tj
U"_^d(D#H'+/,-';gS'qsF<Y?4)ZGaHhVN;Ne,t>/XxN5N#V:0p&NE3yv6rp+9i*g
U"Lp;k&'b'n?&u6M[Z^qBT)dD/pf0G_Ry;6lirHht)eg)tSO6/k;l>QlvDl9TRT>K
U"B0DHMo[an]l6FiFtgwprPvclP3s,gKsDvo(]P#lE-Gue-J[1hGc/hhT2>635krZ
U"^91*NeBbKP<Yl#PtF2t&WC(ef%V?'(I5:a0w;#T-n._?9zgig&:6pF3\\_si3RN
U"7:MN&ZFevK,Iv9o8mwcg>sG+uwQh(;LB#+SYkm8V#n_>;u]XG4)0=yHkmx]$T:j
U"Yt-tSGRC\'^TwgAu&vY4rJdsmNm,<oFH6cJ:SvIxX1h1IQMht(jZuvX26iIuE6Z
U"vvGT\beb?e5[d=R/];UMDI^ll/*#j\WH_rH1^]$v:M&?us59qKBex1OHF<KxX.?
U"U<g6=osde04t>uSQAtsy5H?*J?1]/qFCIc76g3ZUf,hePk)W=&,<QR&c%S<6W;.
U"2E'Q'b6KIR*i^$1;h9tZ1icX1Bv]&Rg)1*2<QgX6,7Fd('fPj4dZ\?P<NC-YPo*
U"NmGn(:xIh9ALBGm=MYQ+daUfa,q9M&3Zl/Qu#[ppLEI$h;%jNMKd.>s*d+,'KZn
U"/Xk338_\d6%M='2,5l=2Y,ljz5VJD\i&Ys/e_OA1-pBP>YX*lNWEszer\j=_<4$
U"E']gKEV8+9&&/O73i>K<uZ?fL=uh'x9g0N#[0Kobfi(:%:Ry7A/IO<wl['PN/Vz
U"APV/8Y;&UTTLxY^.=m/g]'<$77lNod9IQEB<gSb3il<(j)W^5XF+[l&#A'/fQOM
U";&+FD*#3<,='n1Ei'YgB+^sjsZ>\Rdgf/d'r%'#*bPRqxTGEfda2:M/F<>FbXlp
U"d?ph[q9#=Zm*pN2/U=C1sZAAM'MviT<Qp;L\G6qHSta](>pe4=0:A=q;v_9pqAO
U"EuP$GTVu1$k%7610%[pT=%;syvQP[sVB*T5L-d39F;UHaNGVoFL*GKz)l^4-e_#
U"<;TNT+,'XO6h5uBc:q958p$H*,wSLLVJLgAZL97RVoM?3D$^FPrGb+tJHf/$6;2
U"n#h.+Z\<[<dWyk]2:D%G\tv+x3)CAY#MB,db=pLWY]p6#&0gV'uvV[$$gySgWL+
U"30\]5Dc3'ODP9:k:V<Fv6whS.o$4=hRp4RWI5:v[sEhTg/Qh8N(;I)in-'bQ#TV
U"03YV&V5CweXJ$=0358'g.uau0?MbYM9icm(Mp8e:5ILsOUklQJ%rf)[Vv&<Mrl+
U"l<=edJ4vpw#,Tou)[p*S1o5e;-J?SZSi>rpSOH8KMAP9fh\)V=/g,4.+Rd\),7i
U"gRAnX_,%)a(&WeJ.[3?S7G8YOiLC=#,+t<^ABoi$YJuGrGk652e7yZiCmx9-nkP
U"qPqG]$lk<aC%IG^emHoXp6$&D3q]#'/B00+DzQK3E7SAz6qLvsSX_,TQ/hs<NqR
U"iCu\GaoqdN;%XbPUpA'CgQOc<K[.%B5b2LkU:Gbrt4NWD2YKwJBV;7Hm+.U9UzC
U";0^;58W/^P22:x0,Uep;eVqm-)rtnqm^j>ZsdnvcddfD\9pW.+V:Pt:_^9F=Y72
U"sL()^ursZn$]dTYX%,(3LlvIH=L:VRW$xsRdZ?ppj69ljR*i*SW+MdT&Kg^[:u9
U"ZjmaB#$u4cwp8;Gp,*)pO67cVgad;;?O$%t$TaTi$\FQKhq.1,oL&e\a\3%tJ$[
U"3lu*_bqgr^G&?LF8JAVi(X_L&n;KBa4%Q]<-:r,$)L;_0XwKLH4%lA[Wl^slF,F
U"X;TT'Qj*>K3rmHP*_]PBhYU3:m:XVP428CF]&F0wgWhRu$q-VCQF\xxL[lTv]Z.
U"TYHmeGMJ9;N2J(C;DwD^hMT3*gYpH\^Il0js^W*fMb(sa#XC)Qahhn^'Hqa6]Fb
U"40JdBQc;ZluWc6GpCDBGb)U.f'RZ[PpIJCT%4kVjcgZDU2;)3'6APUd:utsb5u2
U"%u*];,w1=CMp#^6=)JP?=U3IdYWzoww[m][6FARcCFw:6TYR$6GY<RcAgpNa&Qy
U"$8Qj%Zw-7*'rk9Xgr3a>CIO^.NE;mX[<HXATAO+aH-[\&IfJnlU^:W+*#?UfNQQ
U"q,^V61lBjLe2Qg]\C]/trrO]3dM*)<H'TG*GjZm6]<kj)*]u5B8\6P+<XTom92^
U"\nkdA8z-i$NvFm?]%I08Bgf#uO(tIfY\h(rQWuM)j_D=krqx/IEhzDJADOT#'Q9
U"/JK*SxOF%Y%A<i4g]Sw&b[Wjed%'p5>*vSc,YzPXrA*>,C4O1:mPj\wL-[%fSRx
U"M-z/^RfRCZeLe^0?Sbts^W#R#Q8(#Slz;m%)C-J/w6b^$Z&?]Tq/r($Hq/;<b%Z
U"4KY-m>2,dhlZoU^^Kd<''h2o582\?d4RREr=D;AE;WBl=[>zh9E/Zf?%-vnusW8
U"L#+Q$A$*I6I']%^[4cZl2Kc<KOD.2uMuI\C=OXc\k.*LG+xha?LXio9X*00$\-L
U"[\/Fm?cJ&sy.=(lGhQX%Xtgv)vhV[[$5#r)F19pr%Yqh-=Ezi;&1Tc%gD<,79t]
U":'H69L>YK_u*Pwz_[N=_=]88yM%fy9meYracIi7(p61f>anUe/tke)h=Df-&Fs\
U"aFfbrQuipn(7inztf^R#Jof1$20=n;&/m]SndeQ.L1zc(afQb]']Ugj*_O-cO;u
U"i#wwo]ZS]kVP[Jz1WsL0%\:Lm8%>BzuL=>DP0i)d#EM+Z(6P:'WprqnkHM2C'm,
U"-pLHDa/.?%Y&[W%mo#8:=E=-l9(jgj2d,>SspFt$$h7BU:UWZ2n\&]r-#u7sK,_
U"Te)*IJh)NkH(z7fJvS9-fq/^'OElH7qRQ.:kQMWAP)Z82t4Q95U8'/$6BN/0Az?
U"f:u7B56(9J+G&c#8)NA?t#/X5o7ns\#PV)T/7veR^<ith0SFyJ2sib<k9iC,VE9
U"1X*JX%Sqk;r--l&7hc&?>zD<go&$<%OT3EOo<gO$iNZBrB8J9*0*E]1,iK]cTeR
U".knnkP=t+Q9\VN%s<[S1p/PX)\P\ROpB$T7kae/7K>zA[i2]Xnm,*u4c'QEm3G_
U"DQEdeO8%ZbreoH;*<BRV'Caz$2QlJu/>ADM;oT>[0ZDeJvvIBb,;m^K41XgkaNg
U"=F\'ieOI0i<<Rt57(lPs$a?G=+r0L2Dk)Z)*+afJ'a\.Jkj_DT]VDLoc+.CLM\9
U".7Z5/2Q16PIGJ%p;*m]*B(gGd<)nb5P%L3tMrL<+Ol=Yy8_PLIq'=E0dF8E>%[9
U"E+VL<NmC+'GHmeT$D+sN8&1FT/Oi.EMmRhY967r;1[>?gGg%)z>QMH*mYQ5mFv8
U"DSe.1VjRf[uHxv2FCP%,Z.<++joVsofXNcWVc%g?i9X_RawcO^/7j]xBAFJgat2
U"W\GscSe\yQ.g=CW2yNm[G)$iV*e0:-FRN-&X\Cx(vIfW/V:?V86oq/K.6\YY3e\
U"311?'Fz7=Kjeuw;IcX0g%Xgi]kUK>PE>?UI&*V-5/4qdoJZGxSdDsWuI>#$b4iJ
U"><&O3gsn(e)2i>Z]r23lPmj_vZ73Txsr[mVfqc-V:'M(qEM<Q=1<0S2&6O<f=nE
U"?X83aWZ4GB-_BPt91cOg6*u_Xp2JG(9F0&:&sS]M\[0I(#=M8g:1t8P25&KI6.o
U"O#oJrRSGAFB1jUyGEN)adc*JAmU,5-ROpcglBdQP;3F\jS&9,l40g1i#Z.7qj'3
U"b6*=y17$8=*M]1.IH7Y9w.%xIbfV1M],0qWlJMofZ7_NI[H'wW4qL\QoP=m(^0P
U"k$\QNay4-ElOt:Nm8UjF:\NF,z4faCI^=2]jl&oLlC4JPQvn;HDEsfWrPDK#)4b
U"_s&A+A9j6Z=3cqnj-0oxG]#oGN%Sf]VNU8CA:$a^[GY^[qaU3P0oD.+Nom'#&?E
U"U_W<XB:]#&W8<A,K']lbl%kQ5*l4]41vJ>v&gkQUqkN0Ko%>Z\o#Dr^NnF>NkH,
U"ndSD/'B#7JJ0e>X_=YcV(tRALS$hXPmdTujisH;.aC:Ztda,bRIA11B^5&]+&:3
U"3G;]J7b7?jPQ^0DTC1g>I;G4JS%gSM6'>bHALE]28^;81l(/rEB2u_#8<X1ruR(
U"s*/[IzStF(Y,xoF+RE:-Ur:hkMfPA'Com<)Xx+kd>lC&$#UgHb:74l9m01*KjPp
U"bFOoTm9FPG7d9TVk]&U$[>k$?RTP?tg=D>8X709b*_M3(r*4$LH6a,k.>WRJD3/
U"t(/p+mFOtKH\,fv+b'>-Ua/eZGPbOJu_gd+mz3t,/V;gKYGIt>m,t4b-e7+vPaK
U"#Jq2V6QKmEStq$g>5or,bBcT6ZpJdlZ6pcY?N$Py<&8=Xpu^4POsl<'V7Hs5iaf
U"rSn2fXGHoAb0P:0:^b+-AO3Qu%M.sWZlfoZ,>+blj_.piIE?gWr=]T.i0dgDk>I
U";xeWN2]FrpG?St;,TK#s$3%6p,-h%b5UfhOlM]NBYM$#NS:Gu^b+tWs:Zo.TG*5
U"JDWf-,;#+hH360(sr;x*<+]rBU<FC#N\JC,HJ'WsT&k(Gf%8&j_=MQ*SYlgQ0AT
U"ZbMACOmE)H*7J4b5.c.oLY?3eeXw88Rmn,\u)nB'G;u_.3QEl75pq6%r-uAIEwK
U"'_S941P*E]=H?9^IPLzf)Pb-sF0EmCcKaKDk;KEN&Ez_,CCo'7I;l,-neI&A4<9
U"9=BG0p177JDhI/H/T]:RZiR_hhdL,%4As9H=\X,:5YgDo+:)^$qDk=*L(=,.eWm
U"y(d2m3Hx+hB[\lVl\3[lX2.?0u&zCfxST3<r9P'VQ(LY9<U$8Gf6NXXat2k8R'$
U"b=MUr&Hd%7Z#LNxG1V04FJ-q/(mTT?0OQCZ$Vf\i1(I4,JS?=4)BKjeJ).D0M0V
U"k^uKwjP/6.X<ZL--F+&8*riB.Q+_R/JonM>j:33E<%l1*[PoFJE=Y2D&EPkZ6vn
U"O%MgO+3XvA;ecM1(_rBQ<5s.pky4iV5x[WPVlEf<[Eyf9-2e';a^4:0s4tqT9I]
U"4;Um#,vLeu2=$*uP39.km>l%SO#Ld4CqJstQ3Wt%Mx\nm967H'>*1X9<q8QmXXf
U"H\5/=e(GHn2Kim2PHQ=kN6^6F1G#=AT+<9D.Xq\S[d$bc<rQt56A=eGu<1q8\7s
U"BON%^aobH_dstBAH2_tfAjvPm9i_a_3ro[:4l;)*h.*PZ<hw:V)ddC>ODR.h,Qd
U"9M1I:iX=qD3Wtmq3t:I]CVVu6jQTH:u&7$E(aX2c#K-W*L^<gPCU%l+<tQYYc(R
U"96CG[kP%l3&Y)vGmP5o7rA9t<to*RmT7U:Pbl'u?j0hY.?QwIP9b3I<HRHed%;f
U"Lv.)WcEWve[j(SuC?)^97f%&1wcL;uBG.w\\,ZtH[G5g/12?B<[iGXrnVPmxWH5
U"DcMxtxlc(8\XqR=+w(SF<V5,rZK90?P<]&HGTaG?]Pb)RR.u,2o^iPO.8ZG*B,a
U"l%yavueb-Ihm?F'2bH1Gfu.0C#:HJ<RU<w=kKO>V%]vj?Dh&pHOb0&qcccSZ$q7
U"E;MDZmSthix0n\uivc+1a%I_?-s5?K2k=MDlo=F5<Cgq-c/_LBRPw,wK:,3aaqO
U";&+EVqb^4nDM<7NJ<7K<=G)/el53AFj^dp^rAMsO5[MchE2gJef,<>FY\U2=bmv
U"xO7$J.AkQu>F[*>s.Yv3ei2*B6[O$aZBmxxeH[=1+e8(XaL6oe*Q7Wp]V:XF_97
U"A*#cc<Er.tV3ePI>[yBLC&D9PcStdZ9)^=SjEdBQf<>(lD?JRu$1%Q:49&)aN-g
U"p3O,fkqa#BLjmQCn#qN=gjp9g?%U=yE4u=<qG9rjX&Lp,#Bw?x-jR*NIh0^4_TG
U"%jOV_F2_6*E+%ne7B--,e,T]tZ3SJ\nRXN-&HZQ=wIVT6,<#L3a'u,eSP_k5%C+
U"570*arnI0>hdW:mYN$sVnZC'*_l4?+Ut3a]B2X34OEt7U/mHxnhS\RkqEX6\)(m
U"%iD3C/5H4j>jl=4_Q$%HNo[qY0_R<r?&V8*7/.\=)Cguq#nA&2t5'M\&Jpa3:=A
U"w7t[:EXk1W'5?Dr+iSk_N?Nb*]A+S3B>*wiDH-o&xA<fURBfAOS,4>4ofJ^KabV
U"VBs:l&NDE;Nu;\WpWVL.7k>pR7sbol9LGMNF?g6X%uUXvYu\gt4J2XHz(_HO)[l
U"Cvfig].KC#0rmGy/$+X%qR\NkI)ssPk$gA:HT[aMfc^#%DZF3E[;<MdEv[='tm0
U"JvECFZpZ<b1Ku[>1VQvqHBH[9Mf8CI_L]CjAdx8v(rn_nMbf8+Dc2W9B?qsh#c/
U".ckb:l,CebUA'SmIyt]DCKORM58p;g+L_\h^RMiC<%%;7NL=TNb<>3^]F9*L;7E
U"VaALFckwubg_#K<nh2%o^gmS*eT_IIzKgAo,WL.(klKh'0EX$F8LhsIWFB8Ju&b
U"mPn(H*GvHfAZ^-u+Dl5nuV0XOg'7-Nadn=[s6EeT?Fh'[,;VcC9-G4ElQ8=ctKN
U"=BA+Yb^pkA,CD2_nAwM]591QCmXX<A.B^:_BC:(e_WfB0YX,/vV5S'J&=*\J%0-
U"&uQH/Nnsiz?FNbvY>^a$gNXi=O.iv*)ezp\TcWIZ9Cy&c%x$dptvJdW:W4c&(;t
U"q?&f]FfGb\NpY7^1;/rsn25tAta#u^oj2p(_.?*+.p_CiA6XKT-3%cIWmGh=gB)
U"[_Px\E+?u(ADns\U32ZO5-(IAl[H.hbbzD7khV.^?[u-:pCRkJ\;y9nx36cZBI1
U"&4K4bCuoPq3D4h+rX&>)x<aDb^Bs1reLSJp#L6YTIIVQUI,VcC&j^AT;HAN?oHm
U"+X?2x/muk+PWg=a=xZVF7-A7?yE7)<Ec0(Yo)4h*u;f1w<5;ISccwUAl,3\XN#D
U"a,Ag8*ru*0YCs$T_gsqOBbfG'XfBI4A6gn^WZ'=tE>5,\S4&ve]aWW.0g1^xP]E
U"'y9FsP&mp_&Jksx:+E\dxDe;B7LBn^+R7K([#WI:C3<&#JPJ+vtvKdEOr^[P2a[
U"wdS^Qme+_%gHP(IA7qu0cWAY+0m^pV?la\_Wok^(#D+%3bCAIhqu9,gXAemB\/q
U"20I&BT3oZ]?(WGM-B*+$Ur5S=M0QqwosM/>3nK1PdkOv;eFW]#ohu$SKM35:_:<
U"Td(pnx%ED;l+$.9mY.01&*6A\;M353a#3M_kIHp9cL[;f0#]AtppQUkrPj_A\m1
U".[66%%8rqpi]9'-p[4S]e3I-ToR).b,ZVR5JL)\[4rMl89E2SY)d:.+=r;]9Rry
U"]Orw'9,Re[nWQQ=t_h01bPtj+tZ3Ov0$g(<%_<T;^HrWu8oFNurgX9$bvfNh\2;
U"Z))N:nzPQ3K8B$(XP[tXBU8NYN2-n2j&^-iBtW#8UjZUeOe)9^h=3M1C*r%6BI4
U"%C?njZE?75u\*-^D&OcOhDVJMo\[IQ;1u[OH6c+Bq70<20C8IH\Y%8ISC#q&?W6
U"'U&9xP'S2J8uc.L#r(0/124S/^EC?p5R_9AGDJ$i0WaR%pG1UjF>)'i4I*&ZY5H
U"5t$3#fn^(v%krrAKr?sgF3+0WV;56(]-f=FtcfbQrQK,^m.='F2A86r?*^'f^S;
U"djFdvcV/JaPkGGfw\=ka4v)/Sd7[eHJar7G[Af]&$i[,RIG&<_'+<qn>p\_w'Y%
U"MSQ1:kLc5h:0Q[<Zu[L5qwan570u<FOfl?BH4KqJFJ2A&AWY>k)/#]*$gGZViXr
U"+h^i8I=qMb<qR;oNme8CIP[L7f>7-I0aREqHWM58o#&mCc5l?_(Kvnm%VnZ?r'X
U"Ie*+8LgrgRQQEQDJ64im4*UDqka\&#6YL(aW=<#f'xbT#e:5uas[-V0'E5d*m2C
U"hTm)(VjO3H:&M/K^,i,G4=TkE]VvER70Wn+;2.Eg&]NPH:PB*3,v:nGUCoQSRW<
U")S3,AA;IhXmW'me4IOU#7S8M*S+]q1_EM1UP2a&s6Y+Ak0zbc#v<L'm$b&f2jX=
U"2lE*jRJ8,p2_X<)-;g]>z3W+2e<\v]01]<7j+a+/l6Zac?IQnL1C>/Caeu>^Ej)
U"KZ9^P&Mih\Vb1/.puniF?FB6mf$7G?].d*Zb.qX?teP(?rUfhE'ksD5,:%<TB/6
U"AiTDD^Y)XQ8IW:2=C]A1;CXW_6+lCimcb3F7-sME>r5D$EN*d1QVg2Kr'y:OLL)
U"pv[3%.Q(j9;&hq4GK6F,fEU_:LJ>GmakgG63OoZii(pJKG$9tE7sC']0<Gg+q09
U"3U=A6JRDL;6:rUK)rqVQCCWCVOmE2/fMP.FK,B3;?vaKL-m^k$kfb1aJ.B9*C7T
U"))aB+;cfu2pCCU*ut#21edd=beJ>\dKqOul^;oX6P<s$[//hd1n%ob4ga8uY']k
U"DjTqrVH]]&i7.vvZArZ.iIira5M[5s5\cgEnn52+[%:'&?O+'-KC4s<n\Re#&DO
U"E-FlgA;]F.Fk+S7OZPAs7A3+)H(>c:\Efqlx-4ax2Mm%eS/^=m.A(Z:/]+E3>LO
U"$/59P5&1+i^$N\kCgt8aDv8USN$TER5i7c,8l'kh5t(XG(l\qfe$UG*jVox]*85
U"o;-w00ZQG#'\6lf/n21f\e<4,Du<b*L5cSt_7XsG;U_31eaYIjVMubXYU#j%yO<
U"w]tA-kHU['DiuW:6SIP-7HNf^tWR1(ulTg:AmD*)eGg*osZLFbH$lC]9qB*nn9<
U"8*86xqd5TQ&nk)j>*aF9rcup'r6(>cPm;0=[C51\aPoK/C^kNkH[K*4uHG)NBZK
U"$e.YIZnJFphTLOJ(4h<dZuTZk>r;s=mxq#?)ZsLkt:#jrroKDvkn/3#7eq_cn7*
U"/sP+S/^bnP8]5i)C'KHm>W6NAa7^Ou?\d,,uw6Y&P,kG^Y7A\l8RlD[O*0>Ga;p
U"'Y%nvNdg<u\QfMrOxGTa+HP+/i;YbND[]iaNTCm=INbS4ropPXZ;3%kT(0sH$-$
U"\RIh8f:As2aMAcT9&[U?lJ(CI]1e;KcQkVWg$X_dLnhU)bR3aK?rSJOWX_hBfCC
U"HeW5p0B]#%BN(knm)2G3<:Hlu#U3=M5B4N(+tQO1jGTb^+%-04gX#^d4+=W'>.;
U"8t7,+1tv/xlQ]B2v%?s9(mTm\38jff#zQhz*n7Tel85iF(]13*g1P8q,-%7>O^I
U"Ya#RF&YJwT*Acmo5o8&XFY<&?+l:B2]pe'19kg^&Jv'Gy0H(AyM>x%wNw'5MrmH
U"U.T\#\jr5:\T:)R[ouM&=[rA%;umoPjkqO%[0Na%qH87PJ']0'3c>V;V26g*?#$
U"Z-30X*gl?1dUjl^IbW1kV;LmN<%1<gEes6J_p/,ccF(#I)5aOYgJlaB?rmk^\=w
U"K)3++F,wMD:%::6u-I4vE%O2vn]6l0:7R,2yBr)?4jL=v>Iw%[O1SUVT-pRf]J(
U"bn7%x]*0cBaJ&7i=S29[vcV/GbY;&a-R5CFXf8%usBj3T&&-\dm6*V,Oq/As+[M
END SUB
SUB V6
U"4/I^cAiq$ni.L$5&NEocu7S33b#e?I8SCkkGo)MD-.vU+my5O*LQ3fO<'ES?rez
U"HpB*>)zO#tk=u1E8,0_ak(->IO;,):gDr'xsW_1j)TK<ney7CB<psr;hT$72i<h
U"Fje-2L0x't<W'k%Mg6fSz*a8$m8e5Kc,UY]OZ:)g04E2S[c6Wci_[Q4w82y%:zF
U"JZl#cY]qZ:_'To-%2Mg5?%YI7utX9=qm3&OkN)6U(CTRHf>:GI\,nIlGY,(e\>V
U"<x,py7n*FZ$4UU6oM?/PjLWjq9DgB>E1'0g^IS+tnQ3dR,,]a/mFS>Uo9&*o.v:
U"J9e-SAQ-J-LG1WG(G$=t.qK57g0W4=c4=,=jK[B[)J1dvCjkF=75c5<SG.5hZ5^
U"5DK5DH4o5H5DW5*5EAm4dkEXjdYgdXn?s\iX\l(Z>^uPk(i,ni():nQP)7X*b'h
U"R/zY_6PrI#G-:9VS$;pH;*gR/_;MN7aI5HSKE]Z)cq<i9<iLjW2q.q3xWM%G:n8
U"qDBq;$%xI6,MWJXr9>.[N?[r[AIVJM.95z5hWuZ1%JKwK%S;<0ZA$iNXD$sme^m
U"%oo1pMdA2f+eaqOE-atxSdf>vV6+JGJJ4YGflyrl9oSQmmmf[i?Sv$g8dbh78im
U"MfvZsF*K4tLLn=fLC_mc;-MSO]nFhBGfAMA(]h);Ee)WjIQE8Aa(rJmS.,A)Kk1
U"HdJ;Jls+i_P05bnb2>$>DKfCw4bf+Q(7ZeWLF84DA[lB7cv.EPbBtUwh5<eiet8
U"hp_JWpbp_L4_^_UtaHa(TaT(bJp49lWv*rQHk9HtRu+uL3'UZ1:PY<^9L9<I:nY
U"30>#YJ,Y0:;6>#YTC9J:dt?qw%0[?kXfgu_WGpWTIa4kskjsjM<X$Pt<Y>,p)lh
U"xGxWY,_LlMtkpF2h[>5mK*>5uerA&yqysP&G&5FNXv)\cDP8G%gz%4Odd<Vd[kX
U"aw[8YcLLLCjLG6+3H;nq2nKn:RcDs;opNnrrNvG$-5HrDVv^9&rZzof9\$A\rJF
U"+hFqX\Lb\7*7jDq=jZvOpOP>.>R9hzX$37^KjhMMMV?vsr29l#h\o<T<Hu]p'Xg
U",MnstLd0T<h_X.l)e8jbBsnus(u4ra4iDZrxixdTw0v\uwhr(olTjxQWxONc.x>
U"xkzwFu(vOaEXIY^O%F&.&9L'-&'R&*&PC9uO/>'M/&w/]BS?NY%-9L%T8doNp4:
U"&Yzmry6''Cu>zC*yzy7tyTzR$z^yhryINajNrNGLNXd+YITua8qwYuY919:.PL(
U"'$,S3n+;qhK92PnF,w='C6'<Gac)JI%>M-/a-c;mdouKIW=oPR1WRe+;hRO,SL?
U"mL]ITf.Lf6Q=F).*pM/n/D>?hY&l:<Q#[)L,H^.MXqlfYd:<dQ0*9x55TNq??,Z
U"irYju:f:u(54mi]ApFJ#F.Fb+gKgW[h1FD^hYhO_VK?k+rAtF9^F#h8M0279K7[
U"1:fpkupz7pIuaIqI(.pXh(<SS2AtgRpLJp.S8M#3TWm5alLu&7/q''Q)?)P<WZ<
U"+<ebV&0TaAozQQg)L0*8SB08:-4A8ELevn'lQ=riF;8F3X.64?GS\GTx>Mad5HU
U"e*Bug/rCwCN&mx-qyuNdoMJc(WMJM%fn.D6rsksL,m84?UcGt/Wb_0U.Y3xpCAg
U"yalm_sf_bIK(dssg2,L7^htr42aNbq*(brpBWt&4h0>L$p^*oHB-=dift$4M_mF
U"x\tYj'8Q-_Qt*u.gBdh8Lq&_$i5vi/yvz;](_04h.7D9icrVtk&T:$.BD8XBT3C
U"G>2<*(TT\MKrK>l8R[TQar*DjOZu&n*pT>62-n>t,qKikRjtTY7Xcrnk(Bx$\uh
U"5j<B&DWMo5ws)jy5zTN'fEHlhVMiu9:PDGw+Z4CFwo'%RaKa%NaRa[HaT5^M;;W
U"a5/-xF9W8Ea8f<.#0D0.C;F-H(G$mOr;.xbs+6Cxio%ox%,up(%)9%'%%-%=)Tl
U"%Fev0+n[*%%7%0%%0%%%%h%wjin%yxSyS'y&%q,>\/C7L<o0xUHoR'];,e/0+-^
U"M)Ldjr5Flu**TVALAp2tX.=jgJx7n'h$ho4nSqeCDy%]Cr$XBEGh4M?^wM6J/>I
U";BT6C&rDFd4e:-\jmd&U[]1H=2I,cat+oO.+l#/U6/8.EH,C?,agu$6T4+<x,Xc
U"Y1O=Zm/GOLh;Dj'ipp4FSW;r[(.sVHH0,r6R9YR-P*$/6\LH\]JSa%-R=ZQ26(>
U"A-327$<Ki/,M_fA]%t$i]6$_\;x)a$MPBa6>:)migS=]7.pld.LcibB3XnZ*G9T
U"*G>2Dae:.xR-1k#qlkQ\MP(wmrs%H$jv9%tT;/97/;%+8?.BoiF;u^EN]l_E')d
U"1lC:2cLZ3]Q.T$tHo\>$lnCs&OB.w9/[HSDmnaJ9H3=BG;PD&nzT>^\A(l#H.<s
U"qo8Fv*$<lmPDo&tuLGSp07v%4*cesEX0oQ9%r_(B#(6GDRCs5YIXj2/PAk:Ym[$
U"??KE-_hR&MVfqR,V\-_n+M64(p<*Rc=Z1=lIZfeg8A'_fj,ri0,LRZ;nkEB.^ny
U"??voY*a5JX]kQk>cQq\('46CDW'p]Yj;s2hs1RCxN:DZLBV%+7>GA,H#/GF+8F,
U"s;Vo]eqXxBh'luR)78<#-,M(UeRA'k$6Py$g8+,Dh)_(h=LhBh+V:dKNBEgd;:f
U"qr^o8mO^0&0t()(HM<80x7bO#u61q^z/;8I't(-X0Q:#4EI;B)2OG1/PZD8L7Di
U"fCOcSVd+hmNKqI[vNNU^QsuPZLUJI:-(kIi5#:w>Kak5%%lJQg%o0H5<>9G2a?4
U"J]459N7ge_4Y#'Ge$2;;V^&qUU%='&u5+hYt2dLx*sqE3cbH^;-[n5MKAU0^f;c
U"GY11j1k<<Dd\<>wotD1[MelKE3#-KP>;;_jf+a:F1FPfjR^O;ZF]]p6hEitS:^c
U"hZMGLxySSN;jP.'&?qo##aVyX8US(Hb^MBt>NI*tpW]#?yk?-x6:#OJSt%r0gFV
U"8E-[DdkkwJ[<w6:h2CKfNp7QUxA2>Q.]CZ(d^cOA6iZ;m,A6eT/&g%=TH\hiuh6
U"lu(MB=D(.n+'0kG5r$ZQi?gg0E[q*JOg)wG)(v22e]P9'_lR^A,E7Q;<<V2&:$)
U";$oF&a#eCf<Px=xKEM<I:;#'tI&/WAw1YMHm67L8Nv-SZr1=(.l3,YkE73Ki_e_
U"2G+LP'b=Ymjz\#.?uqjPNqeV1ZC:pxtuxSt210zRe[nxG046m0.a;E)><5C*Cce
U"?&jzcL+)<k/L$HSpH)i^,2B_zkz%&\sR[dzq-pA^8mts2B=FiIwm?Op??TXqL3g
U"BueM#I3,E^,yw&thK*$)LG*XJpq<B170pBD)[$n%Kyao_?Ed(Pm8u8sSTk)/WxW
U"*JDAgD#dS9ODoNk?r2aI\4)ImPiONWOSf7'uoF(j*=JqUUButN)0s=e]$8XoX/1
U"j?#6TjnhBqltmfb-_9.ay]xll+LI[e[_*X_.($u:GMHR(o#]g;+yap#9-9rdm5H
U"<,i2o6RgTAgz[vcfL>WOik'7xs=Yx6s.)dd4_/p<q5f&LOC4gB))jo\QGpSwJjA
U".sTgSOFceKb]FqA^ue7bd:T)*,n.T5KI,V*U#E;vv_\d7I2'jarr^r_ek^6P.Ua
U"%1xbc3Jx4qn*,N%I9,D578V#9-Z3E\%wLKp;Oi_[$=nh(:<Z<rjkR*YT?gj;6xv
U"s:#mW98>G&_*smDr,NLvO1AH2g_7dl6VG0F$eD3HoSx\^0sWm/qTgIjz3Jc;(KR
U"5*[H$>9p)Q:kFF)GKQpiHD:ncy^R$W#\HNbBW)POG,GEN6wrFTJkx.4VN>g+6Qc
U"DG>.)Tmf#\)O+qW$ErTnDqqM%j<07Si2ZGKh%qd'MfqGT8Ko,t1qJqaRX/]#97n
U"_>9u0Hj8cw&b^9j'Ydzq0SNk*bC<whJw.MopLsbj7b6aQ]x-kw3u%p&'9%%9%'[
U"%-%e(fW%),Ik^u%%%%$%(%%-%%%%%%%%%&%%E%%%%%%%%%rfu%VSrf%uup&%'9%
U"9%%'%-L%+>lX%iBd(kT%%%%$(%%%-%%%%%%%%%&%E#%%%E%%%%r%fuWS%rfuu%p
U"&'9%%9%'%%-%4)Rl%8i0(<g#?%%c&=%%1%%%%%%%%%&%%E%%%%F&%%%wul%Rhti
U"%jSgf%xup&%'9%9%%'%-I%>Rl^%)(p;'Y'%(%e%&%%1%%%%%%%%%%%E%%%%^%A%
U"%w%ulRh%tijS(j'ju%p&'9%%9%'%%-%=)Tl%Fev0+n[*%%7%0%%0%%%%%%%%%&%
U"%E%%=%fC%%%hwj%inyx.Sy'y%up*+%%%%%%*%*%%>&%%+0J%%%%%
END SUB
V2
V3
V4
V5
V6
CLOSE:IF S=42AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of RPG-CODE.ZIP ends here. Last page. TCHK:42
<PAGEEND:"Role.Games.File1">

<PAGESTART:".FLI.Viewer.File">
'----------------------------------------------------
'  FLIPLAY.BAS - FLI/FLC Animation Flic Player v2.0
'----------------------------------------------------
'       (c) Carl Gorringe 2/1/96
'
' This program will play an animation flic
'       FLI or FLC file in SCREEN 13.
'
'   This will only work with 320 x 200 flics.
' Although I have speeded up the program some
' by using POKEs instead of PSET to display
' on the screen, there is still much to be done
' to speed things up. For example, disk access
' could be greatly speeded up by buffering large
' portions of the file to memory before decoding
' it.
'
'    Released to the Public Domain.
'  You may use this any way you see fit,
'  just remember to give credit where
'  credit is due. This program is provided
'  "AS IS", therefore I am not responsible
'  for any consequences of using it.
'
' I can be contacted be sending a message to:
' CARL GORRINGE at FIDOnet's QUICK_BAS echo or
' Internet e-mail: <carl.gorringe@rhosoft.com>
'
'------------------------------------------------

CONST FALSE = 0
CONST TRUE = NOT FALSE

TYPE FLIheaderType
	Size AS LONG               'Size (in bytes) of entire Flic file
	ID AS INTEGER              'Always &hAF11 for FLI files
	Frames AS INTEGER          'Number of Frames (not including ring frame)
	Xres AS INTEGER            'Always 320 for FLI files
	Yres AS INTEGER            'Always 200 for FLI files
	ColorBits AS INTEGER       'Always 8 for FLI files (bits per pixel)
	Flags AS INTEGER           'Always 0 for FLI files
	Speed AS INTEGER           'Pauses 1/70 second between frames (FLI only)
	Reserved AS STRING * 110
END TYPE

TYPE FLIframeChunkType
	Size AS LONG               'Size of frame chunk, including header
	ID AS INTEGER              'Always &hF1FA for FLI files
	Chunks AS INTEGER          'Number of subordinate chunks in frame chunk
	Reserved AS STRING * 8
END TYPE

TYPE FLIdataChunkType
	Size AS LONG               'Size of data chunk, including header
	ID AS INTEGER              'Data Type ID (see below)
END TYPE

'-- Data Type ID has following values: --
'        4  - COLOR256 : Change Palette using values 0-255 for RGB
'        7  - SS2      : (FLC) Word Aligned Delta Compression (Pixel DATA)
'        11 - COLOR64  : Change Palette using values 0-63 for RGB
'        12 - LC       : Byte Aligned Delta Compression (Pixel Data)
'        13 - BLACK    : Black Screen
'        15 - BRUN     : Byte Run Length Compression (Pixel Data)
'        16 - COPY     : Bitmap of entire image (Pixel Data)

DECLARE SUB FLIplay (FileName$, ErrCode%)

'---------------------------------------------------------------------------

'--- Credits ---
	SCREEN 0: WIDTH 80, 25
	CLS
	PRINT "FLIPLAY.BAS v2.0 - Programmed by Carl Gorringe <carl.gorringe@rhosoft.com>"
	PRINT
	PRINT

'--- Input File Name ---
	PRINT "Enter FLI or FLC File Name with extension (Enter=Quit):"
	INPUT "> ", FileName$

	IF LTRIM$(RTRIM$(FileName$)) = "" THEN END
	IF INSTR(FileName$, ".") = 0 THEN FileName$ = FileName$ + ".FLI"

'--- Setup Screen ---
	SCREEN 13
	CLS
	LOCATE 25, 1: PRINT "Loading "; FileName$;
	LOCATE 1, 1

'--- Simple File Exist Checking ---
	FileNum% = FREEFILE
	OPEN FileName$ FOR INPUT AS FileNum%
	CLOSE FileNum%

'--- Play Animation Flic ---
	CALL FLIplay(FileName$, ErrCode%)

	IF ErrCode% > 0 THEN
		LOCATE 3, 1
		PRINT "Error Occured! : ErrCode ="; ErrCode%
	END IF

'--- Pause to Exit ---
	I$ = INPUT$(1)
	SCREEN 0: WIDTH 80, 25: CLS
	END




SUB FLIplay (FileName$, ErrCode%)

' (c) Carl Gorringe  2/1/96  << v2.0 >>
'-----------------------------------------
'  Plays a FLI or FLC Animation Flic File.
'  Make sure graphics mode is set to
'  SCREEN 13 before entering. Also,
'  this doesn't check if FileName$ exists!
'  ErrCode% is Error Code returned: 0=OK
'-----------------------------------------
'<< Done - Tested OK >>

DIM Header AS FLIheaderType
DIM FrameChunk AS FLIframeChunkType
DIM DataChunk AS FLIdataChunkType
DIM Byte AS STRING * 1

ErrCode% = 0

FileNum% = FREEFILE
OPEN FileName$ FOR BINARY AS FileNum%

'--- Get the File's Header ---
	GET #FileNum%, , Header

	IF Header.ID <> &HAF11 AND Header.ID <> &HAF12 THEN
		ErrCode% = 1            '<-- Not a FLI or FLC file (error)
		CLOSE FileNum%
		EXIT SUB
	END IF
	IF Header.Xres <> 320 OR Header.Yres <> 200 THEN
		ErrCode% = 2            '<-- Not a 320x200x256 Color Flic (error)
		LOCATE 21, 1: PRINT "Xres:"; Header.Xres;
		LOCATE 22, 1: PRINT "Yres:"; Header.Yres;
		LOCATE 23, 1: PRINT "ColorBits:"; Header.ColorBits;
		LOCATE 1, 1
		CLOSE FileNum%
		EXIT SUB
	END IF

'--- Loop Thru Each Frame ---
	DEF SEG = &HA000
	FOR frame% = 1 TO Header.Frames

		'*** FRAMES: Displays Frame Number in Upper-Left Corner ***
		LOCATE 1, 1: PRINT frame%;
	  
		FramePos& = LOC(FileNum%)        '<-- Needed? --
		GET #FileNum%, , FrameChunk

		IF FrameChunk.ID = &HF1FA THEN
		  
			FOR chunk% = 1 TO FrameChunk.Chunks
				
				DataPos& = LOC(FileNum%)        '<-- Needed? -- << v1.1 >>
				GET #FileNum%, , DataChunk

				SELECT CASE DataChunk.ID
				 CASE 4, 11        '--*-- COLOR256/COLOR64: Change Palette --*--
				  
					Index% = 0
					GET #FileNum%, , PacketNum%
					FOR A% = 1 TO PacketNum%
						GET #FileNum%, , Byte: SkipByte% = ASC(Byte)
						GET #FileNum%, , Byte: ChangeByte% = ASC(Byte)
						Index% = Index% + SkipByte%
						IF ChangeByte% = 0 THEN ChangeByte% = 256
						FOR B% = 1 TO ChangeByte%
							GET #FileNum%, , Byte: RedByte% = ASC(Byte)
							GET #FileNum%, , Byte: GreenByte% = ASC(Byte)
							GET #FileNum%, , Byte: BlueByte% = ASC(Byte)
							IF DataChunk.ID = 4 THEN
								'-- Change Palette (0-255) --
								OUT &H3C8, Index%
								OUT &H3C9, RedByte% \ 4
								OUT &H3C9, GreenByte% \ 4
								OUT &H3C9, BlueByte% \ 4
							ELSE
								'-- Change Palette (0-63) --
								OUT &H3C8, Index%
								OUT &H3C9, RedByte%
								OUT &H3C9, GreenByte%
								OUT &H3C9, BlueByte%
							END IF
							Index% = Index% + 1
						NEXT B%
					NEXT A%
				
				 CASE 12           '--*-- LC: Byte Aligned Delta Compression --*--

					GET #FileNum%, , StartLine%
					GET #FileNum%, , Byte: NumLines% = ASC(Byte)
					LinePos& = StartLine% * 320&
					GET #FileNum%, , Byte: StartByte% = ASC(Byte)
					FOR Y% = 1 TO NumLines%
						GET #FileNum%, , Byte: PacketByte% = ASC(Byte)
						X% = StartByte%
						FOR A% = 1 TO PacketByte%
							GET #FileNum%, , Byte: SkipByte% = ASC(Byte)
							GET #FileNum%, , Byte: SizeByte% = ASC(Byte)
							X% = X% + SkipByte%
							IF SizeByte% > 127 THEN
								SizeByte% = -(SizeByte% OR &HFF00)
								GET #FileNum%, , Byte: PixelByte% = ASC(Byte)
								FOR B% = 1 TO SizeByte%
									'DEF SEG = &HA000
									POKE LinePos& + X%, PixelByte%
									'DEF SEG
									X% = X% + 1
								NEXT B%
							ELSE
								FOR B% = 1 TO SizeByte%
									GET #FileNum%, , Byte: PixelByte% = ASC(Byte)
									POKE LinePos& + X%, PixelByte%
									X% = X% + 1
								NEXT B%
							END IF
						NEXT A%
						LinePos& = LinePos& + 320
					NEXT Y%
					GET #FileNum%, , Byte      '<-- Needed? --
				
				 CASE 7  '--*-- SS2: Word Aligned Delta Compression (FLC Only)--*--

					LinePos& = 0
					GET #FileNum%, , NumLines%
					FOR Y% = 1 TO NumLines%
						''LastPixel% = -1    '<-- For ODD Width Flics (not used)
						DO
							GET #FileNum%, , Word%
							WordType% = (Word% AND &HC000)
							SELECT CASE WordType%
								CASE 0: PacketCount% = Word%
								CASE &H8000: LastPixel% = (Word% AND &HFF)
								CASE &HC000: LinePos& = LinePos& + (Word% * -320&)
							END SELECT
						LOOP UNTIL WordType% = 0
						X% = 0
						FOR A% = 1 TO PacketCount%
							GET #FileNum%, , Byte: SkipByte% = ASC(Byte)
							GET #FileNum%, , Byte: SizeByte% = ASC(Byte)
							X% = X% + SkipByte%
							IF SizeByte% > 127 THEN
								SizeByte% = -(SizeByte% OR &HFF00)
								'GET #FileNum%, , PixelWord%
								'PixelByte1% = PixelWord% AND &HFF
								'PixelByte2% = PixelWord% \ 255  'Don't Work for Neg #
								GET #FileNum%, , Byte: PixelByte1% = ASC(Byte)
								GET #FileNum%, , Byte: PixelByte2% = ASC(Byte)
								FOR B% = 1 TO SizeByte%
									POKE LinePos& + X%, PixelByte1%
									POKE LinePos& + X% + 1, PixelByte2%
									X% = X% + 2
								NEXT B%
							ELSE
								FOR B% = 1 TO SizeByte%
									'GET #FileNum%, , PixelWord%
									GET #FileNum%, , Byte: PixelByte1% = ASC(Byte)
									GET #FileNum%, , Byte: PixelByte2% = ASC(Byte)
									'POKE LinePos& + X%, (PixelWord% AND &HFF)
									'POKE LinePos& + X% + 1, (PixelWord% \ 255)
									POKE LinePos& + X%, PixelByte1%
									POKE LinePos& + X% + 1, PixelByte2%
									X% = X% + 2
								NEXT B%
							END IF
						NEXT A%
						''-- Following is for ODD Width Flics (not used) --
						''IF LastPixel% > -1 THEN
						''   POKE LinePos& + Header.Xres - 1, LastPixel%
						''END IF
						LinePos& = LinePos& + 320
					NEXT Y%
				
				 CASE 13           '--*-- BLACK: Black-Out Screen --*--
					CLS
				
				 CASE 15           '--*-- BRUN: Byte Run Length Compression --*--
				  
					LinePos& = 0
					FOR Y% = 1 TO 200
						GET #FileNum%, , Byte
						X% = 0
						DO
							GET #FileNum%, , Byte: SizeByte% = ASC(Byte)
							IF SizeByte% > 127 THEN
								SizeByte% = -(SizeByte% OR &HFF00)
								FOR B% = 1 TO SizeByte%
									GET #FileNum%, , Byte: PixelByte% = ASC(Byte)
									POKE LinePos& + X%, PixelByte%
									X% = X% + 1
								NEXT B%
							'ELSEIF SizeByte% = 0 THEN       '*** Test ***
							ELSE
								GET #FileNum%, , Byte: PixelByte% = ASC(Byte)
								FOR B% = 1 TO SizeByte%
									POKE LinePos& + X%, PixelByte%
									X% = X% + 1
								NEXT B%
							END IF
						LOOP UNTIL X% >= 320
						LinePos& = LinePos& + 320
					NEXT Y%
					GET #FileNum%, , Byte         '<-- Needed? --

				 CASE 16           '--*-- COPY: Bitmap of Entire Image --*--

					FOR P& = 0 TO 64000
						GET #FileNum%, , Byte: PixelByte% = ASC(Byte)
						POKE P&, PixelByte%
					NEXT P&
				
				 CASE ELSE         '--*-- Unknown Data Chunk, so Skip Over --*--

					'*** Test ***
					'LOCATE 24, 1: PRINT "Chunk:"; Chunk%; "  Unknown Data:"; DataChunk.ID;
					'I$ = INPUT$(1)
					'LOCATE 24, 1: PRINT "                                 ";

					'SEEK FileNum%, LOC(FileNum%) - LEN(DataChunk) + DataChunk.Size
					SEEK FileNum%, DataPos& + DataChunk.Size + 1    '<< v1.1 >>

				END SELECT
		  
			NEXT chunk%

		ELSE  '--- Unknown Frame Chunk, so Skip Over ---

			'*** Test ***
			'LOCATE 1, 5: PRINT "Unknown Frame:"; FrameChunk.ID;
			'I$ = INPUT$(1)
			'LOCATE 1, 5: PRINT "                      ";

			'SEEK FileNum%, LOC(FileNum%) - LEN(FrameChunk) + FrameChunk.Size

		END IF
	  
		SEEK FileNum%, FramePos& + FrameChunk.Size + 1     '<-- Needed? --
	  
		'*** PAUSE: Uncomment Following Lines for a Pause Between Frames! ***
		'LOCATE 1, 35: PRINT "Pause";
		'I$ = INPUT$(1)
		'LOCATE 1, 35: PRINT "     ";

		''NOTE: The REAL Pause should be Header.Speed * 1/70 of a second,
		''      but because the frame updates are so slow, I didn't include
		''      the pause here. (FLI files ONLY!)

	NEXT frame%
	DEF SEG

CLOSE FileNum%

LOCATE 1, 35: PRINT " Done";     '*** Test ***

END SUB
<PAGEEND:".FLI.Viewer.File">

<PAGESTART:"Tutorial.Gametech.File3">
'>>> Page 1 of QBASGDC1.ZIP begins here. TYPE:BINAA TLEN:15542
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBASGDC1.ZIP",4^6:Z&=15542:?STRING$(50,177);
U"%up()%9%%%R-%\ORaBD\(6J0)7%%*-%%%.%%%%ns%ywtS^y'y&jzF]URi57*Bk$
U"yA/(jij+'=*.+j,#iUk1RorV7>*t<PQ&M8F(,WfGv9&P,E,iWXyk6E%(',+)k?u
U"Rg'sHw31nuwqpdQP+O^i)TzfHVg?9[?8Hq=-&d6:?3Xkiq7:YsbtQ;NH&]L#29F
U"F4-4z#DGF2/V:Mx^>-8B?f2CaH%>HyX2;2b5+c1-4$lpQCV1*JgH&k'tOQ7JEkd
U">L$X>]$O.$oH*)iLd)Tu0o#a*s0fTi8:_maJ9#U&b#'#HqcF(L1w];1\ES0F#?F
U"8FY/BNeopgSpJbbgny6$1h(W1%BrEtgkPo1M^4I[nrS>-eFZ)$_JHP&G2f:sTlb
U"IM%jz$p=BG7DtRD1eskGHer))4EcIq47f:k.pEM[&<Kx&#O/hkwk)m0Ti'liUF(
U"CGjL+wgy=BGYUc;T=QL3cTtc'gNN#*jTGC;zRA*M\j&+Swr'V':JfxcD[o2C1-U
U"(sR^/pBCZ[y.tH_80O^72hB#A,/0Z<$0p&df8m,VWF#;<ihhtnkf9lF/cqUx&j5
U"9\n:6*^tb=?fE\#Q4:UZ\Hm&q0w/RDVNmd<tE[eL-5WlogI0kR3BBBNGajeEg?a
U"PKF%i21gposCpkXGG'l5(H(;;+aja$Wfr?%Uc.o=7=)BxS$JSw?.OO#DcVs.tb^
U"+Gmt/wL1fGMQ[Y7/rk4=xkoAT.Q?lUuGt1p7fTk_w(K&ut%Flb=2/H_p-jIxZ]$
U"$)4k)G2Ll4t%bGJcQ)rDwn]Z2/isHWH22iis--)ehcxbM1nzQ9I8)xik(=&'L+G
U"rnZ^+o0nNBt#lJwU^C,YFsW33,tq#L1McIBJPJ,(;d$T1cuN)Ci'%L*D/s>joj\
U"goQ(RO1MdpVLWkO+GH(LE<1cNah7X9rWMcx\$Q>^*/]Jw6gfOx^rgBMTV#3Nql2
U"HX+]yS25/r[/OJVpePSrVBRip8jR2lG#H9&o%i10LM,,)&ux7Ws9rT+ZqkN9K[z
U"1)E95>SL\F>=HhY#Z>K$T3qbWop&2OY3OEq<wDFrsAUV%u=dM)fq<=i,pU>dN&6
U"(Y)OUIfE^;m'v4+Cp1cLP]PgeL:?>)Tw^r)i-r^mtu/?tUQmTj%kO.SFfeM=oiM
U"N-xYHg+Ato4o/7tZlow%N%r=T;m/O6DDcC]L?vcqf<m5x17=RT[qnTGK)Eh.Z&y
U"[<GIoefq_w7gLJO;Bz3&RyLk(+S::f?*B),ZpKkGm(pibvXomM?Q%MIMG>B_j9j
U"EIg$9J[%[$taWJ\=+=C1X$t3k#Z9VknUv#f3LwXYN6-t9nh2UJ#=?$J:'t?xLK%
U"nxEW4qqTk0&CQrx-4'jLup%()9%%%%-%)/TaB6T.UO'M=%%*u.%%%1%%%%vgfx%
U"lihV%SUUVWf+d=j#BdwptoXZAwX0Z^=Y5^e#W#e(>7I^_r\kofC/keN81F$T%v,
U"Z'LzR3rl)r*:eO>S='8:'j0]</]G^zNHV5meNf3a\G4Q;j/DbDScX2yxuhTgH8N
U"I6dB:#N>//YOx$*Q6usNbvH;)zxqSInh)Z$gtdN'0xY#'/Ny175I.k%<+Umm5ic
U"uq]4\dpUzr\'<UPQ0g0%q829GUIg%aT+A['6(&wQcuT\;Aw1ih)R,RI;waSrSCv
U"atUOv)wcm-7ltvQ^]W[DKJMDDMHa2b\KdZ%4;&SXZ\W+getH*>nYJLS,zkzX-K)
U"wMQ=u(U(Km=AxqZ[sYY<$nB7Y-4.lil),Lf>q4?_<yuO7;7cW?L^&OXXPj:8O\+
U"M4+)cUL8=f%)RpR>UbfDhH%]C$iE\cbKrA6?EdV1X]OK+FN6c^Y('9Hfb(I8d_8
U"CF&ePj<<dKbD_XOHVA$mspL0oyGk)tc^wua[^B-jn>[me/hdU/3';AnK3s/X)>-
U"QFV/CXYq[?h\w6;T%e1taN2,9#Xty4OQUYqJeUeEVX*<$W#dA=e?DyEmzK%]3F&
U"I^/OocxCaSntB$U'0Njzs6Tn'BHHmQdPu*/O.ZI^_Ut\E-TO,HzG]eq<n/k.ZX'
U"1>$8%eFL;=LqkUUaxMCq5bWsF)EcP-2vFEathJ6?XdSr[y<^]m?tFGcUep*[G'[
U"-^#Dm0uf2t\MNm-l8L,2Q;sd-3Kf+.wQEOd;/Fb92QRf)X[J-M^pWC<.l0ofmlo
U"*l*?;C2Qo&&ZS2w8xP2hr'Uln_ZS'C/'DZ^3-$]#notS=EPC^3yA;>VuYeH$%q_
U"crP;$,uD/vkxBYOYQ5fm=h6IJEE&fk3$yk3ftQ:CW9+ShEGHqZK#[#jW4DT#Ar*
U"*/RY9Aa+Q)ZNDQ*\$m=<KIo2D#H9Ay2Y;(t?WDVheLpuY2m7pO&u%JcH3aAsj1N
U"B:2zZAf2i^q3JD*%$2\Iobfd0C37I]Z;x.KPfKS]\8NWi7LJi7:%u6:kVgDfuJD
U"\hcEd;:DbW+G0x#D<o.;THul<=^lZ4\YX>;<,htQu:XL/^QQ7.7:DN$z3oR9p%d
U"pvP,tU\jA1RO,6cS<ZMVc*vf-hd4N^yXA'LN0ialw_bATb4boW#M;rADE[_qD3O
U"LesVju#Em+.AexRqLTTSbx\?&9_\uACkVn^,&fc)8)kB_Gm4Ro%O39gdfnN^1d<
U"8kLhT%P_awd%oCITAAh)PNT-Bfgod?po4h&$zP_Nc(C91JB7Y_+7jj*Q^.q:w;,
U",tm2m_jP7ka'H?QKTu_q&^blX9m;\_2D*;I=Z<g.:Jqj\.Iz'WrCU/:p,Vi<Vkm
U"m)R/4yem(_<$b_37OjHcE,c[Txg?vCF_LRY%E$&N3Sq[KCMD\:(QB2k^6Vh3a/#
U":TUter9frHja?(wThEOn#<z6KfX9Q3t6pG\+ord;46nTFnC\5vce:]%fGc3SqX:
U"m+g<mM&_MRZx).J5R]^KL=dKT7_,c*Bc;eH*x-t,9%wAwrQhtW5O5dJgm0cTJcS
U"bmB'PHZA*wV7+c_ix-K%8Z]&v,L?SHV9#J6#dA1yqj0YMg#k>im<_w<Lu=xaQ-7
U"wt/7/tN'$k8Q4%W[wwf<H0MC,X9nKYY%?$YO2,wUv#f%?qM,Z.CCTFnHDZ$a&gv
U"4npO]8ZU9JV2<w<OC>C7=WN=^I,Q+HRk#B-K^$]l.%9Pg7I_A5ZCtv?&[MER-q-
U"s1Ul%;=^0-FO#j_bt5M'%LZ.oFJsRb86RqiIjkC/ixTrdfi^'ZKN_c44atfVZS$
U"jnh*f\5]Lg.OD(g/$m5b,h-2LYW;cx)3YP$S2+MtIl]^=UJwrq1ER[gY79aR#q9
U"*9tF0AZD_uJ9BISuE4D*?<hIH_d;4X1r3Rv-&'1sN9Jyi4'49d9%;6>bI1dbv)R
U".TT;i0\s$$S]?aNg^QKd-cV3*-yej3[m6Xt8YD<hoU?NJM>pnujL1NMBFqV(S(X
U"G1Pg]<EjLb.sI6*A8='CoirKGUmFI6,;*(&m1>Ccc'LEMYo8;;'%ZtFWM*ZQwjo
U"FuKhisVeaOi97da)z_1CxktEa+2#m[f.3NE44;R=dL4[K<[1.0#vkf=H'$8II62
U"I[I1gi9Uraj0iBHkFZR$o4:,G4iPM6lk#T%#9&E(U;wp3bxCN27mLa7#:P5TBJq
U"+0^vF+K]2lX*\'u,),)<i=2ZIlZ%WW4g85(%.]MGMC;#pC#c+ZJA/d),2LEf=om
U"AlKe63[/nTHR190Quh&+Phg?-,$B25,MwO$59eFq[B57.]$J:?V'^q/4X'/c-=)
U"i<Im2*i)f1w:_QHpL=<7OY:&:o;f+cJRN](';rI<b:E8_0E4QS*'iF5Ar9==:*.
U"T#g3NY$;W/'sGse_?BP5a;D<moP(/=aajF7?jtJ>z]_/y)$F2:qwLE6+;=OU-wl
U"K<=qRuR%WnYE&$=,1HM]Xh-FwlbQPC8$.i=WAXk/+E3Yn^4$?r8PI^'JeX,_2&Y
U"zs+taLZshmkJ7Z\3E-EYKQunKfw9TkHr#yN5Pl]]:-%<Y_a_kRFfrxCPJlhV#m?
U"8q^Bdl4Go'QLAu>cI<Zm8.HW-wrR#6Ch:hd97z'?_nE8kUS42O&IZ'T\X(P2Adf
U";,[=M5Y^KOefe=[>N1'H,%:I^C#^G3-'F%bYP*&gtK;uTiezk\rMtum,dZaEtSE
U"HFD:JV:b%V0fSj<sOZFu+'D)Z*+X>YRY7pa,6uO?YIxe#*dA$Ui=UO\iK.t_dG7
U"h*Iaodne7DPPTC(N%amhex.hMA]XC+aBk/gMiV(+szeOt&p,q(Tpl\--=;IbG>7
U"JTd*;d5az3[1$F5M0e%^hAiEy*R^FO<$Ul=kq8/S?usDj_:H#vnIBp+E^\E+EX:
U"-jF?=E>jjD4/wfU(qx'ba>MBLFwCP0Gt85,yDWlA<3n>Dp\v2IzMzsX>3&nkd3m
U"Gf9-dhL&yjz*YYE^W4Yj:^DdHM=SiJ2(55.S7cOBWml[>_ip9K1Bd,b2:ysHHQk
U"gKHTs7WKhJM#_-NfX=_\aC-6%l=-]Ww.CRiRfInV.rxBH\K=MxPZfpT.>)Op<4;
U"Wn[d8A6:6E19/&uI+]f0B0;wiGXi4lh^lXK8<)^haW[PnpWiTLbf<Fh1^WLJ.*h
U"[#02?:vpVjt^]I<n(gJ+s;(v,v)m=fS0DIX/P1iYC__YyN>SC-I-UYV5#QOMVcC
U"wwp)[X(Up5\+Jn0hzWRhn+.I>172_+$wr-UZaHX^Kc,E#Zj3#FFpfRiLf?h[4Bt
U"Q1mxhdpml3WtMRAkImRh2ua\ukp\68xk;$']X'>?mBGqahW4#G.MS>nL^*8/PNX
U"m,IX;mHH#AZ.nndN&#[A)b<mvNT)oM^[^f)Y[2s6?I^qsE,g?2hr#IjfsT$EcMO
U"*\6reBUlXZ#J?bR6;TPMSMQ(k2#F:a%7G%-&9Pn&)vgc59^/4u'II+G/SOrJoV4
U"81i.u8X?(cuj;S[g^gg,+7;oG9i\&pv^2gWGfrBSQX;%=>i$Y+\X(1V%xL/QLlr
U"m-dOAXM'>CENe6-;fTQDTUez]#YehLGS(Ut3GH6LV&4%'M^pCFS25-a3DU>SaGY
U"mE/2>UC>/5V<i)Kx%[5*rLuoJTezf91]&<wU77Gp+Zmu>?Lm:+o,z$V#\pUNVB9
U"9FhgpP-ts*3kQ=Gqm&(<g9K/SW1aVn[R#pZf2pWe9/xBwE158A5?7ekP%J)QGx8
U"<F:IX9h%_6dscVJIvPeQW2cLf>_mYsJ#KhH?oo8]K&e)Vo6/-F,Q2yH]:#n5pxs
U"6S]?uVCs=uok6suqP62&E9XOo9b[7Z&eo:kG[n=b]O#SP6qSLr7q/r]mh3sR&Am
U"qUupgE)mni/1rfZ$auCU#8X7gbUD)WRC*r1N^I<R:sgp['6&<uMFo61672^Y7MW
U"t?/+JcEA[M>0]30A1Jj81FKd.z>kjCleNvEK+DKfOWU.FgNM<:g*mMpo^O7mc^z
U"w5L/yPrPH(6uWuQ:Cc1*0;N-SZ*'D)-7CV<\k)c:$U#6aaZo&#Q4j\DORrJezTg
U"A+?Hu)saZf^xSn=[BY[smIGHVNw3E2SQKoEWPDs&b;Y(V/-fgk1Cj?M)U,qlj/H
U".9qMjDs2?KH/HtAY.W:w8TZbOtWMEn6?imGrLN$jlCQa](x)h:Pd\E$TO._dRTU
U"4Fmu&xb%XN,_[[<iLQie2eeXBd:*gcj%2Eid;UxVbyxXY?w\l+]x=5g7_P&8seo
U"igR&)>nU1&g(9#ym-]^7X.#E/S6w9-]fCq[/FK6<c\lclG_[hqbdcE8=I=2^w4O
U"*q-%2<W)b3Hoe(lPfKr[xLlWhK1:<x#XHbC,dc3<BG7mdCZ#n.C>H>^jl<atQ)Z
U"=i]^Z2pL>Ft##l3-)Cr+ta<'1euX$F$;6WdO'Fggk'hrIH[6I?#SMkn])S&^SN7
U"9?<\m+LNfV,n#*v<Hu?D+B,<7h&%&rM^-^>YJgj5_c:m<CL^FHVXZW=Y>\4$QVa
U"'62.:lVv5OI:s*#PE>)KI<La+4pp1syIhVh]=$M9*BC1WVpT#'FF9;FwsK,.PSo
U"F^N?f*8YW1[HdDobJ-\,$3/(7Y&O[0B:2oFf/^x_[]lFV%=riUdl:b_^P$xV?f(
U"L#wXB.u;Zx$vsu#8Je?bH;t^?mDjeB%o8ljr2xlUxXHW8WHpZluB];#M7Vch?nv
U"#aC9F20IEt/xj]R%*Xm:&[CM07,RpM2SxS,'h\wSN)aW^GC'>dEWIF*DYqU;r<)
U"Z9^5_IVkQ?m1BU<jxp74H?Xj97^*AB;#R8j-tWw?6%ua4lLBHU=R]Y&,=<EzPm_
U"WY.d,=M1EqI6BfGY]i&hB0nK5otc^$?gYnCB?gTOo&1?RN+'b\-FRs3FLCu+Ni6
U"H(C4pP)Y1V8V28BOLBNBA\I;xbUY6uMeO1MM]hgIhm&?e3?,X\&a?JBv)K(7^jw
U"]*00[huz;,T3a]cdWbk+>POB-DYf/i%%F,TA?+\VVOO*^tBGa+tCx[)PhqmAs'(
U"%S3]11eD19_/^?(Bx4Ggh[Hm-r5h#aBEYMHmYEE5:zO0moi3=ER2(&,oPkGZJR5
U"H:bC_4k?;/1sc46IpS\SkzX-wgkCO%YC/A5I7*1b,$WbQ3FMA\M),nAZJZb],C?
U",n<n__[GP)?NIRaTB8fo7DhoZw2\>8S9dq[>AU';xpVbs(;T8VC]9\hAEHc6/:m
U"<E$fM%,ObBN,B%GP$*4-5G?E&RXteB02SQVmpv^O*EQ]YE<Kjqi%)lXNqVkrMgg
U"CxSQn'-b>iap**1S*Hp8Yn)n-#(iCPn6XmNu;;P=o+hO#Q6d;RT&TJKv:NC%2n4
U"7\=]EUx&BRm5x>WRnT(zh_7#v22m4N'^2#LKf[SVcBS9vB.a).d)q6S?QY2F,.u
U"iST><4,8Yap:>&O-<SYIfs>hOunRgrhs;XV<Frv,P=Ohx6,p8BdO]lL$?ZRM==O
U"$WF=1oWuZpjQur&;E4Q5PQ1#aN$t1IL0t;L9oWx_:q<+\we<Z[=dX;,oixJA#=q
U"K(xx8;USRH;\#7<#+1^<lUH/F^sxEpsaYoEkgEu71;uP94MYPjPeTsVe9k+_fgL
U"EX'aAsP5M8a)+ofjmZZS#SET_G9G:C0D_'i]?%XD]hMHxh6lLYO6f3K8P?HPjQ4
U"-EwKga6SH^:Ti1+*Ji'#0\gc\tUBcHIp/]+-HhgD1qt'O^;A<aG;GjDaHl4;(?N
U"h3EXYZWOcH$^r/v-WgC/3fN\1a^8OdgOYW4D;1v]][SSKP>$w_Rl1hN?25M^.3E
U"/t8FsJu25HQh4z7;nRQ>D20#V:D3qqlKaGf2P*QhVEtYQn#TDHx5e<OLY90aMq-
U"EGLHWVP8YIkWgm?:*BX3XeIFqxF3g:R5^<[F?38hT1$TyOp+Z9IM\\OO.9$uu_1
U"p]N56#3=R<:[\GXP?L[yo_PG;^*,>l9T4PYkaRHYAw4(a^jS/J=<=sPq*oUvf)k
U"'&5#w:&0'(*C\oL1*ZoU2&dj3b:nMm?Q+0).l.7MfL&j7Vahgu#Yv>C'=$n5V.r
U"\:'l]w^3^aMSl/[3hGg;63HsaKdH%syRnuLf>tGrY3oFdAHHAMHTcImxb=N$jqN
U"KJLE2#EA2sL#(HtK0AI?meuZrDE<_udk6Jh';<uuro?3rNG45h>C(U3JT5ft%nt
U"c+M*r?NIPDXM?V?<>*EH[F[D?3fD7rsoQ[G)sZG6kKVY,bi$,J$ZVt$+3CZFu#U
U"/By67TtI=rcb=\:wp7c=:V9C:kxS8$oDq6YTLz6[nec$49y41c;Y;qv)Lva<JO5
U":IS$xJ%9GqJ*?pKu+;[&sKK#^t#F+;9Ne(Y6Qt)0nE7K]5I8%V.1\luNwlr.62-
U"wgFg;c%'N;*z\87A>FQw5)ISEpBAy2veda.)M%N2j\48u7F0OOGe0\07*#=OPF^
U"h_a4LR1pUqwiS'RlKbTg75)mJrKC6g[1FhV_[xJ+l5$UOTfl$TB65Z(^t36Pzu1
U"&[,Wr4j%nuepEosdYPcpS9Nr0ent&-0f8(>q1vNLlH))jr74hX4u#V*Tf<UFL3h
U"0O#rS/g:jS>Jxe;(Pt]tQ&ZjU4Hil$frflpTOiIb-Kv2^RF<W?'P__XI_,9pvv(
U"3Ul^(^[FWgkRVopqBSU\cfa/wad;PQb\([AKY&%V=3xY-Y:#ohX%:PH:ZbDb2OB
U"M.PPY_ADw&5'jJTsMmZl4TBjOS0k0-PN&ydjM?rBGuUW0(G)Xc6:-Z79X\x8j>;
U"%y='78Z>$Otb?JZAO4>a9-2^hrWQ3eXo^:#'QG3,bmMhkQ29E#Si\yLInWOS:M#
U"WFp=0\KQN&1ty2?*f23zAXb%DXdu:Wu2%c%qQ*9uTFeaO)uD5sce;#2,S::G=[>
U"T6Qe0;r.F3ckfK6gaCM[?'6+\Fp-FMPCQTJ6JE\.je^b1=O=Yk:b;UKqOak&>wr
U"?._sv#IV^vuCsuq0P$YKuow*jFH5(OV+f[J[&I\tkv9]dFX8(C>;?x)a#hGFVJp
U"6^gfslmnIEet4%CL)pW=Km=8Qt)Qowu/A^-e_PQf<%k7<OGU,$/,h77,e\uO$DI
U"ul#xE^RBl^dQSjo31N)B,L>HU_)7Vp.2tqo[5F[-arXaPlOQ*mk[wSo_wgnTN$m
U")FLtkMXIcD]$6)pa*-V3AK=H<K#68e<M0>\[M.<_sErypdk;vH#quE?f]KL5aIF
U"(GhfWJpi$wS$R1K3:oN3B<R-\<yJ1iXa5rx[M?ea.2>*C&56OkW^6lIp#];sV6b
U"(I<TJW5'C.\mU6=bbuv:5E1Jsr6):$Luoy)+<_b5J^\YKMTxNV:DX-4D;B6;uKl
U"hPZlpPiS&)UHRPN7_'&S;:Lz3+ANmg+Oe'G(Lrv(3wgD.m0Y-:)X$g#1hj+2DYK
U"4CAN<RT'->-.cOlO(W%8&lq_DEInX9(CQU2rF'vPCHmatf3JdZce4v$F*8/QWPN
U"AkG1EtfW<X>o3=5V-J6Wtq4,&pjR=zj6F.GOal$PjUmtOtcqFVjug+Cc*;=FXe4
U"QCDGl>79PT9jxKCs<Gn2,i^_9K$ZD1pP*tfC'1\5?P?9Ap'i5hdHnDfLZ4.M<c*
U"IMH6Sg:S1abzDxHYGjOu,J=?d:y6,i76H36U;GX&Y4;v%_&=rKlivKEjbI4>SsL
U"O-D%GmK:UYpkNDk,9UqR[;6HY?]eQY-=ts4F>d/kVx[7Azh3mUCJOzod%*ZzK9q
U"ZD5..9/Di>mDuN<e>pcrtn5H=tW$LlhlbpZrphL)=gcTV4jO=rP*ZQ2k#4pE$4q
U"3-liBZKI[b3\?d^)nnAQpVD/ZpE75\*iR/QY[ebYLi#>36W#XomcR3l49NPd_by
U"TbNrt,Nfc7cBGk9P*vtWgcV6wc,3fd$G%W4,OF3o(F$l&pJ&>F1&DWR>VCt+hMq
U"r*gSlkIiATrh^,wWFAmI6#/n7TWOPc<$vaFlsp3^C^RRK3NZ;S6d.LV&IZ5Ke]o
U"Ij9&Q<%uHZa)Ede-NuTR$.PUVk1UJ\-pl,tKarL^eIF3IT9D-Pg-<#';6'Wsa?0
U"IJ*S(d1,h4qjlSglVJj9o34MlFtu\8Z1qk*=e\ll*8[7/o.]guK4=Sjq52\W(<]
U"GT2B'-Zvs(B>N_x%%up()%9%%%R-%?X.aB&3/65jCR%%nd%%%1%%%%vg%fxli%h
U"VSURUWf,*h=#^,axSeBhu6APW-r7=J$HI;m3_Ae*sCdoQ^T,QR2>cVia1=7ZZVR
U"rDiPS#4,Q?HQ<F>G?9&J:tB%O-+xmR92RTX:$Bo%4>4jQL;Z3$azuznrxKBxruJ
U".kb&qQ^a*eYZ.eQo(kN&%wVJxMNmyPNCfBQSLjth0'8KDs7dGZhsf+.pu)#ug:M
U"[/p6^5:-=Jt?X'hQOXqcBuTi;/wEdij'Q5Lw#z)s^P_V/TY^q'>-K_McoQ'JUWY
U"$d9;tCQ'.xm$GKhM7Xt[V[1gN[/hN<o5Y1)6&#Q+<EAPFM:EV_R$Kgu\3Afr8-C
U"2-b%hk*U-K7,(<&QAyX_MS:N;+YxI3GyuC2P55S$AGK4u*kiIN\u4+>=mI'K8hz
U"'d.7^a.u*aSOD9'IinnpLdZX$KBQY0%O;EE3OUiCUgvV5)-uo3B)p?*2T9Tiaz&
U"ABR]W&]:q:v*MGAwQMk[_(k.?XY5u7'=uG$;8LUNVI#[?($_yFv=Y'%o2a25>vV
U"Yt224v%vq4EMruLq)\9E^KVd+uPFmFt>29ucmt\h,3:x6a%).onAW;MZ94ocvRI
U"Y9XLswtE<i*WrzoR-ble))P]&DkrA?A09xpAB=o,^Y9M#b?v6lS)Cm\$lNCvLcW
U"j^MQon311?[E&1EOv5]aUCPkaP_r>XEdmZHO6e-_.9vP+uE=lWG4sZ/)I^5uI^X
U"7:80,+LN/]Mej/'U+*>CL\Sx]g9E<0Ko2SITw2)?oK_(1sshqLWpuG6eclo$_')
U"svc>\1jqEesRtv6vgu\sP(F#A)kqD^3tZ$)8F]OrPS:DIQ$B<6-9<b2aB.'4(,K
U"GdC^LX>ejUqM1<1\uh\WVr,=]/E8?;Nn_N);uqxM3sHGh*(54f#,UZ];sj>Vl9X
U"6Z(7Su\&YPDro97M_z3vV$<7J-KfT*\d>Sj+2lb:$eF4r/uU4&?[3zkR6WvgRW0
U"U5t*w=FD#RxZN6[xGn],garbSx\%4ajL-GC%+agz6qqpzS+djTi.S)Q7hwjdB%.
U"?K\f]5+YEgqi&H[1mHu;0gKI;&GGyWDq1GcksvvK%H:T'2_0wh,gAM7:H(&-0ls
U"S63MJ'Uf=2c/'8phi*mL.Z#\MZWaY+=CRL6quOc=Zx[/k2ScDG2hX(Od%'vrhb>
U"h?5x]GG>;-I-P1V0N?*a#.<RToiK1K.w6t;VSpGWlu(RO>p6/O_YxWT/[SoD2H:
U"R^:,IinPWxMsxNDU$*Qj27/=G'iSn'_bUDp^I>[qx==Aa#2vZF?IUwf%J[ZOi>p
U"lR2baVl:*Lu%bdho)ZWBP/HSLN<H>wi%9aQkG$&b2yP,uhXD74c<uItQ(H>x-bO
U"\Xp*L,(U'erw:6\ulsbj+&u3_]f+ss_i4t95K%L.<:;K\Adg6[G?lLigB3tLg[k
U"NIhB5%>sUPZ>bFN/G/'KPrK\><3uclaaD05ai1E*r;dE,lOJ:Le],pss3I)C7_+
U"V#286aDGS/4%<?'as8A$hKE:Q;D4z^:*=roVX8mgRD;1NVI<)qM:bZtbPoBBdKr
U"o#-'a1UjQPT9iagbloFXSlCk'H/,6+3;GU,*t#ff[?s6LX45/?o)c%+62YNEt]4
U"D&W>Kr(TMu&Bu6)h'M(jSN%Nut)p[(Mo'rm^&uu^hrl=#uk,?1uTP'l;L-8YLpG
U"+L=TtV(WpLX'Uo65H)#,l&PHcWRxLOH6\(wFL,Ul^4\k+N<)mFhi:vNYu:?hGaT
U"J#?$)S3;jJ-O$Y1?1Y.<O1W)KU,k.Kbn7;Yqy=%To*O<IR0*i/=a7=+8nQ<Y9bj
U"o5%DY6=+\?/8Vt.sv5]>p,;#<k*&Ync:Yfs?CCUBLf12&#Nf+-]Hg;./\jg=wTf
U"[<>+Vtj,2>Jdeqtp[-cpXT#cDQdS;b;(.G\B*U=\PsG.^7bgV;hQSG-:M5n^#P)
U"*ZEVo676X,\49i^r'mOJ=Iqgh+Ol0*1/SfBUgagEY4ANw1iasmdbV]wyPPkIfFO
U"5IffA$f(Dth+q2::>5*+uLZQ5K/[l[p<7Y2^S%POPd%6x:,q>+W6ga(L528EV2v
U"W#i:m?+B_a^dEa%4/2[5u?j3N/_;*1UoQ.;E#8./3JZ1?rKZIta9$O83-7\DX7r
U"f9Hs/VLv]oQfUZGlm)F2kabaGx4xy2==L]Ym2fuYtLA*)<lkfZN\gn<G,,\h*d8
U"FDA)P6ZVV4TqJlj3B:cJ:CQl-^ZdPEQo^Ro-MJEMA<SDn47iQ'8+/CX>Tx7<nsB
U":Lg9WfCPUv'#=ZZa:>TLS8Nu<tooikDu(pZ:POiC)8bGXJ;L>El\ii_g7RZsAl9
U"7<qhpO7Z(8[LINU30XM/6n58*\'Ul,3nJVpOIKbpn4RI-p*hkPhnV>d[MMw/*#1
U"Gv:zLeBaa'LdOT<CrFnl.d1lPREXl^7la(2:uKY?G?72a1+VMr'PZ4,i>q/eXIE
U"A-[se>qF&k<4;:3_))7uTvV6-'..X=L;V1nr#oZ>R6lb5wnLiF$nj+l)N4/%+SA
U"/)FsPvR]/IeLP(GsM$$aT9\5:mRJ0ptm-plef\B9b13YMMY2&\#YX;Kf?L*9HV#
U"X;-dMkI,pYG8f&PL,/gF1Gtl$tI9J'[JB+?\7D>[R'Z2Ngaf*%U0_j,?Gq1n\5u
U":&iF1U,2Mj2V&WO&QC)w/1Hl[,+ZdqdCf36+F3<S2skq>UZ0]khWP]0X)f;Z)D3
U"0J;:7R0eH6$2ab$#uc]Yp0nvr3nJfGq:BHmoge^<_d/yjl.F)oN.0YjCa0OCE,R
U"#u:W?t[skVC$XNIfi*Nq09\rfGV/.>%6qU]RElDXm_%NgKX/7^1[RLk&3qXpp>q
U"*+#/QGKP1rhjppub*VW94)]%GSl*U'g=K5F\]Zu4^Oik?rQ]l%H7ETF0YJ6V8<I
U"Tx'7&?gGTv$oY9QpemMUGZ\#cGuP&v1H_(qOAFAp]'l6)^/'T2s\8]hn)G%yJlm
U">Fh9[.iKt(Ozq).LiSpo8HD>GC[L.1E;UQ7(3(y'ee3tiNa5.T)Euiu2vJK9\4E
U"K_e>P&$a-;3p\1IA?;$bxunTv5MFGE'QPNY?$5fBADh:VP94#n9j.eYd(#Zy(g^
U"?ip\BQoRC8yjwFd&lJhf3leN_[mk_B%T'uN,gZljF31GZ+GDop.N?BVj]/U5poL
U"b%L%)'7r*raha0')Q),be/Ti-f#\Vr>8FXw-5Ce3\qT5+.U5M]<J=87Qe[,W4[U
U"bJ_MsWc43FP7b0mvwFH&bvwe6x)::HXlNCHO=HK[ZLGPAS9$=8:P-]kiB9^H6,V
END SUB
SUB V2
U"n?U_b:C'5sW;3vycj/Ks+((+]Kl<Sl1FHk)^7K6>$e,)J+lXE/n7<^$>sCA626g
U"RBhWg:[C)C5^h9tXQ)pT$WV'\]UNXCg_r5wjFLPyh/A1u&W&$ufP&#/BXJ3/l\.
U"bGc#=ZO_^.(5x_0M5Y;1le*5<bW.1ffX\E9]2W3tZ4I+/+?N,OH'%;t:K,QRMy_
U"2TkcpbRh=ob(9c3.k)eX>OT]4M?/ODqHOam:D^kGX;&+Jo>-i:7Pf\;Y'9OZ?o#
U"]<J9vqgf'Sb2*X$;-Z;e#o;;J?P]V6>YGKF$)Bu7L4l2Uqfa3sR+u8\tq,,P9SI
U",<J(Bf=OgBt%w-+;[%28;f9.Wke;^#6_pl[P;fS1]ea.unuieJP:R\*EakRCl6'
U"#%;5VgD]U#OEh*]1Qsa[85mHZ&,Kl'=#N.<*J*(L4#?:Rq26ktPKmHc+Li+W]6X
U"CU;7VUnTz5*amRW^B6xn2Z<ck\6m>H'G1xRb3*H:0NU$My>sVd)#\;j#0SSg,v#
U"'>t/,qXRhPL'HoQPPsX4cuVD;DGdeAALhEvmiOa^Yo:HtYq$LiALcG3NJ:C(#O8
U"I*5_j'j6Z&Tv=O*#)V,L+G_H0JP=/:j^(rfMdYWFTavmR6G>ekBk9T$46rsSMdr
U"OBm*7*T(^s7DYg(c</>>\EP)nW(PQloCq1<ecZi70CA([*i(qQVJQ)SQ0$;4OR$
U"^Ne*6Bd3c'b,P2'QWH6YFUepRh1n4^to#S^H4^PTt$cwS\2%XU?JX's7m1dy<Kr
U"/K/FQxvCHrWcc_>j4gK-bwckb,Fvs]+-k4;h'[RX=(b'P(9ylu10#]GApw^QC&W
U"lUBD4n<Y=M[S-J;,ff&F3-Nn3F0VU%t(Lh.X\v=mB5M4\&dcJ?GLhkBhX:oW)Tv
U"[nP2T_APu>=%P>YwpzTG/UQu,^L>]&KsZ=rPny_N4xs7sG0/Cs+j9opgr7&s)Cp
U"$l=H*upa0#6IS:K]dbEcBh9xNqvwsdt#no[Z]Oc5AXq;GA#0W*^3VH,W^E,Q.YS
U"Z2k(>QeSC/3n_#Y3?#G=n>R:<K(,.*5?ck%yrm9B+l9%qr9XEkuH,hkNk6]>ZWf
U"^xgA8Zwmx>sADwomx)AZP(CcatjG(U\c$J8ZX50[te)o1_AfT-$L).u5VOU]F^+
U"HW#GZQDhP_WDTWEi-n\u12a7N:gXKP+L:sf_=U?dn:sEM#3k,zNdKH7\0LLf7Z?
U";\k^dHCQNUw#:?;,I4T370eRhYIp9UR/pV)CnXcvD;_9dq=vBAqcPfPRw$&;?+q
U"=5;[:A0vd5uH.4)Z$-xb#MtcV)?p)3_Ao6bYOp#RK*EPT#PLzd(&Ja[kkx#h1-1
U"#fKR,qg%wDVs4J1c]7CAXT%-7X6:c'UqGsBj,6d-:n%s(qbA?CS_L)5f/:LP(SR
U"I<VJW0>Ca#y]ZP_O?;II=wYVq%upoK+(?g9kB[0%R:5x0'Dc\XG6?MF7Rh+q:tt
U"VY3WIt7^B4yCq(5K(B$9=hTpVgpEW[i\c*X%fCXxa$tCbGM?[;6BaO,IAu4_aFn
U"k)kg?mm9EICpV:SX;w0E5l0bj-;s;Zt/L.Xd%xGn]roG[5jSuv,0_(v[gL/k)t9
U"aHKpMf=5TdCv]UE-gEk-qL?0OK&1EOq=<bUdpJ8oCqLV_>=cIB\<)]3XcR/c/0J
U"k*g6u*:?W2Dz&-$)8OFLf#I=WkwFe=MB#.<&u\kmT;-<e.bN_ihp4t'<NJt=hDM
U"u0;f]Ng;g09Hfj4MI$<MfesH?X_%R(GEE;Q55um&2?W0'&m+_n)b\kuo>,L20fm
U"i..(u.AFxzr4j>B1(#b&:D/p]gj;/6jRvSb):/a[VfS<[1rB2.)8Lcg_1icqiUN
U"sau-;ZeAg-YaF%yP;3)Q'\wjSJFN#/xfWUB9dH1%Bp-ak>>Qq1X2WRg$oQ+Sgrx
U")C1Le7l4nU6.Ey*>zT][euQdD2OD_VtClf+uFqvjGHh-Ir#NawTi=WKF0.?x4YL
U"Jf/_a13J&b9G46lyii[Pmxjgi_$G:ZFc-9Gj<Iwcm+S%bKk.hg^)M-aQ>Or1pU-
U"7ijU%mg?^_[$ZF+uGF3f>Y9.s7UAbuWj:BZ#W8DuZ5p*JJ/4LEJ.AuBpD+FhQko
U"=+o>_;?U1xw<Z]6h/YUL(T&B7P<8PFhcvVI/<Ph][$2y\,mxp.Su77cF?%,Xq27
U"6(UELLEeQ+Arnm*j]OlZ\I21PTD6Jvm22N18Xw?LP^LC=nLXNh\0v$0ZcvIZjo5
U"gU&Th,2lC4SLI.4LH?HnK1X/%pk/HTT)b9YZTRx?us17LTgY7Pr,Bl]<v2Sc-e\
U"<2ilkMhu5s3*OWi]d:<**gIIW+C5-6;IbXl_fH-^G_%s&<TNhSZlPEtI(E5)TZ]
U"(2<Hb><j&YFWvG1H&'C^IH<1o6#9hlaZ6Ku)qIct)_bFefTXTq9:5=m(;hW3*G'
U"Z*$?M4c5Dy61;9flWLpK+ZCYjegt%j\fC\u57PISSP#%+jgb]cThehK/VW<8j(a
U"G^SIuK=A^BD4HODPHfD.dzr3I='F6/hZM:oucK81Y6[F8tH4Zh]rErSJxZa?oWQ
U"bdt?(Ly-*_*)BU6Xvf5E;2r_3mwm^h9FsHtJJD(q-M*+O&<tqMk^eQ'A,hQfe[,
U",2YaxG1r7%hmZL*4XrJC<4'H'7*)zJ$6St\U>NCzWt+#0Qapid59IOK#r+pBJ7l
U"TUL^Ln;D8nG0<oj3L3W/&W[,,Wo(ift&qvs%Jwx=0JWC_7LXEWmURbnPZ$fhb1'
U"lgrsgPW[FiAh<Jj:H5PeDGB(\RM>ZY-=,&6&kQ/_u4;wv1_ctaYiOm/,*o=H0c5
U"6#_5OgsWp%wEHi+LkxJJn8.>RKV'DR*;8]4+i47.$1/L*+UwVe($*R(kL>P4-Z%
U"A*C;i\#Z9:%g\Ef%XZ\f%apF[W0f_YZ'8lTpy7r&E%jQAbAf%Ufb_).YBO/JhZ,
U"zY%03J=YMl^>^PPj0KlI43\#L=fM19XAatoy55]1P*n(ef?b_[ZM-/=9<FxT_'J
U"92>hn<[\&rRaSC%IaQ$a.PxTM5q;oeevtorLVdUmgn-FL+9xyDv[54Ge=+9<r\H
U"hRA4fI4vLMN,Y*DOPQ2W1,Xje#)w<Vxs[j/5i<MD&3Xz3ts.9-ePA,\'3]+<X9.
U"RuJqt5h$YN1R:hI8^GuX7FA>NL5PabXS,4NFC-&LnMIG=HRUVn>74hGjy:U*6=(
U"Q$:LC0F1P)Tqu;(SJ8Wk&KUR9J=acqn;3BnbnLHppdJ0#ZfxCEu9fU$p#xV;Pb7
U"EnoW[q=jvtH8-c)Vo/rqWk2h7[WI6=4qFSCi);cX'M%8vvK_Yqq]1ih7.#A-,D/
U")BTWR.z>C6c,342Z1*/'<tMb7AzRND(4U%JR0XlI]QYW%N176FHu?qlrr+/;d7'
U"hk5eBRt%?;hppym2dMYu)VdX/Buj5%=d'rovmuqHDio4Y9n5x:-H+2TjN<3a\nI
U"?c7cat0tT.xGJ'S)aX_$:Zv)Os2N5_<pAf=vbgI]V29T.WCKp-j7m/X%Fb\CZ]V
U"KZHj;mtjB$=H*ueUtu,g+dsrD.9:$rS_-nP1ER)eURaKzFv+eYi]x%EJz&Mk(Aj
U"ZQl/+g\FmStj&AZ3VX.]Ua0.,/x=Pv1]AM>jUIWmrF-e0[>*8;HeHKq.Z)'VmFg
U"OIq5F%vSh3h=adM_xo[^GEPiCL/-n8U%xM'b?Ha(6Ah#>tK:/qWiIN.b'>8=k#l
U"=NnmuPRJ;<_IWNuW]^KJM;l6L>Q[d94ROhGw,:Tsd#Shs4,\Xz<?)LwL3[L/dpb
U"98+>MB*a7i/c3Y9EXZ_#08%/QuG[P0(1=H>sTqN7uGVrIuT-sc&PbNi?Jg*%_Kw
U"a?'hiI++oNL]Lk\=d):kuAeWR5M(6l9>+rI&pdAPSaftJ:?(,#$Y-28(xn)223o
U"<Te.Yii9k*mJXBS[WP**h,n#k1Z+F?Q6#V=E-;f?r&Fk6IK8?CRv1Mu2Z#5cq6'
U"Z9(nL=VNxC5<de4v'U/WY.XXIm2EP5#96D;IV$t#4$RO9vVd=8+3t_AWVR<X2ss
U"y1nxT(%1Ao/W)OK?;wPoI>f/dG&LjffV(Pgo5TbJUK:B(?o(cffGNU$uV0pQw^?
U"R_#aYlVN\68+agKo8\m)kfIrL7%$#9>jHRwv/3Q.O:VpZkOgW9+(Lc?8NCd(z26
U"hE-:]4;+j39Bak<^I5/mPr/EzF:wd?+#b4B?jF\Y/+J6vtaJBlDibLv]#I,T,*s
U"fr&c)*WYNADAV<%kzu.P):NN(p0]]6BB(-gIC7X'BO7VwIG_1k66*,9g*nonI1/
U"*w;Cu^;^I'BIhY&6BsWrD)V:N:LwTg><SjSG,V):8m2%o7?x6BS-lGCF$5D]ai#
U"kNHydC\IT*eXEXRDpol]M,tM[,W-#)+[9N1:N=<Ra3T17CbU3JshA1b9#oa'YV8
U"\nZJiqsv%)j#^.itiBC#5]ym9f^-%SOj$WZ7Qc>\tky/SVoY[$g^Jbf%HKWFgND
U"H6I3pJOr:rAqa&aA7m/F%Q7KZP12\u>QuqfpO+<\766=?s<BYZ2[gZ*jpG$)KN8
U"%L1^[H4T+f%s059Yf+k-44i?A/lS/xEl8?',FPo5*?AoAoY&mKVm/2nIF]jyJ0G
U"_a4:dYxvN(m2,ZGJ'w9>p[#VodD4q81/M/U*Upi[cl7NCiE>[k<ug=m]('M(iIA
U"&g$l5l.)4CU*i6C/nD;;bPvpscmL_=TS?o&z_KN;>NQk\[K+&#%GzDe)HdWOGq]
U"ytrl\?-%J\#r=;Ga%]NcV0.Orbwt%(c'iV9Q/Pff'87,(_%]4-jarj*NYd7Iq-L
U"2#er?Sm.X.QIMb&4V68Yo:0>UX6).ioqp8H1Pu)nN_pt^sx?_AN#X^$B#&TvAup
U"M<M.#+2,MBzPHl*WL5W?9=*4\$vb92^h2Q68&o2ibELiz)xrpk8DEPU1i=ejqv;
U"r)rEdN;%[oGw&Yk$u;xH-Tb5b();$Z$GATZ0)xMp4mf-r(ESf#Kal4bo<-Wk6>'
U"&&'_BltFx]af]9u;IlTjtWUS;nK7=+[Naei8e6>7<iL>phAj7MHHL4KS$K2gvC5
U"2Vxju%plUG*(b/x\'-#x2u2j+*7;PK%1h.Nq\Kms6d>Rqg(m7zPU<&EgyPJ&,9Q
U"g5if4\OIu6EGd<^BVMM;L-VMy*'sDz:PZN/)2hB\IZ>X+U25gJ_F1Dc8?Wl*Z&O
U"%XUf2'M_a]3d'feo#oFt:kdqP0%+*=%z(XsLwIiX[w=\&p<pVlaaNV*G=9Z0n_c
U"nqP=Hpw3E0ET.\?Ypi/$xyTU%P<3Z(zR_69qbeY,/h1n5CXFtQ2hJPNtjErc2_k
U"*YD%]I/M5Y^,.q4SYoluyllUY?1:sT[dy9NW][_l6o\SMb5+ivKJn4M7sa&D9LX
U"NiNDN7YHqsjig0iRbkC/+#4GQOegsQ^m,4+nE8RVMQsLitX^2mD-\,pl?faBUUZ
U";nnONc1b^\cpXB3lw5f*obs$^Oz$tlFCd9V*-9HBEGx?gXC7hm&*cq#.T1Ha3Yj
U"&n)?:cGE%\60WHESWg8G(&b_edRiq(59P=9%4$9vXL<9Soco<%WS]Gh:4L-8Hx9
U"mQ+8$A_h%1JV]Z3ZDj^\872T0O>M^Z:<^h3.u*%(D#DqB7[%L^j=8t[*(3S5^.U
U"Fl;9;),x<6J3:H<<:H8XQ4l^$D$IL5\V2S_zG^C[_aGm<uKb'y75)a-r;4waHC:
U"3$'l^O.)U*Qfq)<9<=ps'+\TdhU:)<0h?Y^eNYYHN9yj8fxZc;&uO=CB#UKqie'
U"^]L>H8t2aL,q[wMMnACsc5].KtSDK\fhvGCu<h1icKZj<:h\$Lnj\<RiphxqjB#
U"\\FvDCi02I:VBEi7U.1r0P]2[1>+iOuIqs.:L>ctZXSv91C&+W&6AA_,KQ;>,LF
U"tsWE^l'\<?cSp?NNYj7/6?It4KRlXhv/#GPoVa;;$c0'6b3q-j-*[=;3(k.:0^U
U"9[#tlq0MesyX6R<ri[2EG\hfp>Jt9g^WN/Eh1Eq9*sj*-+_ydJ$5JoB+ibu(1c>
U"5ooq]&qmG-mWz4Mt(:dVUls)S)*<2-Q)cI&I&D-*XNeoo)'q+*taq%#Av0dQIZ6
U"A;GJ%X7o.,0(A]k_Ng7A:n%Fv3hmqGY,QX=bsk[cYwTadmio4OltR=_cwDaf?Qx
U"+t-rB3dKHb,t6)w8gWriOeR]hPz[s1i4hvYW8QPLf7Pd)VX)cs*7Q?\dHrxWKWG
U"sghuL[W6pV3)bAN*ndp+XSXw,%gXvCn<?.e+<&gF<%mC\;373PCm3sgkE$,4k9S
U"B8E0JFmi8mEhU]$t:V1+^a[u0mjD8,s_x%caRNLT$<:nngDIE8k;ppp96,[g3)\
U"DEHcmqi;PMlsfX9#&fk^x;Sa3LTZA/Qb]p&L#B?mr#>S9OEaTZINLR_6CV%.*qs
U"F;IhDF;Y&StL,4N6CxMNlwr*.Bk<5filNmYQv#qtoQFQsgnovxsdPMs5J.1=b#F
U"xw.NE^+UiPZS<Q(LMXZ1PQmpxjldGn8sU<KU8$8OX^e,/.;37mTV+dwIugR4Nac
U"jPTS-f5zf\^dp5Kn0/.pq4_j[>k-9'WUy(\$aSclXXf^uHi=E>GSuJ9-<Ik[g^q
U"ePvNUUb<GM]$FK>j1luy:G.?MpX0GIARsN6kp\kkMF1L4Q=j,ZuI29Hh6f?SDIY
U"H^iN5i1#CB3=15>l'_Pn&8r>(&e*^C)'x%,up&%'9%9%%%%-4%\Oa4BD\6&J0)%
U"+%*-%%%.%%%%%%%%%&%E%%%%%%%%%n%sywt.Sy'y%up&'%9%9%%%%-%)/TaB6T.
U"UO'M=%%*u.%%%1%%%%%%%%%&%E%%%%W)%%%vg%fxli%hVSU%UVup%&'9%%9%%%R
U"-%?X.aB&3/65jCR%%nd%%%1%%%%%%%%%&%%E%%%%UB%%%vgfx%lihV%SUUW%up*
U"+%%%%%%(%(%&z%%%'n$%%%%%
END SUB
V2
CLOSE:IF S=95AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBASGDC1.ZIP ends here. Last page. TCHK:95
<PAGEEND:"Tutorial.Gametech.File3">

<PAGESTART:"Peter.File">
THE MODERN GUIDE TO BASIC - New Book Release, By Peter Cooper.
(To Be Released Soon)

Sounds like a great book. Good luck Peter !
------------------------------------------------------------------------------
INTRODUCTION:
        The book 'Modern Guide to BASIC' represents a new move in media.
It showcases the BASIC language from QBasic to PowerBASIC to Visual Basic
exploiting the power available and the simple ease of use that BASIC has been
bringing to generations of programmers.

        The title is to be unique from many other BASIC 'reference guides' or
'paperback tutorials' in that the book will be published using one of the most
popular mediums around today, the Web.

        BASIC programmers are often desperate to find a quality reference they
can turn towards to find that 'special technique' they forgot or to find out
how to carry out a certain process. That reference is 'The Modern Guide to
BASIC'.

CONTENTS:
Introduction
        .Opening
        .Credits etc

Beginners (absolute)
        .Using QBasic
        .Why use QBasic?
        .What uses does programming have?
        .Aspects of programming
        .What is data?
        .What are strings?
        .Output and Input
        .Variable manipulation
        .Using simple control constructs
        .Syntax  ;'s and , etc =)
        .Simple program flow control
        .Simple string manipulation

General
        .Program Control
                .Constructs
                .FOR\NEXT
                .DO\WHILE
                .SELECT\CASE
                .WHILE\WEND
                .Subroutines
                .Functions
        .Math
                .Trig functions
                .Radians
                .Useful formulae
        .Data Structures
                .Types
                .Arrays
                .Pointers
                .Dymnamic vs Static
                .Linked Lists
        .String Management
                .left$,right$ and various constructs
                .Trimming
                .Formatting
        .File Management
                .BASICs management of files
                .Sequential Access
                        .Create files
                        .Adjusting files
                .Random Access
                        .Creating records
                        .Using TYPEs
                        .Deleting records
                        .Other
        .Sorting Algorithms
                .Bubble
                .Quick
                .Other
        .Low Level
                .Ports
                .Interrupts
        .Multimedia
                .CDROM
                .PC Speaker
                .Soundcard
                        .digital
                        .fm
        .Simple Graphics
                .The Concept
                .Screen Modes
                .Commands
                .Simple Animation
        .Advanced Graphics
                .Direct Methods
                .How the display works
                .Interrupts
                .Effects
                .Loading various formats (.GIF\.BMP etc)
                .Adjusting system fonts
                .Low level 'hacking'
        .Game Related techniques
                .3D Gaming
                        .Lessons in Trig
                        .Rotation + matrices
                        .Raycasting
                        .Polygon Display
                        .Texture Mapping
                .Graphics
                        .Fast scrolling methods
                        .Mode X
        .Programming Concepts and Techniques
                .Structured Programming
                .Speed over Size
                .OOP
                .Tidy Programming
        .PowerBasic
                .Inline Assembler
                .Syntax Differences
        .More
                .Moving On
                        .Other Languages
                        .Implementing ASM
                        .Other Implimentations

References
        .Ascii Table
        .Error messages in QB
        .Keyword list
        .Symbols
        .Mailing Lists
        .Newsgroups
                .Example Posts
        .Web Sites (impress me => )
        .People
        .The history of BASIC

Overall Glossary
        .ASCII etc
        .Index

This isnt all hopefully and is a just barebones outline.

CONTACT INFORMATION:
To contact the author of the title you may use one of several methods, you can
send e-mail to:  peter@trenham.demon.co.uk

Alternatively the author is an avid reader of usenet: alt.lang.powerbasic in
particular.

You may also send mail to:

        Nemesis Ltd.
        2nd Floor
        56 Lee High Road
        Lewisham, LONDON, UK
        SE13 5PT

The title also has its own promotional web site:

http://www.nemesis.ltd.uk/basic/
------------------------------------------------------------------------------
<PAGEEND:"Peter.File">

<PAGESTART:"Useful.Subs.File">
'>>> Page 1 of QBSUBFUN.ZIP begins here. TYPE:BINAA TLEN:14386
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"QBSUBFUN.ZIP",4^6:Z&=14386:?STRING$(50,177);
U"%up()%9%'%I-%8nRyF8^9WO1\%%%[=%&%1%%%%vg%xzgk%zsSg7fxebqNBT1t]x
U"hE/M,m\QRS\bt)GhPaKlA#QR1Dbkkf=l2=E=k6*b'Tl/]d]kuW^oogc9V4Dpl3I
U"%NYcsMTf&lT2jD7q#v%%e5%f.%Id<Qxr.NuSH8vQq<ZNcm#a[BE2^Z9_4,USG1V
U"8i=+NA1kBN5_JPD*tGe?%?F?gL9Gk:A-WFHceit'iVXVie$,X#>0xeAHcwE;U^2
U"rb?0W,$g8J36]3_Mdj*:cL4>v:I#/HAi/eRNZ[$r7)(di0[Am*c41Qa6W'OESH#
U"3<2oQ3jPZFABL8KMTlW(EYB;JoI'948M%Hh*cZI,Bp0gW:]n+]b/Hfqf=kmH2P7
U"R2kQr;;;z;[bG#O#SE:3w4^EbtW;_6=fH]uEkF'.*XBHB1G(9H48P7UV6R40O;S
U"C_%LiL>D4sDgsI/S5E=3E27W.GY/W3Z]N+7.jWLO3QR/4_^M1ivJg#?Q8>01%mT
U"an]<9v>3-DdoHK'h'?f-4R'[[K:'A]Ao4j]_mM7a43tO&T]q9=1/SSrW4<:kb>J
U"Q6[GJY8^ARYbn3inPPO9jWOamGiG^rGgRNK2_Yp#P3;]=Ay#:5BcSj=Xl3*WSrn
U"j\cVAFrV]muxNt5-$l=--h:dIVKK1NOuXB];^^x/(t5e]uu=j^7CPsFPAP3jkBx
U"n9<eOk=uE)4#%cic==efazuvqNb:6*d,ZBv#ns\Awvf#DMuuZ+NeFY3RElnZuRt
U">XW).kAVC27e.Qt17FCn&fA0>ze;B1a<&Q?iq[V$=P&9HVY>/>j:=3Hcr%B6Z>*
U"*k>V?J&R6_=(('H1lV>%2Lw4&mmdQ;1N]Rn$LIq)0YigEZ<VXp,rX1^T<IJ-h4&
U"x##T28f>(z(L-VmohE]i5kUR=-o0e/%;,uX-<Fo<5Ek9K0r%dl(/QT9SVgrpR0l
U"PX$QdPcZEzj-e&aR//sL6Y#25Wnt4O-xx+q,>Tv;]0H=SdD^NS/)gh4^eS-9R,C
U"q\)n<eR<x#[j52]1..NYfZ-FZ<CO\#=':Ec/dbj#b)4jx#perYnsq?p8%Nc<%D,
U"J%W77<[[3&1Ck%?T^ja-mX,h4YceDeV0HVACHsf2E5/_+n26<]vea/*CpBZsK,*
U"4:R<=3eAXnk'I#Q(ic?Fq#Ta1ogzOMYq0dVi9$3pD+fx*-FX+,%[SY0+Jm#FYJY
U"9e3PR3BV<BgJ#6&+mLpIUC,pFE:0-0v=]oa)HAWjVR[)V%m3OX>Ov#HN>D?N]Nl
U"7TCT#DPXF[^9y:=*lr=*<JZVU=k?P>-UVE+=8hiv2[i-'cKnC#o>U6XN$kv-q6X
U"1I2i5x-jSrS<F5LEJ.DS'(b5qtIXMq,wI81m[[fh%aRT#<p<mka]>xT&.i#x$%V
U"LgWOaVR-m>GuN)pSQH28P/HcSIh+i;:]k76HYL5QCD3C$K<]]_0NV\Bcke5h)91
U"uC6Yvg8]kj91rVGMGg1-NU'Ui]%TC'\aA_IR115ZPL4QtA?T#Xe$jECL%z+w^5E
U"iVYOz6Fr7L%h*J0QJPS7Y4;*$?HU'ijDhu;%M'LUIZfTp&ir//'pj>evDUegN2+
U"2I/S'-$T-D<$wE-#ZST4.Tcz,nO2PJ7:^M1J\$_J3UWDdP>++4)X=-YOP7NmDJR
U"Lca:a5w=L,TkO+A<;Op8$<?.DBK*]w;r3Lt7DA[yaR+0j)Q<EN]5$P;P(\Q\^+1
U"67ah>;F24S04a\^a3;EMRWDt_CJ5li&qc;0m(sLFq'5i>1wn$#Rq8a/QA:U?dG<
U"-I*MMb2p5PKDg&Mv=17i[ZeCZzIP#Kd?4A[g+OY3R[WO%#6Uc1cD14=_Xv/TLV?
U"UAo0gBBI=c3ZQ#\1cI+XW%s]A_B:nQHQ(tZ4s/I**mRM/W*O_[;E&rT]..lOfln
U"O^I$IXxC+g71go/aMpI^:DN)rs*qu>9Ddp,[NWmgK5-b>\hbf[?m=j&3]J9C.'-
U"&Wm)o#M=/l?.d?0jH0Q8.ygUFH2d.CNud&n./r''(n.0$2dn.DM=Z,4TFOR1D]k
U"z%KPb96P\VDTVEcRJf>depw-\=SvW4oA.X)l=o4Eg?=0C8geBSFU?1Z;gIRcELj
U"_I=<KW;1TGK1GsKORbU_\mq]E?FZ9X%nzW1i*)IerMOixuY$xRoP5T&u$I$TOd%
U"j8+qv6vdEO\eP\nQo$u[o<F5tI2j(fhIc<]0IEWS&[)$uN*_VB^I5O0v*lDg9eg
U"jurM4m'=bn%3Ow%uV-gtdeu>;25T.?;b<C/.H3p'Mh.1>em4U<#AYj8LK/>7_vz
U"1jux&i4P'ZieE0=R7(xU;w8]3l/\Zi1^:KK),D/SbI,nYF;\,lOl4LTHuB2d#/e
U"[=<K7QW;^224a05JBkHaA_I%$%S8J(?1SShp<);2(P0V.ym&oAM71+J[GZZDajB
U"GRI3oUd^]DL0n^zD'Kisvk)kY'cHRn&D1]g,W-6Ex_nsHhu7VPMe$>:[2PX,SWp
U"iV%Hd?mFJkoTK>P\MPKe:w-n^LeSNOzojFwiEoKK97g(orQ7K2WG0?A<qHtVa8]
U"'MoNAi5x&RclQ(pU3-Ox=nECKs:U$L?RHa_->&QU,p,)N%P.>s'HflL%&xL,>ek
U"727N][y1:l,iER039%.upsBBY3lO*jJV?NR8WiieOdqs-Si6;CFOmH:1$P;8MK;
U"Ck*dCyEgL&fBBC]gDntQam)%o)G883Eoe<KG\43']AEF)oEU=_O;7,.%V&0.cE>
U"FNPkGkUICix;gXdOl4G56/WNmXrJmol['7;A>;[:=mlm;XbQ#'vXbmDk-60OK;I
U"SlU5IG$<(k#gf514nX*lI;#^k/)B#[SGQ_vHALDQto<h=dXm/09R4^gQ$A:yTv+
U"3?i0'0-62T5O$x\.AsGg.m=yY\\c3dpXx/e5WAY0'Tr?6+oE.pRlL0yu*&e1MW^
U"B\(4;H3d'[UeH*C+BnYU#g;3s0EgiY;:m=rTJ)Vbw#^gP(AKa#jg4)Hq*o*7te(
U"SAQp_vC0BZp#dEAvjRnSnFbD>k52Y<>Ivk?8VuC(CNM;SD=xL:38si:KQe#4tbx
U"H.p;hw$#Nln67m-/[2ls,NJ:<810K5A'UsL01N5gBgA_DdO3?H9U4fWrIl6ErTP
U"QDh/Q5yemgq[4ZeY=g7uIG#4-epJ2HF]8^uE3B5FAWVY=4oX1IRySVFa?-,YRmm
U"Llj\c?1]>sIW379A9#f6_1WNvXGTVKC.NxuId9tC#q=Co+(:-qnM)s>#24ODDW'
U"EAR+>RM3l7%z\=f<qIpb>D,)Fch4hPtl][7q:-umeT^Y>sYbU.v*J+Q*l6*_D<2
U";+&r[J,PP*(%'x^ZMr;a)4SZP.:.H:(F++EaD5IeN)M51)'XPF'8,iW0ZE(XS+3
U"B]+ouG,x,gaNG8LdsucGj\Av]#_vz)YnkCbVRC+lVW;=P&tC4_%ueoBjVY=P:T.
U"zVEIss%C6t]7zu0d.<SYv-tWjr;#lX$piM&OoKs<1p3%+EB>deI&_0tP>W;ptwX
U"ngp3fqj./Cj?ZyFm%JTi9)DESAQ]3ukTa)(gy&i0LBg5Cq^x2R.I98[0sRuR%&n
U"LRJ6v7x0(PFLl<F]'lPPH(Vc-L[8as,M\]s5E.y'u07VzP/'wwCxl.h3]W6b7JD
U"l1R0IwrJYK#Y?*1h)i:3$tt>Ni:2-\.wW,Tg\S'EEv?Z.i^[7J_.^2Fq&kq,'t1
U"K:jdSI^IClq5)9i8)nYGNeA)QH0\%+ogae$][)*'&gkK\V/9#io6JTHH%mAFkfk
U"FynFGAJ#*4oqsfik4_\s%qvpXh8':JK4s7zmS?JNkc]&WpZ*CX,BiI[+XZA'SRh
U"LS17Y[ryzNmgk9RU\yJ(==YgskxU9CU)xS.sm^ZO'CvU&I2w,Do_31&T+w?/L?j
U"x3#OEnTjj)?8GlMyg2tuq&Aej*u+wQ>BP/6QZex$s+UQqviT&GX9C^De+AocKG[
U"0([_>n\hB2vYXm:<XZtGT=398/DYe*B-Ww0>_77#%.Tjg&G,)i_9;DrRoP=V5S<
U"K+oo%b]ElH%f:);EmLXUFEuX;sd+(>A)#qku(=1&S)ON8Z>g\K^iM%CIcgT\hV)
U"NT)eFB#R2eu>u2hgHE9.6/T\jlfLYL;>I(#o\O;>/<fMH.D*3&zElh%b=hJ)\Y:
U"cMBjt>uJv#>:mQtm'jN/6i/-e=fnLg5q'+#B'Ij,(cDbD]?0KfklTz+M7u1x^.Q
U"xGqqk<ImabCrT]c1mI$<uXLXI.'=[LYW,cl:bJ(Ts$Uhpg,8r.GbgF$Il;.)vi/
U"'z%rsUMd4+4vi5Q/PHp;3neO$/BJ4J+Ls^-dUgw7iQvIZoaNN0+]tZNpV>9iYC4
U"F%Abzw7TDJFp7Hi>->RikDD-I^/vaJ]N^z?>>>\l*$f=9.dT6ai3H-[VS)i+aHn
U"aESfiVG;d$afZCwoKHXqPRT8Cj=+[HJ6+(RSpyAAK^'^TUhw.kCmF,qaQ=L17^M
U"d72$#b<XeO2%s8>PAfxOQDl0qB?W]Eq<O%I_QVMATH'24VQ]wON/cma]:Q2n1C:
U"ZZi,F8X$K+,FrT\aNPLS4\6f+GR/1O*Dea61aTH9]Yr[E:j&Vr2(A9*RO][L1x$
U"bN<xK<*^aBYekrKBgbO6?V8'>7L<%ZPgm3sgEVB;*t]\hq-leS(tM\&g9:p)$Y%
U"$k,u$=H>hBOcP$%;dK63Vr7+0AU6ei5dwP'7C\\2X&OF9s#=[ALnU5AKrKsVAtM
U"%.1\h$g,]rr6;OH=;guggoofqC:wl^0^fYjDT^Q6CF[pxIP&LsVdiYfe5Hu2P8h
U")f[j6=XwIG\_w#?fB:78h3oDS7\RiA813??6B^eVdjO>iK'RidB17MFH9bQto)g
U",sJxLDmP7\z2/^FN11g7A\AY<5OUsv(U$<&0q/0h/-=(L80teaoTic%k>m&>wS*
U"aWI>B>g>NjbB]j$=&C[CeR5v_NAE#d%zxQ\%Bi,t5:1V$<l[?VY9;kl5Q4tR^9i
U"=gp#EQbxw_Zjyu%DQ2ry=p(Lb:svfmqOLoa,u.hDqUto614s&U^t6+*p^'V%5[+
U"),:sJUtT0DQ3xggel<DLSy+3K-mhcU>j[O+$E+8FA$yu>Y3f/m&J$oIO1^ndx$c
U"gXKjoA=3k5P3T1r4<F_8Bw-N=5$>Np*heXpFptT/(MJH^;/41$Lj/4*qu0;Y:]y
U"+xI=l]TU=0CO[_?,l'Bu\vSlF+T#1[BwSuh#h9By%[Y0g7.HD..^bUgG+GpY):9
U"dXfxPGoq;F$K?t+vZ[ym2.0[GN;\HIIpckuGW_ajx6x+'vO$I_&A'Ku%:831r].
U"G7eFk::7Ck75CwFmW)wKz4;_e2f-<&upFk4ZJqmox&6$u]'geIF_g4r1%$8DbK)
U".y%iIyj[f^$_NPv&Zilccvs^uB<[\Kca.)7>2J./_Ea/zCfND?dC&h7Bx*P0,Ny
U"7At+sC,m18lL</9J6V=EIMK$\NSZ4%+)nzgA)c5eW'S%2g,/xBKs+ng6<3?e%pi
U"q2&LW0V)Z?a.YmT#5Bo\Dkh7JimEokGEp6YFUFM;T;-Y#fEUV\OWg>;Vq#\BLOq
U"<0.bI>?d$%'./d0>6Sx:b=wC_#Q-61mm6k1YeYLF$AYcS,kjr-o]:$B'e%Gk+Jf
U"72dnS>BHYS,:F_kh8s'[OORR8aXhbHH5c#xTZ>rAVK72:NSHp\HA7f_'DYC:IVH
U"c<t%Mb<1gL^C-(A8SJ8&9r<;^YU\=P7V;ED3ltaQCgGq7=3u''FYm$^5cNRpvPG
U"tBV3XZK8h$]RiNolN0=C?PbaVeEsYcq1x_MBp43^&]ts#s<FDO^zxOCXpP?%1ov
U"7L;4=&]uHfC6kbbb0WAg/:9lBWD==eX;i-e+fW)=tf6dw%>,I0zS1p%N(KK:Yz0
U"c:r5Mv)LZ<r9rRhQij6m)8h/%rN-f65,k8FPQ\<fTQy&G:5zD=>.$xP<'t0VpI1
U";b#up8P.)xP:j6kH1[rlLt5bFlRl&f-ApX*Q4puc;OrQW$8;gXXZo*u]nn;9\d-
U"6MfiCFv5cC]l%X'uMfBp,ao[.2dX5T.H\L??NW/r<m1?23t+Z.5DEMfd?&#doDM
U">fGZn>vVd#Q./zQtt>-)tf>;.AYlC2T=6,/E?#.[Xb3ZRrt7VukprF&[G-kKj&&
U"'OAij0CBSDYcNc[%E:v#q:g0_F3:ay(:3Ry^kq*I^56L3QVki5UmZ,;Wko,w;'J
U"ABI(>+M79_YBy>ea3q6.&nlLTdns_UXGM=WEY1]hPZ%BJ7&k2>+.KD,kQk$Ye8>
U"FYcG++0gD1JU4\:K8-d.dlX(&,U3WR?n^O+eOsf5R>CVDQldW8/SJs&w5Nq08G*
U"xs_>f^u/+=UKR,+,Gl[p<$KO=-vVL:*V[i92z%GH+a*^sdBeM&A%3KCK,Pk*<;N
U"2qX-sQxb9*<(uT+0%TEkFibNjqhZtr,K.m/V[Z6&Ah:vi:g7^_l8]X'.UBpz8y&
U"k-*gV]tOzpzVuN\cbMhAQ/jYNRc4vns/R?s6pjR'%_2oFFnVXPG*RFd2CFPZb&;
U"Dy$mCuNCSnzfhGWCYn&ON4U(DW^eXIj^<bK+_BwFLQN,7m9N3$7W^4.L_AK41(u
U"zJgAr9-krGsh:E%p]n;wCg>-:44s6oGR/s_7Jxq8UfuG%p-f%_,^>x/CU>%pFod
U"lR%L0Z[T+a[F^C;0NXFKjT/N-M966mA7k[v[>&>nggD$Z%xS8ur0,0>+P:?$ScC
U"=uqj*FbQd(\r,>k85\otnE4ol;KjR<'32:ktxi+v&m+aU:XGc)QHT4v;m;b\NW,
U"J^k2vtSe<cG3F0i1AP7%^j7Y2)o^_3XMMB/xZf0\6W):hc+6Wsf#Ve/b0/Ll=nY
U".;5QLJeD/&*DYS11egaTbk#UfEiSAS74XZ7?y2HZ/AL:d_Py:pYRbEX2.bHhz[7
U"BoPj/Na6coW,N]]Pnm3MJGc]L\$*89ASbOOiYv/M?A9PCy&\Xn,9S[oFT$qs)^u
U"PI23/BJC$mcPT]T'+WA)>].0>eir(S4EH#nRf(4JCIzUSOJaHFxeeQ$X*eG>wI(
U"9'zV\$\//56S-L,HaT7GuOtQ1;2Xii^DAUDmIyA5:JmNO#&.xuH017c=_[d>?;p
U"eGh;mDRdV.3hrSAhU9WS?MliM((r.]$VdN7[wUQ#,>tDcr^X4a-cuFT(dbB?:(?
U"Pd0#Qb+kTR1R];ak,=VdMQvU#r3E,8E7x(_hM9j(NmWYIoL)ygthTH'ji/R)*u$
U"$'8En[8z7Rnf6UVW-;(AJ<R=weYYwwsYag0bV37;pX14-*joDQSPJf4iMPyFy^f
U"2\7_xVTFGuP;SVh;D]e)w<DMJ:iLS7r,l0._h^bIiZX=^Vqfq#8/1eL&[1tM9?:
U"Ua3;Y-8tn)N\o\#55JEY1Ln_pDx)3ZejL:$h9fgMPCtL:+pgHPES?e']2naVsV_
U"MlU8>Ka6q6*-UH^D=8d.)wR1Ifdh=z1J7'T,l9O/Io;[Y&7*4=f5DVe))Kc-SC6
U"aL-JYE0pM?(m3u:56OsF/3i7RbG.180;LT+^nw6<T\^RH7rdp^#*Lfh0-=:M%Nx
U"8udnknsnLTJ_&h\$H<iT5rYFF*fcC[Qn/GwGYTdLf96gr&;o6jRRk_c%MGi?bWX
U"3>).%ZH<XiTq8>O]T%3_kUT<-BWNPUq/0OW<3]JOStPG01nwYyX\p?>gFJ/eu.7
U"RORr&671lS^j:K<Q8*biX>,:[]Xr<v<=DgZGMKsJY.PO0YimJi_Z-^L'KSPh#xT
U"&pS1CK<,9&ZX'&J807sP2XKrJ%Ie<:Q=VQ[usBo<2'PK69[L$k1WU6QIt;tnHjp
U"Hri,0]#*z3=>]l9[qfLfrzPBK;a-*S4hY:gkvaiVjtm5T?,[^rxS:,Bq#b9[(%s
U"?qGw#<;/&uR+?sHhqcqKb4Q1r;hn8*\4E9BfnBSOYD_-BaNjCla_Gs&dEJ8M_WJ
U"N0Fc.Vr]?As(YNW31bFs)(0m=EeB/SU3-7n[GQP0HmJ4s#=Lo7]/Pn<4)8QwOZ-
U"go9D41B?a$^XK%UURdMt&ayOz^bdqR1<D[OnGyvHU76lxq^(\:Hj^()LA(R0*ot
U"RDYak;jq)vcm\r2DV3J?<?M,]gbR<)KOj1$#EZH1&K+5]AaMuYow]:aMD#3&y\6
U"k2ZIfN4+1OprGl5K.v41#^/3gbw27XKa4f]2Xs7Hg/b801LZOoZ6Ga-e13l1a'w
U"HW=KX=<KoaQ^MsdMlQfN>I;y9UZs-?+<Xs[Is]DoSU8O1Ndqe&BlSCO'TuP2odR
U"$SZDy%ZV8EBD8?-dOX.1,H+MQ/n<F\CA:M=e,20b3;9.7nOF>,=iD7L8mil>]81
U"'D6-*Kw,e495N;QG?s#=7xoGK3,cP_HN)IR[QZ&?V[8&H&54nAQ:C4</7PL>QVF
U"23uSjtp^UGP2nfSi%c%^]Cb(-L6ll^8AdX)60Lw:js%?l7Wl(^k0LvVrI-]XwH&
U"8X4-5Fcvk$9B*d.BBn67#goqFgV9+DBsU;R&2ffE>%m>Oy=^OE*j,Zm+_aj]_a9
U"LIlselnq<dE.TnT299S8AqH#fvaC]4cp*E9C/?'Coc,^Tm^+]I3Njn41/rpVsR[
U"PhI(cm^9F8dV2=7<:5Z(EV;K$LYJ]Lt,VP4]X*9OElgl&LI;':CcGf,%-cDgpBG
U"HMZ(&t=vAWNn:YC&ymVdk6ShkoJKO$5h=70&FM[)o%%67%s6P0YC1bB\Mmo;F+f
U"sN6<<jw83-CA*q1EIEO7rvq#V[c6L_c<K[&D_df+&El[$uV3wcZp(*0hESJVl/5
U"'1TC+7]?7(fMH4f0Dy[0DGL$:_?oUV53mhS/r2esB_$a+2/hf%JyMz*=S=((B4:
U"wUm8uTHHF6z<n+8v.^\wxgva<mdXx7D=9[0(B=CpUgeFama6<T37=I<tZ/;\q^/
U"RYb++Cd.qdV\WhdxO[t)MS//&#rh/XP+3M--^M6PEPd^tn(RoWYsXS([>_Uwsvx
U"P>D.s-LHMb*&[vbcA&+R8=Mu-RRw+r(AXcG[#_B-*dWB14=6:5*1x?xn6]E4S[8
U"pMK7o8?AOQNA99?jR&*s*kQrd?yc(D63q&2XFs,)]onVwmETS+VRSb)s3'H5V74
U"6x1k9xHidAo]A0Ht6y0GvQcB%]?m2YFMfn#Io]Q7wqMpm0Wasq,9.)az3_&afvp
U"-imOWEgw.P%5%,fu(Yhcu<;&5pi8)WK$#\u^*%N^i/z6M\)(5jm<RMOn*?xjUcv
U"*6g1eIlsLSPp.d>gVG*rI<uScK9fu,Jwjg#PVSTAxsnT,M>q%qhn&H_Y^%D9joF
U"GvOcR?7SA6C_\K+0MS\oJ1qN+gGGiDlp$rcM^+);Va\og*+OO/$HQ1g:saDpJAr
U"T,#3+<bV]t-s%/YhgldUl9Qg?P(N.Qp%TdLlT-_(sfoJ8NX$NqOnS#*JV/_Qlq>
U"d-Ms1py2^KEW]W18ff_MEbBNucsf;EsE'FhxUYlg>,j3l8MY^cUba\p9P5C.vBE
U"Z5l\)y&$5T];1PMQepREQuH'K'sz2ll(LtIvg]:#P]_z3A/uYFI2JHTORE9R3^-
U"rCgr'iPq40r<e(vcY#WZd3O3m(Tc$Eh)gojvIj%wbql%-IM[;Kt3^J'O)TTRVC[
U"jdoYV+KX)jZ;)72.MfX8D4tS)4XP7xlL/;]I9xa_h+kyI?dH3mc)K7Wnuo^Cs6k
U"h'7hO1Pa,O'Hh8kYhZ>\UiW7uKa%Mcn=%oVWT9;'&A4);rAb;7j'SDd_jj\\2_)
U"yZ*Z;>-%jL-)Vgh82h=g(:x2iBVv9;&/EtdGsWv+Cb/Wax#caE-Y1(IL1,C-u#M
U"03S]o5*c'enIP#NF(8Y=W,7%-*9MmX&e,]KvpQ%g5.J'\GlgmG2pHT,9/M6iyEg
U"R'&c>99kSn9NC6>=8R#3z.i[a9te/=yTJN(q>5l#?\R$*#0eQ)4:_sBgg9*c1FL
U"ZCt>b^_'V-#,*crL-?0-i4^z.ej\lF<^mNRZ7\uq6qZ0\0v7a.2jxzuCa[xiM2w
U"0Yp/w'a?.Ge:bsDv*7ySqcjtM30?P1O:>UHef?:+rr,6bXi):OjH'e1tU8frjoT
U"ZhrfRS4D.L1c])0bp.?a^%KA,u-nK+yXM5IY>:)XI<Ca>.QoAb:tA,eJJHH2^_l
U"iC0\d4e;M;_/J1?5eNO>9hfiTJA-/iT,^X&v;$u\B^n53uCrw:JG]vsj'nv%:RF
U"M'KU:dT_B0/*XmMD&ab7['236$ozTU5gqk:kO0Pr5jxdJ*+&]\q'JFtpnVN3Fj]
U"')&:qOV<C^ZLr[dXd.CFP%Sey)>C*,f97u)Gpg$yb*r^ZDLrqM7?]*Y)A2uuc'+
U"AWd<FCethl=IZ.vu$\tu#(d0^1f+4cmvC)A<Y3UrzO%ETtgM-oqS/HL*?PR'X/-
U"]dY>#WA?*-?q'f(KH4sGoUZhN?[6okqu\'0Cb2['r+kYU[Z$icu1^#E&wYAguE'
U"KFHP3:*I08/W2JU78<Mq8.QPdL,BbxiLZ^5eN0j\qiZW_q-[I*u=.V&7Z3KQdF#
U"6wy&^PwbB%iZw8$;*xbkLp4A'EwtoSoRC#t&;s>ldHXMMZpBTgGdMK>3d97r0gE
U"F0fHiStj?gm5b]I2Zaq:;E)Sr+pG1zXI$_E3?j)[r$<3rR:AwC?'KGLP4O&fJ%v
U"eaV4(VEEkL+f=50I^>+FKHV$'_?mB9P^j$J%bWC&-jhdkq89^Yc9'MN3](i%$u6
U"YC6WWg\#b<JGK,Se17UOgoSjIk3C(aR*&P.1,wNq?cNcIr-#G*&y#lJ08v6Sv,h
U"lX^KijVI+Sc]h%wQZKZue8m9/YNXD3-$4P4FH.8B9Z8Irs3m[ndKS<khZ8FeCN,
U"RE-B\N]DbJ%aCGXZxL_,Ehp&jdD4$N=cH53ZpMt8:%[krmv^Gx#s7$u7JHTL*I8
U"[4-NO;Gtc)PWuGh[&hZ;56&(lZZSobr#*&S-vk4k.E)fJ#&a$fnVzL-0SX^o3N)
U"B8?]aAZ,h1w4Upp:.M$qNch/IDV/crPu4Wx:]D#x#9I;;t;8FU7oA%H8260e/X.
U"o61'.>VSV0b4d0[GL<GF]>>)-4,]W8X:%Xi?AbxI_.N*Cksqq1U._YU,tb4V=e1
U"=3SrO=)Ev:;s0^[G9H^f=n2FxkZoYPFPVh^]jtw#SXctfnaDGdwYz/A(IbTtTEj
U"d0mlvp%5ce4seetDO;RK9vTJ?q'82SPZ*26jPmWD+3Ope/>2[&/xC=WZ\PaJBB2
U"T28^7_Elss)lJWz$3WJFLX4L2[XYpg'\yVa8chsb(LZj5rX+Xq/rt^E=\8d)R6R
U"En1GV?3*s&_>/PoAicQnVgRhwH(1WAMG4Ul<g_IgF\DsjjL5buisg*CMK=l0xg'
U"0X#]dd#b0A7S153lUI3YTkHOc(Q(aM4Ih_bNju*p.*3g(46>^qIB1wX*seFa+,S
U"MOGPK^A1L>Ch5R3CO.QP%lsru6$M0aJWwf]Im1,T$nEQdTOV3+>b;5'nf(.N/):
U"Zu9AuFh#\RmW>)\TMS\6FxkCHSlI8xOfqFBP.uqUtTGoUh&kgv=J*scSe2L$kqE
U"DGX2+#JhV+E-Os5Fh\<9BOv$JOM,v6>m0Lr$cJzO%x[:mVXr.kT7CsyZ>LoR,.^
U"wQXMOarOHuYrBsF#ZnRVo(?t6WOPFP)YL4&<SeeV9^256i^T<&\?G?m0Q8;(>=a
U"I,k$(O1(8jp3,xI0RA+0.42]=[DT7p<huCenDmr6D$gxP=NfdN'^5t4c4p6AbsG
U")lD)]J\gyo$Bgx^uD=4siO.n$1*]4'WHQ[?3*0D8SN[H.R$x?Ru=#\vjS4M/2%p
U">[xZR2<1/#ACwl>^rCQQF:9eFET&m5PDXd9o+EfI1MdF,euI<HamiDQRUvJMrUg
U",C'Q\D$*fv8xPDpQ]OG^;HxDWX72>FkPdR+\;icn]KQiWQPGUxt&s#+fK(noi,a
U"MHpS6RMFPxx#Tr[WKr\Q$$_a9;P+^gql\P?J\/J)*p2w$a6AM20BqoYh_*e%_]u
U"s$gZQ:dk]c8)Zf1IPrhFB6[%,s;?lTfc#3>2-q7-$u.OqvX,j[JWm>Li28;FNlO
U"RX3O,Upw&&SWn\c/(e$$(GY=3R<SPThBsj*=La^qfgrA<fIrV754LSrpJy]ITmd
U"Ms;)r7zrg?OIfA</lms,.1N2[*#RPy*UwUC2>)2D4bNE';\j(i>(-+c%NRZ/?5v
U"_fZwu5?up;S>Z\5D+JurfqPqqjevPPHs849fJRm<I$)7O\y#BAlZ5kE7+9jK\q<
U"2ojlw/'QlTzhFG$BvVN6QX05g6Y).icwBnr+gc3$P5hU-GCCS)03s]5bX)pvA_h
U"lsHC]gz0ao3Ba?7Y:Y+;w3s;7)Evj29dA:]Q0Lu,rRES<-$%2$N[IeYt,5y'(u_
U"Xa\5C^2%nUl/)i$k%77ZiGj6LW1I_uKKCmF7_yeT67a[(/H#?VDSw6k=$s0%'Sr
U";*m0;Jb&r_lZlIPS3([Y#stg(#5+gwb:#k/3J6=/d_Q/tJ#GNuHc$K&UVi3xd9)
U"HpiOv0ARtQgXyu<&rzsKkKg/=GHX0Tq4/HF9;9clKqUe>j*D?RAN,Ay=sfdu,<N
U"Bb0*3Hgq8X#4=kn_yFt.G^,Xr$_M12loF'6$\#A-SXe8Aj4mFO3kVv&_L*(x7Yt
U"7d^]-kij&+O$dUB:0g_UlDuJs<,e&7GoRF\qU%VKX5y0kh$xZ,71Vn^V'<F8<KZ
U"1dQcf)orq('j<OSACMgqbP7sDkkaHxr#YWZyRI7)Gf:U2gfG9f5oZJu;q,$Cj&2
U"r6$_S>Xe%RqGi]SjXJcv3y6,rUaQaNN7mT)YvdDkvgA+CVBZ#JNd^*L7c25^RAj
END SUB
SUB V2
U"06(h\54.IgSau'cO5v.4q1gNc[nrgmMzt'#7dSo_Wl&Cdo8w'uRfw'GZT.*UGk;
U"KE_O(nd6-mybYIrap0SOliK\QlDml8a#<a)XoD7&bUP>;LeUvmaUt[ooTBR*2FI
U"5ERo3WrVvql'=,O8w,vsYNdu/zq&bFrp-vT&s2we'&rx?+O3dHekXE)+5p97M74
U"xLq9Aigw-2u6*EzzM9$$N#DF?a';qfAR;kwT8T^*m6R9SI<D5P)WuYXERb?ov5S
U"vvM/Q73d7(4#V6\C(2a=.L&1WPuIgcCXS-Fw#]b+u'<Zs<Tn/nZj-jd-EF3XQy$
U",NEz_Un2C$1%tiu5y#.]Sa]'vRoXI2AYs)9OMfKMJrfWFNeWzQpSo2*0T-]*lP0
U"b\bFt/x)g1ZCOk&vgpSoG9H#c>4:>9>SFx$A'kpvbvWvFnY0=#;T-KvR]goNng\
U"U<ux76h%?H/KtXa\(+88Cz]3*%gA(;VrJLR]A&gi7LOL-=CwVB1zCBTPWuW;+Rs
U"hr#KU2(?4U<mz:+O6S+5KNwe0TJ)2RxB]li8$(f7wQRY:ca3s_SVqmv6;euxju1
U"9R-n0])e*DH/3$:Xk*JMCQ5M[$0cT:BHC_RgU6'wX8K6>3Dke1A?oQ(jU$u)\r6
U"4Sh[P67*me+-r%d_;4lAt\%e).HyD1,#ZxOQ*8]J_vEI.-:N8$e(?*NW>sdabM(
U"4hYyx3w9rA\lCPK?tt=c/,7vqPtJ%Gln#3qY#T7Gd24o5A0,WdSPHrYSj#kZT90
U"?l?St;<h0'$FCa4)qZ59Tr%TqP]djgI5m\+Sd29G\En*%Gobs$01pn^msKBYg>F
U"1HoXSuU?=<No1Pn?aBSMA[tu&%Vpv]3.Y=OWd[[x932^g19h,YX$f7d5GLs=F==
U"v\.9f^TtmZbUSe#jpVuxhO2rUpm<-T#dd;#tMT+e3gv)CzwE2A1gH6k%[-nDVed
U"Q<IQ99Q-*8uqmBP/JiB/X^liGNpD3SKDiw&0SRNt:LhRRefMf]:?<G3Zt(pMQWv
U"uj9GJ^AXm(#BnQ*M?#w9GosNi8dAP1\T/p&5UFyfo01&vg)I1b$CPiUEYdc:A#M
U"+1cXocW4;9O[&hdY?.fGL1ffUy_^VZ4f,7cMbuY&6L:kS*i0]6+RTu/au6=YaPm
U"ucG,iXNc+?.lK^pk]QhT-KQ=<hCD'-LKp5c$7sPEU;Cy3mQjIs?-J*Uaa&NJTsy
U"0bMPgar;^<]=6<RO-C0eZ7YPs<PUPbJ$WdkL]sPjb5[14IL1Lbse/6fd9x$nWhS
U"7Qp[MDlE[>R_^Et*vB9P9ch6>'Ps-xEvs46NY)+RH8MjJPz2gV;wqQ//biYtaGY
U"TjC7EG*VW>[fkK>mo1v%kvYA5XjDEJuqApFH[UKb8F6PL;F;>GVENoYv69mo]-l
U"LF^;37ku+JTM#(1w>(El6\47VRB4vnv(t8IGrgvNQd&G6O0#/o,q[ZKl1$Mu0+(
U"Wk$0<hXrF3sHCSi_Eg5of__+[a9#%li/LJM(_1kW7Dyl$+*ikrdhGS7$S%h%XP=
U"\bhU^mmV*aOeL4RD[Y2P>tQ$*Er;Ac1-%sPNflOz$U.YFkU9E'q$DDM\L?rYUT0
U"Pk;8U/dOd?Vx?%==Z,WnPtEIb\M[T(uWpA%Mf+ovgYa;vVd((1P56\a(AdS1)pf
U"1WJwp]uN)go27>k3S+d1:h)ViZ#3Y9mRs7^354V>J3Y+1R1KZQZaOx7NsS+1VAd
U"_k(^NL<z3B3KhFWTu_EkeE1Nk$AbDQXV[gm2&tx1V1Yz<lVE9U92_\AcAg6?E-C
U"D>)[f.3wE[.87_AGiW&v5-cSY_3g)M&BS&JMLBssuN\N[:hp,]LOTv;iT>=[th2
U"v/RhmKmmbvL9P>JGD,JZuli1hch+T#vwH0E8;N6)OU'Oh>QukW.1L:(],=NR9%V
U"cogdpCBzh[Kj#B<F4'An2\?^gaO0NJ(wadd+?B$R%1mAkZ4f6R#(SkQtKDc9R#g
U"KRGXi+cgpdv[O)]qEV+ZZ4Y;Rwfi=%fQHUFDv'l;&I]fhDh:i+xv$b6CssHP980
U"P^8r9N01k3<FS.F_p*=l>%]p#\9*7PJW<hU#?*FDG[E8Ij.]8DMEuUhy.F8]gtw
U"Css-EL.kklgQ</JnsRKSHT?v6zHt+(kR+.g]Rc4b8-mk:cpfJL<5*6nS32UUN;4
U"H#WK_AnBt&Mk_q1.6nHh%4U^B#D]TG[0YnB%QpF#l.)1hvJIqfFb_:ClwhTov%L
U"Q,tCjq<B0Tc>q:c?>u2zje];=5A6y<9:ArkKGzx;qC;-L?hbRmnCVXfj2ex$mt9
U"km0'e9bReOYi=iPoST2]9YW2dq)FdESE^G'X486&QMFvFz]5r#*\H1rT-H,KN2d
U"KkDwU<&wtf'lxB,H.6ZMFUr0C/)c[<R;QrLL(6S#SM=tA?V=p[$3<6]D-u:I<\W
U"sZIw4E1).TNjVJ]RPve(A5;Nu:#l7:(09:UM[WUOIN-;AAaY^M0&3O9&A,=GMc%
U"G7QY6Bo1'Krhb+A/EJY;Ih)[0#CDe^LCKq*do/7=X%It.88Y-*MvL\c+03KWm=N
U"Kc<P5NaKE;'Eyf2uqO.cN$\#;>QT-P[D?a4gNRHk.jWaVN_DVkrDcHa8U*tZcW#
U"EYKlQ4f;^[3=bbHd6dxtx<DjQA#=7T8shb;UZa=vF?8at(W\Dxi0UMj0<=XijM-
U"3Mt1][(k<_#01%Ed6K*-\d,=MHR4[bIVDo<(6PvHdJ;K^1M+LW)):Rek2QB\;,h
U"$WuM]H:IJkEDISJQD&k^J\r24DOmwT_+^/h^]mGYD/XS2<:F4]j),w4LPdD3oVS
U"rwa^W]j7pxlWWlHN]l0+U2rgUFYDjPnVe9;_C2qLaAEOD,hie555AVD1rQY93be
U"Ux[nB-/o=Hu%/9_Nl$ZM1Vbx<UaNj=h_5ZX6PkM*33r[vCsNg_ah3\S6g<R(i+C
U"EiVM.)%6ZomfA.KM&uc.'GB;MU>r6-lF..zQ6u&4MO.foT[OK*DXUp7#vF+akuW
U"#Hgk,;13uU84Ab6Bb3]B<(<d/x5JNf-J[JT9:1DG(SS/d\'9S0e)ADeOjaY,=Fv
U"Mc,4eYj??-7J[K,EsFU%5-oW>+QI;:=OWqkK$FqP-+A9I?VsG\]d0UMBu_0&80]
U"j:<lWY1dt0*ZFE^7[l+0>kp1?X+=QWk[z[N,k.f6InM:Jh3\Xpj9[gr^u?LMj\;
U"mY\'p6]OqHb:6tPb\Ydd=GwU*>Ndxsm#)t2MyDZCL/tXor_1ldq1+/6ICc2trCC
U"]XB_Al*nYS%PW)/bqH&Ew?^gvoOpq6:-lNfy2E_;HXu;<-,&ZcBdiQ(WeOkOW-k
U"TGbZ6f>XAd<$ZZkqU,;A#p*:TnrP1+w/dI)gk?8Co2^cMMDVmVqaQLV_RDj'8/#
U"jjc)s#igy.er9(r?l+F=Kd;x3R[%G1$$>(s%T8g_JCb$989PLfT=CoCni.n^w2e
U"I$p%3cLDtk4:rf^MAfA8x)>/0k3F9m-Z,W%9bW+vf2rAM<1Jr?2e18:-X1Y(?3B
U"eWi0mrw+3(0Y747raipdH-kUp/U4&k?_[L:7#%/%_1t_OA*kzQdQh^cf*2YY:Io
U"D98Dio<ERLea_HRHH#01AQ^Ly<_[Ku&\l,uBjiT\(Yj[Zfc2(7B+?bNv3TAT,H_
U"PG'*8$0XxugV>%ada71DUEwqdy+kd.b,\W$X4iH03GnyF,PyL)shUfo-2XTsz9H
U"qID>?Gj:Ui\ogo3otCOdvaadjnYFbP;P4rP]4_R=;pvR%LcY_3tHK>MhMC0OI1b
U"':6IsD2B5/LQB'j/3)1<xO&/dcc_(HWv9mYRI1/^kGkc;rfpQV6M>MY33]Q%]:]
U"LGp^1R\6,C0;%tnK$/0G]*]>:b5\/'Jsph5AIed[:KneOaou)29T3=Fu%./VOtw
U"Qe#7><rOb*X5UHNjq(;EW$?xionJ:\UNY)t>.r7u?jj/m1(Ngmy:GbVdSp,*r3*
U"LsdM]Iez>>/DM5\H>WU3G_CLTqlaqSuTIZ5BNP=E(w>r,gQe?e/HwrVG&jIUI;e
U"aDFubRDX^[1$2(Qn7IPV-S$&O>cUQ_Q^HJMEbgS]Z,iN:jO2S1]]*_ORV?ib.Js
U")s[TfX'V+ad_9q*^MJh&lIdbKu)>K&jgdjRnq:1SZXZ2i_P8gF4#b7;9tG.eU%-
U"'?mwf_Q$L;ioro*]leM#_]zHb0BvF[9Ju<UYmapKtlmJQssJ8?/XzN[%*G3ltyr
U"^<bb]3_nCS^_821]jU5'>Te>$^t-_I7pVwQ.tBLA.1fWWwi3w9lf68lx;.JbcEC
U"Y08Abj,BH$X_j9HA5Bh1tK6W.r>9I(PT.y?S#8&+\/5'[_3*3?RLdJq.0V=uCp$
U"+*lLmK9\JWICsb.vAY7FJhbwMNNXg/1;\:MT+Kb]fBbyji8\$::j'.1.lwq8,kP
U"_XE]u7JY;*EJEN0)VXWN/#$<PLqi=]bkXk*qGIu>P$3u%svJ^TV4H+KBU$8fybn
U"N);Jkqu,r[h7E\Hfbo,FAFbh^WM<>#Wm'Wz*lfCvqS:tY+-w,pQ>o^j/*d<d+HH
U"(v2%BQp9hB001pbcBZ&_Sv4:;CwQm;Ab/XHe*SAAHn8K>kU(g;0\V8rDB4v,Ts1
U"MBzOZo2nYDzHDt.a]*/uop<:?Jd\49aa;0s7xTQqwzXu7X-kYAfb*nG)Hd+Tpc%
U"p20xj^;9)I9mRb1gRuYIBc0W38;Hghzi1d^/$#0odjJff.'[2njq-m-pWHq3lec
U"lzGkk=5vlm#+>V2*eN)0=>]OG1zv0HuYAYc^A8&,^..<Kp+D_B4dGr\UCtKC#UM
U"OOiGM%$_$]A[ic-oYCfJfqM]/Rq',ibDQ['0DjJmVNkgq0H?IUu.Q7T51PPR?w.
U".yDOgfiOu;u_?\U6.39<^j2MG1.)5wjk8x*#x3&WdMZJ=>kk<x+,NR&vonl<:]m
U"O9X(dt:GO.%*SB:OI=]UDY*4A*MADPGHuN=?ee[gk(.+kJ*'L']8Nw,7Bm_,lJ1
U"9tYf_?a%&*SYT1GL8[CW#Vpo)su6obZtPKao$AT4oERu(,/wktJD>BgyL]L/$-%
U"]i*YCe)w3aOL81#xskXl(2qYQMDSY3xq?Nb1pVGg%t-P>jks>aqcH:&X>bCA6ZT
U"MH$GU,iBCT[4T'Keo>.a=]AEdT28_*Vmz0#m=MfGbh8-\-f[qT/LLJVWV)24h(b
U"=5L-'\>a[/UTSdL4#M..A+i%(SJkvGDF$IUMVaD3C$#C*lMN2fAegR3,Ju*^mY.
U"z)reI]pY0r3WwB7*;kz)'?FdT.G[WYVg:Ula'a;2>'hphTwLTSzX#o$tZV%s<w+
U"fsoFvRDTZ+>t>n_DYCt/f\8X/sex>OKGTsC[VQvjGH*W\._RfY?'x,up%&'9%%9
U"%'%I-%8nRyF8^9WO1\%%%[=%&%1%%%%%%%%%&%%E%%%%%%%%%vgxz%gkzs%Sgfx
U"%up*+%%%%%%&%&%%_%%%'[\%%%%%
END SUB
V2
CLOSE:IF S=68AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of QBSUBFUN.ZIP ends here. Last page. TCHK:68
<PAGEEND:"Useful.Subs.File">

<PAGESTART:"Compiler.File">
Commercial Compilers 
====================
Microsoft QuickBasic 4.5
======================== 
QuickBasic is the commercial version of the QBasic interpreter 
that comes with DOS 5.0 and upwards. Unlike QBasic, QuickBasic 
can compile executable stand-alone programs.Currently unsupport-
ed by MicroSoft, copys of this product retail at about $120(US) 
and can occasionally be found for much less. While QuickBasic 
4.5 is the 'De Facto' industry standard, it's position is fast 
eroding to PowerBasic and the continued development of their 
outstanding product.

http://www.software.net/PKIN249836/prod.htm -> Software.net
Price: U.S. $126.71 excluding any applicable sales tax

http://www.provantage.com/PR_02653.htm -> ProVantage
Price: U.S. $119.00 excluding any applicable sales tax

http://www.softonline.com/p/pv033408.htm#Q -> Software Online
Price: Canadian $169.00 excluding any applicable sales tax

PowerBASIC 3.2
==============
  Includes built-in capabilities for TSR programming, a built
in assembler, ability to generate 8086, 80286, or 80386 specif-
ic code, pointers. The *only* BASIC compiler to offer optional 
parameters in BASIC SUBs and FUNCTIONs, C/Pascal style vari-
able types including "bytes", "unsigned integers/longs/quads",
structures (TYPES) and unions, and built-in statements for 
array sorting and searching. 
Retail Price $149(US) 
For more Imformation:
See "PowerBASIC's Home on the Net"
http://www.powerbasic.com/
Also try out their Demo Version PowerBasic3.0c Below:

Shareware\Demos\Freeware Compiliers
===================================
  It should be noted that none of the available shareware com-
pilers are 100% QBASIC compatible. But you find that some re-
quire only minor modifications, and in return have added some 
nice features, expanding upon the interpreter provided by MSDOS.
DOS\Windows...
==============

ASIC 5.0
========
  A well known and often cited shareware compiler, ASIC takes 
a fair shot at QBasic, However falls short in many ways. A good 
compiler for the price, I would strongly recommend ASIC for be-
ginners and those who don't want to spend the money on a com-
mercial compiler. While it allows the linking of external rou-
tines written in ASIC, It's biggest draw back is in the allowed
syntax. No Case Statement, Do..Loop, or user defined types, 
Asic can be quite a challenge for any larger program. 
http://members.gnn.com/dslayer/asic50.zip 

PowerBasic(trypb32)
==================
  A demonstration version of PowerBasic 3.2. It is Capable of 
Generating TSR's in 5 lines of source, real mode memory for 
dynamic strings, and in-line assembler code, Unsigned byte/
word/dword variables,and much more. It also is 95% compati-
bility with QB in syntax.This Evaluation version of the IDE 
compiler supports all language features buts restricts LOAD 
and INCLUDE of source files. 
For more Imformation:
See "PowerBASIC's Home on the Net"
http://www.powerbasic.com/

PBasic 1.0
==========
  A shareware\crippleware beta version of PowerBasic's new QB 
"Compatible" compiler. A new product, PBasic in it's shareware 
form has some pro's and cons. In it's favor PBasic offers some 
several commands not found in QBasic. In the con's department, 
the IDE is terrible. In addition to the notable lack of mouse
support, The "edit" menu has been stubbed off, removing cut 
and paste options.The implied compatibility is missing when 
dealing with QB45 programs(3 out of 10 worked for me). How-
ever, it should be mentioned that upon registration of this 
shareware, User will receive a disk with the IDE, command line
compiler, examples and more. 
 
For more Imformation:
See "PowerBASIC's Home on the Net"
http://www.powerbasic.com/

BasicBasic
==========
A shareware product BasicBasic, produces both windows and DOS
code. However, as with most other shareware compiliers is not
100% QBasic compatible.Most notable of it's short comings is a
lack Select Case, Block If and offering a buggy Do..LOOP. Re-
quiring a large runtime library, and BasicBasic isn't known for
it's speed.
ftp://ftp.omen.com.au/pub/files_3/basic/bb14.arj 

Liberty Basic 1.3
=================
Is a no-nonsense BASIC programming language, upgraded to Win-
dows. You can write a real Windows program in just a few lines
of code! Advanced programmers can make Windows API calls and 
use third party DLLs. Liberty Basic produces real GUI programs
(not text mode applications) using FreeForm, the included vis-
ual programming tool. Integrated editor and debugger. Sample 
programs included.
Price is $35(US) Add $10(US) for a printed manual.
For more infomation:
See the "Liberty Basic Home Page"
http://world.std.com/~carlg/basic.html

MRk17E3
========
The lastest release of Rowan Crowe's Moonrock compiler(MoonRock 
.17) and Ian Musgrave's Medit3 IDE zipped together for your con-
venience. It should be noted this not an upgrade, but a new re-
lease. 
MoonRock 0.17 is a Public Domain compiler that produces quick 
code, but is a language is somewhat different then QBasic. 
MoonRock produces assembly output, which is then assembled with
an assembler such as MASM, TASM, A86, or ArrowSoft assembler
(the last one is supplied with the archive, as is a MoonRock 
linker).It can produce COM or EXE files depending on whether 
you have LINK.EXE available.This version MRk17E3, includes the 
an updated version of MEDIT(version 3), A simple IDE created 
by Ian Musgrave. Its worth a good look.
Continuing development by the
  author - Rowan Crowe at fidonet 3:635/727
           internet :rowan@jelly.freeway.DIALix.oz.au

Medit Ver 3.0
=============
Ian Musgrave's simple IDE for MoonRock17. 
Note : If you retrieved MRock17E. you can simply replace Medit2 
with this version. Medit3 addresses memory problems incurred 
during compiling with MoonRock 0.17.

MRSRC017
========
This is actually the source code to MoonRock .16B. Not some-
thing I can't do much with, but may be of interest to all of
you who harbor a desire to construct your own Compiler.   

BASM286
=======
The BASIC to 286 Assembly Compiler Written entirely in Power-
BASIC v3.0 BASM286 converts a BASIC-like language to pure 
MASM and TASM assembly language source code.  Creates stand 
alone .COM or .EXE's or use the code to optimize routines in
other languages.  With large DOC file, 75 demos with generated
.ASM, EXE and COM files for you to learn from.

Macintosh...
============

Chipmunk Basic
==============
is an old fashioned Basic interpreter which runs on all Macs
and which is also accelerated for PowerMacs. Features support-
ed include AppleScript, Drag&amp;Drop, graphics, sprites, sound, 
speech and OOP (object oriented programming). Runs on systems
from 6.0.7 thru MacOS 7.5.3, Mac 512K thru the latest PowerPC
Powerbooks. Chipmunk Basic is freeware. 
For more Infomation: 
See "Chipmunk Basic Home Page"
http://www.nicholson.com/rhn/basic/

Future Basic
============
FutureBASIC is a BASIC interactive compiler for Macintosh sys-
tem 6.05 or greater with over 1mb of ram and 2mb of disk space. 
FB works on all macs from MAC+ to 9500/132 PPC. It is avail-
able from STAZ Software, Inc. in Diamondhead, MS.
===============================================================
<PAGEEND:"Compiler.File">

<PAGESTART:"256.Colors.File2">
-----------------------------------------------------------------------------
Programming material (c) Copyright 1995-96 Robert J. Manning, South Bay 
Computer Assistance (where applicable). Last updated 11-1-1996. 
-----------------------------------------------------------------------------
                       Palettes in QBasic/QuickBasic

     Programming ideas and examples, brought to you by South Bay Computer    
                                Assistance
-----------------------------------------------------------------------------

                 Palette Color Creation in QBasic/QuickBasic

-----------------------------------------------------------------------------

So, you have a nice graphics program that you'd like to jazz up with some neat
colors, and are real tired of the plain jane 16 color VGA. QB (either the
interpreter or compiler) allows you to use the standard 320x200x256 color VGA
screen, where you can get access to 256 colors without any add-on libraries,
or resorting to a different language/compiler.

Here's an idea for a 256-color palette generator. We'll create an array, then
proceed to load the array with color values. This array can then be used with
the 'PALETTE USING' statement, to set a whole new 256 color palette. The math
involved in creating the right numbers was most confusing to me when I first
played with this. It isn't straightforward, but it's doable.

You've probably read that little description in the help file in QuickBasic,
telling you all about how the math works for the palette colors, but might not
be getting them to work - or maybe you've given up. Don't give up! Those help
examples often tell you all about what's needed, but give you no idea of how
to implement them. What follows is one of my ideas.

Before we start though, a word on the formula that QB uses for color values,
and palettes in general. Their formula for calculating color values is:

(Color number) = (65536 * blue) + (256 * green) + (red).

At first glance, this looks complicated. Well, what they're not explaining to
you, is how the color system on a computer works in the first place. To make a
long and boring story short, there are three basic colors we get to play with,
and these three colors mixed together determine all the rest we see. Those
colors are red, green, and blue (or, RGB for those who like abbreviations).
This is called the 'Additive' color system (for you Art majors). All that
means is that hues add together to form the end color, and therefore we need
to specify the mixture of the three primary 'Additive' colors to generate one
single color on the computer.

The Additive color system is somewhat different from the Subtractive color
system that you may be familiar with. The subtractive system is that used by
artists and painters, when they mix oil paint colors. The point is that the
mixtures between the two are not the same. Mix red and green in the
subtractive system, and you'll get brown. Mix red and green in the additive
system, and you'll get yellow! The color mixing is reversed between the two.
Just to avoid confusion between the two, here is a short color list for the
primary and secondary colors for each system:

   Additive System
      Primary Color:      Mixture (Secondary Colors):
         Red              Red + Green = Yellow
         Green            Green + Blue = Cyan
         Blue             Blue + Red = Magenta

   Subtractive System
      Primary Color:      Mixture (Secondary Colors):
         Yellow           Yellow + Cyan = Green
         Cyan             Cyan + Magenta = Blue
         Magenta          Magenta + Yellow = Red

So, this gives us a starting point when we're deciding what colors to mix in
our new palette. Now that we have an idea of what QB is asking for in their
color formula, we can consider the colors to specify - but how to specify the
intensity? Well, that's where the 'blue, green, and red' in their formula come
in. Each of the colors has to have a brightness level, or intensity. We're
allowed to choose a number from 0 to 63 (total of 64 levels). Zero is the
lowest (ie, no color) and 63 is the highest (ie, brightest intensity). So, in
their formula, a red value of 63 would indicate the brightest red intensity.
Now we can see how many colors can be formed with just these three primary
colors to play with: 64 * 64 * 64 = 262,144 possible colors! 

Notice though, that you just can't simply choose a number between 0 and
262,144 - there is a formula that must be used. In any case, all we need to
supply is an intensity level for each of the red, green, and blue primary
colors, and do so within their formula. The resultant value really isn't of
concern to us - all we need to do is store it somewhere, and later assign the
whole set of 256 colors to the palette. With this in mind, here is the way to
go about it.

First, at the beginning of your program, declare an array like this: 

DIM SHARED col(256) AS LONG 

What this line does is create a global array named 'col()', with 256 'spaces'
for long integers. You'll need long integers, as this is required for
QuickBasic's method. Other languages don't necessarily use this method. Now,
to start out let's create a palette with some set colors, just to see what's
going on. The math involved is:

(Color number) = (65536 * blue) + (256 * green) + (red), where

Color Number is one of the 256 array elements, and 'blue', 'green', and 'red'
are intensity values.

First, let's make an initial color set. We'll start with red colors. We'll
make this set of red colors fade from dark red to bright red, then back to
dark again. Here's the loop:

'red colors:
 FOR d = 27 TO 63 STEP 2    'fade from dark to light
   col(cnt) = d             'assign value of 'd' to the array element 'cnt'
   cnt = cnt + 1            'increment 'cnt', a counter
 NEXT d
 FOR d = 63 TO 27 STEP -2   'repeat the loop, going back from light to dark
   col(cnt) = d
   cnt = cnt + 1
 NEXT d

There are two loops here, one for the fade from dark to light, the other for
light to dark. We're using the loop index variable, d, for our 'color' value.
Based on the QB formula for colors, a red color is created with a plain
integer value between zero and 63. So, all we're doing here is starting around
half-way up the color intensity scale, looping to the highest intensity, then
back down.

The color value in d starts at 27, and is assigned to element 0 of the array
col(). The counter, 'cnt', is incremented by one, and the loop repeats until
d reaches 63. Note that we do not reset the value of 'cnt', as we're keeping
track of what array element we're accessing with this variable. So, our fade
from dark to light red takes 18 steps, and so does the fade from light to
dark.

So, how does the value 'd' indicate red? Well, remember that QB's colors are
made from the sum of three terms:

(Color number) = (65536 * blue) + (256 * green) + (red).

Since the sum we're creating doesn't include (65536 * blue) and (256 * green),
what's left is red. In other words, QB wants to know the intensities of each
color, and if the values fall between 0 and 63, then it must be red. If the
maximum intensity of green were added, we'd multiply 256 * 63 and add this
to red. Ditto for blue. 

Mathematically, consider the 'color number' the result of a sum, and this sum
always contains (65536 * blue) + (256 * green) + (red). Well, if blue is zero,
then the product of 65536 * 0 = 0. If green is zero, 256 * 0 = 0. Adding some
extra code to this loop, so we can see what's going on with those 'unseen'
zero color values: 

 b = 0
 g = 0
 FOR d = 27 TO 63 STEP 2
   col(cnt) = (65536 * b) + (256 * g) + d
   cnt = cnt + 1
 NEXT d

So, these numbers in the formula are there, and by default they're zero. We'll
see how they come into play in the rest of the code. 

Now let's take a look at the entire 256 color palette. We'll take seven basic
colors and fade them out into 256. Note: the red & blue color sets are both 2
wider than the rest.

 cnt = 0
'red colors (you've seen this one)
 FOR d = 27 TO 63 STEP 2
   col(cnt) = d
   cnt = cnt + 1
 NEXT d
 FOR d = 63 TO 27 STEP -2
   col(cnt) = d
   cnt = cnt + 1
 NEXT d

'blue colors:
 FOR d = 27 TO 63 STEP 2
   col(cnt) = 65536 * d
   cnt = cnt + 1
 NEXT d
 FOR d = 63 TO 27 STEP -2
   col(cnt) = 65536 * d
   cnt = cnt + 1
 NEXT d

'green colors:
 FOR d = 29 TO 63 STEP 2
   col(cnt) = 256 * d
   cnt = cnt + 1
 NEXT d
 FOR d = 63 TO 29 STEP -2
   col(cnt) = 256 * d
   cnt = cnt + 1
 NEXT d

'purple colors (add blue to red to get purple):
 FOR d = 29 TO 63 STEP 2
   col(cnt) = (65536 * d) + (d)
   cnt = cnt + 1
 NEXT d
 FOR d = 63 TO 29 STEP -2
   col(cnt) = (65536 * d) + (d)
   cnt = cnt + 1
 NEXT d

'yellow colors (add green to red to get yellow):
 FOR d = 29 TO 63 STEP 2
   col(cnt) = (256 * d) + (d)
   cnt = cnt + 1
 NEXT d
 FOR d = 63 TO 29 STEP -2
   col(cnt) = (256 * d) + (d)
   cnt = cnt + 1
 NEXT d

'light blue colors (add blue to green for cyan):
 FOR d = 29 TO 63 STEP 2
   col(cnt) = (65536 * d) + (256 * d)
   cnt = cnt + 1
 NEXT d
 FOR d = 63 TO 29 STEP -2
   col(cnt) = (65536 * d) + (256 * d)
   cnt = cnt + 1
 NEXT d

'gray colors (use all three for gray/white):
 FOR d = 29 TO 63 STEP 2
   col(cnt) = (65536 * d) + (256 * d) + d
   cnt = cnt + 1
 NEXT d
 FOR d = 63 TO 29 STEP -2
   col(cnt) = (65536 * d) + (256 * d) + d
   cnt = cnt + 1
 NEXT d

This code could have been written more compactly, but it's done this way to
more easily demonstrate what's going on, instead of demonstrating proper
source code compression. At this point, the array 'col()' is now filled with
colors. To actually make use of these colors, we need to change to SCREEN 13
and change the palette with the PALETTE USING statement:

SCREEN 13
PALETTE USING col

These commands take a couple seconds, so don't be alarmed if your computer
doesn't do anything immediately. After you've set the palette, draw some lines
and access each of the colors.

You'll notice something funny right away though - the background of the screen
is no longer black. That's because the first element in the 'col()' array is
used as a background, and this color is a dark red. So, if you want a black
background, you'll have to do one more thing: either set the first element of
col() to zero before issuing the PALETTE USING statement, or change the first
color of the palette using the single-color form of the palette command. So,
re-writing our screen initializing code: 

SCREEN 13
col(0)=0
PALETTE USING col

or

SCREEN 13
PALETTE USING col
PALETTE (0,0)

Finally, here's an example of what all this work looks like: 

Note in this example, I did not reset the first element of the col() array to
zero. Vertical lines are plotted across the screen, indexing each color with a
loop like this:

counter% = 0
counter2% = 0
DO
  FOR x = 0 TO 320
    counter% = counter% + 1
    LINE (x, 0)-(x, 200), (counter% + counter2%)
    IF counter% > 255 THEN counter% = 0
    IF INKEY$ <> "" THEN EXIT SUB
  NEXT x
  counter% = 0
  counter2% = counter2% + 1
  IF counter2% > 255 THEN counter2% = 0
LOOP UNTIL INKEY$ <> ""

Now that you have seen how to load an array with color values, using the QB
color formula, you can experiment with making different colors. My favorite
method is to generate random values for the red, green, and blue intensities,
and increment them up or down in intensity while loading the array. One could
make a set palette, and selectively use the colors for whatever your programs'
needs are. In any case, you're no longer stuck with the basic 16 colors, or
the generic VGA palette.
- make your own! 

Just for the sake of completeness, let's re-write this code in a more compact
form, and without the use of the array. We'll also set SCREEN 13: 

SCREEN 13
cnt = 0
'red & blue:
FOR i = 1 TO 2
 FOR d = 27 TO 63 STEP 2
   IF i = 1 THEN
        PALETTE cnt, d
   ELSE
        PALETTE cnt, 65536 * d
   END IF
   cnt = cnt + 1
 NEXT d
 FOR d = 63 TO 27 STEP -2
   IF i = 1 THEN
        PALETTE cnt, d
   ELSE
        PALETTE cnt, 65536 * d
   END IF
   cnt = cnt + 1
 NEXT d
NEXT i

'the rest:
FOR i = 1 TO 5
 FOR d = 29 TO 63 STEP 2
   SELECT CASE i
     CASE 1
       PALETTE cnt, 256 * d
     CASE 2
       PALETTE cnt, ((65536 * d) + d)
     CASE 3
       PALETTE cnt, ((256 * d) + d)
     CASE 4
       PALETTE cnt, (65536 * d) + (256 * d)
     CASE 5
       PALETTE cnt, ((65536 * d) + (256 * d) + d)
   END SELECT
   cnt = cnt + 1
 NEXT d
 FOR d = 63 TO 29 STEP -2
   SELECT CASE i
     CASE 1
       PALETTE cnt, 256 * d
     CASE 2
       PALETTE cnt, ((65536 * d) + d)
     CASE 3
       PALETTE cnt, ((256 * d) + d)
     CASE 4
       PALETTE cnt, (65536 * d) + (256 * d)
     CASE 5
       PALETTE cnt, (65536 * d) + (256 * d) + d
   END SELECT
   cnt = cnt + 1
 NEXT d
NEXT i

'set the first color to zero for a black background:
PALETTE 0, 0

'draw some lines to test the palette:
FOR i = 0 TO 255
    LINE (i, 0)-(i, 50), i
NEXT i

If you have any questions about this example, feel free to send it by email
and I'll do my best to answer you. 

Questions? Just write! 

Your suggestions for addition to this page are welcome!

Robert Manning
South Bay Computer Assistance
RobertM782@AOL.COM
76022.1630@CompuServe.COM
http://members.aol.com/robertm782/public/sbcapage.htm
<PAGEEND:"256.Colors.File2">

<PAGESTART:"SVGA.Pages.File1">
'>>> Page 1 of 1.ZIP begins here. TYPE:BINAA TLEN:89424
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"1.ZIP",4^6:Z&=89424:?STRING$(50,177);
U"%up()%9%'%.-%Ek#cETF6;8k27%%AG%%%/%%%%wj%firj%SVxyW.)VBf\[a8S6z
U"bNTaof<]eRkwYgH]8V4how)%eAvQ+\JRRmm=hCIG%7P(t?N*tD\m5Yk7[NRz[:(
U"K27enN\sPuFufHZubpqtVTZ(A&%hW\yw?9Fl1ZqIqz;0Dq%kg4BU7(7pPZv929g
U"Gcq.wj-lNU?t^YvYah8\K6^Gwr-cYIcMTZnNbMp8wf$H+f:EA+q/4&b&q+Xe2'C
U"f9._+ZgBC1U(W^yef8fpL:n&v8Ats<lRnbA-=HDuN_#<9nS4WCQaG51LGG/zb$m
U"/z[TqD/\SxKIJ*Csn8PsCi':b#t+%2=lM/kU^Vo&L*+knBxL-:Y47CE2_X1x2X\
U"3oUSd)aQOnJt</%&W4./cWEj3ore.9A_q<Vg#^JcVH1v-a)\l0wQ5,8v/jLF)=U
U"7k_BPxSs/ksN(^ncSGqF^O>AFL[?ARrQmiJF<AZaIBMvMm.]TRnQCBCJ2fY'\SH
U"n9<g<4$OXG:72d)[>32GFm5Pv;U,oXJVFHwI2H]Nd,Kem8koM#S7^)2M7O9XzF+
U"^mTL*dfhKEJyd;oZsbSjv9rRF8.-JrMTR,+3yLPs)W2k8R-op47Whl*gwUdGjT7
U"PAseA[iys$N;x'39A9H:js&F%.zl;o7SY7h&H0Yoqep-2?E.RZ6M01<iix]d>A*
U"\eq$JWn/yj9Ss:GD)HN_>C>P'+3>(fQfJmVH.V&]Bw81hZ8kz.YZIj?Z)b*oq83
U"#E%j8quao)3J/M9X1pwVcQ&%1+XxgP)O7,4:*2G-;AKAnb&^rhnm[Jax--hn/Cw
U"3sAH<4k?3W7Xp;L^<x\V7.BrFHExvwU9%%hcYN-(O^[+n$0Is7*JYVK#'[Y_n[a
U"p5B&ZMAJr.-<4^p'N#D#/O>'7x5;i/aqBJqD4bM<:l4eIp=lS&t8FeggOKC9XbZ
U"IxzQdZGwk%a,s>?=z'&LPP$<64*>YJaqmk>FlP<2,'A]RhCU*]/#?x96B*T6s/^
U"<]Kpm[cpVdv/4=ZZY9k:gy/;YSjIogj2L#>4pl>*T4QP\cvtrr*PsXju4jgHtA_
U"kKc//CT[mMcd6^0K_8/$1%#^gMx]eRZO(]^W'=7Cq]S(2(;/G&%l4c2?KK_Hc%Q
U"R&VU?g-%lw]7SMf[:]xh)K1=kn-,$[kX/MYcQkRvSVS+5qrAH$_GsTc$JtQ'-nK
U"c5uL'oJ^soHZFd<UZv$W+<CA8XeFoJbo/5)QyQ$.#lcp*$rqZwunLQvUx*sme<>
U"'^XJyNve(b$=D3L?6em&VDunHattXKivGcos*KTe5XpJlHA8FMq#MrwunL#H_>w
U"F*cDx,*.p9bNr7p_V=ZE%3]7vbv)l\CVJ+<_?;LNt%Ln[q7.eN9A&q1A9*u$SA(
U"w1VA'^/zeZ)K5w&'w]EWZk\0d2$,J?^n&W7s[/wPQ[*>L,xG$OE3AO&G6O8X9'7
U"+%VjSt^9ixf4IVL<Gv)Q?_Rz/ZG3/0/7PF'1MpO;V*tZg$Sc2^D\7LhYmh9a>W4
U"]Z*64dQT]9[dIgj^7*k9,$O+6AX18ZSrYQfm#)\RE;8WXz^6=5?NBlrba,.k;su
U"%'LTT$KYf%)B)bjj[<1PZiZcygMtcfQpI4QovKCKNA'pe9B%A))fvIAA*S:3js]
U"YwLUa1T$^+F:\l\Of^e>HpB5KSjFE(V^<pXGJ4ih/J^QY^&fk:9kPB&5q;P[Ri&
U"2N[9[kmQOk7hge0&/c]6DS;><tyO9]J?PJuvCgef;Jy%Xd52xeMe9.Cy723Me78
U"(+-?dRfX%NV-#_\G>\YLcuM'?,(-yWfbJghfg$Og#FT<*[pHgGiknb7+o53(810
U"Y(ADoVhk%k;xj/kzXq3oP8xY+TKI\,*M'fgXX7/v8kO5]k8R,4_DaP[wiG=F&>d
U"Q]\uXZbp]ZTAO:PT(4\/Iz^YuZ_sZw+hrM],-1rVMArw_C3iWC(Xmqkc,bhqlTv
U";kW-N0NT3DvEa\ulaUDM4ZVUbB;UY+e.S+rw#R#S3^upDv\q7ExMpcSlrb;WcVH
U"E<bdpSXgrV7S4uTVzxuHVlB18:7W3#L5ReR\\Xpq>nGY/#]n4)vZL]L(Ki[qV&\
U"BAGV3r1?DMZmw-WEp8K:x=TU.Xs5b.TbES+cF<tbKA2)_-KS%sqS-7]:/8Mo7s'
U"RMf(Nh)9Fh2Y#Oo1It4W^E&Q&(droa0c3UJOC__YzqqT/AXdndN.&[V[Fu-RF'z
U":0(1i'#:zR+3Mf<Cn^0a+u7unK,N,:rxm7v;-zjo7gO,)4WN%YG9S7$MZ\s1M>z
U"[ZZkSakCxTj.^,_PTZuSh$L^Y)Hdo8+jsB]8I6A059uWljfbf>TVCsv^Tc8dRFp
U"W%4X3P$HM9;.alqyzwUFo49e;Tq#-MHr)#p$[C=rOITigYq/Jdi+]IQ_GbIjvUl
U"s?[OhRF,J%=S64ZKao&DE*<7VD8^;ZZ')Gr1+SB+n(z5O;MMOO%1oc\X8<PL[>%
U"X/uu80kFQ4$w..ucUVnY5ac]8.^MSb8mbpXy2tdQZ/].plLY.2GyzpN[YW5$_>L
U"(<vLo\l[GEKB9+Ld<RI37;s)mLHlfd&b,v8/6a.6O3'>U'l-Sd&+3STsdvmbQu[
U"lV82k=sPj,RYUl]&LuQhvDY0Xv/>UDs:CcL_NsD9)+:spv;fk:DtumrL>i4n7>r
U"t2/q47G*Tq[6L?m&t3[9**N&;Q,e%T'G:j8CH#Ae5#lfWpiLTVC+PN-hM&p)CDb
U"nDbkEU/?5)r%;#zme83xJ?e^D]oSx#X2>5B-gDUb^k_MQRbCkYa3pm5p^=-j,*B
U"A6skmY=q'=Za/^Lb%F(U,)U(.Vv=?9fqFGSZH=d=snYSMc4lF4hGGDk^<Z;?YsR
U"trjm/H_t*hOW\V?RCV4jMI4H^lo^phVKGx41aY/W$7i4$#t)4vOt,8Whs=5DfbZ
U"+HDW/YR6#j3'A&FV\B;6oI*vLkVQliE[)]6(*-)5l6H(<MObz^RSE[M[.9Yh1=+
U"27hB?ck'h,=53e0%N*?8[fv1urRO2R859Su&'qK&Lc%:Vo+9/#5ohlm0CtD944M
U"%j\Q4&M[DKLt#Su^s((i9IqIXydTT-PkuXzCJ\6XS:8^*m^=i9IRZLJ&.v$HHPs
U"HbJpTYjYnWJn<JFH2x0c.8Hf'qil<f,_LWM.Fw5i_iOA0()&$3wQ0OoWCNPRZ-R
U"9.97V0-:xk.=/36&:wFEj1LQvDiCX&pMD/T/oe:7'4>53[?39u0SI?^C]vB7VR=
U"wE*Fc=f+wS%A#<ky_e_a=.jf<ZS&Pq_g2WXK2]ISGR-rgz:?g-^_I)L.lY6q?/Z
U"B0qZ+bXb$6HxCt;F\(eIKYyO2b+rbWHm^=htx>ZY=(iouScC=HK0AQ2S=W%TeL0
U"Q+a<clg:1m/Le+(vkB_2ZnSV9tuPp-Zuld>#Jem63KAG8.ekm2d4^=qEi%$x[o2
U"fsUb7NX]5]&'2Ncc8=rr>bOjmLwqr#Cdk>rSRuA89__]$4POc?\#v.KO6E$[3KD
U"Pc_zl\PjBK:LSeM]qe<nNYOd'o.v7B4)H.wMhdDeQO&bVe3eu&SbTYu_UU4FEA0
U"z<I?gME.fxi[Py'd\nDjwOF*M<WQh:^.UB?[B<MNs>1Zcje4d2Z';WE2M7uvqP2
U"+8bFl*Lor1wCNBJlb+DaM7rbotP1Pq*8uP;sILN;fb3Lns[SX5]]eDY6ld?jc1h
U"XQvAsM^AL>Gt><j;$8q0,3F+<7Y8IMm2fqPr0Wjvrpfx(pc#S82puT<8XEaP[#7
U"[xef$plDiJ^4%XK\$1lPhpr*bJ1^:1F'P63[)8^,[26o^neK3asYBI2PqcfD*l\
U"gb7RshbZo(t/&Z]XP+ovH0n%UrJZ_J#+8-ofm[:_p7dnf%nxO_j[iW-p6y>d>Fu
U":(tl356I2H.GO$^E>ky3PX_H7rln6gR)+J:^:#xzaN=:&.t'tbP^i_wk^p^.5V%
U"fyeXd#v2pjz.8#7ps0JN^<N&B8befHn4hW0r+2c5AkoQHaDz:s_C[Mia9bON6RC
U".5Nl'VQ?vJhh9(wPaflTgK&\'dV4NxvDKe(0^,dHo((hy1,;JQN[rEowP+\625^
U"S3.dawfsgM&oo[*9w$rC.GGQ/T<fZHRxIX>5tUY&,^1F4o3l].w#M%Tx1yVj0UM
U"g=RI#W+CmPDd)OC_+4^CZs6+q$wf?\>5S0dV%Yqh,iB&\H'HweScTf\Rzxnd''b
U":AMquUWrxgdYkT70Ij=Nw+cE1.$aIqLw3C/*xH87z%dW1vRH_9tq0aotoGl.D4k
U"2cQV>%C[Ru3bpW/+n.tJumo5(%D1=QNiXB8$TTg-]750#?uPc>ri<q/U\D.+fLP
U"4)<)-k)fNNrpsncrBgt-vnxz^]fwh;lLJn\zk+p]]mwfR-&&fySN^iVKS)-C)1[
U"%Fr2y%%WB*jOYV6M<WIyaJKAZ$z-1h(yq6a3EeuonxVt#u$)s*epw>rXtd%up()
U"%/%%%.%%EkmcE1S-keb%%%%b%%%%-%%%%ij%xhSx#inm8D67RA)4BQE%WZ[RM2>
U";>AAEx%#lfE6D5GE;M81A0DAHE5)>AEr#xEvD282:g%fxnh%EYSZ%2/%u%p()9%
U"%'%-(%EkcmEk>/-eE*%%%'5%%%/%%%%iwf%ltsS#ksyD5&F:#7l9XO51J0V&J/h
U"G/;FStdJ1=Q:-J3;kZQbb)pgAgF3D7uI^Qy8;Z';W72Km43in$dMoVkKC-q,neT
U"4u]BOpVTDQah'kDWKHr3Hk#uwmW5qH.l_]fE3gpuBwouuuV>hHr#4Y=TN<_z#u.
U"Mkix(%?t#<gsj5Crr#\).^Yg8<':%Cgf&J4p_.&YLfM&.36HBzt*wc[cV40<(tF
U"CANM&&)mE5HqaXO?BDS[krl[<t;Bb]B^i#^=x^ScbjDII$,Z#SY(q#%,s$%gNUg
U"0FER9gsQXr?AVq6,*g/H[x95PjF5hS?wZ)j:L9.qyuJCKj]/[hhGk?2#Ky(^K0A
U"T\?/_.[&2+vK/d?CV\5f;<]u%M=/_9n-/FK3^kW5?%Ax-fFMq7\E)q%R..>t8/^
U"dhUTwPwQW.WIA=k;%IOmRgd20S?V'Hzby.:c+ymY$enS0&?T,z'DF-2\-jbL*bc
U"IleLSDdb:=gv4&=gV=R1Ox27OT)jf,W01\#gtgFrb)P0.#iig-[Gj(B-X840;Ya
U"7wI]AUk3otKYVK+6>4,K5-)>%9rP^lBi\tA4r]KK,fn4.k%EErm<#%s5WRU8T6F
U"iSxuV1LwYk7D2M]jI[g)A>k*:4-a9tjqJ>]:(?kP/cwbkkgZvF(fDt5Z>qESIV0
U"RA4WC22XB8dbtY4D-D+%OKDA?L51;FwO0xYHCXf7xM^Z$,T8MNIS6$*.J[QPP4W
U"+ks*_B]vJBS&&_d$\nnY4o:HdNR>C;YWHh-NIoZV;AbcEQP[3VONXq:n_$Utn$V
U"bYHs%5LXeJu_rXX$HBKkcrvXH2-zm$N_2Q+ekbr;1cMA5>hA(95n=%D*(f5/++\
U"W,,L=_aI7^JLBBxAh8Mjs_M/L/r-#m0,<6d6FQ3Dxr?_vNTGLVDZ-$2_#i3te,=
U"gM/]W901JQ9rVeOtC5%P9r0ApUy2FEGPbIM$f8wRYgapu7?/5V2BqSGMQGvX^Jo
U"c3ms(]6kG0zUbG6-bZUP3uJ2Lo84Op3u8ZRPRKCJaokHQtaoZlXn[btLuki=q6#
U"p6(SSCe'(csUdc+qAgtRQ>d5D\CYosZkKX)dL-GSm7e:j7%tim]?1YQg*2EuFgE
U"p[O#t4%HSX,Z4.kk?ad;EVSLO9h<WpcNvK(T1HL-MGZ/TQGx/g%)Iq2jD],EspJ
U"<<Y3aDZYe<NTl=cBm(0L3;$s+c8_7VuVQ4?d/[/C8LBgaqxqC%VP5Sd#V-he&$'
U"9)D]=\aFWP8'>eF7eJclwC&ub/pHMm^4M#3K-Zf$W\LiY,%\l,UJ9ET8Ie,r]s<
U"aLh;DH<21s+[DK=Po5<u%EfVw:]rl:H;6-SJWv$KNazra]E*05o'dXB%d\dOVoq
U".7,pd/HwK^2kn^Jd&^JWSf;?*Il6qxyM2D\/AgC+\\ld)-Jf/T<Kv>GnCg,B4:D
U"]C<T\?JlXGnc_qb3hxa&;LKYFHo?qyfdO#-=zB<ikn7GgqMQYm6&tPwe?doVCJR
U"dHWqb>XVs\u6q)>[Z-'uKYEkXlI;HV8.6F9r)J*#,8Ctv&KucQ8$oBH-frA>4kL
U"?:MFT6L863^dLtjatnYV2>02-eld+o7bTY;26v8.Tc*PH(O#H?^V/8Z('w<-P8s
U"ce]bNpk;u3Df18n\ZGs&>s4c?0ejTr(?nAi2cw#HW0VbA)OB3f%Fz.]A$SBHh[h
U"b4CQZA=%7.WlG;>8u)^$6AmXzL9\pV#?w*^\#A+KsXfQE2jgVideKZGxwtTgP7,
U"ccHHuH70Btd<[N'I\r#xf$4g8&Z'4BHxM$kp>frTp6BW8_)GBL:VQR/qim?i[S%
U"r5FZlr17+WTDN'4FdKv-3lG1Ybaux1viZGvULXb<_8V&y(vso]SFp*+xP?1q<T[
U"DGMq,.s4u%p()9%%'%-(%EkcaE%Zt*i.-%+%\B%%%.%%%%twi%jwSkRwr6(;<BT
U"[j7w+H0]d;$ubMKRnCAP$S]$PzmQP*_A3p64ltU:$%3GF.7Z*)%g=XlG?voT*Lm
U"Y%c>fSCV]LuJ*9Hcto//8uad7QP'AkMb6e%MHs>;$R3WYDQO3/aejj;=UP/6^+W
U"_$k'ul=L('[Fy84q/itP_z:5m%(]xpd]^HjZfsD%P5%_JFU[p5ZY]4b<<rvr6d'
U"RU\7*ZV,l2xc55BL[0xVlN+S>WMWhaTDd)Ha]?#Xrb(4g.W+ps'CS6J]\2//6A2
U"=>>tM05<I;I?)&ZnY8-n2No+L&R-vU:EYyjdck;%-FKg.#0$oABu8/X5W5=LRf_
U"WE*5_V/,KBmMgk5;cCZRLnQnTit?;9l;r2QrPbEOhAXY:A9S-Itn#QAv%=P);ZU
U"e:1W?$)UXYLJ[.>CRy70uSHjJEA6#,=4GSMA5G(&kjXR)_\/LWKgz+1<?Jk(EpR
U"lcni90Kyz9NR'-x$o'q?=U<87/K'wpFt2fw&P;6\psTB?Z8kAQOzm-qJ,006sO,
U"ABE[yOA7l2$GJ51n^/bA[g0oA<gC?7aJeZv4\1)lwYnIQ[KJ?wd?f-5f2bKmuah
U"p'7M8YU-?\xli),e%M>&AR9S=:k01&&#uW-B8,yY*ao/VivqaCpZA/8y^,5)BC[
U"+V?pmL?>xT+i-as'qR7Xl'Mg]?kETrWOB*kW+=*)pg'6=x[/Dx;F78igf;'Y:Rg
U"EUg:hi)-shajOaOc#kfotl:c>V5;WwzJ<k:QPlJMLssKlu0vrPRgaAj5S*rV-pc
U"sZm3ZRMi2a3r#2B(;'9FV#CB3(G+#MIx.c]]2[UJq9]_E[xKN^a/8pj^;./dN+_
U"A2PyiPk,r>M]?>.8$9H5d63PBnGDa*]I;P^gyN_PifQPZw(M4plpB^sVTGBgWWV
U"+sP7Xz*q:a(sWkJxa2>I^+#Yc7^?v1mt+9oUCUnQ(ZqD[hZ/(N'VrZTG5s6u6gd
U"O>wT8/jbSw8<g1H:E\eh[31)[XNDpDD1,x%xHF_cO_)'GH1Q3U#m4kcP<6,IN(u
U"lp9L_;kWFN,i(LfYywg$7d,kSu*RPIKO*43J[l0pSFN5h?9.dAb^m:u=pwsn5h8
U"0K'>2C<gG[&sPX>UpaUrQ2ku;6D%rO?rK;]IXgA2IA?jojDb,g/sZ^]IkbuWUwg
U"_kcBCy_1f;uJ]LOh65%EL*d<)EV_JI]_YE:2CC'sLF[3;.k2z9q5nB;MPR:Iua,
U")%V]Bp2Oj];k]WId&^UGq?6X*Nk#PGqCJWqLG5x<k?.igmSb%Qa+MlrlNlDlpvP
U"oUjvv^a5sh1ie.DgQi#H6==;tJ\i),T63c?(/exF>]$cpw8-ZF^-4(WlE<+n[hx
U"F?CkAP:&C_L,=HDe[.t.&NAJ&tRJm9$xjAz\ad/(H+hZ[>7rS;zMv_hWfqL)E<Y
U"4cjA*3PL_j^(4QWpSlLt14k]=7)3$OIn=y=EoVr/^joO1k',TmN-g.NQ?]LO8IK
U"'KDqhwUGf6(R08vN*8&H+,kxH^+lx+9Do[/%GKRz-9GRHAY^O0j[f8+zhj%Tk:s
U"y0'0mMW,Al\Hk?WdLvXn?4/#Ut6p?:h,Tv2>z5Di:=zf0lhOr\74$$TV6-*c<l7
U"f1h?nPV$&6'Nl''W2g]&BWR?X+mKGZaYROiDAv$/-.2T,cB80LsK*_Zy=bNSk,8
U"P>oTk20(Vp<>gH7qauLhQ+VqBq=(c%%:#s%/RWaD^$SG-P=d2lHm>-4S-WeFq)f
U"bw'yNB:04e5?8aA4(02zO7+Cy>(EpE&%vk$P%8V6VXaq_W&n+o&[l.\R<pm9_HI
U"XNQoV>t$rv_iNx)5^Jy/&7HT5-?qNjP,(BWW0aX'^eFdrL;PnVu:fv9&E^++uYg
U"zNG2\D?h0avOcH):BC?OW1=cG9Z3=5/lchu,Vd-YU645G2dqm<f+*^hVN>$4G5%
U"A;:=EFn;<h^kej]/PTP%h'-Yg7Mb9fIaB/?i%ma\i)RQJaPlX/uLIVz;Fc_?mq;
U">j.5;4\DJ\v)zO&Nh)Wgi?UL'J2B33D'YYrTKAUn\x#9B1mD+ejdulD^N:+Tw$q
U"GVZASR9YfPIfZxgl1K=0YRvvnu:TiBCwRXc0s(oTrrvDU\cWnw]^Lp6IFrNxGju
U"(Lh(8-qC\wleui39_T97F(Jk(znf9XRjKo,pq&prZp\6GW^s\S0<5,hb(q>s8VC
U"AGGM51JT*>boV4&#FtlGm[Qe>9n/ahtpI+=ss=HPkkJn5f<uMELipiL:yTs6lK>
U">ap=I(8]5*UC6d<i^hbiw06$Q9k2RV\pc^tgg1qiOVSmHRLgOjQawbyh?KF_;]B
U"h8VfY0fPPS)S1,e4N[#D%?kC^o,DTkI5juf[6rtbuwrU0S>O]3=ltm>4?9QqjI$
U":.9[Dj[AVHWZw=qUDS.d<H)VaoxV^*ZD:*jkTFhES'gFY#];rpsUhrZ=lUnn;GR
U",R6\V;<lhFVr2L?6$8A,tzF]#o0J[BOf)s(OZbSS=<5;A\sVzLZS=(q\H4OXJzh
U"QjaHO8d-T6Vl]#TMA-hJ3VBQftd_jXTJonPZ:3Nrqv.PbMPBqmVovd]J+sxEjcs
U"_KK&;xI5CJI4.,#66$3,F4p1P6h*me,i'SU8#gcA#(y2Q;l#HE7C0-CN:BK*K#u
U"QA6-/SZ:O=HE%WK?[S]V&yJH8%>W;dnJTT1#D*$/+$XFF6,su0[#JIj\C6X&a3N
U"WZpX?pBEY/X$3Q?Se0Wxef_tx%&up(%)9%'#%-%E#kcE45qa4q#'%%>%*%%0%%%
U"%u%fhpn%slSq7xy&y9XtTUO5WBt'w4LCSuW&e'S:ICElzJ)QLKs;Q9D3aq:2ZQb
U"$fUsHXHni&yU[[#.dI]uh7hgo4$$L5J'MTKr[B%RS1:PAsOvPNvUhq,4Gw2VBE(
U"w-S:yOc1O-X,hBFon/z*mi:DaI\R.^dfpa(g=9T_+F+bN[7SS71cf\AU[BI+D7A
U"*E.*1cdyI*u$P%t*h3L3PS#uWh6,pOwPwQ.GhUM<vws9b(VGJsw7u8\+2&/bH;=
U"7l2UCn0+pAo^tKhEnJL&G]pZ+HEAa(5n9?]P;b9>/:dX(*#^'W0S#:P/Qgi:[RH
U"11V;2)qGcCu02OX\y#*ZqYiLirg,Od6\J;N)]HsiM8=Jf7MbgQg1Zi_PMJ?mpTJ
U"^L3L9LIj+N5oqq#A++nd1aqKW#8%+7W4VHpNN_ZctB=e(^/qK#,CdWPe=Da%hc>
U";N+RRe8dod3,3/c6A4'Gh[zA4ik7b^wF:WE0_C[Bx:DEuGuf)dl%0Q8NK(WK%'q
U"+6^M..^5s2:hgo:ri3I$c0)p>IXsCT2dWfBY]33*'y1Uz,srg&QPV*SmW3f+[:q
U"d-z8R4WM\QQhKX6Xf1gW6w;aONEgPcGy%Hb,Qh??gdE5D^*hS3^^FeLtq-NT(m0
U"3?ihQzDNTg+Hm\TVe?J:dWsqODq>e%3n5Zj$ZCXcX<tsSNpJ4d]D9eEjmr[FP<#
U"o5-ka.u1$l$/d5COSRs%s:P#sZHIL8?Cu-PL[VFh<.R_=\N[L;6>Zd'u'up%()9
U"%%'%-%&EkcE%yH;N%u-%%'4?%%%1%%%%hmfw%ljny%Skwr<F'vt]\]?wpBXxZOB
U"VkUSq[-K4TKlK&cWyOORTShP2p%J,=[7T;Xl.Be7tvtZTH(lN-pc(4Bms0jgFVv
U"6qvMDYJp<zbNIBpFSsFCHvj*[T?<6#j%iljpDE00SEd9u9'7gL/iLB.;PgcL%GN
U"IiRfI1e+IKY+1'$sV'L56>VRqk$.j9ANCC(q418=Yn$CqJU:'69KbaA^e0U)Rk+
U"8-%77jYPEMshw/%Oj+vtp-Ai[vLi<#8x.],+;j.Y$pMKAtqg-Xml%w(,/efNiC]
U"a#iyNytmBbOXU\;S3G:?M>':BI_t%E')mwYdYBq6o7oX::1mI>5==8#j%6cSG;<
U"_sxVgZ;g$$$SZGmFY%VZw]=#Ox02L.(V9CgmwrnSZ+*3jF+6#XnHlZG60H5E<Pw
U"PIsTRFX\h2E.WW2^>2Gbl%8_WkHSKiWwfKTP7jx_=>1XZ$Z/(?E>S6=1_ta?/VN
U"guBviNF=st)0+;Hg6:C*PN,<g;eigjsLlMa681X=%Xpc\FTKX0rFOk2E1Yc[2S\
U"(22hl&S=O8G#&u*T*fs[Hkwa\BY9:o]]<p31/v&oVWgR?k,.y)ma-2pi-3G;zuX
U")\Rt&U\[l<0fV5U0?P$6V;+]?5tKv[x8G3v%L_VVlLD[0Lin/0&36H$rY[\-OqS
U"u2<6CARR.QEAOSX;kbDQcrxI6E4)/v9[pq(<jlC^+8ePm::x$YUR(p#>]:r2g::
U"TJnt7lndd96[#j5BK>v?PA+N?$M)\i]O0a8[SjT,21kC3q]]5<>bo$m23HPVIjb
U"B*C#Hn5^k+ARF_Sd;RBDu?P)tIbm-sHYl-V=fpDiH?i3z:PS5C'M'4;aK3l%g9(
U"wh#]mF>-Y4]Ho#tS)l^d_Y^fl\,E49*_nwLWk#;q6CoH=3Srg6eiy,Zwra:6(m>
U"%Qw16l'5K?lQ<:l&cG22(skqcK4aoRW5/?rTt2xSE%>3lFkkp/Ull4&6F0ihkI:
U"Q%(O=QN%-MBi9]3O'3duEugCN0^5kHn;\E-Xzp6Y*9_RMnhhuKK>1fAR1,&9)5x
U"P<u7-A7?Jk%jI*zl]2_3(.^GRFWcu1AuGv?S<k?c&sy?);UxK)K>YTcCjcP9UcB
U":*4Td-8;w]5w:I*&L1z>pVc_=oXh('1x3n3,Z__,.,7<X'wt6ZnsEetfzcWsW8/
U"%)IZ](ssS:TqK\O/+4%_l1)(O#p)%7rmsu;3nliOuG5-QnDx-%juQr4dxbc^u^M
U"(6I1mli\qQu$CWzlQT0>6M_7ln?ff&fZVt0*i*iEIu)]_BJO#N9p[l8Yg*1)h',
U"tqL>[<wFOI_t#fAyj0V5O<z)7U6J]l%k'#:G1UJ?s2w?u:bqE<su[^xt%lfLf8]
U"#u0\cSlc/\8cNAM0ZJLh(5,msSsM)BW+[S/XNTh]lvGy)P-/,9I<hETFbY>X/w_
U"?ZTY>Hw.L>dkMbgxV.+7Og[:Ir$b?Q_?bx':#OG<o\^OH5ttsNb1[631#pV=I1M
U"\%a%jy+AHJ0(24iJzGFX.a0uGdK_>^gl_?-9U[S82P;wDke?P(<Wl2g=#v.D2fZ
U"T=unMZSfKU\t=ZC#f3]QDiT#GNX#<aKZIx[V?vJ)QGGZ-MlcV+VA\F=,YUXu#oH
U"]cGUe6?Q(V%H[#NY*NDGV.G7Tn_i_e'o%##0jdX(<^&GR(9vFi>\+J75bcWVb+m
U"B]=_K73wEnJy>,)ch1&7FVF?=b5d7\pv)=Q&PdCAEN%OR:;ll#\]H3fZJ5=aFw]
U"k\Jg[\VJr'ZA_(8w:aRtK*5(FHXO72$6;$,?n=3CfriCwuC2'1mx5*ezrSVW[AH
U"0$Um6FEIp)Uz8N>Yt=fE&%xOJB/y_QG<dYl4w/)%0I\cBAJXeYBbaQCOEmXu2,j
U"[SEf1n*2$1NSzrX1EkjJoX'8lJD9R5ba>Dk]uCqoO'gKT);;<kW\Ykk[JS?T)lh
U"7TFXp0g)On)YK/)oQiQ^S=IKZteY[[[SLH1GO9dI#EC)l4S>I788RU=E4R\mdCU
U"Nf=-acf&FBXMu3h=0ju]/eyx3J;;>NE<G,jc;dG*'<x7[T>c%'aqZ[i+#ikaLp1
U"ocF7WTnoVG9Iq<nW&ih\ZH/=gr,T42pfl^h+E/Ey2rl/vwf..s^i=.wEYr^'nXj
U";EOxa%^(Mt1r$8-v[-2)Ai^UKGY=1Y>Ck^u&9^2tVFU^%[e,jitG?]?.Ti<?qNW
U"]cDv18.eDm-rP:sHR'11G)yl'=+P:1cggT&l+)C<y(Rqa;Q,%Ux[,*$Qk>D,'+&
U"0T<H?u-v4:W8NoXkK8*'qP_VG/A2Vg'wf16-_9MlYA%]?Pze'5u6JIjo#L(#SZK
U"YoOa[S*],WYGiY.?(Mad]5;8P7>:*:$mVfx2q6F/;J,;nsqe=OJ.vPL=HxXp]O]
U"?xrPzPg;&\ibn$k0Zp?hwZ%i_VGQf:UkHtOHt)ogeMdYnnb1:_cOF-j]q#amr$o
U"?Xgo)8Zhvj7#?cofDvRHTWgugMCQEIT;]4%cvpQpZhvZiJh(d&h)#V[/CQ1O3hM
U".1$a'PfI0rq]<0<fB$b-I9<5B$g7VZw-1P2,qFe:n,HEGQk_Aej4U$:dZijmTKY
U"CpZ49S+<8GkimGtV&6#yWIzN6(]<5/Jv*SFEh75&1kPpX6ha#OkU%ikfldud644
END SUB
SUB V2
U"Q?Rjs)x<HKFQ.yh,c&4#V9DAzTV6ma,/4V2SJO2p=kwx*48)JsnCFbR:$/w(%up
U"()%9%'%.-%Ek[cE-S%bEb9R%%K#%%%1%#%%x%%lfij%rtSgRfxf,3fFqml,8nhO
U"^pNwNnhBbfe_Yq;ilVb%,62##9,Uh*U>i$&$LMcqOh]8*8,2G1EoHVZ,pgb=B+5
U"yrvy34l34y3[FLd8l\HNvB$.$OWvka&j(Z:p+)w$]LB.lO4%sIj2+ofUt?FNUMi
U"Io'?0'bcqJ?$1H)o-K?0ur;q6w<Pf.ZLa+/3Qgbrk2ET^1h]VJIny9TxnRZ&a%m
U"k,dMgshfu5Wwhw9c:fXapc(FBC7c/Cjrt06A/5bBA86#SO/ae<^LdDc<^gMW'CO
U"XK#K5qf8OpgRBHLSh5PhiX9+UV,:4k4=/WZDBZH2lxY-gC#OrXAePd1oCO2;3s.
U"n((\RIrcPeMF7K7ZbYo3KC(B:fM6X4Yaz?1m&QW#61I&+lCr*:ky:C)7aSM+7AH
U"5Ik\G6mmp'oR2KZ)&b2h?^v_RS(ifl(.US3b4t(PK/[T3vR,jg9)QE(hrZUBdKW
U"u7t.<lr?UqCC\_yo'\JX[%D7.y\gEKw90(iNn.lntPia55'2QnoEJNV8X$O/-Wi
U".UW3nnv/piA]G0,M($\jK6R#WZB:CDFC&>P8t(XrfPZf7+j5W5*Dn8\V-F]89^7
U"HHgX?+)7;PTGB,W]FT)EgCssr95W.;DNRSH:lB^TND)hDMXc)>]SNCCL:Z3/Fof
U"4vqNES,^GnI,wUQk/5PjoHkbJIfeMG/7$79k7nL_^c'5f2nZ.)*EOG4zm*'VB1H
U"ErI;D5f.norfk>5_-;5LCZIK(<rX)W<GldQwha3rs?;kO#BFn?<n>^oxqKgF:Ms
U"q&/_o-nS/7M\16e(UK;ZUM(.rC+=s_e*28XlCUP*(;:ZCCA[205HxZTjO=Rylrd
U"qaw4TA6kB7B^a7FMXC/HlY&>x^nucqL3r?X?$4O9[&aUbk2[2tHrl]iT.i/d<bi
U"p]ug<bmQe-EE29(6#].YA0[bIYAPC7s4i)p6s[KxXNW'q,'W&L[QugUrXe#YmSg
U"KiPbFh(T7a_ir7u;lfHk<'%(+90Pj>*s'^onB03:Ufd$5I3EN1]ES(E3#^XO['w
U"cNQHQE2j:cfq'J7.+QLgb8hC-$<f)vXacrpQEU*5RNKEn0<f08qJ]#7Gb#DO<c,
U",+lKWJ32s[_&l[mwRZp8FZ*^Om_Dbh>qciYmIM?3trb9VIu44zMsFDKalqaWbn8
U"C+-w&W%C^bHU#b8Dwu-I.\H0MPZ:lm*Mfl+U-nx6%HhyIafT/eBBh=znckI-VjI
U"hcI(hT)'v1)Bl?nmx'5G.waj1fCivCy*Xp#p[19lIMrZox&;z+OgLW]2C1y<8Ek
U"84Cu;PCnar3Om]aBT]9U(,1ahg.rL81#at,,BbnCBybXR^:332O;owWe%6AdArg
U"mu&]X0&)1IHUYlB?eGhnY0-HLX4[Or,OLE:rpt(vNZd:FW0f8LGA^SJI2QT5[B#
U"or>\DzfdpfFKh2>)3iBZf])nd4N)-CJx<(Lisz8vo\B.hBRGin(L,gO0F#Si_IS
U"b0IC;C2+mY&qClb%j:*h)Q)>?W:\*U-v.9+[p:jg#kvw%e_)L#$>HC':RN72S\q
U"Hi:grKQUJsih4w?&TnfWgblTav-%>rgVn\WM1;SkVU3%H7=AeQf\1;P>Ki)J3Z%
U"Qbd-VuyKb<2'R)l?'Bh_iZyr9dy,)Tl=674UZPa0\YCpHg&Jj_[59.gwxSuX(B1
U"cG=Yybe[t6*D]?Yb7zI\i=,20VmlvKJY9t+u[#]uZKfrWt^n.L+\UV.M#$R1z33
U"a0mES$k]Yb&BU/DN]LKi$+.-A[*b>\gZ=So#SvCxIC%/ig>N9K-hi'n=5WMVe$M
U"mOx+Hdu0nD;LUx#[P#RoS7$KS_<w$'$t+3uR2$-&Pfu:<f2)j/f<Fv\o;RjJph+
U"2GhcGm\A=?\0F3ZXCHn%>(6sOlj>5a=G+ub0x0p0cW,GJ36aAF37\VF2ssTOKm3
U"B;VHLhG3ZP*D22]._>n)?]OhqBJps:g5:$L#3NVUw[Z)X?n/&6JA]xiD8AYOdTa
U"T>M:_W)QoLE*p^^JLK[lxg+qon5y[TaISUEL(WeYA3&SmUUcm6rtSI3bV81m/<r
U"kNpn<KOsE3smq.fpzpp5P,?99$+s=*P/\Lh<':s0Ln;fjeoPGK.C\*UtQ-Rc,;_
U"tRAC*MlJZGaudyrXs.WxB/_B]sP?%$5/GX^)RzKl0rDX#&jxWvL?VpCeZviRXM[
U"U)F**hqJcB-;jY29&rC&dNG5.z<U<r0ATIRP,_JouIpNWC$.f4it+t^;boq3vNb
U";Y:xfmy[WKGkf7-*B8m;^K6z_tgfcp5s^U\+sVEXR;e3n23AKCVpzzQ/q9zD-<Z
U"yZ&O754cHU?nX?-TgG.zkaavLZ]jpVK'?Hmhbx_h+\LyhwZENT1Vd:.zD+jCl[b
U"RyDfbH2L1Z6elbyP)lT+pa(ipe>S(Uu9Z;pKV$K$i]ziOmyuXx.7v_t9^VdmHuf
U"Sb,I[hI\:f?:Ab[,UD+3$9MLcc^G^#2Dz1zpyy[0ok^p-2vd9^uvAiA]kC9lTO(
U"BwSBAp(rq%fKGN\bG9F(i?O9(I,l$j_pZY^mp#Pn</KcQ%uh>0a(I=Ivz_+(X[#
U"e#S[THaPx-OoZf+sh5Ci*6Tv8(uq?G&T(cfL\UXe36UXS)B%niSme\qBI>Q0.;:
U"4f?a&I#hJjfc+RLDVVtlLP(SHYO&TE)g4unAuH;$8sf&ID/)T(_*OF[x]VXa+L+
U"gi=2_[5>W:t\R*2\L'g7B5'YK[wl)Kvi05T3-jfnzlGf&zeTXus;iFW_Y;-5)H$
U",039i9C<cZ71L[*L1tpyrVo*C1H)Kj2$Io+m0XExeQ4?9D'T,I_S]=6U/mJbjME
U"WJJlJmUK**-dP(qP6S6Q?O).o)4?VK/4W=S6qaT)a_E;(TL3E1*pKH\<jcE;3)R
U"E0#Luw4T8Dk(Pxmcus;Y)h\J&OFN/4XhXS28?LF.)Np0_H?Fb&;2kz^K;ZKTQaT
U"U#Q6;5_]3HW/8gjgFOerqRU;3Yp)98;:UUcm#[y2U.8OsPd&c[I%U^Z>J^zem];
U"JwO=Gm//.dBv__EUO_Ul>fHEL5CL<116EY+-2BY;Tr]NrNfG5]65>*t.p>ZZG/r
U"Kfs[N+%HZwNlLoa(FCt#26.oyH$2LmN\?HWk>//cWQ]dd1/()2<gxj/PeGZ'm_A
U"pM2Ihc?f#\mSQ&GZGTq3pS)[Tqh*Z*WecSOU^Z&x4UJFPz$Uz(FCY[jxxi'QAP3
U"pIfDFx_ej5)/f?,jv[XenGp/:4S%5DE0R6-YHrd/?f<#s;GKknx=iO;zd\+1\2R
U"x%GR(J<r]&q5qx[LEgUdgne6m4T\cY3o6G've[Wv=onrsx^=77l$M*t$C]zj54m
U"jq3MK%Uho<[B1<d<k>J'Gie22Zio.EBHG7yynWG+^>yL8,yo)JCRf/.Cp0LMdRx
U"Ow9rzps?Nc[]?Vb5$$V<,$0;aBs(<p^7M?4:T^sO=1x5OE<?iNa>\WAaVHkK4GH
U"$cA^^Xj#IZwkT^UuH<>+#obXw3V1pKmq>,#1oQJ7ShD:0oZdCC=)K)aS/OyaYmP
U"=0W0s+tJ-%VR57\nJA4NQ+9[)b,M\_JWd?3F'1OHV'b'L]:^c?k1r'V=^1eG8h&
U"w7<%Ap0O#Z&#?*%2Z6Ch0S>;).P[lhFc#7)d7_-(&+<6p.B0\V'ntX>%;(2b3,;
U"r%8DjMkKXWnB[<fE=l2PtpJp,0Cf6Sp#lG\,)(]t?vAJpJu4Aqr:G'ZH,W2d1D7
U"gNbE7tN9il2vIr#3+GxDFlY+MjX9;'nFbO]MbspL:sD-U=rc9dql6H0Su49[gb9
U"2#f>bAJu<'%c6JuS$utAK(e3K[1;LAKR&&]C)NeN=G:*Cah?jEZ\7DrDklp7AA]
U";g/&Ttg-Ip;)Pj'$5x5D#17?#iR9$]beue)+FGPJ_3fNt#npa/Et4fFt6C0?IP>
U"2<0a'DXNA<46-1vJ1#PPBW&SkW&Y59hTKk1QsAEW:_U[HnA=Ae3RQITtWKX^p7Z
U"naf5;><M0pcl3&T&xOEIx1A^>Bi8MRGpLR_:G1T4z]&rZF^\u[d?ncZqDNiEqyI
U"(w[**AFJAxMl2Jd3cjk_2dWlnoN+m%71AgA/8k^i)DK8b1$SOtdw1>?okt1QI+d
U"R/J[s:6mu*7:G<TrC;;F,fYY(#%F0-?]\EasYZkamccJv'UI>j1wJGw^\$MRqs%
U"sch\qbpOC?$Iqq/]'lW+>c*_\4WYl4>MMD;b]8hf%%[_pQ4m%SPgc.lQ/cAK]ZI
U"Y^;xn6[gKcG.Y-h+2icWNYERc#r/=AO7zKKS1<nzGD.oGnJzH.w1HnzIMn%a\U+
U"':H5jw][(q+m?kjr(s^x_lZja&9a3t\^Hd[mK#6_3w(s5xC-ZLBi7H0\[dHW?yI
U"YtVE]B=YnN#fMkxGh=UbHk=\*:TX>[Ne0%tY_67Vo6xEW*A64XpqTeF,Koro;s_
U"8zH98nrAs%/Q-**rqD^Ol;?oK;KNZQ8nZhGSm_P<b)/4B^5a-p(+#eDj1aI/rBQ
U"u3F4E_c$r0Ca(c+=1fRT2T*O[2l8/4Qm^?pu%UJ\7RQXSIIIBgre0PUAy<a>G4d
U"nqvK=FO,Uq<<&%AIG17C.+2+W>0d62bk/e2S&zewHM17SIei[=-4P[8kOaFOvS:
U"$LVgG]%='J/]1-k]<VK-HUEE9ot,?#/*+#Us=jipJ9)d8&C;VAXXYcaHHsilOMA
U"+'b'3;k,<;'_=l9]P9VN1Gu)ua6XBan(0+=g1$(Q[yZc[9^(W^37M#M5Fv[VU2+
U"/td/xrcmB-/FjU6kMay_WHN7tmScQ?>T&HA#HY#-WCB9w&64XY[2h^VA/21kl<b
U"#/(G3QoGMS6LY[D^V,AhmVkj5$)gZlE*n$sZBgSlI8j]\_K.di.b&(F$DmN)v92
U"PhvL?7'nlyqqw3,QS$5K]&qa?t,w9#AX:>227rnbpVc4;ngpCy(F)^yWT(NAL8o
U"\Y4gMlfGG?$c-Bv+J]/-J&YLG[Gu1Vmd29ZMFDK%5>/Z$QoTFp/&u\m&yaQigDI
U"M(;FhbYN4otH\U&^+v9*?Pp+<e#\Y2C$+FFE,g#VncGoOUCE7bMam4tD0jwuuXw
U"QRNCcG,OPve&#gNJr>T,0:24>bWq<Ng%Zh$:Aq9;0Y6UmOQERr*(.5,XR^D53jc
U"ktY'$9=W^Ned^?(8$XH[:oHbWq99tSCxBOjm]#L:4F3lA%<n.u#4;^Ur-qa/0Nj
U"5Q-oQ?fj).o2SN3a3bx2r4CcjMWoT&+HQZgp)KeuvP$#>eP(Hd(WHaRf=:^FW+#
U"2W#_hdP5D,3X&A3Xp3n&v>Dd\0<^1/<4.^jw\DY;$C;>6BMj1rLV;cf]of,3/M+
U"DB>9H8mPkapp3)S3j%pZgSN+Yc+=kdMj>e+.UG43pnKhfFWl,s5)_WyJN,hhm(w
U"i3]iehH'AuL?_MZ+0E7oWjun26,h51\j-]d.=9qoHQ%Cw0c4-D6UB%*s6:&pG-K
U"n,:THx#=KpimuupNa>qd>eG&T+TB+X+(4EuRd'BSoc2L3qohxcg,,a^7NR^'1>1
U"idZy_70B+zkZ%>EH7VV:C$eBC]>Fgnba4kdp$to,rhpJLJtRuJ6FcbfMrbMXmsE
U"x-Q7lRkx+4kz4Nk&BJrXM8n>77d$Qr(JJi[*JR%#aqA4)/:M#l#,-ih]M%YQ(i,
U"Ud%:fF$3DzrX:5[>^Ni:=Sm#OfqONte2zK2tBw*sl6?bx[E2d/CG-#+5K)eT#3i
U"c'-86fpX'xP[Y4hEL#/T2#<+fl09LvFaI;cftbd#wHq48$*1YA(_SHQF+Gelae6
U"O::8NR]3eMFJOT\4I(\SU95a5H-L]TqC\XrGqR7;y+cdsVZ*he/BLD(CjYtlQP9
U">QYv2K8z]UV>WT$YbKxYw:[?qkG9cP5#LdHgnynTPsWRvd3i::wX4]JjPs#-CR2
U"#^7-FK81uZF8WY.4fV(+NC/VR$UfRJR*bI\KfxTJS01V&K,(IsD<O*=$j8%C^me
U"PtY$XCqnAU0-lEC7r/b5ScA-r+E6)JO(f>Rim&;4,Gh])\t=NVrPYsZb0vSV&B\
U"lLma3h:CjW^7VJ_+_0X,x%$fVG^Pov?s=1-8)7w'fBP?Q$g=F4k%R)r<^Sx9E_E
U".AREf>vcF'j/rwOm.5?'5'V,1N\G%0cCsQcM0Hf-Jl:m:^I76;8Ro[Asy..GX=:
U"])\VE:H-XP__->*bZt(L8:xiPH>td\%0-1sQ&hTlOicxJI&-]_;GovUsO'-&]fv
U"$7(B>N(4AN$s)OLg\Be)YA7.6L0l-*Rv\ZMj./<Y&?/b5#s2)%Jt*0oGt,,P8'w
U"FAflfXSG6#AJ/5Bb_K-b%H(R(&8Do3A)/N]l;:ZIUW_[cDVqJ$Tko>4D+B$IqtO
U"k=&A>%nB.7eGK(=wL[E5#dBSTaE_YezTrf&Nojpe784*5nzE7>tHlXWJ5jvgL??
U"ixLm*ZvlK?Vah3$YF?H+3x8TCl(I_YDIMX^F^I1X;iTU6:0pusdVIMjpb'26_=.
U"?V8vwkRm\rf1iqfX2Q>*KHx5m'o(>(j=KW$-TW6WH*>2,[,+U.-rxd.'(HSpc5T
U"(+)^i-c8/-O);V1*PR$HG/J9PnQ_NMsZf?xj8u%p()9%%'%-(%EkcCETe?&r\&%
U"%%7*%%%0%%.%x%l%fijr%tSgn,dLft&RU9,G?HKMJVCEg%k8*X?$*-4ZO&^$ZP[
U"9jGVVaGQQ>>>>PEEmF0\uaWwN(HriOrd6_3*JF-F.gK&X%OTTfDeg)=#tLde'$X
U"WO$Vu\T#$.]6)z_#$P&<\q[8FELMEP#[o#D#0*0TXni8%j8n2]O;Gr:;*dy3X5W
U"IdW7uZiI=?xcTUbl#T9o=%Ei\h;vPM_1sv?5p'\:KDVmn%K]ruFjtD*?IRxtRR'
U"MeaJhSlEBU=cx+OmFL\9x^QpOd#hl(<wN?5faI0=or$hbXC:(H6gdX&C*C4B,]y
U"b()$o?uq3C$<U<vfPJ9+^mNoK<n9%GLxf%'?08)'kxaME>Br+?*fNcpn5^JEgb$
U"?TX4;XVdn1Y93)T;p_=c]f+nAz\V^Vp=-$c,u%p()9%%'%-(%EkcsE>_c,u5B&.
U"%%)'%%1%%.%x%l%fijr#tSj'4jeL2RyzPhla7+wdii1%FVO7BjU?w*/S51yI9BJ
U"9M;IJ2W,w\'qm2&.ShadA4Q\A1LV/xGtX<1%?DU*a4Tq'Q.p>UWT5(+'&SwI9%>
U"Ya;Jt1Z)b:6IDWs+7gS'D$Llthk6THbpAK'd8&KPYdJuGw7vupveh?TXw^k.V[I
U"f,SS_AptwC;LFOf\SuOs^zI?ujgkNvThTuNZTWqIrWfP%ltK&8SUu_.&4No_arH
U"e*F/rr^1\$23nucXgcnsxJYbBio.rh-RXCw2+b-f?kls4;Kt62]m;'e7L+qs_Fe
U"L$s>H)m13)nmDKi6[tt<$q3T.yR&'NDdydAYdCL6iryz1o/dwhdz736gnNX^*63
U"Gsi^wefMLb6rS)>d.TtKW^^oO2gzyalRIOul0_g-T;8sPdXcfB3mRHVd1TZT,F<
U"(8X'Y(G]hePba=X>a7^Va>?]\Gku8K&\V/YFO<kAiI>tz6;S.qCuae]5HIeaFTp
U"iJnQO?E%kOa&(w.C6Oluu[G7?jX[Vh^rHW2M9bQnJLNjc;f.nd\dIG6369rw9]_
U"Y3o7.^lrc^9<142(.N]p]R=?r<58N=Z4]9Obt$?KbtisKNhC17BtIbk[V5%eD,k
U"2IV\SI[);7cUI5=$x$F90dB2>,R%)#[Pz*j9f5q4;iY(M*cyK_tGz73[Qqx8$[$
U"NQ(/dDjPaY:\_=/BR;F8F20Wjg3/X_0%)7pFm,jAH.-I]gmOiA4%)7tF7(G]RI'
U"no_\s*']fT)aA]SKg7%gExMG3,-H/]eaME]O-H/[euw^ml-rAN-ha+N]H6Ek*'h
U".kFXt:0_p.:IT.rGSuPPLqv_K+6kH'1nt_746k^)0k-Ty;Y_8J\_>9K7Sg7q^E^
U"wAJg-He^e5wA8,6kM*K5RYZXH#>VP$'G'N;*p0o3sN^0r<X<kw]\iqHsfP(A3De
U"zz7vR-PcEOJ),x$S0Mcjs'wideZD62fxvD)YIdvdiO-.kRpuk=XbFz3WjlF:Ogs
U"1+x:BooN#CTbzWumtS0U:AnEWc.Zr6R:Gh/U&+#ufJGuHGZIRio6Giov[+_D8^p
U"Xh:G>1mzuVIckgdf%\Pu>q/#PGrBsfL7x\h[2PThk:d$p'NG0gguMQWZ(Ap<#,+
U"oAG'w<Kc3^jz4d9M=t9^aW.B3b+[_0A&npW?xs2'ls,^w]eLdwQjbDBHme'Tb8I
U"&'%f,qxqv6h^8/Q)ynZ3A_fHqtR7,<J<MiK:$7:F)t\x_-/9_E0Zf,<J.RGcsK^
U"D0-,[Z0iA]X5-,FZRG3C2PU*MrY_vU.SRi9PiAY_s<:WZ.VeTZ/nA1ios6hJ0)/
U"_dxK38%1V-iWrQ4ZCDQx_t%8QCW%3Mb/%zq)gocy<+oN6EB#6jvKFAPekcj5g.i
U"=QM1I<X%'j5-HBZW6aIjE[S8*jAA('0Ia7Qg9H7Ox;3kOdhP8Cc7Al=kKuaV)-Y
U"\=*XIp^dCKIl.O%'rm?50J*svO:xfu;/q15FJM:?o.'t:t0U(]a92/4V<AHNNmM
U"A&iHCkTch>sgJ#J?kF]206mfs]olsxlA'r.S6NiOl5LBcCmNt6.OKpYa/BY4ttk
U"'M^-s9\$>1QK+oZ(YbO2O.G:0XoQOCOG:^SZzq<XPolYXP;-oWK7:+ON6ivI('M
U"$n)uFd8iPOz58TQoD-#ZJH1igK*Pa0^QwxZM)kIFPVt6BT?%e7J(<-m$Vz+APO^
U"=>+6^wh9nUxux/jc.'?5q:JWwTi):zvqwrcd[p?57pK$><E15>8F?I^e=3[*L^9
U"V<118C3?ZUbjb%0sjJUa6oKIJ[S(z.dO+nnBe_f7ZVj&Y90y6jU)&9815?KNf&u
U"6EMztmj>%-?5dY\oV2/7B^2)bwKX*0%/mr'X-)Q*IU%Rau4p_%(]fu&PfHrU)lF
U"p/NPj[%5^N>z]$/#Q:/UC/-EgSTKw>t.?e]2HpmceZJ=0D/cP(zlUUGEkf=79+%
U"S(c/:Fg10RUSD6+b+eQE\%Fga)c;eiCB,'IZ1eglm.8FB-GSFne&Y5=',BR$ZO%
U"tmdC1OV[UCMOi+wBxS$jV.wSoQ^2LSNGRUdclVOsw?dIdIL$Ub3kVl&upuhZuNR
U"4(w440nT&H3&$r1rjV4uD0-+JG'#DEh5gmBnrMqHMWcSL?7eao9;*Ee%fTR%;J5
U"H_RO%$Jd)*6TUE2IC'[R>+dr$iZW6UIu$18M>$d.#xk3kV*7V-2&eP14wjt97q-
U"T\%8\6^-wZ5h?TMf1xm'oO]zkzAowE6UuPP:6>WpImBite_X[WbNh)Rdz6dQWwL
U"F#UC12W(qdPG,C/G1]/u9-(cz5mE<3Ol\#8FX-6bIa^6$v>LAol8S*644)6^-fs
U"HWS_vMJI0(y,w&Qdi=#9hfd.=Yo)7+-a2^'AxI'dV%?.y'R)]mO&>jwIz*%%?w'
U".h)cr^e#9-[ECe<Lo/gO[ctej.9Yk%&o6JU.geG3/Gn#f)Z.kyf.ld9&w9K/JhM
U"86=^p#X(g+.gMz-t9+13ck_UUN=T.%TM#P;L0G9Ef3YsqWQm/<&mT+71[7P2o8\
U"k=8$[Lx^GI:J?T-YM7A*0XXY5R\+z^'&.GD0Q8:$[3c:G#'NP/:)6$E:XX#AmlA
U"6/+.[82k+Q8P>[[NPR\Ks%)cG]AB.sQbXldP;#kdooY_:r3=\#7prkS%]6.9$8U
U"71f\?+-Gm98$^R*A$uF71n?Bc.saYX,u#)]Bp.BUG]4g)6yQpT]l*j7qgY]eI]B
U"FKGtvDAktcB9L)6=B::FG_x:2so<e$==H0bD60cXBBzd6NEm0uB-Z+zK:B_T^$a
U"?U.z'F2FZ1HxE:S7gXUMY]&s+Mb>OK2?<U$ME#Kb5bZGNY]ns+*bkPQC'(+FIZ\
U"Wt4=PvD9o%WZmqd4IuXAz?)F]31&#I4;y;J?>q<:(,[WGSS+io[W=R:+I<983#a
U"JLxS<oq\uiSIetg1S:(V6F/%2CaX+nu8aN8[$IvrB*.PsV24%A$jMdaKI(ngD3:
U"1S*1]T\f_Ga8U1rau#[nVMqLrac9CI0+$/sl[I8W^5m)a5=n.5FhtAaCZaB[6-%
U"Mwg'ijDHV<2nN+s3TjkC=m?fZ%GrY^IJb_Q>b^1xrr&I8F*4uBsakxLRY7<Ns9J
U"9N+$cro1*nIHT0y6$_bOhqb%x0LcD9Q#pt19D/:RZEWMi&V7.[mj#+\m/dr%Nq#
U"dm2I4f5Prnu9wf6Imm=3]^TCEnp+cY[cbirE&8/Kg^Scl5MCdSiqtB%/Esj-n)C
U"8uuwM_((c%Ug$8NG2klCckFZTufd<A-P=U[#lTRiMAIctA?#we0*i=Xx1X)\BS[
U"imlZ#vXE&<pPz?(r8p5M(1+ob*Pm_Qz%W/ek%S%75S-B0%TO$Yk-VSHy4Ph*Dh.
U"=o=4q%<ow6Rja(]esG%H_'B1kqx2hW-w-yB1*MN8EO;M3Pg./W]v3w8)Ls^;%W1
U"h+90_YJr2VY>'TA,t>RqBDYRwH2c>cme*TTH_?od\55xJv3bO]1%%ul0t'*_SZ<
U"HS]pGsoS%[tdnd1L8l1r(^MLg,8ZNT'w.Rkpoa]V-aU(by/Xe:CaUhSi-Q<414j
U"IhFb39>=>v&-ka*BSIf4-$Iu<--s(rnkJEv/CR%$AqLmO>bmoZ0MR;Ye#bH8uG4
U",WXi4&y/,_%RFMZ81#n<>ar>.40I(B,<(^VV9-NsB'']j=38$Skq<Xzu7:gbsO0
U"%]T8a#jrmm;y9=xVkY1O()*8n(l?Hn\._oNpKnS3_'<L(Nft9rT/ELh:M7TL:fk
U"#6IttQgK:5L9mlAI=>v/\DFW5Ec.\lJ;2H4AQ1m\hzkyOf_[Z%2XTV-=;oI0cvV
U"NOY5Ak0:.1gt9Bhp#lVN;sg+85lsWOPbh?0MW8]&ZzV<UpC&-;?ea;DWND?/5%F
U"th9:*7Y'QJ3HUi?nJ)xy%\b:iY8VuX'\.'U;tfP-1VNrh&Lwiv#5#pzgOvj7?%S
U"S&<)_N4*uA6m4&pYAE0w*C+9-RG2mYAAR&XLqtKd4ut,c?WLM.BhQNFwKU4v2a3
U"V.6mQRog[WMAN)altL%2rh[Lsiw31Fosz:sPDC_m=/6Y9$b)=:eF[iqSXmtr198
U"P2Z9/UB:VW8q(4*x]YlkZpfkIw9dUOfC/l3QEAeQ0oJs>#XsV,we79GGy1-9MsS
U"Q_EL+%c%9a0w/v5tK9b3I99$RiI7/SaO\-)j8>B%sUR_.slV8tI:jBglV2K<a?E
U"_R_y4'6Z^'ZPn9y(J]Zc\<e-xG$PFCP1wnF[YO)+]I[LPt7bOrL84I&q0kt]UiQ
U"0+p:a+p6H6YUx2i0c5Dj,gA#B'RJZTi,YUe]U9O6J%N'?17y?C;cmNnFH_CN=8z
U"$\otf)Cz,h]i$RqV\C1='K0?h)V:h>43Z4s,,_tn8psdO(^o83RZ:cI0L&LwmCz
U"ePdjKde6P&+g)W_D$65=P;ZvnYqbS_'cMF:hg4tP<<[HA]Q\BB]QIDVA]7x>um#
U"T=4D?)(D3TokUySz[KBiN%I'cqMP2nK9Wp=a\D%)R-+CS+AlHRSTg-G2%(3=#\m
U"JcO7VicG\kn;_1s>JK9K4t+Ea[?g[pkS</cRbIqO<:&m4<_ATIoC-g,HP10O8gI
U"EPLV-Y>?L%k#?uE\K:NL7FzZvQTuTV#jx(HZV;g]uONH;*YQ-N=L>CUdE'J\)zP
U"0H^/w<*'f($p?V?o'HNNtacGk9b-E[%-o2f1F]g[.BpKL3*g/\ETW$>:')m'a2e
U"MaAS*%]/6Bw./Ed4%r1UNY+Bc*ZL)ozlZ3S'JC_CtjZ'/ayMuJ)D:tb'[ia9lgb
U"8MbnN3)zzuN3$%$gx^()mE>CI6qyL'c>W%)O&9aH$?Pa<N=iNAY0P?ZqcX_WME_
U"$W7R192B4NF+;_aq6RXV.=2Pt0lDX2e%^*smVc(uC]-]2W+1qFEZ>10v&Z0tt\6
U"8]a&Xtb.YR?Bke'axT/x,N<m(R#JB.NSXH1M#9,X+*LDKy;4te\JPSAQs)TC2K/
U"(ht<A=(D[de4loY.,So-73OoE(nyMjL?q625,M;I\BNV<X%HYNC.M&Uh6'/S:IU
U"d*=lB-bB-p-F#.,h>#HnD7hf9rhawnhdgwh2EUHeGfGP:+hTX\TuTxEoV+fe4xZ
U"*xS,Z)[i)T+g&SQP^FheID1<%w6ZL5VmQGA=SLnKiDc+VjR=7B36Vet&2*5e=Ve
U"XUm=g5Q?k_3%QDmYp/j,t3.ed3*&tH7&\nI?[HIwqiQIT.fgW<V=:6YWh8,?o:y
U"=nHdZyZG<%R>BR2ZdLtuVd<roG=WZ%p+uP1<66*OJq03QRZ>p/6O:OSpT'>?)Db
U"1FXl';u0:$[)qH*(BC6Qf1#jNA%uk1W)*U9g4g<O1b9E&_zX=X:k]Nec)c>O^%7
U"C:/yH'a$_A.e<q1.#P[q1[J,hyzXKNjO7fd1#L)taoJk[<#F#*V/J/YZ$A=Ih<t
U"b&n'UF2i(L0oiw%c.ou9,s%^j[^i'1[1:3g[lhkF?VxVT&^QC?n-g^)rJOB4.%.
U"7b'8Q)A1=f[RF)8bLMDcw(=%ja2H$Io+EB+i0aOPq#XEg...ITf\'ps+2ekoR[^
U".kG-r1zSln*+gi\#%k(V)W[kk-^>d.sc+.\_taNC66kEDGSzkt\GE?J14_<ucZD
END SUB
SUB V3
U"W;>dsS\A%ge^v^=0v6rCf?ds*c$NG<&RPF8(dB/<3H6k,1jZBU9't$k+,[SDaXV
U"OR-#$yUo2WJZIR1MP0GK2,hC<u>K%fil;,R18g3jeer^(pT,3VDVKdCl)T?G68=
U"DEr/lYX-qf0l6Or*w1)S7/,]de>.B8=b09lwIX]fn.%j4S6H_U%Fbge'J>97QWq
U".;n+7SQnxDLUWIfc*iFsoB(B[lQWZ[-WT<+=\FeT%,W/)X'b(i%j'v#;_X-z]ZD
U"LaKg_\-9ON1\bJ5Pjm_>R?0lKbHi;x'%N9Sxe-Iq7q0FmD1N.0T1X(P109?*R:1
U"qNbU-Ir_F%PMcEqiNFqK$caaW?EPm5'6+Ev2;O(Y$43HHc_N2VeUiqUh_5vV#JC
U"BzF\u5$eL*Zed9<ZJMc;_35?<sWW4-;.UdxEy1[Qv_5bRD[,(PbA.B,yeikV+BB
U"PwJ.IpNeZFNoN^V9d%a4M)9wkY&ci\&so*T^[V-ig[1DG;+SJ1e)m#hTe6Chyc8
U"JEk;sigQuqR^u2;LkAQY#o-Atib'BT=6]F0^UXGGt^Q6+]D+ypEXb;E18HglSO[
U",gnFJGQ5Rj^,gWn_;?5:,k2sG$N*py_ZJ[II)]r[=dYMsn&V0L6nZ?qMDI>Da5_
U"AWu^Gr1=iH?:no1*'G4GBYTE/.>vhVR'#nM8l)0+c6(Wxt#ef;1V2x#sONN:%4Z
U"lS<MO]g[256Q,2=phV5BvkQ_vsjX'Jt<VvBv[E0;>lE(jx1cpb*6Lykm\L0xxjl
U"PM<&YxT/u/=[#aGin%6ALB7DC_3,bF,]$8G>3EIpkJlXe1hILW?JL50mkj%OPi^
U"s:l</bk9\J]pR4.ir+)E+J/Z\dNN1*%d0P:q.fwvv/qsrqCB\vv\Xwl\>P2Y?eF
U"m^cT<)S:nHtdBtZMT*X]UT)iTWJ6mR2cr8OxD.;:x'K7q-\1A>k2H<*8?>KT/:;
U"U#&<jD#UZ2Bo04_%L:7t1O3myLWmkugaPX]P8CbnQ39Gm[iFbprlmt^P-hgQtJf
U"0ff.d[QPmY4l%U:?D^wP)TSAsIAP/=R?<P/G24a5Lx<0>$Vb-oV,qlna5kl#;DI
U"d;ul1lH(lH&fa9b*Gv25lt7$mBVd)?=%<Wc,C=,J]u5$I5F0%Xi\rK,)lF<LZmH
U"'o'k<Arm4WDTD;\HQR/bf;<\$-74KJKb]a*<5p?Byg[m>Y8%2SmftEdoX>k5IMO
U"V=[bdF&6TY7lmVJ\2#1d(TO0>Fjc^5$b?<c50]F\g[kIQ;h12TFXm/,;s3h9IJB
U"B[m,*,haRSce^vSb-5WJO3E>.bpo:wTI6$*sIG0Abk$#?e)N(Bo?U;r)dBL>2+<
U"ve#;+AZe]&\%/y+R&%]/ISORPbdDtI7f'aF#a\QB+vn:jKOVUpx(X6b%d6w%s?U
U"6x?Ql=<FN7Gw.*8xw[II0olY-AH_miDAuEJvIemMa(Ii6.(QW.1G1:VctX4Xs,c
U"6%=LN+IQ/kClEKuaJ'O=NAoQZEIeU[2EFXeRh2ct$TNW5F_o[wlqTGQHkb\F4J/
U"2TarnW/iGX)hw8GAJA:fn)D:f^%Le*=Q82[<UXt6:108,5nWN)#FT^(+Je_KfBM
U"N&eG4sU-tOd0U>8Q6d_>GWm)&u$dp*=MmktHrG*>)xv-T_Xg,KmaJqQR?NHv1CA
U"zlDq>Bx1CQBk9Vj/z4lcPy5PUuHs<#UcApdnzAqSg;d^c(1KdmguETdAp*U7*G7
U"W^<7omF0ccwA>p=5BrUIJ=Q3BJZa1]>4xE&H&3^a'<*Q\$hPM*</l;-vJ_uIgAl
U"\bcqnkT<E:=]%I^i//.5/o(1pYIE$[g6x:r[$ts]OscVW[K[]eOq%oTT8+A,7uI
U"oco8%<[x+GSCPa?EXCgez=h$c\$A4[AC=RpgdmGoO\mM*.3',.a?ILc4g.\:)-[
U"itkK4Z%]Tt0T*PmR3q7WPP*lA2/;vJ+Uo+4t>6G;D*>eG*dD;=hJFU*s19)/FX%
U"BON.,F;fLdXChu*1kN=yZ02HUdt>REr_,BOE3X4;L2%ir\p,[UAsAI[n7,j;nt2
U"mSe<LsI-bWI-Ll_G<YeO:?:RS-f[1Ll=*Tpl5/#E;;Fc=tR16kWc4EK'r4'<(?%
U"2a1d:9lSYkRPB,r1NoI-l/9WJb$MwoEn-l\\fd15(Q>EMn0pQ&GDJ=]-S*(b0MG
U"<\nYVZnA7bq9aj'(2IuE#<l_I<95NGaHl>4ZnWjsO;?E>4_]eIx-08vU%qq]d:)
U"^WDAZYEEdD6JjINi(=XB$dtu\U7XPZ2CK9.SMM((]cgBh$sTD+.gW.LEo1&enQx
U"5HbY=5>3;_aY,-ta.D>m:>K')m>=*HJ^V2jKorfBZXgAl<q=/#Q*Pg*jkgVEuE$
U"Qh;?ZG_6g*>'[#.?UZV-opQ_J,WR28tW%>VOdck$*>i#KQ9-,?+BQ9JwV(1q;aW
U"u+])UnD5;G4q;q=Q>GEQDg#2H%r=aQ)hk\$iA1C-6KdGy;eK9k6d$F#oWgSE(*=
U"JVVLfHUo#&88c6,LuW'%$81Kd8UDe6g>sG3;V6mtk#Rh^HD0RK1GMR1ZWiI5^JB
U"qQweF:.X,\IK-6>gqWk6F3^)NV0?or^.$Jip;U,\X7WqSW)oRbrf[6PdKGQ(gsS
U"?xp?Cmc:)*C27L&PL.EVRTqW-ZmZ3EQB=*C1a*ZGDu*>gQI/28Kxc9MN%eYv->1
U"-z19/y=#S:&LJnT9U(=NAcO0Dw#maGO:.q<TR+)%1u.=S_IYa7Q&v7>*s<ogenS
U"P$pho9D^2G\(&fI.ua^mcY0ebTLWIq_2O=('B32.gka9yaf[zC+OO3oY+s$75*t
U"1y7QI:z:.\Jo(29;fI2o\]&b<+)-Iw.7d(Io*p-9h2.TII/7/0JonN;:iW_EC\:
U"f)vB^SZQ6#r;ag<[nYTT:\,KU)02>UgC;LiR&9hO]1C8B:(7:W>a[Es-MC'ub:*
U"8nJkBD[Ztn9ZC_5LMs<D)GGA%?USD;)9GkDm=\CWwFez$2CRmZMG1ka$odOHd+2
U"[kuWMA)a$[/QHLD\,hv4IWn/.PHM.-Hxuk&X,OlqCS*A3K0FIJZxP49bOX__Cax
U"w:)2mn+Mji9Q\F#($U]#\cF4V%VY25Y;A%>VqwqU2.QB[sqe]kc0Cq(_./Zeni+
U"CSC*K$.c.Ja[JPu9_g17X\JC;Xv>'+_3nV7V%730'8j17)$:]f_PfhoSEI2YERD
U":/cI/r&7\uNAoSE<9Yo6EXiOpQf0q,V4tfblIo(JT'VJKaLxK7lOjluQdm6kEw+
U"JF+bwWN=w%[UX;E0k?fQSHapVCDUE&94\/T82d'5O6j8_yj(E.ZCc.%?(>L-r3r
U"TANm][(dEk#x*'h']:]Ma^:#)2C[Y9C/5olG/-FOJp?[YiDK&jmsd1-Xa97R\4Z
U":=jQjl4'5kp-g%=Z0(>0<GaIq=&e.sB,[k85S2TkR8caJa-_lNdpa8ePUHZ[I3:
U"_-U3AQ%HT3_%J;UCHE[-gOKl'57gkE[zRK%RLc=gv)z&Yw-RF(UsjpfpL3Iziw%
U":aOEOfaE*B[$-:T.e105Kq^.y/;:fu\*R'H2&R*i&s;0w,R*oRCE8;s5I7SRIGZ
U"(_3c[G5(bIu4S61AYt<*SdtM4)PZQlOZ3(Fx*M\y,p3[:SX_DXaVi)xMMW&]In8
U"0[=kW='dmX1\Gsk4E\:3p$+G_fL)$2qA$R3)$Po<p]2kcDH;whvrt_aXKwlg>Hx
U"2/UTTx3ZP2>ENC)'LcLa<4eSa,(I-:iT5O1GK:Nb/bv*H97TWUDFk7sYmmL<A]P
U".6b7i=r_#SGBNj5kDcTHt7]VTd(,S=f7]:^c(WXn7C3KrO6SIbotv7ADVIKkZk;
U"JB#PGp:P/bO&BfG17u\CbUb[h#X5>-m9k7]mHXok^:Aw?Y-;i04=trVfpF2q=YD
U"KddP>rd)[nl[=WOeW841I/%lA^XkJ^gfn-pEOiQh.9kq*C\m$:.h7JV%b^A:\<f
U"S('4gNeEa*:W#cLrc3kIK'PrL,YI\?21niY$6ET%AI/H8D$mULLV3x6T'V^:JCh
U"w+lH-bHl$JEZTm)2*TY]fHg/^do4R+Ut<*AV\%SvrUqq/Qai^X234l/S5cktubY
U".>)d[n$tRaB(H9_?gMr%;[NWF+/,uKdxhq;P*1h<r](tavMUSEt'(M;'u6fPTrp
U"#?k]\cIauC-.*n5/\$x7h.Y[ArhsK+W%WL4*=+cl,tXCv;.a7b;1+C78WLXlr::
U"%qeG9F-=\5=Gd%#C\&[9cEGdtS-BqQb0<%Q7'lB(_]<._53p]Px&$N\jJ\#]p\B
U"xASD>(/$J,A;+Th;emA6Nj8OHc=hQ%47MC6ee';Gnp7;bCt<=X\3:yA5s1%2jGC
U"C5mZ;soTo;1NwJ2+'wp3>GFuJV2[j[Ds>Gqjgmk#AU.>fSRD_i#X)57Z&&pfV+X
U"V3s:0$<dqN\a[nx4w*T>q+a-BME([%>AYQxB3VMBla=TEFb[S4yOZ,T3edRq\68
U"L6C7pdstA#1Sv<<37t0y7(yrGIG#P/Bf[S(ny4/Bl[64qc81q\6;;I=O8cB5Yq;
U"p(RX;i5?EP.8rI[^1f)*IUu#quYtKkDg<87<PT1u\.Z,,9bH%L?2LviSeA5j#eE
U";AXfc,]FtB]fNhEH^p?N-Fx]UhV><2BXqajsaQ\69?7s/e/RLR5k:f6I]*u,Kc5
U"Z:0R=QA/0kES7fb-1(R^=tlHJF2'O<r[G0w:DtsCKt4EuA-nYb,c]c2;Aj:e3QI
U"tNh(-,t[D]T?K>iFqYkZkXAmp_8PI1-aZQPm&OfseXh-V>GrCz2K_2:up?TUaEO
U"]M>IND$#peq\*+>W1tkU8vUvp6NjqXgZ=BiLF_D?Nw[wFI7;zTPwUqvJX_-Eu?f
U"*dgya-qLD+m,YwiXpbW8g-r5Gtk;1D5[OrCBTAe<TcL\bc6[wKk#5zN]N\Bd0Bp
U"]EOBq26VZ2]-K\*'HX0kqF-wIL0q4IS4Bi0AWS_]1cq13NS=8%\S[F6pb9$hTyS
U"T';EU,?a:$6Q417SBNfSM%AKZ9/zH#Fc0l3#?F=j^eKd>PLbn,+i=vx?6.:ce_a
U">t%WU8045%B>a*dv^SOfY\a3-EHyJ&fWvRANV[_R]WBWQ<:G9bkf+if'PqHU3pu
U"aAR3NOju9*$CD7CbD'u4+0TAvK'rq+Ajq^ME4#$t+(7%y5uU]=O0^)HUy__7KN0
U")7,F(il4^j'0htk#+^jqA6:ei[[-sMkgC^)iRDdA2'Q_gSfr2^YY<f?Ga$muXCK
U"NoczSdN#21sDc3,3GJv;=XDgL^Mj+j2F0UV;tF,R6:^y/(^61oCz<gH2)W&'bxP
U"fIfhs[fqhGc7:kEUf*_v/l8RDH(L1;r\EGk38yVUVp\A.sE[>[ojiZ9n^qSWlh5
U"T+&N7DT?-.sdqS<S]F<DJ.iolH.hVw&9$+hqPYGgkH0-?gVchE^(?ogVT*\Jq_w
U"5;U7s94qUD?ZIFE)(H=I07[.&.=E8(5C>RQFjm>&Dfv>&>fp7x>?>1>*nK'gr0V
U")\^cC$a3tOv<0xa5f_8QT86p[>prlJG>K+p1LDmm*t0LT-[R7-W269;GyGiP2JE
U"/LDkap]\C\eK=HI=4&D+SR%s(\mnF6LHtG8pr?#Y<B2hf5*90uqC+Gd[oLEJG[y
U"kjP-6'G+caxECHwv2;f,lY3,1NPT,hT$F'nn]G=S.pNW&Vj-UXxGITCf8?<cj:Y
U"i_DMLH>Q/wuDPIg:y#jjQ0T0[>S#2[Rj7*Hzr-,c26$u/6q1es+%$LPw'</YN%#
U"M2?Z0F2?2vEo0uD2zL-L#RL,Q<bt62$YwZ%Xu.;nZ+kdH]r8uw$=RO8Q7iv]BAz
U"L$PzGm+r[Le[Y4e:647qQ/S*m:fHsSjr6>*&?JGHW(1pC1K-'QuVIX<<q[7X22>
U"QT:V>j;'BM<W_8)d:yM_,Qr?Pv1'K:J*G&k&Z^Ym2+rYc0Ih(ll']d+i'\dBl_4
U"q-H+soS*)-DSs*o%$Qq*Z^sn+L52r1#B4P$kU;S4=CRa;[+$M'r&(>r=Ll)qq<c
U"1%w(jvSUMKLZ9F0fzRS>-+#FaX53a8g>8V6e[0(Rv6:,mI?6bw$h(CT='ZjRq#G
U"4IA=^dUiQ;FRs*N6<(xP)p_77PU-$o2?&gc75.kk#Lf,\-Dk16:_W(F]8\>sd$h
U"UAOn#->Z]:ZM%]#h+qVl';Yr?nLT%Pt(-A$%)=[odFY*V;#381nAOwS6J,v36BI
U"&TI:^1M=*.il]q]\DZKlo&KYEJ$nq4Gurk<=j7ktK_Dud(lClP_Y0^Dl&l\.t*+
U"F/f#+F/(k=4*.,Xdmf%WmHI>VzqV<7>I7DcN>l9$>i:M<5le'i(i*bGL..<NHjI
U"=1qF1:lm(Ff$h9?1$r.0Er*e8QPU.6$Q0LpbBs;(BE<?UjrW<gK2B2ZSEQ\aV<B
U"/g>aDqn0[sEkUFF%0A9CL<a2#HVRwmY;2u;L>FtSZ4KSt)deN,[u',fcH&:3Q3O
U"i8i&Dm+h-y36p:N6EgX^Sft$Td*Ac2,ab^&Y811E1J?=3vP4T5_d/Wd*a0rjW:\
U"',TRM[Vf;.Bu#l#?B3\^r8aSgj+MuOD7CT>T/-Ya=gE3iND-f9U*,w]\)[tJ'ie
U"69)Y8(l3j:/o\]#xX(7W%0.uPR\9[^q_VYRanZ%64)9XgToZ+smm'^[t\&?\3BI
U"pP'k)0c/KubMtVT?t-]NwM*],OhZcQIA\0U\va[i:nf)hYUY*9Ocps=-.P3ADN8
U"ZesTB70:5T.yg$2Ue1ElCYA#A=$%3nPo/D1Q2D[A<vlDA0GF*JP2W9>*E*=xdZ_
U"]/Qi4ORn68-VsMq()smYb30vPER--=st/2)E[+k<qqrs7aNC)BpKAH3KT\/8$BD
U"6w_BO+j6w-7%$GCwRisC+JGTGZo*NX5H$e\;s>[mXlKE,PaYx\[EwFLYRW/bExC
U"ZIqIO[Whxl0R0Kqbf,qNkhn+FAb,HsBG,fxz,<BBt?A6=z]q(DwQGVhV]Q+A#<-
U"<<BgAwSNfs\NYPWXE.Tw/ZFTQp,NH=$mML[JYY'XN^v<j*5UtjkT1[X#tgpj)<x
U"]<4owLL2rr<n#QcS8pd'c;h(oWuM)<F]_x^?R/ZSoZ\Ev^DM#CML9HS[[eQYZZ0
U"Zw#tb?P[<5#q$:6U,rt#AERS?2.o$ug.E\bE);u=[Y/aOWVPb=6,g5:SPBD]80C
U"]Qwrb1DfQ7p?:'u:%%A3Jczu_mA:K+NPw0\2Gsf?A%ewr1tc]G8FR;jWOglhv)y
U"o(LrCa(NR>>jq</8B9&\;N\t*wp+Bme_Pkn07u2^]TuC\lUAVX2Yk4CQm]bEpF=
U"b;yqtze0suvlMXmFG+j:N&Yl?qv/mM&#mnQv/v'$Oqo\Z0liK?>'^'XK9#BEi%W
U")pOXGEY#1?+x9z6\OuiCk3&Eo8tosvi_\znk;h9;l9l?W7jd(3KZdRx1tn&,$in
U"pqo.DxbZ<(6x1t21od<xYMoffh]-pIxzQVmvZWwCKn=3sLs:s+vB^-e4hFIa^O5
U"Fd$*;EgE34g;*k:'kb>JQ:BUBJrcH#W%.>d>.?9c$K/.Mb0Ca<hVmf*;*kgSntf
U".DpEU[C3A44RTI54=Imkt(sBOdktltcc/_)uC>,7)ZIi-x)XSGY,aImg%62cttb
U"TLa8J45r*+A'Vo__7GXh72z;Pfbxcd94mDH9<J/iU92eXj&tOanZ#,-7:/^tJ?^
U"<<dc>+DwioVRWK/#f&Dz/EVc^RIGN'n_sti.\zyj)c90os*rMSaEr+LX5rSiMnK
U"]t^4K?kiJd-uj2'ZFt/;k)r(P8^-Qh+gTU%4IT%Y(kea+vN+6x3QD/h4NPp&koO
U"Ajx4_/sol^oKd#PG)nz&U%3f6TU9.KBxSxumD[p5=qUUet3a*ZoT[I8(pAld#B[
U"/_oXt2I5>tz#5D[O?SdZtF(wxnU0NcAQ6KV/.=g,S7jU14(Bc6.7)_SmMO\-.5-
U"V)]$q9G\_<#cnF1WZ^:b1QXat+7hO(Xp2Wem#W3:NorUqk%XJXsjgQa1X&)nY.J
U"Rx2'qj?xx>*nk2F#8f]j.p6S[,k.F8\ez'%/P[k:iS?e0oZY7P(1]L>cpcL*)>#
U"z=Q0cV_%Nw8*,SArq>CQ=,S6_Y'R)8S,]_JX4Vp^4'CI*AA6D&2ShY\IEXZMYq.
U"p_He;d3i>6+TX*p&iEHW'l[#,dI6/8N9k>lu.xg3I;MXqjDMc-?=F$TGg]nUAd#
U"YKKbXq=]1h2nQp5#0RmJ2dqIkQF51h(Rl7BV$t]7_7uIeO'Zr]IBP[V&sGD.Fha
U":jGn>of[SI).=u:rlft9FP2o8sl$O0.a+kjf9Vt;B.RtwNIWU4+m/5p)-3buj>u
U">x(Gu^[lYRG3.#_bpp>ujV)]IS;LE;V%*K0A?\i<$*,KsKVVXMjXg=[lUF2UBV)
U"MHYk4f%Wg=-rflklH7WM>[t)2d*Yr,#arD2I2>lLrjE?v2EW.=I\dzN)91+-<;<
U"DuSzVz),x:QjNxcr<DB2WO6QTqBH'-/([+hV3S$ROGiD(.'L(l<GDONBBlDG0__
U":1^jA>Yjij]8+[PnOl_&.6q$+MTOO9)4n*S43x)vhe*xidiQC7p;9BS8]oP=Pi2
U"^IVRWR3=m$R3g2;\yYMt=]4a_M$BPCau;4AC%$nk3N'YM9Lp9kn_h'8s3;NJ<SK
U"dsh^R<LBuUjTXQ%tj]qw,,/n60ug?EDXhAoD5C---5]k%<56GpN'bRL\ZVFtI;,
U"/L/L%>Psc>pGT*B7$]\:;[Qo%]9fK;8>W]698lxjs31^]QYK6w_u>fa#<P$8<I9
U"VADqqjN5*>jo(l4Tau/3+4yd_D9B8P95ZLf)Iyg74$fcKg<zWZXhW0NIO+pOD[H
U"SRq>&mgmtZ2s>h]0iJn%[bCEm'8j(LE%cmL'N#*+W,?7*TZS.kP%9hY+]JMIO&S
U"YV-re]Lg?'o[BYKKBms+'hici6Nq=('n^^n'd$(Hk+hWd1.mG9FTa6el8VB2Q>N
U"q*HKKJ6/tv[_MbJ+Q6jQ&,pZ&Ir7/]j.I;T22k;&T<fc_D1<;*ljNXHW9%Q=Za,
U"PS?)4s[gKYiiXe/o(L94M=Fy\isW&Lxt1HN0_mg+#Hmeve7:'3(Mqvgq*_tzx)t
U"I>/8i?XY;0o*m1-R4:nj8+qL=)j,9]K\NQ6?;5\]wK*80u,1bdlm[e=UXm,KdWZ
U"#nA.Xv(,ZIIrZ_r^S,a&PnT/i4Hbp?x[6;wxh59l^2*d96f8XQ/70gq,:^)-FZu
U"$fG.5^]D&?#<GEiJ5q?+T(j0>)K:aa4hCm1=IHF2KFxKk6?<;Z+?:6e4\P?QjLT
U"RC&jU+Lc+#u1mgnuV_VdebTPe>ab0PF7vG-uAw0u4g/lAq:VR,Sl_7fklo;wqrA
U"H/R>bT5$m;#dDhPpJK/Rimh<dJ/mZwHkqHj0)tm^dqUxx-6gdC8NFX^[>sWS5Bb
U"7lKOe5(f/AHxY<WGbTkp<xF(Kj[>3_<Mr#<0uL[2NOSvc>1xV(#lmD<G\S:YTB.
U"#V(O:LD^]T9qv2E0mC6mW_u&#E:tzK[8>EP02'6e2QuZu4tYr2QK_j;Y2(h:sFF
U"R5B&Z2V\0b5BpaT1>w&qepi'):<\iGw$+[k][/&;r=_>\DPX$QlTlHS:=Li0Ag3
U"??u;=uE.iRha0SCeZ0Vjt8h(4Ss>\wG&TM5=KGF]u0H\Mu'<-0C>p\,4T\cwNH_
U"_'NaIHyS6MvL+55l5c0&QxqV<]j+R[>1o_a:i80V7*bf/Fvb1sJA2fP?XS/Wbn>
U"l=,x[p4bZ;ulnl/&lQl20x;U&$obQbi*wL]4nH7\T\*_d/cV5RmbV+Ss;4<XQCc
U"m(6xV[dr-uYWsvftOxR0?H9Gq'm_UCb:\9I4&kG\/EgU-,7anwM,fe109hQmpTG
U"g8DGJh'&OIbJ4/\EL6)3[mk8W4DIB^A/$X+J,ls6;gx%QL]*b:=S:M-HkGS/2mx
U"+tcxDr8ll[D,Qw3Yfhii:UBfi+kulg8RV:AE6k8Y$-]O8q#;j+u^;>IHILxXj5D
U"o\d'28;438B0]rsuvFj\>><uSPJ1'7X)(We3K%TIh%54U:F&('MPf-5Wb2KS'n6
U"7u*<qNJj0:uoh(LHb>'9ExU6BD8g/h1rKcsR5#M#\9,$el4/4K?_fhA:mS#Gu,7
U"l#YSZAFvIOWjVVqP9<qJ*%'K0y(oe.]8&%F2EDTm,S[u3dD$x'5Zc6-2>aGE8+e
U"lG;77CLa\6OaTm<77Fi_=CZlR7_iPg_UHoZ^cgC]7.mF];sq6tMG,At]uH^,tq'
U"ElNeKq\QdNGmtyI2I>]jZdpUfKO$=-CY9D>.Q[0GrWnW,1w[rK<sZ[Fg86YHM*A
U"Ni*hod3LynfA>N3Hpo2d^$ktUno=$aJIq<#/(,nq.-j*x_Q05rkd2'fwGgqf]'U
U"6EqT<3A;ZYWj_Cc:snHh#B*O4$r2YB7]oNakA4?]ajdrjA%/:6,fFc?#rsKCQ?2
U"bSB=qc0??M-IHPtN426j28E.^2':;Va\p=eY7)4\BS=p[0B<=]$3qr$HK)iU2Yd
U"r'AIpx0$bTUI-_aS&bV[oPQp(:N2TW5%m%uQ]sU<YP,Y+Q4io&Tn4_oDbKt*0i?
U"p3jmSmAeb*7Ce*dbf;-K;(iP*.P[3&hT+4l%NAu&atxn5j4FfP%jn+Rg[E/&9Zp
U"^a4#r=WQGoegffw8WVO,/EWUJ5<R:[5,&TALL8Y0tV+</#1b7<1q^OAexe%(V%l
U"[.a^O_ZJ\rxn.0;P:[o+<?LX'BIKFUE/M9C('19gQ:p>7o%j0BuO+7RLI=su48t
U"gQoWF>6h70+Q3t)\(p&nkh<d=dbINzbkE6%4b'Q[cJ-jUQOo*q,4ja)*AyLs:r&
U"'7B*unXfuTVg6ltwN8r4,$\kk$klbk$a$]ra8Gt^x*=Zl2kG=LP8([^aDoh3)W8
U"HxPHRjH]NpK#JRrrxLnQDGDp->2qT6V3&g*toiXooj\nK:dw#I8X1KEa6:t?klj
U"W8uRr&,>F$h]q\Fw?[fL<\2BnN:Aj[SMp=j7o/&:B;lx8CvZI8H+OQtbNX:Vw>9
U"Sbxuq'7?<UkihHDei,m?^XtPHPX$-<w.vRcdI*c8Jwa$?Zu8sZ58pF4*GJ4gg+\
U"4lgAn4#[c9ek_8OPchBoTl[8mwF()$Np\1vV^TOG2MjVVl4C]pGs,7]lhW$C0_t
U"R<7#rQBaBd4jQTS=]i%1wNI;1w0GXMY-b9E$P:t'7;j<GRq\AZ9)_pX-jv%8'TS
U"fwSz&]tcdAuGoWA70INFm.z2w:%E=xg-Hy8iuMbS->X[.fvXW27(79dp7Phq(CK
U"M4;RS8*Q2xL_o#UAQ90E*pB7,g[]xi6wpvdhhbYhyf<v:'3a>xlAl+4AvQgxn3l
U"Rv^BH+tDb>4px0G(wp8ujV38OFER<6t0NoUZ>$RYl.l>tEOG8*pFyViqRbwGF78
U"vKu,hkGVZ4h)5N8GNrzWx[7QC[^f3)Up/*]#Q]wV1R.4eE=Z*wd?]GxLVLehCtM
U"i8*Wja86H\Bd99nAxjP_IWeD_Es7?\eA#S.ep7fqa\CtviW[]VidvUx^=aqKQN-
U"6K<Da%s79b?H\vMC^;wV$b.]v[>p>TcB0A4hmqam7J;s:6pg;2ljkSeUf86AUtI
U"<=U/Yoc^x7^ZpQDO5Z[_(vbNB04AM]0c::,YF:-Ncomtvjwb&U0a0t3egX.=BFs
U"HVjIl0Hkh*ry>+pG)^#rI]R5PpXPMYl]vy-_7hmY:A'dp%D?'b<YKln=_YJ574'
U"zqu*<&f#fEu#0&u+r2P=4Qdf(K>P?8+q5wn$udL7U,)'TsW8G=q_KxUP_n>=aWW
U"#=n:D22%J.gFV^oF1usihHPPqK+>eidn?oXgp$RtE2(,d</T;,0KZD?^ePqQ*90
U"K7l%rrLXuN:REKd/.vp:D6TW59bS+Ke*vI<&>;4y6avb:YE&gq<,SNw6cCZ)SCw
U"JT5+*Ov<Sff\ES>ymPuvU*_E^$-)P'#?gqP8RC/Z=JAIdDUPDB+roZg>HLzMwxd
U"911U3+4OIfXW_;s4kFu$6P9cCSnl'QkBDQ=zvkN>9)kWuJV2/I9eMqUDVrX,m3p
U"Rk[tiH^LD2%pJ/a.,.3nZ;>:Ydu\laUHodZGMGvr3ifzCA]wORSaNlR4Sc?+V]w
U"^Jv8;[x6-Y=XY6hOs\FQAL(XY#'xZabh;Wh=huX_rugICJd>,'7;[,d5Me_HM2R
U"[x1yCr^aLtov:m_R/7WKN%Pn>.hR^_\IWuBGr[87/:Q)>FLGkFbAqXu[g>I/+bM
U"CO]_dh8\K)TALENuC^vJM6_0*cRrp]#6L;QiOOp?bm8uLv>GHE;I1^R-E2KUKtY
U"[SVI5JgkIQvfh?>0avHogrP,<.spP6Wms,Vu.,k?Z$\k1[,B.R#4V>8:UlpmxLI
U"D4buK%g5>qH/5FZ>ZOqv,^pnmKPJxoE=057lDLsuY_FC4.IGBP(OwUDO]S8HQ'b
U"KxC,2_\q4Vl:1_e^rcO;sqRREU7L6hqBcD#;V4AJu?p'o-e?NSsU,=+]*/_4^m?
U"=(oA#Nx$3K5:u(WN7<&2IoWEOUs>avh0-+u)R#1Ups[Skh#Jwh\lxSHc*BiXXFw
U"L,>n:?vGJUgtkw]B_qHQ7is$22O+6huPaC8:(J.C,buf:=<t:]Dr2xV/zo04H?a
U"#k*Q,_[)MA]aG\\;f*BRbVF':5kU<$Rh',RV,cF>ebIr-b]TH>TgOE)p>p/Okr9
U"-Niol5'jY&D;uX_EJx5bQ%INs4o?8[]G/5g[O2?b1R9=pq%KmNiIOm$gh,9mnV;
U"DL(R9,ku;nMTn;Az+Moo>]BuYti4bat&N>$T%s[iD7>>a*PvO/P:]jwBGAc7h^H
END SUB
SUB V4
U"-G^#;rD/eKlS2ajpxV1O00U$HNler.F8[LaA#JHEcic-AbxS>>^=u9pJO$wl7F\
U"re^WE_IMZSgc$DhI\/4loNQ&pwp-xd^D5<X8x[>-a'0<ppKu;6OZsQVp%T$E>xI
U"p49'Z+--wN)DV3<e?qk[J[NIdIOFeuTf=6b7t^F8kK(WQ,*;Q$/fz[1vUS8g<lM
U".*8Q9=4c\.br3MOQagxPIhL2gjZ)Swt.ODU9RB=^w,515Q5LkO,7REUWs8f4bTI
U"[5c'Eb/$^R6Z,e52N8E+(0Va<?qcl7X\k/.zMm>IUanpgsI8pp9wlQ.&gf1s,EA
U"fL5L8U(%Mle,dxIewcDD;=V&:RqqeJo#2]a&E-gXbLLFR*oVAZ'0AJ665iocC(_
U"4DPiP1-0SgfUfw1UjT$aD;YDdvuO'?>)KF%BN>BCB%pGL8ls#wN<l4.ML[dVrdS
U"8X(),-lHK+dXAuFBqVbuhH*:K7R1GAwkxnievNEdM]<fOgMd-DjWSvGre1+CkA9
U")KqI>-?Fex6FxlaB<ke6.\)gLrp,mn-9I,ft2y017879MW#fW9G6M1_E1'U6bo7
U"#J74F^XJ%CTJzY_KuA))y-pg:raZqHUFFbiD+J'xo47Xcm,CT]oX.cYBj#=Kj_'
U"jkC?<Rd<uB+Wu<FDvS$]im*[KoKpI;bC*.mgsR[v]gnRmLRV&\9bkie[5C-,R2-
U"=v[_>NN+*h*1Z)DG3>R^'DAmVZRB-42t%*lB[jxi]<E/:Vl\s\*pI_Ffu.+(tfh
U"ds.TkYp8&O&6e75zNreD1xdn_;%P]s*)L4R3(Yj5:O/6L&q(sJFAbstJhgqRhj8
U"N1(xe\JIBh,L<n,vZE'L3TPv+3_uzqHMIYP3$?*3#)T_\?U;vkU.?XT#:0lm+,b
U"mI=^y)U\o)C>/)g+j8SE?='S8VciH)&PKAUrOo+v*K&Eaw))a=JA[']7tdcv%l<
U"LwdFci93p=>sI]IYg:rS:\LR)hva#_.^wO+23-mD,miAfB&EjKZREFlsEwIOGG1
U"lRsMWUb_^UNppqwo$/V\FGk:5[Y_(MWC&\<Tk&u(Q,QGYIi\nsbs7XXS=<0H1=7
U"j6ub__0J\>B[(B<RM]2:5g8Pax5:s7GS=L;uNTAnsTAV#2ID,iF&_OiaAG+s[m6
U"FKJu1\Z'W&R05SId9'?6<r065#AW]bpsE-6Umv#K>5<gKzQ6\P;$>,kp<aObiFr
U"]zi>^117h+^V>GEBgQq\PZq^L$PgP\--(;xTs7pG':7rJD&8uD(Pi6^m$B3ubKy
U"6H+dd5v&&\i]W5w)4A:Ze1^&FP..k(Qxq0br36O6>F2]gn_+$s?Wo1BKU<ez)gg
U"?I3>1a3H>g=.c<mSjCK[&g^<^Tih-?n#Jv)sD&:UTj#j;*:<u7D^<-_9%bp$7]8
U"1RQIu3,dgik[5^Q_oDW%xF8FXsZNeBL#Y7\*QU.bw.[7aqk<I6GQ9atyg[3Ddk?
U"HM#l/lj1Li%F$tWh\M;z=t%\fi&-Gkx^n/OIU%sd1jL(jE'0+?(uVaA=gjjVTmh
U"ESWiZVzN+gaHx'=A6LLlwZXkH4gpn_JKuM9s^D3[hNE>\Hc)LjoNhX-]Artz)kn
U"f$PEYGyY4NI&?7$Tl&B8FecGj.%mDt4QWK3mTs1S/sckNYGbEes/kB==hVpo,zN
U"6(Ms-$,+tC#V9;gJbN,PV948tj9=QVpSV:+-UW81*b]vrIQeLh:?HsWB4C:Z[na
U"h(q%b]es5B4nuKgM]GiO?8Dk[1o']U#Axo8I,KsScnmOV(ZJm%=lVdY;s)+T,-l
U"CsgBqSgkOiC^2*)7+eX)y3GrD2Ob,(r3^Ch/n%2oou/'70c/PKo%Bo5D(R5/HE'
U"hbaujO8:ZW0JEG5PXZZ?p5M]5t8g)[pdQR\e#K,v^O<'Px%g;Gbkub-p%XAY$9B
U"SJCRKf'L5lu2+Hr/B(,rKd2Op/GZATbqfjkb/G\L'4qqV/<PajC0[K^LrpaXO.\
U"2qS6K/]8BH%.JI[uInkake_.[N>4+rG6u_Y0nMAWYePL4VjU1e-O,-*S,q%+P)e
U"=co:pXIQCCOM7;sEd2+V39AAk=Yyn_[f)DlL&\eqK'o7l0Iha_#+gHmtL%_(Y^\
U"6]d=N(98:d'Vxoxt^ndr]>zm8UH(KTOMcNPPRVh#uW\:CC;+UdU-eOD4tJU(K/z
U"b:V49X3^Zfv]#sRZvQRoh061DOu\lYR3%9oUog5j^UdGD.,^WA^;y(l;nZ2=^1.
U"Qm;+>qa*6/l=b78afVM+N.e1jqOPbkYvT(>gRvx4mwtap-L9khmC-Ye;zAS5nRD
U"ui9i1*(f&EyJ:W1t3pYB'pl+<xf868-<ER^'\Phm%6DHcTVT08UN,5K&L]pfK6-
U">bb?,=\YbEh3?EI$PMVjaBP(fJ0X05j:xQ2I.PkAa]WK:c?LN.i;8.[\^mK$a-/
U"tdiupif^QTWLwQS)Pk*yA5S%'7X5cN(g/>K6B+G+Lkc;uOe^($ne9ig6FX]r3Db
U"[$l:JGxuM7?=N2batvS:/3j:EZCX>^i?OV65?=.L]hLpwEe=[Q(8EhspS%azeA$
U"eREp9Q7&yJ/1uaWP8WMOc0,?mZt29Ap6H<Q7t6=Vgb$E*Pnw_$U]A>Y2?2<C+O-
U"E0=&?A/dpFWXI]u*V9.2%SLPYR<b]KRVhF:rIh+Zr+4jRLCaQhe\OLSwHilKrlj
U"]^ud<.X/eU8Y+cJSK'3)8t*kZMW]a8%S#M8erFYL+k4#DZB(F9Jt_y5&'vF\QN0
U"D*IfxH'c*J6M8.q6KtD?N+C6A>>WE/WL?*$85.G88sdtF9H>#?zZ*b2x2xmws98
U"]ILj#(\TX*[o#e?u=XW:fPdVJ1)*uB$b&/H?=G?q:OaHs0XX=jfagZ(os-]Q[?[
U"M*WpD[8+\I(6w,zQvm4v&QZiQ1gC8Ke6-,g7hNLfG+,N7WnC-6+;Tz[#N$1ie<x
U"bf.)noc,l%<j1r)>IS9B*8')'iFpb;.[)5;TEIbvYm'L,<kLizlMrGfl%tV[[I[
U"49[3IMGt9)eGogdx:/gSCZL.R$:a(LjehZf(WLf(iH]*5h.kzrP8+O$)Y'w,Kqh
U"3rMZ^u&Yx0b*YV<dB0P+A13:#p9[\OskeklnEnnsc*hj$p7(HNmX&v*XD/stV./
U"3C&:<&v#*X\2ZR0bN<M%IpvM<P8p+LdVs0^$Juhkld=)8K\+VK6pXq^5F]QMvvL
U")+[=0m]jZoF%]8d,pmN*oN&)1>?&C\Fg+++k8i\=nB8u?J4Cgdu11x-tQDUUob#
U"O)C><0/XIX)aFx0b4kQCh7_0azr>U\2N.jM=CQ9\5KW$>%fbk%+COF3#9aWCLSl
U"+PQBD4q8_ed-+Hbi:wnnB0qDEb646F[*_<6<nPj?7J2eMkPz?$$q0qriiS=iEU#
U">ASyiQ2?'[_VkdA]/3r/,6+-;DAIP>>b8m]*F[[fQ^M4Dr8HAa'Tk8X4^Gmmd9n
U"#p];:MdiX8),$^FzSt]wbsWiim6Yi?jK$-wX_,\=uBtuZN5#(nDu^3hJ1r<hJKI
U"fw/=ds\vOb_8jthe#g=ao1,EnE/v7yuT+j9>*:QuqvRP7NPXh_+-6^^Qms3*W&S
U"gyH5loSkVOaXBmG(QuhMH9s**xgfA$tTNT>Gr;(6Txae?+MJd/il4/6=a80IIDa
U"xTWHJqXx/[ShNB>n'rNZ<0ll5Pg?HRl+3HFH5#-)3oW3/DO::&wwzkYR:t\3qnw
U"vj^';vDUnWWtd=409LFKe-0IT^(j?)S91]\[-Se^FannPJUO4RDB1RzIZ(ghFB]
U"Cz-jg2*'Uw6uUlnEeL:yzXup3Q8_#<1Y6]OVZ8M39K[J)MeLQvYJ#CMlwf%/1mS
U"u,.;YbtZ?\/\W*OYuAH^SG:2=V0Ji9+AKwgVIRn:Z(CS&Dp'SO%noe)1hDJ:(E&
U"G9E\?7\Am'h[MjDa4jeqfFrY(^?fi_U4L,M1(.a=:L7mp\e7,GAB&7+vkJu\w#(
U"qwyu[j85/t98VW6jVN'g?R/_7_JxQ'BdhwQHI'h/)SO_,\nhQUQno>4us,59AiL
U"9,RkwzVMp:zAD+B$Q%rCH+9sB&b\:k+P-iyoPP1=J]sjmoC3q'XBhP*%Xp^l8G;
U"P&'OFsS?_cQc\8fg$Io8ybH>&sPeTnZ-egMT$=S;05mP'#OY?\<apUjxnC8hW6f
U"2k(+-0W)dtEl:nZr9.+-erOq=YlW>.n).l6tzY(FiGv0+'YL0[(+3Q4\,Tz/$]R
U"^hIS6O/C0+o%Np_/q.g-LBe>(yS;8w=9&?&kYHE78c;cTih.nXOT_?$:L9][PON
U"PPO^3'+vIT1.u,B.,-*UGSWXn6qOGaWN=eSZ0#WDgWV1.^24o]DzptQ/'<\TOs(
U"ao3o.\Uu0t\$mM1HVN,IM/b4*$p^dxBHuu:L<8RNc:ZiY;W/CqiY1%mIAugF/U1
U"h\0WB1eF=%hVkJzICh9)[;=\\/%2)CldhdfyDxnL,CK?tZBRnrzQX2Cfj'XR'\g
U"Pz^[&745OXf^O3M;f8Y>;;36168vwwd:h+c-inK%V.n'(KH]OJ&Hx^Xb?BO9I]'
U"is.%;]UmEQvRgUIeY/(7I(eN&w8sh[(ZXJjK%mHE&]fZ/kUTBsV.EG')CaRE\;W
U"f2i+\]p7C[H+_?KR7'k38O$aPy8C*s%/)9&c)kyaW)KoO\#&Z;\e'%gLL\r83k1
U"y1iox>[v*sr#p1qR_SW/11r0M%_'(L*[V5WdK,3fL)t'oOS%P>*7C^['93<UB6V
U">fYJ7_Pu:p1MeO,eXP(s?ZvhaSy;CM);LDwL9Z=?Q*g[F5/h\Gq=Wp-b29%\ce<
U"2wSt)UKc>3'ouBE#Jqih1?=b.A>1*4i5/pD^FywG8c/k[A=pOrXF?G$[h')wh0>
U"2:X8s$'d'qkXCE=s^NC>GT[6gT=GqxrQ+QGIu%SFE4-2x:+^Mofx8F3A?DOw2r)
U"rS\s6i^;'SzUGUZO=Pa&7TvkbT58:4XxyibO]1S:oG87Dg5?OQKtj.%.UTZQ8+\
U"pqi.R;gMj.ZHj^zK-RC5y,NDPz8[I2FPGM:VYG[$E^GU\5?[WxpVFAQI<Szj#fg
U"$9sFB;.AQ$f<Od\i*I)9t%I>a<sPXK9YNJgMOZ#w(Z8.oAo=2CwT$+x,C>\lW_^
U"NrxgTOse3K^^>(Ktb<mT11s9em+Edee/(P^drc(+Pb8jf/&>%z?=-XALrd-NJFo
U"h1bVER.<]_QT70FSkl\iR^He?2im8i>C?&^<z=o7*Bgv\4]9-+xwsj^IE>fNhv>
U"Z3$2B-,dL*kGQVQinoNON.\M/T^uG/U4rP6,3V(,H<$:89*v_.X]qS?:+\bN>_G
U"NQxd[];MRBKDX>C8[=9kiRKYJxKTqZnH9fFM+3.QRj>W/1.zUp*'r?[,$fl*/Pt
U"b8Is$<>g-X:QukB35s#Zkvj.Q>F^qt7Bi1_RMcS:$[5^*_DSqqnG392=v)USqCs
U"akxiqUwNH7BM.U&Us(KEup\S=)jXJDcTc:4hVJb-.rG#X;8brx#$)Q5\h1.#3x<
U"9u+X,RNVpe1h_*z6j<nL1S:6XWDfcNGs%FaJJ)V#$vHj*&\.mJQ2ipt&Y^WsK=6
U"H+%T2*b2PJUjJl2xHR^*ixBKeS3tm0wUH9nF&'Wu/'V<Kt#wi1i1NH.zXR=fhPp
U"s&5SC9Js202ke)X7J%*I[.MXPq.j[qQ[3nIqf>57'1H/r(2FK0%Sh.KgoH]=iEC
U"R/EbE/I*QBO]Y7i[Gd_LXjQqK\cl+Pvu4JxW07dG2OP-]#mH*\0+rjHCuid>,hF
U"f?h'Itfb%ipupm<g:o?0pXAR#]rUZ1&k,$sf:s'=*Gosxjh[,8p71oL-rLEO1+x
U"vOVjxCjt0d6k>Bu^Fj&PHNtGaIxY$qD'TkkuDg=YnWRTM1G.uf_jf,[BrHMum2$
U"jBc5ASZxL:6Wt4:F5kR9ql/fKDj&m5u)^TDM9>/8x'xx*wkh1KAd(He3#;EiwR[
U"npS:mcI5Tp^(977FN?'ifA2WA3LuTSQ&Yf\[#%U[>V'iJvL/:VF;#3=M:*w>,$A
U"KFLZa5>?)_84z'WFV2f?Eg%Do0/umh1NZ/VP>]NE')&cq:d?+GQMF'4'zN(I70;
U"E]zeAC&1\e3CkF>bQ.U>RMNE6u5DijtM\4E/zoNjfQ4yK>'Yjdbz]TjuPU;jG0#
U".WL/Tqrp[]5]7QPQ]7g]86+%Tg$;'7.)UdAh,Zwm9T'^C5,N1g>4=E30xu+l<u&
U"4^''fm%rbO)Z+_E(+lpC=qwoq#6W(4%>Rw]RU)GY<5)hVMfjz5*kd7T)Wm3o<&,
U"()HPd,4kCA.&1py*PXSs9c7vf04Jk_E\75*J#i&,iemM39J#V*Pu7W#YMEgxg)y
U"'?+Kv$X^G-]$zHQ5_;D<4ZC:g70C<fqU3MpWn+2gMEV%/mPB3Qkp_GjNixil*%O
U"-^+Vy$,dcEB)?CIE=[)e/WB$o\:sb<IK\zcqMG)_l5#GZfbbuk1PDZ/cmZ.B&n(
U"P7t-\HkQYFPfRM&Oe.zz]mdA*#7%zgVdkLlrwNb/r;e-p1k04mz.3)n/Z:B5CMA
U"'8U[3wy3h91yi(#CRey:?'wf3EEe&cY8mgEo'a#VY?s0>$:G2fKsoJs$Nh5Ox&q
U"XigMDD*+0m>esh-FkCJ0f2/dz57r)$6%%0.QK5H)4<w2NpBQ^ynAG4]A5Yn9jQ5
U"R9yk6Cqq&SJE2luLV[?s=D4crlH0=e9oj1fq;7BS$/zD[]54Y)Bqad8AH-_n_.o
U"CsGd_qrhF\;4ANWn;9n+r;f&Y=yM+V[v4/MC$V4&3/wxf7a$x]f.PjN9FoQY9nq
U",o*Z.[+J)%b()u8kRc\Dw+,h7QE)zTB8Q8_f]Wj0DoUT*B9XDovt,Nb=)EqfOwB
U"4EM5oZo.^0^VMeXafHG^4Z<1.gDk?&i()b[IuB[FHe9Z\_r8Wdcp.,4wj<DUyn5
U"6D0k6[[ncir;*#G4^[-z5fXZ5b-l49y\nTp<2xy%p4G^.bG1b(14.an.6E-')=b
U"965'fzaiox3mB>]Z[9$-(S7QD0O7oAHqNP2fpQpZGT$B^dISTq.'5FLu24#e+jE
U":,R%/0QF9'EiFh(&#FkOh:zZ+61?/rZxN<x'E/-#+y'#ETQ>5:gm$^p8Z+Yv[6F
U"c<0(C74Cf-;;]'Jp3j,UqNefjA,,HP-e[r%^a\._')eOBNFGA.wo#Oh?k#GkT]s
U"kk<'(6T?\Sp9r)#5pUDL$_zRjd,Hnr95PIOGxi?hJW.ak&rfZn29Vpgb'OCO+u]
U"99i(sE+G?S*+0J0I==ar/bOP2:?MgvfEFDPmU0RTc>'rL&77go(>:OI]9B+TtUf
U"WSCY8l3pMe40Y==0a4297$'[-BIwWEgugGLhugHS*ee/#+Q0hczTmAM5OF=mcB'
U"MjLkx%;Q(3g&J\k)O_o-Md7Go([5WB?%;+VmP2kYq$VU&N$*w4=/A'MP'>jGJ,G
U"yV9x_H4V227bMH)x;kpX6wV3y5r?o^u'$KXO]#C*##Ec7if45arVNQs-?M;5:;3
U">CtU,p+L1.&.]'L/rt254J'V3p\ef5-kL+N_yU%G7k5I&L1b\#GUb^RQ'X4bxNu
U"DScll./rQQdHHXj:,VW5x$&ofCG8mT2BAW'4pPUWijs<OeksmMI<jjHhd'y:vI?
U"e77=Z1;R9QUnu0cMinqW^kFj;3e:\*I_+sfiE]CrQK^e0/R<S1T[0ViG3%:M/\M
U"F;lZF8^\OW:5,k(exUsLB\5GJk9V'79nCt(SOh(STj;qI3d9T*X=%>AL?4^P5)I
U"2:+UIv%4([0zd(B1Tj?wk^P2wmNW.+m[%gR9:FXkORgGw6CinPGY^jxB(Njf=_3
U"iEc#o?ZYVbS6xQ4M5$CM=r#P;r:ii8'6V,Au=%LnC2$1[O#n]O=[VxL2sN(bGlZ
U"=.2zyn\MB.R=bxSU1Uz4M*;B1_IV;?Pljv/0g#4piK-pY?BT<6=g(5b#bP==s?Z
U")U7Y3mLCMuV\eajnOi\VK5_*vn]egwvn>WB\;1.#dIQ#L>9Lpnx<,G%9Qp>bp**
U"*FUId%q<'yekN_(lRRM6+wIxBa>Ol6SU1d)'+g(wWZ:5B=FHf?lYRp&FJZH5HE:
U":bFX%O>2;UD>)(pTMQYNM4eZ?CNgO:.rP.W?*Se3rfL3?9+*_._Ih;n\xW4jU$W
U"+Lo/1WM-[9,N^gg/MNirX,2u5MkrX:lb8R0Vc*W$(Bo_uniH$:q:Qim,>)wIL:t
U",Fi5?lq^B+pZDM9G+]VdM[A-WYK;A2WLQXjh'OPKB7]+ez:TXL($_21Q6GV(7LP
U"Y)*A)T3V(KAMPkY6-mnm'8JL5w-zAwWC6V?73nRc3b:a0-NAIoM.Qe.:;%(2qF5
U"K)+2F;LC1>#JOo?MTaZAMQ$UM&weD5Mt1:Eg9SpL8IJ\Tbl[rXGw[#c[6Ps;q27
U"14_$PLAf>\2R=xqE&aNw[&C\:(]Iq(QVr,aCKmH(G.fFz6J0^V?zZ,S2CVe5Vcj
U"QVUqK[gypR_]B;I#qdMJ>Wr,O?YV_P&cN9P=CQc2qchN?LZcqBrvo(HC(xM_nQ>
U"#3?NAg%nAx56n2<nLJ/a>Pq+q9H.eRhYf9eJnc<+..)$H58LAF08(85?8E+ILE'
U"Kog,M>N)_rWfmQ#aoeF5x'fafmDJ^5lvhkJ>xM7I4_C:%_CAR-S,C85+hQsx[Y7
U"BY,wq&*w^I%=g8Zl/mZt#S$4a-e]*k%uP84gsPwc7^wMB1)pHUs+;2$d9,deI9M
U"^f?t[-%#qLL4CJAuvg)pnWmJxgiRi-aCMcxPI(e9U-1vfp:6UY\v5ajYXY/U[Kn
U".Fq;C/E]KjCxxR2^rQpax]81GpaU-uXirw/5ZF$fUQo%k7gbI2*iMHV>fE&>k)'
U">jwrSi\HU$6(IC8c$H\eZ4y;Jd1%BYq.W)(;5v=E,t/';Lc?&sh\dq=NTTc=m^D
U"+NAoHDC^;vUQd[2S;i$3b&l%Pss>jUtlZ2^SO>%-9UhctIV>G]^5HZ(aHT3nnQX
U"419:&Oh9XmMl'Q.u6M7VTG(uGeY+6lCOVJ]%3e;Gr&.TH9vL/<ibO807XrKolU4
U"hi-=J]nH:c0<rN_0M=rmgQ,#YE,6:iN&R#S:9t)fZs$rzE'OaCl>5O(F)mGum/I
U"kX>gUfw^+S&OGDNFeB,G^6onhS+&<VNddaRwtC(B-W*]:^B].?s.IZqTK[a6n+H
U"fe\4(B8)RSM5<hh6uMsI\CInlq.Z)v.47(r)+wMDPo)e4Y.)DimC+Dcs&REKOec
U"sa=[V2&a[BseH>_Vvf]64lvd=JW;0SqcnBk1>7Lk^aPH?I9aOVR/ct8K/'g\?WI
U"e#)c*d6gXJZY[byD^?o:>221hmil=H18C,$,/;EST0._L++[e8NE<*R1TvX>UR&
U"\*hgj/W*pUW^Q_9V[hHN[+Au6wG7_-&/VD3)]F/ONR2Dy/B+B%x,]dK)dH-:_,B
U")SO'n6-O>X)d[QtDj:3XN:3xl:38:r3(:3N-/,IZ)gB/oVx:3q[/Vut/VL:o3*:
U"33E/lZ_'fB%9D.OR=1O^+$de)dSe+deX*dkQtDr:3?^:3:l:3d:o3z:3-N:_N&'
U"lAHJ-8nOGjcZ#s3UM(qX^Z;uP>bq0/xk)a\>sJI%\9vMwUjA/vmKeHa3]A0lz#n
U"A7*cQj>CeOG1'7N$4EaxC,qexVd'cS&Y5rl;DqoMD<TZ53Bry7*$mG#:W90.ZT3
U"KsT9zW?-IWhoF\9<;K,?OllM1Z8VWIw9fH\K-q+C8Q;>K:xkKk+]35hKCIocK&Z
U"cDr60HsKyD9nBnmxHIb/8g#ufS*(KX7ig:UJjFE\1tq*tc*BVGY>\(1DRMb+2%o
U"_FM>EMp?NP-6&l?'*=-yMSl5hPBbv)(E6()?$92)Wl_Ar<mG-=,ff'Yu&V9intA
U"-k.YcqUc+Gwgb<Ve]9gs7Xm\Zj]x3_:k,=(U$#Gto7G%=7Ug1#t%'Pk*r3V_'Se
U"ZMXa24zv\9,vM=SC$^O%B*-G$;Q_Ou5nWeyV4KPmPE*%P_nT%5e[d%[Pl9yEb,,
U"Ib/L^hE<Uq)qoA*.L\yidL2oZaQ.IM=_\iT*Nu9xK*%Xi5vuD2*g*:o?gbWAI.=
U"/4L#Oqm?__GyRBV>y.>>pX,,,dkpb655>4+KDTfJG^=&n>^,&u\qH_%).-<:B6$
U")kdqmuAGU>V5^oOeV<wrFGJFnJ(rRb<4BM#H1JQ3a=)shUJ7P_pZ_<GPOuPdqNC
U"kNVj9hsvOLj$,bR'<&QL*97]$\[QSl5ad#](Ip4,I8n*5VSeRM[K/7JYY&Riy<-
U"D-pPjTa#n#c3%i(UW:'&m,TX-oILfYn?W/2\XL.AUm,1MKZ_Dfe&')3/U7EK;Sj
U"v>5Jeq'b;9boAO7Y4&gxD4L8G3X3W2f1Nx=FZWnar_$LfX[)uS6xjVky05DrA)[
U"$ua6npYZ\<Z1wx5MFcwcYUpu_\$gwK\(\Ek.(^NYj/vtVNxKf<9QC3Yk'rbBvEq
U"tSh;eY<sw/I]ueYL^rE'vCDQxUNZxM->*KwdKRt;Boo\r1'1;Zn.eyojB6MX_ES
U"7LMFE?hfKqenU=Ut:[fTe]or6d)/l_PEBAG5uS07]6;f:W/0i'U+VsWAN^ZY'-(
U"+I499MLuwShv(pHIlGPFNLB7u$]\sh;yF-J&4L7Q)dli1B'r=^MsVE^Y[xxrk$I
U"n^]dlH9mHKn/t]V<_U4\.EYHnZx9WS(d7a*fW+,en5Vm2e<(V_:8sWo6$^9d>t/
U"]_ZW5G\D<dcB[xapdZRX+30D'O9MpF3umh'Y)$YV_BM(Ctpk8NjuJZ7Xh^oZWIa
U";5uXDooQXTx9'8m=2TGqiuE?tH\f8)(OJBfBKJj?^Ne>CY+xo\]T>]2kdh#BWDD
U"yxOWTQcc0[g*6's8:&?v\Crrp%[*G;nIIIsOXc?G,;ere[fna/-mcox5+6cvm:4
U"qa\j^D+Er4RLAxSBS37/Y45,s$_,^PIe71.f/_T&d%:HBK^#X2\.qd46f->I:<>
U";P\E?G3E?2s$[Vp>d=-1%L9ERm_kqR2WD1)t'Tb+$=G.GJfSUz\*Ac\K/U?#r)k
U"L.ngV0r;6K=.J9ALQ>=kwT[*&,yd&Kvc;MMdU=-qT=9JT)&.-C4v\;A9co,33Mx
U"#)q%<Iqr=f7U6&YI)b8Cc?Sb-?d#e:0AV[/SPyiga.Udp+q^IA*gvG)JGL#NMtO
U"f1m<,PMREG?#%ioPk&TGzZ^EJYUNpN_L\po>A5f<OAdA8YP[Xw<+47\I42r5xGr
U"6-Sz0S+mdv^_xsBi'_:dp:23,5;E$:33UI*&z^'wb%.gPI$O[UDaVub(yu(lS[q
U"4mEOOc_C[.Rah[q:X_n,&<J4<Ikj+TsTIzf6iW4,^oT%J\&7S&LxT<r:ibCX^41
U"^b]v8i4=eCoOzQn]CSXX1B^%2vF9KtLJ>>D5id#t#sEMBDSU&g1NE*qYpVam>=b
U"4d(ZxoYcbJ9doWMbagtzY6rw-Jj>8EBs7wUQ-w,saXWsB'-sRr+lWWr=:koEPAo
U"=3\>XmwKXLsVgs5r,XSST$YgBN%ikk;67Beajv;F0vDer1+(1^6.Ze=0+/)z^L6
U"*<.%t'Rl^OtH]GASPdTVlbY&+GCv-sidHJi6'uA&n-SSN_C?'5_=8ul8fqT_2Q.
U"0.[p,ZXjR4ZD.qej3I_],=:#zSg<#zM.6nJWB(2+.17A]\1hKcdDLN:d1XyYsX$
U"DmP7J-jeqjA]b&/w5,JP9$tF)tnbc;TodLhqTrcW>]9<;6X&5(:SBJUW(ng&ceu
U"E:Pzk>NSkYL(<,&ESDr,Bfxv6F>($wdN49)lQ7Jx+41_7Zd\FwP'PY_4[Y]v;>w
U"XI)I?%i#LOCj1,x\/j\u6TJ.oD7a;n;NL7Pl)I<Eq5vP86<BZ-6%ythw='L=;\w
U"'.m'8Z<$C,'*+9u'Y:))3iA0M.D-X^D2GNl]\FBS.CIX(b&eRmCzJ1#Po<-4^c:
U"\ZbbGEwVup;$N%8+)OXV0n%7UrNb8C[lhyi544^)[aS?+%WFPo=?LE%obbS0-8q
U"8ib,VETqC/,qLQ8YDb<Xk2ELl&ohl5W%HAp>=C5Z>F:?%o>3D[^3riP9xw3BBdO
U"yRw$e0%Fr_oY.cjju'S>B0IWHC.YYS2Lu4W/\xIU#O#QxgZxx]3pL9Y.4W$ybr*
U"Q?n/X)3cHd8g>41tUJ%[6(PBQ]a7=G'GJr9KP/;v-.D7djNOWgGMg77YWcc_vzC
U"BwK*&SCu<$Uta_OI^k(4S=*.T8^N*u+)WvWVM[S7G=/p0^qf=jW*5s[Gl9JSg'f
U"7=,Xb2e(BoxRC.s*q^3x*ZIfO7'G5#4\r*yYmj-#Mn2,]lEkBeV?G^e6UbU#0o%
U"-DdmCU\-x&*EdKYskq)%)v,Y^W5hndhJoZ&uyq&'gN/=Hxe/nL03+EkTHVH)vn:
U"LJZ;_3nURG;(:jg&XHA+[l&GdZNl'[P.FjrD(4P4LJz9C94-v?-7G=GQ*+QA9)9
U"XF&g9r\8a4WQ]%Roe24gQaf98?\rH.\#.D\]30CF\ZW%B'HCE%xE)CK3icBAxY)
U".o)IWNiI_;=wJjst9].ZUTOM#<Y\Wd,+v*ifolyX0b3\]lN;WlTi$VrD9PDQ7F4
U"PtM7Z(+st/>%cZs)51wPe\WT>j\r]8,xA&[upqNEnp;a\7t>Wod>QM(;]m\X/J8
U",S+b47:hW:9Of^W$KqCNSf',%)qbSD[c7+Rhx(zm[6M#U0R+?$tAU+:VYWxm,:m
U"LNmvEE==eNm0m8CQ^BW=)&A95PnVS9hYG06MD0*7]sggd/&2*-Zb/7gNMP=Jh\A
U"vr0sB<]CR2*W?6>.Q\;-D&9b3K-tVJ,b,&jc:/'6x(+XqHH,mi*6BS?7ER^rUxG
END SUB
SUB V5
U".OMC-o\sot4/e4'Z_Yd1)NfzQR;u0Sdj)e;ha#V,2T-[R95(+,J**-<XX6>xdM1
U"n&LW;T]W+Mat*,MvfCKNK;TgA10^PyC1[&3TN91(_i#Mmox8q2Zl)u<UsDZh]4W
U"cGB5S\d9>NR9W]&h=#<FdB]HHCMluufW,pH0(NMq(xuNGuFzAfv[wXs6ps(l^s.
U"\0si:wrO[e#_Aa<G'EZToe(a:BNetBMG4RYFHl\zx]wD)_Kjt;(D3)a>sncK=54
U"*Hn0rXedr/1kCB]zX&)jnnP;G1F9ZTM;gYq1[S56\nX7Wd)t:QHUV9B^P\1kex]
U"tiN^dIP1:1H;*j^ectN_fJzu^a./2>ea9u;cJZ:Zc;)\uswq$ZV.Sx>qG,q^Zis
U"iU9)T5VQuD?40q:Q]b#T(UVBc3W^3WC:#$^Pp#GSPykkGigcNGZe]%s2u$o=knn
U"ouEeX+<&-epZNAT->:Kl\MJQmTE_nQ(1gGh'KAj]uvUQ<.oPx/qM8mA+RDbe3Z(
U"PuRq%4A;qb$sZ?G(YWHk#$l9F>R'f/u<%6:aNpIv&8vCrzs(ttEsC'8WT0V5F-7
U"PuTS<1x8<7f'+p(K#W1wFx%6*/X&CX'zr=o(K\Yyw_$\-V/IMm_I4G6k+;0Z04v
U"O]CtP)6%\ID9Yt_0lvZy1OcxEs.E:tP[r/,Ac/U9VgZ<Xn0h/HT#sA];$9<QR=;
U"3-u586SH%iEf>BZs3\#&+K&2EZ%M#C<''PPKDdpJ/7nG=NJqgb4$2&^uCfB9'3&
U"J5Gz^Y]6gFB;GOCeth'gE0#]1\]e)/Ac#*Iq<,MWL?BuA]rhh)lkWXiEIY*s6[i
U"_K:kjXo.LO&9%K&\9,.d3W-_i):[.F)VrbtB\u.9g?#aYU$O?4ea;v==fUH5J/o
U"]$\;[eeD1SPwj-=3&FF;AN?-YVDUKO_t[\-<OgVNdgD4z:::^9&fnW7-P=fB]Hf
U"#C,iY9X?]2Th_Jdit';YYTOAu%$c5vej-J/,64QZb]Xtt5A4*e3Uo3AJA.oiNN(
U"YY#L3)lcYPLt#k7O5D%h)v]op[S(\cuV>tCI%Tt7%ADLd.m^q\u>)PoB'IoNW%=
U"#qMI[vGiGD]U?=gl+#T0'(UbLVCsC)*2ZcnlRcIZwT_OeI.omp2WDaMmT$IOm31
U"Tk>_5h0l$FS&vshD/urFv_z'V2&_^1V\%h\%h\[MsM?w(C[$3H_YEp)/FhdJW#?
U"Kx_XFKFROcIZag+=_SFxx+n#YJFZ4,0GSkf0bb/,$]KscOi+?_a\(;l#;e.,xGW
U"BBvZl^^uJ)PNxD8?n9P$Gcl/ykc5od-]=7p3,rooWH.DDp0a2L#NL=E%wh5W4oS
U"=^:r,)1ZOGTs<CIC#3Tr.8^uT#+sW6m[QgtZ98n]-K2?rECUcQ279G2rm'^N.WG
U"7hP?\+3p9BA>S;1(8s1qg((-Y^#wB4Qs5-lWg0tJBEA9g0$LaE#S2:kBnudA7>&
U"f)+Q^wbL]2I2aE<<8gox&$*j2C:YW3C,eHVt.hK1z'qQ<G:r*eu9hL9q9P6g7S3
U"L;<rUJ[8$TYH5M$tT:A%FwUri'>a]F6c3+/3R)/f$_tcg-R#$8miV7RfJ)#kf>U
U"^ocg9\5Nqdpbyfxe)Z>WGud3p*+(.9G')cyqE-1B+\s)L^h=1HjHCDIt&v5S=L;
U"m;.$qK5B6dy\e]40F7iK_we4^yxW6_w5,p/Eli0#0MSiA<:R0Lf.j]6LZMrN)wV
U"H;ZS=D]=SNHXFuM;W)WWBU8mQekj5O]uu31ld8S$uJAwQV+2A'Ghh9fSfoH4--g
U"%+H.3A+a(/Z+7[<]]9UFDc#Wh84H=:](eKZPs+%b)nGBoj_v/?o*L^$E/;Qmk7d
U"GM6H[$5$clJVafQE'=B)QDru#AI85Ljm'HFq/A,34vWF&;.N7ARe6[/F.W&r^>O
U"^f.5b),=,]1bBpp;\w0*3(tYV?/YRy#mX)j.wjtR\Gc:EdDUE4aNXU>WKg#t=09
U"8E'luO*F1w,8M=1eMCBT7x17pAI1+mEp(zjhJIp)j[U<sL-H7<v7;bSljscb]t8
U"(#<\Q,Q8x.tP(:q3V=4j#<&+HC9'nBdEwt86:YHS,GV'b9ke;]CCZqVfeObAFaM
U"bT9GIf%&-0'Pmb&g.ZD3eR79Aq#-#CFf5oRT43.n.(69qwYSwu0S#63tQYT#frk
U"[:CJirGbH=B;2W+R3sH41cYbVNgjMS&^P]IO'.;0+knILIE#G9L%O'$[3n%i^ZI
U"oGO?hbeOj1?NQO4>=RrUsZUpOh78<[t%)rr2BLV9-InEc]EFe5m><o6B^u=5%]a
U"U$T]uY0Q%Iit_$heH=P9QfFp]wW22y&nm%NK\%%O'R%)%AyWjjE]K\/1KGGD^HT
U"-&c-WX*,01a^;v/q6QDu$8_F'0E'i6C6Nsaiq7n=6qnW2P$f063^Q4JX,K:PeTq
U"%+',RsM;^rt2(TuMpU5+H*l/+A1I4:8=hZ*%L1Ukn.pYC>>z9t:5R%)G*H1GUQ5
U"pM3%gpu+7v+HXsAY$w7v78N%:C1VJ#:ISOMdf8DO1->ixa#)5nD/[7akOaV>KOQ
U"?k1%jh-Le,J+,UgaWd<^3Mow=%?DYWhV(]Aa9$i+olj5JceY2,1AeBb#OyeC,^i
U"%;T:s?L&>T=*U9I,F8X=[2qBO;3H,d2TW.Xad-Wg6,hiUj-c[wR&pb9AiDE^%^A
U"s56*7\GeNF[/Ma,wZy]cf+7vTjp56-sg(/?a=FqNAm?u>V-Lg9$N6]3swdv,gO0
U")gNL??sA1M/5rhlW]>FlXb*ad3T]xYiKj4\/QufL>t<#n6GV=#K$2m^;UdX8hW;
U".C#IOcYN5h-kNdxwvLQH/V]ILKe1;*j*,rO7K7o]\aLutjPseU,.da#5vMG,h)K
U"c/Z;X<;.?^VIo_v_<%Z_1bGGo5,Rs90]D=?i8m'[d.=nn_OKML0)9nEqSQ0aG1u
U"FPC/ojyD<P?L:G<eK>K3?wN..,\-85E*8Ncwf2SeK2XfY(yIEv*p^\&Nl'%:IlB
U"j:oNqT-CPr1#2OjAq=2h%)r:*ZAk*F'xGsa+]8[lV<o=<n_^t7GE&_[nck7<V\V
U"2_I*hvR/-Czaff[$+o?0Srw)vki8NwnEn*]7/8w&36F_q/=tbOC\jq)Lu_n6\U]
U"DJ4=mYtE#CoLOV0Rfi>539fKYuu/8fW_^\YF\4=TN:4s;jfbM6#S[4\EBuYU)D>
U"$AD]8+Rk#;7$oqX9b<8R,'c-=#wBzU$^]w7Hn4:H'\:PA5KDPy:5<lACCP\x?Pk
U"?.S:*Tee]1Yw?U7&(6_2tF-kUuGqf*?DNh;9)_K6JI*dG8zOpW(+p#L$q>He'Tp
U"s:1,U7fYJ8_G?0[Y%G:e,RR'T%zV(65huPj^_],^i]gF2iiz]mh5:a2Ts^u;z0f
U"?<kam<kfwGRqt4Plk1knG_.jt^I6I0jBcHHO%ogfb^%CRt%#eZ%8-EV//q[i)%e
U"'(Sh+isxTZh9m/4WoK0kd1oE]NL[pp:Nv#5Iu?GX7AWF:)x63I6k5hSmgOM?q8X
U"D>7;zX_j^a2)a;_(+j-J/Vp9Su2)LuU=6'&7l'(vO]U$*af\EN/TTyE:?W4IS#e
U"ai#P?_ZZ;hL(f):>2sS]:C^Dw*(Wisl6TcfZwaR&FlFOtH;If4#tCc8O*.=cR$T
U"O4*zi^]U1ntcB;CsbhZOheKn8c[=be#qziP\E12A]NFRGKe;P8.Y#sjgEoT%jjU
U"w8-mf+H?23erm4PYq><-vec23RbDPv^;tmm+_k%y87h.VHUCDB-?Za%u;hcO5\1
U"JaIL9EA_G[>F4%0l*:<*DlCXiCp,GABse'uG(eJ_2=8D+;UE;1)P(31o)R?cZkY
U"GLB*,?Aj.m\W20/1m729%.Z5&G7;By:G#qq3L.+:sx-p-6p2gq1E/TcOpZt:.ZQ
U"($s*T]56*PTB&VCwy13T-FOu_<eL+Vz>7xHs&;M['e_jivk)<%0EVNPPz)j)GfZ
U"71AIob(Fvj<-\Bk9AHm$l\Z6T'rpKC\rTClt32-(5<yDUz-edcljDr]-\()PqYZ
U"g;:lkO>A*QR1.CunL=6l[Elo5#s+]h:lJHJpc8YfH-mkTON#N?Qagv\I_^Ihxrm
U"n\Wl4sPPLCH^&ad6ELhidl,3IfB;t1,,o%:]GW?]Ml3$tV>0P+#1W-703^(89na
U")9[aO[;?6q+)elOo&<QBGaj#fU\5L/+RjRA^KiqMgfhwpD3qg/g<GbLNO:5+Q8I
U"zd<H^QlnH-FuZ>.AI3Sj6c*kjo.[gW$EUlEY3O$g-j0WzWl_?Gx3^dbFrAz**25
U"z?0NAOR+OgcfrMGzck'2$]I)Wt]pW'biR_;t9v2rIv1A.+_/cfO&tqT0B]2if3j
U"N:B=DSMH'o;GjhCTX'$Xe+y'48Q%/<M]WMY:^5dr]d]q*_-N/*^fpA<RL&Bn2Eh
U"GN2%df8fFg8Phiq/qu5hEFoMdN,Yg6Hy0k<:I9OJi28LTz:*?IJo9VyoSmN3]0]
U"g4eUw^rHa?#J3CnT^7t]?$3=$0#p+FtvkqH)?0:9f/bDoKqc&7YPkqZYtFmkIwG
U"cyOawM8IMhHKS>N9k7T:tGl30A65eYmc=z^_>Zu6lACs\AS[\jQYmX_UD<RXO&.
U"[/NWhc6/9L#Af4>Ox*V-UZSx2QqQQc)m#j=V7,wVW=hQ35YWZJa\3toDa^pkFqd
U"we6FDQEZedT?;Al*g+M/:V9aN^>F<V#X7$klWMC(hu8-f-;DOLQ7UbfNJZ8\Abn
U"fGw$(MJmYyS*(-B00)V]HP[u1#L(l0U*a5_T_%=./\$^1<n?a)WUe9bnVkX42FK
U"<?+[hYIM,t+X6PhdW2IC4y?Su8tG\h2iGMpK$.Y_^p\.v'mKL]4+F?H&)Hr2MBX
U"m[;<vLJK,Tj/9$CL8RL$VLY>,32WKUmU5JhAx?>H:h+oY,s;$m<$'0D3\W)Y^V0
U"3,[.gLcShWps$cVkzo9r^;.hjzKb4?c$0s0?aNO<_Hm,r[32$EM-4IVj7>rDapy
U"XH*\LtMWN714A%Y=GNQe;BEvcNBrW,h=:fl65_6mxR,aaN.b%#6H4w*afs5CMWB
U".<yP)k7XEQd%4DGIo%mHtH\h=TD'5.VeII8oLQ%IU2E;yKDRA6N8K(^BEtUC4S6
U"NjK7kWdx#46&OPW4h^&o2-t*k6+psl'>$'vHv:S2Z;fdBliHN.[73LxVxt<zN,i
U"-A/JzKtpv0dw5.1B^4mxUcD$Y/t<M.1&)<7Va%$n4n,UInn(k0Gi%kV/e3//)AS
U"M?x'VaFdDjB5*DTb%\P(C/EU4>ZM+68w'tHBpCydbwPHoTV>bkaud^HD*(&_GUC
U"aO=aKc4EuH?RdhlH]s,:S/V:IdGrNZ?Fk7%N;/[\8TqLw7E1,7B2-R6M_fF+iKZ
U"z;pub31t^uJ\v)1$rOoPp^SG,q$01Prxu8JZOai3ky5nrm8A=\d9$a#aAa,weIo
U"EVm-aj=D1t[diW_rhoqA/Fuc6S;q8wPb1K#inN\_BXjwVD$sRHiS8[WAalt2=YI
U"F(.qbt4;x(rjFQA6CmzNx+465pRTCeW&$SU23Z/rV<Ft6][00Yq-Qj'_tS3l+72
U"EOF4e6vk/5.I?G/W\#7[ITzq;*X8eKimTZ.d^pGK]tg72d]uzRO:ujZ4j=-#:iP
U"\(.dr?P.Gg*?:crt(\=EdGgAvd#rY1.OR08JLO618k*/<XH=K(#/tJ<tPt?d]<s
U"B'$9v>Vsuc5XI?d%r'd'dF9%s*/Q29p>$'.)/51zU:sLC/i8%hNc(<(Tp&Bs0L7
U"pRIYm9[Nqhr_Hth^$Hx81X_9M;TmjekQXCTVX'K^Gj<U<ulbtGf/*^k0iSmO/P[
U"q>dSJJ20B(,(/nzE69uJV:4[OF[tu8>#\8j:Uk?XXw,ktsd/CSo(i]><bk6rza=
U"-bvt8M56rSItjfZq(S>r..sxDGJ<OXK'eN'usK>%g779VZ>=yT-;D)2x%Za8;ZS
U"<'[0fJl/v93uv/Tf:gqfSUg7%iV[thflSV)3ZV//*cO3Rc]''viUv9I%Lvzqqel
U"]WqdG-guLdF5Qto/4v<vF8G:XFGblpUBHsbpG2E$m$Gr8f(eENwh]rhXkIccUli
U"G3tsKgb#vDJG?ej(UvNM_30RZ_w#-JNEwlXDVToduf0b\sLSK?+t+J_dwS/<YNw
U"qGVjIuluoRb[%uloXOEJ50&dObB>?<q$$ZSC0)'RzM-\B78/TDQjI$z9$+8o*B^
U"$#u6A#3F5TZ'lvs1:D-V;&RD[72y3#X2r%Tr40;D6;6]gxTC6LRoL\5BqE[Ujg<
U"ujYG8RC3vtKOoLkq-Y6q&Q4n-uFMqv/X.4nrSOu'tNKCuk8m8/-HM-]3S+XsG]F
U"b.cc2kPMX)Z0?_$BLQ;>t3[_=/LEdY\ag8w?$W0LAvAQSXS42Jsm>h&VgntDdO2
U"%tjY<N'j^R[IC1,bBuVw^%.Ru,mBB,gl+GIaME6H%0tV>WQKC1r6_%l,J[ae.':
U"]P(bBt0WLg5EE#xe(^oicq_kM/vI+yZrX+jrhtgaT_35UB?P>'J:<V:dQ-Y/26l
U"C,5ihd'e:ld#I,Yqc+qPS%w%Ui<ezZv7oO.,OaK2]oYW]cQiOX4Vn>=PCli1vct
U"I$p:MC:7a4Nm(0V1pXB)KOb<J7p/>Z./KBJIMFDesgLHD[P:x)12jRTgX'Bf,QM
U"w\0Bj*l\byoIdDpnz3*dm$N1[GSj'=;3B]JelQSChIbGM>(.YlfCWk$2f?/V<?H
U"GI][yPDp1G^R8=N0YVvLAeho&RaRT>N0.C/SC]=B7y&G^/9GpIroriW3R][tE)l
U"&T?6\<<,N4fp-l2EynHh%'OVAlm#(gn2=?_]2QrE$AFC3?XH,mrWfH^RqGkL-S=
U"bJ2vIZDp-;miJ*D<=pjt2pQ(Mr+e%Rqm&j0\VAtK2Wj0Fe.yhcHZy8=$Vhbug6[
U"&)?&1ZgBGva31iMAZ+GbXX1Wo>7v=68.I%r%lsi[XkJCJN?4V6BZmUn,DWJ#w=B
U"T6/0evo5l-LR\3\qn?PBMm:EkSwQI,l1:ug&i-bgTHf$J(/uqmSa2M]QBs%u2K=
U"]Vs^TenJmIHf-v*EIRBQYJauKVOWiQ*M[chG^^43Re6M)rEM??=nblRMd8Ec<1Y
U"V+>)IpqS_30J%w;e$]OcbPKJuG6IUZF9nA?B<)H=rOor$\W]Z]C/rpc4_hP)Pwr
U"iDg^=0_WOcU3hkP6b--pU&5%<T8hloT[s1HhrE[5U2[r-$4R-VM0;e]tkP)GeG;
U"\nnplIM>6t1C2aibH:c)Jt<FalNA7SrajC*f7R9]$%55s*-imJmBqa&Imb;Acq)
U"g*x#M?E[++ZD&Zt:gd'ZUtzE9-R-a7/+eOz[(O2QlBrSUaPCQkiXccLJnTPlbvK
U"*WLa)pfxJFnmv->Aq?a,,UF*1,GGWmHFV$9:k&IPKvsG*6F6&g9vIu/WVZl^5?(
U"pX#i&a?CZFl.kiTtc'1QeZIcrOa'OwSfTwG)ir4/R/>RbLymbJj.gO+)vDNsDHu
U"JMUdMr=yR^ZrT1f0FU(WN*g<i=^FCo#OSxg$vK%>ups67OI;JX?n1Ib/iTl,X*]
U"o7i#Llq9uYo,\SN?bsms^MIF<v&+AL=TS]]+4iEp;GK>ggl#J3a\kmx+N'HsqQ^
U"KNweqq[cULC.JCDAyTfTa(7UeVUN-ijF&;Y0KUm6b7fFBK=WJs_?g512:E-sLB]
U"YAalDjmdQj&yazr-eOBH'qVO7BhT/_3A+E0)X;Pcsu-Fq)7JCgGV#yBTDQv(;#X
U",FaU?:0lM;&Jb2^x?Pc5/0BvS9+$bXdc%dq<BV2%?+-*%Bf<?cUcsDb1rIMaCM^
U"6X3d>OB6V?kJqb,X^<dA\Ci8VexO]qh.+;*+yoZ6Q)9dil-3mtoa)=N,zU_V^IA
U".MRSN9h[[I_OvQ2p0Hhdb:cq13iT-hU7;RraGxK;hroeFia[uHm)bC]&=L7nSre
U"INCUhR]T9MSN\-?nitOoX&t%NVz$CYpyje%nt&.VMx1&^nn2-6Mxs4^WILn)s>w
U"J2p.ipw>VR?8qgY?+oe\uXo(Uqfmo#]8d#xuj$TXnJWfcT)xvYGvo:ln8,W5NXw
U"H80q<NqqJN[R)qmT<c6)Vf<t^o)RD=m+u^7-sndc#GiBj-xbG;x,S=#pauxRsuN
U"tY^-5H(,QrqCSvJZsMBY0q(ea;>r%orkwP)my$u*k;WS$&xn#tu7moIXblf[xlQ
U"eeJGzp?P.$xeVQlUkNk6TlxKcsENbtN>pr$bZD=MN?UptxZX8*DNx^x&N8L;8t^
U">X%J:mlJNu$<*rWGlm-GM>n$oXZ6?/%sGbDL#\^KLClK0b>sq%lq#;us4CN\Nni
U"n,vi0+>rb\oHtvNjpUePP-5tLP1cnLl\wKTkh;^hpm,TiS^*r53h$(NBU\h5CSE
U"+.mRo70Zhhx6QQvFdSN[7Efe0bX.SH&4gI<M>\w4c(iRk=k^Djb8*A2KUWn>\zY
U":HJnZR<;?g_0U0aCh+uYwYQ/rd9?(Kw:CM?'a>K0'R*y^zBP+e>tw_k-Bm9h%Bt
U"RXxRV*bA^%fXRgIFkKhmHQLhR+lpN.sV,0.54IB_diN)E(o/isQl]g9g62e(vlN
U"UvRdJvGq_/ER6p:3hfY,F6$SL7PtlR$?vpM*9..wo>f$g=wFsRC/mPx_%5W8Sd6
U"uRhZsG<oWi)m,\%g96n<UZNGXRf9prfRp1auv<R<hV%B&iR&VIkvX6xRcC3lo6.
U"PPr+&\3^NJ2'jzR.=HLu(B97m;.G$nIkAccW2fKH2hlJam)%SsmmSgat-;AQeJU
U"Qb(HXxl.ushl'_(axb>6,jp6B>,8Q/>lafQ4Lv]'6L^gU<R<=NlZz[/R7RBlKCK
U"sRk2RagmcdrXM%E<:dYBmke?-ucdM]pLRgoU$J$yAsD4iP\x]g0nV#=h]TQD<o:
U"nw*9mHOYgbwY<fR1#9LPR9II1zHT44)[t4&=u89-hkYD4PE[Dox)P3f'u/_.z61
U"IrmXYc5(Kh)GS'*;(BqITIbkRuciB.%kw7n[5</[p[EnZ%8J+wAqJCcADjH7MLr
U"mcKVbI:C1x>k9_?17d,QzN.LS=?5sXAq-0.wLoL.X-YnT+aQT3$ZqPz\g50ij'^
U"BJ]tG#\4O;FhGUWIXRM:0mLMAhpCV]*\vB+YYpy4nH9tf?Q6\s%7jYdG'MS56=c
U"fiGDX^\=Xsk'-yX]om(\:N*VP>d8&=%=T9-y,zf+)Eo8BJQM;HdPG)t)%0YRjQL
U"sExBUVA#KeSFkWe7RF8z,>,;4/&/1l5A#1;O(+qV7=l6)*;W,0+5pr#o[N^,nFZ
U"Dke1i-dU[EW$bY%T4oS\*t01d8(b?Z)hjpb,:7_zmKbV#k*MK3ZC8H,]\]cOudl
U"so3f=xSo0r#+-0agbKLw(=k^n&?XWo-eoCm4/Jtw:^j;hM>ZJOL52snH/g<>J>\
U".>nVfeduk\2GnKhgm'C#-d)k#z+<mJ&D;(;LG5t6<-G5\?NcqoCZC/)?xIP_]M*
U"o.4Lc8FVw:hhU$MZnN0SGT'ca.;LG=Zkwi)9BRIv=9j=e>ouj$be5M>8*NVxC4I
U"Mz*p(NnZL)s0FPr5G6Pw%<WP20PaebMQ(.SibhXi4-*=T.4TA<\Pi;.#hgO=^u<
U"+>tsahNm%V]aa6_ttjGtQofqVLKUYuh&9FPfg+H8SVJ/ZaC#\)IWz_OIz_U:'jb
U"6=I?5C[luIGNb0M7NIYc,*_CKQdW5q>M$<dmal;j$G7PHfX\8d1eOSN4&'4n:j&
U"v:BLEcq/kotqP[DcmUbJ3$^^hDOgO(&1hB-$.j$dP]itRO6hagP2Y'C5'??;N0v
U"EL3?KbsKbFGrND.mhIs=nh$c7+G)#jbNep&LNp,,LW1o$9jc6n81G'7#rU1gd9)
U"l(c'oqt.9gQalD;UG.Io?b]M=Guvs,DbmYm'm-Q'm7&JID&IIdvoIO$%k#h+1aD
U"m.sb:c8Z$LcJ+RFmc:N#6EGk[.(aOb<wo\yhgruGY#+U#[6O'.GCey>h.s*_q*h
U"RdMtQ7&FfHOBNm9&IfhOBX]VfpHl2RerkR'#e;XhjJHX+r<4Dtt#p;kv'gT&Kel
U")#Nb/qFvh'8Qg953EfsiQ9L7h+YwAqm.7qq#sViQ^+^2lfUfD7ds,8>8U'JjiHx
U"Y3hJl_3n-nPV^EejTmG==*so<n5w[?9#qy,2d->c._vSH<0?,4Q\<ndm%ugdw8q
U"hMF+l8_EKFxIhlDprBBIybU?a)YE(_62Hj+2+e*cRN_$+i\c>W\MjeLjWE$cRB1
U"nR;F:k9lqg*MY]behJKQ4P$43_mgL375>wx7i3#mdNB(T146W+'UmRKpOV(]HpZ
U"i/Df$Vs\,>>-.G9XKfZu*&KJe)9KV.gmA9OBv^wDZmJx\PQFA,BK?NpteQtc[(g
U"VhK\foj)0*S0Mt^tFRKKCLd)95ht=3[e<Pb,fwH'9#hA6V7It/Ua,opwTn0,[dj
U"9$BQwRDwHF1p7lZcL>XV6e5J<,6XGvV-<SlK.DA84hBvx?+\$kxImU_K0q)]wnu
U"VB#Nc<;dWsd2eIf^(JHWNduWxRwWrw<vxrafYwK+c*nkVtzsuRsXZRchxs<WXtY
U"9v8sGWU,s(?sX[cFz8u.,Wtl6%TlI27AXIBWj1=*g6NYq$,pU[F0<k+k:jJQ5?C
U"_8;0^)kJk\[Z&g9VRo[wMN=cXVWbtH<6t5mNo+Sfx\ZY.wTU6NhJ5K9:(JS&uMq
U"r1s?Z==mYI>7BJEElVTj6G*PlV3Bi6^:T6fkt:Eo-F?Qr;W0tAl#enmDBqb'9Z(
U"pC,Mb?N2C.rWucY6cF9RAA,Sb4(?FkAVXw:^JKd[nit\Vj:in#=Dfh??M>\7W2o
U"FdV5cXYYhT:IA]r<H'LkKV:dMdS(Z_Kg2e'2+,'d.sP4W^Sv+8B+n4H%1UDfbYV
U"9CiO,I&rd;l\;/)T)uG;:kiw$5&Qnm%K\8_]=eTgl8v>D\t4k3['fgwg]20^8L,
U"7a+gZhki%My[=zV+E'Yp<A36aGvQvp#A&H,JUZ3kPRdd]3SFnL&FNxiVm,*nBrr
U"xr2pH5Znn\ev?h?sp-TS,:4YuKwersb.wWi2Nrm>'kVDl_MtE5Jk42Yg1$$d(H)
U"6HXf\oH=7DID*j[>_IpLYr4.F+uiD1D\g*u[6M+'k2tHMrp]Aw#r36>,?d#fY=F
U"$&[qBD9iSDhMDjJM3MP+fmlLD5KCI:ZM*Z4dtVUc=oyG_lL&NuX^vFd1kR?m;tW
U"Y5fjl_JThs)dVcDtIsMvgD9ss1Gl2XADxD>SuGw#OhE>-;heJihBaUw;5=ePL>n
U",.mgjWbtr2M:9RSILZf$#JfFq-VS7isZ0rJm,rdi(oka)M4fq42rcA8AK]ZNlqc
U"<c<w??7X8fb'6qk^6)hKu_)yt,6qVTC8,NE0io=ZFM4)1k*-bg/2]1mD_lto,$p
U"&eVDmef5bKYo(?/2jVrOgT_jHuKEzL%mqJsac2=t55RM:MNO*jlOtP.iS.s^u11
U";]3k;')faO#eVbrPldsHnvm]f>AWm2-6#I+C%DXBia%8>TaZ8HWxmnOdan\Gbse
U"LyG?)ruO'Q/;9DP,#_jyl(U&eM(8%XW*l^rub$Zd,YD$NVOO<F*0F$a.slkL4,N
U"m);\*<U0xZZxX7Dr5&E6N+d*R.>nINM&;H6+]$[5^5k5k3*#Ld?&.HG4WJ8SodP
U";,zo/fYxzH\.i1<66^DM)n$M'=n0#ma\Ep^>hFuae_wg?a5D,bk$1'/c\W]a>^8
U"Dr0Q;*Q[ca79[c[:0^DTe7=-55%KcRqXF2\,,2WERL:9ji5e>e%OQLZyAe/:Q3b
U"Q>d4CO4o?8x+WMtZrs.QV-=PHRXh\l6,DXA18Fnk=Y7oYb&S^dyJ77RN>me)0hD
U"sC:A]W9G=Xs*Du.NJahxc^iKi?3\iKrquKJ;_yTk2nIbtGQ#+Tu:mU\5J%dd9aa
U"BfQ7(TTUwz;S,Z:SQDd-w'*kSUc?a=vY<E.:v)J?h4BXxb_6OSU;_l6zwp/e,p4
U"M3qSE+TzBMCoIsG&;x:s2QWbQbj&_Cmj&&iq6Kt1GLjG>dm4K'XpKO^qW6m3PV,
U"p_&EnhbddBYZdP<#/-RtHKbDMjNRrtQGr#TL44oow4pl;GI3V5b2RWL8<p=7hjP
U"Wa1kF2NleR-j=^X=?U;C)pIpb,2c=KcXf:m9VM<4=MqOBxWe\n-j1t\p4pX0LAY
U"&(_4J\y;z5k.gb]=R2Sv)W2Mi/K>%,5Aoe'*&Gks-2.7C_^=tqHl.D7U63cp,/e
U"[#9wQvx/ORkCH+Rc9$xB:[=WaeVf=n,uED1ZcGn$TYcD\Pku.DvDaS)$)M,%fKm
U"dNqNZ%b5,KttU[uSx5CVNS8TnNi>$GwrJklweB%oh&.l+1\am3YPFCaH7:e?%bL
U"k<f.<0tnlWHfrBnl_DnL/LQ>QpHw%X/QEhvVXHD2Z>P46;1&B'I(^jG<tn+FAFB
U"g1?irX>[BaX;%h[Jjtr=jgv?glg?c0ac_q=t*goGKf[XC/T:stNg&Q&>UO<P;8M
U"ro,w&DNJOeP2Gi'$1%4P+C&by>J]=JWw*s0XYxo/jOF1WWDIg%r/&M<hywHc)wK
U"STH+o=?74wUa;in?\rte)jc6sd%]cdtV7D=v7b*u,uutu.wH6wHfGrolL(#DYO+
U"%-4VHA,Af7A>7zqy(g9nw0LRPY-[*ET?_.pijMiRQ>q*NmJ<k]x)TiE45no1mMe
U"/<)?x.8ElMF);aE/L%/bSJH2it3(oj9Ro..ae&<D?h(zca#gM)%&FHIhu,mmT#7
U"7Fl8NF#/Xv4)l'JnGiR^)7]f>5gd_sye7%T_:qlFK>H#ma$,%KKv4aZb_7ph/gs
END SUB
SUB V6
U"'?th#:LEk;J9,F2eZ^i8(by[$2V>bz(KZC(Lg^(Ke^V&s;&[3Us0J(GjOG(FUfh
U"(-Tup#KMZsNaBkf0.T<sL*eS3Q=WYJ2IrbR*-Ed^ri9^oblAS,.]?6n<QhQO[RW
U";Gu]4Jx3AQ.#xYuNgF65DD*I/8K6\[IryTW<a_x*eyIhJmf.xQ(IJ7\k2_rseoU
U"rO;XGU4D,UIp+bo$1b]\InDwl[j.web+XWsaiD.-tR;&$9Wx^uTt[.hIXY$x$_<
U"]_,eE:LIf[f?gsJ(jJuvAUqYLv8l-TxmstNZFP)-LbTJ9O:KnZi>5:hq1z.IOI2
U"TB$dhI?4'Nc9s(?C?$<R]5ocsgRA(U;(y?SfmE['K93w2($N50cOh8H&YcqOqC9
U"ACljf;ph&bo6sd?NTigIF.l4VL=ifBNdZ7ioj?ghU]+GtK5LAE:I*$_$ej&/B[s
U"1vps/,_[r5k.lmh6p'(b_TD8+K%UBnZ,_Wj+8VfP%*&%bU0F0Dn7ee2k%X+.lZR
U"BT;an%'[UhWuXl4Up,LdA$tI'%jA(_pW:j3<T3op8Bq$AvY*X=kXvX6]&zUn+N_
U"]7x6KS=x]c=INNJ&xr4l[(l/d[yKocmMNdujro;Yb6'SWr1mAghG%-BuYVS6JLd
U"cQS\AQT'*+2^w+^,9PIS[P,,hn&QM:Udm/s.tvONsTI3eESynIW[P1T4lT_NOrX
U")xb$mLP5WX*V8j0pn<2GKnkKJRlr;e0-K;BltmM14Nb6[c$G*\cFVJ:DVaWWBD3
U"/D#5)3lzAL)],]%vR]<[U=,k^8&QIe\MK#mZv4;)u.VXNEd^fNPYX9d<'_MLC3e
U"$H-(y]:[Vv,dMpl\8*kU,%M*=%$IeV^j9/dkeo'p-FN.dI?pcocoh<P:?9)LdTn
U"w$JGVI4UZp]$8oU8<Up0C.nU#Q.Df7GQ-9hH[PFK7_g1;aPVOv$M'5^6g/cp<_5
U"EwaB3ZB*]qG/:6DDpJ&]GXYbHl5/]hhtnxK':'&rTvqOE\^I)0s6+lJbnU6q7Bz
U"Mk+A2(;$L?-TpR=(Lc<UgAsMhlZZ50oS7H5-jl87]pc%l%0sjPiUa6*>P4kjJoc
U"eoS=?sYpS=Anu5fwZV':H0f,_))s%C'+hJ'\IWdJeWNCbJOJ%9vm4siuSEB+Sj9
U"JR[74KdT)btn_Jp5sO*g'9MzjX-NuasVIlf1EYm_c%l8LS[T$**_OeYUG]3T[-S
U"d#;5c]g6DcT9AErWo^dS4oXj*uIjo4Hglo^&7'JBe-F9#.w:6l;+4D:+X(lPL[7
U"Xk8DLrB#S*$;u#Nl+[=eFrC#_0.gAUEE5oUWT/Yl:f%O5b^%3fF3t^SqXZ-d+tL
U"Lbhm?),]uPkU(Tx'oTiHa6JuDu<_S%M.Bd4dN0JZQ+Sxb%EcF\k.&WDvZ(.f'.?
U"OrsWdyvarAh1d^f^L9UL4VHLiK3Kalst:-X,qCDigKl\Ill(BGpgl,9>_X&N[mv
U"BqkCqGa7XC[TLV[nV3hB)hDm9N*L)_bIQ^%CbdbMq0:2Vd,rmgph4g<38soPk?Z
U"6qBfRwx/h\:xMZTgg3rE#5I;(x>#R4_^w=JH#&^UX7GmDEGi=CHTTN;v$zooCHv
U"Mu:hNfNCM4XKAKb+nmllplP\1LhFKlN#H]bKnw9.X<feT3XP*coNOOVl$3bdr=)
U"9M63<gKrO:>L.]nDqYcEq$4jTRQG;-?65TS\h_3vBg)h0=hZuLY_*jm&L[l58X#
U"'[9M3=4CsW:ED,hgW^iHtCqs8Z/+c[j*lfY+j)m3XR?,WQO#%Xa&l4>z3YBm;95
U"=_AfY2KINUzhmw4CLVl;/n%QIL[dR+Hofi6Cdc;&?bm9d%)D-V:cW:d&c_l^7%<
U"dtJEUpgc%vD15Y,<l90xFj_u*k2iZrYLbi1&c&M19An#z+izGM4RhJM9x;:u&/D
U"g;=3THYm,lqfRGf6mNR+koBkh+2?\[*A.ra_J6IjCR6W#2a$%kCL\s=RLmU],a1
U"BykgQdTeKkNOpc'_OHY5=C8--[b^&lnmOa#P2]w53]$R)I/[\8l[D-^WWud'j(H
U"paP<Mx4x,rr.r\t\u,if[o;TCrwy^j<sh=i<XJhS[J7>&XT\eo8CuoP:lt=fVsJ
U"o/)0uo[R=R.4E.?g0P;;GXWp%_Im7zncd(QCHsx=)&cJ+J66q-aPt8y>ZP0Z_3R
U"0xb/G0Y2W)^8VVTKaA56Q^yVz+LaHQ'Z4me\mNpoJ<I_-p\j7m?KjV2y9w6a<h9
U"FJUL&bD[7e0mHC)K*:gsk+6+ljy'vNr'KA0cUbpn^DKExpV*5ljoSa2*il<iubp
U"b8*0x11JNe]%GAsk1I8vq_5vkItA+-bH<8RJ:jL8,*RMwTVWLjOMbf'7jNL\C6t
U"j7md)qSMA*I6kZhSqn=89>jqfDil<&MuaF$VN5pVCj6Fkkck6;&e(aLy+(+7lRI
U"uj_gB$7^Q-gnBX_^RvRB?]*pXkOU=^Chl$ZkZ*?/n8T]ntbzmHeXLbEKhcNiLnV
U"ECe05pi)47H13_M)7LNLkGYA=e2q)Df*0VDvPDV(JXLky,jb(),kAWd=9XQe=8x
U"Y%R8c>6k'-'$?_<HiCP-ez.uC],4gfZln3oSL#&MFBEqtQE_:4>w>+e&&MLu[-h
U")7YBqMx$tk4%*l/rtD>l3aW8hUbB-hrFHeYL#9t)pHa_VsE:nDeiZf,?3Vg.s3D
U"'.KW6HlK]Js,d1H>l5^)s*'sEAXOS/KoM>&j/b%DZ3FquYVlmWWbWbo3AUY%']6
U"[byw^,6'uHZt%<#I_usnSNuMTRQ);_fL?Cl$X#7Q'0>j_Y:V\W=n#A6:02g>8i=
U"GH*hL0w\N2ICREm?/>Hw$3Yt-rb9qwIs>>uF[4t'nmc+GMzLB4/-%lL+<)cr;[x
U"o([Z9%,6W9ek4DI9B4%pIsQdE0,V+Al)2.1NQJB+l1QBlDw?V1SBo1w-V5nPi+j
U"z-n,9m/hbYQkj<rcAA=3)^P?w;mqI]hqD(GGy%1neOKM/.l_B%#=2Ba^/5[:tWl
U"9OnsK')^SZv^R\'aVZdM?l:O*RK'cDrD7KcnRS.6wfSwmPR1U.TaE3>SCbV]N'.
U"rPh,CKd-4m<-YeO53PX_eJ5v=xSvPj;FZpc%t<Y*Bo9tK?jtMeu;$CsL(K#p]m]
U"S=te-niAf^3*U1X8m_:\5*cEb0z=Zh>csG-2bSlF=hkml11wi;A1(:8JBt#6'tS
U"3pX_lceTi;?T-u7+BOl>WuE$xp3L;t'=B<fmA2fQ+tK]?3'YCH[=FfZD'(1EgY;
U"tH&8YG-QH*]UL%L5%Som[($Xb<W,^9;UmRL\J9#Ys=C5N%iVGOSj(+h42[2*c$*
U":3M^:$Q?d,aSx-URtF5VWvL&1V$jICNSUQbG5d]r>I62Ub0Y/;Bz8=ms\;GVGNA
U"\9](i<X.tJtCjgIYAoh8Den]'t?JE&4Gacn?R%hDv39krk]Vq:/Yk<KscY$h.H&
U"'n))6JE<<$*#rjT,fsXtw,=C[JK^$v6UA]hpQpM.5T)I=4KTQxkdw9GI5IT1AZF
U"I]PgwqrCBfQCZ+^_wzL:Wh,&pIb\nEYs),#$DRiQ0P=SplEhh6ADj\<lU+QEQpU
U"J%rE+2,'qET>:q#uQkl\S\<W)tI(SB[K(%<1\UM;2N9rS#Ni?#i2Zp+vEuVR>4B
U"iGOyC-u',&*y>qjrS4hqp[W8ZQ<w1t&x>G^u>fQWCY[R>m&ri]QphWB0cp(na]4
U"6rJair5zlTd:n^LWK0Ez&Ar*_kCN3+T]Qkpod.DNM\a^h1[OwU)u$G_T)T6?J)3
U"Xm#G]wtrpj7bv\qJxa#D9sXRwvxK62d1mD5fvQ*PeW[Gpd;0hKr6l,RZgsfIhnZ
U"iOiw<dMyEd031a*0#gRi/y\&QUJ*o946*f\#+S5Wiqqg2N^w%':8_kDF70y8)Tf
U"(g<+7:VV4ilQ\kXj-U%'C3ZiwFN#2<?36a&1;=1biRY6-;kAOUycC^VK=b]J.^t
U"PRDv=7S2XDpMbNdK]XolaHBv$PrF'/8m?;[6C6rqO4oOR*i1.r]B-Nkb)#)&tjP
U")0'S%h4jgnf?R'4O+zj'OJj$NU0iIh0Zt[)<OAhL-]6CV::]-neufB5o6R.VfYX
U"7+/[=zu<I-z;(=EpE(Pl%5mKr<+94$2krXJrBhKERy?>03Ej&nX;Fpg=e_-xN.#
U"G3a*.PWs#ni$rMK&5:2\#vn,<fO4(BS<=+x-$IW:13Sc22$O.&/'[3x<T_+F3mc
U"WL^K2_+a8/l(#Dgda7X-$Z/2).5GO(9c^^(.:kS(U5Da?ItYCA-\[Q^6A:s7ZoJ
U"V];950O$bEA,dSmC\QObYA]Litu^*R<kx7kuBdWIfL0v=l>XxgAf8Zb2+Q>C.BQ
U"KBCaA+aFGP=jy5m1#;*[_F*gUfN2DPJaW\W0cj_38K.Zh7s/mj_3O/I,MaTfvLQ
U"C8G/B#=w-=FKytaW3:Z*0JlD=Cd2e/;D=02,KrdOsy8jGep(IAQ9:ajVE6Z-COB
U"iZYWBNWuJ#keFk->w<7tq[+1[%s>wT7fOqj/Pe4Uu6Fw.f,EaQ's+<j*CNVY1]5
U"]JL]5m4]NqKn=;1br;ngOOpvLKXtZ5Ok>N4Rllwf5ld$C'atYYLT)?JiZN:Nk>k
U"lCQK7T<:%MW/9&C6C[GbvQ4;>_lophH.F_&LS.HSPWH^-B+eM4-0'=9(fM*H09b
U"^Wri=JXWw.SG)3pw$f.oa\G<..fA79nh**+_%3M&7]Bir^BM'C$PcM2a8Y\0wgZ
U"P;q$E%c6htz;S\Ms[<RE#/oCzaeBnKf#]99StC*I/0_0[0)Fea[J2%])g/OFf%_
U"jcf]-2)a%Aen7aM1'F]GDqNl^PM*cSA.MJMCl&^tCv<wcHbxf/0jFPf#%x:P.fQ
U";\MPT_EIPmnECla*E1P<ba3Wo%0K\LxMD-t-<PNC>Bo)N,oaNr9_9/e.^W)[%h^
U"V<rO$)oN\FbUmBpW8?'HUT)H#Vq)85%9O^FNe*Uux:RIh0,2Fc+k$%brb[3=Z<s
U"Ca*iL&JX:'\TG*W81+_:m$*lm113bm6.Pj>nQ-=?c/Gu4RGrZ&uL4OOLMJ:To0.
U"_*Z=[<_*l=mT#;(mbWs,+$7$#j(mjuOi/%7$3kfx_VQT.Qp3IsU0#O3D(tHtm1I
U",S7Lb(cnzvi(=iluWgbg9srXW5tdj'Vd\WUkp#Dnbtd(4QGJk8J=&W4kuQBdN88
U"+.j^mgp;;mC56T-Mt:N]S\7c]-zQ0V,.OoG4FN#EnqLlgDvRoH]kXrtRu<ts3Wm
U"[._+1=A=8EDc^?N<b$k0D'$mLElJ>$G=Ak$xeR(A&(9M/=seiJF,4)[p>1etQLN
U"$o&h'//bN.SJ4O*=CpHbZC;?U&dvm9>Iu8Ty+&VC'DpGDiaSdp'shb*b2w[aFB.
U"jhH(P>uxG-3ZsV:b74.p^h^1(4j$N0M*xe-+o-i\aY+)>cP/Sb^U5amTy<YU=8d
U"gR4jOrPd7X$]7U2]0vs/l&(p21-MC#rlAoNZlWbjMpzix1Z$B5\[ILIf$5^,TW)
U"B>>2D1XP_5rP4N6A3B$x1w/xvTKf.m,N[qxoH.]?1:?Rb/n_Ar?LUsD87*Tt%Kh
U"]qcXK]a/-ctTALTKvZz:+_838CR49bw_;$kwRd?E$BU5:omCN+nDNVW$cUf#xWV
U"v*=axWpJv]ZVkamk/alBoCWAour$cEECNHav&3fsnA5sn%OsBkkMackaeH^w&Di
U"rZ;G0Ao>G#rp*/)'4):RA/s=Z6q^b#Y^L6m[Vm0q(bqFT'kqmZU<mE[:m+[.qU6
U"Bagq#%o3hM4phxMspNUh)A/)R&:0IX^qM)8Rq#%w6$9tTS*PJ6Du=12J?E8(UpO
U"*T_&Bt^a5&T2IXtB,bmS\1:X^2SXt^L7nt)\d[-PH^l>^X^A#jNF;$J?u*'$qI_
U"F\W6BqSr]FK\kje-QuB5JA7eSlIG$gW][-3xpiX(P<E1A<h:63D08hRy9^Mrk'g
U"i.rr2?H6;u%E_8a2gOEVBN5^&hSY0]CGsHC%K3eG.E$;JlBedC%?s1iw:<_C\mZ
U"qZSO1'nT:cDMiq]NOwG3>>DFvT=dlfJq/G'G[vewR^,KFQ9J5],t<T.2$;Uxy2V
U"m:kXh&3yj>[2HW>lk,k\FO*2aLPA+45;63[CA&zlQ;oAC(E7[)eTM,gDcuwA&.8
U"*ip'oK^fVxyb#+_<m8Z%l1ktWZV'd2LoGbkJiqIy[g]3wHgJCg99gA9)/)\]Klt
U"VCwd&9SxF;byckR+p\EI[\dagUo72\ovIFJ[Lut<*kKFf-KWtI*8vCL(:IPi^c%
U".e89%GY:CA>_4p;.NXb8n>+FFxtyVS60SCsQHe0eRmLr'FQJ:ge'vrF)&erpdoM
U"MV1\)HNQ*_JmAdD+6%:HD*bs&hG1kqMF&AEmM,kx\jg47KUI%YlhL)w?OF1AQkt
U"f$Yh[(71*nq:A_]j.BcReh/pa?gEc.jR(f=9<N;&60%uxRSpv9GTRKDp>h(a3NK
U"Jo#Z\jpirCF_:YYS]8Q5lk?.KgEV2)s(JWyX)\m;\N**g<V)(=m:sqSU5XrX*tA
U"X#qQR\QP+cFFvap<E$R7iMSbNYHw-J0x6);ipICB(\Rl2w%Ug.77(F7SzVk.F3E
U"WP07M9ESM87-jFw/,dH-X(^f8*13DrN\yeD0ETN<Qi?EPSN_U7[UD;4LYK%vpG9
U"gct<KMVjr<Usf+(iUvW:hKLSIuLya:-d):/87o%?_ABR'$iYn>AXLBw#/XbP]cY
U"/ADrGib^PnC;f$z)iJuFrvApcd^gZa5sW5$I,(2I:FyD]U-2(\2REdWI3SwcHcV
U":,7>FKh3qU$g(1f$tEBo;WO'NAHHa#YT5j,s#%\qL\>,#^/bd;/mgJ.tapp-Pc5
U"^+t6F#?/nM8A6%bBL:S_;FBJ16Yu'?fGrz\Z+R6(hpm:($uprdbzY?2SzwIHtB/
U"pMsUm:tqB7-r0reoa5Q5R:*;,m,/mkTXrgm9rGqintGpGfjNb=EMD<MR?2?B/f_
U"?Vr8[Gwa,5LHw_tYCuqtzq0YrTxsWGj(3ScShS?3M241yB^OQ%MF&\UMnuDdaWw
U"W3A<D3Zu\M1b?mME]84op.RIK4$Mu<A-IUeLU7uxtBx)b#%rr%Z$w'i)*oy_<3J
U"8=ImmIg_>/AV7i=Dn;wIT7ml,*pncCRj+OTXW(TqZIFFTa(+c[q_pqa:K<T;gb)
U"cpfg1^jJLh47_iC:j$sMiJ+0+M7$hE6c+YpbwRli4kaXo_u\$I\^qMuN*fhC3)P
U"P1WG'mg>zU;b%C/dEuq0eD<G&2t\i3CuRCQtTUyLLN<$xq&h\V,eK+3++YlK8bU
U"hA\n;zLEbjE97u6AMIrEjE;H78HbDrh\h:-KhEgX[5Wu].ht7(W.Y0lK>Cen*hZ
U"+YlKTG=X)3<c7_r2Us>MaWnYlFKhF.%=W2Y]lKo\d$hk&X6o1j67^Z/^]qW&9%K
U"+m9/'NmlbU3C3pLOqs8F5B>*>pGIWHxu\D\$>;6k&ble6>s/y<v$q*JK5Mj[C#G
U"[,ZYl_V3akXvk&l6e^X#yFJ\)rnlnE$38)J%mH;CEkn:W$+?vPA=3s9NosSAszo
U"I#=byrGstO5u5%K8lB25XgpNwaPLucaf+rVQT?r^;]b=1;R1h]RjrkI$f7k66\P
U"C3$g7YfpCVdR+DR4nk7PQGZ_(Dde>Y)]Zs0f+6MoaZ6CZHW6Y<a2hJj*&K&1prI
U"\N^,t8e&sV7uKFG5LT_s;)Dg3JVdG:nD8_(>*8:/YtjO<Y=:f8_A+Fo$)J#f'KL
U"7hkn%nwnZ/A78$3B\F'peT)o5Ug*&k.G7RS(W8.J5^LWX*7KBDe3m[9?k\5h7p;
U"st)\A>[K#Ut'k\Ln5,0:]>OJ/#t(/9smwn1s8E<0('OM1?>]iF;X1B$F[Gj\5HC
U"L<iSn_=[>FkqNkV;eiHHsQp)bqBf^[S5E(yJ(8IFoPO5.+mDYdqshu0KFn&=GOp
U"[%7IKd/j5Uapa,#&bLar;*Pk[qR,T6H(n$lY_xF;d''hD#ad-Cbx<g1#IMu[jG;
U"r67ZlKV0n?tj(K/a,L(/S7[S=3BB\LBo<$$k?=n3=r'lU#ZpwCX;YEi*.jQ$8wU
U"d8+44QR+SDJO/YqRP*,\\S'-Ijh;g2:EVNWCo,hnIz6]XmyE4s,+CyKjK^JKtu*
U"JGp0=[sE&]/WC;+Ta2m.B'Mrrf,2Ib$FO;+w[_<7As?L+euNpNZ0TGF,UvcNq=h
U"G8zqu7&NQCQFfoBc4]3_(2s]>lp9J,R-.ag5D+h(MfdJ62\i*T&ri>B63ME2TVp
U"^qL6>^;&[,NU/gM+xJ-9Y3h>11C\G]^4(SZsIRj#gb5089v=#T]?'cT-$/CR?4D
U"/%V#Pe=hN]eUd/dU\Q*Z-[Q1-WV)-ZG/Lqe2LeGWPgW;)<3X)*1&x>cH,sP8l76
U"s,PR=FkP&QQCZm5S(Stk$V5pLBlYotfvOvS%oAcZ^n..OtraTwti8),H3V-.('Z
U"29&e.]1rAlWjOvLAtCFgLtpP=Mnfg+N[kolT3FTo87BA$xYmgKs4Y3?]x.mH-x:
U"$,Sx,j>qv8;4neNjUIRxR:GXvtSZ)x1QqaHeE[g^e42Bt]d*cW(.(o-=ivjr^8q
U"K::nrH4(*Z[TJF#Btp%FsylGkffj\MhoF3YS9AAk1+FG6EeOMI:[c'RnLzMyZa/
U"rDQ:ree^B,S3igI0EYYnd6Hw0;a3P1N_FoW?m#+utwDT0:HT7=FK\zW7RSsS?)m
U"[r*u1zVCL>p+$u?yr&vkFGs-tR--m(I)-XaEkRF0IOG8bl?8bJdqjT7XtI7k2IA
U"#Jrw(=i%8b#glQYLn>%aB8m439t]hfUj+u^ID?8sM+QS:xUa%'Z%V9M*\O'%\+$
U"5dLu:&o172Zf7wdM<3i:#.>yIWJOo<X5wK/Dj8,$),ALX$&YR&jRikZ2.]1X=a0
U"4ee/>9%*WIG*v(vGZud;-YZCk0jo$e9u5NOz$,DF:_w(m=G)&<e7g_:FFE#-mg7
U"2%S?Q:ISvFXFe#m'iapvTN-?TdB=tnh#7En%i)ZeHXLEF?9h<p]0x9a:4i'WS.f
U"L)#A*UpJ[#R3Fjs:rb?uO&+aGbUq_M>VXcRj202HWr-o1:(oE4S8+8\BL+x4<M.
U"z/7u8/WvY*kR[SW)Jj4TjTkV6bauMiVk(MXKfFo];EqT:j<Y2Vjeoq^1rUt29%v
U"]OD3yWQl7zYj]#,fmSs&+qX9F-KCKm$L?BudRVOQ<MufIz=IDfnPZb4R+/_=:;O
U"3[b(&k[KcB%Z6hC$Prag&$LBD'8>d[uXusy#5W(FDq>nY=OGN,7Wi>=7KKM&8C#
U"(zb=2%SO+</%#&b[.kZ'+]w-8&2oA'gz/UIr4=fhaQ1>Ol_JjJS(B2#dIq>B5/,
U".vX[b[%.qoro<61K)49xSF[[K2Q6a5%>%a6m#ohJ5-1.6%/^piW6%hw?g&u*<>C
U"ha\SCI>Ix<03Dgo$R&m+hN-a,JA[PY=%S=XUXp_KfF6*JyrT7Jy[u??9qkJ8LMf
U".JCv$.\:9S0XP=><V],^#(P=&P,[,'#]dO.^K(k0>XLCSj'ImU/,Ndi=AKx?I&r
U"uAg*ZtSV-I7OsR-gIUg.b\;S>hRg\FUYb8SyO$17:[VX9C?d.4zhDH)0G849g>\
U"U/SSa51=rk;ptfVRvhnYh9$D71zm;$P1Pb/2'xsrOg_;8sLnsnYQ9<ImYlCJ.)k
U"8\U9k:10MnG+&vz,a^h#b8(mV<1+z/*]&Ui:/<+u_^[[Qr>0HwJ6Ep.Xj+IFmWs
U"l_pkR<i;)'&:UYD,h<yQE$XG=0ck<7)%'[B05GR'^WBne5A&ld<=,_gk)uBhdHu
U"C-e<-[_%kvJ/akNfd,WzFar-IFGSG[hN7O$\DrqRomWB;<?&SU+,Y#A*i$XL%6,
U"Ya/M$8h$qoQ0S';:?[ol'4aIww53H7SAnI>^0ALwI3MN<k/I;z8b,9=vYH0oq#Y
U">?rmp(04:i;$sEe\M=C\dX(b*hjk5?%UnW,Tk4IQN/vs1>RQEXJ7b'9;3j\<C*a
U"W\)udt+fRjPqpqrhJpEnWac5;9m;N/S1IcbAp>jK4DomTHF8ui[CE)n+TbsE3LR
U"oi8Er<WHenoM%(S.ucDtHN/Ij:/_'cS)#U5L$K0IF.:J2_SGi=kk&.):rmg(76G
U"p#G\+R(.:rYUHYiD8q6(*[N\C2F]_u^p3](_Z6j#9+t3Q]\j6fiSY%7:IrGu*::
U"wmE^pU]Tgmp$Fg1sTY7G=hm/24Ec0h4L4,GTJq;1h,8lO?b[fs)ME7Ugn-<CbY?
U"CXWIcWUUsN:jYD6^x#Lom,Ym<RT.'cH:A?MS\Za_$MmI-\6ny.0r7<kX)FdP<5%
U"*,=eE.Kd(ijKPP6M8DI;jQj'Ss/,fmLw<Za7I#F=8]X;KcGuCGSw$-]M+T=q8aA
U"+]%I*Bg(.sf'xnGw[c7.fM^\e.o/1O#AX.6E0/i%wveXC8kNLC.(7e99#t70xfx
U"STL<U<PS&O[htVgZI)W32geX^7t\=PkK47'/#LI>VAb'BOJ_nKCJ.'\>r0i7W(:
U"buAU8^fCYnC?-Z-wR.=n$M4$vdOU]wamg7%Ys[?36Hm*NpClR/G5;9J=A&(mzdn
U"5bRg'Mk/_<f/Kg/nq/U7X+MC%&)F]PY[RSb%9+sMc?OiUrQcw=Y9s[YVd<D^N9W
U"p_-:].Q61%?6seh&p_(bWTuk8fM,Uvwisl_edh5g=LVap1K]fA0_LA8Q)Ys,?hN
U"7%*t%Nl:o]0KyZ.qYxWV.sg]0]2se>B$(>T*Jr$KY7\UVuk&B+/m7;,B$+G:?l&
U"DIR.fn7Z#Y.#Hp]N+BCHmOI+%O=UD&>JzC4*W\.,%oMlk-rNfu_.m-C-OWF$%LE
U"t,V*;iTv%UUF*8BP;?7G%d%6Y-+KY2Nq=O9H'HUpVnMV/JiCgYScW(2x.m'&/70
U"RIoN4UcPSHED8*mKUvW?MYf=&cJ0(.'tP):98((zkr4m(ebmH%f)+$nbO6*GV\u
U"d9K_J-=c%_58VWrm7e4LcU5jJ-=8q2,#+fQ))dtLcm7E/Z3\tEJ2lXCJ&%:LGM:
U"/dL>Y:5PYDe=k[X-*7:-n0(FK::<qGTpLc^i077PW1/O/q9_.aK9u1%a1.JQja?
U",+gBU'[BnMrU:PJa^uAL>c4O.Y/x,Go1MX_n'b:KNJRmi32M*8z,KEa024;PP+1
U"080(Ul'HJkUUS&d]:)Qt%,yUM-'7p=9PKq9p,-8)oWcJ$7rd#\nRU;[_7I,tLM4
U"iOGWk#F%Rfo%5V4joD84Zd%p2ORLRW$<8h(Vdr;f9iP=-Gz8sqH;Onw0P??g29O
U"ThHkIgh$xTFwtH6;x$l<\7#UURL#Gtqp#\k(f)HrX6qy?L*SV3qxL6vp27rp#?)
U"z[WAL;?hDRdb;Cep6utS4H%(OSLLS5DN#F;S_W2<ZiC0_YM[WFAjKc-?x0o42aQ
U"k0]YrBJACK?\%cBi9Ekd)3EUuTME(#)(1pvpJ'P.0UruX0uB$%K7<xaUd6G.,7m
U"B<n=DT_58Kk<7>AUb_oWg\:qa1YSIrtYPg<AY]QH6^)<sT\Js<XFu>J>^-k5):[
U"q%g=WDW4e9Jsn[?h+4$K&ii[S0O9uQX$1.EtZXC*<IP6U1,=s99$3TeN;w>,/]W
U"b;^Na217Y&#3MxNcV;Nc0=Aa3:7=AXI(0U,fE$k-0_[&w#YBJ,i40IwFLC4FLq3
U"t3+KMSzQqOo1[QYZR$%gD;nVh)MVG,V&MT_(02'dU,=Vs+aX.V=B9<#2_/QH=WD
U"B<=A,;KOZcCi2hRcLFFhhM1RTGkZ:9S/I=*4Hjb_sPE/gRq[<9SSvQj5is+=n;Z
U"%x:*5f%g,(XBfh/wOj*=\=tIm=)YSp+?b99UA=gc[<?B%(-[Bqs,OYp.n,H4ik[
U"nT7?/$95mP[HXm\\>EeistRU*Fi\dWt=$HlCNE0qp6$NRiNKtMIj?xRfI2[F;Wz
U"C[:-&O[1wkSsRt\&KCb[bekFbi#'A,2%a]x+)_eQ<Wg%]tY?md:=<RV:=i=1Ij/
U"^14<gqv:\&FpAht&HLQ7nDniUA^]F9v1Lb:Iu$x\urpPC6.,$T/0sPDJ682k)2^
U"d$7,EOQL&Q*Jk&DM7Ia>egwj%w;dr4)evh4wCId^?-&E\/NF$AMuZHK5(pu^lMp
U"xcHNav79Z^uqn\t>SL0]9io=>8_Lt7?Cr%,YdlGB)qBK6kuxScN2PLKlTbrce)7
U"#O:Bj^;<c/tR-(4[Q+<v[$*_m.HCCSCXV*Pi%UAPjSJ/>6Y(rlu5\pjlF.vruOq
U"oS:D4vioIR8<Iya]hYMlB6I3zVC0<)y%EITSLrvoUP=j=ptc%trO7GDn>G)*wu4
U"s>dLcM-&ZSl29I.HdYb?9?9*uc6O%lfeM*L'lBL3ja.w_+JhjO*8sGTe2>VrvQ[
U"xk8:L;uW-gqFuVxMq-?xt:pYXM61q.w9uk:Ztywv[fM.5_,o>;MW'($ad[Pp1?(
U"L8\,0JwRkem&OM4(Z#eE4)eB^TgZQT\*NnP;L0T>Th[d&OxH04\wLqJO/k?XI[H
U"BETMMq26ujnf98*XX_xQ-[xd)Q0r5QI$nMqV=$rFZ-q<.jwuI:o^djL5Tp-PV+\
U";mO#=eNl#8.1BLvL*$Ya2nLB,,/QPWe.'AR\p&BX1ci5/f3:.TI.A)_=?]F*oxf
U"a6KE<8<b'<#'Is_p6QY5JgSpV6FaX^',?iXx4;DBMF.Knlv1&jjE_dW-\f-2b%q
U"<0OG]ykGeB,BuDTZV$,Z'Ud,g+h3Ktqr-ZF6PY&?a<pSp6VZY&9hIhv+ISU<\2o
U"f(Ou3[)3q/04K=#&'qkpQ[vm3(8ATA<aMH+=Jc/7kX+;cw#?Cp-I,c;c08u)FZ8
END SUB
SUB V7
U"hGyk.*+e+aPEY].,gdtBV50K2(*Lw0jGXPAm\UR*swDe)N?vF/K^?8LA9L0q*xO
U"K#=u:/sH[FE];.BvZQ[nG;H>6z)^<CLg+*jBEoW1[&XEWST_Ghg5pA38<^?QW*^
U"r)^0l+OvoPAOYEPd.q\u.O;V$[$5Qg/:<4<EB_[CPJm5=B.iwFR^d&JIl681Ud(
U"S\fkNlCd_.-&)Hv)F3UD+_erz_?(JQj]ANM,r+Z7,K+*wrcCCD4qU&$+%Aw]ln-
U"_qAMcyoCgJpI&XQS<qIO<A,/h$k*JLyE7+/mM_$1wS1*a_vU\+1bx15+CYC)L2$
U"p9D5^b_Er9lu.rYrd'LC.aJsH1Y_I6\4zGvS,UqrbfgzJIdJ4)92p>pquwRY-WZ
U"o4[mp>sJTf9&$0)\K'hgGNt(_.a'8Bs)cn'A#=q\L('EGBxCEjm)Y8bn_6-miIF
U"R6wtYtP1j1tNK*q1qb3mP1d':38V:MUD&VH-g/rud')ZqZCqhm15TeBxw2/2NGP
U"[NTYf+bM-:/8GRu/M*zs5,I&4;9o6\_bpN9C^w7tj*GxFe9u3d)QXROH_9wA4d(
U"P'N3.;n\5/ga\$:&Cq,HRWFKR3fgZth.kZrhCE$1s?xuP+fUgpfC6fJ/4(C[F5V
U"',E??Mnr$F2158Ug=D%c:AY(Xf&Y:%sjf8?X6%uwFOl*Uf3bzYFV(W.q5Kp\SEf
U"ksp'SXD,3Nvz/:aUR:s-EN(1z[\22&:E%acw?$GsCB#kkozVWw:\ST8q:VZ$'v-
U"j4<st]VqVe6RyqAnmqbpjdK&B[o)5&o-[bYaFeX\'N<_D&7kwdW3vA'a7#XTC/d
U"(D:ewFUxf3j?3MVIuPVmx(yF02]0W\0PgH9<9Zn_KuTx#WH49\DV+X<B2D4(=IH
U".VVC&2PXA2gA;nRfQAt#):[^61ATC=a5P':7]=PhAa2'3g[6Q-Afij[V=T6e_:x
U"ki/jfO[ub;?\Iw&(h9-IY<Qe5#.r8R4.QW=o#F/)FBb$6r_-bCR4CVtuThptp1a
U"gEek^B_/kX^$kBG[+cNm^l<\xf6M/poZgDO<2sE9iVON)bZe_stjYg\'TIKU&D;
U"x/6+IeFXR*p2%5d/L0xmWFU8,GUbED^BA;0>-=2e:-0:TKC_<h]z\\9U_:A:,ZQ
U"2XY<ls:cfK:\>Y4O[l#rv:SThftrRhSn=YnOL$KI^E4Z]2^U58?t;i14V8G)M%Z
U"g<x^b.fnTUinK=FNl*>ra2N/?0YC4,xpNV8FvS4m=M^;S'80kWf4=a3O(*Wv[Q=
U"8]60.;2OQS8]68?bph%*Q9Kh=gB<cB0<#t$s^+j:=;>)KNcmMRC+(UsafG09m3H
U")[N;wQUugg1Q0VF47TxULFc^;kwHnPX0HPPFF;9w):Vc.n%A[N,M\1=%DOUD2Fk
U"oT[\:i(x]XId(UcIcl><e4-3c3cuf=M&VaYd.DY.Ve:<*H7Th?a#gep,[&$Nj*d
U"D?FfC_qNW%$_o4q-4]TW8A6#b4KK/w\,6,2PruyZP-E<CSKo/i?9(%\5eoaRTg%
U";<2en2]+tgWiaa.OI+]*xUp.x5w#A.+$A(L8Lw#Fsx1C^F1JGp6(Kq]Tx[(uIlo
U"j%k63D2wIpYi6'8G$K9:blsfv>L7em[FoqZmV>l;-)tumWgL/Mecb.Q3XH)[-E;
U"7SC-C=[nddNr:o'_9ff.[uGMY[3B;nWhdnPD$X]?V(5hEsOBn\Qb:m*g[TS3\pm
U"BK)ofQYP6R*Y>yFG_g.-D$g<50kB.[cBAS)bCc/.d<03&C.cBF)ftU$GTSAB_H<
U"3El$0;gcA0=QrAj5*V\KJ;#KR)e>F'5)C^_F._<i5Dlf6?S-k9Hsk9r8qkODWsW
U"io2*I:_lS6j$#D%CskU:,=(NJH8%/Cfi:Jl#0%&CvcPYY#w>MaK%CI6Ic\T6QeK
U"A:4(pO'5DMs%M.99$Q.Z1%zJA#nv<oE.X?DR-lN0H6XzgmgrYUM#7J8hY:oQ?R%
U"]AUBx3#ksc1,AaP]T63E5Jl$bcb./spS?\%]':2F\9>ydGqnpK9x0I9Y6_J8-*D
U"&?/?Sh6T\(xwSk0e*]6K0.2O-QlAH\MZgXS$NMS>hg1uB<tDtZZ4$^*Mu\*b=K>
U"1G6Uwrdt?xJQ#9;zE\NsPI]yoh6-/aq(_UO53CsZr5D'oq4S4g'<J8R:5cB4<IO
U"5le)DP'f&e$H8D=g'D[3zEMloD[Q>=MoS+ke*_F4dk<fhg1H3l[GyGos$rZfUXy
U"F'JN+E]I6jH7vu)_KLM53qYj1J]gfY0fIRR2h;<X+ePa(+Tu8ntSF-9dg%Dx$R&
U"G'\mS=7#_oFLGB=wuA[+U-,mi'f-eZvSZ5/nngAj<7Cl.a=<-_n[SpX]q:65Aj;
U";HD?3/ylnqXpXq7en+c3Ge$GtuL7vOHEuf9X;7#E65*VE55*>N3uCr59+dKC>(A
U"t&U#g;Y*J2Tb9W;7iTy5]oksq^V1v1cW2,:-^SmvU*Czim:Z=^rMq^S)Ze3J)Te
U"KoqV0LE)R7wLh2qo2jMdtDNg7T[lfX6i1Bh$\:iZ:=4;g*c7[K,lam79:T>jUX7
U">jQUd)QMsyqcpm,kHo.?buTS_c8<KrtKT3SJ)+KI=x.N1WXXN5*)G_m#\j;(eTC
U"if+R3V+U;=?^B9y&g$TFB&gmT=)88x9q(V;z)mQ,D;a8Ms],SnUj_R>[L^4r,G7
U"gUj=:,%:pPl6pLgZ:ph<H%H%P'oXXKOlk.50H=ZG*PbD^wPI'7CoXGA$g>#M[w=
U"s=0/cA:/zb+5SVkIj_/W>OhDTfU1IIhB>AY;AQtJK3/g.u\_.xQIMIQQn$Y1OV:
U"j_R(R9%AP,5=?Ev+.<W0;n#)bnHC4\17Y=rZ9'dAi?UZQ0\BQ(t)9tz0/pZm>Lf
U"9IRxF3)&z5TM:;GNIaeB;Yel/B)='f2htY9fZVTj,stEe+-.UT33UH=2;TFqqT&
U"$tRVr3eX/a3GB=Nt46qq^w-9LnMoe:C9XB/XGbA#99\>CiQRQ)2s=mBGxlMlH7P
U"E\8FPQI^X4uE;q05-X0R:SNAfHzT([2Wt<(7PcIQ^*1HA#ta==abs&>s2(vimWR
U"I.y3XV7v'75N'j%em:<&okguYG[t(Fl<[-Y<*1SFX-8>vl>+:VPJ#WOk&S.yx(:
U"?W5E_3dASAut9W&.ty<T^UY/)RQ?sc\&9f1x/d%_+c_MW'ySu(#YDT418YJc5tU
U"[=Zi9SvmfJ+6UuwJ:,$$R9J9b=5/Te%I93/*Y?1a\a-(/$>)RRf)6k$V8\jD^(j
U"VEjv/1qr]]%#kYxa+OMHj_<$p;i'+62L)q(=gJbLp(UMqB2CIjia+h;.MO_pUT[
U"8_<K49LSc7wOma299&G3#vs-ZYD/%DPU#4**^:<5dIhtl$hd)c\47-/Z4W5=N;1
U"9h0dQ/W&'mmevbk#dB(MDIduUOP%9>xA9MyzuKQ$u[8Zc$=<kY.ZNMJcF'wu/4i
U"v*amdW?Lg'9e)j-%,:f-><S\/XB5DA/HLg5F(IBo=9X2_t7\>K3&gPgHnxd5CU.
U"d*uA)5H#EE8OD<9g=]0xL_W%j>PLfaCe&-bbT,Rfp/?q?B/)psWS>8p:Ue>]<:;
U"'DGLix&COK_KFc4mSAR==:KUPSrBa[)<#+-Zm3KMJAk6B-%\EUraC7]ba9S'g?K
U"Il(So>Vi.D%26+2#7s2Gn.oZ$Pt+A,4Gt$ddE'[b5ZMM30'?4I+rR*eQVGenp*6
U"2A9zuAgpjQx.WjWrB:$L9=zi+t_(yiN:c$sJO?91fU-RIF_0k]DXq1.V;Jp%'pJ
U"C(&-1j0SRjtqo/2:]S?3\^elXf[<t,7;wOU\OdS6F[$:m%''J'5qRC<]S\u]b]8
U"2gvNK7MYI9'pEww=.qxoBUbOkq,I#DbPc)Z'vK#aGj7b^<dknZ\A1?4qur*X0\C
U"SNIvACw>Ra2;Xh-(MbSC3uVYUH9t3U,Qk#M:%C;=cK$cprnm#2a')GY=2NasG[I
U"U$QM)Kp\]b0=ceHg0?^o3:O$;hz\p0i3Ys\_dGaF12(6/7OE9eR#nZm<-g,bQl/
U"Q8F*%RJ,_rPu7,/+MF%B;*\O%zY=PZP(,nYB'b$3k\exwo4q0ISGB'jmW\+Fd9)
U"zL^.t5;QJ0ooC280wl(EtP6:+K-TM4(Cg]^q]D8JU*\I;39j's(E16aXQ]%D,<V
U"Q8/8/LeE-vGi%[GSd+h)>T:4'&Mpz+-h[=-0#?]Tkm9$Mg4Ewt6G[BU4-X#5/B'
U"1c6;$/5O_v3Gni)V]6nLf1_-fK.XD7Nx.Ltn(SK_Zc_P.V:.\(0eH4tjgod9_m-
U"bluCl99CX]&iex]3x+ID=R%tL0t9R0#ZX]J6>[Z2d]3('8]3B]6y+7ay\x<u0G9
U"(nl%2t)XJ[RXKn3>Ym:1%T^m;ck09Z\piAqdN7#p)SIpNMR[Eu+0-,QF&pUk_c=
U"n#C>4ma6Q.i4ZatBDlb+M[._H:zqRc3s\,67wDjda[:Gb%'Cp?CM[nL/U)r(HFv
U"ia<7okZGXPPX\XY\;U^(NA-z?jQD^ER%5RuBWBv_]>\VTZUhM4Yj'2v;XGC+bLj
U"5b#C#3z?,FwB7ah81.BfXX:68+-Rv;Zx*I_ilsS59i.zCKj<VX;nC)Qncj-#.0A
U"3l^r+RRtN5kUA%b#WT<A16CTq$DNInp0j&*\0W*gYodtLZgZT%eogER^a1xQ9]^
U"N$X*;qYEZJ>5fvkS*eQD:C1/bRIf=u/*#-.CA3g%;_VP,?0g?-%J6jFo8%FqR:'
U"c7;UaZ(tc[d+5p-P65%j=,I[Nw0(qtenDh%e^K?N^M;.<1Yb[o5opS/5CV$+o=7
U"<T*TJ1)GF4Dq%/M>.-J4Fj2(1I>G%plo+u\BkEOlX$Oq$Xx&bG<s:\l73dqx>GF
U"$Nf7S>fR:iNL#XyBi&]Dxy%$C,y&zYBn>.P]xp9&qS_=2ROr**%*RALMK2C[^3(
U"?S.+M2xAV=7as<$(x2ES_=lRB.<oYFo=Zo?lYpjY:lC/*F1k\b.TX-'IUtkIT9?
U"k(>O[(i>5Z>Zw,JKcJvX?=8:m.IR/7JkG)5BPN0M*p,[_lJ]N18,]*SQrh6R_DZ
U"]D6tjHP8A/q9Jodi*00OCMDEP.TSl3dPxu(nOY9)*t>FgZL/F:(Wm6Ig,=D_]ze
U"uEBMZ7J=ftcadEn#o)<hGta4Dd)_kwPtM2eYHhYz[SSj8^tVl8#u=Pc]>=ZAU-V
U";w+f?yNM[b_d[:/aajl4>&0[J3D9-H7jFe$KlIv:A\Cm8AVi6o(N9a,u0<wwV*E
U"WM98nT\/;q*y9RdQ9tVJtx'F-/\fHEIoPS]Q/=i>V[n;ls646WQd2J6+^4iRR]_
U"G=0Q-aUZ&-+A,Ophu.Y1\:C:XV5I_WcU#W(nP9VHY#eUqS(Ti;D1-I]ODGFe5Bw
U"_9XSQGR1AEVIY9Zm73FSHpD%43F)0k(mih31L5si%Ol[iU)NA(=9HmE9sb+OGZF
U";quDaG&2?dW%=S,^RP*#6.4M#]Ak>f8Jbi\N>T4xQgwp+?IgK);_?.mIW.SHmvO
U"\>awcHG,RO1b4z[NgkhPYC\+OOl./vh<$XeWh&]0PXE5<zG+L9\x&6d<w/6jTUq
U"PM#WAUgDF07.K>=GB^Q^J(7\.by[.J0VUW-1*EJ.9/Y')Sg5;B[u9r4M,B_=z]B
U"G;$)H+YheC=Lx^^:_Fn5NTZmY>GuSH9HhgI$6IBPuZNF+y[<lAJ_uMPxCZAyH(E
U"wH,deFHk))?Aa,8.i.>^*m6*u/z5)W0&-Ikh7[:9QMEot8<S]AUFpO(1IG/5axc
U"#9G9kVwtkVRwWm#6=m?IGLKE-7*a%GEeK3N;z9lxLA<f/%>4RI.zx=sYl-J[g0Q
U"u:1h)1af*hbSO'h'G&o&bqUs7Z*gx0LLi&10A)DGWV074?l74GUE%$<s]'CDtzX
U"zDHXNlj/ds6WY9CWl,CbMZMV$d:>b[9dCkHnJ\8owHZ%[b,t)8WdV.Cx8ar'&:<
U"bne^8a4XnRD3(yqvO.tQGdwj]$E1]C(\DYac67BabN&+srBHWax-Ch=H>5jfh&=
U"5y'cJHy?Gm6Li]Sal[8j_wW^K4C2R8aSH/KF$X^NnCl,#3XjAW+DKocOHq?M>qY
U"4+u7PBoMRJVc'hV:J%vS<Eyx8JQ=P*of6Usbu=RjK_,K4p5&Swtx8r=\Rr]h^&U
U"Y]9'X<klKT+l5'k-KT'Q;Q#[]+Mg'>RiNl8)yIF,+$Ctn$L'W\[R%Z<'.#==F-+
U"n\*(/mx$$42hnmo\Z\Yp0KqLq[ij=\tppNEYHBUY7+\B0Lg.L[itIng_OrJXv=v
U"H(F\+DMNSmSUlc]]+*aJQJIWT5EJ2%IdJkJ*#mT9hu_>kiiEOUoZa-?+RHnTb87
U"I;N[5k$#0favu9ea(yfG>?U9P%T)T\F$C$EhiKU'ytW#t06F>2=6=S$g_C4'YD+
U"R](\6)1K_(Oq>W(^=$f_0m%/dg(k\jeh=nFj%$0=MK['Ol7h]#U#APjhXr'qPRi
U".86XK?INf*bG?+rPx[\T)HPK^/i_O#'=A8_KMX2DM>LZ?8\94;k^[flyS)m,l]+
U"8aq=^/BCZ%YBL,ii_likoiq1E7O,SAqGiy[%F22/5E22TN%#2ScM$AAI3.oYtE]
U"_\hmkLlY&b*[-tEsrbI,5TqvCm?:COX/Uq8z':tIgB]mtNd)OuH[9,zVgDbn%F\
U"hVP%&wQS=BhVlNa#&J-a?bYQksICc$l8Pc,)<89<34\9a8guA9_ORWErkC1L^b3
U"gz9(EQbDK(sq1_i_Sy*U,oL7Z)SrUAV\z;_4(;2U(aem]/N9_s_d/d9GZIqzIq:
U"yHpazrqJ5C),,g$cz$_nWXlBuFmS8'$uIHN-?M>YpV2nsGL4-MV0WEtSrax5.J;
U"5#PRq[%4d7Di'Y_LjuM-;*\nAn.;U+ApfN-L*9uuo?=tY_7b[TEIu8a*vL7)AOz
U"U0Q>SBOQLgg&]eX=Beq+j=3)l%/%nk-.$#0X#6[#P85XQq^+j2)P2ioXaX;.Zfv
U"GCi#'tT%1Zxe8H;.q_b92K>bz=_?$V-Bj_clnp%GRNmQ=V[e&J>RN)$DqjEQ(-j
U"/Pex1eE;RF>W%\ahSl^).057CVRlH/a<utM(VsAp_gAQ=iV6+7b%X,3%Z0KvNI1
U"EmtRh4LHo$5ENeV&B=<btxBXl5iVWpBw,#7MaV']Y#X6ii-Gu#DC9?0#ak<52u8
U">^+L<J;W((r=49^h.-K8MoANi*HUNC<6a0$'No2NG8FL^m)zime6<1PJ]oo2Mzm
U"YB#g5ihcQm+Yq=uFN*nX3#U-db]Rt3EMhUx-#/>SyltA?.oDE<>JcsUzBU'W+si
U"RmTsmALi:T7Q/u4'N)2RB/%7Pd$'eJV1V3Ex_INg5agBC_M7iWUPEDF7z$=,Acx
U"G$f_up^(]0U7*kkNWUB)[n#?x\ZO&LGV?43X?JqnZ+OVG.?'w9K[6YPB)1)x$HJ
U"SMW$xL[8yM+h,dow9-j>eEYi1rfN/ihfpMS#I'=V)k28r9Ql%iu6.Y;u]Sps)q[
U"D914N+W=:esS__kWNCu?_3mGKBK2p-C#[tZ=WEjJgpS2EAgU.2ure.q_OTl1_E]
U"1$)<79<\u0]bv4Nuf]mG-eK/4Bk2+)9#]Hz>upnIAADi.r'OgCko&C9*u8UU%FE
U"t\iaJAtv8JteT[[\T]ipfiF)phxd8<<+fuD?CRFiD>om,Mg59wA$Qkr0_f=bLM+
U"ho>aX;_Y?)<HO/cW0q*cclmt'>nPYC/oJL&Fp>/>>12R00Lyo20%,/35k/6\O50
U"3h'lp/<I2P[GO%[Zp\FD*jNIar-p]svnXyesC<#0-LXIlAMMvHNtkHx%lrw9lw=
U"R_v;clwr_e5a36O7K^z?%mt>pXMP9*px-q)FTUZaT]%NgwUzrp]0ai=]nJUaS]5
U"\j.SLAM$IAB&ng(JTk;Z?+vZ-bif$*rPm'0_q7Fh_D?z9EUaDiP66WTsFZY&k]7
U"JC8\m*eBs;YRmdY%EEQ,iGMa?Y.Q4TsdQnoI74*ii&?eOko;>.aq9(PNp]rQTl]
U"CSK/-UgiFs$lL-]ddjkJ>mU>Yn=bbuOB=h7noAO_4F)c+Bc-Cj,n4''lc_<]fn.
U"lX)R/FrVBbG>(go-'pvOOp.2t=V&LSLc8jL0ytYXYBURrH:YX(Eb$4Uc<<e#2L9
U"p.b^<Pb4;Mmrjrqy.0sRWa25eiWbqnab2dcbl?[YZp]=,oH47b.%L0('m<\i<Sd
U"euE>lj5,lh%>R:_+eTqOt%]KeuY_)um%V\MuY5XZ7(#e09?t7)f3Z?8[Ya01$Ps
U"r^0A8[Shfw+p#c(W^*JAA-\1EYDB/pW]5RPmkl)_'\UR>X*=/6W-SM4\_#SUq?:
U"0^W-L2b#Xq6?d3W\MoK\gYh[L:G45NFQ\,31WM+K*\(W>AvmW%8[K\tn>I\/L64
U"[LWTwFdmDn9H0xziPpTfdS=6]3fOSP\AQ2wl+i':VAbD/q'k52+P6C])OPbd)hb
U"+FW2Y5A]im6NPCE)+DcHBn.hJ+x4AJlVa+cn5q'\z:HCOzHr+BPMk;*4r/Z/9Ip
U"cEl&69d9l4/&'SXKK9/HNEd5W*pSDDXJf0?]Cq5#31WJ+KH,nWh;<_BQmpK,%(m
U"hbBPeR;hiEmcBG;/q5'ppWxEC3kc(Wh*l\e>vK:vf82ehZ_0eqlaRD,N:h:jB7O
U"CKtM_Da>bbRpyl%f[Pd]9iYjRGd]%<7Il[bW96AGnnQjwb0Cz?Qfrczg#s6?Oz.
U"kzpvA'kCHBZY\Az^SmMKW[:&5Jr^TAU$_uZ(XQ\isz4XSuk<Gg1:M%lnR#I2ry?
U"\iI^LmyUsJ9mIio<x*bnLJq/Nx09pFK.u,^d,YYYcT\Zi?jlla^3X[F+P$\>/Oj
U"KtDc9AplkJl'57O?;r0^cq4^K.W;SdHtlZ.7=tQ>L=fj[8oHz5w+gbokmH+j[R8
U"VdGZLI\F7IGEUYBOUg)QckJ;oxQ8_L2/9#g-Nw0ikVN(-6BsOfIs(>uVvjGOW3r
U"EoiYr7XR5JOJ&6oYDtxe-Q9Wt,fs\E</gxBT*:?W>1LiMN/gjW[RQYBR.*^EREI
U"0n1pAJv>cTph\A8I2RbLC<m,K:Eq#gmk*Q\hE\d#/jYpA/fj_9jNqx=nX+kl(gN
U"w&)o.Teh,YqMB'I<=(cA$CjN=x+5.F4x_Qp)TsX2et][lDQjA.WgcbH[;CI%1^[
U"kbk$04kYxB0A(r6>',?dEHREm3h[GnNmlhg,kI$eh-,cVZYDVgD,%mWPaUQ8CCY
U"\bJ4$txwQ\:BMF*gEGlu5EP=Q'lU.,#E%hD[>*Pf:Eln2KVLIYCD7d<ADi9)r2%
U"^Aoxok;[s634BJ$it)/bI^+%?Li_/02^Ef/60DTi_vhXpHP57eW^^<?XHeZlDvH
U"tA6Z5J$F$0)>%qy+H+O\+iJ4Uqm*Z=gyc?aiFf4bqM8[Mn2AWwXq%cK\F%ob_v.
U"dFr7Iz_[w4:YRoYXKXO[Mb7^\'KHbM&0a-./h\g&ah#fLuD?'D2/\>2S<+ljbkm
U"WABv#R=LU2z[r[Z6S#HM+rDC+/YyVpBN)(^Xt;)S6TXJIu+K[6+p\7/*cmC1ODC
U"(pTe\R\5AtcWsSt?<':l<&Vd9P<*nuJWS=C(4#,i%t.fJ/+nDEzibLYZFkH>4oP
U"k-D]eN5K5q;zLnIeGWVHPdp+&rS2Jcqk,v$$4Y[5/2RJE*EH_^e.\3#W4t2WFcZ
U"1>2YPM,A>2V.F.p4-lL^$g34BF\XB*/+d'tZ19?sZH6cVDoYwf:2I7S**aSc)pR
U":UVs$vK;cT:.IR,>[zAiOl,e--#%b>8k2t_X8.cW?NIJT(sB>*IqUo,1x$=p1m&
U">uT2%?O;)vA53:gU/HfZxrRG-jrmQHYWp1\&EOe8/*xMw\S)aWV1,+hm%.uo)Q1
U"OZE6G#cZitUaIKb/Y/<o;%ilDAd)FLIO7Cb^+V)0'%=9'WQE?w1L)7ajtW>6c[q
U"5&iwpu(r+OABQE)1<8F\X,;0PBvO50psxrxQT<l:X4XtzW0V?$HS<D=fWCm?io/
U"$.tVt>ohoo)(_W70+^]7(<NnN,'$xNa%*A>4xHx?#wr8H1sgdA:cfxD0neNluwi
U"xF3n/fS1?cns8/Iv-m4doTb]=)jKJKW9ViNauJVFBYROHSpc>WKPbuIjMOC;gVt
U"P0Y.+-s9?,nb2)JEUzCO#cqi;6a<OY:;D^J9)wnst'O8/(6?;M<C4Epx+L9tEm:
U"0djStx#dX.S6Xja9Q6mC4_vM/=Tx8fR?MMfYeM'RGqtFb\ZFKZB4u=]P6kiL/L[
U",#L:i^a7Qm(H1dG]gmjSo4$FY--g,ub?O,xo0ff7Nxzov=0K]3bZ*eZPY?y/(%+
U"F5WrdGhbYTLUMqoSj%:\Ha43(l'H;vmG=\.3)%TCia.M7]<pwD7Ef*#y-bJ#OI2
U"t6nwFfdnb[$OMZ::[i/t$igG2<_8'2-TD4GmP[l&a')#.0(Wd[E73[odg;joKQf
U"W;.#a<Q1h4]M%bu-9'e;PFMZ:[iim*_Bq:G#35grA;NS4^c#XI0OtqfSg7MTUq[
U"?CjqJ_\Lk>9#X;+XZTs5Cih_$jWUDV].uG-dg7(]GWqg\II\EV/bGAp2I,N<s:g
U"_CTKrDHF<C1DQ87^?7fD-'Aw_/qQ(vQG4p&$i#$'DI;Bk%p0NaeGcN:kRd#8ThQ
U"7J)x0l^83m)sR_5'hQ=6=GLtFyhg8NXoabV#M\A%?rR#h/#BRCS,ua=nHaRa3'G
U"HYZA#4T?TAqn--sTb#daJZj?Ot4XMY^N(TqaF3N7fwx-?754/,E3z5-A>XGM+(G
U"NqU(fCJolozfR2PclXks0%B$5xkNL$_TB_5pApUEcurr+:6wpCuex&EfVWG<4c*
U"I(?Gbi4>82htoU_J_0IQ$GQ1<]Df?_=6l,iGAaWD.rtBSV%.iGPRhliv.SC+aeg
U"ArLcPfe_EdCz+gzkg#y1hO%#','>,lW(q5M%B4)jTdQ*IiaY[#kuVwag=?a\#$x
U"^?[RK$q*GJ]oR2i>B#m5i8s^5N=.A(^op3EbtK%V[_7yxEgCEu4Xjf<h0(-n-i4
U"..MU^%7_l2z&e^:,a)G=s7lIqx&qeau2+=ov$5vs4YqS:%O[#FkZE[B]$,/$dFA
U"[:5Bt7JV%X8Q6f\>ghI.KDI5tc\IO4e>+r+e*#[e^Y1RjsfhLw9MtLOd:;yiR>T
U"fly*,9,dQ5ejqYLxdA+UU%IbV;,d/wHfHa),kGq7$fPaUM#:JEUEvhP-^nAi;0=
U"L(NN9]bPn\I96t#ScmK7CKqY-dJF8ue[EBd6rGNI:728pIk8_?R'j=3ghHZvUBC
U"Vy)huCaH=.cY;EO9#]WA5UEP_VcdnY*ZaEESWUEe?X08FxlQ.(iI:QYtwQoE'SB
U"oB<UPAdvRnW61nkbAf>GgiByL7NI$sd)QJpp([p)'JvRX,X[G8X>hoBE];1*?*7
U"Xg3Shj%W6P1gzfGI^dS,-Ovf?[^*=6'lWZgcmpr=cIBk^F98uTPFN&T.DY>_BSO
U"eM/JaTlxm4ej.fvyB9<IWcbD7^DAGqW^cJq3L$OirU[m.u'm,FeB=^jFIFC6HFA
U"\u,hP#G]HgVI7Yi6#SrjjCBC_)BXr<(g;_PQ*bCg=r&<9a)QI$V^EhM'[=l^>sV
U"phRU:l4G[;H:a]w?ESrhjT(Gr/,6>oTA/RSy,^yRW>PC&x\cjeV?r-X9-RPJ;(5
U"'3;aij3>tC(&?Ni(7H^lju4GpdVrQpT9P[ZwATe-RJGWVlaSk<%hB=eDq1M0:5r
U"3Um[sT0AM7xBxY7rJSXvLBY=#9FxYHZWVj;&A,d6I;i;,/_cMH%oQev6D5dTi]>
U"aKMA-(;We<0^5b/%v**xq3&;6\xz]Hh/s^4?p9u'dciWSjI';</ARK3uHIrl(eG
U"SV.hKh%'xiR;+oMi]TqE.VY=H>\d#]_7<&C/hf^ZJOB_s,/vU*[uh\$IW-Ty5lP
U"0=hidICRZ8r?.s]Pdofg0YjlJPkArE,pJ%r6MPUf2WS=X\4/&cgS*hGmW)+mP?I
U"SdWU9DXi-CV?kw7ti,u%xQq6.E>5.%%28*&WipRn]m/?;z8dR67b8\ML.WV]UQ9
U"3>.Sk9OI0Cw$s?j.^:Ux%,m_r/?88kNh8LhfEKUsy>Pc\Fm/xR1'gA-4*g/Es8N
U"j9\8C,1kH0cblU=%Z:SNXsdU:y%LIRe'R$LcM1D2StptUEJtSa;40b\i.Eoph'X
U"\6?t\$ne2$qHKl>IpSJ^SA3g6B6l:GT>JIXq>'J1TW+/_Mv-yeEeiy4Pzxxn>$H
U"e)VB?\,=\oPx5F_qV)jE<y#U=id6Pg<8,^ebH=CZtc/Np6,eT=Y(KCO$HrOvaJC
U"/_8,ZOW=J-?WQxcL,.rt2Y8/:,KeaD<MaE+m=nF-t7)dP#5%PBS*]u.[lRzF#E=
U"TmXu#WN0&9F*^pe_6$j\?9#xO4L_-^<aAud\=?jg^_lvR36*fJ,3xR6[[ZUZZ&x
U"f2a=jjEIM2yur8bdq,Bweg&'w:t$Ana=BK%0F/.SPw&;OEP4T9'8d/>A7K%l3RG
U"5GRjW4LL->7>qGVcQ.,x99Bq:;oX^?oT3uc.O+NhbRDFuAjS?#[%G?S?2]<l]Sz
U"V#FUZ%\WX^jfO9B&^P+[2]Y2uwzFm?kTJc0XJ01*BvEsePgH^AbiY]trRFDk,cq
U"'c+dOee_YlU&/OI0Ni]Jo'G#A/?(7LA77&pY+[W;>^rY$2.)70?Vz8#=;]57V)<
U"'B#qCO(zV9,cX_4Enu--BiV1u<4A,R%AO<:m>E^:t0q(b&+KRT''udAXpwh'be?
U"N_R'\i?T:B8$jhg>?EVO1,uA22R4h;&MPYAu7au%FZf*lTxmnKGFBLJNIsRbO_'
END SUB
SUB V8
U"/;hf-_IO%)C+P(v7$b$](6:W\%a8r=BDV#\C)_dTi2&Sr=?q:e[_-XV;O9.wG_E
U"Fk.bsgRR2yd4=3ba:O&wGsn,N;e4LEIKXzL*b(GhgP>SE$?7s&x:ih.9qnr__L7
U"u;XXKEo3Y_u2JF;pv%)\VCVvCVUV(*L$spTfk:z7NH7eHI:+XGx795J3'wcsAkv
U"g1Fw?9=Mk><#nTI\lO9PE8U0J,P^i,\V>F*M,QS,l?6ipVW8m3U?>51s$3[vS4P
U"V8zbFP\LM%:%2*l%>8\n&TQT$-d%FAXU9,9ES,6-p^EbHK;aX2G#'/0^uAV5Q%<
U"gt;%*-/fR0,GuPBEpr2N:cAYSaE46uZ.E6.97f709VhX<V\6=S:kG$WYz6I&Oa[
U"T,_(>GWi,wQ$29Gu(I'1.;&ov7=G]sH-u7Yv/WnyIA'n9N$m917*:0?8\*J--4#
U"Ac9O'fY1en=A^ULa=H+'#ed2mMii2iV>OXUhA?$^34ht&$Hc:D;u^HKHj\65Ow]
U"8J)JJk$JA-g1]p?g.xpY\:o+B':LXbG[:4bAZ2r_T,3$%c]u;C'l\<*i*I^4,>8
U"6Ux#*x'58jL1L;X^L*60]KV[3,:_SKVJ&2ORNM7h9F5#Tco]m#vZ5D$^7H=vMoF
U"emm>?AC*4^CP#tOP<l.aTJ<l?]JfhHMBU(V$0;u3IoB,p)04#;I(PSS1/0TGKNA
U"f)qWvXudna,<gYWfpD7.b\.,YZ,uc.q#E:o(8L&()9r8c?0:/n'XHl_]'O7-GvW
U"\,g;/HY']l:rLjVLRbV,]F#g$nWHg<#=)IA(;\c,?ULT-M9?JSN1OuD#D7YN[*7
U"hW#dDl2nTY8&&cH0Q,U90%u7bW:'^(cV+w:zqmc[F*;9M=Q<-7I0sT\8=.qH-7'
U"gh9dFGuK52Y=Qf2]h]Wa#<191D/-r]afn?;3I52ix3xcFjy12TbOhao/kr3Xc#\
U"dW($u$JZ0m8Vrw#?Ya8jOAP=O)rF9AX'%^0YMM1GRu\7?>a>tMsQNo9/YZmEE^8
U"zHM]zQT=xJCM+gtK2^vW.=-vM29e1-6j(sYgBt;MA.D^xCA&hdOT;KQlHJhGW=R
U"[<C=B/&j^)HvB&BElx?[Jc%6CEL=c4Cst,?8mIP1b+rlo<DSEaBwFe=<mgaPuZO
U"df#iDbW:BW$rd11D)*E*Te^z(E/v$G:0W-J>CTsz<Vq054*/2=8\oyU#KRZnr\9
U";e&M1yUi's3x\ZQh2'f/?ZcN7POJ238Km$9xm[=LQaS,IV<6HgC2?2C\QhaM5-G
U"B>%6CET?#yax3ar=lO7E?_RRDf%Lsw(VGE23:o:NG>31m8D%SZ1/7Y)a_64oRk_
U"OhLh,lYhED#S5L7OtBXq?g45H[)oj352_-_R8h7U:]3LNhkuor-8DI.R9)4.L0s
U"UFe,58=oq4bX\uOtj\lq=$WZ3Tc#g*MHkN;-wufKqg4i2?'H,]hys7WblCYkjWx
U"UGEL$dm4*QjNV=GFa,kzX:WzbjYp*my6^\ufibq*Qh%E7c>&pv.*[Qf-9rCrpN'
U".5&:RJqFT0I,:^mptITg;A.eGnA]k<AIw(;=hCRuiUUQE'%d0X-;aE_K/<)x1)h
U"Dw-<V5no]XafpE$Jk1g%>9pwq*:N7vIbtfQ&tY3rSP.^>YD)4ril+&:%AsjwT*P
U"wob<bCLGDZyrLrRvjl1(P/a>xp4oh&'(,^gf(2J_yviGmn]:Yven_vV3gKWrU;r
U"Hir7JiMwveL?NOSmQ-MZIJQucqvAdPD>6m2Po2_oQuqWR2vAn-&r]q-gbGU*LQE
U"q<D(E?Y'<v<CUK_XlhrKA#F$94mt_7n_K^p>LgLkL#29_2#-jPV16pZIQ;pVjte
U"t\iE\Zu7u$VU0fsj-rShcVc>&GsF,C&*s1NP-b2A:5)&$e3KI%:x68LL;<Ah3vn
U">qIl?[/?KkrhVjBV&lCYBDec4*X_luAKOPmn^MW#BNA4flj4qI'l?/?YuehhV/3
U"0z[cuw/sIh*u4,mH[RbccfZQD0<Q'U'rn.v2:q-=X'XT,Q:gOz<sg^8BnVZy0<i
U"0&=SueIHG6GGk*S.+vUHfs7VP4T5Z+r8Grhn.-.H>2z.;=zITFS0z)PymH8<saC
U"O*qLItTx)9<H0dpyi&]6D0f;Lv9SoAw2,vnd:d2'cWH(\wK-b'9nxP(J6HHid^$
U"B;?Pvb&tVdsbf'%QPMUSK-oK)y.+duw)5e;v8:q1Lj+%JppF$.3XYAr]jIHLm4g
U"8%;d0rC%^&fAP,/o+u8+>?>\4Ge%Yd-'GPSHI(S-2%))u_w.z+i%?X7>Cb+7rvy
U";[8QJDo.o0Y&G#BwODq_pY3lYeSJ*yq.9*Q8]l(q#vhrH^dg0&ecTlDPfW%+*'=
U"4>%OJPQ'-t-Z\s8qz>j[Pp/m.Ppf;m9(c5+gqO%jwk%%[7nV*d7j[96v=N$uwR9
U"Npt*wnd,C0x]Z4_8t7xvdpTId8*xZlprm^^HprzL<lXV9F5/;:I/]A?blpCBH:B
U"Kw^g<0N'39VPe;:&9ZGT5+m0^,y'ui$CKDx(uf-^;uYU042+M(_yb(W2O)/DYB1
U"C^_v&&fFKFeie&dtB&&q#e'=&Zpg',lhOTLD*ndGHiruIW'5ckW3FXdd%-LG4=E
U"_U9_I$e=rO0Bs6<2pl]WBHLb8,&rOZ=ascEcC0suv8oL<'Xt%$'T3/Mp=D%wYX0
U"gi\o^FUXcU%F?/_W1Pv\RDVeugff&jZ9nAYwOn(=z&&zt(*&'U3wg'YA9fEAV=v
U"ycLbo,bCkEuKVHA$9wfk=(-^F,2cYogj>>_a[<+<c0j^eAk'8M6k*Bqh](/yVpT
U"Q=#Z$]10U&d_Di4BA[B\VUT+W53=aIj-a+t70w$?$(BlBg3sep.O:N30L]FOX/H
U"Cji\'b2\X%.KVczpzd.92%4*E#WLH20vGU.,oiTcP%[*KXQw>6(q0)zS4*+y)qg
U"'e7R(ifbDJEVBj>oe+5Y-z68qG*)2Xg*F=OD8h_S:.uRU..'OAVAAnz<^JN^pCp
U":5)3G4ZAd#O)DjS_xn=%E[[vm7C)K[JptA8OU)l=/4&OJwgKW.>^gKXp#$+XM+g
U"fD[+)32+^0&.-nYh/:'+vQ>,3oA$o6G(hrV^/[;QIhq'jFB/cy<2[?*h#_]-^4m
U"ooyF2<+wBQ+hQ4=o&v>t&kp3NibVg\6=?1AF3](h9x^W._V5l&F$b-5T?S%TLcc
U"5QfXyHMZ[H*J)zze&z46FM.vyX?Zko=Hr):Txgq:G:V[*I=d:3mF[Ls7&nV6Nb=
U"*]dO_cgSU_oU'LX7y?Zu:DeX)ZZP<U:%2_ecqCnPKz_bTdu%Uuz:L/&44M0zetq
U"2[M8U*)pQ<e]/+Ps[(DUXA;,^q%'mOMTgau]=+8_k_U\CE0W7gd:R*b9O-cq1,h
U"7S*P[7M2Y(JS47LmsAdsn5ps8yAyi(sd?hXgM?1Q0CsU0wAx88\py6>]c/n1(.I
U"N/v;e++O[:G4,=7Y&[AfR)nCJ8gh$QOdu%5IP[MO^xg%y7rM(u(/-*-*Ac[=nO&
U"O=-45F'2G7rgU%Qpu,MjEj=M<8yk%0+R9Mg.W>U'UDMayR7(QlK^mS'V80*(h10
U"=aKX1a189%r[$q7geDW^LA<>P#)8S6<kQT<1Vgj*sQ7?19y:QRH:*.j2?'?ude'
U"]'wL.=m]Og\c]iKkUEx*k?'YJ:;EU#y&=j#8kKfIcGbT.NWH_D[*.wD[XF4\[u%
U"aShG;%YzMpWd2RVAQ<IV0)6a(r'vDinKP?+67c;.]:.c-C09\T0WD$0B2:3g6[#
U"3H52kbgS.4pkkQbKp:%hsid#G.GSXTWVIK]mz*17>Q&0M3)o1rwn'8L/YuO:cU+
U"X#%N%idfq/gqZ6sL=N5jUyJ2s.UQ6CLrfd^TZ-s:7dKIW59>];Ug$v1%szzSJ#<
U"Bc'*]78\fo?sg.[IO.AZjEu9)?,=vR&wojqHPi0<wQu%L(v)5;azdpV+o1#7Gw-
U"L#>iFsu(;#uWyl/xWWx8ZO<YbRM#cX;Dx$r>t(A3x$&c<'dxH:UW5;\^lS;BIC4
U"CQq>mg?vq\hn0(tdA4dik%t*16rZpi6.O.M2PHFoT/1=+E.9T1z(*uWcGWq'958
U"=5yA/u#u4sFWr$[3uj'jf6O%])oGdn?=?Ol_Ywe#wKKS_?H^hoCM?E<(qEC46iu
U"3m$o]e:0a7:FH_lA?NmQlpC9T.<+6)2$/K):X76MZWYIyJW>PHL+ON'KG4wX/gt
U"%LXVX<$irQ$^_V(Gc=)#q?];'8Y+%cqeiwiOl\N=N4^Vp#_VVXq_IMK\0>ci2z#
U"zz[27YxZA8k::]Ar<LBpU5[X)3e/(OawTukIIlY<M#+]Ng/)e^]jk[/0y.TmOrf
U"#QkRSj_EX^jt=ReE\\66,=:q7I&]4uuFS?Q0OJ2/s.7LQ/5ddb4VJ,d^lA$rd*P
U"6Iqn$O=wks*Z9ez*ljezhbc=5H=^&4MQs7dhZ)eRFb5hePv%/5MgA<GkR;Am,E/
U"kKu,%P/aZ9Cd]7.*hOTmNhG8mp3aDYC=+G4<Eh3Q6*k6MYZ>JIiTh[n+LuOKkx'
U"Nw0nPlvY1.kN-mkpTl6uruJk=W'fw_)Y];KfRV9+]<9<(4cep[,8R#thn7Nu]Rl
U"M7I;*Lq9s_RD/1OU9-cbfsG-FO:_xohMQCAyx?rFOoMf5gs]O&Wh*U=%+G1>zG1
U"hT4?EhoWwaK^?FD]?Koe3T5&oQ+bdsn)J[OY0B^u55qJS9H%/'Xagg?l1p4Gs.i
U"R;I_QD6]6wk6nJpHr_E[Nh6X=3th$Ow.5g&zPe%S*?3\1]?&SUyFPj\omkgKehp
U"](V\x>=uWx?tP;K0k85r3#u/Y9qeeHYXU8Aak>n>a?wGhduOqo[jrxvCgd>LgMI
U"xsHXNt]88D,JJuLu=QeP2FT?O#LqB+-_J*?dEqfeawjspdGs[w,j=t?vVsSx'Pl
U"h3F;'l8'8qmmq:Oi\sf[KjrWsYr=]j>jmq=t[$t;8iKcT>Un*IxdkIohYT-TXqt
U"I2)-QLEZ''h8mXV^iv.u0^r^pEFt%sKOFj'1Y6[1sE-slb1ObEJWv2KP)s2nD^I
U"lp3bamzK#ewUXraRit::SHf]uVmx1lOz)Qq-s#gnl_xO*9bn:=fQ+MGlOn#qd+4
U"0^JK2l^SuVF$fho9<U.B_7id^18o>k0u.oZG9kpbD[bcg?qm=%?M\W.Q(XdNTPD
U"\mk[t;55<u&uV&qTtUz88tPXOKBqkAUGuQ(#Ok\fXRa7Lc_oBVx')-yc98l>v0o
U"NYN7.MjchhH$.<&ny=:HxCJABte^nC.m4cp)Mx.6Zd.37sBU$O5aNuZx,d^V.NH
U"n<h>gpWdJ2FtIhp8rKK.$p?N&wQD:m>Wm+x1ot<vVr'=K6ZtcQz$HFrdtIrlRnn
U"D3k$addte;cThmDSH3ZutGD&l(BducAcq6aK]pip+I$tqv[m\ZLdTHwR(nuvr;l
U"g<e.YdTA=X-Jwu$q8Nt5V?MNHZvr'BkVGLp>knUhf$Kntu+fXT;->tfqjzFK>%M
U"ouZT%/sK/.<2rTqS1.['nMDGm%#9,E&-_/+%ts_]r+n<W]0^'mh$?3Gb&r(?wfo
U"l)CRWJM1lhVAn8-i$04%%BLd\j3Y6GBjCoEhrp(aede#Z3GXF?G3u4Af:u^adtC
U"6tAaCeWH.wKY)Pl,t2(g7pooGvuVT81Hw>\Ip+Jc8u](f2turctS.rhLo2\&(o2
U"TXxtmxjdMn,NuXdI8F>/cYTd,2.xlwda9-r9Xf]UtN*FC;$n-&)J<s1[b_G7h+E
U"p>n1[i%xnq>I&?t/Fi(x^dTLwa85fjhCJi)Rt(DcZ#W9XlTGPp80b?:t<Vb<8VY
U"Z,+?kISgW1Z>):jZB%d-/RRd7HzS2V4RZ;JAg8iEW?&qcm?HI_Hm5-5rbTU'4+U
U"R<\/]x'[3t)u3$:hvWfIt%*(G%-_T:FswNcsM+TJ.JGnNnpfR_VnIer=EU62wVM
U"g*Lp2?#t^WT[4wthjumlFIS#CxA/,#aV[vcd+g0t&=0##x8*t\;nqhF0l[gXhkS
U"EG]&%o3+s4xT),a8DUAM%Jn%ob.JMNc,WRJ<KaUdw#*d$9/7k#la:e1:Z)+Csj5
U"UiDq#A3d$c?w1B4jvn%aa8&jOg7cz.XmLjb5O-(MJke$'tn-'*d'4Aj;-/Y'G>f
U"$:oFSl4rM%U3Z#U9YsM)9l<j7#LjA0u/n)tt&Lm%cdY>n63Z>DEgmQiS?_z-HL3
U"APn'+BD^A4fOA,DAAq^neQBFazao/TTA^DVIZV-n<L5'31oCzq#pwRXo#_9Av(;
U"E:p%^8)t=JaV&*nZ9lolm2c=(zDd4xHtdWc-q<CYsQl?Ag10wCPJ:RE:=zn,It)
U"C)Nu+.S7Vl[JdR]\M;N-&=R2'e1TW0<+_j=V1$W/yC\f^3Z7r;1&-%zGcWt%01+
U"E/aS<9<7o\4Qo9WUs&3Lnjj8.i+5:2P2\5qM$Yw#KQP<jomZTCL\)/T$+S*&uNo
U"&GVyA6rr3)8*>Id/O7pB2ph&'\d*LzCRdE8Ce[Fyx?VOGV1:p<^kbZWv2TN'J3/
U"Y90R_F%^AUYxM<H^TQE7Wh0M.4;b0P%9ftM=j4r]<wfgiPddT+PD\yk(mED+XGo
U"$Z=FJhSe:9AYC.=pFqVWj<<10&U<(BB>Dr^:_I:J]i+d>.WazfI;jBd+gM3mG1i
U"2zBduPv&SQ=;o)*zPQ&3c(Ml(+*CXP/dz30(;ImpQ)?X&%V9o*^m^1Ey)0$BeO-
U"LQLt'rmQAu>e3C?[l2VKOwee\HNo/Ltd>/B**ha);AxR'eA,#$7g2/&jX/dP4%p
U"/t4&1QY;$V^>B>_Q[K%B(sRP*:;OR0<ve$Z3*UieL%M-*-(,TeH*T3jN*K0_<w^
U"Do0,R[]&%8ZbEiYb'A1L,\oY1w0PRS\/+SV$WUqBNFp8Z=%&ekYCA*Q;DCHs:.^
U"/\\;EBjwg?SgHZ,'+P/u>Vc>-&?PMaPCEN2H^i&ygWQkG'3.#r*77=/:#YfKnMo
U"=d<L#7pR'c%(GO2>eYY96N-K6:418F5'F>N4<w[(v;D1]q9MhULhcc&,=<'mZ;E
U"Qgw(hbB_#+peXnqCUNKX2=').Sq)/<W*;#Go4*A0oZxFo(?_YvF\aP</IWu&0^f
U"1?/yO<;7b>T%Gi[)9gm;R7%AUyyHQ*+3b+<(r*9vR445kl7/(pQkb20$0R^mMFF
U"/)'W*-/r&>b)c$CJtPZ4mmFgjr)K\F;**a*8VkkI0::Q*M_D;E,eur>.5+)N/z5
U"6MoQ&Pb=S.pCh%gTJb;>FiS50dZLLGo<5yk#ayqijH<AcTKxFq1qP()2M3bsziu
U"pxU6'X;N0X;y)_Hp=OmLW?>KE78d1y7+1=vI-^&g+Vus;I)&(?slJ#/V:e7/%\N
U"/'KQf_i48MT%'sw7/0ou2OhwN#e;'/pkZ&Sr28,Ajqa\m-^ors);WZ%U$U;5e^/
U":*WN%Sz\<-3IB*-bj^w'No'5[0yA$w.C(]:Q%CZ]g4rCp%<AOY97dS'<%o/^eNX
U"z,kZF0kCPd7\Qgm'E&%;eQFh^Uvrc<Q76N[d&GqQ;1g_nsMXn8Gl>?p=:+gjb)S
U"E$6F+TK6qRL9->sa)LX8_'E6\V1r_Fz8\j8?DI1b=&x^P\b=BT(PxUwnSj[H/#G
U"21&svRf\1O)+gop$Dkgf([]Z]6<Fsn$VcUS8EC:7b5=-mF+hs3NBm5Q3AAb)mjo
U"ocrokE&IbH4U2W[N%AxPP=);QX;YQ[u\TOcZ---;1wc+'>I2vfYW&%Pc/;m0IpR
U"s+Mnd$hb49++c:[eRP<,&2/Nx<tEt278SQ7=o4C+R+KSAd%uasm^aQ(3WpLbL_B
U"dnXt^;Bx[km>lWR2U-0Mn8Ru_&$kAc#B?K(Kv>M+I]L0ebn>kqrdIxP<4#0Sbn[
U"LJH#l*Vz:mH^E$^bShFb_ltBQtA/tz.t9R1R_%,z6/x79\.$PLsM%I5%'3FPP%H
U"H)aqd'hDAR[0q&i,Rz+4fxKiax3P?)MuuocAkLft;<'EU%hTd;v)OekjB$;4sHs
U"s,;K$nt#K$iDAl2\>vJa(X74%G>MT)UV:B1uv533R,2iheb*.l3_17s_,,MP0vi
U"bwj%>*cTm*.B7W2b%hzv[Ka<Q[\_g14:(K$*NLpo<fod2,L:2BK2khbU2fb+R%K
U"SI$g%x/<:T<Ktq7^e^ANq.On'M5m?J8m((T7J+-dPpfFlCAk87Mb<U.db2c>K+;
U"ZTDK(tp9dTDY0U+su(/MYmah81/Axt(*sSG%qglpY?c>R>/ZWOXkDbBc9KX<:kS
U"FcgDc1pH>d<+j2.+i^+$<5sqJO=G+M.xR<Irq;JdagdMl$$nf7MLJGYmj:4CEUj
U"oY5q6k3:[K^?g^aM&c>wfJ<c;oOi?%o5ZbrHi8M[<n-+Fm73/LOWK&6uG:H+CU+
U"a8/kv%uAalLCKI%#Cp2:AHD6c&0uNsrsqtt,_h33tH.38me3Wm$l^lKvOnHP_E*
U"GgBoA^L<5ja35ROGvr:g1('q*e?RKL7AN$$6APa4nJk1l2eqBlMt&RQ/Qyn*.$l
U"mQCv1z)Ux)wL+<.;sSTn.kc+\^RUF;UZ]9/SgBNH1^P2E^=:^TeV+89b?StDgu2
U"wX_f'$oBl\v.Q:#_6I'CoE)L-JbSgrg0DkU)F;2%eRN7pAeJ8*5&(m95.[iWD*.
U"q%z&&$.9:&?ChWI^E)AvlsH^ql_FJpu2Hf$qmJgg%zL7[-h>_E9Y)&=AC'.'qRm
U"H=h^Wni7Ii9H((7A9J/u0VFA%m(A2MCw,PXUs5ZsL9CT?)aQQpx2YE4psnBfaI1
U"Xdh9I=LaQ*aci]T]W#G%?bJVI(6pC#XN5UTNLa5H<+jC1*Qp6Z%X=c5C3r9-A>?
U">Ea5#K0ehb'BnQDbM^KYt]9U;Ot//J#k0Ss:4V%mS]:E#JSwciaU&F*IR)8V;c=
U"th(8zIi39df*h--u)?RR:jT];X/_1LktE'9ahR(AyO5M\u6shuus,7A<]6/>4;Z
U";lqJ^IN>7s]2EdKo$g*]IWgdd2amOm,:QG7MB_gogU0S<'t'OlLutXp86i?G0nU
U"nB0AWn&%Q32:(r341:An$,.CYB5^/6QYl;DRdYilTL>qK\5qxiBW.v):43E7qVF
U"qJkV%EYWa)4ULG_,n2;Q[rPq8%)e=W)8J8,?nix/ZsRxJnieRR5ULQ/B)sebgH'
U"9P(DRy^h/bj(&NRlJ^^3c/%+zLJp>?i[L*t\35^Hf&F\7&(z)UhC1ekQ+qWif'4
U";_GPR:OtDRUNF-kk)?)/f;yIh<t/#k]tP:,%Y3DQ\tP'sXyauIEmG$#Oq<L;Gak
U"GoG^&<Dx)QV0#Yt<9AUgYUpUy99'$a'$qi/edBUR54_6A\Gz5n7ClsY]G9y[[mN
U"u./(eYE^;SjcYAj9?3w.7238W?RJe1fRfYB_Y=/4.Ei1Z2pr9;Qm<ZqNxsA4X*n
U"n^-Rr6\v5pijV#GgHg/62o+x.iAS&:fJ7^[W6+9G%TH$#;30mIspST6l7,G&LGP
U"J7H6GV0\7gwd0sLI);dn-l%M-I51Fsf&t[k<SZkT4RhFc\ewt;Nd0,I-UVIIVkx
U"kwaDppTqbf>J>jFL--)<I]x<kG:ngbkkIOZ94<(10CtY/ZBX2#xx-_[[m'B1i=e
U"+kPv+gAG[wLa%nTo.l3fUA,AA;o]#=$E21Q?j<w'4Z1H=7?ui=3<HcF%0joqAPz
U"\VIv+xGb[Ja?2WTP#Th=l_.P_oCe^Vm#+=,Uy-QS88,$]H:]h6C,XU<heMQ2G[*
U"BK=8nE/Bw70wp#CC2_^CU4F+5hv43Ar'iC:UI)/uQ^%Du=E084^Q9rJ/)#IBl]b
U"%FS+wo.G'vZGWq-N).K]5O*JSHLYPT]8Tx\j*j7u4-j)o5(=k)E&9DGw<VrJi&'
U"P-0*=[g10%73cN)oHr<J-l2./2=g\[F0,PoBNW+&3=bAr*=b.jUy5>2E;QBa?D1
U"RAF?SVT(Q,L;/ePCiWV4J2;Epm*EQxEcC(_3ea2xboB)'U3Fci(+oeD3Us53VUD
U"RIR%yZ1bhlo_,7,e*)XTh,bJC.#)9)/',UVNOeTk&;tQ#3A\'YL\\gx9/.O%<rb
U"G-,-ejvpQb#*09L(JowE#i$7;G99OeO_?M-;sEW?YWNA9-\%gC=a*s:WPM)>wI9
U"$gwP=)P<TO7:b5^TI7)HE,V[EB6f;ixM$gBya4dCG/*u/e-Hl'/k[at:4WRrlr#
U"p91UCd2g8Um7g.#:?ouHOGNgB<7?3gDBKXqOUPa/F[I4Kl+.+aPHvn+Ae50J=Nb
U"_+OCG)nO0EfYAq,th:)A5N[2(lxRo97w'nW(/w7a8PNIIf9u-g0Wi>$1YUgASbm
U"<$,o2&6%:]OqJ3I<]^&60n$kH_1Bd7=R8''N(WgK.R1x,[\KE=dkhag]ll#:l*$
U"EC6LQL<BgSS3bW_p8cqRSr)dsBO<#+#\/P7o2pna+%J109qvBBNN5uiL\e^R<<>
U"WH>:D]gY3=u->-O&:nLA%#HhX282kj&[g&=bIXpi/3o-ykTGnNkl$DO(+cKzx]$
U"IY%&O1k/?-f?FH?]ACdI1Se2gOtaPTMld.AM4VEcjV4=TLC$V&JHfJOCLJ.L/To
U"6o+R$/VV3iPL<YPh#uz(VblXk\j?]#VCRTV5X)E6#h#SOBrro^(oV=A_3V\]3xB
U"AI2xPFq4YRl'/F5N%JFt[))We(=:(5s1uE_^w-tm^'&J(4GkTRqQE7yU7p_l:%[
U"Go]d%,;2f*M^fD&0AfB?;^]slmjExRQB%Eegw;.BqsY+[&U(02_?3l_V^';GYxW
U"X#>uYSkp$)pn6(=?7jX)N&/L?SA%T&PkUEAJ(XJdC3LfPy(h*Td^4FL0o2[=%jC
U"UQg5UVR+\j59>ZBFgb7EX)40:5(EJ7zvb9[=mjVO7mY3i3uj+6cFv[q#Jk987%I
U"(NR\-s(BVxqb$9rF=S-1;_ui*/kHQH1$H$NLDuhkn\H$Y?5Y%a2R]T?b9cAXX<*
U"So=>:Sv[MsCMmt(vRfp%s^p/$m9bT2=wdhmL9,6EodrJZuB#%]O1*;U'3[,*c57
U"FVgGJ*%*2&%_d<SEc+N5$aPZ6E1LmLs3a,So8Uo<8_=HCJ(4Mmjl,7(.W(Qq#D)
U"HYgR7[TF;PO-e$_F<MJZqrxp*0bl8\-eQfTc$<.=9S4'^Vp$T[\WjpUF0DmqU]n
U"9ii+UtE+?a+*9KhT2RiQ'*0^T2pRb'(Tk(GE_2:U9;C<hhcU):%sk2UH*]qmrVY
U"J's4\l^)<W%XFh#F:,y_BJ8S[esKU<B:Z_iLs2ol_ahAIe=L3C'[foDs3%]iJ3K
U"$<L/*z47WE<ZJ-)ggK+l832C5)4elrp5aK*[*ja*0X44aP-fLTtMdVAycSEQNS0
U"b463J*q,(#+*i:_/:J'&?RS3=V5+m)/QE&=$r%iMZPBu%Ci,$sGRTB0P3RE?)CY
U"CZLFOX'cfF+q/gfH,nN1(A?q-k6DihVV^N9NI-;O2LI8o73?;0kA5QbK>-%d&RH
U"XQ1A$8T==3%//FRIYV0]MuAn33Ne'Xmez;3k=g/*rq>(w]qhL\ic]rEIfZRf#$[
U"AsyMgA_zy5R^x;BqB/R=>7IJ-BLWY++)I\U%YW[V$6u4><rKE9Qh(]*.DaKD?GO
U"fdeShjHtVlsc6qWAX#\QnP:MBO=#%,&Q3fQ#vj,]jTX756WA=y/:8+fOP0a]Ni;
U"Lp\'J'\v3CG;\?ov,W)EA=mBAyR/[)iJ'R7U.<xTBiCQ0)ywg$I?&%3TV02N92W
U"n=D=Q&6UZa%aaV99c7,Y0.4'9'AD0/\.fl;P0A/+)3+5[qdvH8ET^:/X%PJGCWG
U"=ZKZWtX7rQX;L+H[=qJ:dB(C+)3%>))C*8yns0ED4s2j*9O%#._R;onb5UtlfAW
U"3lXU8rXG=Ckjm#jK9BSW_E9)'0;u.O-R9j/Jg%e'lScN'%q(<NJ)/?Sbp7u+MPB
U"F%R6,)=*wZ9]e)6;*>+-=x/g9G*:U9BOp$,,p48ITJ<Q=,9lU-3DLA7oh=,RG>5
U"7iGJ?iGkH-j/%+#*Aa4YR/s'T;6%?u9ACRpbOcfLiE#AW,VScaXJD$.q1O<mN(_
U"U&h)Dn3i$Sa^gl$SDY<&#2TZ^0%2]i_U?()S#\L++$1Qo*[h/GEegX(1aG=C5mQ
U"fX[U1s(4S?+8L?9i*JnX-#E;T3)U&AcrLR(q%$s5WA3-R#*)f&o+9KX?5lTA*;_
U"#$.*1N&$H(]+ZB'RVU%hhD69?o/TEP^#k^M>'8(X5ehQ/5RT1lf%dy*7^5%SpF?
U"?S]NBCr8r_3h/dDz)P=*n0l4mp;%F:svS?&Af4P,1%fU84\G>B&G&;'Q^DP_2T;
U"3(92UI<I7XWB+kd#QT8K5me?>39QUJhAl;80(#O7%8OXEe03ENM^uY_'o(u5(w3
U"D:Ty4<j0Yg;2ouuU/?&BdAgnL6,s<*[.zQ_'nd0<QHSR8La5v'jQb*0e_gX>LY5
U"l7l*4QN#bE&gT(VBj?9bJ%2O1)M_KF??b4+%9qn+YLG9E['j25svHe%gu^J&LY(
U"i*?k>%Cw,pJWumT],GgoI$Q9s;Rd:4UQWAU%-IWXt'0G=iI299tRa#=(Gp;?ln;
U"0]'AQC85o\Uj/*hKS(V/B/d97BY$hDi0%RMunIq+5oJ]-rUJBJs6_0_-U//)y]H
U"aat\*DtFdC'gdo+w=y3ep]3H:louPjE,5__&X?U+OY;vP2*dbpqL5gSK+j?#DS4
U"8-WKilN%w5uJ1emSUs\DuOJKptL^Y(k[g%dhm;0$Cl[9Y]??Sa%VZ[.7S/+Twd\
U".AHjr?hLQ\r;/%*e_.Y8/EqlNYO3&a+?0*O$5((1:d%f+(6'kia?nqldgr(OYx&
END SUB
SUB V9
U"K4mW8%?Ns?/a$I/N%<3n1/B*4n;,IY2jSVP\5\nldprha+4+Q4Y5_u_8T'O3+D_
U"c%-1Z&TU(sBW)lWnAIhputcHfy;ox(H#NDq\#1k/+;^Sd=[4c7o^3kR:V+1t'8.
U"DwoF(TARoC.L;r_gKtjGTQcT.&,'98.8u8pY/cT7N3;w9v4:<ep&V7tl[i0pxKx
U"fm9l76U]v8lQ[aJY3(<)DmxAt)hDMYcpXMYqqVL]\KgZFhu)(>srAX(d2xnp&IL
U"<v',[kx9kv7][mXYYmf0xkr_IYtI>O,Xs>#g8v[Qg(GSN$>T9xsj&s21q8[8UTi
U"/RQ)4\v,SBqqDZlHUnd?,QDQ/mbhOn.duPP.DwKqfn:CYHc[9ZiJLY[$SfN7e_W
U"?vBdNc$UW?\N2rgrfUM=wF)Y^W(5Mu>9\Z9P1EnD9nex:?t'dNcz)xFcrZj*tvs
U"wjL$>*$Pu6UvKD]r/?iilJY>G1r?YbJh$t>v3K<t79v(Jb$np4&8K$W>R(f2Mno
U"&44xj%]v<2q]nd7Y9IUUgtQXw44-xo2c:Lex'L=UTu49hxs#:;o$iVQS1)vv,^C
U"N$NhnnuqQ1dLY?[B0xZunr[AKF]bZ[b0v?[R8N.;+j#'?dh*_mNmjk#I^(pj79X
U"9hN79]u8YYL*Z10V?,mN\q&TXIxQSK%R2gV:HZwyC+C<H6Ov&o]9P;<SvGK,4I]
U"V.+&(6+?]Zl1bnG/qYVB9csG?xjt1$[Ff[j8upDYkfo8PMqpd%a4h>>%,ZXW1P0
U"U\FVGcU\FSC32>hejkXss:nf=9UXsdV$ZSOFHI(f>QYvRW5qZ>L58:Ww/iY+f$=
U"Ui;VkV&n&HA+]O,%*]*)__M^?Zp*BG%R4Lt(fYHFOd,*,2u9#Qp=SxohIwXu#Lw
U"R05/v[;[>1oAQ_iJ;FkR_(Fq\'.Rq>0\9*6P,vBX)yPYl,R/-]Sw%O9N_^/$_aJ
U"79oO(RJ09Ic8pnj(%O#.Qs9^dID%ZSU<OVP-9V;_i9Nx5r5+55+9Op2H]9crYL%
U"06$9*R/U;Z5cdn/[M;o'(_nGXDuJJl51d-71%n?x,,MUV1f)D-<bgc:\[?[Y[gs
U"S9:<<5e+e,T,*\kJ([&8\sTFEE-pmSl:/H\8i;SjGp1\k*d4%I<I?u0;(PmPu2_
U">_=?pYH)Y?P:lQ#*O8ZL)0)oooJo<-^()F0E?gUiI_TmSY9ZfiM#SUGg%N]REaM
U"=.VJhT>1i3BQV>Bgi=I9XEu7$,qrMo,/)/Op7S4,h_jg\&G2YBK\a3R<T(T9(0#
U"FgdFAJj563=/v6$#T-;9b62X;tbREISl4%2-\2HxA'cqF&(uJyUSW1BATXH/.zT
U"YD\7-HqRv&'?J5);F^&O<WOPEA6?K)V*AP68NCtg##=L)V^\S%nq+lZZ'ax;x;q
U"&gp2#7$TK7Cch;dugemCVA[wJ2%[Y(']g%;G(h57()V4+d5M9m+9;55?kQpmeDn
U"**xfc%&D;*4SaFV]BBtj;-YI%r/SKKGtJxGuT/3_p7TT1Jb_Ga74[pan&GmK>og
U"HtpePTRxsL(>57.#'=:=PvCJ$Va/[iQAbmJa%p75B<FK(,pOG$K5BnAMU>e2<Y%
U"/UEq*E'OnQ)qqG9qYfnkl,^p#M?3=eAo70z72XizUy('Q954='/[-OC0jeGjB:P
U"2-QRi9TKP.G,GOPBGd&y^1FJPWpV^tB*[WL]UVy]en;C0(m=Xt)\AcJU\]E+*tR
U"'LkRJftO..umglU%T5iO+FVGqzQ6[#6M<+1dFZ=[%bAA1,Hp.m<w,AiX20=[HzC
U"i%BLAL)G$OCJ%s#Z7&6^S=S9BH1)yuO^iGe>OPpYfh>n<n%=Z%C#LP4&q-D%3/)
U"ZDe:9[:'_kL[esuj+[T)HL4p,&>m*DB<D;%-P_jl$y5qyDZ[+BGLz0PP]WA,4V,
U";vg'XUzV/dDnB#yL]5.Mjmnl>mm+p/J6(^G1QE5IObT)Mnw4>Q#VneX^M&Q^:'>
U"mT=eYH7(:V]4&&r2zQE%mlM4Wzr,cgcP/I2mU)sZ3&'*l\PMv;yu,%xN+1b/ICH
U"V&]+,0>,Ob[Y&K%LMC3AoR+_bsh,YYDN^Y+,xyAu:Hce?+RH&u?Y_om8zPp(Nqs
U"TL#ltkG-_&FXyIQV;u$<Y?%,%[>Q?9B#3b*/FXQ3]>QTYC8G/1uAqM^caFC/^A\
U"/k4Aq/u*duBw6SwNM8WM4M<9MhMDAw\UM1v]4A8)AOA/]AmA/PA$A&XA>A'd]O]
U"L[ACBg1BK#OVC#Q9\G#r,]tAA2kYkkekCkjDk:]*%^l^Tt?wGB<<T_W?\k_oo_O
U"^co]?$36EnS0s31UD?2.12Z1f1,W1L18ZUBUC9g'gw<g)gruUVUTZ2#1vf1t?xl
U"9vOtF.pP=%3C.C%^C:C&LC0CCG^P^%TtMt%QtVt%*tbt[0t4HDEmvmARaLGsSkU
U"]Z2Hlg]$J4Yl^$,;kz9:;jp]D_btk+jNKGbHE,G0HWDGdGqjG0ks3jgZQ6AJbTp
U"ch2WWf5O2^n>./n'nO/n[n6/nHnL/.E.I/.G.+oX?7nqKjqSZqsqU<q=jblYtZh
U"[ZD48I=di.hl.fXkaXPXebdh8Pc8bNbkxWxsTuHq?Xkl/7-0A-7Q8I5'I8U;0)6
U"o-'q-)/9%7QQT)hYsi9LP8C)-0?#//.9(/)-_a0?/_^/e/o(-]/sC0-6K[Q]HA+
U"L-ymahAuAb)AzA#tMfw:m7,uo4u8I2-pRg;6T'.9vF=NRQL5+S'pQ'&gOAO/kQ+
U"E8+FUM05rGy<qwizrZJ;HbS2i=CicjC#jQi+(iai/Ci9jI%ikjsbZU;rP,]lWMo
U"wawMuwd7Vw7%7b]aKJF6J8qTpiXXiCY0=C-1K1.iV6V2y'_=.rQ(Qap%u%aq%s%
U"gn;zQb_QC*p(1#=*gYb7SJSo%/[l+y.AL=M8=JgE0gFmI/mN-E8-OWM9WJ7l<ug
U"q2oj$[8\Yd8$;+q)IS:nVaSpJ#euu5]V%7^.R%.0.$%.\.d/XWXOJXFXl+7$JSa
U"puRjA)gsA2xstI.nW+WV)A&3r238]l)]8B10aNnN7_caDafWd7Gn2m/HpTp'^pZ
U"m*fa_P$nj901Y)iE1reum0tmVm0#p6nJfo>c<g$wsrsJbliKFtx\c+W;dWp4-J3
U"Q3kJ3'41q3%C%2f8c>/c>d^gSB(_SUq5;Me;T;hZ;veFSRV(%v^^^%:^#^G&2:A
U"aY292DdAzACrAhA$\Al]OsA,_Mbb&bN0cF$ip$vBZ$B($W(c(dD>_Dc;ne8M<xv
U"uP&H.**#*:*yCgegT:gj;CbTL/p%9i9z.9.Y9W>G>CW>K>\eYhY0^9.Pk^OxMb.
U"OvcGMdAc9Jckc]jOV&s4rbx7ohw;K%zptSNv0xU:W(RjTRhR.(^-^xkH6A0rk=^
U"lQC0c.4Plqz0I=79B,h,plLITaakmMs++s\YoPWC+Dy4\fiV.5-paJr7$^KO[FO
U"ZO#FOBOh^OtOnCOROVdzsyukskzCC0dJyLWy)yEOy3yUfyZyMHy4yCzyryM,yRy
U"M2yby#LzTyRcz^&.8vbvN<xhwVHw>xV4w^z3&%zzS:zTuK/l<)WfuSLT.dMm5y6
U"%8+wPu\aupup.v4&tLuvzf5yPx\kypxhOyXvMk-vUsaTctMoxv$Oj5L_PsuLIJu
U"iKAOYwOQx<jr?0%2v1+g8P89*m/+VVrg<gLXg:gD*glg#<=9%m?p>'N9U0bu)RQ
U"N9QOe+/;$E504,J5U$\6W<6Tv:9tAt/$DrN'hxw8%anLqKaqPQIXQPUwuR'R&02
U"xBgWlg_4*FnZD88cN9oIWJ+uJ+LkTK/OYNNq:4Y:&NyrJ9Kc6PSrZ_xDidbqOB&
U"MV)N94.YW]FLU/+[IS*043PX#<=\YKe#L#PS?d\mZZq.fJ7P7rT.VS59ScS6uSr
U"Sdu-d-tT.L.vl.(9xH%vs*j5(P#9ZriI'5Xc9^DVt<s<YDic.qcuasu)waMw'wa
U"Kw&w+Tu#ae^3%#J,L)vgq6fGM8l.Ch5D[ZaFTeVa9VQVaWV;VsCV63Xx3$Dc(dc
U"K>L'toC<tLpMvovp_6tlNM*pfs>f&0fN(,>+WhoW#T6dnmZd6Jb(Lw7Q(.E)D#g
U")FP99E%J0M6i-^(Sv;a9ZMZaWZcZ+>ZD'\VckXA,dfnkp8%8Fs8nNkzw=vahsLn
U"c(ddM;Nqxwbn#eCae>eDDO/5/%e\MUEQ;U3Z)#YsH:H+^^1m=5#W5Vc[\I=3F>?
U">5F?O>=([;\aq=G?i5YZ[F;V$+6u?AMAuWAVA9XMGMWLw9wWCwR7,zJEyEr^#,j
U"V3<mhZ$_*PP*v#Mo#Q#N/#$#N2#b#bnj3\aN\X?2f\NY?wVqDD2M8#C8(8:Ab%8
U"i0BOb2+KFK$Lq]hkj[2;klA]hB.#8=x.&x(x.ZxLxdpx&L+mLixMU8]8b$b+LY0
U"Lvu/&qNVML29<C;1;>V%3O/rO:/<<e_RzW,nEM1VJ;+?E>F:<E#_IJB<BN;BUro
U"9lwl[rl,_\W_6E>kjx9w<G+KgoBgD;?I;RG9EGGGWLqGqWJq#1l;[Q>;DZXRWW)
U"i)Co(O*Vi'3(Ck(K(q5)'*l%+;/He*a/YHBk$r^BD0ee'%c)%GPXIPtz72z3zge
U"zr%f>%4&sP)v/DQPcFz$0%7OkYO%Ot]O:OkCddOu^OnOuVOt&Z8070Zv9slN.S\
U"QP\/\xs2B?:c?#K;aKNKPkuUuVPuX5V0FCjnDjB[^2;5;IVXA=4.iHq2(VO=s.q
U"K57WlXdW^#Wr=a6[J[Ft=>qIUnYs+fKF>Dbkmm&siw3J8Hx$9MnSp.?L,H0viIq
U"/IfIlB[Fp_F:AO3aR+.RbUemoIE,b80]gAD8H<rI9r3rFfrZh<k%9%Jt%NOSDe1
U"#:Mj3j0M*=*<p$74PtEUo-9f:T,N/><HleiE_8E94eT414164nE2JE(Evue'RvY
U"4pO]WH-=-rJ-TW9Cc;cZ>7=MhRLzvk%tloaLeTTrx3x9kM?-Nj&h/cG/fe#C-Em
U"?t'b)Wq0n<p(36BSO^UDGN_OAceByBMJDYAC_?s$'eAQD%hA;AulGjO\O.#B]T0
U"AxC%)s]LR8L+b;bb(xo+x'LD)v/v:+vfs)Jl3^pBB3_cm;.^c5=>du%he]ce^A_
U"jAdkckk\+[t+f5Rl2VHQVH^ls9lv$p]Gd_85BO?VkC*#j2CXDnkFBFRZ]+F4H0D
U".f#0S\+tm1E17muI9d0/$[gqXo=%uoMZ)c%o4V4g+fMASAiMAXAZ9k$^^f^2TTa
U"z;z:cNAZMjZ:D.M:R:v<d-P(Q'#+N>C6h/rUSV)D=G\2C\F\>=\3To<0A0_90k0
U"SK0B=28=,Vsi1,D4u\oIf4T0(\t-p^gjSgMgjNg:VtzU4Uj,VF2^DFdh?w4tPAF
U"N4H#4:4B#4#4.J^A^1/^?^R%CBC((CrCxaC#b'tGUoq9#hNx?PLJXT=X?Bbt$?H
U"Nnmlm((mla^TGcotK_r?axKpGjp#Zca:]:hkdgd$l.?zGkzJzDV:VPgTPJ(Fn-'
U"M^#y8O$Bcp2p0?u&wTPuTwWTw#wMvxfxV^xHwuuWSWskW/W^9>Dha5hihjAh1ha
U"?hRWsBWT6ipI.jtMdF\krYr[tr\\Ya8_8$tbh,Gkv<6QW$SH()nzct>Kwo6?mNj
U"ZZj.pD?lnl2olroFWl,\*u$TaTZ^4<FlEpihK%TnnManinMmnb.MS.Q.Mp.x.kf
U"XWXXN8lMlPvmsc6m8ocPl\ltFmpij4i^istnHosTk(ouXeXgl8VNM<xsxjux0wc
U"^&S%$kO)O1POuODF&N&*+(/*Aa2qFY=n9X&0h's(7:'n'&L'h'#8(>P8z'P*0O,
U"E).3)]+%s*C4057G$ri0YDFe)g1GT;/v[:NP+k&%.*S#j#YB*:<%WU'j3H>E/X1
U"EC_j75VA^%MGMK/wIwK/wZwLJ7]7>iI$oLLffQ=a*vCm+aar5bF)i)+g)oUFSQQ
U"g+9eAq#234][0s0G[2S2'a.W7UF65bGY>iV/0:5h58l545W0_A_Vc_e_%zF:F/*
U"gIg.kgug:SVU3SH5kJHAl5miI4pc2pepckpbp^ep(p4.g4SC[2b#s(Mcdq%Iq_1
U"^85=_%>;6;CDe7%a6/F%Fb%T;^I;YesmQb)Cp0dU9v;oY*eD=l<171q[]&Cv9V7
U"7TWu5q;K1iSA/SvSp.)ZQ;/$9$6%v7vD.V7#UW[G=h\Wl6H#GeI.Ms's;Ms)sEM
U"s0s4MsBs&23/3iJ3o3%q3,]^$AhmrgMZwI(MIyfiMuw:Pwhq]gil]3a9nEcDHc=
U"<[>2p<3L+7yA)=ReSeoDuW&t&vq<s.Kl/JEJE?8l7C<8\7gT75JsfJrJQfJVrT(
U"kXZ8M86I%kFk\0?IU='\#8>%x5x80,JuJ/5G5_N_VgjjVp1wGWrLUCX%U%gWEH%
U"\5QFOaaONO#X[VEsle>Qi824[cE\a[PQYHqHk12#DL#H#h2#6[XS?VZ&JBL;98Q
U"WG0WNm;/nC.:9X98\?wtq$ujp\x_[N<HJbE$oMcom//h5d5Afet'ebujIPmIl?j
U"aZI;BX.AX7p8.77B768%x8X7.07z7.\J=t1agGGrjE[<.iyayMa=a4#wewC(w#w
U"n7wrKmoKiKZGsLn>Jbia4Jaralka6a<2a2bx2bBap2azb\+LpI4%LtID+nwF>bs
U"YxeawUxu#xGw1.x[t1bver25bk:/M6y+yMEy8yD69q9t9cSMuwMBMD&xG8Es838
U"lM-S-tq-k-u/-:-D,888YVKGt<vgoMcfhYghCTCNVC+3-<383p*3N_b96_6c06^
U"LlZsZm2ibNtDZLNbe/CTIEUb$Gos<IPIsPb&mafsvsaNs4mb.bTa-xIj>/)1>k.
U"=HZviBw6mCUU>28[n?Y9\O\cU(d:bLFapaMpj0e$ZcfDkwC7EEQ$Vl8#K\sQ?<[
U"6%>X>EJBnuA2uHurMu25?25K5oq5,_7?EbEDgXn57TG9CaKEg606,i(ke(^(.k(
U"&(T6+o3rt6VE3knn*OTLQ';Nw;t;*\;kseDsBGb7GiG;$kd^kk2K2k12Y2cs2S2
U"sC2w2cj282_VAt_aO^RHuLC,GkBBZAcDFPAjPB:AZdATd1\mFUWhGW\K5<HkLPd
U"&y?'=&IN'[.hl++<^D$dL%_-+N*iCCdN(OVzJhzU%fk+.NNgdze^tz$d]lT^J_c
U"#_<_Q(F.nWXeXj98TxuuwJu,ord^8-B$Tu[PE91#:u0%(9s;YF9-;kgNG-ihyOr
U"I/yUyUo'U6)_s?hZjeZp;2rT60nNOu.BirF&L6N$G/$o$z&$pvqL6rwu)72vp6J
U"'qDbZg;BC;*:bSZN>pZ>*>zbYP;P+;p<D#OcxKbtqsjlv[6>Y/.A9lRNgND%zB%
U"gx%J(h]-l)i3/Dd59TDfud+O&t(P7'tJVI3jhd]'u4*gh;D>P.eemdAhf7cahcg
U"dQee]d=hfsd]Gf%RxCSxT8jOR%+qz3+]57BnJDAt3tncwhKu)K%KucKsKu_KZKB
U"hptdS-T6&rs:blfK\t5k4[4KJ4s4M2404^V4:DiNDEd\\dBQ4h'Ere5#RZWljkt
U"^t5^O^a3^f^jz^r^lL^6D/fy'y(]&uP'[OWOROP/%Wm&eO2%]b:K0OMx.ezYy;9
U"%cy(?&wO9lPtOBpyCwN]'^*k>/m5YMVs$Wnbd^0'<wW\wGz21yT&JOz&x9l'cwc
U"Q(S.Dl1cAN3&y&zXaNDzMDy,yUbyvzDby$yLt%.z*7*bxKFzr'M2'2%sh'j(DXy
U"nyan(N%;(.LyrL,,4<_3F4IZ\:Mtyr._\n?u4u5O+OT2[3eh-*,T/+$)$pvJ-oY
U"Afl)^ylwV9k_F_nZ_x3u-3k3Hw3bDj<cM'kbVo/:F/<TL#m;G6.:scK/crM^zLj
U"vtesosk$sXsaHn<dchMd%sTVQ-i*:2XB?B#vR\cXw6-BH8>LL_rpxjwQYs)REtB
U"S_?3FbjDV;eUqQ,>1Z<xeYRrJ*k0gy;8QVAIDrXR(/oC?S?3C?c#C[#q?A^2=27
U"j2mU_MU]UP\U(2PO#w=ge<5:Me9Y;me7q7Eq7+PQTJ]QGc5jo\?f?X?ix=KTaMK
U"IVc-%.Pt3I]RbcTyIsySMKjYSC*lb#u#=ruF7lFq5$P5h5)/BvBjJBrB2Tlelm<
U"_rF<,jhZdP8_:(WOqWq<L1TgP8j8Xq>p0%J;N9xh=8=RZS+,4c5^yD*VelRLt)5
U")C))j*$n)N&a&&>&u>&&&GR&l*Ot0-8<vtnj2z7jqMjAjJO#6<,J*z*N<Tm/0V<
U"&S=K0b>JZNo'\)vLn$l/VyVQ7Vtl0Ss:tJ9t>.uT776i(LFturoDfO\SN=qn8$g
U"b_gubCEDYFhCE;d?QVjhQ#n]JgBND50g%l'Jl7lS(sbswMvJvNJ6m6;M6)6%J6v
U"6HJ6r62u$WGjuGbGDDlF$nPDGEYeDNEbJF^EH5CrC*MFtC4YD&eyugSUNZU..:s
U"tPr'q*,(4k54G0UO=>=sZTc)pZIdMuOb&$</-T_Z,nV%i7=xgktVyVWq=\=lXgo
U"gia=IpuCg[glCg\VsrVVVu<V43OL4>CuXbw&Wt(p;N0/^1p4u#-H#'LwFL&LvOL
U"86,iHemokmgmJ2mxm#db4J1kIrJ>/JzIV<6]6&Z6r6zPJdJjeJ$It>JppCuf6Vt
U"YFhT-8]c:ceCDuH?+H'Tf%Tx(Q%(y>tBXo7PX72Lj<sMf>JOptUD>8AW8084Udx
U"Xtad%d/sd&8%MNBN6ux/w<<vvtTunxMx2y.Ce/5e#ek<9;9549FEJ;E:oM7o;/u
U"\9I93ZPb(9$+'2.aCGVliHOQkoeowkoF/Ik/q/mk/C/Bk/^/vk/</#t/HYo-:h,
U"t^4-C5gbG>i?bYeEKP[p<Op0x>gH=BTi/1*eo/ZTS30\>$?7fN[8mFJF0NFZFTt
U"FHp<5p.h'Nh2h1LUM=SIWm9hW>GBu)[)>u)v)tk?m?sk?R?#<iPZxf<4VXI2p=.
U"i/,:4rZE4fQ:T&<QX1LA<tXf<Z0XUMtNt\fsT08R7SU[cIwdA<F)4H>K#Y+;s0W
U"R2cl:sUqF8XflrgnhGW4oEYlW.CYFSgXoVpoqWg8WBJF45>QkW,J,.hzC#zBJ[D
U")^_[Lk[u[2%[=C9fCVcqIMm03J6r'22a2CP2:2$q2[*NM242\22R2$0?C\b^BjB
U"\9RL6t;8nSc_ZLctsgpJpszgT-?hU7Dupv5hoVc:vbSv[tjbpVgjtVn8tN\w'?v
U"4pDiWN8xuHtxWOd4nNM+<+>3UGk]9gagV%C]CZ/-]-^8-\Wa%c_cZqM9u$rjN?:
U"j)XSukSOSZYSV=YhXwX=a.?iNXiL=mGXv8VaL'su4]jEg)>a_>[[>dBJgQi;khe
U"lUgZHIklC]bB*Pb7,/c3gDBib5NaEdeJDPY(*+3e_UYHY]P&J,CDEYl7nEKkWg/
U"qstqS4r&lMym9j'SbZ^IZbD5Zc[M\Jxdu-aqFsj%B9dMSLun/-?:0,7^4jB#7$9
U"Mtw_IAMp&VmYNxcJ&zHflSMb+;WSASHp_C3hZqG\J,^X]sIavL19rNm>J\XU63O
U"n8crLD_W8hdG)MnJJmT\'hT8Y0L<#)Sk-L'f^-r4H&wusRX(rv]s\nVdSWV'oCo
U"G\%rM%ycwEslY)I[:F8Z#R/e8X9&,+2+Ry6(T;+Rbb0]he#KYOkX/Zg]Y_S\+Qd
U"S##M#KjOGtW*Pa#a6U#.';bxF%jaAbRR?9:VHQE\o&Pfp(>%FDbDaLXFXa07pY7
U"1FATr>>Chi7ni8MXNYNXVMt6Bur'+('Y([++u7Ea=a'nNt\PL8P2:7GpWn(%nbn
U"LPbos-ap^p<huHtJ3LetL&s0V1%>9kILHf#_NjQphNZk$n3Ji#FN\8UIV5:_RlE
U"0hce(;(-u%5%&t(t+'V3p,\9+h,XW+*,Fk4xgv#Q$O6j]$?G[D^A2N1+1=Lg=0=
U"jpgRUX\2cHN_H$HWRHfH64li09W:E97+;&MCc%q)-l$?B.]sbpT4p(c;he#yh+z
U"'4AmuZ,ar(N&iV(J*WofS7X]k1=>7RIu#4[s<QMQC?lLEu9fF:j#j[X8]k>K8K5
U"7l<Pq::eqo&h1,Z+dK%ISMx=>ETm)uo-nuZU<Xz<R:M#uOTVtG:(y.hNnG8h5NA
U"xsmxrwtvvhs8f2I+&I,s2t[hYTW2;$ltlsX2VN&ilr==PVj64NQZ&/#5qqK[oQ=
U"IPyMR$V4M]knm)l%c?YG-a76#Jjl2H]dCrTBek=Vj\KQ#v^>d]c#UTniwX9O8Ps
U")?my^p>A+mGsUNV.xVv_^tlbno$NFL$Wv8GB5]H#l/[;Xb(m^D5BXl$tF'k;0,0
U"h<mlT71iQKXltA_^6>fx7a?qYeHu^#PwZunH&MN1miRaj6_8M6mGZp>iZRPTwMj
U"FsaotA#DBkf$-WYHr]tWJ[\[9xq]qZfEfhgd5-FQi6aLa:kOjOzozaA&%mO+bI/
U"_E2+ez),:k0M\Jrd>ZD#:0\%]0$#V8;GXZI#'+]jAuq=Xx%&up&%'9%9%%'%-(%
U"EkcdETF;*8k2%+%AG%%%/%%%%%%%%%&%E%%%%%%%%%w%jfir%jSVx%yup&%'9%/
U"%%%%%(%EkcsE1Sk'eb%%%%b%%%%-%%%%%%%%%&%E[%%%=%2%%i%jxhS%xinu%p&
U"'9%%9%'#%-%E%kcEku>/eE%*%%'%5%%/%%%%%%%%%%%%E%%%%L3%%%iwf%ltsS%
U"ksyu%p&'9%%9%'#%-%E[kcE%XZti.[-%%\%B%%.%%%%%%%%%&%%E%%%%#9%%%tw
U"i%jwSk%wrup%&'9%%9%'%.-%EkIcE4q*a4q'.%%>*%%%0%%%%%%%%%&%%E%%%&p
U"A%%%ufhp%nslS%qxyu%p&'9%%9%'#%-%E%kcEy%H;Nu[-%%4%?%%1%%%%%%%%%&
U"%%E%%%%;D%%%hmf%wljn%ySkw%rup&%'9%9%%'%-(%Ekc7E-Sb%Eb9%4%K#%%%1
U"%%%%%%%%%&%E#%%%_%L%%x&%lfi%jrtS%gfxu%p&'9%%9%'#%-%E#kcET1e?r\%
U"&%%7%*%%0%%%%%%%%%&%%E%%+%p$%.%x%l%fijr%tSgn%up&'%9%9%%'%-%&Ekc
U"EZ>_cu'5B&%(%)'%%1%%%%%%%%%%%E%.%%&b#%%x%%lfij%rtSj&'jup%*+%%%%
U"%.%7.%v&#%%b*%&%%%
END SUB
V2
V3
V4
V5
V6
V7
V8
V9
CLOSE:IF S=72AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of 1.ZIP ends here. Last page. TCHK:72
<PAGEEND:"SVGA.Pages.File1">

<PAGESTART:"SVGA.Pages.File2">
'>>> Page 1 of 2.ZIP begins here. TYPE:BINAA TLEN:98162
'-------------------------------------------------------------
'                  INSTRUCTIONS FOR DECODING
'If there are multiple parts to this file, merge them into one
'file using  COPY PART1.EXT+PART2.EXT FILENAME.EXT  Remove all
'message header and footer information (everything outside the
'">>> Page x of..." lines),  load the result into your version
'of Basic (QBASIC, QuickBASIC, etc.) then RUN it. The original
'file will be decoded into the current directory on your disk.
'-------------------------------------------------------------
DEFINT A-Z:DIM SHARED K,S,B&,Z&:V1 'Created by PostIt! 7.3
SUB V1:OPEN "O",1,"2.ZIP",4^6:Z&=98162:?STRING$(50,177);
U"%up()%9%'%.-%Ek%cEJL93kH,.%%&A%%%/%.%%)j.um(w#Suh'NfhJAc\16?L^*
U"dymyOpQ[AJ,A1&AOA7E,A&oo%Bx%^e35M*KbI[pGJcsRRlUq,$+&\d-3kSp.:oM
U"3\dlOd+x)b#7g,HJvhrafSOHrhMl_]0+cXbMl4\Y^1QnO1o6RQv>/N=ZQX1rol:
U"w5=)N?$e.+tH0:gR0>+*#);2UKEk[\Nlq_\jTlduBlnSKwqtHc>PQT_*4i5,]Ia
U"O;=\0qE4L=A-c9PxjA+^[2R&A)^jAqGDYr)'CAIV44se\VuA;xYE5S(W61$;L>b
U"gus\e)hYqz5siIWHK>]O<U1'G+\>bz>=lNn83DkOD$Fy^YW-*F_^qi-a,nMSW_l
U";&#>d;:EC?MrmpPTA2?7l3]]<;O,#r1oReQl%u1CQ.<EB]oX&&e/E-7LbXG=Q_2
U"HZ1N8z5rb<Rj$aa#VRlhaqXrp[>[=>=JD#*q*w2BSj<EO'xQysQpU(.5B3$7i;p
U"hk3-p?a0=_f)EOv50$1(1(iw4^E1^UUa=duA7QC\cS5bW3*A1EWj5Z>;QX='6:S
U">,=T*E+h+I':6RZ6B$*Ma=FrDUcAm1e&*jVAvMaFpf684xC;\D_i.)4l2MGOVEy
U":J:0E.a6_4&J.Zm_4+BwI[##^,A?yhangfHk3m)'FEg,_PWl46pSb>6,ZN*bbPN
U"uvMLuZ,2IAvV9JR+bBE\F^,hA6c&b_vLW3TwiW5T*\RA<o_WjbHU2nJ15b)+/*-
U"#\N08Y*4jU:WG)Fy8h#?[eCbJY:L)9Vg0Rlc)XNH>G_C#?;OXla=5MK.S;Vr&#h
U"Ye3BqoTZ8tkn_Ra^7Cp3nbvh8V)eC0ARf\rWU2_V$om;l*TtZ&,Ar?isc(a(SLh
U"d-RVK(4tWa4UW*nXcl:)Mg5lR:=>Rc;MxDSmRZMEIsYIX7DI;a9DXg_E3=JI^mx
U"RAZ$Blg^:W9Fh3DE^Glp[Ml;-PSS_feR-H)OhAP,/v^C0T\MhQTQL[[\Wb54E)b
U"aOM\6XWcQ2I3T)RAdCi#DQQOE,q^LH,=I&azK9;(Q6WeMgRO[#;R009De-=Dyao
U"p^W3;KWQ[=vj,[4t)RHWNR_Ktk0*KP#p$q_YIif2]sYSj)AFlF6uRqU-1E*/a]o
U"z<I#M$rB*aCQ*OfxX&]LW30nwrU51SL8xmOR2wL[X1u,\O-3Jzi&bsTI(GmS5tL
U"eWB+#AAoT[wO)NO*9\jx,thkGwvMGOAlyGT,5LgALPsg369DJ)B\))mc=*=Z;G8
U"Nc<aV^iCO=u\g>bMKS<xHVT:q,fPYGoW-E4UuatwIHFyD]OxfvC)njE-2t:vgR-
U"rVB[rJ9jqM]U9D]peRBxhCb9r96mi:.o;-t3,\ft3aFN-ao.(=T+FY[>O*3_*.2
U"nR#.WnoTR9B(a;DE?=A(42,74V\Rh)3vgC\/aLT\3$9pP4+\gHj:+HkyAQ_%mWs
U"o8a$i0nAtO5,a]#ujhaUA7]ZAjRq#+0[t3;agXq*-:gsNAav&G3r%&%[;-otu5j
U"a4ZFJV)LsSt&LU,yhq#KvXMRPfHCP^PpOM7useE6mA9AoSSm&1^[Eg4BD=bIk9t
U"tacD,n?OMTB<?b+]C?st(QwSW4*FbO&::V2]q(n.N.#IPG)o\u46XV38r/&.ur+
U"#/0cLMWsC'rfhNr%M;nf$:*#V[sDyRscmPkk]2K8jyi8Gm?>/Uef<TR/,U2Yoo]
U"J-??0bcSBTk;g&>_i0Fb.SKMpjk.#(tpbd92[x4hmnyPr_vx*i$Y6YkT%,n?SeG
U"b)nFlgTEpX?W0&7X]kbNXaqsk4j,^jkF[eZ5cWgW^aBlceqJGh=9SO/0otb5diV
U"^i0i*r,eb%4D-T.'Q^fiSEXqnG>8urgLLTJ$$PT-rWJWswuZhZM.S5Gdmc=MxkO
U"WxJ^.XzuPk]M$:.?']7zuw4du;^ixvTrDhdlxwzutFCxokzu:^bNpzwtdk8(]sD
U"YxGRkd+&B;p:NnpaJcB8uwV^.^nOPxvzcvqp#+hjet\\[XTkAgA73^*:PKW'Nzl
U"_/1G/u^>PKWVL=f3:r6PDq+beW#n>rZJY/0GliAqGb,1h*==TVKoBUJFyXjcA1S
U"eV6X10sJgu%piu2>C\Cr1EH#J>j1tUPo/hWIjI[q,+]lIo#yV]Z)y<8CY9+Gq8a
U"1%1i,i;q?sUHyIyKq9O>wau0B_Z?(6z?JY'6,wn)[\'FKdQ9\gvT'JYX.\2YXE?
U"6#,d;2BM9vsk$v>]%M0qKZI1e$Zj6=UX#*;2_T6V>bE\BDw[^3SRY]=P)\,7&gG
U"kx5aOH($SsK_4rWP/cF7ttGg.xK:<R[9GlPYe0RdsS-_j<Dt7(Rd$-f[1>d[TK1
U"9l3Lh8bVItvM#5=4T$$NF-t,oEC,\I9t_uWjzRl?->FYBY&9,lAwWW()_4bG9oW
U"<2v<dB)vG8Y:r-FcadjkSOx50YopyLmjzW*RnTIf\D+mZfsLiv>[SAX#LNMu7k)
U"5ir:sms1kd>igFedejVZvw0DRv2)\>acNNm0Rvp<IQY(.R_u>pRp#2MA<[=Tu7_
U"t^2;ltJod$cPHTnTlXwjZg8v>-:x%u%p()9%%'%-(%EkcIEld^'lu-%%%.B%%%/
U"%%%%mnx#ytw([Svg6j>TAS1mEnx)dN]Z(z(Lz8SVqWZoeeRC5QM$2P$3#6$&$?f
U"L:pOtC0E+P.8L$peEMQ:sEP4IvpkB6sU>.]6#dknv8q]aljY5GRJYSra5eua^a+
U"w7%cCDgcU-MtPwRr^lF?A5n#pX?t]46#M%*Nj:6LlZ$.hM_PP8rgSkEHlW7Ht,u
U"Pb+*iBG-<COZ1^H]J:3H4]$?I45a0bgDzuh1tN/n>kCOe1RDQCtaZ,vIb(42c>u
U"EWB=$YNZmFj=tr*j<tbJ:yq_y(eavsWkJY4Va/GfA4+pa;0-Z[WxUZ<9Yt5/^64
U"#-$^_W-+vq]tI0oA0[fAq$+7(+K\Hg><tXA/)b(ZA_9vd_b:eHsPq4?PxQ\'&$H
U"jP*rL4YBO&$D)s0a^a5%TUs::>u.e_fO;-+9I$$YMP;Of;YU*hrmn.G0s:+./>(
U"U-=/lAog>CD[1VG/L:Ubu$KSY$YaF:,ue2LR/,,5s\/3w\P&GK-+DE<L5CV8ydD
U"HNKk82-vU>OQh,7Q?lgFwvuh=kqx95xmRFsJu;l<+:mFrToO/oE%=DeWfU,f[>*
U"N8[S5I>Z']S?FiIVP(FDfFYQp+1X8SLUb5G*9[prs(F,fJV;(qt(a#W0e_eIJ&M
U"TQfJjUPFAAwib-S1H:Xi9d1f(sjC7RdES5T<N<tu(g8GT?:G1BoZh?)ZIEPp0<0
U"77K.u6Axc5Dm#?p$#lq3]fo(I;<HSjF:UZZ&-A/j_(^'OD3P&$8HfYmlXH_P?Cg
U"$U#IWsGrHX6mQv#wuaCr[FN0CJ(hXD]YF_>#>2x?oIr/GMJIQhysYd>n$Jl+:$I
U"btrl^obh2Mi.jS%6^>#s5q,/tFHC+noeBRYbrc+;Pt:b#fI-PxIBuqIl0NN;hvI
U"8+AdlQh1Ny;ki'V3UG$(C(N?#0QmyO%eQg;:1BECOyEw7%N=z^JhWWKBq$1LVw(
U"\O,ek&-ICmYxPTUiu^=a:CWh#pOms;F=.vUab?NB[z#_Vc%u2U'CD_qu1^n$/EN
U"+<Jd:uGC^P6JBW?F3)POTOy?WUNPM*Z]n#6cBX*5BHu2unmmVf:G9>f,Vz-VB'I
U"bEW>,?Sn:/N>IjgJtU*crdwz.^=x6#N2#*Jyofw/ojIk1P:.Vc3FQC'AVH$59^n
U"(Xff9+#\LBC,3t'Y-tgH=#jtN0H^pth$[Q$%B0M<\=KHhou6T-81(f4yad/.AFq
U"WbnUGclRY1kzE^S2J$u,&oDtOklh37dzr3B6d=HY)nUl_6vRy7)&X^Hj^'A+0cq
U"B5L#a//2gfhU&LOE]r[4'U-jAg/(Tf]6rVR7M5/Fh1C2:w%(nLj>9r\F*]CY$/i
U"k6GK0_V\9;0+972>o_/TC]5&h<dsDB>,eXRMvOi>3NX'gP5[=j:2rAeZ2&xk_hS
U"<Gq5,c&#/mp7LT/5?LEIQYr3*.2eHqB+)WPpYi_wxfi,yNGVX#PiMH1nOL'=<I:
U"CJ3Y6$[<7K/pSSg7w\EDNxlJ)mm3JtYa5TT#?&uLdAd3?BxKMcvej4:Y7_&XP]3
U")+olkTDI*h<\MjL$\=5>Ll,W&)g20^^bW>xG+J2MQ9%5:glA\]^Ftn2??25p,yw
U"5R1piKvloblxayo^RhdUT.Nb>uVcPnA3?HC*y>db/70=wx^LG%_e1MRr29Bx3^(
U"'-;*V41PWNRK7P<k>9JqP3Ne4cS+mC0dYSnimN/<Cc5o/uP)o&AqOt/vNU\J[-P
U"BRZpN1#]f%:,aYS='^c?':dr5iuEMW,Rb#v6W2Gf?&wx4slh*Xp$Vzj0tod0k0W
U",Q\J)3cj&wxD<VctK]F.FM:2<*.WY;/*3t4#9vR9tNCeswL'%FV8ORY8;abAF*C
U"m8:C-HEmmhAe.+39$m&l]CgM+L_AFFR[Hph]ViPnjfi4eQ>(=G(FAhZB&r308-C
U"91=3VRd($O>CZ;u&NO%lIEZaGlEZE?q>Fj6aSnIu4v9OCenf>_OXi'wI^.I6,bW
U"ftS8Lxk3WEbquf\Z:kC($DF7H/*6xJ93:y'SGI5MW<PHa<9<)^F(+2-u.seRI<q
U"-\t_0&G[c[yU'aK3=BlFALz[d+;Ac[JTBJXWsV-VNAxl2vj>PkITfyl&;LC(,o7
U"$i73s-'RUQCRnn.j?T+4f9I+i6^ULP^InY/W]>jK*m54E*mY\U?.6u'\-*;C<%v
U"Q]:;xr'B;0K5(Cb%pjmxR<mY+twoI;YFin%A^c1Bbd4$S7G1xzF7rjqA>zC3)CZ
U"Wf'],ZbJxw1p(K>9]G(^YrZpTgFNMP?T-6d]yao+ZNR*sAaXIS^)e<]B$R$rABf
U".uA$&Jb\LeV6-)n%j8'&Qz<n2Q:ap;,/?M0\omk7]yPT9wLP#ghjX.NWJvSC<hV
U"d\SUF2e(vHlMUs14+v*Y+2aFtN<]tcVlS9y&hg(Y6[]LAa##zfLmrw)n1y*P$rt
U"3iKiM/pot,?IoUp)pJCd=abCD;8+ABOxrJ&b[(rdITaE.jz.:$Iv\tV(_q4:>pd
U"p>Fo#<Zsj7cQlNe>p;qn;+v&p6?#Uv.&gfOhP3avuc8<Kt%49i&3;sdbJgS)4uN
U"yxP8L.D+8/yCH4X#9a[i0Q,GGd?pb'6/5eMaO$Ccl,:A49*%P8vWY+n_vf/7A7?
U"8v-vpgy)Nd:IeoRXRaao+Z5P1vhrZhU.uZTI04r6icf4W3V^32,33nTop*5U'EM
U"cL)Xc\[-bJRQA3nkt?er*bp%Iq*TN%u%p()9%%'%-(%EkcRE(V5&M/,%%%5J%%%
U".%%.%x%l%fghSRgn>)<TAT[s'V$ET]DIhNAbl##xpsj']6IF%.[mUI%MbM82QCz
U"%HxNJr.jvsCJG(8:6s]mq,^#:Q^YkR(P#.m8N=+&SnrY6o\ww\6G9Sf)FYr3#-[
U"=34&9]n.a0PVaKbDCtOF:$ZVkZz16=e4ZYv4.:T.8Oc2KaPf[E[$%W]XQ0Czunr
U"VOZBUyOZvFtPdv)NM(ka%1egd9^O5[(+I0Jm2o2%&0_=76%X&&].vIBpN]/tOL*
U"1\R1&p7BrDvUDKq?-nw7eS^0e+g'PKAs&qijZ<is6)ht=-f]'G'[**'<V.U8KZs
U"nnzCa&)=mo]+=Ep>vmLGNK_CW0lo(.1OZBQpjxY:BI3?4//T_1bdpC,9UI6L-['
U"QM'b5j)3[t0O1=W&zZhq;$O&^9g9p?E0_n3<p#H%4+2lEa&W?:717Y4(,fE4R+O
U"a^Cyy1AdY&b>qN[NP6:8*>k,(1--Plm6CNmh7==[qC=zWo/HlnSH/W/Ya$BY[Tt
U"EG*$&g'xL(Hu'/IYMh03u'##uZ<PjGA._\kSmNJPcR2<DzJE_tk)Y&+g<I.H8PQ
U"crjkTRjbJTj/L#<S>)q%vh=vC[W'fjE5r3TKlD#4%QSp(++>#Vqdo8C02d$%^/=
U"gqzKDWd'I>bU.jUa?KCvr1oXYCa0#?zd)3PAIHRx1oCD38\(lxZUBcL_]p9PdM>
U"upH\%1cKRkEE6lFcVnp3<'?;DK;zCsfUpJ+&_9n=sDRue737eyPI_IdO=Diq7qu
U"k,:QWfGuk,Q/g+mWW]=1W,k.:[[q<cqHB[f:6<ZK2x>d$TUuR;qj\qqej8+k.KI
U"qZ'M$QSk=OX)8oMJ['f[w[FP-j)/S=;nimCfCrYI-^0busH[:F0T]DhT,]GM6z,
U"E\[.^l^5e7x0A-agixv5%T(Y$71hf1l[AEuTa$.8*%XTMd7Z,ttm?<xm7AaE;#<
U"1$bV%&\ULRr+[o/nuqu_iOHm*Q$eI7ik,)Qlrg-G\Y18z8:K5Y_ymUH5%b)HcYY
U"-^/cpKIujc(uE-\b,F#=4smF\](Xh7[pnuX/Byt#5*CK4&rF_&%*\>g(sRiL7+L
U"a5fU1r4e-AD=R).e[h8Ms2u,=-)C$lqT0'1fLIx>Gr.()+EX#5N<]YxvAUqbk9#
U"(d0&64aq#6H*B9b-9HiVxhsXf)0isI]9i):]gnXm8:ORLbLXaFS12LtNIR;7NGQ
U"l'ASoX$^Tt2MK5V(O^ZJ]rH8*e04[7$us0AUEIO0;WWyjDO(v1G6V9o/O>49a]U
U"=:9&w%k+S76)x<#$Z.8fFGp7xQsXf><4v6Nsp-d+Og/n=6+t&w>G->yvB.KBr^#
U"BCQYUqm+v4k0R[,HP4r3<gaF_2HrRHslAv1=[T#B/)x;F>L'ck=PrD3$x'L,twU
U"ZD2c4+t?BEC#W1Ar25n\;u/:#SutbP'5Bk;RUqf[aC+Vaq5=dg+qWDT1ofktEkl
U"&c0e+;SGA<G]<HYVPV=_qGxxkoN1O9c0x;UjBjJ+7b,7GnK$L0(n:CQH6dBFPa?
U"oENCTY[x+LRVT(t)Lg6W#78_.O3.L=Ot%rv+(UF.1O+f&WH>0XKA[_n/g?kxDo;
U"[5m0$g1s+LI89<5D<:TXKD;G6\iNWPr^%4IR;#)n?7c+pA_i[TITg7tH]kBBh9>
U"8DwrZD3E*(Mvf&_slB.Lt*QW(WBX%6cpSLikWbM(_ms#D5J9f6lx7+ak9GN-E_9
U"'gf72>NTadeP5/5+jasq96$boRoJRNBT1S=7quX$Dx5edH?C29v6Epc?-:LAjok
U":QtY_I9,JVKUQ*BkTfvq,Uqn3ay2<Jc'MJ/NjI6NVO^&pbOZNEaL416m*VhpE.-
U"(Q)U3c(5D-bQ%(zLk3lo'o^L[5uueEuDmJ[M.06'$ZYfS&1[]S.ShzZuQQ&w<h3
U":YM_^8TUN1?f0SPK)9YOek,,JHyaDDLpeHT_(iHjnVm9dD8/4>nhdVv[gt$k7rV
U"5[D4qO^*_w98IfP$]Kh+kMi*KMQ68rj;Uw9:NF<k/b9wC0DX;F\9xpo+ftovgF9
U"j*Q%rC'R_CdXRwnfQnD\>_<MC6f(4sa'?oZ])rbRAf/7D7[_PL5Xbe03RPEq8Bo
U"tj7Fu;8;^+Ouwb_at>LpUm(cR^_Gc[37gFHs<ZZlwEXbi;]m3tY_Hu/RD'&>m*b
U"df'RJeMym,s2Avx1/eJc$N3';qpR]0dgYBG*0#b9ln]SsX-Ad[5h2cDm&</>XPS
U"olEuN&JogzP%8O<cXNd;KR\ZE$6qHwLel;p.p=btuG*VDTQV]N,p,u6+XP?(wnd
U"%up()%9%'%.-%EkIcEj(awBl).%%sg%)%1%#%%x%%lfgh%WYSyS'yeL*tJ?^u/Y
U"htHfvDCWtj7<YFC=Off]hB9V4\o';Y++n?'RR&lN/&'c9zqXbua>?xqN^JIydy6
U"9Y_llpQl/&po__U_aG*WKNu^reN]:tn7v?QgTluFr'?lfdkJTbI]r0mt+hX4[wE
U"vb80S/Z'Oa+t1.Wthly$Z^$j1'hJEniQCT%JrT>mW$.i(;bjc\s6\&j#5EBTr9'
U",oJcrI?7?T'Wz>zRh3i3>U]t>P&_.T<\fMz8<&NnL:?$V78%qQc6e43/y.T]9.I
U"Hvg#J1U7D$S*4[tQvW=FMJ&E6mm+\:ZI7s^3xhnd,jxpFpz.7%ODj.6)3Atc?KN
U"[c1IR/;'X_FJ^l35lalMLfj/2?54tBa]3wc+_CcrC84y+_+uElk)(#mlg:[.=6^
U".8i<7#_&5oK.AC^.27E4m5/68h):L#7RA-eGgH:%z=q8&fsn5V5P>p'\lp;-#u2
U"luNjhB,akl;epCD\OUih:TjlgQFH$_m1j%ZEO3U/DZHu2d%*:w\:-vuN_>Q)j;Q
U"U0QSq;24BjGm1&A#gXUc(J?3BqW*gchT:^waLPH$&NTi]xgm>Po_0Lg>7G4ta;;
U"/SV(](6hu3,8bqNnX(;uFMZr?paX\3sna1p)QGY0>;b=YV3]#ZqvC.EsF.CjTE'
U"Cr(qkMo;ecq&b[ZOi.H[0C,Zh.l,eIU19;-BMmN:^_aiDLG5CC1E:FVYVpl%_qF
U".9xSgXDeG,k[Yn'5=k+C-m#MHWtIqZ+\5b95?hW(%E(d;EgHfCR7mh8>u2<%WDK
U"2NKTa:>n:0f?e=5fX3'*sLFBlK;t0aq-bK.dXjr$RjEjv]N;BqgnU];r+L6UEIU
U"D1,LDi7UMcrIb=#(/XnXQKkWVY23&?kkJ5/qB;'[Uu<r9$YO]$JP4u(sHuY0%A=
U"^[%%WrspJ0sn4N-.$(jY6Wo<#$Q&nN2ZJai.U,??plI_Wd,.#_+F>j&Rh>L?[>N
U"c+b4p59Pas#t,s^seeGxp\3#[Y&MoFz_.k6AHE;eP^dF4:Z)Cu\AIs&W/;4*%$O
U"3*c$_9=/u8?f6NK'#^=J'N9H=99i?Rp;bT]<GGQ_:;6_N4-Q+q?a=5I$V>5)X:H
U"3g/?3P?,]Z%S6Qo8.9F13;AD_K/m8azO7'QWkeJGA(V\;sgm$>WoI5rdlK2VW]G
U"go6/JW4v.AW];P>JXW=<ql'aAwAa^a2C#gJYHvC]gx'+_1Q&4]m8>OqR[Xu^hqp
U"m*U0GE6_n=+5>/2Gf\\f]%NS<00%5gTh(Wy74qBh7)gci;P^\K\45cO/,PRgWh%
U"M^P7-5=iCpZA,cWuTk':G)2G$.L/xM\'D>)%bKqC['*7Y;^^FlXY/2/Avu[^=W=
U"h,3q'a.[,U8]=;%NKZ-ABfTX8LC6n2#-VE#WHow(d6c*ASRWt5=)+V7tQONDZkM
U"qTD.x-7c4,rZ99<C[f2)>R*,Z#>c/&aZ:n#zcrWbxc>x.w<=K#h-ra<$+&aKM(l
U"1I&<Mh,#a5v&)IM9(;dnPq:^GvN:bmrveAGm(nj]=vjJ<5MQ]>/R=fpP)]#Zr5o
U"G=5DmF*\N*.j2::4p&oudaTXX[+\Ym6*TL/P:=TfALyD.j:dQ7.[r%C)BT7E=kU
U"n'$Md9,BL9WC4Auh+8='f.L%bJp#Cy+d%QS%IbhuoVJ'olaSxM)TJ='&YA71iWd
U"<UK5HgC.l>Ha%;-]9ba&wCCU,EA6Q<9POjVFp[_T30M2*Bt8$KA_i9*3w&O7sMH
U"&t%h=]0krrdXE.L)Mt%J#Zm[1)3(W#3[B\3;9$p#t55u27uK[k_GLWkjo.m(K6^
U"hR$uk[>jeXz+^[n9XXW[L2BsGk[u4j.M)4JPX*bpGQQJy]MA)Xp6UMr0WQ&p%))
U"R*1:-dKW>W(41Ra99M9.#R9uTC.h_#urmkb-&avj0msNLfDIY,ei1>B&dhxN1J[
U"=18:/:r4vu4=kE+i[RgO<4+:K#;LI$FnK&FT(%I61g7[<eoG/b9tIJUh_kQ/\eK
U"=2%oO.A>oS$PksZ&%$)/ovPUbbDU(9#7+T=zNIzFX?n6QQh--U\V&==Lx_(FJJ/
U"%KxRtnA/j$p'45?NRJx3YI<v9Wri-s)H]\:X7=19Qb>1_=;2bI.,P8]A23_Gx==
U"4Y;X&%;/7C_DJ+2BQ&5JDDvIe<g\gUls_dZm%5Z;t0\g/1JdGoE'G5=YPnW?.j^
U"fI9>YSUrlofuNhI(=GnmGr9h<X)IlXP<OzO7*:EM_)FAf*Usm:a6Jl9#Sznc**F
U"ph4ET[&T<,jg,onDI7^_&g'_w7_TwAS;BE%$-IiwnY=Z;ui+r\].Z:_lR_G0?ql
U"0IkD/$,,;#yit'3Hzd(<KlU)OqTRx/=,E;OZfQ=^;RN(d+'i=f0&WtP([$dE\M'
U"\Bu:FN[2;c2O-RcN]v.kY>fOIIot#_tb31-aaAm<xdLAxDe=x[\GSGB.Cv_kqIF
U"5tT_4lwWIFM,g4#bX+kbKf61Tj8^Ys+l\CQa^TF+6N[<IQF<0R>qELUN=a%n7X.
U"D6]PKF:*8L('ax,>GF87X;lp/sl9i7C0=fR9,-D>ju5ctfB(%h#_poQ^.AR*;?_
U"&)dA6.)LAk1y$#1z^O:>_Ah?ps;A;+GkHW>F,9;Ame9<LGWFmu=&6MMXB2]'Fj#
U"hy-AoK*rg8S/u%:CwP.Lw=eGMQNUCp;O%BL^B=l+-v]^A&ke+&?--WlF9#9Yp4:
U"c&az5j.1qUHdYSXe-/-01f&F18R&NXoG$;Gt+fXwu93i0fA7v&)[rOw(e$nmcJo
U"XUXEM/I.R$d'n_n4>>dO1o4Rf-[qhTY$*_OR:l#JDfLO;M(;BNF0EF9;/E1g0W6
U"[Ugu?L%.tu*%(]\G/7Q0HG+EcJ+tA\&?/G:2LZ9[-9czsC$eXzJs.?^RbfV7GQ,
U">uJOD_h[<]MN\&&(7EYG.TTwZuJdYsku_KAa[+LD.laA?zFpTZEQ(Blo=&ME:o%
U"M'K&030A]:N^QRDw9V,'_lP\WHr=,_7Q?A=MlK.]$MeBBCftT?dq;7;W81/kxiL
U"jgCJ;Gsp:c3I\b:Ad>>Zs_RiW5KLYST,w>33/4ik#)VH'.N-MHff9.k*h7rg855
U"JQH9:dsxSg&0/&0,6ZI=KjAHmQq8Tm+<j+]wL76V+'mr[CerjdYjE$pPRZ1wc[x
U"VfPrc;TdqxO?G0M'[I8cX'J%t96FMlEX;A_J.f^l*^W+Ksb3/.Dn9:SK;5h4+Ns
U"xIh%nE'2fH^*ch#nhg,QHd].=w)7gvjq^g?qqZYvBJh7SwAoikBEY&B=2(Sh+p>
U"Vr9NVSvAXB^y2KiWI]A\owG76)3t_4MU,m#MYSLU<4jAp.2]FD0HSem6/ruL)d1
U"B)YBhP_fQ>Bu>c1C^8^M<CY&5\E2W;Fa_v9XC,8AheI9yDjwM:j8eHQRJN*=u3R
U"[1NV2-d(:I52wf1#=+L1qkuEJ'u6q9$?)mJQ/940_[k-uB259CGF*;*pi[0W\(=
U"[K^>LN_>+ZBQ\AtU$Z5tkMY']P9M9)YsLe*ksdKCj(BH2klIh+8WcxesfhoB:Jj
U",=T;E6_RR8W1/n_-q1d(3=9[o\DXGcHT[H_0cCbNB_(<WYuHo6b7ca>0c+Esjmm
U"i*(sZi'NK1,sjJr7:3.0-,<jh,'2=U*II'0RAhv4hHXtKb9d$%#??p%sP&y?)ki
U"LmNu-p#oV5/$B9:XpSg49&A^*6cR0#EGLo#AM7p=A_;/C]^>$Ju5[+BMD5,hKU7
U"I#n5H;R5GP_WB&q*TRMJx5z&[yi>57rX^L2l*;LsA$tEl:%7DP2;5&IJDw^&>Li
U"uxU;D09+YFhBbg2gF_8^8GEKR:J>aBo)'LU2_Tt%AF<&7?$Yl2ge0Q22$P[YOn2
U"npiO6_Hc,q1D%7P1k+1$&%a*dHQkB]QM3O(RUXj=-#95mitApBgnR5:+soDE50*
U"IZ+tf.o3CGyM.Vn[;qTGcWU&Ba;x3=2LEe%nx02<9kS>,OC7J[P5S]0Y;+=Na4c
U"r>A>UUC%J?,JXs[y0\Y3\#YaY#TsZ1^51I-J(]_,1[2_p0;Ozn[REx/s?7)pII<
U"-8=au,*U^%(]aK,6>QRSH;C2fuhU%hMZHnz5OnK]gZ+K#x]AR3%5=N)WEXn;dw8
U"uvF*s]3^[1>MtOCF1fpAS44XD.T,gVJ?b7DrWaZ48%STFc\dAQtgDIc//STma?)
U"$hP*v=v7=gte4zA%XKE1b4(6h^pB_VLcAbmXjiu1'^'U2%J2l;N(XPa;XUe+664
U"v[G)i8$Rpp<fV:8p62<-h+s)SAN%&*M),]b8Afh5aPcCQu;Yq'w20(kCB%9/Bat
U"F1os[lu'V39PXL=DSMfvSMNPxg+,\+nHaEj+^.czqDjXR2ZPSCf\$ZylM[iYgCa
U"UIPX*<;Z.(WvV^n%GwDbogy(q)p=eJ&'\mQDGK]1oL$MQIz(-[6W9(E<Z_8(Qhj
U"out]l7a<2^Aah.>45;MzGkYmu<$N4[hzu.x6O_.$EP<p3?>i(O'jLHmdv'4XB<9
U"hjW:$:leJy+^c1w9^5_HQ_-1Y5s[s6+M(p6>^2xk))3$e9)F/Y(BYquf1AcR(bH
U"CII*RXA/*#;RWu*qRiZ[#wgQojwXP/65majHxZxcY#(b3bQdq&uY'HulISE8p_o
U",b-nX#%1z<USwK:\+UbYs)_fhHk?Li/)2U57EPcE5K;09(#uNl;l&9X*DgYuN0-
U"ensm9h+IQ6Z:gA5=mU^\/9$tM>ur)zDQbql%(=nKFHT8AMCPKYYJdrxycmrWfPb
U"h,59Y>sEOMoQZ0a;psKrMxH/[as?G6du4_uc>mT[1$sr5;sSWv[\&HUt[?80ct&
U"\&n5(UX5stUYjm,JNo4CSvSn+],)rN..=#?K6]jUm/)ir4;>52mY.oDT7s[S=L-
U"gYQESt5H'a=>gPn6Y\$$L$vi.Gp.y.5O&y<WNZ_hmvKlD7ZYJWP)0yL5ATpazLO
U"P<C&GT%5v'r9J$Pp:G?m//::<-ZYG'W<(tqnmjq1,rk9(K:2$#]uJ;IV46NzSU-
U"F^,;CTG]Ifl1(%<Xb6;ypgjI*7Yqa=]1<4fC[rW:W;u-xSB4>U&_TDTUFbCh]F>
END SUB
SUB V2
U"#gU+tFa_1Kkx5&CT_mcJ3>HpFdgpx>GWWbCTHgqwr=K=SEI$)1Dp#?,G_O&9of:
U"]b1?wW1piHXV&>Y1u7EIwLXd1nTo^-USECymYEbOBQ/w?-\rf8HEB(4W:6)MGyH
U"<nj;_hbr/X1K-O*(/ZC't)3ugZjTS^s53l/aUnD'IWL8G'<W::6W]xGg^3)jj>$
U"G$bt]XifzCIZ,,3>a4+YN_h$>S+>V(8h-_kppI:r,,'$h-CdAWjCVfvC\Gr'<.8
U"E;_%el>f+G?L)8(?t%)sO<j*MTiD&FfF5k_Pi,Dl_qL(?w%:e0X2WGqU88[#Y\d
U"QLW/[0-u>?#uvVZu+m)]DfJKEL(b.EMeN)?7]=m72M3B6)Rlv$RbHF=c4TL6+kT
U"C3/<x?v:QQjk]^xuL-Vm8HU#^Qlg>H_NUOSQ]94u.Z2'<JM'i3+7.H\38mq(Gl.
U"/-w0g<My'OMBO-KN-q$17s;%Hvp8-0#9s5>mp.H^uQ*P#_kMT_QG1l6_%m2g=Wa
U"2')m7lP/UzkI+vnXNYO4]mRkAg:.jtf1Mg>sje&O'D/qtgikpx1QLRXx0?B&y5u
U"KqI#a;$n(U+'PO6KIv+WiJyqWt\,Fz[^i2OIShgQ_j(gpCM<XwO>_LcwMO=\Kjm
U".9Ipp#je(LZo6_WWPC_u\-'7*WtUM][SVl7uGx72Ng/cM)/W?d+2:h-:Rg:O%ui
U"*%(U_%E0,O8?IPWQA^8OF+;tGxF<4A^v6Z:XEm7<q'PCNVCaKMXm$5f$X\GD(E%
U"#_/gJUN49.YU<b22l2(,H^;g0^gL84UAPh4K:l*\pY5uU;p**%^q,[UrQG80s1'
U"4$_dfWOK'KdPJH0ZA6eH/B>_++Sy?Be[Er1v-wSjNfbHrb#-7w\F99w/*AfB6,-
U"?6HD_?J+Eb#_r;&m\'C>e&uT8$7hIjLXraGr]f)DnE?&uKTU8Qu6QMu%sr1K268
U"'cx5?F=vm,+%A/1%348KhVb^%iGnz2Ara2uLRSz]fwPp7P?%Qh5;EgZ_Bg:r^gi
U">(hK7(NTi(%79ng-6e(5ULbQVYc(I4LW8>(uJI8uA1nlL=:b-O+FFkT;xV0DjHj
U"7=ZUU9SnSUojE*,&,qh':ZfFcpQ<rIpI1BIDZwKbE.16#gdxvV0cFy*JJ^i(Cvy
U"fgL/0Wkg/aaI=_=O.W>SE8oshA]Ay%0;^?CHoH2g9'?\KFlO?%qhZrT\-FMuE._
U";pE?SIrNhYlkk9/f5%\&V.hl;9Vb_/Q9+_s^b.Z/I3g&Q,/\+w]HS3Y1Y/co(=#
U"PCR.CLlY8w7z',rjQ$&]MoIK;s6wdI%G,l*9&Zp;T8AB>02TM5EL&-JO7U$ap9%
U"JVQ+bDgRTPaV\'#I=nY,5Jo\h*ggbdP;k.%aQBA-5i1?V2]ay=IaBD+s^ANI,IU
U"N0Gs]GVFNcS2*%6mugQQaV0HK?B1pIVERaFKNYe6FCTv7[(A6t#+,7UQN--a$/m
U"f0]=)$7$^7$lZa4mE8r1#4w-U#KJ?;P:<AV1h94XsDoJGw[ZmM[-ePa__,6CBR]
U"#o,)S5jl7(dLZMR,FQYg2Kv+c2tjW-iT:XL+By$,rM.aoMnKoMI_#m.kEIU5YIQ
U"WI<,hY$a/?)uY*F-k;c&ScAf<KD*(gN[e5%X)3Y_.Wwo/k<Lr,GguP#tu)j<C=M
U"-C1v6);.feIym//TKfZ*0\JePRWG/vj/Jmf)P<i,1n#9,pl(VX.hr.rD5-HU-_g
U"F%2[0UV[KqQ(<ZLJz*0R/0[[*iLcwVvYC(&]nBWM;jIp'uNlnJIOD5.FYg8LNFx
U"yQ&Ya82?Z(;(73RLHA^Kd%A5qyC8Q'&8l-5WT8IGe$HrXQSzuC0rA1Q3*0sMa)d
U"$Ci4]<Cqm3?1%?n4<+$QHKT,\KrkN3uot1GjMQMUo1'JYorb[6qyc9mi9=DqNHb
U"G-%1II*q?z1u?R.[M.q)aHP0U7tEkP%_.v42jks^mlu*$17mUx^YBft%Os]Nk7P
U"E=[Utj(RBV:]m;3Cj%'y^raE^,&d6y&,_/=UW3?MrO,>Ui02EMy2eC=I:#+.Yg(
U"#dCW80Q:]gSF3?>:AFx0jG(sh?&Y%*fo_#j,;ciXv*Bv3RpjGR5^Y])^UBl+P5L
U"PO;>PV5J%=JH$8<866Awi/z^'J9F;I9g^Wxrqb%CTujRs+A&w#f_Y6?PC5k7l+-
U"GBRFqZad)stR;qPd^59r'\'9#v5mJ/HZLL9zu;?inSR&,1x;^w4:A5cQCCc1pSe
U"b^ja)KA?j&mzO/]*;%PdW#&^9-Pa[[aT&9aT1-mrg&C3kTKAK4#ed;P2e#G.M.B
U"u1^i9?YuSm5MMnXZ--e4u#A\HPb\ce'8h_SVU-V]c>t61bQIyjZ8d\dd&>;fo8S
U"kL#Gck+V<gqplDtI(XvGzVAu)=/L&d.#ZR,P'EqAuWx[Ijco>J;9(j'-JQJo-z]
U"g0M7:b_v4.LfirzV_=E$hofv(T:C*qBRc6U&F?JusOF]ExTpd-*XB4E#]BFZf0W
U"5km;R-8Z6-n87XjOwX=/Xh/pxp-4&+Spq;s'>_ex>JD^6)?7'f:2frX#_S:/.*$
U"3cXlVaNM.AR=9sgB=HIKSm\)tLsMdS&+o(rIgq(-LQQtUWrfBLN-?fs2rR28-#v
U"Y4Y#4sS1Sg;fMC,[;A=G/a?%F1<o-5\bF,wvu6Zu3)7\PEhfAf[I%3<#d=LKDNr
U"=qA#dtrKJ'VA8k[Tkm\P_Jja^cXrA('<pkm>EO\ZJbUkWP8#0R07n5c[%,Q%.Uv
U";\#+Yo:zSF0;Ie_=,dvL7Yl&,/5UR+7O7>CTlrjm-<itpG*V[z?.0ql-m==LG[W
U"n=&/u;+.oNo3KY4ZuqU+:nE&P#cUr^;?_o1PLIr>SNZ+^5io&;pAQ1FI_TM,zor
U"rdqvD_*J-Dm[ZnNP/sxRL(rjH(%D&eV?T0\.CSL+W'-#v_I.6E:T9GSW_feYE87
U"YNm6fMMT%:XBum9&BDmRX,kC03hYq/L3B[WSk2KxbQZs6dp'I3wG,3IrVLP)o1q
U"HRRg7*OPc];nic3rAv:JOtl'as*_oWlSYua;QsE;e1<F(7-cy(erWtnO1%^)6cb
U"?$SlpEtY4co3#?)uc(TD'ER[%-T\y5u:C]A7_]1>],aByEbj=sw_kVBo0Mk#%Dx
U"/J*J7E7PQs2StW[;rd'(wAf3%2e^5[((zHCwM>Yh]$a-QNEY%:3Y;F+YWgTKyY1
U"%;$)]Bm3-Bjk_:C%X-E9_]TH-s%5M)7Y5FDFJ\$B[UO8)jZ5JkN'D4.Rz+\P'=l
U"F1X)li3^8-MkPQTDEsDDcc=Mu9P9]i*?1)dvD4ViU<Gge7qdkX#=#/+'uI1[f0[
U"Bh()J\&_O]:t/7U9D?TAsgO?Nm%eK/o'7;TbYgtSCu9=lV9bM\C9b]2q&cR[.Xp
U"Cfw9xudUG(/7__;hNPabG[VOynbim&^)+C'.f/9*N;=wS^6ZZ5dF<.'B:Cqg6%>
U"Fe]J=hvLb3LE]BB*VEcvS<^Nk_=(J-,QP?nLve\XDX(b_D8KRn5=T[X:up3d/St
U"OAVTxc'&f_>3,u6O^)vM#n^u?6#\hD.]P/H'7d,bk,eS;NEax?D-c+q;3q*5MRx
U"]b[nbyc/]]((-L)V98?DLh?<E9RGl[U$NKL4)TlX0((Rw4sLA?KO0O(Sw0RxUAt
U"#=SGoS92I8x]UHg2ROxt,>M)]r>=;)IfF%2R\z(2J7$vN0nj4KVcav?J2Mv&?Qt
U"iESOYjEFt9h3Z$G65q:RRDv6<p(ry4^GO5J]tSK4NJmm3Pq(/SV*>$*3(dpW>\Y
U"<;t\#^ywBgL>[skc#0'Yf(hDro'Q%59.1^O:MGV=S#&'CxEh&Rny]FF#2=bs\Ij
U"i>6tkd#^.a$wAiq4=<MUmf0S+]mYU*bBM7S)vkg84?XqtlDH5OsD\pSNb8==qVg
U"/9&uGbfHFIY9^NE$aKf;-?d0Yva;HPm'g8'5<WEfEmbN*sbg:InR>'(XBVEV\mG
U"<7=+\.Mzjn/yvJ:G2qZby:LqNnEEFrZLsjuI%Pccm'0&D[yunCA$]':.^1#5S7_
U"AfA5\[1Z7S</n)#ACQt$zIuJ.xAJbQ8f2ZbSJr5i]h53ec;li3zli:t4JaRAk>V
U"=Xg;Yf:X&WI)l5%F_NDTB$sq5W3m=Gi=;(3xBtD0QQlqdXen>oj/U#57r_<m9(C
U"]+^y;ZK<T3]+'O+1jYyU-m]Ckm8+\ifae_rFu>P=AkuAcJt<ghCHs_*lJ6%2DfI
U"lZjG,/oAYImUdaIhs=.4)&%&J%-Kv<;WaM*;kOdxj2/NYycSzCwKFU'B\?ZLxFT
U"Hnf(0V=ns7%+fGKFg?1>T6]nD1Bbi'IG>7Ah#E50?.4bQm4tX)#IOF&>%3K3/UP
U"_M^r3UCutO_^3maxCoQ<PDlJJ7gyu0:I3vpjdYh%[4fZGdI--\9A3yjGZ\S1yDc
U"pGs$M*;bRFj_6_'uO8m].<;NR<h3CdB/RfoL55CmO3/gZuJ,1v50OE,iT4M%&#(
U"gn#FDeuUdu&+)th2YY_;.Y8toJ,ioc*AB(x/KhpZ;:Z#a2$4AtIg-2//mbYrKJD
U"/CiKNOD0*eb+SCFd_8aoP)tF^cE[#4tTZD'gaE.S?iP?)W2(S$m7CYGLTb#&i*%
U"HGT*<33p%p,q0rT]F;/374?nVBUk_E9fIKY*K$6G;h;HIs*$2<TsJCACp]/NhIW
U"zE%>4):D<j6Dr<;HS:4T\$:?Uef0_>&KM$0S6^^BucN-,9LGrzPS'Xc28X-*lh\
U"z-4r9fto=:b.#CrJey9Ht];qO%8R*_l=/:tyV>NSLGRbVq[tc/VN;fqxzLh;..S
U"c(At)Q<Zq(W27vcgTE88M8DUsY#mJG-W3G<Wf=lfZD?)#e?1vp;mkP4Cn2%vuli
U"Go:20qK6FlMr8]&&37>14bs(enNlNqDX1CklA*h*b^D.nz?cRxEb;&T]=tZM^x#
U"Zh7RtN4J0+#3%9&MvOZ+F(J*VcpN0KR9RURzCAuoKDW.p]e&G=Toqto]ZrZs,\.
U"V$2+hJ&pb??o,0CweM[67NUo-ei%lVMmpEs:IzUtoh*Q92Dz5.DEB$yX,SQj#3h
U"//4q.&JK;H,,-rx,09L=JL15[^W\KC&7.pC=[V%opRMAMWl&lk<<-#xd5eJXc^8
U"_*\5aJUaLRLk7wDtu-Ga_GyPrI1CHG>))+181=rsOo=p;;&8mguL-AqauSt[I0_
U"a+>f'[G:oGgMq;PCD%/&#:#*tC3JbKSj)I[uqr5J&iKWUIZoGlMFf]N^Y5MpnIE
U"k6n32ch.e4GpiHTu$)VWh*oV9H7J(doX5hh&4cN0\2[wNI;&-LN9$R+36B2<Q>9
U"Wur#*u7]e_H_Hvfb7p?>$8#zNi0S'sOC/ZMBtE+Kb'vq0+oc>%oTFNDJ*1tF3>l
U"RN1\f(E;'v>#&okx,v.)kU^MTg$fE%W>XtQ%/eTZbA5Dd^oA#B3y\%''y(IvNi%
U"f>&XKO(wAR4Hp1/Lc3?.pTsGm>-]%p8VnOkl$vP<JxV3mpdEAYV(/9znk]*q:Os
U"5PlRfQ5k(Q3qI=3s<g(hM0c.os]8O[Ajq:GNa*f,\D*mjd/6.5-$7c[.m(M#^=7
U"?JCZkEQctO<U+Z^_Jf:=QNe0PtW.DsTfPh2*fE<.cF.YSo-&n?u^8nC:P9(sGc+
U"5J$w<%>:-?(=3Sm-U'mr6N\a6rL?NE9.;QJ-;6P-iQ$4sE5)=:)Ss^aB_3M+).l
U"AVh<k[xSI;B6YJqHA[+j#Jj7l<ThH6Q?9.8-[*Vz6te=qNnK&'KZ-2;pujIk2Z[
U"6rxr0uwPQ[-X*lhBKO=#&_03;$UxJvi7eCahe)7rRG;%hPQ6TbST<79n[k]hDs%
U"W<l=T#j<fW89FUBX1^uIQXRzpWtBuC9&)Tf*PVEln'/R3bHA()u$2->Gund4CcD
U"zx$Qnx$[12gBJDb\]$NZ+YXujsfzFW:tV=Y[FUWQ+2ba#&ME7/#)n+Fh4l]>yxW
U"Y[^wYrJFIRe8(5_i+V/LTZCwQ9V<b;.;yi%zlqNUVl-c^]YoZHNl-AT\;MI<af(
U".pGqLzv5qXks%iG'f4r#sO'Yc_U;3AqTUIE+ZJArjm%Ph_IVf,a(SNiuJG=qbC6
U"nJ[71pzpb4%F/-4I7dB+6j$(CS9H\=DeVeAaPDh^SB<l2$,JeNZw8M0$<0ZMa.)
U"_s=F,?r%xfCW[O3K9,sxHUS*m-odsm1E4pq&glLd2[\OQ^k2UtotteAW)&bCWH1
U"3VFaRWnYs[vm,1ImLWPSbmUZB>r&__Xw-&\+xUT0KP.y0['-=mw-b]huB46AdJh
U"(D5KTl78O\pkiGhB5aTK&:lQ[s]$.X'ucZH=JlKOdSi-9ugpR;rABoE+j2,f>kx
U"neRX^(A:<m-I_cV'.j0E>3\;3^LMXsiTq.n^$fLzh-C2EI)d78v//$BFK4[8D4L
U"4V58=CA[(D;=kQk2WWYJa<CpJ^EcL52nn4m8iS&Wb>F+4sw'OhuC%u;dkJNxh,h
U"dts:fnnO;L)j*.)RXA)0tBh%:hSZxt.)QxYU4Y=]cv1TTdwZKhOj[aL^I-SnFQ,
U"W\Z0Fg(-,#>OCjMiHX)T6<VK;\A7\iq4zpVz9w.B;+]HoI+QB<j.-(5osNNe*Ev
U"tDN82N'x_\/Ww;[72ylYyqkCl:,%Re4?df4MuTT2s)BIzF'=OtujvS._du2x5KA
U"C11V:y_jC,L-dsmeR>LQK#tD<XOv6l&d;>&1_18^-P?_,4\.9*=qZszmfNdkxLP
U"X_]g9S2fdcR,Wcr]kW;Mn5BKA6qu1/r^=jDu-G0Y;8:H&]2=4fb50\W(R]NPS$(
U"*]gE&xJ1>*7?KbTl3iRl,9Y_xPE&Kr'$iC6kCVzUimgZ2ei[;5c(b1+Bm>)%MFB
U"?'UN7+-gRk%2d(OeY\8=BTjSgj*H*k+g+<mg\lVgPqwh7NOeC^w6V5QbonrQAoQ
U"/Izn8)A'jOvW0cD6-#AacGYFoV)(.)v#bs8VW,?%C;KHlZdum^&[ggifk',dZ^g
U"TbL%QErsZ.2.?X&'Ggj;$%$C$q\*&7]_*9>amqn5hDvU\Qi'O=$pK5;]I8:,>jM
U"Xtl?Zmo.b$TGRB+09IEBN[L^YAMKdu]]iw$mNt_J8HW6kE4[h=]iB1W\Dd5q^D5
U"2:k8lpT$x4e3=BQGZ1K__m,O43oRA4odVL0p.txeHP[Z)Xq1X8F$>>nL8lr-snk
U"%$<TB_D#<n,oM>sl$cJ?n9g0L<TL(tSk7J\>ZSSNoO+,U4U]QrprJ5n=\Y_DUZV
U"g+$&clu_+n7VDHV72b-rdOQ<5\Pj=?J_\J[2o3DW(PY4CjIn9FaQ^SK'q(s*mjv
U"mWWefhPb#'jUvkXu+AIn*Bujq_4v%]jdrUx5f%gV6&nt18kt8;h?RDo?vUhQ(y^
U"W#\i-M1**nh0ke6<Qye%ptI]>sjbL<GD\%T*TPd\r*OB2Z/]>E4JZ9Lj8g4p*s1
U"B3H+uj(Br2cQPq<s>.\S03B-3PA&ycy)PucR/8kJVc9)MsuI3x\I$d?di?KJW<[
U"ibJoR.uHVeDeZ%rclV0KB,j+,E^>OW6eBoB.?%ZZwI;TQ#xkkK(NufIATsfj9xK
U"/2uK5Nojwb0j_x%&3&xcSCN-O,%Z4znV&[%e^SXhA/mTi)09)N][7dm%++xdPOk
U"qRM/2aGJuDu)Lmg7ilXpYH3-Q1]]7^cuXq_IfS1MzlQfDPf%+t,SQuIKC>)d*[j
U"VBSKCs?5dohVYXg:ewS?PCLDlmfzF*V<%KiKj9GQ_y/Erm]Y,egGR7_^VHkcA^l
U"\zO9fPyg>-c:e%TyO/6G)o$OV5VT(Oj152_'o&T1(ZpMpr=X[MQ9/jr$<a\(,<K
U"g:?e6?)0mJ?umzK#Zz)=$'5a<0M9P[yT(sUh(2Bt-ge1UwzlAS]tB/?B[>4/4ry
U"nW-u>iVD%,-Mmkmdk9uxGf6;29?Z]-wadZ=N4PNI>PkU;-s(a]mZqqQIS($&nY*
U"N\9<&M+;fKKKc1AfbxcwT_(eny-O9cTcLHOB^NeAw$6?uGoR=zPg$pp^fU3:ZtO
U"_$Rs+leZhHN)PxZ7LD9[4Kvx&c5CqE58r7h?lPVIm;D0ErD&&^<U%k1PHZN_AH4
U"kkppkB9g6bvc:C4GH7Stkeu=j=Z]2]/D[]fuMaTf<(NNz,Q#FFB);hR+xJ+*qJ*
U"jwNO[;?[,e=iYv,%GYb$=819c5Tvo4j]6UV.F8?VoD_W$>t_h:HDE.I/0yia(.[
U"TD.lHa55r:GJw$*#;>J_gtZK*C&n7NuZ:f__ERrtD%r,dMWRh&]Y&RvcoTL#K[H
U"BpkKg%ZNF=o#lUfJ0l#4_h4*Q>Zu]uYS3oPhKftOfKh;gusC2a%Gp$VRO?QCJ/e
U"s0.-YQ/^9tC*\JR0fC%k]>a2n>95_z+rM__b.l7cVld6zVZY$:rWdNT:OZ_#t>W
U"'7t+(x6ifq+ekNYlU/cL#KQ,2::W1<VaPJ/*%L_Cegs9uL/Y\C]Th)(H4J.M-ub
U"L',7?lohRJB=[C=<WgPeboI*p(pK&EcYae&+:*oM4A>y$#hwbZ#*u':pn;9/N=[
U"vUfM%vOtd*PdVOc\h7AtZGD8x/,JvTiZ1vI<:d3T0cN7(6W5E5-[Tl.0Dr)S=lJ
U"B8^4(QX^RwDYOO&&Mfh:$JKE>#,w/PHq'q*8j/C9HVYqR#1[uJT+uu15u1bsuss
U"Z0=h:YwXkQV\l->:VakCgVW5\Ibeh2W6t74OM^48^JYQcCsWES,Rm'dK>r$%U3_
U"2.D&[htqwNduuhnS0npOD4Z^+SFL3R/U?pp:bOe[EkdgW_5);]\0t4]RRHk5wPC
U">RHtPX4OjikAfUa>$5PlGBP3;SV<pBYY.DduC-#+ii_Kg%L)&h$Ri=ZBUEkdqa,
U"l:nxxAMt-loTi]&-CQhyxtNKZ8d,BM8rkA<_'Vl>-u4bi9AiEq*]&.Rwhsk:PjR
U"2Xi<T9i/\:e<;jk.B2>bmthf4A#9R=\,novCAv&3Ub>=qx7+QLw'Kb<6n-e%PG9
U"%Qo,X\6?2Zi;S$sHinqrLnIvmA8p-cGG6NZ\1lCkhk-x1EW%7,VGo[6[#r?Y0PV
U"kw4Of5aYt\6B3mqGKJjk1,X%<5Emk5TQTd0O*W_e'lSq=>L^,uBnq3De>fcMD2b
U";)]KPHo3D-u:G,odZ4vFo42JG:ln.Q##:ciYkukFbRBOXW#uGtlNjVjFws::d8i
U"tCF^Tr?N(V?l%(fUqL*)'is2-(rhT:(=b1\L$siO6?5VLy/Ax3eZF^qqSm#>0?[
U"?)6gXz6d;JX=b=V_2OQbvpTt$*hbWAQX2luv$0+z8qttD_1;jn95;s7so<ZD%NO
U"*SmMpi=T1cfCw$_#w%U+ZIQJX1w',L$3?9K%9=%/l6MfG%;XM<J;bo^9T'C=+Yn
U",2s?R8f<EhmK?MF#JT:NGoEIY0SCo>rHuImJ,t8,^llI3JoZ*=]*?llxonmbxt)
U"2zcLf]6DxU8NxlluuwCa:u>6aGHDLmWq8$?]hHDnXZhibz#z^.ZD(:59g':m]*(
U"smA<wG=z#]d)nZT$G&vmMmcGqX4PrfAufUb$N]n^8S-7rn)^yO$ZuHVz*Cillsl
U"xU*lclNuf\D_Xf7pt$mNdW'iSEtwu*b$RqGJw+ZN;Su0I;4COSk/XJV/;Ioxq2a
U"Ho(mlY=QHw3^bcCeG8dZGv+w,B?7CbM_iVZj9V3RNtLcOL:Fr6<V9_Sk9\oer%Q
U"<uh[5sg,)12C^isafUe,*hBc$jnehy9MpR\Qhn+0kUQ>EXB\wz>/1ky1n[\zk:i
U"L)lSFw(YcAq$q0d(<h3Wk]NC2w?V$_?7p%/60TxHR.u4-&D8/PqNQUe?d1o\MPq
U"2N100k,gBG6b\jKL.$aSb\SXim&p*AWg:>OwlahjCqzmC3KnxsV&qGzqDH(z-HH
U"E1ZAH)(5GyaALPH47-F:.-z9IooksSh7u.a%L0YU5Z2+>qQ3X%Fe,CD?xh'97zu
U"B\=,H2jWoAI>B\P:1M'H]kz[bDJl'n=[UDJ8nlcM#G\mo'll_,B69B\R+,MEeq=
U"=;]MB%;pv^Wa\<0\-G_SXpV-?4uk6RdIb*)G'i_1TBl'.BJ%C3AeotXjbG+U\ZD
U"<%o=IOy&=$kUxn7<S2q4<oSS8ga$w%qAV.m1,*mUDvPs_w(;%NIso:aKMhci7RV
U"mu<b'ER:\-QeiDS;A$R9LEBwoF[Smd8IqWawG\=*D,G_k3AS](2#grZxM-J#E*'
U"]9:7V.cicE4L53<M[A]]NGid>6P3n]-M.m8.7Adb,?x+;W^aWcDT2BjBdhHYj+f
U"FB;.fcv?,1sjfs[6dWp+g2YO9]2--MBPi3IHfgU&2?,W&m;s(J_>+2)PgmIg8L;
U"f/JfdIZb.blY9bdCdBsMpdE9w:0EMYU9+'?v^D[I6UA[]=^+[9]N];]N;X]RQf[
U"x>$B[y]RoE^CH[f,G[,UG[,\DLHvSWjqQfI<#0k1<0k<q0k(d6Dh0xpm<<rFGbO
U"w3Q2*w];1S^F0Z=l(B>QH:--TuY7Ie.mg%_>SUW<FKo5W%h..sp+3;]LnvJ=]6H
U".GaO]0[mM)I4*;Q4it2V:1R4umj)V*oZ&Z>AN.q.ZIac?q*oZc(aBn&D#cl\,9_
U"6r,q\#CHtN8L=un+/_I*/n&-)+Rid*Nu.KB-uHxUo$NqL?mbb?<u$wL>^#xIYZx
U"B%NqN.jUg-%^eda5,kE6C,l/5<kkrSs&:d[Fu#.cB4IhN.<0X[-brl#Tf]SD\e]
U"P+Z)]E<S3oue>j33Yr,(O][Lt+N8NsSjs7VEXPZH4=0Mbd&X&-/QLCR>#>\p8zN
U"oij^AtTqSB%r_p,_ZwjUuC:4R6JlKx:Q=aigX0kaPBUivl#k<6a.5&sXZA-tpkp
U"FJOXr8:iX*l-(TvPSbmwvCQn_>DksVtO8n.8*x/3qM$V2A89rAU4CnnQN(qmSq#
U"7YKDtIl],rh4kzL^6]z;jExfS;iYr9=x3/UP(tn4<,=CcsQ&iaX(87$rZ*t+;U2
U"fp4#7.6fxT1quO76Zo4dBkkA6Pt\Wx4cM*lIORDcw$&^d5bmQTxj8B2JTDB+gLa
U"t#JM]0cS:T-sp#M/Qi4#*Hg[-Ag,Lsa5Z$6bYSLs(,U91QX,cf[1Th-P9Aap>g8
U"h57^-z>Xsj(OkcbPNr3/5P]g'N(-UyFcGDRDN:6'eMR>>(fcRHn-S?8ZHwIiGjW
U"(nEudhE5$WnA%0'\xDDH9kL]dxXiZ<#(E<CF_5MY>JC>Uap(m:dTkNwA6=BMD]B
U"XhY)tg*-I_o?h*YbA+acTM2<_alSdg<M\&(]:tKdo7rOH(^O(rrO]Va_NVkdQiB
U"7LXo*v-?eCvO=C.n+rqbJ32^wwcWrt/-c]'VQhUn0)F28Dzln^Ho1AhN$mWaR&U
U"tEdFR>;Wn15(J/4;h6(j_3jbIOP$R55YT<j1F%q:-HHzLmKU.Jr?Ky2<8cOIm^j
U"CR'4q.X\iE\Jdumfk4wcW5Pc\jQ9O_*szBCjq7;S)\rOE#Ed4t=d&RlsFx*\aPN
U"pg>)%zftWE9jQq2(%q.mHA#RHuJLR?_0?9#[x<4X#23n'fI3%W;wXN'SC1KpW=P
U"t%QDvr=1Lj;PoKF$SX,5Zh\S0o>qGG00#$]G3gL0bNVx*/DbqyX=55nI\9rwY'O
U"U8X#>Mh_1eTr<NhH^3AWUqk;YS&/o\;/>x9;1%z+>PTR08+/HQ)-AR5mSc&X+c'
U"Qmj#XU9=C8hI;qmY\SG859$5fh+'O.VEBU4.RK65BurhfUpY?pTQ??e/#>r8?n\
U"=ua[UI$Ihpd),qJM>t%7M.3B7Lm4/a?$:C'UA)P8m]^1LD:IY:?VU+b3dJ+%#?N
U"VQ1Rxh#Hr$_;II4MYB8VH[*':Lz4P1YmfBRq$y>ibYzP'^1JJ<2\Mq-g:^om2xW
U"*-.j88O$]44=/>7\6\8d?V_>2Q_s]JNW.sIGtA;_):ss'#lV98DOV5MMVu]pi#6
U"A&9UXlmdvMj+;q7Zq58C[9%UZ+,r.2k3./$z(hbHWkY'xHstEosep)YjX++AhV#
U"tGO.^=v,aEwO8ZEFbEXRqIIv.F]q0]eV3=00as(kKp[M/+jzH%wbqtYoIl6_eGC
U"ZYW)IC)AtpfHGf.\A1'0_\2%^j'5tx?+$EH\LY[awJk#z(ZAM'Rd_^wNV.n<R&B
U"n*0IAHyR*+Qz]ANg7?P:hW_fg;K1Tag]4u$6=<GF&&+4mt0e=_Vw:rUlS2H]x4*
U"M\E:/J.77/peUV0?oiV<u1h%$5GYf=s1t&GG*kXH2#E-5txf:\K&f-o9EC=A^+J
U"m'tJapb=ZSouX]7pxi'k;1)ToXA5+-U(#-^?IcOnzTqM>0js:r83;spQY$S>^w=
U"b#<Q?PSbKBLU*HCyAPC6pF/-.KOHkg3y6ukFd_un;Okui$yDr/v(;5J:aREVzV5
U"5<l,xt1,6D]jpgcPq;$$]sEP]ZZZ<9yKt)%JsQ)KTnU#f:[KwpsQ6.V&5\Jg\Iv
U"PaH6UAdUnW$79Q*wHLm.=G*.?s;5k\U9j>a^e3BAxiGHU)I/KQL&%Lf729PqjY6
U"Gq[juMqs;h7vUwq7$Y,uJVA-xO6s,,_b*dVM/V+C4l4)F]5/^1^/uyQ=D:$=.E%
U"UA:nTg[AShqeQia//L4.RquLf8'q(Sx'Y*9d.&nA;y2^/.KRnA%W(l6Ex+hXazH
U"+M?h()#AQI./5,3dZiGLeK8Wa5I<nIcrpJkqKrF150B%5\l?ulRIv?HUIU5k_fw
U"ml7BLJI?F/]5oS0AD\sOZ-YPYejbJv[)[j.J6mG#fYx=Ah:G?ZW'VQFj+Xpg\A.
U"]\w^HV9&L(fuGGRk?d1CYt.Fx'9vkCLi*(wU22frvij-OS5AN*QY_EO[CF63COY
END SUB
SUB V3
U"4-EZkr8JV2mi:Z<N4=J>^&q7xcpdTaWve,+_=Y<x-GcTRtAk[^HPjFMh8UK/APF
U"\*ovk82[Pt;.hY;(edU,]%4dnlN[pGX(/0%UmW<nxf1j;N/4D7B+4Ssr$S5U_C>
U"66Dg?PU,E%mu]E;'%[]EIxU%'DOPomNg:Og)GS%5asIpX\h:cfGh)E?oX,mV_2(
U"sO'YkGds-Hx9g?PyS$&\o&ts1fhXkJC4Eqpj#gfkbR(0c)c2L:L-\TwqOKpieDY
U"E*FQ9syQKqjFXFiLu(a:k/0JC5p4L^_(.ZC4YeTW9Y7qKdp#\rvI+I3wKYF'#.,
U"#xm>AA6,v2pCD04rU8/suF/)<WfE4SBTaM>F+VPjL%g:-Dl?-R.b0hw+F+n:#Tm
U"6l#A/[WGH6+ouAX.A?H_'qho+rl,%7aPT,d]IGbkniXA]h/0?NZ--8mR)b4:3I[
U"T54T_7V95m5^B/Rdno1f,I:/]flm+jKeJT)-ab.Yy-kf%;YUYn(f\&g0M;/4b/d
U"ViAllF;Q5&-'I9,EDaaNZ%\hP*nuR4pgUzMY>COHW76)(v?%3N#O-/\V[ZoSwDG
U"jf]<$fU5-nnr,TRNBl'L#w/e8T.PbGQLLXbX=Cf(T)F40t20H5X$AQW-9Pcvo'8
U"2YN5XQn05is55EpZgo:=h3=v18#g_q65ULJHAEup9#E&.7%-)*&S>0H7-tHE+c1
U"+u&<PyM8NUV--BX/5egKywAf:8h2Hs3*4m(x81sXjq\gpSa2>[UUJ%\Wv#4L;fJ
U"T'4kaA?2RL]C%Yte5I:#>*J?25ckx4AE5l-36]1qA6(\H)C+50,?=iq]x4iNZo#
U"bf8l=A2%)M<isR$.a.64]5XG$#<%sIUc<$p##tAT22<_45l>=hWPO%n1&;T&.d[
U"4lN,Q26lBcSS=2PU0++::rGOa)-kU:\#-W&gtGPH,j8:%#2'j0Szuo95U:Z?tvc
U"p-8o'$B.mviu;\bi)lP:%p.VhZwkX/+n5Xjf[hI1770?(X319l^4]jK>:F-;9i2
U"-us8$5_cXBYatIn1]a2Mgdb2XGaW^Ul0gz%D6J_FyaVzz.ab]Aaclsr#BnjZVH6
U"DtiJSxMx]K&gE8Z*5ER2b&obb+7KDHP/Q.Yf^dy0ukMN3\/8\2y8B/dqF/lmZr#
U"hOO+DA'5f8O*$.4N:fqO3?_$Ay>Rm\dK'tdICC*jt0/O;zkb_)o<3\+Bq9q;195
U"gbvjUXj$#zs;lL=WCX3jAaTEdJRZ]=nGC*esj5-+XeXoiWp.K)-Wmo)mUGXEk+o
U">%r&E+=SP&(%rKx&_wDT;I7F6ZTae\3OJF2s+-RN2:IFlQc<GlHpo&nk>2j0lY:
U"LIZ$4OFJ/M?.jM5'mmBaGHhZdV&gK3*vRSb6ru.'Wwk'7yhKe*e:*x0TUsq#j0S
U"E*h&We%P:2NJ&;$7u_*t0PPs4j-TkF&Nc.8t=xv4aV.vtLqK[%Dl[TWxrHEYX$k
U"?0CjNOEfZcbfViNbEv:4XTwl=+[l>\uWqP-D1H0(w'n6fx5bGnL+rlfxWfWP]fr
U"lJ[#$irtCdeT-WnyY[r(&Hrtvsr0?jAhtq/;SZXJ,4Em:<+SpxU^0-C)y(;o+PX
U"Z_::lI4J*eufo3KkUV=B&e+Hz)hf$LS*?ThY3_^2\aR2,gs5-gMm;8=*)Iy+aqZ
U"QJ2lhHcrdAfNDFn6*4j:?nS_&ent>hfq&PZKz\5>mWe,b%8>9#X_bi3dwbLk%x)
U"M+/pG)lN\B^$q2fB1^:f\\5-q;5i4P4-cIrgG,456-gL:b>U2]seoDD&BpLk5WY
U"]i&9#wt=Rd3:ydLdpouCBob(un/$Sdq$N<]eZ3qEbY*^4C_z3lPY/Ixn?6(htm#
U"nOva)p$mA5X$GPQ6O.l[ekRoX4TQ/0+R4Y_=WJ'gDWY#kLg1dJ6Vv$m&zv2q%zJ
U"dI1MBrqkRQL+DDziNyI3Q3cxK.,p02t,9:kE=6PNmg,D<9VM;UXm&k1dRhu\Js3
U"]bGv+4j0,0H.aud5\1U-kDWJ2kaD7Aye/ka1An,ZduR9jQ#W1&]4_?t9O5PFV7A
U"3-rWt^[5X94I.O>5ZxeV-4.3aWttai#vTFJjy_HeHZ&6MEF'%gh1r-kY=IBEH+R
U"%iB\uV'Q=G.C][R:.Z[BWG_Rk.JuyzhHcFUHkw#y]W?o1gJYo7wf/&x*M=h_aOm
U"&iiR3fOT#?pF.:Sy(SJ)hkj,VaN[T2dOx+<4L2T3b.9iSsACfDd0M:m4.8[Ly7c
U"Wb+av=8jDEumV40d#w''W#h#NtzZSN3.fe?e5u4$(gffFT*$X*Z1\+9ffiW1f.k
U".P+8:K*JrELGG$6.8R3sT<UME_*;r_s&%d<gE9+w&S<_BQsIO,CGd'<,kGDD_eO
U"dxg2(dDDa$DPVT'l#t*Lw]KYQUs%k1UPrL8Pb,F1Jmf&]#4(+9YYoL-GP$?8uP0
U"lbnH<eBA1Z2E9aOg^m^8DClLwf.lW5*ad?:tL)DjA;6ol>8dF3N^1m17?S[-<'*
U"OKC3(DV\kt%r9pIU&17bg7qPxD-TV)dAfSp/F/(oyMS1^Ri8FHYx\Ct2k6Pm8S6
U"?gTm#8uCVSK:_CieRFJ+IzIL[W3Qudkc%wx,T^]pIc2Xh0VHs'U)[x/&nR(E?o#
U"ts&#vSgM>5p&%J7*)Sf;s[QgZ=tgwVp\*$J$jlfUH(R$A-UXzu^qgZ;FHkJe^:r
U"F/Q3c%?Pqr%zuJ(>%X;2IN'rQGHIP)hk'44gwMIF8Sibuq*NbQmAf-<8BoKUp.=
U"jYO_Tv4W.jXJzD%iZN,gItUn%th9)nO9-_WbDg%Z[i^#<dP(pH)<P1oU80'L6S^
U"jf0BK)?amU/T<8s.MIPd-Vym.Y=.490VnC8gKK_-04RAb5H1SLT_8>%-*L\m2Sm
U"PgBfHHJKPlT,ld8bzq7=_4W(*&M1U9T#A?rrLZqQA?7W]P)+gupR'o#l-dn'nE,
U"f,lOg(hXppH:?VH3tG=X\50T4:Ph<J61;m<h1q.<t,c)ft/G<g1.Ortz8pT9S^4
U"bs--ipgcn&pKCZFS$z%;-(lN0C2KWP:QG<42i(YQSq<)Zr,geB&a?ES%Ii[tkU9
U"Mbn.Ss=R](lO(X8lO0Lne<mv;'YlZ\0bPF?w[DYzkc)*7I-mP)Y$v&elFaG&mWG
U"(JNRjY(WP5\WU-&$qm;2'n49?YoiAIRwvaCH-J\CC0J-mT<De.F\I\#T9KQexo_
U"%KX>1gGAjvG%,9m^6\m^8Ieb=Ti/xHl[r2cI0iB=m$3t6C=if8J+=gK0qF\\&%h
U",kgIWfPS?kU:&$=Q]lJ7nS%HR]8<]Q;1Ug>'H50^\9.7DL,i+G\or-d5>EZ=8<]
U"A,)\b/^yg8/3Jek'=tp)xIO_UV$54=fC9IWQXe-WD,k/J'fG86E/1K).HmugN$4
U"k,Ye]qXAYZ+(QSQNLh)Lt'ibD7]Y9,2(J,-l0qkLU''aRGWxuQbMOjQwe%_hImv
U"m#dBO^vh;ZDw)qeVTb<nzbLYdCH<>--MqP,q\(a1o$=>rbmt;trMumMT'k8tbu-
U"bkBU7LDpqYXmaFGONY)EHrt<mM;?GgtvPrlpQxQ*pz),pbk*ud;,Ix=V),m'Oy$
U"]uCuVxr,o[hR4O<v=^24CAB/Z[jJHcSOU%.Ta6IhE54W7QndaJwW6=Ft>hF;&cT
U"uqn<U*w7hKdevn&^$'$1nu?Vqh*9odUvyXlCDqx9+l<^.:g>VMiQPTU2pQ'rY99
U"IKXO.BVKtes2H]L/$'WO\&BU1'=1:E#^XJ+?l9n'+GW7(ZH=EQ$kg?eFEOcc7kk
U"$ql6t&zs9l9/Q:D*]IHsn4u$lT&au/7uamke2+[&y4etN#q8f%\aR)ZvW<&jX;l
U"-r?gQBAZQUA7oO&Pm,cEn1V4;e;L3Nh^M8sH7.Q7gZsokn(:+XVwx4g'VW<D4t5
U"Y?r#2J4C9nPc9l;wb]nAMY1ISo]q6H$2HT0.AM=4iUl$Q2J%dIn]p']#%0k?GkU
U"ol=lkB,oiZ=LhBXi8El5i[04*a76kGA[1/I?Qk_%r/#o;qqm\Esly;r36[6^t+3
U"AGjfB;YC*R0meBAb9t?njQ7S2fISHheG:)-3N+?(U-*^)C3*Q/VFhPO6V.D%O]P
U":5BrB%s*hB]Mb?d;k+u>F:wXz8pJ3dC're'+xs+:]DPlsmBGQOs4(QcnfHN<4qV
U"X:E2:lMkgc&hG<_%bdj]Vv)kV74Nn\m9ykv$ghQLqJ<7esk4e?V?(6gE-IV8;\1
U"K?gjslCOPc8AA&rZkP%BMdNH\hRnD2D.>8llcVVPm$]c3d/cTf]H*[->y0wo*0e
U"\mtE3ozS6cV'N<Dp^A9irPeHa,$aXLMh*F(/nj+ltUW48>EBuXjku?:+4Q&:_S=
U"6%r:m[9%EM\%'X?s4b-F]eyiJqWIY3O.R7Ft6vU>2uwsP8G93w':Emv7Mo0s0Ek
U"wo3'K%dw-oJ5#/TBy4U.mRNSw4/\'Ux=uDoCUuU8:Z7T$Tu#[;t'R$M]kSm]XZU
U"C(\#Bh'0waqvM8N%BW]rV?(67.4;M(-0JaB9/d0ON.l[fPvwr_dLBMAUz[d;:g-
U"0DY*JR4d\CA(M$D>zR[Cc-mh(u+SU&qCjM/D:/4,pF%q,0P9Yx#gSbGu[>P*q^(
U"#SA6l4(h.+Yfla[DNin#m1TO0a/g-UFvief=mm=5m0HpJqaa$6^;+f(ySSKJscB
U"8Y(0Ga/hx,L\*s]nU;FL'V-y1T=(#ov0t%rF-L4FUNGeRt=G7[U,*7bG<8JwB8D
U"(cgfI5ht0W\JQ\15Q$ZGlf?F_LAS*a/)$7sj1mS/,Q-M[=:J^V4sE1?FB$r+\e>
U"7q:<3PMeY0Wt\%Y\0^*<=?.v2O#%r)n-v)3[=vb,5/Q0br,/Qt^4h*<6ct(*<<[
U"&3h'zRv3pU>W%kMz%JGs4HH'PW+u[:Plh_YW\CNXz'T,<3\3\R&[nAv$/aTb'KR
U"#]76iLQXE't\SI8B,#\2<i&v?V:>7kAo?C9/R^y4Q0TxhF<u)hVQ*16$1:XmAn&
U"6k6\z_XJhLcW>.x$1]>]?nHOGm*=&O]b7mgNI#3lTjr&3<^XT=bn)T&bI)ry_pH
U"CV,,Mj^+9WqM6IM)7GHNd4.9-oY8&oy5]-UxuJHthd3XQ%$o.][x_OW\4dlafAS
U"(H=lO5.e#]*vxoc4wQ\;9MI'lS;<1\5OUHkLFd0<2l$G;7U=+plgjvf#O6M9rSR
U"_+$9$l&PuefkS5jmbIW^;_0au1Hp(3;4gh+0HAw#Uv[mS(73\(2_9?f%lsS9[kI
U"pMPZ<O_Yb-m31#eo%cnf[UPk4i7k2pd%B#,ZZlxQQ5Ab]]p$3YcuoU$5Z_d-8&e
U"pQF$JaY9m*T..+#PEa8LV=ca61N8VOged<m)#0#dY>^raE#t\2)6<KI.h=wAgZ2
U"ZT1Ai-T\4xPMFa,.4#+G>0ci:Cp*1:)**pZK]i8m,bQOR2,R_#O[:gvjW[ir</V
U"5'%u)b;;9U2hG.Xj/'=b.**^J32,UYU:*AuU*+S;C]K=oK<ODO,M#$W0AIoHC4y
U"_P1A;$3XL:_+u6+onCH(n_-GqyDBMcAp4=_Bsfdh$ppkK/H5Sbwk2qGr^K]jX:+
U"obnh#3xf,C^oy:Zm-'_c<U<ChG6zX:NuZOV^>TZK7_;O%&22T/^-12gRF;r\2Z2
U"I2c.6qR4)Jh*2Oj<2i79oejp:3sATUbjZHoS^%'A]0Qc:4WwOu/-Kc[tB97=;UY
U"iFZIC^PW^wm30Cbr3M<h=d0+3*^E$U]Vf?3V;+mk-I48Y?5^Bd\TIuV6lg9i2?U
U"tl-4Ffw2[hc(n9.P?m(day>raZ7JWoDd9Icl1*X:bg8&fPF_*?no*so(T>qMLeL
U">Zm-A)^0&-K_c-)^.Ae>;J]J?[t;vv6fk0&EwDxJ_;lp3#L8nm^X:Mm8:Lx?G<2
U"K=Kp<<Ji_?gOJGN7zb/J3^g&s0#'nMLA:V^&xAPIdYEY&8g^Wi2R/#\]HWkU'-P
U"Ok\;EBYgWrcg+JT-o^oB*7eaWh0pOk;P:nHp;B88fp52j7DtA_9m]#n\AiAEnm^
U"2)AAGy^^.Uv;Ofj\nGT:8dUW[_KVJRxg=rVht'X3-^78J).^\6LlWG+O3_bTfGB
U"1^EqQ&oyN>qM:4tb\pl#tJ]Uj]%uCj\ZcuYYldrCJ;Iib56FZ%r'Ejqop3d-DH.
U"<BU71KJ(5IGJ]Gy5Ri*>LD5.[#\5u<TC4AV]<+HC%;[%Ga-[3'#]Q*A.g-m'[pP
U"b],',GWph\JIwq<rB>z#A.CT[C+lMo.?nC8yKp;N]7G?)wKpl9OGYx>=,n:1l'/
U"H'61L$2-5xY3e'+y(C0p,&&E)\KiTTB4S6i)mFc%]a/]$[kqW$HSo10KE,N_7qF
U"zuPV0bvI9S#YtTjzmHWRr_[=:pE/m):GZd]'>S,PgrpuPB9sLfG#2[jv2E[i<dL
U"Da*<\>MleTA?yoMjFF00FwXFN.,z23Cx5/4TQHqBLU;,$9svC]?VMx;/,Pnr5t6
U"bcp\&2n[#]ck73#w'Pp6\RO?R\I9u$RdmU,q7X]W9rQprEFZIg':hFruHuLe;9>
U"C\1.)rjN\6D]APejswA?)14DkgFLpgF4B2bhN9q\I[<Eu%o1O+W2UDipxSKq&bt
U"$s[2;7Y=<]q$/IZ2?HK]3QSV&b8ZKp]HX]?%/Nvb#pZ,H]1_mJL;D7;[)'3qlQo
U"EACidjx13Cg1=*)=WhoIl%ooNh%*jnmu0?94#DT1rv_T8._$Z;AMqRqZe50J<X&
U"6<lw<%s.EKG,Tozdt%.5%/lf$(^Uy0drs'NpwUMA>?9c?/eXs_UEW&9d^hyRP/>
U"yeC\sNj?#&c?/UYL_u;5WTUXs;?P=E_1$<&hsmQ2b)/8Ys\+21)_U):B%ZwX^GX
U"oRVrja4z01bc<#jPT=F;5>OebNqVrZ$WPA>O#33rowVX(mt.Z.P013<5ee7p0N?
U"/f1U=ItlT*D_kX[2C.agg/0M[K'+$qkb'\BfAX$A()=9$SI&%)SM.DBfl*tt?%B
U"YXO.e/C0)'3+ag5BV*ZAZt>c-j_lk;:l,6B?:.f(jFG0Sr:(jO7BO,<5CopuK$%
U"-Sqyeggxl,>9\.Jf0:R(D;qD5il.lNq^5ip2^_%His$<_sXuLehJ5s:BCW$nR&*
U"YQA.-oYhMY#gX9-_<k0#rWg/QV14n\>TuJg8xpfxmXU\AeMI[JB=0MuqJ_x+q7J
U"n].n.][g2F'L<g7n#LEMSqw[\nyrZZ7.<hIZl<lb1G[+*I6f(A47yS>O-Z+N7A$
U"us2r#3nV%bAE\o48^IazLl=&RRe0\;k9tgsYfHq5*/TLld''c2.EpE)BdQwo*V5
U"gcqAWs7K?[U[**O[kbH29h=:*:W<%aP<g,n:oPEb1N>_L)'(k&Dwc3r\^b3C738
U"CJ.2F>uLALDntgqYT\PK+M,>BET%mPCZ4'#8YECUjemRID>g]2$mL]J,v)/V0e8
U"$/8q\]p:q3#>A&_+P]WOv_*;J9qgVtT8:+;bXWO0Fpb3x,j+08WEcmX0AsLp+m?
U"Hx&eKmAUX-w;GvXBcWTiLl.i[0;%3ulxAXXn\VM,9QhCOMsBoj+?BXVgFD:FSUS
U"#?KZJKTk<mY7.Q_4T?5B2T<mB1=P]=/0evCvIltd%BOGp?>k?]+J%Muh=0vp'oW
U">#koh%\0(L8\4(sv\v8->T21;bXbAQ<l2B9\A\(&:WP7D't)76/E0+M=jNb=b7;
U")#HTUd:Xl>>Q(/J46a&;plOpDi0Q8c'ZETito%u2X:i^G_6N8#5SMpXfC(e,cBU
U"K71\R7o=;\DP7m-Ju_GRE4PyQo'>]\V,ib&Mg;JF7Z/jV^GognAELhpeZPWUU*4
U"w?QO]BUEY7JBZp5^-t;DPkT-8[iWhS0]GcD852Sb3R(.Jyx5+nA.=wG8I?7pP8Q
U"<#G.o\%)x^llfW3K0mK$kU3Bx^Ry;3e2wz/3*bc.NLzqtq2Cq=_i&=trnEL.'j+
U"fN:)uxgOq.Mbeluk$efutR5sHtbY6Ta1kj'A*f$]085YG#-Yj&;Z;R5z\D^tbBp
U"7YmrE%,NX?K:Z+3lIiv&X,Pl])a]OCRKdnK0td/daE[VihkTqt]mHK=RhjZ>Yy#
U"5mIINOjJh.V/sS^0[\U(z0_S3usW?BLXaRI6\(<W&y'eJ(]h5JZ9V(YYMggIO/Q
U"gfO%K,s=10IB_><.+=bRfu?N-<QJprt4KU8dT:VhB\Y[$+Hr's*$9$G5$xZT-,x
U"_qhBugS%LH,p#D%Ais4Iqho5AG3][R1GUfs6HvJa<>UW_YrW07?i4(&\fVae?f4
U"V95t>M#E&mqRyak>J48'NsttzY'P(x?\T=t:Vm<>A,oZ:V%%%N\*9^ABzPqY^<%
U"iYY^_AVnfMMnf)SY=e.CXA/uX+yC9/UZc;3ndd)a\XZS%<pgpb\HK>lRAn*%_W,
U";OVD8*X%xRNyKW%fmlC*3F&;aJx:+54aJ&xrbXN<31_K1PCC,aK0B0+Nc/vD*Qs
U"fk+r(lZ1c0nFl7q-gZ#G%8z'#<:H:gTw8=D4fvN]xj3dG\%0&ud/U\Z+qMu&ez4
U"5^T0o]+\2KOc[SBL/e>+21qA).Z?[O4pnGJ-sshlkaPOr'GWSbEiETmTT)_[qD;
U"_j%%4PgQ[wzWOX1*YL%#gep)V'5bci\Z=c[#-*=5X'<P1jik-i%gQaWk6O+-*en
U"Ld;WTiJA=G+c_Jh*%j.6o.8ojSvl+^PI/PaQ=)to*=kCD^;dmaKp6lV<],^h<fl
U"tp?v1/x3^VHm9a?#1t9Ax5VctN[_z%9=;38T8?O0AXo=l>2Ng$]-<'h%a6x8La?
U"'*xHbdVkvuYv:juwJ:j$Gz>x1Xi#(fuS/?A.xHmJR>>n/botr5EBV?Gf*(Kcq)z
U"N[d[W]%PeEH)nqU9CmQ&c\e0+O8Q(^&UfQNN&b;$LX$[*B(W.q-i_#E^5QXJ\qR
U"0tmb^KI&\9hwrf6.]A$Xj\q-hB'0QguMQUDmYVsLqZLqU7wW-5?f'1<:Kw[1Fqk
U"7yj)1XqAxIoDEse:P8cg'YsG6E0ZUS<LbI/+<rRs$'#?C2DJq0>(RfnOFieGV?u
U"<z\'W'48Jto5iukYl3+(GPoiX[1][o_u.PR7y#a'R1lDldRgh#AKO7Xl?Zj5,n)
U"DEoAYHM^cF_5$k#ZK5MAT'_$Le9\u1wyES9>L1nGEBG/pvk5wG]a<QGK\c=if_B
U"tN42rsI8;ZVC<ISO<Zb=X&SxTT7-..'R#3GuYCmNc'hoQ5d&L8aanoK[oo%,)3T
U"Z(X9#Y)&%?kRw*it06)y]8d;&SBu8CNm<B%18^85h;Pq1\#q4U.XoU[V)&2wP3f
U"H]l\J(IZFnB9*E=m)V57#&HhB8fk&'?D0Rf#I1']d(j*sXbmb[#0Y9<uib=l88:
U"cUEYy#Hf,>Zg$>GoQ56igc1Chh_:Kdd1^;,Adcp85bF_/HXIU0eR<J_7,Ld6BV4
U"g=3Ofe=/1&I]PjrHLT<GW;j/\0QL%$#w8sKV'0x:(&Ru(6)J&G4l(Glh%DRiT:,
U"0amYRu76aAV+R#?NJCghRY\oYy6L50at^<_i$LO,s#n*hOWSL</#ZzZ5qTLPn\l
U"ud;Ioztm[6KONH7L$<73>AqVLFNVP#+RS*0d()/n$:mlq6HvRP1d&qD'8;r)M^<
U"TsZNAk?OQrFdQY%]Anhrq1yUmFgLw]+XLwS_Jn+&Sbt<z)M:UM)TX7R^nttx9F9
U"vtXz;G8f*E0m<ht0-&7.eI=J>oD7Y9T3FLcoOZWtpQ#+FB>7)WjX_2P2Mc,\>UC
U")K8GVMys0Pqg07+hr$c/?Z%)ah5(T1BhA\*q\Id/cXv1dO.'Q')]eMMSWa^RrFN
U"V'tm_GiQl'%p8r*Hf1b(oM^tfGBBsxSt&K]_dEXDwdz)u2q\1u.U'iZ8/I^GJen
U"+>$'InMKLGX_a&a%SzhX^KVN[AX^*i-=sGWj;2OojxHWK6oWb1_:C=-h6:.=pFC
U"sFYC95'jYX[hPb>OInM)M39Rn/=.R5A<&6]PP]516Dkh+Rs#T\HXvbtTsJ?9r:+
U":vNkCzO5URg-7#mp<N'pId7Us/(i=>BccHeU=M4qvfFILCoLtD/?mXv$EI.OlgY
U"WcaFHvJhVQ18ZdYeY.$Hd-MEa6hu8EN8ZpfO2M9'Im.MW<'&z<a2\W5O4Q(Sksd
U"KCmqsU06S0?3[2JUHen2#,2Y_'d))ph\sf+&rL-pe$R5[Dnw45Zf.AJQ+9,a1Pn
U"<Ce(*:nz5+(qwMya=d/+kn3-K$yQa'f_'qW#6,M8o_b1zqsx>k6VV]2.$]T8m6e
U"o^*=ZXlx5bj=kge)a]>kL/N)u/[\f\ojaUe9%XMkVXpO^7CWOS<,x6.C>Qr\+,W
U"ZC>/?:_cY+a'[kwqJ[_VSOlV38eoC;h.:s5xIs39F&$ORz)nePD.eOR>t1/<&e)
U"*ngvkcF1TWn#&G_9jg/uSVbIC[F5J5tI<OhW,R3l>J<s$J:u0aE3ZGG[:>'F)V?
U"47Nu01Z3Nj)3Cl'9BVK*xau0A5*NEF_BOR3>f.$Z*J=^KzGH'8/o0)7FIE'e/8F
U"Pq;uJIoJc&I8(rqEdqn%qnlje1VTsg1(qTo:X=bG&C^?[TLtTvf(NKO_>M9c1Dh
U"TUil6;)_EU1u%e](mJ*h74(emjU,C/s4Dp6ut1kX'M0nU'pg6Jr.gH:C5rh>c]r
U"S+I*4(?J%_\^JFLzgN>IB\:_5C2)1LvzR.<'h8f9ka>egt'4p0;r*C3xwIfaFYM
U"^r/TOo.T)qwAxqFm&xhq'&T'V&xVd?37>KS/YkK=IL[^;,k(KHtW]M8d0v?bpSr
U"5fh83UK5,LltZSX0%WAEe4UGZhd/QleV\pJCT)h[d%8ioo%9L#(t2l/#qhCSASC
U"x<I_fVwgDDKp?GVjZ\VLHF\7s)>?Q%l]AUJs7v%z:E:1+yg5]PILfF0;I&p>/d0
U"L%]1i2k)+uOOr6]pc&^M/<6uG7vptgMH'X1>Xt#l?_I#_B?bCv;XotR/w1hku.f
U",0)d3lznW2%h+i;sdQoX%i^$zhn*-fcNiH?88-R6e5er+cO29T__TDA5Q7H_KI,
U"NIJ>qIsH;r-rX)JAGl'[0LIe)TMxYtLiY:,hDKE<,AeRMFk8GiC\L,+[h]LVi/&
U"Xn(#Ic,9[<ujYFM8NpT>Yfr#AO(A9PAIcF\9l<i8&=/xX]7aQtd>r%sFEu&w1M]
U"s'--f:w7'[CQI2234*iaR)4LbY'*DOA<:C-wb7%?XCl#n>4GGo.:As/&H.Ujw0.
U"_*2sLNvdeaNv=4X1Wxf'aT4nUELZWXDJOM,HUl6t5YTSQOK(5a5du3BZ:jxaK+3
U"n9HltFFrl:UW?(WqWa<<XoHL)&YI2C6%-3>X0/[l5yi4;>&F7gK=C+kWEh7*]vL
U"DYCt]B-UdiOEq(INAv[Jk*=Y&<\->VZ<S(BlT_nISjv2($g$;oi9TXlI#r32=c-
U"2%Lh1C2zMPOg4^1X7)e*#ZSXe?SX#JO\U+^%_SrkEW;h%1SYP7lKGcfdM*-E%mH
U")Ge6jQpP610A\$2O\rkMo2tu%.WOYePFV[X\q]bRvPCAHb$HYqV9eQNVV)Z73<0
U"5fOEvqz6&eh/KBXAjxDg-Hf%wGcl9%_M#zDL.Of9r_L\'W8K>d7Hn$x_^BUY9A;
U"d1FO2F_1Qqvqk:%EC0[SxrX9pQI]ci_0PtBK1Q0oVIfgwV4XQ8MpiNB-c%]c;ro
U"\rM.Ml+e7EpcJ;)[6f,[R?sO2%e4qJ3UH3-CCC#gh2/v%g)4.'5>*T3kl[_D/DE
U"O\5d1A1BDx4<rUo-6%tATJd=eqPp0k?TcRguanX]_V:L,$(Zoow\vpO'5XjXt;6
U"efGaFt\3NwZrgu].e)DWT%B(1e=DN_^9aGn9MjP-r<iEpd+M,B3Sd28wC7*.;jO
U"YfOxI<w6ch#z/-rZ-V=nBiK2fnB?vW?gxp8K$vz2sJ4]KjCr-YTZnj;;=TAI-;N
U"Fx/RX7%?RGIgcdCuxXy6r1*kpf.*r1[HTZFu_iZdKXksX?46xX?NmT=\t)ZHmi'
U".9jHF<.CX*M:Zw?E3n;hpYcU[VnVnfAVyQ^Lm/7BPYri\XPxf_mf?:%$0bW&U:X
U"(=G5tNLjTm0DL1G/Oa7[s%/;?Y[g%-&F5kwLLmpDe4abdfjjF?YB.GYcfX8N)^G
U")zU*[ltRY%w?AUnL(%'TpdZK?&bKSAoIz5kb,=-F&*jOpop-l#:-OPaBN=&1^rR
U"2NKnSANQD,lcuI[[f>7u:%/ld*mTxHT86+?u83W6bZ6I8u'<P0YZ9mG4?i,e5LT
U"Aqt.h<PJ<<9aGg7cOH((+N;>g7aASTd-hh.OUMc2=:U0jgMk:qxXsJicmpTjA.T
U"NabLU?=F?Jvw\TfZzV(g>7EB#dnkcY(uk.?ww2oOS4nz_3GzNm4g:E6.s/K^V/Q
U"37Q$O24SUCaWYVu[Yf=QMcx5(J_=J5WNO>.K=A7>FdznVeGass%B\\(>X7;tp68
U"[E%kaYy%buqHc/ay1:slx6)E8(3v&-,f$tJbYD:fzL_(Bax-05A->RK188a4Y)U
U"gal/#>#qkrDJbPuf*g[saw_pSA.FnL,NlJB$%_986crA3G&A6)#Fxoz,r8fNU>y
U"7JS21;3]HYH&*w\6^09'2b'9O'H)Vc<5tLl_Poe9x0L:KL#?2Du('H*PHn2$TuP
U"4A_a>-O?^WYRhIQ2AV^>*hE9)hY'D,W#D=a;3^^qcnYM<bl':=g#Sbn_tV^sC_&
U"4ODq72$P'WcC8AzcXf>'>LRn*a+YWSj.oqJghw\'h:?/I2M%-+S+&qCqp:J1#<W
U"(?N^:KUa0Q<3QeYpM]\GfOn9b;2/1^a,FaxI(kBDq:Sa7>Vuh3UaiWWXip-nv5g
END SUB
SUB V4
U"';K3'rQ5w+op>\UhGW*(lX7G7c-6T^;[O8Qg#oEXrm$<_kc[0'OwE)wPzNq[i*z
U"+P7fX;doP2q&[vynO)phvrnqgj_eXMBq41XArmo(3EVcAdT&p\8^AFNn*QO?Aap
U"ik+>:9fYyP4MsXag58v<uab\auauY:W#U.ks0ZI>R&_-HRAiYPr%TzDx3klbPS?
U"56AIL^XJ#WgKFIkp)y:2nbbYYBaA+dd3j6a0$.-8xmAgqcQ7G)ih+.T'QwZ^%Kl
U"XOGo-]%SjZGlMfOah[S3Vrx#iKjC'2w(ak(p*KH>*<j=JhcCaGbzSH7Ww>V%[F(
U"C'G')k8M2jNB6/L78]Em(03*oG$Y]JVIaI4ru)mY.rHP_I>]T2_.wj-X9MOYLIO
U"x;\X\d,Cvfx:W+hM;W6Mlqa*^pD%UVlw;'HTt3vMz$u]qf%uXwUcnBO5cs%c1;^
U"8zObR0#OEqTdMBhvB-Qjz8<kmd)c46OL8(efvrlV%nPG/4'EE;JoVBT/SEGdrq>
U"U>G#)4:J>Y2IIdRMKr>sBoHC#5>&vWji8Hxb:MkHGZw2=i\-V3wiAGb,06bLTc6
U"brkN_C/M1OhK7f^:/uj5D98B&B[<M&z5z*#GOeEnX_6bU77S%Sr-K?c+D#[&G,E
U"7>h;)ehzeO.n.ayUI*Y$CQKDZU^7^CkosM%0&+41MY=;nKOXCkoxw-3>R.oeK5F
U"x+^4w05]O\&t;HEd16_\ptqR8JF[5mmiu#EeJG&31/K<e](GX4e0MXEesFG[NNl
U"LH4M-/QwxSB\>IR8IMX$7C\jYy7q+Cq0Wq-O_S(X_kU#G+AFgdx(&ArQ*U;Ec%+
U"B65,DUUIm+i,:cx,\DkU.Q$]eU3p'UPB*xpbET#Lko1E2jARgMKXoM0.^TYvx2J
U"r%0JvUN')B3Y:0>p/aojuqUXg0u0icbhmljZQ9W-&u\LLj5_)a:tj'IDh=.4mT=
U"mCaCvm'>X*78wW]dyYPsFG7CQt;2B^514UzIw:D3C=(G.79+nO_%Xwi]>/'tF3_
U":aKJFc8R(.b([&m4R7BPgd0QK2'/;#^.n=-%#uo)vrmZiQuem[yiuX:,QWb=GSE
U"^6ngbqV/QgT'8H^]e7#(l,;Q&k#n>9vbC.bsMZfRU6)Wd1vZrTQ/21jmD$wj[I0
U"\f6zskJ#mu#+]Q,i&.'mrQ3xqu9O\HC_bTp8ZHRrr=M6-.i&3Y9;*T^iDjvj#in
U")M]<5(X;&G.=j/Lj_:_etNUQOgUn4F+dLQ2dcbf=QQ9[,8(k1>(,&7I^/YfYN%q
U"N\d,I:REbW8*$gKZ'_gF7/$g*mhA,h6[6JE4;rB6Q6j&[4V5,?ezpgbEV-^UX\;
U":UV[Ij?Kj.c4Y.T%#dPz+\R^61<HXg\%-QvqLlNcq%i3Sn/C3Vx]>ENEO8DRJ2o
U"awCj1ImH=HaNq-H#6Wu.cCW1Nc520=VQEl5H4gq$)/M38%21[H<rNLDzQG]L0a8
U"F\i=1T;e8IHVevuoJbBb&aXD,7+_?=pj?:+.Z4]]5KQ?_=;zDO_ARH/Hcs,v,Q1
U"[3ri)P2M1eOd5_&_X/GFchK7QAaZh2,w&8ZBkS+Nc2^M(Ucko)lr?BIt8D-eIH(
U"Bd#*i4I=](T/]XgLs+i>AnIS#&B_OXsU3p20NDk[$44BE%o$w^9nAHTT1D::g6c
U"]b2FG4l<qPfo75d0AL?U*\&MvlT6+tX,46Q_nc[L$EZ\i-YBI]wRdHt>AH<uQnY
U")K\XNMcg&fEAmq_<Ip;,k0M*Bk9fyqz5d1VEWeIP,I+]',Yu$lDJO8F5$;:Nu#-
U"IENDp=UB:md(nUaL4$ME%Mqaq\cnm70$Cn?s1y(WIo(I1=\;spPpQR8wQn(#-,B
U"/P8R7^x$JGceBA>R(AQhr.t<\F8vltWwNAaa0<L\<OuKoBSSl?P0]9l1+s]:D7v
U"L3)][^QNA)\wHV?[yVGtNGTBLBeM-xo>B6Igy[$22>bzn,vH<p(PMY*9UZ);awZ
U"0CdIz0#6#4&Df3J;mD-h]P+;Dr6lkB8(+(*tbkAJ>.63HBP$N>2oAD'$D4:N:tM
U",-FBBCaX_iuyHJ_9mWX2J(w>00JdP*d];yi$?8[2s==Vh%chnkdkSb21i+>5O9k
U";/x8JgbQ>-C&:s;sYdMYR/T#Ny[1rO;Pt76RS2(/Q<]PL:qz?RO%AYq.+jXH9G3
U"u0_+lHzEdu;^#';p0ol_OA8P9WqJI$A0m34\vknOf2DG%Jc3KeveyA=rKCp9uN5
U"#Z/<e;rsW\*RlIZ8K7.DFBuf=:B>mzlTGZkJtpug.U;9J?&F2CX.CdOM%r=9KX4
U"]:\'P)JWTMfLa:MZT#Zmp3+6#3h#q1n>.CQfA'eBOht]3e2Nu#X;IrJ)-f)+7Ra
U"bi%K.$34^NAXU6L0QT<2hH2OL0TonD;[>u.f/Oe4DjBR05&Ofq?.NxCN(t.O>8G
U"P*L&3d'/,gwQm:NN59p*(dwLf&L0wGYm/Rs\EK'V0IH&-y0G[Hf&%L%JrB7d.Z?
U":<S7V<S?kRC/vpBKc00qqm[rt6JXA&uaEJOtWkPFS&&Hfgj9j=Cr(mU7QSjsooI
U"0t<L2ut=OniI/FEjHWsF<Bx-E\U<TCXyUSH?4L:>bx^U3cORq580<7V#z6U.S^J
U"Pi<]^O2Xi;ZVft_l'q0_n.++Ru+2(6lZI/Z'B;c\.kl2([+':_$M<MoeM9nzue_
U"cdR3T7bJ\^rX[7eoNvAOkUkjkJ,^kNI3UL[O+L>^f[a4(QPPj\\X4B1+OSF-mQV
U"_pi0>B+\Wie/o<Zpf>YTMe#=1th5^x#qEep)dX)';UcjJhAVUr^Xd8\WOR?RW%L
U"jQ'i#w;X^b)]a9#9ur2(P&UAVzv=4E'qfN?':9(n50L?-$G7H9e2zW<eWP6XT2;
U"p4u[Ba=0z*_s)IYG)qd+Kwn)cdZ,v(5><9U)P)a2c^ABPd4mS8E./.WHZ0=)q3V
U"7XPS5O>VsLCWtoi9L]nwZi>oO=MqctT=[QH+6-p&^QL+tu&nYs<3GD2(V1]e^(B
U"w7ZjOpsz8Km,3*9:8;9t%i*<mtbYgJmk&*g&NeWsAHN>XGZb4Nj6JH<d>lm[]vW
U"(Ioa6[NU)2W-plKm<rTw<lFF]GO=GvQqco=.fiF0#,2_3.(;BI3hg*F+SzU>sjL
U"a+;#N2Mf>;rmDes^)EE5ooi1x9\J8Xh,ot)JhmI$QlsSs0cII;a>^du\'q:y5/(
U"XnQ+YI^L[V&^DDU1rR]STf2,6W/2:Ho>dK9)AgWv?Jxh=GOeUEYVi-Oew>glD=>
U"M?Y7de\QR:uGN6=fs1^;bFdBr,HljgOh(1%D3;_J6UAMe0(Vz[5T&Z4mN6_j0la
U"5/^/m0G%jX=qw((FeVr*Hz:)SZ>^=-(-$1m$;c\MJKkT<(X')_T^sUiL79HP04.
U"9Lp5Eo'])FJ:#<#mc8H[K5lL^<TFt<A3u,#XHio]>_zsph9RT$5bjHasszK*]Eh
U"i5W8>ReHAA7*IBWDBzC*I]*>>ept(Q&[Qtt2OSYtp_erjLAL++T*5T:S_e8DY>I
U"b&gb1uLdiABtTOR-cd#L1/U^dT6.8I_jv#CK<25m.<slJMh'2hO.[GM#E4KcS8o
U"6jHjVpypl#$q%ugta^D=-^(ru0s+kv0cGTTJnF:b.i#xDGjp%qjBj9<rOM7yV*-
U"J2u-7E:vgTGwQ)lJ)]O-8W]kG:w2y46bHNuiec=_vB]</?Fa.Z\%q/$m$e8JP5y
U"xH;\?hHKh$y*%Xb.tf2+9266)PRu&-#XqgJWIEEQS^h-MmEWZ#ZTd>DTcja+hJj
U"LA^XQ)R;3WSj64Yu;k3#OxUJP7eh[[t[Ih7U/Ga)ZQ4R#6VUm,cUP)Vv:e.6[j$
U"AEUr2g]wuc+x2A5WKL06H%tmU1*TGnt<(/8?H\b(48+;A:C$*2DgGQfiL-1^[pY
U"Xl6?o3NfAf/*n9X^D:j+UqIe\R0$dy/8bn.T^6hfmns<$qluYkl_h(ZkphJfsPh
U"<PcO5?QQ(;f50\ZuQc2KEBe__9-YTJjbPPkkBw#giLtpXl#bZc3&T?<dm31gzE;
U"Uaz,8n73dQ[S.Th_ew?d3A6vCY3VF+;7/d=t0WDLEQ4eBBV$wF12OkYi,v6sDOK
U"LKNeg/J--x:9eiO8F*\gPm9tJ%Z8X,hL&olsi#R$(J'itkLpptgb%7m^lmRXA/u
U";1*CP&]4faOCoOzL_BhAc21Wh-k#d;_KI,I2VK;.Dy<2;s.FO=Ve&E77c.3IdT1
U"-k'2'?u9w#[H3=:)e#2+7w60,<)JYpO2JT)G+U0Q;xaQ8j5[$8'F5[X/,60Xw4V
U"-zJcO]o&yTc+sLai$F:LmJO(NO&3$2OLzhj2qbJ)rr\u:e.q=ZS2e7pxP-cuB+r
U"bB*,2oSuw(#^QXwYK(IU3TVJ>wIM4L/B5jIQ-NHaa&1:^>ge-Ia&889$c3p*[3h
U"%Rim(SML#,)m;s7#lqniaY\bP#^j(;Me;BaAu%R1'XsmQ)9;Y<;l\69dta1fmtE
U"&FE,5FJ>e.D).yXa#<cU[EEo-jp]%?&,dA(3[<f)YPJnRBZP7K.Fm?B-)/vP>.(
U"^w-\7iIhgG7IF67k8$_)j.I=62J?V'cl_HL>ZV5P7-m+)VUu;%$:?HWNrb8e>.1
U"FdPdi317\h<dkJ:E[xw^f7+Q#M-bdCsAE39YRu6eL5YmH_D,1%mN&69]+kdoN^F
U"2bHe=H2Iabum5i;,?up;C)LT/kQWU5wdQFZV''J]_k[L[5d$'w*rOOY?RY-Z?[>
U"e3\?_p;NVemBo90mUJ%%RciGkRq+hSbo>A\\.kq-0Cea)IG8qfh.=J9t?zlaR1Q
U"L6^'$IYL\_%>dQG?c;Y*\ahqhuOc1,:30f[S^$cz/PlCz4HxyL['BQo%H*$7%[b
U"*_O)%OJo(kPvXgo:ityN#T.$jiYoC\RHb:k5I?kA1GM2+(]gHG&R+i9wWY2:ajj
U"&<YCC*jZHh\k3Cj<\OSmSOQHdf*K([z;=iG5;Nd3^ZIi]pxVd4d/64aXww9Fh6l
U"gjT-48_$Goj;P4ec$JVGkMqo%]d[VYtQ>e5Y8vsidBA;+Nst;\=Zs/nc(&rTlil
U"2?#EG3&^s8=iGhZG?-Tpc<jQ,SPrI,X4qs;b9:j#0d\'-,]o<MR,,I]ooO2]CWa
U"ny\]^eI^-7d2<2>Aubw2p01P1K$<Y3;jJvW;L;OcFC5gWIzxCg%(FSoSu$l&#P*
U"By)tL+K05EW0mw>I^-:;B2#D+;sPO;]Q#:-m\rt\0eqH##?K[,(G#&Cp+rR]Ta+
U"]En+XS^G<1&WOVLk+7PQZ\pQDs$'0A'r?]OH[#u*[Q<SOX3208CJX]aIDvp_]Tw
U"\[1tRX7?&*,T1V_EV7oXWqRsr98L?s[Wv%GINpJ[l2Q<[oG'd0mmmQq?E>hkjIV
U"zK=6oT'yZ_$aZMn.\FQ7j-t/sx8KRaMqqd\)9G_Efrl?o1;\5v1BW[wWE\XOVF)
U"?&UrbgEwDlBTc1$DJ_O^4J%]oqT:05H,\40dxFxW:i=AiqO9Y:RSoV&0&#_?IK[
U"S)iqueoA;&FC7_M.>^LfUZA'j[g*,_k4dSp42O=/h7^_Wph#Qj9jO_5iBqGGbN\
U"h6=4SZV*$iMFXYP'75C*=-c_1;R&Pu]Q-n[RBDD]g\:Sf3sK%8#:%:[DP[D;))J
U"??j*b&'&BD0dS'lq]S9DD'XgbaVE\q&$\ec<1\fR7_mG$xi3hNEQFu5P?;ter>?
U"5K8>JlVktpDmV?wDVwV>=+^\Bu>TCGcj46%N9y+[.L#Qk?>/SRB97:CUD9L68/U
U"iXxXDDq?EQj+OcZ8tR<ZrwC)#['UR7hD<:6dI;BIPjgXjXm\VuS(A*JX;&p\Cz&
U"mG?YRUn:1fA)Lot^3Z1.JbUT=7[+f5%;Q'K*3FcBrAcWsGpu#&g)*X=2mZ,XtsU
U"PeP\rj^dNl?*uGJ[7>rhgTI\GLNU[pzBn1ij5j,(bHN/tRk'UkPBdtiL5K2,i$x
U"^f+171Pe:Hw[l\MfWJ,T5FIqYDV^7eUOq+Z8j,01es5HF%b]Q[<AkWv+MOi[)gw
U"&f](h;g]nvuI(FvPd??Mn,3M/Qtgg1.MEtLC?m&HHX=uvcmsJqZ;F3HJ:u=3B/d
U"t$C2f4uPifH5h</5orxo[cwM%X6vK,0Eu8+,x=XC$H)qt9DSASnB?j8nTDic<mi
U"QX#s$)tA00CvHBTm?B(Lpj#m,zt(sM8iIi$)W+-W]DpArZ*J,v=\?D:jJk**8[W
U"Fue^sGf]%ikux<sL'-RJc=F/VxG[.#1;z:G.=Ux1X9\(H^BNHY+EQW%xZ$-Tf6U
U"='sy2,LEhN5]M2=(])WXBTLdT4M^q9icaM3A(U*d,QjB8/O/X0l'=teu=n#&7g<
U"YHOD2aB?G:Wr\dBh3+Jo+D7.5UYs1-B1(NGGdGn+ZNH#Qv/kt6kt$3V40&L&N1'
U"N9qpt(iMAE8=P.%sI>Hw\-r]q<J2EvO/TD1Wed5vAs5A02_3vfg.y3a+.m%Tf$\
U"Q%Og<8:_JqSC(i4(P^yeL_I%+%7.,8:9bI7;4#*bzb0se\iClVbk#'-Ozc]._Fa
U"hU5u9u5,4#:-RVXuXpKsWkYE>0]2HZc\Dw]5jNO;tONn>?5t9T>6)>l?g6sOb3e
U"/%:HI_[0=PMTQ37aloXJ9qxCdI8(w=S[MbI#RZs7Eh#R.ejTU,/3_Ex0)Fr^*5E
U"pr0$hw#XDB0mHJI2;oXzq>oBJ0A$T<_a.j[J]ncGjH1_jBU$OdxzDlnju8^<Luu
U"bc5)qsa6G9qdj.rHnN1q:'f'_TRc6U,Xb[Th*WA[?rJis]h4EL/aT)j_<'JP.uc
U"qok=Q^gYvDL-5vCvHjr1T+6c_3[Y%6[6/wv$=?T4ah_s]D<K*3=TgQGr>Igr&.L
U"Wfj_q,k>_p+'E[9Kp57^+HHeum6FAu/Wa^:V'vH?5WU.)z]FPlsSFLZK<e9'?QC
U"MPj^lQ1'*lf=P\K\;wTBbrEvDWlO8_Vj\8aWLDzXOf0vz\Unkk\.k3_+Gd-;YDU
U"Ud$ECDB7j$Znda+u+xLml._->,37[]E9'2,(%g2aG]a<X4dJ1(*-\DoNSV/$?Y_
U"SHPTyCU,gC+v+M.BM0(C<]MW'=#aa$:o5m(5G(E]l,_S3+H#0=_G2xik,_wVFSZ
U"v8lidu7ghErH5#WE5X4WtERmzfr&1N[Rd^:g^gQYIGqgSHK9KA?+KB-vg%bso7f
U"?^P.Zo=kO-n>]k%#7R?6q31O'Qe9JB^3I6qxArhMx^KuZl;kK:_1*=cu2*%(&_/
U"-^*V-[+l8/tUtA[65O0zt^hGQ9eP-GO'n)y.0k5h;$B_,HA%GWLVIAY(76i/?e#
U"Jm9O'2F\)pi^U;X*[Z8_77=mr)$%:CX9l=#n?.u(PbNOLk.36xqW^\8w+:Tai\%
U"Mq?E/H4L>k.gndy/D7?pUZ4[o9ZiY?Sml8J(kM&-tHR57Ls,ArM.AbeEK'RtT*w
U"Cxl5;c[Sw_IyBC#4YZBYl9b=Sggu$9GwqfbW.pMmA1-9ray$FFPCPcRPqFj&e%2
U"U2+KrxqlbBKL(>O7W*M;9&tX[\EdDG&vT>rkwRRNQi>zk_axF;(zH5OSAzg$hoo
U"W11*RF?;\&7Yl0H0s]xnHCQcQ'n9t(RuDUcp_JL+S6mctKZI/N_tXF&0ARAi5%'
U"8j%j>QiCJt\uOK>]fI[nI+&FFF4:A^F9/5K5dfb:q#5Y_6w>e\OXw-V(gI*O>,$
U"7kgoW7es:zRP&RR)LuUlG:qpZK24h?J:A7RT=-Es[\6^cF(?I4KA7/T8CIkoCrl
U":y1*v(TZ3HH)nSCM&dAFPqZA*$Bg;'g=#i'EMH,bb_L2ggreCTn%8Kn_cNv5JZm
U"E7]VkQP^ZOeM?(55vt]$WM]eiorHL:ygAaq:ROiYB4nt^)/9-To4ptI:PIc'hpP
U"+XCPkAGtD?hY_aOKD0jZn,V2Yzu$fdo'Im?J.5XmJc,jHNg*u6g[#k-9\x^]&l)
U"\35oJOix3PFE1_&.=(C;CBu.;L(R^?(RYL^aNabrvQ?^Q4'cl_(p_d[qTZ/*8s7
U"*V-arf0L^WQ&Q1so#G4C7?s?'pX^e-6M[a9ORcTQkk^cu[4^U.QC1f[7$<%K]50
U"xi_OqI'#c2PD'*JwZi>]8gVq%Rw)n_&iIVg+*\dA?7HGVxggpk4XE_YB\A#xxof
U";?E.NoES_pr8#E]E]vwZ-e_QQ.TM(PHO^w2bzGseZf?WRAhDGmFIQ5uM7PpJb^*
U"/UwRIAB#u$XHP(nYu3l&r:9]ovm''jq#5$zUqB32AW#T>YuF5qiCB/[8BK^tf\%
U"t]'8U.QZazf7IVfwBQI:6'm^yd(,E:1sL,H:C'>(O9sazZ.\H?16)d+Fl*<lJX/
U"_uT(^g=wwknnBu^H1?cOUo[ef<?#mnhK?&3'CUThd.v:<hmG3X+xBq4)U6#0V[b
U"j=lt2DxQW,QI_'SXs^4=z2=^^/j\lb2P^dL'Cu_MOtOA.T=TJZM%cMgvMO;Y9p9
U"(1$aK+q'0#j+'4k[%qE[gt;G+ZdMx#[io0RnR<DIow#?_e3R]*OpeFhG'>u=&tM
U"i8p^_-(%4'.ndsY>Hh3]zNJUTibade/j6NE>O8DE1K^.haaa+pD$EcX<3-l%<1t
U"=H>4Zm1W0*lEOVggVTCu0kiCkD)9nvJ-]kM\$.^I.LH/(p=E2KGd_pz5Z2YzLFx
U"6K\KzNS(&fAECph8E['rs$2c-9oicYHcZ,&_vl,b1x%Vu#aG1CJCbF&>Qp1iKaC
U"-[fu^(>^GL_k<g+tdfEl\1/*yM9nDGj<s,dp#=xhH#7)LN$b7Y'cQ6,UMPNg?H;
U"Bivh_]5d'K&,arhE^qPDrM[zKOf/Uq%^7s/MyJ*uBTIc=UfT,oBn)5mRRCPEB^*
U"a)^:JfB+W0NU?_5.fDvt)ZUOKtHIivcUNC-()<Y7XfMNKpLBaBmpinOBXJ6,=Af
U"FRrmz2nUVtb/wA%Z9zRWM1d\)z0he_O%NSy]vzNM9u1NXS]d;WD,OP%%lf;r2jv
U"9%w+qpjcJ+Tcia9t%L*NSvz,j=x+naFJT]-a4)g<9#v+vdl#%+[EVpBjkXL#r.f
U"O+ub;?d):(Rs7Q97-2x4R'89[.aR8m/o,iF]PS*hFidO&iN.QaOa^Zjs^3Veij+
U"m4^Z:P%H09k-M3P]0p6rNhq,FMSk];q4J/J:M)70qMY;p_IA2=d/P46w<xt>8GB
U"dem/7(F$vCeYJLN&2qi'114Mr,r<5p%BRdH696&:$<=>oD-v^[+*5W1p?^><VFO
U"puPePPNhuheffmbLG=QF6Mhd.IRL>M(L^Nde1np7\Eb>dV>Q-s01*gzk0bcFn=u
U"P*#RA+b?ioeeihC\pYYb(S5.c(gm=QTA-.+'f)>z/C21>(m*qvLT=^WOoG#QH4I
U"2$)FgL)T)1C/Z]T0#.3JsrS9vE#s3^Q4SFj:pEM;IAOJ4ZhjNOmGl_9GE1?W[F.
U"P9H%HcAEU_L1HG=o<3i9JGwU#56/9jn?H%<DB5E6UDgM'csaD9K;'#V_)?a:V>c
U"vLL.O.^>B?QLu;odqOAGN[1v-9HQV&FZ>Ap'/G9lq]aMQ%qKh5Gl)CNdHDXcd.F
U"<5riAoFBkDQ(h=pp#c#X<N<RZ68X;$fng/]hgFcq$rn?x0pJ^s\#Rl<XnK\0X>A
U"s=i:2NR;d;m0u?PCo1+vAMzN040I]R$*a1<ZOujn6Wd=BE&eQJU1bR_p([NvQsn
U"pF]n$-AT1,&aD;(,H=Leq5H9qZASIox>]MI3T^k&*hQu_npXEg_g]>f^,3ah:Uq
U"ZmrCLQmj(ZmEhWk(ILqP%eq6h=[,a<_5RjPF)8EoJxHEq&Ej%ieq6wYDR>0s^4I
U"P80<sPN4GEE_pNteU'Fg*S#0vJ9Y;62/#0,$38G4<cHDSm98U4]CO6<fnrZQ>Q^
U"ad,ma\41^ALleqQ<#0J1=fr/\V[--M,X1HVu?Ue#^I^=;HCRISlN,A=v=D:lv4?
U"$(oP-3VPkNa:r&/?FId,?T#%Z1IGAL+m0DRgLK%sXpj7vttveHio3$GV+ChJc07
U"Z#'eX;9CHCa)+RKNr_UWX\Bw>xJe5f49Z2^11l:7X$3;l3MVu]:/bU2Z2<<sHaB
U"&3to,g%6Ga7$xCtH7>GFIM&Sh.V)Pge?^c_3fAPlB>Np8%t,l/fr8h,,7;VlMG?
U"I.Zm>]a]XU:.OO*$tK800M6gY=g'(oa^1UDlN^:(Ji\1GR<da/O:G,IHitdxnnN
U"E8;%TV8>.$e\x9Z_RA_i#4+JZ%sG7NBlw$b0$kmvVw7Kn0ELVxK-jJrKTPM6U9E
U"=964?g^pLAtE$G2ANxHLMJ-dw7iBASn5q;0VE1tg,aWed(MG=cTV0h=R)bc1EF$
U"CX]wt35npY3x?rAIlIjD7RZl8<2j]HKw2)Ns4:lyW#,b7WKXB^KO-0H=#pK%?Mq
U"If39^UU_b4Ov711vI1EA24Ys+.)=Mse>LE]ECA(LERP_-(n?8c3Ks/Z>d$u#WAU
U"FW(wtTfp-H&S9a*9ZGFCAdHU'<&67K##iu7f&pi8:s%6G;t(1p7CbDKpnDb\bV6
U"HKziB;P>)Pu;t7B,a?'UZsiG73D\4cp+LaiBzv=AsoAHd8G>#%/_L)?/&CsfW]-
U"Y(E-_A)*Rs[J;KW;K=4ueC:4Y\;'-EP(?e%M?^R0(AS6Q8/F<)/QB64q6hKg8L4
U"u9)X'0OTRBDht0.P/Or%:[eqh-=EWc==Q:Ta?O__(2%rgM$kje,+P#5_b4\8^+u
U"jpkh_,auGJ1T]F.(s]Ze_N:M%D<3(p_[>^VPtGI2nkhL3p0[69SH]WJonl>Z5RE
U"JoE(;\g(4Lb\ycJlU/S]9d2gcB,1g*i<r?'Yrp*M\swY;F2wdx6rLmU2ZWE4D*e
U"OYs$ojLtW&bvrVb+9U%9mP'eA,>SkV<I6%3W%uR&n<RtK</-BZFJd'-9m+i2b5$
U"uYi,-oLvMB-jvje8IvT.lbmEHu4]ilB$?^QjDFbaevUl<p(KUu.Q,HqkWs/tWo6
U"KF+K7ly6pGQYtFJ0F6OJM)Z/;kkg5A=4/mj]?otlFvtrOwJ-:w6)PPB)nm7Waau
U"]q1LG;e\j$JNOuoxsS1[vLhdLxETUPu/*>pBFodsl#tnZ\axb0\/'[g?33rcOM.
U"e3v^E5cS7p3HG&8)dXWYSd[9#f^cEtdhlIL8rjH8rGH8J.f:kba]/Z0f#ti\*k\
U"s$51zZgcDm8'6r'2MArB86WZWheFPItlzR?^&N*'A9#F,=1;rpem%NdOw5qz-(h
U"pO&tfla8$5r#0/#jfM2x_2z.x,:kCl3]R9Mmm\%IAP\W8W/(*tUUy+#%qcE2[^K
U"<_k=,M+fXM'R^8qa9Dh4TT$K:[c:2HLx?K8K_3J^r8h'SUuSO[d39]$ljRekFIf
U"_5&,Xk%g'>kv[,pK]%pe*uaH2N_x6jE#oxk/eBSpvCnec+P#h+6FIDPVsJ-'Y9B
U"1?0]*bQ5t%M[-S$ZY'TSm'3,W5Ay0%_iC&,AS4ps9MNw^XR^9OF<Q&F0fSf$QQf
U"Z*?&OA1rTkfb89VBK,[0d89NAGGx%XLm=&<Dd/^Q?]I$Eps=CID%mLoJfRk$'E.
U"V]x-JOOq2-]oq(PIM?Hs.4&7<%WoO)K)BEBTL]L3:j1H97%i-fcCv9*3e+7HD'g
U"-EdlZ[6h>L+O?Gd5V(G#uTNJ<3(:lfb[0Il5zP.V]m$Dz1B&K.IYdMZu$hZ2ssU
U"br.T1rl5CI+d>mVJgc9D_x=3D8>6Qd\^z[^eBGhc^KhUIfxeOP<c*^FSm0o9'2L
U"lhAx]>j=3CWq2G.wuo08>N[GOD(v85-<<$b2#u=geK.^xKF6s3R6Z2aG1;gP]//
U"77EjnRZr-tx&b3AEk6nI?WfK]#]p]Z=?/bi#l#UZ52EICes.?1PW'iM\lF+l(9i
U"_#dJUiNd^M]/2.xX2Kb8_r$/m\YM)Gi>7wx(j=l4I8pF\FA/s:/sJ%0H^hor8]+
U"k+K-$PEdLJEgD%HNW(HXBamz+[Y2s-%'XgS4(]S$zU:&;upez$7XY42KRB;ul2h
U"s:uS,P4FZ-s6kM8]-Z2fR[LDC2Gn96BN;;uKrF$-oe8YMonyAMh3c92Fsd^gy?^
U"Np*gN8RvyA8P8HuCnmu<9N0H9JT#2f*rAihtCnHo=:nvY)T7K>YQ&U5/L\z#'Y#
U"\,44mZi7jX*6DL=S^mY7%:yOsNqx&Ah_&u0lj._^>9YOg=T:[1eGm3=qrQ_ta)L
U"/:$K)AU;cIpVEjgcN=Qs]:B%CgQD\(hD_ylQBIr&4AMuISX06U/PxT0mwJ+SH6p
U"u:cJlnYiElh^aL_$bM(w$hQlBuh9vXq)YEm$cFF=iQfqUZR=7KNUh')'a\j+65P
U"\d8/NfQa:=LoS&a-sCNme=2$u[9WK-vG;,Zv(fJO5qkk)6)aFL<BZJJ[+%-/&;L
U"XZ[O=JQ)vhT*+,QI0*-+vtc3/*#C'#eW:0v:$]I6'&O3)Qil$1T^Gk$#VlQ.c/V
U"ovE%o3rA1J\D?Vah))dNU4DGvnB'EnXGCl=n&YR],bi^?%5I6&5DCR]N*6'oAMR
U"El6eZCPC9[fFu8](6z_USjQ7BR9YMZ_r=6uawKgJLXn&QV,G;tD1+'>XsdY(0-w
U"T($BQx1.)uljAQ55WX.Ci7cP/u2Um,&1,fC3;umn%:QhJtXN.ZIYS0w(Om?$B$9
U"CMw-t\b#N*CW><3<^w6IXrj&V*t)o*-'tXSOVL&FKsI6BUP91cV%QK1Qx6zh)jq
U"T<Q577-ns3=p9q/cW2GXX(RjjRSZjdN:9ZOhNvKxc)-ky>Z>T3'9VUxB4/+1aWr
U"'o4(o7b6G3Ok8WD5*CUP8R3*)jpl]$R#ris?Y'FO))'V71EM+lvs/ePSb<3>uKw
END SUB
SUB V5
U"[7y>HfEgzZsfSB._Si_FD37nrqdEkY4i+b,LLNTlNe7IvGfSpwp>A9s99,ja^<<
U"x,]C[Z^$TCOT=LjDofYeN6&Y_DG^n8A_,dA9=KutAC)OhkUgiP5t>SpBAU$U#]]
U"5_VOLF%sTUQIc/5*r#,I1%cgq0Va#a$+j/t3S(a]/+zs]cW<,%Z0xy\'#y%T(om
U"3CkNP'8,.R9Mf9d:ZE$CYZ'C5fSwB,1JGy7^Fc-dlo4xoPs0a:%CKmif)dGTx--
U"OuWTPYQ59Gv+SX]FmwPFW;iLBa+*8bt0c0Q;&ugQ#J/U1S)JV=V4Y+$VBRQ;&lA
U"djxCHFm-sg>[hQ4la4Zv]W+NU91_[gYP,th<ncp>,WNY_Bp?%);uACYWe[_(,,R
U"9eC.iLs,k3(pn#kSV*DknlAQw-^BhRaf3mo)fr)gLnnt8VDD;H2:qsRHpFwf$$o
U"r($8>7?_Ebgk]*epuA::W4/lCy]*Lbgp5KX'kSaY]YB].z6.Zu%$N)O7Oi%$-3T
U"tL?)&Y<mN^BVOw)kVn,.JTh#T\(_7QjEHjpmZ0[$:]VEy32Y/TM5YD4Rr,?DCA0
U"J*y=[B;4SY:F]X\ll4'RW\:]%/Vr4dJ]PHC1%z2e9MeKW6\NpVUwbadk*=m=Sqd
U"DlswkeEknva8vy]s:C]l(NwWKu4A1K7+ukRCZ8vM%s\=pU?oMl0ctE6&wi/tE:W
U"?\DB\uL.ohIL,RM9EE6bfY3S;.F(O\B3Co'Iw5i/\;<v#Uk(yN/9s9wO_?WAqCD
U"<XOjLzzi+^janYStM-sdopAb&EyTOsHBd?Rjempqxgc/\UFKB$M9Vj&$NIV(R4v
U"OD&3\Tm8bu\NMFCXK>#oQ^n3),41iu)GG,1G[XZ8raeMr7H.uzHBONXDMx$kjnq
U"h/J232jK$6Vp-4LN+lSJwF&cfbt%gbxzU6#>ivb-^nbRlY%XDQQoQlwUiFYmA88
U"pK&1D>oGf*P>a99GbmsCOb.X:poTwo.^*xyCLaBs#G*nyg8#\>0CjTRiJ$YNUG0
U"XeKam49P$9^.hDsfPV$cJUSDINK<N$7,=BbazUlIN$h-Dsx%*BnZ)n,lOPkA)2l
U"6c/HDuNBf$d.77S-fxQXjRgJFxtr\hcx0N%9T%)9C5sMUbq'O>hJ02cNu:OqMwx
U"SW%$a6&z+VUo8CeumzY0CmO<eA[/O<4>3C2UNK=m.\rWQ=C%RU)[HsMAEvQ[dkT
U",+.4OIuilR3'.)ytRghmn_7?6;,v+f6oYqy&6_UTpPkP&'O/rQEo?ExtMGk0/Y%
U"l_*y0tM3plG&Hm^DeD46Q=2sKq\ce&7'u%c^I5d1N/R_acGmb6susaS5Up?6nvw
U")qmPG;3kDUO$]poL_6*V8uU8:p1mu=Wt)ZTZFX[DlrWJ7GUr-O*p&;FwZJ-jr%X
U"QW%1#,ucwOgB_i'jvX$a<%[icN:nv[/xM9B1hB*eZSfSB2[uI[ITyvi(T+^L7V\
U"q\U5Rt8-BlWtfX3+]^KNTTbwC5E%Gb_/hAdu)&afxZr6[&fm^T0X17+QA:>fq\n
U"5X2#^>i^VSg*?s&T>%R\V6qgi]Am2a1\a&S9d$S__?u\STrLl'f*D\dnp5C&b$Y
U"nWOHL#-i84E_:fGp5WXrI\JMzd.010A>=:Me'TLLMU66zE84vv_6f?7$[t'm17p
U"Ojq8B.#-42&:4K'.=JL:S?BXFW0p?zFW/S]C_.s9dsa=m[YDHgIpLgK/f2TQ2IZ
U"Gv6<Qr]I57rc^i#9;PmHH(9Io]3[?k2N]CRJ9J:TAD]SL3-\t/-B'1<Dl_S$Q+W
U",=gT#_nWn\:V94>UARz'z.Z(bh[Ig&QfWwHgA-ML.5Y,QM\alPs&5)KM[eTs9c0
U"..WMZ>*dr5Kjca;^9uAw7j&pn*b5Wx0dHQLi<]79ZCn*J/2o+Yqx8/qfY3A#_%u
U"p9QP8iC;e5oD=[p,7twOrmG$E0e1clL0q8>;'7ZH)H?'m%eySGAsMpDS1wAc:>4
U"RAXVB,qJ4QeDcrOQ/(Ug2:YRGaAeD:lpVKMnkV^cJsD(EcwPZtC..vRf'=o*AQ+
U"qi\]L^Q3;plQEN,Q(4sP]9IChGAc\M^Xx[ZNi6M:GetId<gb%VV3_+rtexmm[E7
U"07-V,0OIIBRI*Z<TMH$g2G^B9HqO<d]pMlkDKlF'k/u2+FljN><N*09lZp%9=MN
U"G8wS::TTo5n).:v.>I?hj(XcKP_s,_^k?6c]ro^Sc4chBB'QEv.xv_-G;#.Rjn*
U"C$MTI^)#pI89lS6ezw/P^D:vlJ,G5e,6e68fmJ6FX.[Eb&o<f[qnbsO7T-n<f+J
U"5NkLrc-bV&wcZ:HBiLISFNRF_;VcDI%dN:A5gu)kXW#x5_bdtI'Ue2srcASj/(D
U"Sf?Yh54a8cGDnCQ6hG7Tv+NfU?z,o-qAmh(C;Dw&?G2n:C/wIJ]43&2dOXV^m9/
U"h1['_c:A,PpE_W83ehjPcB1g_Z]/[Y[DTocB$5>YsJ>A[Q&e'LI#Y*hjivhTN_s
U"YbD%95f7]l8YA?U/UET:sBht%\2P#Wnx([lA\ROSMYa>%;fTWfAfTGF+zDCbg%,
U"ci93rTkvJw>7TQgn%KSuiu8R,A0RK#VjrW/Cksii1MR#a/kfc4,YO(2Q^2XF<uU
U"vOpwmes'mE,l%lVyGn>&)ZDx5i_&E#7wPXjw*4(j;t<f__16?<laDSRR+b%+xG1
U"\#z))RIJ)QqQtoPY$aLH4qpYAV_czh4_jDXF0PRfUOSUGUPNTF]9q\F+(t9N1QF
U"*9;dR6e$V6^0#'=prAu1b[fN\fph%A.p=8MlDTGM+LIsh+gfQ##[rwn(]9ljaRn
U"crQk#%o]n5c-vj^8k$EM>Tdi=*3%RGM?4:^5N>0,=<#nJ\$k7H/u^t5&/d:R=hi
U"CcRxUD*>k0(giO6<+^,AKb\#]tII:2RSBQ0iWVl'UH5)V_fZg(4Jt_s;3cR0LN%
U"%_2ET/mCavnkm2vtSH-6.bs(XYwP4$Q.j/KS/LTsk?I4cHYD-ub7F(<yI4b.jj[
U"vXmmu$9MGdYq24Tnp5Z$8_R:(xwb[^z2B6_1ByiE)k/Q-1+SB,S7Tj:.0%1].oS
U"bf'<0ApwfG6Oj)Y\.G0ep8lQT;\g0Ch\;E8J%HyK((Tn7Rk%x#iA[Q#ZrsHb7G-
U"DnscKwoMiEthF4WA0Wb)SH#_a2yLfQrL$p&l*Ke;)7JP<mLIRn*8l_3L8-Ayw?+
U"2-xgQBQa[1Z$96K%F/g,9tZl7a.'%-fBdh4Oegd]WPUmN]tuHv=fm<ATNiH%LUX
U"yIJ;SXil^v32]>)?gqcFxfT<3]MQRTYM%WX/aDfjvaNG*UFm8c;Rb0#Msgdo&F.
U"%.):PD>._)=5$^5eoN;*GRZh#,B/77lG2wKRyIglb:^.+)idPWa^2=laU0:P#o8
U"YtpbxS][RY/#[^mAJ$ZM_>n7SXWMQ?oJ:ygbCqi;RI7Ik3VBK\wDc>m-3QY+H-c
U"rgaU(sGS3-2PJ\-HJ'Ir;Z4#PU2O%##7(=v5D70P7(s:Q*]7J:_Dwh>=%kg*^_>
U"sb6m*>>%>q'Yf\C9L(b6niQu9rD*/_%YmW[)drfl[GaH8kZhQKgVY7=SnKP.T;O
U"AumlJWB6=l8qDxfR4phzPucv.qFh:hiPmWZX1Rq2rmaOBMgDb?<^2HJ>U(okxuh
U"-(\R6'Yl94p)tSeSoG:c9D8=LE>$'K1Xw2)e4-gIq)-MuWTwe^ND>.<08_Rc=ty
U"%j.EcujJ+ISB;RVq9&Q0Lqd+];'t/w^QnHd:Nn8:D$g0*d.S*^Ge8&FSUOTR+O'
U",kf.zAszVCW[04/2,^$YRJQX<k?AW)V^/KD]8Lu8*XUb>fDgjDf61Oi.$^De[Q6
U"Q#9\$7>Hp*u_4sA-#^HXT'B,82$N&#N]sK_:J+6A$o8^e/A>oA2Cr-3<4aAuGD%
U"J>DH$q$Zg>=Z1gH1..+p7g>Pq*)D7zAwOE&3TC:_zy5],SIIy55ep1?1;U%AR6B
U"B%p7ge$w-j)capW4'+):'FBP/,KWRYP5]TpSaT/R[R.k.9Ln5,hb7_(FdF0e&f9
U"&ZB94CXd2Wr94zQOPN4+M6vB]&U-Wt'T(z[kH-n0]9xZ'nt.lh_uon-M;cCN\'O
U"YJjjbX_fqzHi712&n/'0th-osa1)cUbQvTfpQkc'skCl_MO+XEo$_J%u5fbFucJ
U"L.12.CSm0\.UuzjqW2GHRZ8'CZ\Tby*;]#4aS4kE/P;&Qd($#IT:vg76Tc%XA'>
U"_.SyFRnSlE-PV3H>:>c4Sm6T;g<P6SxHd[0Ye>-;.rfS-e+hJXW=lSW-sN-5;5c
U",9P18g7/HmdtJs%[:%IP:Gej,(ZIR]=_UQqko(d-U:H;&6p0bWK9k4?;#EBP+5]
U"iK?V6b4-Y<A8PS%6]47me$t1/][02SmY\*:R6h$-5-+-'$0q#uchB+jP-Xg1,G6
U"S^Cd6QlGF/0t&nLhbn8UB>yG:il67]?\,4zPV_8M_Lzfs1rBPrXz4l1;Q)OD.-^
U"u_3KGR%icqp]EQ;tq&uChJrh)5GE8YEiEY?)\+ih0ny2,s=4u_DX#E4t_?/(11c
U"Bzu#dfqW[JTO^#IjQYS0jMZ7VRaDt-'V5U;JT4gEp>c.q.>Hv_f8X(wb6fK<Z1)
U"5u'2AdC>mt<v;toug/iKoBR2N[\_#5?f[T8)>O*kr*mJt7eL/l*,KAp)'o9WayK
U"tKJkfUW-2*w-;Y>hD,VU0ttP<f9^X<5#F:'ZXHAVAAk_vv2Bd;hpq%04GRju>Zp
U"V>kV$d0S)T>4,\'W]p0S.Vo:_$$m).EyT&dE0;<(/^w0(VrGMa4b-iDd+w'jf+h
U"_qCqf/ROJ,NHoWCTJR]%;.H(7T\w#A-FUryp+5bT>j5b$cdV[wS8jGr?;q+9gx'
U",c1qDMh</Dtd%0U2q/xm%vK79I$Y,[l>1wK,OjZAT14O+8/Zj%D.R5]0=?;Cb0W
U"GYRX\AsK.*F1'vI:\Z(b\MX[/9*HUD\\:UD_u9l-lQ5[tB.D&.o;YyTGrVv3W3_
U"q4$ZWNU[an/El63S?'vA<a+,e^WVH]_39*vkPRZ?$)bdhdmf\:dm<W2,H>mw+Rg
U"fHLQTprnP?fiF3fSwfE75x-hI_.ltQiBL&UUnL:;F^&4wMR8q,Z9*a7]Y_J./8\
U"1EnO#m_Xs9kiUp1C;WP?rfHY6peWZE*h6tE*_rHzDaG%,=Bj++c=\=x[QEv?2sb
U"*RQ'cy>:aRU,^6V1af0E;Fa7;k,aG&jOq'y=fVKDW9.yR,e]0g+.r19g.U<UWkZ
U"qGfl\sp:KJE>?JC.NN:Ax.nXFBioh^'eu8gQHZ7G?;ZWFA<&b5;)/o$E=\.1gZv
U"h,2Wpq*h$QzQCJFju'kGg:[,8Ba^^xAiU#lrD1mHhH&_L'rV3wmb45s6YU=0>1R
U"NY<8ha0>*]S;fE:RI/Sgv#Ps<+qBY3o/J-\r8$UE&FN8-Zk?uv1rHA#(ho:(^$w
U"(e>6I1ikibJ'XV,-ek91W=aq(-l5t>Cl<uhN(l?=2ph\J+y;wjEk't)iQev(ABW
U"yk.BDkVD&6Dl(NSHvWn,-&;/4U=(;2X[MkFY(Oe<bw#p100[JXtEG0GF;ID53II
U"$9Fm^>UJ.Zl9$P*f&F0[ttF'e=$6b[/Nl.b'W]3e9'\00Y_SCk1/ePjt=Vue#f7
U"r5cSV1MnJMW*a7'J16K2jig'rU+v;5jsDU^U:VmjP/Vq$L^qmL$\[kLsXYYu$ow
U"*FP^W^%07I/bNcs2oGMD4CpnD1Kgm2$hBX[Ft#:wN8HS#>IVALWAwV3sa5Y+S/r
U"-dc%WJEMR0rmTwU6W7:=_(g>]XDJlppC:Zx1M9mxL50)GiRp9i/$1U)^47oH=#;
U"0'ap$rQeO*ipMuTa%u2Sv$$I$\%UGf^3_.e$'4-f]W_G:7&PjkX(\ByCZ1w_23V
U"a7,CKTuadlwPSQSn(J>^Wb:4k(H.5J07BL'IJdpgD^b#s,+WFukWFKWWlqx']W\
U"zHG/xm1x+ew[_nmW.]Q.F\o\d#s/&;A0SU<1Nw(_3R<c6:FF8KaNKEE[,lUVo'p
U"O]l2x<V9;5TH>5pX]f]g9BBNZ73s_w$Venz)2>uWWW^)Oup?'?;W%65_Xz*nGVk
U"bf_[%Qtj0\H9xj'q%lFCD8_of\#J$Q<_7ef?2[0o^/>fjsp$j_Gx42NC7.-Mn<'
U"h9d3FPp56HV)?WJH;gyvh_:7G,IuU**]F+<$zMwb8;.H-X:aLi;w<=eDoh.z-;f
U"+.&6s>.*qsk0+oI-h/mo_7fJS#0n(ZX7*LN11t0bqbjCJ7w1,7xv3s4L3]:\nqs
U"CcfHZkc-,lvbAbDrII5bX&LDKN1Cqeg(37/#Eni>w+YWG1.EVdqNp3Y-RONqRS2
U"d[tA#Qc.fTYXN*+[#qlh)fdjB(y?$Sy+P1Iyz?8z>]7-\PpwH^<7y0ErSPrL3aq
U"MU;67pUa]ZKFr/VadNmP=3;MX)PJj4i\eR>FAh>Mnyk=P)ss'-U_I?L,SS:UgRL
U"a$(ZPPHS.7QhVH6ijRktYL>Pp2',aB?zB;W*,(?_T>8PT5)gcet1qNq\)1*OA1L
U"jR;B^W1dQ9gs^#7Dy3*:3T\'?6tS0%A)Cf5Be+]F[GV0g4]j%+*E]t?DDG;d4>b
U"fk>j%e5tOnTRC9=JN),U8jAHEx1)h.J6bTPpof(Z#6EBGyY?<+xPY2\cdsF6VUq
U"rFG-;n8;qEOGRrI=5APYXmkS>5YaaATYwsm=6B53Zb#M9kB=D7YIY60AWFP[P08
U".G&l#G>ZLFG*j6$tg[O52wyCrYbjNH%+<Ba**/ow)C,>8_</3j:t/Py&4(LB-EQ
U"sN2FU'olcPPWsh3SR2hyz(^XPxD('YcNgKu6>RV*BP+?)MsI#[2pt-SNscc9%?X
U"W5MX=6vauV>s'9,gSef2mRr#jd$:]ehvr?U[ywv[$i&XLEwepED*[fT/iDiX)D=
U"-((z=$f;%maXlLgx7dd4nk=,a:fJ76_tf.pvK^rAa7h,S:TSX3Y/x5s,h7,5h+-
U"58dtfQ;kY-lm<HJY-9h/ayDf&q4O7HeYq]L2X6#YmzY#qm29a%Z5/I#JUr]?w0]
U"+KEb1C942NHTsJuu$rVK,4O#n^?Yz/4Z,eYq4F^>Y;')g6FhEVJt2j.l0cc4Du'
U"qY9BkXKq6)/w[?j-eqM[\e5s%M2n5<FhGToz*#%w.kX63/lJ+2cmD5gu?Z^tWbI
U"QjpQg3vCBTDFVdRXSa>10J$E?A0_T036j:1>]ZjVU44[%Q1Tp\4#pQh*gar[)Vy
U";ueao<r>S)VsqMTrpX<5s;6JpupWR2>Dj/I(b,2djHHkP_hA[ZJMdoP#g.OU'(?
U"fbx5cjT_+7SeXr.mo4BSr9t(?Wn/WLmGW85o-=XuZ/sA_v0Y7ElVF/,Cyg;h2B:
U"/oiJ71:s=.f]Q=K)r^QmRF(nr?]AxG2V\VzqpDAqlCv,OayS$FO&09sjk/A3HOO
U"oAUJTDtCpOm.gf<6rOZ_i-ETjH9%LJ;w:kzPUq$1H$BHH:*O]KMS)XtHVC-0ibn
U">t9p#Q<GeI.uz;t0Tq9qSwO]13.\ys_;1WS'/3g.y:;yoRYYMFhU,^fb%:/)qH2
U"EKM)/Q1d+aXF*en/pCkHfhx2ToreXR-gwW?p(iwYO04*Y8Onv,+T9_TF5X4'H(8
U"b-8Dofj1HZRyo)o_7Bk0$[36+W/p_Bwl1<YY2WC1>Oo8#elXVq4K#RhT2G/ae$G
U"3J7m5YA?HQWdT+]NlJ)#2%+Tk3lc_45,FGt5uoRX-Z2&J7UC&IBOz%A-I=AxW/>
U"FGgEp;DL3)S+c37bjJq;%aBHwWg--t6F9VP5$/r>IQWR-h.<md7['qZF81'gr_-
U"6d8RZN[F*-OTw)rKOP4OD#7)A1;[E3$E6R7'nhK=Fes(Og?,Cn[:T-.-Vwfbi4Y
U"DR5QaKU5F_6V:TGVNm9Tjc5P=w.M0p7U3j^'Pv>1GQ\ag_YmfWUSFJDNsgAi:Wo
U"6Y>.1^8Dn3#E[S*o9kj7A:_/St[Ga;5f#R2gSG[z'dk1jx%\N7v=:Ixcq#d=*)]
U"GBeO4YmXUt*g9v;9Xi9^*'f-]f)y:Bj\I$_:['B,ClM\)GG*+f*wd*F<M71]4GF
U";e0Zw1DFx82G?;YA.7mO'I(<[wY87v.GNxFxJU+FA_Wt/]T&^/3>\HD1J3,qqh:
U"kH_%W__*mjl6OJ=k(jogMX+W?&vBm?B_Ain(ic3^v*v8*^MGDOQXp(+v]3/0x#m
U"F+zVRiIYj$JH[24_kU#B&U>>,u]xj_w-%GYK]2(+P&lI/xdvKgm<GaV]OaaPNI*
U"jnKEXIGF]W1xh>q(?9f6,zK\,[&%]RAu8Fhb?Q.$DBxACe:(<3q2Y1KCr=VYX<U
U"^ei7hI2AA1Z2ED>G5rUHs5dBJWZ0dwDQF,cfEQB^\_X\*7WZ^ggtcU#9gAjf2fb
U"3VL.8dWhv\$]W+7Q61JyjH_t4V)-dsfl'vMNrWAta4qf#%tM))iIkFRPD683]Pq
U"JHw$4b[3In'IL[bSOIJ88DgkgNX-#.l3oXO<2SGiC6&cNL%d+&Y9wqPH.[+8utE
U"A0c8BgMhfLBOy,W+f_M3WW+gn9nzM;7SgLSa9e&XjWOO\%O.>[tZd.a5NUj;b86
U"[?<)S1I=79*tpO.MuRBv8Y%,Wp,g8_P;U(.l,FCYraInl+%DQ\>&[_-6&dO*)%W
U"5-$l)Ot_dq6P,'p^yOoJNdaODs&MkaEnGXaI1,0#_#DMZGCfRq1[^/;f0'CDCJ'
U"H]pjO)][-uSGtI)l*4Nm/I'\;uj\JXyjLZMt[7\9SVd/h(O]GG-W+&a5V%UZB(0
U"VH7i>2b61M?/J\VDNnLY47(jAd63e=*jxTQ>3nzq5.23o[D?d-#5Xmq4#hKsV+*
U"h/Tuip5p5?1YKrCL/DQKoF?vpTH8<N4K]cNSd2xVEblB.WO?by0U5T5&ePY<JZF
U"rCw5Fg';ul)fhO]iMbPcj?xuo-'NFNgR'<jnNIuxN3O8Bl7LhrsQXnp5<EX3\e.
U"+WNoyY*A$HT9L8)4U5/_q0(>QfInA*n'e?wKOATLcsr&-(Y;Tof.n5+D;ldV.^G
U"02PzdvCPg4')S^k3&'P0/AYrP.e^aviE#QJ>zu=04.:P[[wdkHDI6N'W']c.<4$
U",<U:GI%Y*=xT#)Z_u5QdK8>U<MmEQiXqd>4)T,5$sZn1ii<idN9p\/Wl/YNQ.pI
U")d#:GqbBm&w>[,Y$ZRMiX<xl\sD5ZN\HH.D;]xNvV4e6,)QqW0U8Gq,4[5XkQDs
U"]>T7Is,kiX-pYgH5HHaLVpbiS(3_NWC$zR5NtvRi8Cc;k?;$XyFJEOF'II_P:VR
U"q#5/Hn,6L)m;SSdiJG\&A7w0U4^Ne>41A?DQ)kC]\jXCi=ZG[/Cxq$+Jr$jsOsd
U"8<q,PeM,C;EcnwM/oX2k(TsXrM/L'6axP/2F'C8Pl\(l,(LpCLuI]g32*^.'Q*I
U"uU8kPm/Er1DVsbLKUx]o9&40alSohiv4n?&cO(rHf:P0576m-lcpwDd='SGWE^Y
U"++bS#ki6V&]6q1Mu+HCJ]gnR>lDd15AVKAU7-f;H6%stVqSA^cQZ9NQ>*enC/6(
U"VG9g&>EFMvJP]A.:+u;]Xu.2W9HKIsl7D0<2[eQAh:[f&4ND#ttBz->\l4E#44N
U"LTK7C<m=ZhBlgZd3;vr0V<tBDBNs4];U#RKIaJ<J9ufb6%qqpdM]b^ghseLT'E_
U"]=]c^^8QrUmL,I,xW4)C-9d'pP=dELO:)vq?Un,Z-X9N=^Aj-c&B4%Z&>D/E5e#
U"270]XUKIs=nAb%)YJ#4HO/Kn<GkRQddeMq4Z?S>*wcB\=\.[Z(?jOkD:;LL=91d
U"qtp<x?46KO+>ZriK375d4*I<wQ^^QHHb#<ERrNphUa_'1s+]tMZFZFzK5]Y?6B;
U"D$jAfY/R?8+LXR_o(?,EqU^bDetjW&_HvA7ex&R+k(3On*PC4jrbzC+\4+'0*is
U"Nfg>AI(([$QhvJ3HrlENNE&i.n:x$^5Fj>bfvw]L)N4ym,LRfP+guPtX'<KgP'M
U":;H^j\?#U=3u>>2:_+]aD:*-=V)X_WE>[$N9YJZ)nUA;&/h4nRwE6-Agkn=aBUT
U"P>(rWbYW(^c3,;aYuPROabr#TUy0u0GG(N=(g79cpoLwbTcsZKHJ'D8a81n]%ol
U"6h;:l/cs4+oQk[p$1kG=HatwkWBFrH=;#BLqV)fhQcSdbHCS+.NS^JTaJVz0V*M
U"-t#O>cZo)+U,\N:&I6j[m];Ag:t77?o57*dnu=u2cC(4cm9P/nK^T(gykh*)jTD
U".v_/NY3v^w0Y4(OBqhN)$X_Qu%um;o:v5P.:W[HWXM0b.[>/?s6gf^WUR8rWZV:
U"D^KRX.Msqv^?C))8L2%1lXl)f8KjVv&_qwGwMToXqO3CW.a2R=BwFj0fQabe2nF
U":$Wk%rX8>3Q^KC&4(2cMw&r0)>k;C/2=8zOH()cag'),./EE#&g+zcW)A'%,>vf
U"x1d%;bUAg$ySx2GUpy<xQ7ZTQYaSGTEEkm+gY?Y<^Z^F?UGxoVm'8iLa\&rjh_C
U"Uk%g8MO=\Xdzb247RZqIhCC'6_hHe<D(WH:I+z/DUd:m$=xK?F1#%NvRfF;Q*w\
U"C:E)kp%YS:]okr951Dh3g?MOI%zW$jJlvqG.HXy:X3rT?h;g)$MLA5NXx'Q$]vr
U">#bnS0R4pw*$k=T]Tl/*<ZYWvZt,p/TrSITH??NfxiK6=Sz/h\0Dc#qvM.p+Z^>
U"JW([>e'oyCJ$VnYB-Gtn=1n'2Iu+'=h&K=t.u70s-eG;m4ax#oksc91)T=nerP<
U"bKa<)&,,OK^U<,xpt>vTlOdQ+8)S>A\'nr?7]G,1hqk[dx>qgopcO(\e.=N*[KV
U"AE[rZ^kW1_c2Z>yT;X1WDB>G?NUV'i(R^JGE/aZf>Fat]Y%1IkTD/_sv7Qq=__j
U"Qg+rWg>\eeLToD8su5q4ga-MUV2y<O:1D^AlfV4]b<qfN)\]WmLrygn]?H%,Wg9
U"?wqv[XAfh0gI>/VS:mev#=f=w)Q%0UCNu6G>2_A83B6oAi>kphoQa^)DLkN_]KL
U">Gh61iimJVK0URP_/33o1$UqTAHTVRA]^2$Lj,5/Dm^,T03d]ox1KkJ8:8HYsm3
U")Od8c+&g<5shR(:ffiO=VGPC%:H<un+S67D^XC0mNfnmFG4rr1>p#.%]P<h+P4\
U"jjZ\Hf2mgaJ/FKfDf]W<Sw7bw14,qcE''X1$8E&mdkt-?B85mW_WEWlP;^?%RkF
U"e89ue7_[#W#X7rTj.byJ59Of/l-MX1P&*,d85LnooF?n_gftEFnboi9PN+[>d>B
U"LQBdJKhSdTQ2e<G:ge)W/HbKZ&nSfCiAEmA(EiNma+R[QCWi1piYn3D079IkjUk
U"L..SCV<RwLWz1'^H,XN/BJ-HQ5tbjYU2AeUv,gpT)y?TtpvbO/lSBa,/\KWNSZ]
U"**]3GjpgAx:8LQKm&c8%_S=,W?KNq.qr$UEH?+JlKn&N7C]8#0XsZLfk;/i%p_Q
U"HH,GM%zt3b/[mGNQz8r?b;^P]Ttsq#+jksC<,,J4eVR&4Y<He._rDC\d?Am8j.O
U"NiM%:^-ip.SuDGdn92(sD/>h,n9C5#m5p^:)A5QpkQiu=5=Nxk#$#;$=tcDi6]-
U"bbP^GGbW+cI8p1>soYKBJZDLlPWh+a&0e(.K**UbKoPHihWGPkv'IvNpnlm[^?i
U"[:=aajf?*7peUNOFnheWFnO?]SOmcP)W_41l*H24W4gofeFhE.t^Z>lD1bU+X%U
U"X_e,IonHp<B7Fw1:Fd&XCKem.4M026LZrcw85bilYYesbR[paL383YMrg(,e#f4
U"BW[=7CK=nl0.(7irBlX2FO,Rr^Pd4c3'Pf=Ur'.Ep4%_%lv0BV]IBM:5&:jcj+P
U"2mSmTk<wjpp9SG]g88v86v\^dc=$oNZ^w\^Zva$f>YFpV3=VKFj2+jx$$l%^,,7
U".F/vv>4pDNZAf0<0af2ip61i+7X0WKmPKv??8PaV,^>G4hW*6su]P-IKf+Yc'SE
U"jvPq)KE'N+9wM2OV:td2,fFJN13%V[Y?j13i.AM>.=RJ01A_Y[7*uWufggxODuj
U"/7i?FGq+7LuLsN$NCs?^c=Y%/S6&[DFF:OjAh-]yhWJfeHj^AnV<CJ=3e?$ZD>#
U"oeS6Xbg-1C5?nRfTSrfmsvx0rd'F-9^i-,/qQnT<$_vkn]pu]jjI#&_dH5)qH?$
U"C=yYDLQ[jh_GB$9.IN_-BY6w092F]-o*dXtJE%PXMm^8xCBJO3H>LUn?g6hb7]5
U"S).Fw]#Wvk,3';SK><P+E1EwOFL2FegKoM-fts$T>QU;:o8jV($'9^_o1p(*)OJ
U"mtM^oSar=<i=;l0A\A2'*tXF('#k8&I&?xq:=VSA_5Y'0EUX*25R))VE\El^%NH
U"/HO.XRkk81?Dzw*\'#ormeW<9gde[cH==HliOQQeJ4T=3xaYH32)R3H;U.ngl\X
U"ZH7l^W19A7b\+;r-xiH54^3C:tlXK_z#0ZeReXkGpgm&LoKX=T)BH9%=TDO&&%E
U"SNBA+?^toI<=Tr\\6u5Js=IY,MXVB3K.DT[DJ0Yw'^t.;q3[sUjf%sOcgh6<tj,
U"5)0OQKodEtq_%fSr.(A$--A3F/<kqY+Sexskff;/kJ.AKP=I</O:l-M1KsCPbJA
U"PYbpalgBEmR;WrZW[o]JkeS7b?$b3*2/zQ&Bn<nP':Rldcie6mZ;p/st-vZ*T7q
U"=)j;\Tioj6t:r28ViS>kh+5td0Q$wm4d>7b,53OikK-*ZJ0u(-2sq,HTBe6WCD(
U"gAl5v)QUQ(LG-/\hEa(UCua('V$BS>c0L3Qh7AhZ:Ujk7;q:)0v0LJuCZ&WJlO7
END SUB
SUB V6
U"I.')_d%L2FFC&Lw7leWKkAH*[m-.EgV6ZT*rATb9aN=-?/7qZqF<Oq'MrG&T7.B
U"JB..Uo4&fLcw9R(v0-2lCFSs6*D3u+=q./Cu3pi0cR.Y/grFJtKs:3Nw)Y(PWRj
U"2:wij;I'C'9sDpbiK20+,Xa1?EW-E9WQGGtA8ih[b-P>B]z=+?WP3?;0pE5WqZ(
U"O^\(e6R&o+P1CW:;fl,e'hb<P)+j#$?7TwZ)53g0w=MDFA>A;GcnPEkrfvGfksD
U"OX25,)2.O&(%gYYo_?Y9mvPAq^-$PURY81lX\&JrxWNkTLBdse77I&hx;f:(9RE
U"[=Ds3#s%bAt8%BnFGEtSm6Ot,p*pk.CInFl:>c35Ru';4q$g%Y[WGF-+wdo(b0>
U"JD]$)99:Ip?x:_ZaP$#4&:=.m0Gn4+ipE7FBD>H[]NOEZrf#K;Q*A(W=:CLsC/U
U"i<hHkAA>soVNEKB0iB\f.uuE<']NDbNuvK1J%'PEdW.,#0bwwaM7Pe7Dxh6VkU5
U"Y:MflXC$nAJ_XAmx0rwQf5%j_PPUiHXbmuJx^l%Nu0+AZT8X?OM*;1^C\t/F>Ar
U"'K.c[[T>kg%XDcZcuW.:PSPjera#K^m'fdoPRq9]z;1s[NirOG[Bk*<vGkP.kY0
U"L3rd?JaNV:ag[_[cP\yKEY*eaP'2g,A0zm.U[ULfX'%Q(S).Kf>\Z-?+I]h\PE;
U"XA,_=;j;_AuN.,n;v7]$J%Mjn,qJYy(vi=C*-#sN(%RVI?pIpEt*nceCke<sKi6
U"=A)9,ljA,Ot6F.B]R/#:7Gr$d6wmTE8bfaHjmQs1'B?^ps[084P?xjFWmERVbc<
U"6)?yS(amqagD,;%e#o'^)sE$nb&ryE2/_wk3PtkO+FGAfa-lu1sK&Z?Y?rw4Gkk
U"Ku[AF'sAWGn?xJojpTX\DtT0t1(0^vySYKv*526jVf#,Q^RIo-q]gQX2\G6,C-n
U"u3NhSR%2_,#A9/:UcIwvKQ;h'K(/;;VQTJQ$DAUCEG7'>8pV,xk3T[=g7f4_Z5$
U"wF)BV*Xsuw8x%4up(%)9%'#%-%E[kcE%?+.6N%%%%P%%%%1%%%%x&%lfi%jrtS%
U"rfpz'#V/%[E-*I3_oz)AD(j8C7V4l'xOGsS]4x$kwr5;/iNB^+r0Y'%up()%9%'
U"%.-%Ek7cEBX2?3^:d%%r-%%%1%#%%x%%lfrt%iVSg7fxfbq:BSAPetHzfodkd-C
U"WeGKTmOb=nfWO/P)7Q%Ik7[>i64z=/A/[#=vg3u[vnT.4b)']Be1:7.q?-6nbBs
U"ipHCpZbPTFsTqr0_NLpwO,kH:<WC>dq)>Zhim#?l#;iUf\B\%m483PX>Ni?0Xu6
U"HP[8aRYfG4/2,?ZTTnKmjmjrq2b>\8-i^x8h\Sq.G;,QX3I6lkuJ$b5/THo$tP,
U"Fx5'lxT>n>Bm$/.cdP>H3l,Fa+c*-kkbf^%HfF^OXHlQ/G&u\hl5hhAjAhdH<-]
U"a&X5)Le?F?h96ja+og);95h1^s$i4&w:BR=#s,w;8d06.:fU4kI*l6<Q_pK2;mu
U"X]';1)+F:p/oiah7jxN<\;gGY'f#f68;IKJ2_>CiDM):=+Py]t'YVIG.U;DYy1Y
U"g+q5\C\LyA*626/N0U1(N+U_sNQUuq>D:cNJ56.,RhAmcf/.yKRWi<UE778IIR#
U"p%[J;#[h/7qUng:E9D/71Cmx+Vc0B+qGP9a^kG08hXFlAToZ)W7.D.&IpNbOY7h
U"WitAgK1';A>yj;gNy1R0Ho18hdRHY,NnKSrEKqD..'6;5IgQ(]P0DUbO&$p0Ta?
U"<C0F'MX%W\K-c283Ku$GCbRj(CO,G6>*cTtAs+1l;U>Q_W%f^y<2(;BLX-6jA0c
U"uBh4el4U?pj\B8S4WGmz0Em'=DTD$V(mN/F*jWZ<u4.%6)QCmAy%N]+H72hqNEZ
U"E:ls%])rb$QlMtkiHm/[ma_pgR'ubflLIjV<<,YdRGKVgfnl>*e[^Fl$QmR#iln
U"Rb[A1TE=0ac\W+pn4ZF;o9R>oTaIJUc=9HWZ>Al#S+m3KDr0M#bWL74gGYZjM.L
U"QRs]&YPJx2Fnn-sY^Cx'c+X1+,W';uDHxdA]h-LR'61Z=Ui?=B:'AcNeU'MfZ(Z
U"FPjZ;BpL?g*rXVC15)Zz:WHz?;4>Q>TUUo^]1D5w1gx_kIpF;_]cSoD$cDI29um
U"h;8')\Ct+B%+s%-wlYdq5i;/TEK]oxu\d4<^AjiQ50Y\[hd1hKC5D=$m1115A;-
U"C#gVfo>[1I=6)x21cKwZI]5fZNIj#w4uXk*YKqqPW(n\ctrI2h]:mpT;IQ^'WT4
U"O>5/>2ZDZRLNj.GLY?3*S]Ynv(=.s7p#%aSm:t^vR=mHO.*ttg.g6W63\O.xV(a
U"Y]c5=v-/_bc]t-PfM9.W-c0TrBaUPeB%a&2XLtr0XmAl]JQ5HNx[8gB<;mIspNT
U"PduV3dgrDb55st14Yc8:N2Q78:T7/hoj6\Kt_QDfj/PN*UCA_COht'y5[Dg)n.#
U"yuXq+$Iu4)&xdfw'FDY(e85R8U$P4<3ZXDi6Eyng^m>Cf\(p6RU6ZQmm*oH;cGq
U"F:B5>?:MtWf-:r&.kb$X\kKg4X\M'8RTngn=zp<y[lvz,><A++K.mr3Kdk$>M#4
U"oN;Wd7]F?>4E8sp?R>=5-S0iAKE>O-g^*Y#c/[J7v-$M:wO=6HRa#\7]*lY3FXM
U"W3y6>Tq=-(<Njf-SwYela[n1hjxoXXZ)mg+nqL-7YZ;nmP:\=]2^+'+&hfn^/TX
U"+CdiNeSWQrI&^rIsmu_m^Xd)C/g688S:?MjlKOIc\ZwO]$.*/LCCN)#P1WtWOEI
U"58;UK0=66ZZkEqXAjR7aMJs%7lgSE$J[vY_Drm]BN>01RLSP-,?F+#]i,LF0a$y
U"NmeI<UONCg)Itw>L6uGSJQ]fYjrqo8)z?.gR:bO2A6JNL*aEk-(*.FG)\$zf7Yf
U"JQ'2P#.F>%t(F31YF\3M-_b)/&4aisgbIu,XDfKaz[m&pkt+4m$P9;z4E%7AN;>
U"E2mraGHhq70h0impKw:#A=/IOY&0v9,DKHFQ<mQ$N'rqImn?)aIF]F*_B;DD#*6
U"6Kpxf:+^\TB$UdWvJ4UE2Hd$IF76K'%>4XU#7ug-GQ3[o1=*GEIRkc[;2]IGV(-
U"kLgo4#qDER30vdx<%BL1U%tThtUNK$/X<>O2jV6n4qFbZMi)R3lXx*t[q%ET3Jx
U"jwuuK>7+ssVSO&X,..KFS2r;ysZ*9n*$Opr3(mgC3LQ+ZMYi_[j((.N?9-]f'e5
U"mJj3tL%8:nJP:/VdX.R]f;*+)rXsK[;IAgr]6q's7Wt5WjJ*4KVwM+,#_7jI%f+
U"I]5.C1V^sPa%YE<Ug)RT:p*]AMim18(bdCp\8op]$g4[:fXjANARumS_w&7rg.0
U"WpIKYIXhH>R*Zb\q65Z5CM22f(-x7SmTO4OF<oR%('(yw0Iq=Y.QjN6HR7O>=a^
U"\oL<W+=g_sO1r>BKnrM86M6uVcdlYyFvH6N1mn>NVKFt9,GrLxL>'HXu?Y;K][T
U"9VkZo,zYd](wAkG+%_>=SqKbLoN+JIDVW#k=m2WxgyOxas_HMmdzHD>m9EPSj6w
U"#4de?RVk),dZ(U.YA*_&h;2D0r36$SW&=>n=NhC+[VE-pnh*jDW-JY>pro]9MG?
U"4Y1TW?P6y?^%^AYt?\.1IX\]f/z4)jr9#XS$jKzi<ECQ:5ri.0Sx>co#Fk*gX^u
U"be%gZ;LF1Z8kWn%JXIvOKB&6h$NElI^P-aLD+<YQhcxJ.j>[Jm.f?x>7/hTper0
U"aND]SZts&(<gX>=&S-=**vQoI^Ft=3pBSf\c((rDq</THH9IABBsjH:BgmdxQ(=
U"5$PZmTk<F[*HZWI9(lQ/j8aS'^r.lI3]D+4(Rm)2brKKh5?$cIo6LA[EpE/ZF^(
U"\bg)iPm/qVh)36_XQ,m$-.&S]&_&6..j&S)om&'JyTIJyvS$cHgn^q;XG/4LxY#
U"<>F3nwZOMV)RO)LH.:\%w?2o,r*gH=2%kr/]-RH.Zqm*TkQ%T.9-se%E*'N79eO
U"._3leO:.36%'+fE#+)+fE##=Wrph$7iL>4XC5QH:;dSRnPPma4-(^')y[XG*Y#X
U"o;xL6n&d+QOi8J')Xo[XTNO&I+Pz\gmJq\kci+l$lqFW5[.S'>ozICwQ):pa&)h
U".cK=#,?<bu6-gm?5VnlQ&57)hEu]0Z7F?R^d8x%^f/*<JYcZp;^7xKu/-V8r$:i
U"tU:5dRurwRr2e]^=%DVX$VY$[\-oW$c)*HXLSNG4ve]*jSBo1Ba1WhcE+6Z'2VM
U"KEaY%T+qLQ&qDB/%*GpF5+x)or4bQ2-fXv/Gk[J(3=jan[0R)_u(,,q0eQv\;hj
U"QhiY3UqyY?EP*'j<]Tn,/q_N2ekZ]mCQ/w[;gpis.Vu&Xy]KxL8A03hc%uC/q8I
U"zxQcKGZlNCC/Vau53J(Ym6r.fDou:Y\&j-LQwYJr24RsefF>1MzyWXUPB#siwS#
U"%OsWGgL<4sqmGTX9P)\[g=kL$t+rO:.(aSaYuY:082+ntnOL<BP9PG0KK4*[p9\
U"]*+ioCS-Yp9T\/myScwM4/V'%ml,y8nvAMiih*cD9,LoR2gNPP='MV$F<.\va/K
U"Vo_v:m^IaE>Hs#emxk$-1\al6IQ;7.GnlU;n.Kz)uZq[:Fn&igVh;nPK/a$:-b&
U"vNFf=^tlVPI*[v2ce(TBEe\b0)pW)1gtS,BX\%U.SWwcdG=xm.zm4Ed\QI8Ib22
U")_+9#]fk;%2'5]i:0UM3PjzP$Sa7pL.DGdN\:B>/0;5\/<xQ>::ea&'Y9;=79NZ
U"c\EUqX^)fUr9T<WVCwt*oB_qkt4i^niRK\n]B0j.8hRm49nlq^?03g(F,n4c>L%
U"A,2*g?AX3,&zkWF2oVgc<[QDMvbGb#aH<Eb#aP_#3+sK.?AP6O'fi2D.-(I/_5P
U"NZG8B\81kJx#U=+v5y\B3,1hRGw+TnF4AOV4&/-'dOPy+1+TXGyT\+'#0;F3j8y
U"h1Dy#*26OAU:$>ZIsHeQl$$Qb8^V*>\\'vSc^7P5h#<*%J8YOL*9w/u,Y_*0aA#
U"[v*j<HyKgroEmmr+iq8FSX+2=KvR8oVpoGYn;t<h#tGX$69.Xj?kA_=#Rs6<Qq]
U"W-CaWna1sIT3y-L,=cfY(:l5QT,BGk64gs/3>n&W%n6n[#OWP+j3GTktCZikc0m
U"bDu7Vd_YS(2Nab(-(4pS#F8X]b'M5%wzRu'pr#it\Vrg(aj,M_w^LdGF0Qn.iG&
U"5IFY-+&ky'u:.X=EV.2+047F(hP<[Vo?w#%p7l5WT,XNp\c72#j4cIkrm096\fM
U"(jf+m_k=s)hAC/8Sf..RUNdn:[39NQfN+2o3#V*XIoThJLr\+Ak<F&4&1H(NoN0
U"A$x_G]^8q4b?ef\;*,B+64<cQP$Ek7Y,eY8AJQ'*(Fu1qcRt$OLjr,gIkc-FG1/
U"fkp<Bt1D&3ixKB0:U]qXfHmt?SO<,iPJXw'aPT\7GJAZ-)[JExfAPN+_EMDC7t+
U"VjErSwriR;PkrBE7PGEi&thqyWqY7NP=%lGZIA4;S)P-1'2Rq%xTItnDu)mRthD
U"lIXFljXJ0r)^dssSJi[l[[%?X,T;oFb;v''J)6Qo2dIB,P16yMsIi4f/9ZRNRO7
U"xWk\%a,&id.+iKfF2,)Q^oTlBm\dxQ$B%nEM16>asFs]ZJtGiTOTt(=_c%S]XPn
U"+pN/qX)KTWhWdVp2aL*1yHiQ;#'NCH+RD^MvTmM]8$,X_hjA;]^aPc^[BYAH'*>
U"hG5%r9p:br[JS0B$wm)=bzQ&me[\h<a(O&l'T%0Q[UNu6JXtzTgpw3cVz)FdE,Z
U"ZGWLQkJjTaB5)>+..fNq8TQ/1#0bTPxQf&I=A*Kuzu$Xt/78vy4PeLR.E67QdZX
U"pU-wb\PxMi&s<DVyyX=8)0FDA)0T9QuRep_v'#4Nlznr[7[f=:kZ[%sf'vF/[n:
U"l6RtubGx1\P>6G*m=.DhwiBM&8Wuy1*P-Tp*A-UxJ9im$&H3eRLrmy4bVGamVq\
U"Er\sY1U=rj8-4sDL:3mPp(W/QUQDS:jFrW-q1-)MDp_%iP9BjMxY&jMS4H7?vt#
U"<PM[1,6[R<Qt0qGSY7vsT#(%kL?&9.CJ5w;+Je^)Vc=bX*o:sC+].gTTM/6M%0G
U"0y,N1:ZP^GYg5IrTR9b5&u?-3tZ7#v5e66AQk?J0vX7ZmE;EfdH'0k+d^hC4\.Q
U"6e]X?h-1D8KACFlS&n9B_mn]lAgi(?JgQo=aRWF)U*hz[YeYSW(KMTIou7D&k>_
U"f=MGg^AH[f.c8WME[9vF\-=s:#j1Ht9/J'kDZ9Zc,f.l]9SA)BxX0sK,dup8\o>
U"#(T:Y45hQ4vKRoqXTaeZZ_X56?$M:/jNDG4FdD.8$;NV<7BNOO+PM7=\($*3Xp8
U"p:U.anPd\Jbn4$sG&9TSN<(?hSl3qZ#7xjx[JROWK)uej;sf$<GmBTcf^Dc_pCc
U"_F#nPVI/+D+yRWS[_LHcMpq7;B'j<,<a$2Rclnf5$/Q:u+j.wcK'nBAqmewtKlu
U"i92#)^l2s?vU$k>^]]g-KGVLObMT9YItfWA.bM$/+YHs],W$-.PP6DO/BtcNnK]
U"$UuOpL=+()&]Wq3l8)>IH9uu*SAbNu<urA5>#ePLn+-dLGmn*)$r8$++P68$q?)
U"$76<'<_j8=01J_^wB[R,-V>gF3nGU3?Wzr'y<:D^:^r&*)HcH+pg:]Dl:(cr?lR
U"Fq0a,:Eu6sYcrtyhE+F+*L'wN?Gnt[&*Qm4XxZQZ46+\pEv4Tv:;ZV.uO[aug)1
U"'J.>/[VFK2y:i0Ka//*c2$2I(#T1DhEV>%IuR5^QTEQmMuIK+FR1qP1wf/f>)XS
U"Mi.]i<^wOiB^ku9A6t6TN_r$#7dG8-#ZlI-f]lskM]Wvp-1\]UlYvW8#Iv6-\MD
U"^ir$2o4H?xd1wCyy2F>fHpc&i6Yd%Vb6TP'8(q(K[#I?]+j$9&:\gMzMD?pnCRy
U"wEPFOS]iY<gd;Ip7'2E[NqC8\.pJ\yZ54PA=%T;%,&o1zJRHI4rLw=n9Pu<'5?0
U"e<U&<)GDd-Sm5ERE0O#>Z[sIE\Q.m794%F4r:+G$JM5mdawA$op9Lt:qh$A)lnY
U"Q]aR_x$s.m44/T#QW(H3\hS,<kwON0GMZb[[qcfE-4&atMjWZ7BL]mT[<lXqg#m
U"d-U>R'i1E/n5PGOQq?8F+F:B[(Bb-XxJ'4/jE3u2sv0;?DpIs(G>o;*ncKG9&44
U"blaDLVr)Xxf%4zp>\wWvY#brz9$<MpM?'jr7f0btV=h]ZWPxX$xTuNxL6&*4x^=
U"RHaO++PhB?%6]DF#;SZ6R%.aJ]nZKiNui^zxIe;+5jy0B;+kCSoOL<>qlVK3Jys
U"+E+&_^ZF8P\?BO._Bpoc-KcNKfYnd=dPIsx7&gG8CU+.:WnQFMh+]s$DKDfm?rD
U"t,5i7zpQb4^M0i)eD9tKaTDvp\nT36VP2B^7kEWT_W;,LEs1cODJHtj&t8vN&Ei
U";)Ud,SbHXbE4r8mj?otl1X[,_Z<p2A$P=#\Dbi/G4D&1[[V5M;E&2a4#499KDQ(
U"/UYqd[_;=0-l%k3h%CEOv5%&c09[-IdcEF>gWl)?jPKn5^Q+%4Vg-(l=plmYU7>
U"KBV]q/cvf^OF85u+y2nK8$qiA-S96PQj5cQ42ku#sa2nZbDo83c0TFX0\bH(^/=
U"qfs.LDs5[T&-XoTG^>:d=rFWPD**r+Q8ZUl\>RhA(dNdWAR/4P*A/+diQj,t4oH
U"qmE2PpK$$Tr7>F12_60#DxT_/hBUzY%4+P&XJp>FbdNePxxXQP1zNq?e11ddm\e
U"A1R:ZeB+(nBPpb;*H\Z5D2uc:0^5:V9VY[WXW*r_f;GTf.PZAMqX.E>,JNLQ)iQ
U"$942P6*fJrn$KsCL>H0BgFpC?,>1Rj(K0$j_<A2D>MNXn#>D7ZkP+R-q:Zl%RGq
U"0#lqNJ>+S]laN=Q6j<S7*w.sXaqXuYp^\iUlOw9N2A-q-Dwhm.IxwKf'?#Bw+Z-
U"Jw\i&RDcwEDeIE;$aDF6aFA+LSa,rZkGKaI*9;y=9mz1nYwr+$lR<-Il1F'[jeo
U"rgBjW>E_i/,tsv&h0hol;\Mt\0cf8RzQd;y:>a?ONKh-<1mtzT=7Se+5O7rmSt&
U"/8^Jk[TZ15t9#]tPSAr/)Hp8&)>Hn&gcZA[,W7\\G#3\_69][X[<Kp_%59?3Ser
U"Sek?\ukgg.w%Dup(%)9%'#%-%E[kcEBf>YX3%=%%F'%%%1%%%%x&%lfr%tiWS[g
U"fxfgb:BSuA+plSx_xpEPd_Uu%ei+n\xRU&ae+^(E#I6PrMxBdpVA%18[K*t3PpP
U"-Xb>b%kT)[k3f;5I#eimkMECp3EC^kkV(Fq?pp8B$KNex13\^b<jnKF<uRvA&La
U")6t[N6\O(2Smt>XX3]P0=1VnLTNk'9\$r<9Z9?hgk[]?XYYnnPps&zI?o:,)#LP
U"/HvGbFMZWVKc3ij6<E5ot,XvkA4SsWrHlWqKk;$d,UeGHv&XV]:VmoZedc]YqaS
U"BNPhPGC1U$j(JhD?%'lze8)'&i:.Qf$fY$.UZ>KjlINQLJucURw0P*G\mA7pSop
U";WFtai^XYJ76C-6rVt4MVQUV%D2vp=u%DS,UsqLS.$N9ivO2djxp1]VN[13IC_d
U"VYR*74G1u3*%2uZnb;a+.F33u%y5z0fh1X]*STnNP+bY8'COf7A2##YoS(,(d=j
U"KnVC#M&%_+19.n<D0_Uqjb%n;fb?akQ-g,2RMLk%_PEJ'D8eU1iR)fDgjOyBVk5
U"/xQ6(4_DhG04b,A.Xbp\9eiMFjNy3nRUU>#$(jcMcP1)Stb*XuC:6h2LBv3oEbq
U"VioLJ72ClT%Y]45DYK7fkOdgL6i*?uYurYWV3H+6ODOF(F2]NLprcPvR>l2D,d&
U"&=U*^ke0NMo;uSZa/JrT.3PqzhFEn\%V(EuJ4NuW9kOP,=9Pmqt6dENlX.XWnF/
U"sx_A8$l\e9H[OK1)44LILwqNE6YOhrjXQ5'<vH_U-G$4U?.heTfG'WmYzRKl_NP
U"#X'4Hq_jFdFge1:Agks*dCsvwpVnC3?#o?Vm->^+'3G4NiJLZDt2WC,IdG-XYo=
U"i$?0plObc5M_-x(>xWquV>nEY*%uw)\Y#J3JEnDmMY\CZt_qB/S(F&tZN$xF]Pp
U"'SI9;Fm;pX6[k)0)sn*,=rw*WkHQU^%l40LtO0sLw_+&PnP9>Dz^F*_sBf*'iZG
U"nfkfAUR'H6-NjVxMfGPFpztr\RZVCQNl>8Kb,vF2eJCRTiVOo?n\1'J]$_kzNj#
U"Qdtd/ejTLtYIbr>ugerckUu+r[)^?;(+5QI3*\]Z='ev&V66.ej%[9*,C$'60c4
U"J&Y6f,IBl-pm,TGb*LHb%IbON'f+Wb\u<jGF7QY:*PQv>Fkpu<eH]W\LNm8p#8b
U"*IK7Ho_xfYyM?eZ3P/J66D87$wVQc0k5-N_96Ug<C>RQ+ncApNC00#/&C9NPO't
U"Ypht<g,C^0j[Zfasa9KU?:7C.kR<O3;i7y5:&A5*e'C5k?eP8DVtyM9M_o,*JJO
U"vr:+cU$FbT<B/F1<,U5;;GiK$(u1=3]v5hqw.:h>?OFX/ns*V7CZ5pZ67eeOf\=
U"a&+h7^)w.I7]^rcAQD?u\wD73SuNdC[Wi$<0Q4<gEqrG.qpS]x_m;3>TBIu0LVg
U"]9ssY0)F5w*\ca7jg&&O&Y7Af,vc>kOu(oM+9RkB.f>wW%*#RAP(]n=N]'Vl/l4
U"1#:]Rr(M(Z>)5$Cxme_(&7I6Pk_c*)HkZpd-\(6Q;k%Pl=&36[1dL%,-*eL(JSt
U"x.-sB%&AJcPhrK%OHOf'hlTR-Wqnpn.+Pa[qJ,y\Pt7gB<J+MRPQJJ4(p2tfc/&
U"]zH-kN*]tr??Ue_%D-%b+JW9(9,,qd$$GJf0016soKFG'ephPZwRoW&e]z&Iumf
U"=1)PtXX?W;(9($tiv+o?%tdRFY4)]I5o>f&PX7ET13[,60=D30/?)1\&c0[C;pg
U"?fd:<VJondB.*Rfz+PhX[jT3QubgLYX<FE4Hze,glvAmu.2az-wPo1y6=7pAtw3
U"ckwD6uqdT2[_(^/T^\p[%=?O?C]K/dS\7g;;bL$D,HE)CF,zm;g?r]<B]On5Emk
U"IhJUy/J>L5CE=Lr$d/)>Ot2x?CC\nj;K$&x;c*pX'EfhH'QedtG?8IQ?LLv7=*F
U"E21#xCfZ'0?KM^FDnxcXIWOZ*BPGi-8tFR0,gc14hou[M#:c]aJm.8Xink0t,bM
U"3crfKWI.IvEdinvMLqs\ar3Ce$AyNd#QMSR:K,CBQ,sRIovusIrf:7tE>l0%oiR
U"G8=aWvXd?(62)Ox,StUG6NhaUs'&l^+:2ROslqrk#^_gr:gnnZ)IV(+6,H\FX7$
U";BFahe69SJp-SJ%9G=>&^?TuYc85f#7z5D.nV8Kt_oIpont&oj4eneX^Qw6MFXx
U"A91l3T'?XZta(,S/ocM]l5;&J84JSZ,V'6RGUjZq'MNBj']x4;;k>5T_mX/Zpc.
U"*Fx.eVK'BnN3^n4Hsb:EA,#5Um(uO\0G<N)gPKBC.<bR7ccnh*)U3q-W3*1;DrA
U"MDRp-j(J+X4WFA?]Fw?&fnY)dAb)1q_oTsO-/InN$_bgEDv:Vn)e1cRq<e,n3FA
U"%o6[%ciLfaRd2cD;$PX7hT#]TiNY-CuHjNoI&L5LL\=^Okx1k'co?I.kf7c:PSa
U"gUM_f-v[)2$;saVEi>W1xE&uj$YGH>Bi_m]PU9)[DWH^#<GjZI-Ni92t-T\Tj_l
U"XlB&_j\7;bkQ6x[;ZX7T>_-zT\h5y7Qi+W;:T3f0v<g9:257(r9gZ,qOCh,E[OD
U"De[3c#pq[Olf>ZPIJ[9CJg&LwMx%5b9%+9QuMGb/MS?pLFXa*a,_i7,=w2+2qZ9
U"-$X]u0x#]t5yjgsh:hLR49\OE96\cP']slvKF/E:,O[2)*50THOx%U3)hAl#)(h
U"vBkvNq>ZF+TPFFa)HQM6dI1pW*Q%xLVX]HuqGu[.MnrB85mSoX&62l;[G+Bn+Sh
U"Y)6:Dqw>&oWo*/G%'GdfQjf^YC<H/anCvhYH(:eXfTfKGDRkSXttX^U54J7Cmp;
U"''HN<3uY1%P*;KkrLMB+Tn%uT4I:959nQUaDGegT7-\HL:i8lL(jp,NSPN/LbU1
U"H92l%tfHOrpnepPNwkdbc:wP2AejLdN(qQvEs2Ng+&IMY)LPb=3IhTmNu5I.MZL
U":rAKvi)bK2=lBf_14dn$,9k[<9-h6;huSr=oitdTuOsO_\aSZDUUdGV$fnCr\0w
U"o.<0?bbpQegn*P\7p]rbzOgpJ:-Us.gKPo4K4=>nfo>U7qvd+6q7mZY5TR6za93
U"-Dr7V;Pv?:;$q2H'sovCD-lER6&5R,IC31P<%EpD-z.?N;HT\pa8eJ=1HpDm)u6
U"1tJ4GK$2-_LZ\\IvG<aH20%BJsduSpdqPHdi>wh52A$[#8esHKqm<iqYja%0&)M
U"ae8rgU98Gz7gnHuwE*d9FV[:o%4tRnfh:TY3t.#vTYw3m4Kk&,k*ZK-Fvp(B$cB
U"k]HZhS8eX5ASsWL.NsSpTJGxsENAF++o]wG/f7-c\=.zaKZ2HOQ*m]7E=\8FsE6
U"&YPevIKYbL(h&2TA=K[(h$*?YESuY;oj:p(;:sc.VlNi#>$uuc372b?TngW\\B[
U"mtFL#QHHH6DTSmNl8QqGHdac*KsHH5<X\LC_[8st5[\<92+5+pr74ENLlpv#$c$
U"XmK6Qx+=9b/8I8NEk#&w-E5-HNBJRPD#PeIt%5nNi[w;vc>eAt9r_9=-/jn'+I?
U"+o4Ce/?O0/&7Ac9%H'/WhP]tPp*UcB:ENdI)elV*+qlH<nS7eoQq)ZZC*'nSHOe
U"g^'QgIEut'BW*bbQDD5'OI'Ds?[O:sjH)t1TW*6mKX_j0(.*lOe7BU>=O>kSsu0
U"uOaN>g.M_\IPYAK:=DNBR#9I>L-4R00#\^3VEuj>>jQjjme2khL]b6Z8U;UhV/^
U"UxlpJqypdu1#fq\hYUs.vLF5e(%[p?%]6nVZ2YWQX400JX:q:FG3;P-YIZNN37V
U"$5Wjf/(FKi-\2S7rVh?^ChraT^n%yGN2f'LI^W8knDj#^z5^^%yn=*^3kwo3cI(
U"GvAH=U'&Osfa(9r6,xH7+9&;eQC7).(/O1,T%u&GNoN-Bx*R7O^21&v'-iTR4ty
U"YTT,7b*=5-.&MeIB')?xC)\9Aj8/29(rblH<^ALoqo0U-[M\a'.)?x=ZFW%D(Ej
U"+1*.^WM%KyYaARmC%jfM#IZv':p?LO\\+SlpJnCZb>Uw&8a9-n1cG/CIo?nKh.f
U"cc-L6hK)&hCq%C8b).,eYOVNeHR3/(ArOQ0DfzvD\sCQ*88*\E&K+9p'z;7mQ&J
U"Y%l%S4-qQrQGFtV\ENMw*<.FLyfuMgOk]?If87+5,iXb%9VJ:&EbS.'aai&r-aH
U"o/E4x#w/?Dk-hO/-RnDl7wojBK)fh_gEYoux<XPi-PEk;V'B=oT/z\J\r>Y:#,)
U"BS;,SZp77'0$dHSGx>vj(;q>r0=%Ds3qhgT;3ZXiVB[P;AQ;t=21/ZrWubLZP;j
U"j7mc7Z++w1]24OjSn1\j''<>]oWO26Tz0V[1BpRb)#%/$L#1,2G47mRjeb/lOo5
U"d;lYig++fIrvt%:C(O#,*+SV/I7rL:bTn7myNOlVe1dUM_SPoNL8q*jh$bKk)cn
U"j[XVLGj;8X_6J*PYHL9;*ftJvIcR[\JAk$[_25XP9R3+B$FK*/]E#ipx'Meo._;
U":EKBL1i1n)Rf9(eYv::=WmYL($g%#p$U_&1yJ+Iw54/ehViDO8\C.tgVtXVRc1#
END SUB
SUB V7
U"0STF;#<;TYoc>rnJmjANQ,]&=g'AW2lN8=o-juR17baQWVlHEE\%vSkC>5C(Vv5
U"K]ZeowAJ]1N_8?A?n,J;#PNSNy$tD_gl8[FWdsHB1(UY2;RPF5h^8(,'F2?nW79
U"g8BalIA#XXvmGO439WjNY/#LSsi/OPdrZb1IuO*Qsn:i;[A:/<WrZ:)[3^WE]\L
U"C<#WkbbB&ytljPZT.7:#3;d,(_^N9;;(dKbA[#Kma'&+(ar<+JBi.xP%bYKEme+
U"<2.MRX7Rmh50c78\xU,EIgW]U5c3nYvEAuDU2#biH9Fu**#Zko(C^3hstyC9wq5
U"lW./ZW#?D/dnop/V^l]t8b0[NFaD)v+J9U8R\>',eE1s]VERe[nkgMOK'aV:/f,
U"IN(.L#7B&A7l.w7l7p7,S-,bX3Up;6c(sOuo:[&N#AV9ttyMi/9O2B$)3[d9#rb
U"o19.WpyKU.H=o/IypGoT.3%g(6:hk(?jVwOdV]b8P9,WS_U^BbO&>XEeS\D*guS
U"z]PqrS.'f-UH<r&e;7NFfsEoJHn:-Qn'2g6\r4nEu.A+M3I(dVPFZ<e95=nBy5G
U"or'+2e8SQxE$pua=2&*6MM1dyKD:Jy0bUe/ZE67j]QKSe^[xbhW<?0f.:km#11v
U"t/rt54?Uh?VXam5)a;7Z;4LBKNBz_(IqLzch;gHbc/nB%8zXO2CrvV>2R<6A\Yb
U"z2Uu3v4L+X1PpOb70XYg6tD/Td7uq-,kU<mx9LT#sgTsue#MFMUUMEwpa]K(vPB
U"8h=B-\WKQuvefvQm/09nrPJe-mp]&_Wx?_lNH]Ue,lE^(0#aUVNW9=Ugq&e$g^.
U"ad;Z1wk[a#cZnQ#&SBXqrZG](j<8>8*qcnHWZhP?_D)^mYotEx5Cx5DBsYYXx7[
U"=628jLjIP.qi+LaA/=9X^m*A$\PKtP'652TYJ(MB>X>g3tVqE(KD.my_nV5>GjN
U"VLgHZ5^%$MG5h+;oOXgEkphuuWV*FupUB8K%<ySAILsQF)7d0'YXMXeWTF1n%d,
U"i/seS>f]K.eG)rVDSVcP%Yghu&xa8IL0)I5d3U_0Og1$?a*imqj)CKhDp(L;Z=Z
U"V]OO2RCYDRhi[zFOVUpubJ^tcU#pr/OpEP%%coHR?B%n/W]X),*,s(SAGK83-Bq
U"tbK<1]F0lzT)bTZ5*?]i?P7snRFyUV;u9Y#(Kd(Kc5vXore(/y5bVSk4EO'$V46
U"+gCM\a4*W6W<rkCt=J7+>jvK;euIB,e/uscnFpl<>L4p.*J%%.:MOu'_e<^.vPa
U"K$Y<3iuQ>\:k7aN^D4:pd723l*IOp_<KXC%?-*rp4[+Us+7fC,7IslX9Z_\%d:$
U"m5jbrwoD<u:&KM<p&c[u6Q;B^7<<516vYziXj34pS8RM3w6eKjPjM6=>7ibw;-S
U"yjTe$vM]A)J1zXIZ=[aBO=z&u2cl5oc>&Fp?Bw7]'gr_Qs3?uAb_.5hr8]Jp<D2
U"DLB;iK'8S,ws%*0B5SR&1ZI.*Xq*fBHG/_M(]m*(4+L4\f)3,1;5[So0n+,fZ/k
U"-=DkHUtnumZ.mYge=\\I?'H$4MWOdk?q*=0%FYRiX;iiQ_fxI5xQiJagts&7N]i
U";u0Qb8:(e)$+dx4/dhtz:ex.^0.23N*[U$M:o(XdQb?>uhwktC0HoJaN$34zP[[
U"I[/8N*tc_*qcVEy5,8YV(+DNl[lYADBb,Y8ctMdnf1WEz:.;nuCt/nQDcq^JlEV
U",,5qh](d(N7b2=nB,2N7x,4*T'SfdUpkk%d=#xk*?bV[4x^*^V2I[,iKPtu_&]P
U"W'E8Lval7T#m6<qZZFVie[w9U+'O,LmVsi5h1I#eQ3FD=.>CR\*u&n=OerpXPeI
U"GFd)T<LpWTtaA1O?fNNl7cqfD6V4IatemVfqDx39,mK.ptnMe;SFtSZ2[RF\ZIG
U"knhoSH_V2:\fwvQhg*txTB6]Dn:G;grHOk\7Mbfb^WSd;gCA&:j-&9XF^()AqB1
U"1xH$Y4ZKwu&FpB>_rg003Htk^KRaKHt)?iZ%y9Mm<h#Q^[GA7&KU]kn;9V1.cG-
U"QJ+';Q^=f[Z_wf+D1T,enAqhq#XWB[Y9Lx_W2WC1*rd3n]Bg)pXQ'8$;(>Dd9*^
U"j3n4y/_SJr#eV14L/cf%r_,$2g[Fdv.g=[$9aLcWmVC(=vV87k%MhOsg.+M9=BU
U"92)-k*LKnXIia&AtV-g7R1MEMP:ro3w3k(VAS3IUAw8FDaIWog1IjI2\AGT[yAc
U"WST'w8NEp(\mv5EeV6--gVxYLg&Sa=*GVCb[<Ml1TV[wT8Qf=i.A3t5P(8:PL+p
U"Y3]Gj3HjY??sXub7y%UR8ep9oG8p*U?Q/A&(u%_(Q:I&\AO^VY/hHZ-MwdAo'Xo
U"a.jW'gun$LgTYS_5x,(b/c*XL7M6wjWaFE6Cl8D97K].RFyNS+g?/AUN//EBYcM
U"lfUwUc7\5ZrD),/)YYjumNrnAmFHlo#k\ob<16B9j3uYbREqt8E>#('u32WkDP5
U"dp\'WK59Aj+b]*J&Sq,_>sdRMe#7nPC8:#PeK(WI/WyE;58A,FUFma:sYZ7NPKS
U"p=ecw']GgjL/nf&-Dp]^k^-=cD=gOukPi#SUc=juGV7J:bs4[Vuntfc377O=;\B
U"S*#re+R4)FG?skMtq:-J[)AGqw\tDI'M0)/>6ex64(SlAm,avwYJ1H6vrf7t9Nk
U"GKz)r*hb/mY5r,qTBi-qaGO;Pm%V\Vk&\s9.;HN8^,pZH$kcc<4g>Wu^.1G=w1O
U"'c0P(#BgQ_$CFjA[kv,VqeSh179rP2.Tg'Ux:X.3\B'X*JI&[K:4CPqR^1jc(,N
U"So8le3FG)KPp.W)L$<*uG/s5'RR<cpgDGn;&8\.C1Jc\\DABYOU3.S=\]sAlnYy
U"Yz4H]F4W2+iLhIEs0L[cV5W\<X82TqQ/Xv&tkhVoN%m3M^].2ocYO7du1JQU=D*
U"i1ba9]q82mao<br%#dBvttno(LG3Fx60%8bC?Ad5&e4A9P1t\FCI8j_;iN)S7tS
U"'bQQ4iW8AX#fRrm4sE5?dqZ0AIujd2mXYkOi(1'UPOFJI>\x1Rjz1R5IrdM*CY4
U"q9Yh_92h_?NEB\[suK4pXe2rXt([wlk+ka%pb^kDbJiY_V7$K6n93dO4dagTgd)
U"P?8,xF3w]W3-w:)Mfh'GyN_6.7eRM['0*hdum,VoJSkadUj-i,<#h,+,&EQSNE_
U")^YV-Vm^nKL,V^TPF$_IkZ(o5$J?pVN$hBFkK)]HDrINrUS2LU&>uYAQ^Y<;kYP
U".Ft0_E8UQ>:hD.Jx6V)Q2(>YrO36S[ZX2FKJ+P]hJMp?<sA*xKD6VHUQ*9]2-#g
U"zcA?UjMCjuU<kKlFlDRd6p*Tb4?KPQR\)**U$BcoO+PTuXo/0HWgC2tB>o/qdl^
U"RiQuBP=a1-*QjObh%++X:Orh45FOuQtc/l2j%]>XqXvxZFeXZ-gXS*1NqEmdYl,
U"k6XD2ZygcKwcTX]wMeQT^MUo6\T,cDA[lsW+xn'xup(%)9%'#%-%E#kcEZ,KD#'
U"&T%%0%F&%/%%%%x&%lfv%gSqn4gEK0\KxjOuqUU5DiunG7Qy=7^6yubd;uw/Ce.
U"n*8PY/J49MQQq+.V[Ye/DM,e-=uNS/4LQ%d=,ujnf3WdvN^qdV'-q_j)5X6xQ4\
U",R4*aJ.y=i/cauWHh2Hl.Mdh=TXhDY7_EhUX6GkX^pEh0#r&1FF<^q4GKvk[pYJ
U"DA%zc?YN[vz;M-.f4hA:o8UUxKVP_aHm>*/eKmJTuSqg>aZ%m;CM4%EMKW'zQPq
U"]W$P6_4h5Ml*:BBFip-[--r4I5a$5ZIHvPu[YMdLLA8le7\x4ECKx/pRLCmv'Tr
U"Guri=.X:s8V4I_QErH*_r_gK,*KtY(6K;+E.Ivh^62OQg(x53vMi;uK#x6v3ejQ
U"HbkS03_d8z-sh+)w/Pu$v6K^;gW%WX\deN&A-)t*Wr7ic8M^\bM&?r2l&GzC\t]
U"HPYFpJy;uKUQbt&_M/0Lqe;q5sB<EUCol5(7\Zb3Tc6[(<g/n+9;*^&H0Ri,$2E
U"de2SXC=O)GP-ABZ<,aMrk1gG\^fHw')d-Il8RuIJg]D[:_P)EHNg7XDLt';BM-l
U"l;9%Ep>FjvlBkR/0%H/TjIg-7TY1:^O?rST0%o_jrGrG?Lyw.7I*):9yrK:pI?a
U"_be5?5y9c21Hxk45,C))Z\dXs%(cOO;Xx)y+I+r4I&8YOD5du>;-5?'aX9UU?kr
U"bjXjP,CTJ29m6NDe,0A%%8NMV80-JM67<-7ctO'18rj(18Pg6A7L(m7a+[_bT6b
U"o)%-Y:BgEe$d=3m:jADNH-c>FO16ia&)-9_#/Xl^vvE,N+70=;%0GrPSm>OW_.^
U"]);]KW+RSNle3I:,>]A'LYpHfjNtHm_NB7pFA6q[u&f?6Yq5fVx$aR4vh;d#Wsh
U"DCgjTtdJi/q;N#hPp\0L7>Xk5'Km)&44bWi/2#0cBFq/n'.XP[DM4dQM.j*aRPo
U"G\l7\4>pfajwjB\WvtD\5(pfcW-q=gDm7QGnw)K2?b?>eEpzW2f:opukfpf&^U)
U"8ltoCCNE?hXbJ=Xu&K%ONw?mO;:Pzh.4DkhaBHcmNW%tYSm#QmY5W$Pb)G/u/\<
U"IDIr_5pNDMgnjl.x-t*[4'dC^xa\JO]Rkf8>YR;ksHR$jEH1EQ,E*Ce:fm2h?0I
U"7-B1UdZ0)I3%VSM%#J#0B/A0[0jQrueS+U8K2/+_((ycW$OdVibMj(/kMfj$n>m
U"8A]gdL$Jha&7E_'3QAMjf4Sk59a+k[Q-3q4$J3OEXi&8/W_:W_gkPbD3*7[qEos
U"05*aMk5Oq=a6-DpP&HffrGLJuA.T]kc(faScwFNji8.y&kMw^lL0[F6rUe1S^-n
U"#N7_Wax6nqnD;NK#X_^&*kE72cnc4L<AAb7DKDya2P95F2O1aj+zSd1^Uky)1A=
U"+lin,)6_ng'$f(uLv1T8\%jFY=nwD?do(3kd4nRQ*\h/Wr;Vgq8zph%455/+LnL
U"*(]usmGT'R<q<ak,-#HCdMMK16'#wnCu<*]GN]2UO*98pDh,<.v-aKYNmTxc[Ee
U"#_t[QMQi+sc4o+QI4IswWWV*V,^(pca3U^pbpUiga3&s$%#=b=0,n(v7U=#/(/2
U"D(RFs+ssN1UNcA4DMha[SfVFn\51D+etpfSZ<+0c0qo=.ZD#?uYuSf0hqsu?3?a
U"pc.U]zf/h&LgA.LicLtg/naex'5)T4pxtdLijHh^XSO5d4Q%[[nUO,EqssIrGKG
U"aK$tM%aaeFk)*)6u=9(k1=9jC8j9s7MnoJDfSOOMaK09^0CZ%O',uP[)I]G39K8
U"xOr9;SKKwJ4)t_?ECq-BZknM/2[7P-o3)KywU>sP]mrRRh<L9\'D)Ufx#/PDjC)
U"Hu5CE><cZI4Qo1ax';V%]i;h7AD1?]Z<kKZuF8e>e8CgUjrxI([Q47m8[4S(7JM
U"q88bKG/x60g<Q5Wm4ECXXDaH[Y4I<4aX?orTW7s+,cm+?MneC*$c<nLWe$rs(eN
U"wP2pIxuSh?o'ERTuJ>x**6is^r_p5IeH#-JJz.poSX[&\eFFLMCGi%2=uO)r&%'
U"Spph6uRBA9M\fD,WM:v&=TrzVyQ^ENa2Fw:a8%WXyXxqLI?SjC-dx(]9R=;lk#]
U"rdooQrka]3mUA0^W#.]6n\JH1WUSF9uLx(Nb.wh=QVH;A:\$yRtJs+VBtW$V#\[
U"n$1Y3./9-xwoNuLCE0B+Hym.OQ,Ocnh4qNqFPueCo4U(1op.+L,T2#b+Xu#JzJT
U"'E%cNHMKJYWOt%l%XFPt#3\(t^7j-bjBaTKGyKELok%,:#3C$EgQw%qJKKSh2(/
U"sx4HDzgSUEBvTM,kt$LvlAgdJ(+1['.Bg#:V_$#Sr%H-2UL^ig&F.D$%:Z_QIT2
U"U^ee-TPK,UD:izdX'5'GR?CT:d,A&*?aUX?=+*ma8aqbC:KGLWMt#;[+1%/6#He
U"?D^_D,OkqGyH#GExlCRpw1&LGCNvHGM4QqZ-)I5kg\yWZ=OTU-_h.'mkI0TV8JF
U"QiHt+AE<Tf*5-(i-5'/Mr9_VdS$#B3&ldC?AH7C4dXyJ)cbmhR#/UTNu\P^uJ6o
U"RHi_h$5paKbVd8DaHehKVF/5fIRp\?:HPZ-rkZ.4qjiUoN9G^lC&u.^3Pyo#m)x
U"lZRi>mAOzDSdYQi&3=cP#WMR\<HgYoOilj:K1Nw7H'itgVUtZqq0:jV3v'r>ck5
U"dKB+T2mhj&)wW$h;=q:L&xYk;u0'2SNOb[U?0/EV4?'*lS3;rnR+\6Lt726kV^<
U"hiHe7aCh$/#Xt)o[2aea>G0Uo5\+dHim5?+;rx$%;:dVxH>Nw%WKuDx[5\q_%fI
U"#$hj2^6)#t\pW1IU>kCiMEL'0WmDWr$aLX(C4d-:ilG*mTjnCym&MhoFOuT\Ga2
U"b2v(a9v(b(orer9os6m\OgmaKRXH]nAhYLqB.^n$'^bIw7Cdb>LuN5SGMuFIMxM
U"_-NclNOo7+kpX4eXO$jg8J$X#Fv+VHVm^dB+M9plC87$u8(o#PAHF<j.UQ6:K&i
U"=VC>CjKm+nOUu<'HSNN[Nr.lKKzC).YoB5ZEvqp62jjd6Zq%_#fgeR,nYy*#3SQ
U"7H?R7ZSbn1y=x<O'2dnT,pvEc&Ux2f0(XdB6#6f?KSNJF-uIUeA-R5/Ke&7Yr\z
U"cdO>,.-NdaM.3(Y8QF=(;;u%12PLHt9ZVaT-m:Jg_gfP1i/M*e[>n&P45pSn;_:
U"8t=W<O6ORzYSxZ=,#a:q(eWE9?#Q(seem);K#'RPMestJjG&wluF0xUjCcL?qZ>
U"5kBC#T5du*M1S(fq=rPQUFso;p1&kB86P#JtK.C6LSZv_,W<aFRWXU6e)5g/(jV
U"GnD82%NOIVk'XIg8qGJ2(xK7mvoJrBrr-wN>\J5^Eo6d,jgiGc&18_Az+:#V#%7
U"#oQ_=bN>G6[k:,ii]<&WB5m9UkPXbxg8];Lwe$M%MZ8,$*,S'<BcFki]#?L_^9=
U"GCM=[0Di3]?bMB=$:F:HG,M4Q(d4c#k)J$Z$xCXiJZe8^g?xZ>Ud_oBY*[n+dKX
U"sKoe[3AzWpX;DNnOHrl1;Kl[zhS5XDO\Af2B>YV*VZ837<O161\wLHHS1b,'H'u
U"=xDBoHY/66iPAQ50_'WGS^MR8m'eK+X&Pqwd6C5$Ty?g=-eH5h9%mN9pC9Bo=QI
U"9<MXngGMSJNEC^N1,5G_3B9ZtZ>=33nS+ek,k%wb<g^=]wqqU4%Q>I-erRT^Fn,
U">6eLgcjI_m9&uD;PBG\Hq:i++,iLnZt?g:-y)+?=.V%YG]Z0)6.eW3&xQ8)w+c-
U"vBL1/#p,'Lov^.?NMN1_Zd.j-vVaBQR$S6NPWs\d(vN>1&2dI#v^Z^#*M#VDOkt
U"^FVL>]1syY++J.8*sk+ZG#B1k7qnOE9Vkj:CgeHag(skMgEfv:P]wYtf8+2d0$6
U"IshCiLM^A-5d_*mlM2ZwsN_W958_LL./fn,#U.Vq.;gz.23;(+kAku(W>THFZz>
U"qlD?ai5SWTp1kG+hUPH=k=un,+i#I/H8CwVUW8WNCbWGFpuPhPY->R./Y,-T60;
U"78HQU';a=;68HD?.F'p60.H'SDYWj.ID9$Dp]wsHM:1dNbG'R*dY:)+jjz_tC3X
U"=8eN;L'()\qA9IzD0I=m5h&[Q^QgLzbBW#^OOFFE_8#:#;qo=4UrR7THttW>\te
U">r_xFBOgq<1-7-sty*C8-=P->X;I5aTQ6RY/KSUb?19$9oiN;;+T*ky)oU+q::g
U"0vi_+O2eiaUQm3vPo&Od,j'e7z2_gMHgct-3OZ-^a^)9qn9LAVcfuZjA*.2v?aq
U"qorF*8h1B[.d6:Y\t;K$bsIkk?]?]'Z-s/Jk&pdkA2YtdBA]iqM(j?nV(4enPbo
U"9L3J/N:b?eEq<c,65J/BDcS%4fog,pkUn/hnmMX_F'.SMIhHj5:d]k6^gT3*m)(
U"ec]fe.5$U:5i0uRu;*7W]d-\3fTFeP2I3s(89RrZ?nSR;OnjNnNQPj&tBc8:Rv#
U"k*cjYpFCG%A^,Iw'8c6wkG3O?q#$adTXH.dK7R3HqlyOUH45Sj8zZp^-FvbgfhQ
U"q)IlLgJ3veM%Yz8D(Lvz?i]tEVB<9Jg%:ceWRdZDFMM(CDt>)'+dW7=e%$KKowj
U"cZ^8G.<h:c6I[),-$SD*71hq?oZG$.Tyk\Svyo&FAn?%;;g;Uo&9LeZ%mrE0rRL
U":/*BE(XN8G.P8i&y$vdox7114-orBS<p[]aXQM8q)sweuku76SAYmxY=Hxd,FHT
U"2LFgj<[LTK,BK;(IH.)6>CS5b(-*A2f*HBZO-E?qhWVJo1%E2[e<2,ev<z[kG/h
U"%iby?99N%mLu'l5Z^k3JH2&I0Z0nX:&w$wh5Lx%haL;YMoFYMTgHCRt#+H%/L;$
U"rm'3fk%MxHg3CsBTiX.a?8idD)3r<DLp5L3h-u3Zf6.y(,.low;X$WYh9>R0pL*
U"QJfJ\L:rW&jen&_qL7JJnHXMFt.:^LB0i)M-Fns/qD1lk&&t/PzMaBjt1mKEIiI
U"2'sDM1j_v?<VnWdupv+-df_vkOJdUYZ5AvC9Dv#b^BRTUJs/+tH<Q1=V7eK?&A-
U"A4GmVCi[Yrqn*f=Fhq.:e=3aoV/ARCyT1$UxuD;lUqQc=$%WT6*+mb0q*&1kHoz
U"EFpi*_[6>I8I)=db[qw9PJwU.n.'g7*F^6](Q/h1(heL2%V1IDFV=.PgFeWwRAn
U"=UbG5Y=9YFYfM'$/aGLxhoA7=n+hFp5g(jtQj>tuE;8r.GX6:lGBEJeQ*;ENbHV
U"zuZc-L/&[(n.x,Xuhv5NCO(V[rZVl7WWKR/B0u2qgG?,Bb+Khp=S_YE=B)p-(nU
U">[>'8HkLxE[1.n8'9,tQnsZJK\?krIILCcVAA?3qeb>3CH$)RLq'IH:o2jmd4P:
U"6n>_iXXJ[7]PGoFO+_o^<OcDXIFkP%_3)7<e-63.s?_1Y$hXBP=MO(h-2t)%;?4
U">Kbv&%ao4C?G<=Q/,LO^&9*$1^,xWLHl,;:4n#uNmMriYCC%$;5%6R)S=#9x31C
U"J%<cmQ)JZq-\3kp?D<cP<Ro9f38Bixg>jE9p05C*0_(.+^=#4Pf%iR1)11)JK)a
U"3K[Vmp4;R)LTviH3?Uk')0/8XIV9sR28-C]N&[K6mmsDc4A3xS>J:j^02mYJ%(G
U"Xn*ePIFEN7]10;>S8PsZuYcaBW:r^Z*,S9B.P'+T,S>%DaRSd=$H9n,'nHPE20r
U"*Tx=niC)sAl*4^72nY*3UW%G49rP#MA5y/)='Z;]IZG5zbEg.;+1+[UhaJfxDMu
U">M\_c8[_I06[O*^:4prc0cfLCc,h.K1u?FhoJi8WBs7IsS:;by6YT.Emu;#>&_S
U".27],[C3$kn^+sp02pg$YULHOoALG'Tf+5ZaJUq>'_bHh&3.XA/g+i?E6eKtsrK
U".L7a&QZKfk\43;j[euw%zE%hp5iTM2Qr&v6'v/^uJ8,TiJ3R>N#qJ-\QJ(qDXL2
U"LX50O/8fOMacaM4gUc__*tF1q?*Zl$3okjF&?kG>TZfD(:NV#_:tK(L0tz\ib[.
U"LY&t\hrokm<a4QdSO?kjWGgc6vBhrfii>lZ(&Bu-?Gpd3ZaG;[]4Krm9=3KOkA=
U"dvIDV>fhCdsc&r+gVUdeO]?F5?I/%$uSET[-A2Ba-0&+7uAbA21G/1%)qBTR<W6
U"F,RKr&AIejl*n+irg:fpNMqo>hZZO<fV)*oyB:9y61qT)=s?KMCh^4cZt$Lo7fB
U">)b1*^O:(CMwCZui/dA1%a0$Cc6I%]S<*CNOC)]0+iCI]5p,r%kJ8s_Z1PHQ6$9
U"[J5-w,eBfU[*d'hOCKppj-/\%Dauxs7k$hK(Mt#B6NF8Lld0J#6&F%p0ZgG#tlK
U"J%$cZu49/%:H,^1ZdY7I%?AlM\7NkR_,uj[^(IkKF8'?j[2_D#Q;)Ec_ffH3buD
U".FI\qNF8rsg$\Zc72R_7lSw)P.*DS4P::IAcFiaaKPrZq7xvf8^<KC3+H6vlqnh
U"PwcXwH(,+llArRG17ibx^3bLT-mQAJjvP.x.sa+k[vcsP&arjhmd\N4e(o(e8w[
U">%SsZKnd:IN(]S7igAenktmr25#+zb[l..-82z.+R.Twjxw+WeE:F9cIvi0J^P^
U"9S;m[+:/':r4L'7mJMo+nCeA,#0.eAP_#L&B+9[_*In/#Lj*B3[lkKkt.zm5gPZ
U"-Q6#9IxXr$ICeiIGj?\BPJl1I)H^Ehh+h5(=bqj#jsI1:x6[e,vIKTbwMbLj&am
U"8;m?8NH,_7)X6cI=+[*g1WkG/(Ehea%[mk7'HGmkX6H6_9=7H7Om[X67>I05]H/
U"m?O5HR_/[JmlCEXHmdwm3=Bl0m[9=xG)b.F)X6GCEWqpj&udpW^A,Sw$Io08H$j
U"yoVJ;.ElyZ^co(+f&Ogh)t4kKo#R4EUOW('4gr&l'6..8\YN\Lr>Y.C$JOh7^(#
U"#l9b3c=Yvs<j65lUP#4ML^bQXBNfOD_WqiRFh_sY#:+]7#.EOh1mnWBvM4bECcG
U"a]U:[PBPst^mnADOKJJyq.>k6)p6sgN15t<,?J:pQ[T#xZS:&JO1J,:Hxn^wjfc
U"alZneCd/mLl-[p_Z,k.L:X3^pHPo>dr^ZPo0&we<l'f*&sQ0%f_jsQH32aoWEEy
U"=aP:s)(MBhc^S22N+-_ClW^V9SDts_Nf;VdagU9*u<.HY4^Dl\Ir%86+eKAYz5%
U"[OGu<$qCK41R=9,$3yjJHkrBhw:8MpfY'5i,2QwR.<sphiM(>SRh+XdFZfq9+^A
U"gd0zjSg9au2(y??kD4?eWs1Mv1&-N2(N(Nk&=o6cxLmqKr0Qk%W>t'6Y3L%$bt3
U",<A+[NoEez^,Fq)zb$9mt5PdV'$n3d-&m6<qJ*FZ)45haGvC0R7.XE$f:XQ)oW.
U"F$$jpD172xd(?)%FePCT+?KYzXQ:ROD#+h/^d%JEkQQ<O'p-#r*)MYz&^ww3FmD
U"PQ;I(PHVfSfc&>HpI*4)wV/Jmm/iB;9uYo_fA5xXMs?8g&%YzP];sgRJ;$<['LE
U"Ee^<VIDRyUBni\uL0aTp3zCE=hkP8(Ij.WgtWe=ZMaP($^T2r=W3\*/]W]JGF+I
U"b#Jtw^i_IYr<Dv&a<Z+Hw4T[I&Va3[9toG=nUCrxWgJJ(kgTeC*]]Gr=aIc&>L>
U"ctgG;^\B/1O4NJuveqbX+9$+WsjQP(GadaQr8nYg[T[.nH;\bA[;?e3#2k4\?3\
U"\rdlVGvqBrZh*kB,3[JkWhvm=L^tF^Ytmg*^=A/D-V:78%pQQ6PwPDfl)BrMlCh
U"c2BDMpF:Jzv=q2(#aq./Bd+QRpLO%p0%$t2P8DnBD2r.^,SY.)S.0+>5)Sj9'26
U"guIP7do_>?#Urr5cWB0Hlcq%U4bNB#\pC/YbHH(ifd%7YSl%1W.NB9Y&*S^OXsv
U"(-K974_j<3)WSV%KQ.EBclNwcNrw[Ng,omH[QpkKV^oA2JNsD(AlBFuA>Vmi_lK
U"?xSu#AjR3KRl_B4M)U;,oK$&mI7C\+>gaPkwCx][<&%IV1*M^tOlcY\^0s7?P_3
U"<r'i&,niOdMs/A;J)GJ[_f'$V]MRPJl6gP9K4HDG->H68R,t^zuC+tjG#4CkNo>
U"c4L0U;-On)YU\I7can7^v\jH;K%nY4rQmpWB#_mfnF0PZV0Cg7K9Ipw*kQ+e-x+
U"%P*75%&+ZW-^YQrKStu%2Wn9'ijzW9B<&/k>wB7CV5pAiT*Y+K;FH:U-aBOVF?g
U"%:hVOree]qLJ[0:8T1q+gIM>9A%1X-.;i?'8l:d?-%lyy)*I)h=Q35gq&0YkO6C
U"kVA?UZMTo?2alDB+ma^2+m;[OswxUO=#K3Sw3,eN1&8s-<w+GKN7x>ojBEN/%-e
U"1$sYkXunhqB?E0f%k>Kr^D$kYm#G*#C6OS[DRmse0dD.t&/.(4uFVk+N#EKYsu/
U"5e#<h[ymJ&f:A++pe7PM\nU777K#rrdxR=s,KYy%5c-B[:'R?O8FG#<tR3lX]Jq
U"r8=c<3PFEu\9nA8+\*>E]5[RQUC5_J\Y9EFb<-n6,k2]EP>>0I(HKT46w$Vq=sZ
U".$dLk8ZFC$?B'4>L(8r<>'vf[**YIel3=0;/U=0^nZ_=J;4/1mr#>k[4Uq6mB8'
U"GFg:0(kGX2m>fg>b&%HuPiKJRVHb1VHjVe08pA7Kgj=4p7r&LclGo$o4PHHDUAB
U"os/_m1ZR5F1m=2nI?pmqod.p,k;_GWoCT\U%TWKT7VK(WCK;oEJN9i?LE0aG>1R
U";HP]2Cr;d>^aC8gp61xn6/>Bb%v0Hae9c*]N/CK0GGUeST4ICKQV5XY0GcIN,IW
U"h2B#2ek5.\jQK[%FvP0=oMWgum(,9qe.YDD5qJ^q::[DDuoJ^2:JnT*48mp%CNb
U">EW0(%l*W73NKLT5f%s'iJ)NqWuf8[kX=o[0.z%*ccHCA68+je:1#8n),T+P<6k
U"f)MN]VyHq]BmC;VyrVI9OUy*r&MyR3zq*%My2zBq=9yAVOQU3;wp/*LpuX+yZ)M
U"/[CyuU*TSp+/H7l\>qjum:0PSediuX$a$y+.8mDh-bdzMoM4NA&IMYUd<:-a:RD
U"m3ez=L>4_WKlHhiPfHjW>]]W6hN=#\aBY(*eYt4M99)yk;J]T6.fe]5=f:jq'ui
U"Oq',^%epi1yO47.a6/s>Q(T[2GZTZeDD+6UEjZ.sHR/\X]X*r2X>k&6WTyZuUNB
U"/'(W_AH&SH<KG;41rvb):E,q&E5h[:zuj.R+Uq'ewS5Z%w)/Z=>qz-M2lT//D0i
U"4c0?w_ptKhc/?qMFXm:KVH4NTe+)$j=Pek,Z;PjwP.Lo\DhbhSX>ukMQ?cO=hy:
END SUB
SUB V8
U"YzTV(DB$ywlgewY>J6UjHQDOq1zUyU?4:B,UK[BCl<<d=+AsYPenEBF8/3vs?_I
U"$UPVG1*n&CD^6,fm*C1(iFXdoX6jx4e*Tk:-K_NxRConYnW6'$(0UTopErvm.i:
U"W:ZRQ/WH^gv;pdhl<[[RhkjF#[rB179laY$nN=>7d=>>.[VDU&Ys_V_l69VV;]Y
U"8[]Sk*\HE?<S#vH5J$6pxI-KzGCk#0l3%=491n[1;/*k4W./8,kf^WYrD[1V,)1
U"Wp>K>W+1JW'rGSgvua<&qOUVY93Y/AUYLO>>B;H?sBr,79>pHUEM-n69hKVTX1d
U"Uv;#T1.,J&.jXr]^m60j.8k#1860j]5rqkvtGRce7#kjR;,lnU/Yp;o;Z1BMm?q
U"Ib=6_7]m1KU\cRU<HpMuL.:/,*&7j/'z*UB=jpKr)KS\V0\mv9Z?5gt-kfj%*KN
U"*4aJpJ,K*24ajR,bU3[-rOW/LLlKn859HWqYfbE3cMRvKu66%$p.=>:$[[(Y9$g
U"5ak*#f6Uf09otM>:mh[.tknM_V*&;Sdpj\Qvp:j=824Xnrhs;rL^XiJ\/'Wmr09
U"88bU_v<m3YdEUVf*r'i6viOW3=lDVS>J.9jN'B\CANVhN(%k#-CkE=,g8er78Iv
U"(<E7.hVQ?>G39V3G&]V3ZawDVdo]U5CP?18?2StT>&3l7^a;H8]WY?H%teAaeTI
U"P4gT5]%C3ki,j/W-bVv6h?>gTUK0$E'5qcIigfnr=lV4?lU49inzm8xESJ9H+xW
U";+n7_v(lJT39,uj_C8O,/GCp-h8MJ.4AE+I1mwiA/[e$o,0/,]EuJ:3%R;?c]YI
U"AeH.'oB9NC>.[]*A(Db9].DQ&^tF*B_oa[+2l7N>O(]^$4?oe_neHAk?E#>u3r$
U"eXfuQF&k.g)cke8f9G<th\wExyV]PZkynj-D0PLPm-\t?-Dfd\^EDK6LQdUl1^>
U"dGPn%pX.?7otR7kmvaA*/y[dy]%47.QxC^V0U(=U&CvR_'e_wS=ia+DbdR_vtn.
U">V-.><ud:[<&H&H.B:AE+_.>)CCdlBCjK4xiz\=n^+J5=+P\?[LebQ42GfH8Y4>
U"lX;^+>8P&'.a?UjRG>69spZw,7A,W$1Y-EOZ.?pXF9unj7lM1rgOEpXV_6[9r*$
U"<[.E7ai7.1'd)qZlpwE&6ND+*HBW4wh8Lb;*1lbk,q(IZwd)#t7E:r)2f]a)XQ=
U"Tdo4*'K)YK\;f\R9;<Vb3fFuiG\;iSbM1ib,FCHRLMFY)GPkZ_Dhm3e)-\u:Z_[
U"a\U1\Iv;d*jc_%'c;dr/kQKT.AJV-0T3Tkmrk*3m$dE5Wigr2l>eI,00DP-0p3_
U"p0q]Z5V#'HTV^$uUqmO=m+;*0qPTGefAf4y&haMnp.lndN_742iglx9E6r4ePBD
U"xSOch?A=>O^]C*5_LS5>vd;]o>1_]SYA/NMvas:2oa42$tW0'qp?'TUk#5:]OMs
U"_Ji$Ybf4[\[5c'UvVk1x:75ueh*Y_Ro.y(?e+09)ML<v/==O]O%C,#R?s5X>(c\
U"9kuXAQ1DBqZ(7BV>eJaUP;^eM:Px^'o.J7,VpVc]sF$U&A>pcZ/MH%=)K'//kC6
U"l_gTU/A)%'Ei&)id%]Y^RLUptgRyJl3X4K4aT=tva6#^bhNJkNZP=mrJMidwHx0
U"z1]5KO2BjlyXQj#%XE+0$#->[x]7>D7i/G/6E8_39WLif2=4Z]95/?'?),PH%]k
U"V^fjuZ]YZFq9lDj;_o')gZeFI%:WMC7Bu&/K;PdC%??PbBieCcijYYB\^7Af,V6
U">jAMDX,Z9(%n;emhdU,DVrxX94E/w^$IV9ZnXCvR9)[ns,o[LA8,\j8)XpOEq>N
U"x\O8n45d'EP^bdgd&AFyUpP^D&Nt-Jh4p+dKf'adU65IdAWy?gRmUHwUlmNN3(Q
U"DPf^F5mb5]gHT=FLtn:iBA8Z_HJ7RVrw5GD%PUvG+0e*&:H)k99WhCQDaMM4j<W
U"6CUQQ;2LAXqkB*')9Mh0f]8H7$)gPzV41o*5ZAa(\]5B/O:0&wL%b:SK(IG6>JT
U"h0JsU[af3aM+i5t+b1]:T^WWQt9\Xr1'ot$p(0ke<0J\h70_HaAS;+uY0rv^pY<
U"XFx=-dR(NL_d7.2iKw,(C9Yk$C\wWs>COTjl-v,VE*CU550'321RyaKxGFww%<(
U"3PbN8LL)NLnD<pVMQ;QK(JjX)iT:>W'&-o)cv3rxS\ln(?vsf$F,<=Nmd\7GE\5
U"m%F[dH_ll*fd*\,Iw2>O$9JRc0q)baNF(8wC<UX[[+Uo9,7d*Bq/SfwYM8XHUi7
U"77<QaJMGr6$?*\E3?4b^RkEDvhbESY>#-TZj;NSD*N,L*tw>$'ftM?$OGA\54Ju
U"(P.vfG,lps3P.vuS0F$opkbSX[q/,*oJh497Fu;e;dy][/out/w7IHSduYrOoaa
U"c'ije.'#'o]ak(T(tDXCNQ;F%xZpjI<[t;a(9Y7LeWhOHO//Xw/d=4SVr_ZI.'g
U"?$QqgCTvV3R^qZ'f=4n;a7gU+n^1WVteii(i9uar^vjj#?ihYyq=j1uB9sD3Tkx
U"AQ'O3N#>_jfhO&s?ovk$ThDvd2)Nt+:TjL#$OLQSW0Dt0;Fx+4q3RDYp::&3N/T
U"fZPQckJe(w6?J4nlFD+]yv5)3kSoQ)/-_pz:v]?]>%G&mt\&enP;6vL)>%Qhu&c
U"KKk8**^pVGzntLoDfQG>7S1)',;ZWcM9aT.t,5#XyJ7Ql#VA5NM],ERPYj=18vO
U"Td>,.5O_W2QRL>7$5TRf8M.:QJQ-vg9AoSI),eaACc<oIQEvq0d;YZAT_up.Wsc
U":4-FO5pJe2F^0n^Zeo8#3]Q$iFTu.b'NPE*3:e7a42<aVp7_4s\&#>5tj[sW:d#
U"Jz/H#=8u.HW_:58jA5ZeMmY.^l\PN\BPLu?9i]U^kUI$<:e\#eCrU<^r^m#jHoj
U"8Gcj1&8Tw88)<i=k<8G\2#6+>jP+^w74mh>8:hcU^$%+x_MK[r]cVB8I>OU<-Uf
U"G'qf&Fwj$(a5n2uM_ltGxr8A-08w<f)F<1d2R1_T\Qg\N(bjFh?3=rPQq3H5TOk
U"VW0K'rn>s2EtJGJ#Cz^r<e)8Z5iL#V+rcW'fB4p7BN(z5>OxuUnJOMkrU>-6_Uv
U"a0D&<D,nG-2'^pi,T4^fQ#(fAH)PA%DE#Xw\KqcNNLsr:3-bZR3/dbP[4injlP3
U",<-&[UQ6IKGKL)h4^0q<ge,*_^J,#:ENo\5tx'&4<hM('/n5KC/SJQ9\(i\E+I'
U"N]Te>q4VR$SNT(r$Ip>B4iDZ-i&c[Piu2iU.Noi:F_PDbMEBBHdJfi&kKmd/WHD
U"uw2Rrg6#IWv_Ek9eP7=R9$MZgf*V:_5XN)XVka^K4VqSbh/UVOgLQ+;e5_::5D?
U"GN1ck6e,imT\CdqdIvEHMM-0IpBb.RXQBEjnD$:V4<Jz6<=F':wRxfg1*L4:v*F
U".yY#4o$qg5+SY/92X.7We+]m(vLC*rH0BHJ=9g6FZlP:12j:E'n%_nP%wEY&c_Z
U"(aNnJt<I-R4;KFHs+gI-U^06=X[)pR>Cmv+K)I're:MlO1F7Ost*Xc%TMemZ;==
U"2Xp08sZ-R926u1I((eN9&an_cAf\ocN>_;w?Rn2\9wE9$[gg99<$QV_>WTpLI%G
U"^V,7G^2#=A&wYziLn1Opz\b*<d9FBq'v,OPEO<=U,&':RcP<i03CJdU9IEl\'80
U":q*EcX2P<\Sc7+#1<]R*ho[V<dG'GT9QeX_YV3VvQS;2e8C=O0S'UP[MkGTH7fk
U"gYF%uJ\LoQ1bR[N;hN6b>MpW(MVz>s?WspO;WTkPO82<)Q21hwa1lCzxEjk/l4<
U"KtF85G?IN5P.Nv'H*u6)/<A>$F06,$X_q'S1o.YrYvXq_>n(mJ<QCfpBvspVf\G
U"68=cpg'Yv>)q43r4'Zxhg(SSq[BFPG%VU9*8M3\CNI:jQ&D=nqoVkMsc+bL+:.8
U"y:1t(+>pi970l6(FXU.OI[][3,fQ]F8&V;-pth*(R-B):I0rH9&U9.XC$ZSLT]k
U"y4Rgvj^=kIO+[YiTM2+=A3m$9B5>lt*$i-55:d\xl(UNq_:_C1SQ9m8*VWkc*X8
U"Jpo:BPjIfO'kqm?8-7,X7J*OTSuPmvJOG[3:vJE9UglF=ZV.a-d+QDzF=oW1?k-
U"]eod5]6hL_\-%5J#lN'[jVn2$E)8O)nw2,<TgHN2B:S^G=HN(A+icb/A%5MBAiT
U"IAM&oH6.nVGuIy*'5jG6>8LkdW*S:bxot<bX:P2-5ub2v$i72_]N:8?P.1lkJ88
U"HBC)).E2j7KK9<,'uJfN8D>+7GkD'f5V,GSNP5PITbfBK(T;'WBXv%pcY1Z#*t*
U"#5z%KYq#:&55Y1Ngc8#uEFisbhG1KMtkX;F:em$#$7x3DMn+k8dc%ur=Ev:PNL(
U"kt*?rJ=2XLu\/sXXCXOqU>(<rX=27<2'Hog4&u>\=ViirZc$>MCf-b<^XshLQ1G
U"HJh0W'j1ho%4m]'_=AvE12%M=P;O*H7]h5>g^J=>AEbncr_E]hWBpiKCobt8d;w
U"i^(9.g^NuQe%ZKK#7n8b>x)UM\u<C&*T\m\NuX3ChH2neMe]jS/xbl[4L-hxhV&
U"vuLdu>Fi'h7KH52kJ2AN,K9<'iK(LD\BGL1$pK9&GuDZfLYUHR&?8n]h77n1$0;
U"FKR/'PfXJO>X/)>#T]9[C<-7$s=qi>X=fxGjPPhzY:&&>UX49Wqs%4ZY)?S1FQ>
U"O&D+Uq=CnrT#Rd;3?fj6lP/E7Xcuh;5wMs-js&VAPsI8(%grf=8+QH_w;F3o6<F
U"5E>c,p^>p%-rwZ/d*g]W6>o7o9>rRg]5_lhPN'X1,H>;]JNK:c%bRuD-W0XAA8(
U"P=O7Q\RV6S_%JR8JL5p#;%+p7./BF+&WfK+_i0_0W+joIQ2F<W2X(&+dE-G)_(C
U"^m:k->vgKjuhUU$$&KcL)q-X\W,G])):c.f&$ZHjmq(v9N5Jd)DZ1DG?U29_=b^
U"pOeuxz;:D/ut%4j0^/oM0nq#ojm$,-eGs+1=?_1,wtXu)*SbwbdbG(-i^s3LVc9
U"i13gWX#8.y6(CL8kVT*_bVm)QI_P#IA;oSvD9Z.[iGv-a2))PX.r7W^2As-?wRN
U"_^XeboSK9g]7;f)[BqIX%NJe<#?)nu:EzaURimW-fCQ]B675%*?BB^Ue^*WjKiC
U"e3&fG#'2z3XW-97G0Vh0\l6-#oH&OTu]5\Ce%_yk0AB[0'wfgjx$-Qh;FMb=.G(
U"L0lhTnurc-7R#H-m-uS&K0J2,DYI:_s'.YM#gRfd\IA'G0aJ+k2JJI,4N9/TVk*
U"hKaN+FFv1=L_V:*sFxPHc/52IJHPgvkcCn:%qo1YhnUgw9Sl[FPQtY>rsRs94=[
U"&Q^8Yx4D;tmld>wHUocvcsct2pKhS^N_.KMpnu8-?W/sz26MsbLs$fJlJ]P'Xrp
U"aCoLm3tIYVFwx$h,INiE$p3u0;h4^TgkJAZe?#-E1%Umg>;:,5XNg:5=aD)*KHh
U"cH:b4qSG4q.T:dri.lCUZEsTZhH)Ktlr]'=Yg-8c#AcZ9as(Kjn(OFG8t5<iHHd
U"ag&m;(/1h\HO*s7MZsMb-ks+aCQkK41fhYj&Hs2s_HM>KciaV<tU/P18S+jPjm+
U"F3u7ks0<5CeRn<mRGd:VlcY-%WfOFs<LQqN6Q(Y7eN<JH:>G:RQBEGZ?_9z9/EJ
U"L;?LT<U6>Yb9M^n&(QJCYi[=P?C$qq,<JY3o80?LeX(eNb/A]*[Re(K:4Q0,jz,
U"c88pphJffv.7<VLX(t6_nNpShlFC.q6hpJdU#98Fn91epmC.epr_+n+aU1)MDiB
U"R(pp/j0d)<MN/jWo2jBAe2%EH\Xc<-]P,c8thWp=&H<2e;w6Q&Tw+/\n_09>Hj>
U"<)Q(.-<J5^X*(d92cbuS,.h$]\#Wp$N(YG)1Kv_C*+udO*8zB6aJH+#bntt2vx&
U"_Oo&>Q*p9O9oj#mW6Ji)2IenI>4qF4CsE.WD9##nO)8vp.+c/luHkiQLj1dO:>k
U"[dyD*W/>4y*&jHb7=,Hu&p[5iWSFdR+vGV1<C#i4q58f5gdke^ZKF&MZ-4aM2;g
U"A#&ku1zV7Z_[e0IQCYPv*-ki0Z,XqE>'mexj$p7STZ'[0T+fi>sUt?4O%t&D5lR
U"&LWq:eM^w#bEdvtiN')2'43tb5Jaa;us/S>xfhSS1&>oXrtN1?e/oJ%mp5=,nP7
U"D0Vs:U27n-aj/bm<^3v:+DTL$tPgoJL99sA_p9)FkJ3B:06Ou:/<t>dDuwDf(#i
U";c^t%-E4j.W3(QP'CfM9B]H?jHUd/QlQXYIqNGqRqBYu$F]JFwIg&Q0Y<CDiR[P
U"D,XhKHaPg)R=Jh>K%>>N*cg0aAzB7Q%Iz5RI9i0(=S[+GSW5R2Ckn.E=wj-8w4A
U"AY0g*TM.twi=/zXcYHE-?\_p.qRBhp.-b[/f6)TOH(t08ThLm5f?=_W?JBb\[Cz
U"kWuEi/[3&[n],KkO(FAC($Y+8j<:J-A]:8wlWQ&l8wNGMX6m7P(w)-mx>-H>7tY
U"xGUpMGy(HZ;pk[/1ad7Ctxs^S1EHH12<?BXAHM>T9Xnj0iqL7;mxx9k^^aj2_=]
U"r8T#+oQP\gz5TUNHiv%sx4'b0,7sS[kmOC&DN>\GofwWM6t\$dF$qD=HiUP]<Ih
U"_tJ^1Mr==(1B[Ad$4P%'%)).C+/2C':&G:3PX'/?-:A-#U<[\d,ts(3\)E(0PA%
U"Wa0tRF%u;P7+%/F'iF%B:-CRyH#i9yVjf-783?ryijL)5;$8jb4*LqyH$.f)H=r
U"$tn42Xg)ep\OV%&:,sHn,.6>S)]R7MOO'^gkxq:%;WU,JigaV(v9B_mtZQli$bI
U".ll,FlG]J[8SBr/Yb$3X]>Qrl(8RDZ8+4,/[4Oj)j]K4fOD5VSFVd-=pSx+P*KI
U"0e<$mVO/)XZ,V4#t-C*(vo:39OaoN-wFxU('8D]MRS$d_<C+BA'Qv.zxB'CyL-r
U"Ny\^3ycjpOyxQhYJb8G1T.PW/B7./#4.r6n:YpW1icRa:PFtZZNjs-B%)P7S+<Z
U";:9brd]U+Ah7:ZNY7>MM&hRXP<wvlMk'j0$W0/>fp7I(;hY#M5-s:=P_r2CRYpZ
U"uvHQDP'cjh#-_k:93o)VY;9gg9'u9taRVE1G<UxXJG\pe49P'5??+H_Kg(3x4%E
U".G4q2f1=^E]96G:/OXFrs4E6++2b-9e,YDGWwAB.LFV<jB=-EQr:ppB$_-m-D6%
U"b<T1E:jhGP9>bElNfVT1g=JAfgd%)C\.:GF0]_c(P3?p:x#%UA>p;\?Uin_z;WU
U"IE<bSU&EVL[22,_t/&9(r.4N60v9nowx>),Tw,bjaD'5us/8_,A:NoxDEbeRPhL
U"[NWiT5-gVa6T(.rNnPYzqI/aCCDVOJ>okgfh9ziu'<P,tQOQYel?KnYIS,+cOR(
U"y%1c8uX7;)w557&zHPW:8Z$wAwaBE7-ANYGJ4&F=CaAS_,Nd[0]6VRGsB5;qbpJ
U"iYonp8]PYR.GI:DC<\FtJ&%FZk]AeNMcny$TjIBg=Jtk?(7l?Z;j)^il,?JQw7C
U"kD->C(sT9ruJ?]MQ+jss^,MVP8kedF?-YP'>Q'YT)Y'*O)L_S)*b*6>'M)7ld1_
U"v,X)3\0uJr09knU?&)fPhsV4N1pO4I9)<BovD8o[*7q:Y3tFeTd'w+cktCYeA)b
U"&Fo2q[c&Kt&0.1$4k/MF-:K4$S7+Z$u8l9m4h)3R+YY/Woh'_i)6=2V2>T;TPs6
U"Cl=BBuUaUX(E34OHTaUhj_B#??Xn:Is7udIpV(%mU6)P8%97E?(Vf;nzCEnB)MF
U"&9XWeM&B85VU*-7Y'i\Fi4VF1%kk3GlU-CDArFF70'0'mUDJrbg,fg%&)C&8o3J
U"tk2g(AW6]9nF%iEI+d_3h%3TqClqKusH<_a]#d8RxM4jse7KuALi)jOctBJ6#h-
U"-G]V2tIK[nKYpcj;6Q-)Wr.rq5ZALJu<j4pY^XMtRMk[ydrX_&Jt)p[wLO*=9hR
U"*lVu-H+m?oC/kbMq%*u2HT5:U\x7oeoT)7k:8P0hp#=:rUjW't?/q1I1^c(e.3#
U"<'0rwB]=QiIDLCiyT<K)TCJVb%%%&[3tK9MN4tZ8k1T'rt<jExh8ckl%oj>1EV]
U"[QcGksjh0?OQ0?0n#&n-p8(S&/I>\cqn&b95AodbMo5v+.Fd)cGD>c#faT^Gp4G
U"hZ2rxMh2sFA2Z?9>9tFFD;J2]+da,6[Pt$6EW)n:S+q_a8Bw/n/$Hr\q7G&w/#4
U"bo-?p*E&=T6b\$gd^bt1K%&fTx:jcJF-QY>a;dY#(),(k.Ix?K.n6>Gko]9uub3
U"ig=v>0#z9]m$0rN5Cl3S]VaVJEFb^C6l]]Ppt+G_ViM3BMqQlbPM3BqMQlbMi3B
U"q;Sl8NsRo2uFoqmr;G:M'WXdB'-RIeI%dZoONTm6QhlWbuV7aQUz4Bd\4e1bW^7
U"6$U$.JTOmfQHs0bNfX$X*cjJ&/Tt;^O=deLXVdto0\r75.0+eN0bw?uP'$U?.Nf
U"In9?xTo32WJ>t/WFkO*JEWvs?0#D*;NMnQ,qD'o%6Ss6iG^Fpj8cJ%5OM-I_RLs
U"^?jNHBG?W_U<=c0r$'db8al'mQ3ucipBtI&j?*s?QT'V%HE,:5<U%GJX9Uk<n0,
U"JCAT4N=zOSqV2=&9>_U6PR8^0$4FDu7B:O[6xEO<V\FJsEr11GTY=W1rY<<ZN>a
U")g+>:W'A\N*zhOj3Y#v\-.[0jwTMl0<FtU.VBuSg]B7L28KNqJ]kFp9B[=7U:Mf
U"<B^Np]$&>)X;(qP:4_1%4wAieYt_[.]wkg,Y,UT2LWJ?N4?F214=EA6=6^t>?_s
U"<1s'vF;'^<2U4GrOYF<.7\h$Nq,M:A1cYF[Nhp;jsfI;jsm#aC6c9x4MrK\(Ftg
U"43FV.zDrjwEl^YA0r:Kop.d<$l)0QRB.QND(MouZ4[ZA5Gw%KAxEf\^mX<+#Izo
U"'Qy,wjM[/lI2-ke=vaskhU+n<\MCq^%),<aDkEBJ%kh[lhlnZ\LOVBE5R,G]tkI
U"OIj/H_coRy'QYc[w9pzY2(=o_6Ztt10cn&N_grcA(J,0hI:F?=aODg43JX<Fp&R
U"TicKTs-Gr2^ohc;Q8m635BWl?Iet&lHY?qR4t2M*V575coT&;io%P)oVqQwS95/
U"^=.T>V'ZCe1=-TBV]Z<Gn%Z5;yO_B=oWw1;/2N0n5ob<YuqL_p)cXib7T;Y9&QU
U"gRJgpoYL#h3YGV1^]Xjv+Owu)K(<m,#nPb&F+4JIZ96.:B;>WN&.OGgtfn&g,g#
U">%2t?YGmZk+YOT,?#s4&Q+oq0eEX(thz%rRUv(4G+_Oz'81eOs5mB=hfcD(O7p2
U".i:A]WI+;6nA_Ib.a.rKr\qh]W]+si\$A$giY/Lm#)#NcjY;%sq/$u\DhT/Oi=S
U":YW<LBUF*sl\cXVWZwj>0nx<Ys9Pmga*$[8>m*#7NUSckCMuschFt9aPoOobw9(
U"6iaViX_yzZ88[&_\I2Tnz5sQC]Tjm*8.UC,vpwQja<D0jM\oC/VEX3vx,8Wa?AQ
U"36^n-Acw_5B9(?[+'f[a?L>\rE==Jr#GqM0h+:I&+srX+8RI]W;]_4O^(eIOeyU
U"3-gV#PIalDFFh1p=/a**Th?)R'Qc;d;T03h7&;UwR40(k3>Lc)p+c0:r.n6M/hT
U"fGe(R6PT)b5:d508ZK89<,\b;eu(nE2ZP.a5F6Nn$KaQn_Zb7nih1B$e#du/^>\
U"'<G,e(f2hFNfhRf$RLf+l;GV(]v(P[CiHi?tSxAUWCCEd4GnpP,>g?/PVhi:$Df
U"Y<?,TV\hircHx\VXSK\3dpcV*igA]4Hb2vm/=u%POsH;^D?ZZk>VW^8QB8[3>X0
U"0HVf]1SB5.:.#?:T>(Z<^LS=aPi9*:FB]u5PG4lW9WldT=#78Z6$3/[]jF4K6SX
U"C%VXO1/6O=\k&kY#1U;62Oj/+_gQ6$_C[]h39WB3CkkK[#]R=#IS%YvP$[Hs]qb
U"w5/Q9NieYksQR/Vbfa[n<aV\Iq/(IL_Q8acFGQbL&[-[0;#07T5BcGTkOP)YiDi
U"P_puDX/MN.WQcd7>K9nsK9BxK2%6:\<Bsl<b=l.d?Yn=5orS9UYn:oEr3E7#cB-
U"iCt+F7%c8CY3#q*C#:CYn=&<2(n6a1nGvX.Qp_08a7MmP1>N#bb:pG2C%(RYvJ?
U"'apSNi((p3CC$aE;CBWRV\z>5_ZZAc$0)FtIeu.0(hsO;-E/2SLe*0&L8i$VP6o
U"/(1)t*LK<k<QlPK];C.x&R6[8$oz&;ME/SGSe.TT(6EL8ToY#S&J%VE0en].f85
U"x(CnSbAhaLGI4DvC-MN3nHUJ&lO?hXqMctFdAU<\4a+TKeU?Wo\>(5V+Y,Xo[U(
U"K<(24-#s8(H0zhsSR8MYu?P:a^jQs8jSm\lVa>iiNFK<(o#u0uW]PaCr-e>Kk7I
U"blPIj58X9hFN>Ej9-F_t^1]5QfE=0c*3>;aSI)_?g3H%pr*KTeLBQIm#2<Uh#;3
U"bf(A<7Do$,;JI&T4uLF8oY\?u4i&0ci0tfkqG-lBc:lp%#x8fSI\I5tF2hVRXYh
U"5Pm:1kFw.k]7+SCXOtxHL>U0OI>IK&.FXIFUrti40%i/9*>P%lFR<Qg;,z.w;of
U">f=hDZVW-E0fZFwR%Y*8/MZrtPe6R'Y1GRrw)<4tot7vq:V%iG=,kkrnhMLm65m
U"euTvY<ttNfw;Fgl6HLgtBg2pqmJg23$kZZ8:OOQ/Gf?g_v24BWslXo0=vc]SX7X
U"r]=4MJ\TZp-YUph0tN&ktl/>[XeNZSXYv%tJH,PGUJi1]Ju.Pce,ZXt.:HJ&Tpy
U"J&Rox]8(jOMTauT61wjKcL6^1%;b-VZ7zgJt?wdT.+-SaHDu?XZ18=bnjm7[Rh(
U"e-u^a\=.CJrZO7Qgwudn?GA]Io])E#js?Kc)gjojufX3lncX/Bg<mpBUlS\dT(1
U"gz=e8I,GAffE[NMlxI$T>*]oWn;<>S_sG]fTBkIR._NAqC*<I'k_%+106k$RVru
U"+A3TY5Mv)UTJJhUdx7Z9Brub9]KwpcC(TO1q(yBR';Ho3ZJOJCp^Trehdx7tnME
U"g>q]YSMDtA;$kgEh%wD;S&6t?=:?f,J-fY')2#0.)Tj<k]<NE4R[TUq(%x__Ot3
U"ASg.iL2HBN0*D-(89&5lpbdDB(9Fqo[g-O2P#J?K&3b4pa>B?vv:?3*Fsz30Fxz
U"$p()vfFLXjXAstZOz0#2#_t/<rVX-Y$x8#DuD;%5ZheO3/->*bnjQhjowVEw?]H
U"u9-Eoixk/(F$eU-=HqbSchZ&3X-\wDCF.jc?4'&a4QW<AM>%rIRl9ZoG\ZHVI2U
U"ZYCig+imPEd1Yzl(>wJ:eZJeeDVIe-8TPmG?*/,hbI(1;=*8)nFT^[^swQD/<6k
U"Kmb$D+p\QLWMmfljJn_j&51LMLS?+/G;4*%>rlA+,i_v$o1^A?dg6(yaR>?KA+X
U"Y]i8M'YlBkoNIP25Uj6Il%gNT+jd%kQXkCXM)B;lx/RZ%LL;mwPd9;^hg04>Lg3
U")a]K23l]BUh'b)AnKkQ%HW$JZl?-3=3-bx)Qh-<29Ne7V&K#/qUJ<W76+ukvBKC
U"ulr*(UX]SO_BJWmH78jzkHK1C*Pk<Z,4^)O]01LK8/nSF9B+e.%S-K?N;5;_Z%2
U"E8_=NXtKm0ASX?jg'vd)H^>2);tM>N;%GG,2N)W,Jl^oK63Jfc]BK;M:l*66ois
U"4ffF0?V/m%KS8WMhg_eNhc)0J2pAtft+ted.Z840_JXlpspPcsJ,K&cO%yD8m4^
U"UjMBF57t9T*LS't;OFGdK[sX2hA4#0B6T8]=pP0ev*7FzPQqQGIvA>L[:i\8_B0
U"90pO[TCVf):cgcTTagRX(MAwmDkcOc;Zxg+<LMtUiBZVmMh#GG&QCs:-C-XPTG-
U"gI_IHM7Fmi&c*TBhdkF#KLu'+$b5h6\z\^_]oAc,U5j+9(bSk^TinjX0;Ke6i]K
U"q'e[*fSTb<#_r9?HUTnEoE:b1c/a[%<z45(KLfq;IPBS3\JtC3\JE4<)8+:mn_s
U"dn6H=f=K,3-NsZp[#>?/=Pv9$X#Elh(=_CJvs+v^aBUTpt<WsKS(EaznH^2e<^d
U"pGBfKJ(6*9$/=SpRC%gYXC6IwP+I/F0p>28mp:<b,DLWWmt^qKZZ5#/]4K[q&#N
U"'ioZxFZj#ubBGMQGqJNWP=HC:ksl#eFDe9H=,Rx#?RnOmtW5;oWorA'e;r>;$'C
U"GoJvx7*H*p[:HMd5+/$/^'_&y/P7y*'y.>,5*p,PWoI.r:R96B1CZM%(Q%p<RAA
U"tyZ73ITR8dJrq-^eO/%sZcoU8kaRnk%&U-l=+81/Ycti/q9lMTF6Q3V\Q8,'>+f
U"T^=&b(R.9CqiXK<HIwS\xGr]#5[]Ps>Dd1z\9esB9$_)h+KaPy8'U3pH\ZXWD&S
U"b)N-YV/x6/2,]<XVVIn\qKwtRF\wKsg8Q_Gou3/\ieY5:A-<[8pG\Zp:=k5$GjD
U"m;d7v%2uJQAc+oV\y#)*:eZBnUL/?v#d5q%JL.h+,GZOXgN*?#(EMMr[Nl^=XkQ
U",s+Bi2g)b_%Z'f[cB'F<ro9P:DhMz(yh&dyr[TwimY)sCb*%01jw&(Q1qNb>PuK
U"Avur)ahJlti7]i*>.o$Yw62al6D>gZ3X(VEB#6kiHc9bZDNnQ0qhq9%j=9M2VSD
U"1St?Ed\lnd9#-2YeNqZ6W#*]Ijnn?0.-L0WY4i(,uK2OAS-VZKoaRfmt2fNV;hR
U"a'a;f'5f'=6O4sv?%gDwkh4/x8Zjk8#[g7]Bq46\m*3\lkH>'W*m;+xvd8DEFmV
END SUB
SUB V9
U"t5uD8JB;QzUJ%<mZ$&JJNw9\Ubb2-$TP-7PAz=4K'<=5qaf)/:NxPFo\C),YEo6
U"WQ.du?',c]q],0At#Kan5nljbjrtuJ$J%.id1;\dW/\J<VIo*im4cYjkHF>X$W0
U"rh,5gsNBJ1<^Ok/e#;j9u)sP;v8cZkt90Lq=]v'PzZ3tIeT3KsNe5VQg.hEoQ*T
U",K+Hv&nh1B1Koj]H\X%d(kdvsS76D9]\^3#Rrkbk6<H%VA_Rin_i]aFaI*vdl:7
U"0*F++'s4V&<hwdH0g:hX:UTROsj4e8:Duc+Lf^Ecr:M^WOF/.jx5I/E)TY/4HWN
U"kP2bu.o1-^15K4TBfAregS2dP+lvpIEL^2n<P3o=&z_$hTgzN#ABxAi+9#'F$>$
U"j8-rS9l<3mKvUNDb#pafm^;A,#F6=vM//2N6L]^AiUNhvT8#y/qMs]bUw/bN]W1
U"hafgt,K'v:lx7=M8FYg=:$7+V4wV-GtE^%Y5xw2'mbOh9tn4+#*b0F5vISn>$ad
U"wK7Stq/;%&Wj_>c'.NCdGtu#;Z\W[jE4\1D93?sW06[a<T86D#cVbCGLMBY8P'/
U"]Ct.SMkCDzOHmABl,)ZbAPHT]Z_^_Y)W&RW;6IXbi\iOq_C'aLvuf*OWZ:^L[zn
U"&]wR)sc0C0..X.X5,Ern%Fr8?foj]4F)KhEp9GZn5u9r]9B^#:BXv]X%QE0L.R5
U"YXMvDNP[oqW0IT4r&-UvL:/Gp1K>hTehVdI%,Kgfc8J^1uD\b/aD=j2sq:]_[o.
U"k%uGaN%m3XP)CxUq7LJh1Tf0M^_Ep.5VIoj^j+Jks)ai/qnF.+JuqO1wA<mRRjK
U";t)%$m\+2vX(g$=cAQ&kf,<=T+&Y)d^4*PY7SROgBD'Lt*eEa<vRH$d8/co8rt;
U"fkLTClc6Q-D9$;K3Qj7]U.QC8twn-BgP:.It$i)..EIthT'QN)kB-C&i&N+wG^5
U"b,W*JE^R5,eehkr.9)j](rRsYEhK.H9(Fq-Q%D%1_,i5rDmg:ELaf/\/CnoX6dY
U"<QMm1n^B,?Uk*nDjmH&-kNcw3Z3Bgbok*Uw:nBP^.JY3S6b1:8$9Crg6aCQ<n%k
U">AhPU3Egd^y,kDhLzU?[kp<UJDwbxN.1ZrW-(kX<o%-upHHUZmK4.QKgxiyKMOd
U"mdWYmc?;Q0leh3eaU1\pl[\BQoY_./rfY=z(0RvI?Oz.+y\ykh\jP%y^3lxy^tU
U"?ql<Du*O1sZtReuwo3IjfK7GlM&L9P]4P(jYpVN^:e:+-'d^lEnsSCQ^&NHbja4
U"iY$<8i<KQ.Z_f'4TbWU1V8:H^p+#Kp1lx](elYDbi,bcHiwVxY5SvD>:LarUTt9
U":Et*P+bWx;tM*N8O]e%a'r2)#3>Z7pssnQ8>(#qO]%3wJkUK)j2S$+7=0uf<BIl
U"j9yJZrxSqCFhbC0KO(3kb^sOZ-L1EaOG<QM9pyw-d1>#8;AEu-nGZ-+mlntm+*J
U".jx*Ex+.LN/.,t#],G3+,#tN][93:#w&5);)?2A4(':7ApbdIqU>WAd9fr7$(N&
U"$N&$n\'kFC_S=qGw5$R<Lta?pmgQh==.k)mAAcd]yHHFBx_H440M=D=f+WGx2>x
U"GSp-(M9bdlW4&YsGm[<(r%:UA8s9ETd41WY$R1$&aVW>EV(feV%&7=A4mg2A8$l
U"+iCn%bK7k>P;j0eFV((Qa-X0^XDg0S&R-1Tf1&j)\:TEp812kl'>;\T(ek*bpsL
U"LN=+GD&E&5)aWObC]0QL8P4)R:HQ%+[9&X-JigNqy_Q?,mn_Q:CV.BVzf6Dawa\
U";FKP9NIqhA5lK&YF3M[_L8rLP:k^-DM:U.E.PbYYMVW<^=^IRe1Z<R$LEwYBQ57
U"pT=>-n%i#uONb[P6S%Q]5N5V9a6z7,Emc'NX'm.QDs't:%1<RDMN3BjP]_[QCK_
U"q<b3.=Y,[1]8q#KO[\y9cX]_\JytKbt'X5hKtDTToEI40IL;[z[1c%'Rxe_KUf+
U"]VEY1+BRt,$kgb,xw8F1_*WC/G&1+BeWkgLNK)/-B#XAE-6:TC=v.M4647D=Ggn
U"p9#;DwnUo'docGu5maB5hkbvJ9\]3]V]QQ\\&EUiZ.>1qeFo<^S8%1\jnE-O>Y8
U"5_Rl.kLcTG)U'u_#3[=-lc*8Ed+E+3xp;B^VhUcV1Dm'm6pKPn2/TwB:Kx%0JS&
U"wc((-<[eGDbZ306n(Z>We-k-gv#JniEWrs6H6A0o6pCAsMYT)LekN^%s?DFk3[O
U"cC8*koxC+Wtv%<ia)T%NG%q+T&PQ4l<v1Vm4M7-4Q>P#GU/&xseUD(041>mkZOT
U"AI>^+/Ff^iYY/QX'fTSMj_gT,3a&zm<9)sf20F3t5sV.;sfC16xNtoK&?)YJgkc
U"4nLGou_\cblC)S?gt$+iCN2,VJlhz'\:e,'s'rTL-8I=B0#qC'UX#C<$ki*0*L]
U"kXDsMh+PdBiF_hz[X$-i,=6/$6rCQTq.bT'H?pI3TZt)QYK$=GJ9cMdU^+;]?\*
U"I2:IPV/hX(sRc_)O&r[01m)(5C?<rr6>8FQ\<Mrn/B+FGi0QTCT)k7b<i0CWZe+
U"?<ee^\H>bqeTNLV332\JOC[DdV.GjnT[<QVX>891rE:ue71pcYr+^LG#KKFL%c<
U"[$S>ko+US1o[Zeu5kleuH:raKGAHW<V^ik%_VF=)cn'$i(P7eEIn[6BINQo\q(c
U"G-^rU^C-cK0]Yyjh?[E3m[gmfG-Vl8BQb>f204%2SB$WkcrxrkBk1Nr[Ob08IsH
U"7U>eu[HUpn(1i8^J\^cZGc9BDHsp.+0jX=MC9D>lW-l0?:(mAxRWL#?D(LLAc'f
U"hccXzDnb]Du*R$2ARB-v1=*Pqe+9U]k\me]voEKCsryKEV+;=m4LXiExB+Zkhfv
U"VoZSmMj$d$)ifV$YiLHlD$h[R'^$1/MK?sN?CAnpKHrlz8of'n3K#Ry.[RQ^ZW>
U"8KQqUT:6#:_xY<PqJ?u\Y5.dY<YnAbK?BIGmVp;$L:mGoSQmbB%Zc;p^U\?B'H8
U"TUq^l\>PuYVW1G-SX(Trx,x]SB(_?Ga*#3A9s0N[7vX1Xs>jjN2ZUn58$Ah=wn#
U"Q+l75ney;,C%BkQr_><#Abhov2^B*u'=p7TmoSFOnZ1dA2AuXbagjax0OmNHsmB
U"qd%Q30jwUiI(RVXh>R3KptxfY8GI'wK7/*ZmF<%s)WpiGEg6:a&%RQ%M_U:?Kxs
U"MxwZ0:\ce-G=UcapD&1q-gwiWJ#VXvd]gH>$6]^f1)t%AMGTo6lfGysPYfRy+?x
U"VIUJ>x&3Y74BATFmi]?ALhe>oc;[0B?_7(x?xN,[vWu=Ci;1ZiqZ=?-t[.:zN.>
U"qc8'UJI:%.h\;b)x1p;a4sEu1w]p[&G.pz:,gtSXDl$9>+^]\LlAJbNt>GRMztl
U"#+qf0(&G(]OjHeS;n:t;j&q3A6,[jd#G1f,e=nd3,IN#tM&\m^jh?HadC^y'9'Y
U"VSWR.W1ySxCP#MG,[Sc8>#9%,r%DVCz..Al^lk?CNZWF:)p0AndhHrxPA4j9Ry)
U"RqV4^ZEZd?IdplJm%Dn8j[/Z[%l_A$WK8pAGp\UXt0b$A_gs91QoTNCfxVF]R=Q
U"r4<<_aJY.<kh3D3W1R.L+n21o^^.PSZ>,b=A<px$^XVjv3jM'EH[l[Hg+QfX*'9
U"o%2YPJl%cPm'5ri-i<xmc#RE/8YB4G\Ddh,rK:2EZ2O$T,+07reu*LH9lP^X/;C
U"2s?FqGN[z&_R3f8_p\LM4M=2^[]jryiHU^9;qtQWD#Mm,dQ>l4fZ82K6QKP2m+'
U"=t6l=83x##?Z,BE<YBid;7e)NMPS?]Y#y?'[1N?w[)VJ:M1u#FCQt672z8P-OR[
U"Q_DY/#D\61cUoA*mW=l]>nTRtlBE/.(f3??,z3SD/[Y+>WiVgnuh\TP]Ad.k$H/
U"[<sS%)NHT&OHisxD9_E?H#0&VbVIe9]PuP'\Q.r#:]i^u\k\A]^kM?4^_Ye^ktb
U"sS&X,O>?hr\18eM69Nb5W&n[WByXNXo-cRmR4?QB_u<i-OL#Fd(sxlpjnc1FywF
U"+X)o4%V<o^RN]nMj[jG7:sK4.BKXINiKu*Kihg2y/.L_qI$_W*JU]Xr?OFLTUoi
U"i#)]i'j,UX'&#ENBos3c8]zjRNK=MD_o\FP7_sJ6PR]h:^<)=/Gw^9[9G^MaTr(
U"1]hT>oE.fE^A#M$HEF6r=^$UA-JA^<sUP.pl+ifiQYc+eXHo$kP^,kANqFD%mW\
U"/Hc)i^q;FD7/s<TG0t'G4iQwc3=N:lN4lnh/n?P*sdBH6rkEl>Q;JTT(6g,BbTp
U"*.+.pGk^OlcY=/%[_lqi]9V;3L;<gD]GB&MJD]G1H&J(Y+bO]BD6lB].N^[,''[
U"bmlA#Nk5_WB,+&Jltk=NGfB6>_>9hA6:L?.0YB=B+]fT,iuJ.>i:z)t=N5cM)Se
U"T[U$Pxi<t(gLA<>\'xH>S\Al=fKfbN_Ex;L%shaOvVDi>mChkvOMi[N:.6ruwSl
U"Fy0P[TrfPr]:SHW>C>ZrfPzwJSD(WD?VEkL:HNPRfrGK)axgq5nMdN_:G*qM$P2
U"m'+eiIP=S*[zFyu>OMZ<Ec]dHax('zi)PBR:/WGI(/-wG,&PU3zgOPW:hj8W3__
U"_FGlBl$BlLv600I6S)H7%<&au?W-,j\xQUG)]C03GM^XbNarEER>XAkCIaw/^MD
U"[Z)2f-^i2va/BQETeJXdN/?JfzI[']P#4m$t/L^?ED3]xue]_Z[PQ,7g:_Z_J._
U"Ygh?*xmANsNs\F&[X,*wh/J^yw_a9'KSZ8i[wiD$&CtTio_i>j20+YPdqu*\/U*
U"_(-=gsq[YWJfGJbRPawa%fwrjr6'UhU8m<il4_%rq^Xv?WIA)*aFxbA82%dl_'S
U"\'$sYxQguygQ?If=eVM+G<D]qI$b;RT-nU0vbrkVwanIjXHta#;t]adz^ZHI1xC
U"8\DNe+;NC?DQge^t+NxL1$N79rmbqEwcZddzjwWrVLVIe>CtYM*Rd1PKtYr(kDY
U"yGMF+P[aCO8#1>6d/N4(b+Opx'8Rg2BCQ3NdHMA8P#ZzL.qLp>.(*=bpoQj?bf;
U"0(aT<mrp:+Xb#AU.s$*J;bm)QBUM*-B)M--lOu>7$.QK$keb*;AWe>p*SI5BG;u
U"_76cDr2b^UW<AwbBA33?hr?Xq;dklPT%'G>])/]dG(GnelLEAGB,ze/Aze]*g*q
U"'G.:Q6-lD2]&:'2QOP_E%P8XQ$[2e25^Tdf>nR,:X[tD*o(P'$9Fe/JzVV\d(E+
U"DO[5'sm-iMr:LoH8Zi]B\eh,sh*%:'LmIQ1er?-a;^oD.6JlPpDD2gUi,1%Srd$
U")TESJG1-.Abo;A/TERT?z]JKusmP^P,WEltZNeA\&8gLpdU'b'FoJKPt3e1]R27
U"tz?<1DN&Yb'HOsnPXJFKP\7Gtd=)Eb9'=P#bUX;BHYA9704/Fr7-XV;3Vd=ElPw
U"3,oL8#z\0H8>FqT7Id?(CL*mEE*?d*ss7;3W<=lwX$B;5?/+-F?EVq.aT77\O-+
U"1TA-Gh/Gw3tz\-=VogkcpjW<Bcp5Q5R2gq$wFHv:xPA-nZg=c:RXPK,ADI2YW2>
U"3hiYB2+uH-a^O#0ZpeD-Q6aQS:'(sfCdb^Err[>cn25wP(^l*ex3q,nj*g.jExG
U"=W,E$:A[Sw'O5Q=IF>n10;lfAdr8/Xbn3\A&Fap)._1t2)UY0fP_yIOsF6pF&S'
U"^%qNL'M:D04c.KZB'M0l/JLltK(K.96OJ2/d/H(*67AV[(,iMOjm('k(P<msLt1
U"X\f^Opy&YglWiJGU^O*:E<(]Y;HF833UTB1P2ba4Je6bd1]z*^L]xZC4cCqTFHs
U";ZTghm:QE_>8.5^NImsl\mFWgoRcf+CT?^:1aS==DS7w+mngH:><>3E9q2*\Q3C
U"9KC4'eb2)>3xjphZgD9VFyxGao8,xZj6AM<n(LmbyQhk_JsTB-hn6I0rbwoYMFu
U"tjI8yA)&$%lA_=Yd,,ZjJquvGG,gVr=u%FFAN0u5#m?9\-Mx8B5t6$JhC1a'vsO
U"8LaI\db-T_GK5P_b)M+kS1s)j0J&BbaS;)IUJ$Ad8R8N2+GE9cQouMfbij2imhl
U"Wk3+<iDlb#YT$$a)wf11-;knwp$lL+Dnj%D8Iko)$sQZN)aefucFDq\T-^2h-,j
U";.>r,kXn5*=K/I-lnS/r[%.S'#mJSRfH(69u1ZE66M7[AJvt=kq*.X^oFjT^u*/
U"T'ZrIA$Ee7+DHh#Dv<V<D^,[lAJ#\UL]v*'1AB$*wu)R]pe\<UbE^aB+l+R#<H8
U"ju]f(*XnP\Ns?ukls0<VV,93Gu6L_xaB6]hHo8s&a[GZs^46g3q1w7t:WkA5art
U"g\R_\'q)W;6h\>(J>>>&(_f&km,]bUwmt2H9Xsc'Lb6*;bEL\Wms'?i=A.H+ED,
U"?ZJB.S$Hl(A^ks7+]p::#CfsS]Jk98c=W.R_n?abGtCu8.\<?r-t]in31iF\6Pm
U"feJPjs)[;maC+Zvfn]a[d=o6DPm,j9X$lPmsSm<y&tS#Z7W\BT.B08l\T6YU%ZS
U"MH$m7>78z2]V>3PJiLjtJ%s]+_Gbot\H\U>RMq2Ak$o]Vv>7iO=RdW$l48]=3mt
U"\'(5g_&?BTlfM&qm]X/&Z;Im&f&pB/3LT7?HM0>%AsDl6no_p:W$%kcuU(]VnZs
U"(d%)m>_:Na[TkZS#:=;tmuYjuYmI^cMQ-n^<oaH\*FLT5E-^U<Um#&-mDTs1b\4
U"4gsGqdmD^b?W#8-?ojnFALadse^lVmS#Gn#$JUU:7N1Y8uoa%P^eDudu=6i+,*v
U")A3'.T('liAwq-V,#U#?'m:aO87F,gHlQ-[+\Fxpi6R;OBtRoE)Dg;pa>3C05)X
U"aNb#j+(#w:?dQv*B9yG2pa6ulBlw]7zykKFzkSec8F(q;z?Q^=/Geki::N1KlYQ
U"B/_::6)+PE&-:.-Kb/fp#BS\0:KXaWgg.cM.d)e;f9C&u:].z(qp]G7g>.t#&iu
U"O)+'J=ypfX=+4A:%dsYeq,p&?EU1f7(U<b<9-APr\py2tR6a3&Z?64+HGGbgO-1
U"ORJRB-N1q]cG8:$NvS_zA,)fqKDo\C9JNem1<x/K8_3PZ^50l2hmsu2KOwzom)U
U"CnFFQp+Y:]SVEY*)v^5CEiDR8YO&pAoreROO*Kgk9)jBbRpqzr<WVPDmlb'AI'h
U"wre?fN6Qt]Pzwt'cmicU-iZR3d7bU_s=0.$(=L.l(g>MQ73I9CD=?Wa4#GI+S+N
U"TTmZ^^q+;CPop_^:bynn6u>W_t],d0nd;hvrhQ-urpbpLulWI8wldI87,o#YD7<
U"WF0UgvrQ2_8mDFWF<SOqlQ_A8c[3;i^fcBF<,v]r2FLNu]_8\m9WFB(vnHG78KW
U"FFv_&6a..8UiSlSJ-nHnSl?O*nvcu,_C9=XD&n:U$ohbQh6;dwD,7,]X4b,JOgs
U";M:mnVBWK6pSZmR=_pcjQ6cHg0o6R1_cf4XsHr?TmRN.9n8jgs[LkSmh89pc\Y.
U"Q9Ng>n&YG4[i;66I:irX0xS0XsqmBC34<.hRE^38/&1?.0eqX.ByKKGwqBo$VF8
U"f3/PEd=1Sv--Aox-S-%RM.hVY0c#F*Z'Gb-3IG]Yog*jllboV?IigMoVRHe4bPW
U"90N(8*$B%)aD)$u=5i7,e9D.*&.*+'7C)\K(-q9TEYD;QOhE#',DvQj.VwqLoeS
U">)U%'okSOw8OrM^;;n3eE9H5?.2-GI(-Gd5$i0EYRHf9>R)&8h+-1.)BU1'm=*S
U"6%H:(ev7Dli9GQXGG4::NG>/]6;hvb.Y$)a;+JMSQ1bodAA'/39$%39$&+9t+ui
U"eXoQ<boQ^GoQ*oQQpP12fQ1dIf2yz8QY[*(A+gPQ1gD7,X6.J3vFp7K/.y1qNUs
U"Q257]6Q;(U/4_*];AgPFUC=(l9/5.n\5((xH;#KMzp#vj[lbi^<VJj7&9uQL\Dk
U"Fdo^sUgGbL0?xX:$G&l\p#gR>F]Amomr*%FxTUE:=0h&/8'8>[>^.Ju0l/)0p8q
U"NeLQTuBL%PX.oSU/&^v+1H.^f%d)f7-?oi).>-A67Qii%_Q1)M\lVsc$GPs[jp[
U"k=>fm#YR>)W6K)8KXJb_;gol=n6^8F8;dIq*D/0A:9*896UsWNP?jevz8E[cxOt
U"7YcSVzxT02HI4RB*NH._4q%RY.F+J\fcMttvu6c9(kGOOyutbLJKE%WOtvt?0n^
U"TA,#SSWlQcnuKol1O-qMLXWM#4ZY,kf_Wk7HKF\Tx$jC0R9;Oj^j^MPfWcEqkSq
U"zGS+pE\mHNDaXb^R^cM>G+d5C9'z-BDk2+tIH(GJmM^tJSaJkRCrtTqO&;L_.^R
U"6J(aQeUIZ'5K11--XLN2_[PKi:qdPC(jdo*LVq(fuMRt&G/egwh0TdZes]h1Ikx
U"e4)Uukx:uZ\U*'S?wlZPcn'0:oy%qhK3,i+vUr-yJ1e^+.f56gHx&X/i&,Xp1<8
U"VE*wahN9'+.8])&3=.-7/BZfU-Q(-U-PX;9AY'c$drxcFIUz60a#8fpB9nad<S-
U"w,,Vk+]BVnxa(3rxHhb[ZG-b[RVW=L.PqTQl2uI1g$8</mTTDNMVJ(bk9X*sr=w
U"tf.6^JAa=Gj9*$6fo#dbn5m]Cj$jd;cE<V&kl9P_]xof+XW%<gHI?eTrzWd.J:i
U"LV0J-XK&T^+6rPj:'Y\AHa(6Sm>$a63jc4gK][YcmGgc$;J.0k$:E\59/(e-,<e
U"Gcap-k2o?P_5k)r%2GKK)NL-$1Y]u.6Kud?:.HW^gpZvAsYE+)68mLRhJEI3?6>
U"\uus\:yB1s4Q\b]YN^[bB0Zc<f\vj9jl*#8<nc9C0CnEcVx1kUgOu*pM[T#[+,2
U"Nhg_pZNdLwEnF#oh^Bzbs]k7]u/H_a+?M84TS2=RXK3i.y_,H%pd..gV8?]gA5X
U"2K2+rcYiZYI<]BA89x(ip<vfar36:h(1UG<HCiKVG5FX]Fg#sY4h#$eM7,hju0=
U"fWBcnm>M<0Jo1=c2;pX#)TX#hk$bWEAqmC5/F65\FYxdJPc+c:IIH#\P3Q6.&)H
U"d$2>\y/H^XC)631gN]id#Y<X'O'2dNrX5Xu[pil>vtl[X%\=GY^O9x[rDBp\]L?
U"v&iM%S(Yb=Z$0G[<HLKi9[4I5>w:6)k)EHWxD&idEzFci3:Ip7]3^.$qBP7c0TB
U"PksAku2\rO16DT?/M7\A'H6IK0E3a88JgpVobuTGOqgyD'jZf.W<H0joBNn$gMf
U"ksQ>EKWZ-t=BqpTF)%u7dgPMx)IyH\$8P78v6Cip(wNdDyyhnaa%s=t^cbPAn<s
U"B]pe$2%1fwnLuf0rN+NesL)E7g3**>YEKv<jLV.,hV$7,t&cvc/1waKV:FB9hw;
U",T<]4M-5f#H)J7&%Gji\yJGKL[m2CSxyq\'6Mmo?;>BPVZ9iL]1\9]B>G&8ktc\
U"%q/KH8YzDNZr:j^_yn6Rlt$nRo68t-N1o07X?e,or'h+i0RbiVd/2-iMU^*qFFj
U":,FP[Z?Vh8]Lu24oE?-)w'*Wu4Elf%9b;XeVluLOK9BebS('cs+Qcx?f7%oP\7u
U"#2c>PC8%>w%=)L>wSZC%d%o&YXhe\IL-KGz:wLeOy;ej+IRw#0K(j)b\f,+6i'i
U"flVy;Ju\Ej)k?LsRo]1tZG'&))qR[sVL/3)S2g_yb#VDB;y*(s]Q*#WFI6=W&pK
U"hceDDQX7fEnG0]xnGn7.nKG)t)w&=Jwznc'bW0tLYeHXT*aEhY,88T4kN/Wqt-i
U"g$B6GRY(3_<uQ?5>vlGn\50UeU%CtNl(p&fqcUeV2_1kFE)W4G.]WTOV'LU7HGI
U"D-'NTgV6qi+ApZW81F<)hgM8hNPR-gQH.on-6m%%k>1ELBGt&3Ja0J=0GU+*wXg
U"R.Y1ZA$H-3AVlqO^Z[UnxL3nVA?pnEn_Q<CI+Y6&'^FP</BiJtv?*((6BrF?p>G
U"EeWQ)Uh87qqXF0IKdiG-c$46*1(q(tPSK0=/E9k3d7YVr%yT9rH+0y<K0zn[S$Q
U"*darKf_;>=0y]S/db;v;NLS1It8Px-h##98V?YFK9LgWkO)i&;e(tgm*d(Rn]g[
U"o#=EMNR0y/;#w1TqB%[VU*s:&1$CNFJGl2.XzbNb<ji[[c+s'aSJygbwUdr+$sb
U"vWrr&IV6[&Ie&q.r0=WT8,%sX%#YO%4/FP-rn9YDOKn)pxHE(9*I_.\w-g66p,V
U"*K=:P5tT_w0WN\?kSd3#^L1)0,O]N>jjH$l8]n/#9kW>%Mq9mXn\cuF79-q=I#P
U"iF:PZr$g9x5nEVdP=1^R24vWb;sO,v)\B*iDBRf^V?Q1F$-I8h;>X'U)E?Ej$QT
U",l(N1,&YQb$6BHx/&+MY=uPS'h'[\4GVU*_ia$E*HZce'^uSQ^qjDnL3%'o[,dc
U"4mA5:4B)MJ33-zfEfPFpYpTuO0BrHPFZk*g=kB(Y+iBvLTgAd1<hA*R<s2(nf\^
U"wL;kAnnUq28ooc^%\BTcXU9\NI^g_hg0B]ip8Tw3E_i2VsffqX.]*m/<GWXLiUn
U"ZI*UI4IB3S4I/^N%IFd;qVCRHUt=^7iC^j6rgE^f1q_61+$K6,(K]$4Ws+Bqq;>
U"Shmo3#n$BeRxnq'bztk_m?PG1DESm4lBQ(%XX0K-%4tt:th;C-QedvY,sZn,mA*
U"F-IFYh2HD'Whc4ClMehtr[USb>ReYbw1mV.)0%Y:-YL=xw#f&xo;3?DN:iQ4Ke2
U"#2$N%hM0lgx__gm7urbPudSng3G$9%%T5Sp*G%B8;%YC=%W;q0OreS4yUt%[smb
U"Vom+F(ISO9+R#N98fQ_\9-SBC\7;W90,490:39*iC;qf[q]_=%gX*Y&wrX:+q+u
U"8t&>k3(>POtws,#f$aSk>'JVR6F3%tt:''igNQ,6<i3<Wm-uT>-T2$/U$x>OA4i
U">-sD3kk;:&nWQ++qLx/ogJs-*tU(Sq#+TC^gi4ALn*T4HLsB9nu^k%Hk5jfgW,^
U"1n-WmD]ZOmL+7Trh+X]d,$?a,Z<9bXprV9fvm;2,o#iga,_DUjGB*4<Orgb+7JU
U"'^21;Z'SoeS+^SEiw2^+s,lC-JWq)#mW4ORR#JUi;Xi[N)qX0CJ&7,t#lDHdyQ8
U"]<D[miH--p6gj:j]JDDQ;dgl9(U&lqTiCl1(<mEXRH,XT,;+'mEQ/x#y9vcD^41
U"tLWNO69YYfWu*ZsSuvt#-rXVr=wvA?dvZXXmi5?msByJ>9R7L[LbCmF,JZ7#pLf
U";]]Y2UarFNp1XT]q6?<5=yVstSVFr5XSovc96V4\HlCT69U#l&#X.Eq6r:tYg<p
U"zt]o+w(CDTnb>S,gVP_q]RH=pK;dRK/BP5tZ*27DLtGe0UL$RV;*6<+%zV.eKN,
U"P7QNQ#_s50v81;)^mUBi&/IvOh1UPROqHk4rCk^-*Zu#?FCEshlbnv/:2vJo]RE
U"EfXEaCD89;0IPfS]V8%S['bMvDquuik#UB<]pyEGu>Jne*qI*M)p?B,ZaJ9;:Kf
U"1#wScEC%QH)Phms8:,Ko%BSWh0D$?0;_VQKq+8lPrXv8Q--Q22t,p;X*ZsE8;GX
U"\*q*3?+*M<4I=k/tmH%t=i]S#f)uh6+zT\4D[$/CFY\JzOl-EHup?IIlh='PQCd
U"0f1Z&9JW\8s>MNr;.?F/+GNj8*E&YwrXf6a1fEoy(*g3XvX0K:FwsuK2^sxJt<P
U"aGGi$kLd5g(by_Ekj]l#ZVz=r[3O=_jcKW*IF8hlTPG6/.VFy\i,d6W1ye1tnOt
U"BDosNXu()d2<^1LmAmfh()RG%i&(k7NBdq*I2Y9GwuQf)be4eaE*sx)qL,OPt6I
U"#k]2QOaoObT/^ZvGThUJlj7pmXQ-\ZP<U1px#POup.gGbWw^P'crqlQg*3hW2+R
U"gn)oJewhHT(bqlF3^(JhMtbmF-=XR#7uJfs[JXJJrc:5?90-.Q?8L66S3S8R)94
U"D:BUXmb^[xe4t+5iTkf%EXKrj3R1ed;2k-jqd.S#c/L1pW%6IWUy8J\-pK_[e7?
U"().>ljZIBcUGQvuNWQFXN6*R1xJ2XYvm?JD+o\-W$OUA-*bJsFjeX+\.BIfRi<B
U"L3<?Zz_$')fPD_%+_/*C?Sen;\k'Ybe&<e1hp7JFK:j+e,e+v4x442sBu?pE&Xj
U";NXG:'nRYx;jm-Qsh<J9I;<9eS2vP=?7.<)PEm14$Ds4=v,tYN,b>=Jv6sdKTtm
U"rp*st^G.a3-j1M3[/4>>'feL.+OT>+Rb:/EY[['^nHv>V.C:FZj&UL%*[=x52F>
U"?/&M-xO-C5buu?_Yk'[mgS*#f<<C4#L\m%[/:)$qlOq<&#1MJii.)D/8lq(,jg=
U"#^Jk,t=wTL#731*<u.2R[46X;0)%vYUURGqU5YJW#_a<t+TR##ux,i&Q0*XT&m.
U"DN<[3=;4X//)*z6]d/>1X)z7_C+eLF:OrtR7DA,Umd-rpqOV'L\1P]5=OW'JPXq
U"bU26t9$RbgXkT94e7j1fctp;h]9=4v-%?[n1N_3/yI>>60Dm'dtm$AlLBqWlqCl
U"GF/\+YN3+%hwMJwQ-Ea>;RGmO8RVV#'c9n>DQ<F21olqF',W)vdZOq/7)5.n4jM
U"j/Dq7/=]a2vK5Pv=l&PLU*.0a[?a/g,DKt80i1yot^AATn*5xv]'f&$+GE2,O<%
U"H9MxX6wa4rM7^xAdVig1ZL,S9K81#3ZvbjELh0*M>Uh%P6p0S_40Xl>02k[.sQH
U"i'C;A;6XSR3KsyPmu^VDkl5ArRi_2gb>y)rec(M&_+J7wl+y*QjN+7&mJrz:CuK
U"g+dhOVrK+suYmCRa,,(lRDBTRj&ya_i__slaQ?SlSG6Tkj$N$I.2v$._Fp5nb>T
END SUB
SUB VA
U"BvZ6(/gmNC[G.Nrb1J*odjvkwhPJM.YGR6/qg%'JO8<sdCX5bf)s)=jJ5rjlhhf
U"E*hj>.cKD>4TS%1$&kzE8:.Jr[GlKlA+M3jqZIM>xuRj&,rkN*XJ.JqWSq8PMVB
U"lzDe1kL(:=NW+yqn%VU;&Dl7Z>>&.mh(P)b_[e\JKObj<8'DjT[HMotk%Mr#ja<
U"h:r\Hpap.u2=8=Wtqj^\6tkrf=0G8n/XaX>z6JrZM7o*JdUY1-H]b>yDk.*BBem
U"S.:Rgt0S-B&ordHy6UNG#ZJ4_xcb)+crXVhDD>jv6*UqsG01a&WR'f:21ARB&T=
U"kBM:e\m&;ch'wdn0tyV9GBR7b>JBtwa_GOPJsqd)_-4c'8z#.B4]+B6DZW^7NqW
U"dN:RGkQ\z?+g(_p^/H(rh35-.sXQA)5eOY,.tBY,VjTqo4Eh>[aO7gq4>#SER)A
U"*lZuM+XHS,3Ppl;wT+#$gbk)7;+bUBBo']]24yg'0z\.LP]X_^yYdQrW7X:s<l(
U"0fh5Yr%\e&ESl/#P43.8\3w3T,<&Dg+T(17;'?^jb$SVG^Fy+vvX+svouD?.n?C
U"NH,^iH^SpL-Of.X&Sg*Ew2EY^rKfKXYM3fJx/Nc*DI>g?j'6??e,zNMJ?#&\wLP
U"lRjR-OpS6bt++G$Y_FZ39-j4hob%.*NVh<+DdY38<3(%It#+fD6?prOc4wP30+6
U"]P=Pc<PrdN,^;>quWQ*TP'Ag7#1_7;70/KK=?TOafCCjR]y:p.L1EV[xQ;q(vat
U"(34=uCGFUQo&8s%yp?11xafS*gmAZLJ4x#WD6uu2FwiMl7+MLg$6_u/_J6wQs<5
U"eE*XW%jYir/q<>Ic5:i/8$DN2rCLTv6$/n9nkDANfX191&FuX'?90z\R++Xq>Q7
U"[$U<?:>R2.XjYNqcuHIxy^U)+x9q7YYs*Q;>upqAPCGR:2;Y>bu7+Ev$v-_t?#(
U"4GaGEDEW4oq9z)>^N=?#IOU]9:v-S;=Qi+uWJoRAG'UY_<C[kM4*wfwk/1p*Rq%
U"+r&45o\c5#^t52Dm)1BDEIm]*toV8YI,-\5#t2<G).GRS\pbrwc]\.*uG]1,O,(
U"p$IJonPp'*--x0sjnSxc=<4iq_C>(hy<U_BoE)XZIs?x5nd-]+5r:A#sb'dKg</
U"X.X6e]2Z/Xx:*dg<;/Xl,<aDPe3(jy?:U1\_APihr1s=>5bd?b'OYgfU*?H1bY$
U"FLi&6GabBC]j+7_fS23%^/r]_lBRfW5u(qX)J%=9V=v\0(/t'o\zA3^d)loj<7=
U"#CiOn##k(f,d2oN)Bm_w=SKA*Zs<>Y+Ip=72D+od-WY&lo4wYlBf2?tEE:oh7Ih
U"\ok%B/OCE[?M*>=?]6;7bPXcPb^1)-#daQ8VQrIgFWLm/2/mjh1kruErrRMh\\*
U"ezR=K*_UWo,MS..gjy$IVudUr#O2+mlzY*PAURAFybetHF0NH?>jiR?T>_ob6,q
U"Y>gV2q?U_B^%TTQ-X4R<bHsPoj3'tKX%H\*_oIJ&eHfu.T[C;dG*5J:8Ap_m^uZ
U"45s,gWkW9qj-Rqbpe8&(P8JkVN&Z9BS7;.Ciu&^(&5Qhd?mOcw<,U7XiP_*G%Cu
U".Cya%&se,H<n(Ew7B[v*]SeAKF+,t5'\YAVPJW=a[57n3TGmN6VE.,0+.lh_%1\
U"(15VQG)r5Y?\6CLp]&x?)d01h:0)0&ftr.JX.LK1=7J:42y8keI1C2BT++]aVfb
U"==yB(g?$1?__9qfgSgB?JUIA10AXWqNGX+?[t:DXc%kV]AU*r*<=aF^VZXlrk6n
U"Y:4t7qTILj0$:jwP8^GoJYir(k8hrUp,5SQ'dGo\<GZ^g]KDz(Z2*G1Rr%*vw^4
U"%6_Qpo.9/p-^mr?%_&]E33T[Sgz[IA7-e:5c[\<.K9nd,k\ViWw(JW)L4*%po]J
U",1>.hRjLt\;e+E;ne=w7rW_e*SaJ'yF_J6u4Ag;tJC1&oc1^+WgS=mCc&ei]18Y
U"khN]2YGX6R;I'VciW44<:\+po&oPC13&FB\iR_&_B\NmF6/0\6GF,[6UmDXysDW
U";QhEV^yYT:V4WfrU<6B2z(N<pT,EUfLdqo%\WwTWa>c8N[JJFFsxq.EtP&?jsXy
U"oBpamjiFhemMTHheVT8RHHtAom0qsYrF:2-Ykt_uJArL(XouyD\[?Zf>'ai6T(u
U"hVGJZvP+5$4v#ltB#do16u495nQJBE8tWB>?F;b,QuftjS]iH&ZXCY.ag[V7W1.
U"3XyNYrkK]CRMrmbQJZUv:1)\OmH<ldJgD2eumt'Xkl*n#ss4[vOP'YJF[G<Fb.x
U"Tt8j+5_:E;YTF+gAG3FoYf&V,r=S+Z10P?C_v_UKZ]DyppUnM]mu6IM0:N<9U#*
U"<v1Tj>wvZ6n<2lmq#jYPWX^w+>JYG^_Mquueq>jPz[.Y0X9.8rx4uJ?qLjdr?F?
U"t-\2)dcvwmb2rc.hNH.qAVZxug?qaqK>IxpycH-6*jHcxW17yn#8-hXogBEm7<4
U"3az+h8G](wUY5%q8+D=Kq'>3-b/2=#qc%$LOTt?XPXlcf1OgKvPu,WjHelZ*Xn*
U"HKhl9mP<,CAwZc4%-\a>3&X->nDckJrA%vv3sUW$sH7IF*I<2t(3Nx$+y4SqR-P
U"Okj5$X4:)biS1dQ.lVGMQNWEf$zgbnAwH&'F,e:$LWYV6XlhjN=(M6i6B3#g]\r
U"SV0xTgl<^t:S=/TkD3)CD>bFuo*,Wbe+;'k4nhA+XH[4q<M\t5#X>bsbtm0fgJ=
U":lvUxJ2v9j;^[D[7oQ]*j?YB^Lplmumc=K8<stesgu*h'xugT\HLCnH+Xa7&0,H
U"<R2V+RlgqC;G*;S2Flf0CL_>wfaR[l,CvkpwZslpdn(CTzTyWHx8tMMCLKML+L3
U"DL'b.mt;*mR#nbGQC8Tmm<v2$bxu<nFdM4s$p<yH<OrFlg8w-b,gl=lrX(W)f&f
U"shpcJuT-\P8A-47#sLULI1jI:Fif]iQ.3,#0x><LaxEHl7wXBX36PnWIIQUp>Ks
U"d-rRH_AXzWH?M5P>D26iHlL5r.z.u4,*<rtjZ#Xov]5v,\oVBJj$uHWoI_nutgU
U"<M-nF<r$_'0o3wGP>mHlBolbe#nuGH/5d-6^HT/<K\MdaE\2HhdZOZ+'P*K0FQ4
U"FC3_HgRbs->=<K1>FN0<=8B6GB:cs%p6+Gb_?&g;=*bgk3[mXa#VX#b*mmJ\[*U
U"??$vwNnZYnd=^6.>.SJbD6hDfZna/?+P)K321&7>T0zT-bsFe-N&rb'$t9tE0,&
U">X;,%S3c&)f_ede*6r4'%WohTD,uJ[1n=2x/$O^R:MYl2D.%s7FhkrJ>SD,kQLk
U"h-N2NI#7a$.zqd<)EJHQLgA\HM[;7gP&f]QShPRpola;T&[gll-1=Ws5:NbOno$
U"g:TmR]s7GNNQnoAOujt0vKr'/M0$XLnc9esSFj9Ak&3&U;j+Ef^-11kE,iWPU-V
U"7qGpYK;/]nrdnuW/raX6r'Oj_,V+$C<Iku+^Qk?IN/Aah\kXK,qb4C,=7oY-+V8
U"_j6H-$UYptd.Vq&N\_<afNxu,G$_2J,j)8kT4R0WCbjy6ppARo)J;%PoEK3U6(S
U"?x,pUbO2;+^Z20TmHY4^jTJ'2-)jh#N(D8_QIKg_]Z*Ai[cQvKV8,Bs_qitgv<K
U"-^y3lAMzZ>'0.f=Jmc/hpaJgu*nP:e_QL5AKwk?glu^H9HJrk%;JnR.IaLa8X$+
U"W=KkU6;D0qPH(cLF$BIB1+KDClJu'>#hLzGY=ER9=ms7sJ:E3sC+qhh,%BPw61N
U"cU:(o(gw1f;a*Q0'Lr)+viBagA[7OlTI>W-AR;f.Li3;UmrgemJHN)6qp_-+)eQ
U"AWJj$=G#iG(lUEPHFqR#+J8xsX,]'ZA$JGPkE=AoKTTqw;1\f.(];(Q4+K+6&:m
U"p/7_PmNi*iL,msX,]?49$9;LggDXP3U^<JfQBRf*9\*>/PYt=LAfY<MJVM$5nu*
U"59^ts&YhV=%Q3Fb[TX::OYV,K%a-b104*n,45K<7;O\ZTrW?:qM.\ndr2\PpgD5
U"WkGB2oig2FZ]s9MOnvL$],5HIJqIl9b*Kb((#[abh,\IPZ1YEb(_2FBH^R&,%.L
U"ypcbOtFe55QZ46QQ_&MZC[aEoQwS41aE,nx]maIO[ob7/+*V&<>e([hHPe$ubh4
U"C*2%dkKgO/oS[,$1GDGTW,]/Z?MJWlIB7xt$YLq-7fYDi$DOG#P;K*9aJnRUp&(
U"ZKk%M8vAeFUg9d[b+Emg,#Ykv'ZEERCged/7hI5hiaDpbsmt#9+1XHm\#[J,h?u
U"8[ui-1nw?qoD_\:5k?U^&2GMrKK-x)0$SZ'[zHC=ZK'kQSaLmIHcRgL1xoL24\P
U"LayOM<PtN0<h0'&K'F3PSrfQo_9wkUO(pidb*K\<Ei:[DK$19'HDUh4r.oC9=qx
U"nC<)\cDtEIInn,92m,*0Ua8.(Bk)d54RO;k?QtYoUbZ?MJUl:Ba^i&TD/kbMt7a
U"J3[xZ<jZ/3jdW(b*nf8,\#$j1a:=eEO5Fvsm(MSUalJi.-ai3wL9;+'U5oi)OkZ
U"2\HdUcFF'jL>\<m+&_RtxQtm2O)iHms8l$%0in+E3WYOGbnF5u<kFHu>Md6cpYD
U"U\D#D1jM^8O(6z]xNB/#B4^/C[+]kZht#UqBVTq0GclWes$i]8Sa%$Je=c3uAQW
U"Lq<;8LXxw)wG?bHoZa^cMI9>hL]DDwB-A5,ztN*4uZZhQ^8i5D4mHox7Tc'hn*+
U"kWW.KIFS0b%(eKL^dA4D]wf\H4:V<4GJ(C.xpY^<vc)YGJ+qf;)BB2aJZ<Od13(
U"YQr:ta.2j8t'5%1\7Nb)d;R,?6k,fa$i'gS&R4bk4$i.;1L[jY(NHY*m\JUlJ'g
U"-#9Jh8Q2)a_ZUK0Sqa,gTr4z;qJST.bZAeQSq$H[nAb*u%v]Gor1bRCb/7YFhfG
U"*jHZ\e;J]P[Bu&CCKY0<;S*\1JseQpP-5]5Uuql#<RpgpU#;1?]JAD/bU6qiWgS
U"bm]P+E>u<&)uq%DF=qDHmgto<xM[KII)%EoL-,-qH^bH$--7Z1=h%eVeS0Po7+o
U";r,_fZPoWa?YJlA'XK)c7NlbWK*Duc^+5h)%Oo=3Cko8(fS^E+x=1*:u(?V8v7X
U"rm17]ZOQuC9'UKNOdQuxFYtO<IqSWzLarm1D%UYW/nWbk3.mmc,8?0)%mwf9eW2
U"lDOIZw1WTvf5(d.a1X)D%6ip1E1S<B$7faXV*EsuvMdOF+%)SO7?Jtic+;qXoe<
U"5(HomiZNtVwS'Gb?XJ/3;cms6<eCcOqY:ngOOH/8rEc8K+Fzpn<-HBE9b;NN*pK
U"=T#\QiTqN^m/TXHW_;v;fS+CO#L5v76fZFsK4g?vv'6#5LK'V)[\:PijZA+/o\l
U"v8LqhqlqO[\9X>2OkvdqnTNCp)x6&xsw]cXH9G;F,=[JH-Lo_qh\'Ir5p,Kg3Mr
U"gCUsv1PKiW)g4uFM\#<v7%#K80c$v*l5lDiJlbuiPa4/:DvVnzcK'8[I*+F_uqR
U"4q)aPyxr/#fdVQG1*0lOi*frn4H[LI]u:IUMwS2OG8gn%v^Ya)iMJ(d2\rrk-4_
U"AX&0Y1RT7<-h7[l'4mhra/cp&SCe:meipD[d+%H[\'G\6cN+4cFm'*_2(=.bBbu
U"jHIKvaudD?ChIpE5Wfki,Ujv8Gp]h%u?Xo'cUkycYbn0$XQ4l5e3j^<M*=VI)Je
U":YE].h#,m$$;;nKVEGogw<PKSQ%s&*;)#4.1\;4n%3<q&k)Y^MQ5>m)9-S-OMzm
U"l4)<+eXoi+n<1J%FVOK\nldSwZG6pLuF//v)vxnLoR\$7rp5gVSFcghVJN$kNb#
U":SE.&,M8:4p\U^SjdF*immob+%a?n8Rzi&uVS'i.lVH&vpGNfN':f[sv.ZfVaCj
U"fNW+#X+6D:41s/lpT?][4Y;Z^Rl=hT_Q$L/l$Gp_6k4PHqi.6=\Jq5'^)M\Ej0>
U"vFbZ/?;>^k?Bnnck>4%l*CEn^'-pk]g^N9])4GEP:l,I)E'=w5#bh1#==s7w-B0
U"ChZ=H?'EM1[:ZYG(5,C9tjK>k&#$#V#RRt*6UcghZ2ogLEOQ-D=HE)Ug=&W:oeX
U"#8Ec3l[\qxE<v\:r.N'vi;6KERKljO7dW-DLzc+KUSD$.uC>G67za10FwZ&>V=3
U"B'*a1-C:b.9MGi's.$+gw&XO2+Bf9r&f.fCiFX8LX:GaVR4>hq?<TC(3>taVP3<
U"3nO+jSSL5Y$,a=_#zb+[hw-&NiYIYFDRl2=?\Z(a%?XPB?#f?HIX]Q6w?)>O(5Y
U"*t:Ic[p;r\#)P]D$Vt/m29(Uj?4-'.U8M.=IF8hfygiuV2gj$LIDJHVW;*h1BL)
U"V_.8-vmLsAqZVipXK4Whiq0c-DH1]5jrar/Nk#knKft$.L>Jlf-V/]W6#uj[&uK
U"$:20$on&lvXzSv7G&k.qgr:mlN,RRT_hYK6DnY;SVjb]yi(XM8UHtHaO%byT>z9
U"SIV#Uh4T#F,1q'z,agy0',4O#--haoBRXyHZO>sRX'G<h&cLH--J1W9q&mzUPY3
U"Hh:j&'0ZPiF8]S8A33,pWfgbk5h;Kh2Q<U_7gNVPPFx7[K5$&g(lla=s0's)EHq
U"U*EcC5I$zX+XLguaN7evW+[X:((Z^E/?MQp%N&(ksL^o*8.#:X+oo/w<kx'77l/
U"M9=3r21\I<QirpXZC>Che#K%EOIGZJRO$n7p'dXm_HJtX(_+CBh'7$hlBrW.GMD
U")F5X*riipq09L=fK[Qyor*1;flh664,#J<u#F9kZIscpo.khR0#0:4PfPbaP[[Q
U"d&b**1ql]x.-6^BlY<t*>8q8)rQI04=+Rl4^XjkDcQSN#VC[X2b)sU/f%/:JzAS
U"pUqcM9,*_,i%v%M<bn9.r;FzL<-[VZ9:F*uhfVKJ6qIc[34=I,#8iA#?x_GuRX4
U"THakU&1,E;\eUZXt_RQ.]sDW&C;aoV*4<JR*MgZVk4U2GmFghYP3mz7K0;sBf?\
U"Ix?2W>p:)2ay#IxW:FkxG$nAqJQ$GMI-XCeS*_9OeJ#7%^]Ekhx#DX5DKja4F^I
U"tGxABY*sX8nJVwi's4CatI)1+bf7$ruwDFPD-.U>K[HTv)3JM6DdQ7g#of.;^Iw
U"E%gh-c(PSG('*DY;o,s+U3H)cUnd9s3LY<IDE5PkSIkgDoFXvPS6ABYI6^>mls0
U"v9%XI0EhX%9K;duS%X$Z6o%a-#%79^\4xRNuTokOz90J[K6G%AE5Et)--D[Dirc
U"08,1/s5y5y6X4*F$5ho[w960h]5tHwyt)J%>%%a0,7?7p_E;SUf)wGEuF;K9n,w
U"':/^0uw<bfc9W<.qRN9konKm;8X(p%vx*i-<KdfR*^piv?N$C>)?JKcc)M?grRd
U"6dQDHKf^cpYu=JDZ(KP84aEK::Qa5zqw'm_NU6xXYIS,xa1dXTM;po9T#+Hhh<S
U"'%8P)1%CBR6MECj\<N4F/h^&L7Z/)+m2Yq.io:$BIMYmT:X-tt[>Gi6tSi,]9&f
U"ERzO\8aY,0EO5J',_RcX>E_aI>Ja5]]z?,2Nq*rgg;RI7'x3aF;K<e7hJ_T$Nh^
U"uLf0kX$OK$u(GzGgB>i_rjT.U=9/pQ-/t\A.1.6z%o4xx6>hbtbih.^6p;nxiui
U"]hhiWB9fNjrZ%uw+j$QL4ek/h$ecYFqjJn=r%xOyZy(0sqwU0?=/2XTm]'tE&60
U"qiw.R8%8nf+TZ:gGvQ,S9IevSNsCxnVh1+*$rJKa&Go\VT#x3kcf8(F-dpp?$LT
U"&&GfaH2[U7Y,#M>R068=w=<^W4=B)^H?J0+b5^1Da]bye0R/hvP<9$)S#*xl.1^
U",NR-E/oz7M-)&Wk?_y%<tORgENL%4kt1SGD)xQT*wY-fB/(g5?kR'n6HEKp(R08
U"mk]hF>55;VVK\T*Ci.18CY*H+N9<=EBubrB=p\8J'SFC6ecrjp0u6tkalj&TQ'P
U"sLck-nzWOdf:kux_sd;N0(4;[PP<'-Q&Ql5.fNRAzuTt,7a,3&#J+uOQ;l[hHIa
U"bm&HDeOYuYSNmqGg5Mpbg7a^$e:&MCj68+lRZ3)lJU40/%Qcv-u>9l&(SQA4ivR
U"1B$Y6zb57d[z0H>691ynL0S0FQsRpPZWoVqdGfQr0#R$Rd55%j_;^'m7w.jPhN$
U"1=LPS9.Tx9,E<OMWoqX\7+<(e&--42$#R6glt6/\M#/0E9%K%T;oN<qOBOJm3*D
U"\Tt'Ua83:xdg07.:+TuRYN%<tYW/RWyKv&DHQoJs6:dlp3I&,.qbMxX-1I?i3X,
U"GKT'Y#94EvQoD_fwyx_:9.8mlRsh4M&Ne4xsD?_[Kg^*Avy8Nv[irknLPah.xp:
U"sHsN)41G/Q+c[<Y=j>Jco$6h,fa+D_tn6tMAlc/y2>?MtN6IF.FHdOx0o2]H-xv
U"Bu%p()9%%'%-(%EkcRE^ml&H-&%%%z&%%%0%%%%knq(j.ni#Sin)(J^rt'<U5iR
U"^lCN\g$ncAU5G=0vew7Jdedy;-,#rp;kQko35qnp]?SN$a8khh?K-6i&ZfV=_xM
U"Cn4v^=k_axd,B(^hqH.$CX?dLsZlKnsU=UG-is>+%i#mc0A;TFNA*pKT2ygYYfR
U"*G&S;\K^;5c[;fl9cmG<eD*(An3PEIgKD1Juy6#>?Fu5)=6NNC9IwJjd=(L[1ib
U"IY>;z]2%[K'BX>/bsr6ak2$fmO?M58B;Y]r'Za26*qk:Sk3E;+k,U<Z1Q\PH<q=
U"8^5_s'1HoC?KYDGs_NZDBQRCzU)E-Ic$kD+r*<D?SDIW]8CU-Bjho;EV8=4#>=O
U"knj.%up&'%9%9%%'%-%&EkcE7JL3k'H,%%&&A%%%/%%%%%%%%%%%E%%%%%%.%%)
U"j.um(w#Suh'%up&'%9%9%%'%-%&EkcEgld^l%u-%%%.B%%%/%%%%%%%%%&%E%7%
U"%p,%%%mn%xytw&(Svg%up&'%9%9%%'%-%&EkcEO(V5M%/,%%%5J%%%.%%%%%%%%
U"%&%E%.%%>5#%%x%%lfgh%Sgnu%p&'9%%9%'#%-%E#kcEj8(wBlB)%%s%g)%1%%%
U"%%%%%%&%%E%%(%o<%.%x%l%fghW#YSy'%yup&%'9%9%%'%-(%EkcsE%+.'6N%%%
U"%P%%%%1%%%%%%%%%&%E%%%%6'A%%x&%lfi%jrtS%rfpu%p&'9%%9%'#%-%E[kcE
U"BLX?3^#:%%r'-%%1%%%%%%%%%&%%E%%:%3A%.%x%l%frti%VSgf%xup&%'9%9%%
U"'%-(%Ekc=EB>Y,X3=%7%F%%%%1%%%%%%%%%&%E%%%%B'W%%x&%lfr%tiWS%gfxu
U"%p&'9%%9%'#%-%E#kcEZ,KD#'&T%%0%F&%/%%%%%%%%%%%%E%%7%&p%.%x%l%fv
U"gS%qngu%p&'9%%9%'#%-%E%kcE^3mlH-%&%%z%&%%0%%%%%%%%%&%%E%%.%PK&%
U"%knq(j.ni#Sin)%up*+%%%%%%.%.%%%'%%)+L&%%%%
END SUB
V2
V3
V4
V5
V6
V7
V8
V9
VA
CLOSE:IF S=122AND B&=Z&THEN?" :) Ok!"ELSE?" :( Bad!
SUB U(A$):FOR A=1TO LEN(A$):C=ASC(MID$(A$,A))-37:IF C<0THEN C=91+C*32
IF K<4THEN K=C+243ELSE?#1,CHR$(C+(K MOD 3)*86);:K=K\3:B&=B&+1
S=(S+C)AND 255:NEXT:LOCATE,1:?STRING$(B&*50\Z&,219);:END SUB
'>>> Page 1 of 2.ZIP ends here. Last page. TCHK:122
<PAGEEND:"SVGA.Pages.File2">

<PAGESTART:"SVGA.Pages.File3">
'                QuickBasic High Resolution Screen Routines
'
'                        By D. Tyler Barnes
'
'             Works(Hopefully) with any VESA compatible BIOS
'
'Intro
'~~~~~
'
'        Ok,first of all,I'm not as heavily in to QuickBasic programming as
'I used to be,so I was a bit lazy writing this. I left a LOT of room for
'improvement. Second of all,when I WAS in to QuickBasic programming, graphics
'was not a specialty. I was more in to communications. The point I'm trying
'to make,is that there may be code in this thing that is extraneous,and
'there may be ways to do what this code is doing a lot faster... Infact,I
'KNOW there are ways to make it faster... I'm using the BIOS Write Pixel
'command in all the graphics commands. It would be much faster done with direct
'writes to video memory.. I'll leave the improvements up to you.
'Just do me a favour and send me your changes so that next time I post this,
'others will recieve these changes. I'll put your name on your code,so don't
'worry about me stealing your credit...
'Oh,another weird thing I've done,is I've used InterruptX almost everywhere,
'even in places where INTERRUPT would've worked. As far as I know they are
'identical anyhow,'cept INTERRUPTX can use more registers... but perhaps
'I'm wrong. Perhaps INTERRUPT is faster or something. Go ahead and change it.
'
'How to use
'~~~~~~~~~~
'
'* Before doing anything,make sure you've loaded QuickBasic with the
'  /L switch.
'* Next detect whether or not the machine has VESA compatibility
'* Set the screen mode
'* Write the program here
'* Use the CleanUp command
'* End
'
'Commands:
'
'Border-This command is used when in text mode,and some graphic modes.
'         It has one integer parameter. Depending what screen mode you're in,
'         and what number you use,this will change the screen colour,the
'         border,both,or neither. Just mess around with it ...
'         Example Usage:Border 9
'         On my machine,the above will produce a light blue border when in
'         ScreenMode 3(Basic's SCREEN 0)
'Box-This command will not work in any text modes.(Obviously)
'      It has 5 parameters. 4 to define the box,and the last to define the
'      colour of the box.
'      Example Usage:Box 10,11,50,51,3
'      The above command would make a box with the left hand corner  on point
'      10,11(X,Y) and the bottom right hand corner on 50,51.
'      The last parameter is the colour and will have a different result
'      depending on your screen mode.
'CleanUp-This command is used to clean up after the ScreenMode command. It
'          should be run before you exit your program. Also,if you have
'          allready run ScreenMode once,and you want to change to a new
'          screen mode,you'll have to run this before doing so. Also,if you
'          want to stop using these routines,and use BASIC's routines instead,
'          and ScreenMode has allready been used in your program,you'll have
'          to run this before using BASIC's SCREEN command.
'          Example Usage:CleanUp
'CurVidMode-This function will return the current video mode. The number
'             returned will not always correspond with the number used in the
'             ScreenMode command,and will not always correspond with BASIC's
'             SCREEN mode. If you want to see what the number returned means,
'             look up AH=00,INT 10h in Ralf Brown's interrupt list.
'             Example Usage:A%=CurVidMode%
'LowHigh-Crappy way of seperating two seperate bytes from a word. If you
'          don't know what I'm talking about,don't worry about it. The only
'          reason I have this in here at all,is because there are other
'          routines in this source that depend on it.
'Pixel-This is like BASIC's PSET command. It plots one pixel on to the
'        display. There are three parameters. Two for the X,Y coordinates of
'        the dot,and one for the colour.
'        Example Usage:Pixel 5,10,2
'        The above command would plot a pixel at 5,10(X,Y) with a colour
'        value of 2.
'        This command will not work in text modes.
'        Pixel Positions start at 0,0.
'ScreenMode-This is used to switch between the screen modes. Please look
'             up the CLEANUP command after reading this explanation.
'             This command has one parameter;the screen mode.
'             Example Usage:ScreenMode 3
'             The above command would switch the computer into 80x25x16 text
'             mode.(80 columns,25 rows,16 colours)
'             So that you don't have to remember all the numbers,I built in
'             a bunch of constants to use for the more common modes. Of course,
'             there are always modes I left out that may work,so experiment.
'             If you find a mode that you want to use,try it on more than
'             one machine to make sure that the mode you've selected is
'             fairly compatible. Oh,and be careful. I've heard that with
'             older equipment,you can actually fry your monitor by going into
'             certain unsupported modes.
'VesaSupported-This function is used to detect whether or not the machine
'                that the program is running on has VESA compatibility.
'                Example Usage:IF VesaSupported THEN
'                          Ie2:IF NOT VesaSupported THEN

DECLARE SUB Box (TopX%, TopY%, BottomX%, BottomY%, Colour%)
DECLARE SUB Pixel (X%, Y%, Colour%)
DECLARE SUB Border (Colour%)
DECLARE FUNCTION Curvidmode% ()
DECLARE FUNCTION Readpixel% (Column%, Row%)
DECLARE SUB Cleanup ()
DECLARE SUB Tlocate (Y%, X%)
DECLARE SUB Tcolour (ForeGround%, BackGround%)
DECLARE SUB ScreenMode (MODE%)
DECLARE FUNCTION Vesasupported% ()
DECLARE SUB LowHigh (Register%, low%, High%)

TYPE SVGA
    Sig AS STRING * 4
    Version AS INTEGER
    OEMPtr AS LONG
    Capibilities AS STRING * 4
    ListPtr AS LONG
    VidMem AS INTEGER
    Reserved AS STRING * 262
END TYPE

'$INCLUDE: 'QB.BI'
DIM SHARED Inregx AS RegTypeX, Outregx AS RegTypeX
CONST GM640x400x256 = &H100, GM640x480x256 = &H101, GM800x600x16 = &H102
CONST GM800x600x256 = &H103, GM1024x768x16 = &H104, GM1024x768x256 = &H105
CONST TM80X25 = 3
CLS
IF NOT Vesasupported THEN
    PRINT "Fatal Error: VESA was not detected."
END IF
'Y=0 to 767
'X=0 to 1023
ScreenMode GM1024x768x256
Colour = -.5
FOR X% = 0 TO 1023
    Colour = Colour + .5
    IF INT(Colour) > 255 THEN Colour = -.5
    FOR Y% = 0 TO 767
	   Pixel X%, Y%, INT(Colour)
    NEXT Y%
    IF LEN(INKEY$) > 0 THEN GOTO Here
NEXT X%

Here:
Box 50, 50, 390, 590, 2
WHILE INKEY$ = "": WEND
    Cleanup
DEFINT A-Z

DEFSNG A-Z
SUB Border (Colour%)
    DIM inreg AS RegType, outreg AS RegType
    'In Text mode(3) you can only set the border colour.
    'With some video modes this will also modify the background colour
    'With other video modes,this may not work at all.
    IF Colour% > 255 THEN Colour% = 255
    IF Colour% < 0 THEN Colour% = 0
    inreg.AX = &HB00
    inreg.BX = Colour%
    CALL INTERRUPT(&H10, inreg, outreg)
END SUB

DEFINT A-Z
SUB Box (TopX, TopY, BottomX, BottomY, Colour%)
    FOR I% = TopX TO BottomX STEP 1
	   Pixel I%, TopY, Colour%
	   Pixel I%, BottomY, Colour%
    NEXT I%
    FOR I% = TopY TO BottomY STEP 1
	   Pixel BottomX, I%, Colour%
	   Pixel TopX, I%, Colour%
    NEXT I%
END SUB

SUB Cleanup
    SHARED StartingMode
    Inregx.AX = StartingMode
    CALL interruptx(&H10, Inregx, Outregx)
END SUB

DEFSNG A-Z
FUNCTION Curvidmode%
    DEF SEG = &H40
    Curvidmode% = PEEK(&H49)
    DEF SEG
END FUNCTION

DEFINT A-Z
SUB GPrint (Text$)
    SHARED Col%
    Inregx.AX = &H300
    CALL interruptx(&H10, Inregx, Inregx)
    Inregx.AX = &H1301
    Inregx.BX = Col%
    Inregx.CX = LEN(Text$)
    Inregx.ES = VARSEG(Text$)
    Inregx.BP = SADD(Text$)
    CALL interruptx(&H10, Inregx, Outregx)
END SUB

DEFSNG A-Z
SUB LowHigh (Register%, low%, High%)
    Full$ = HEX$(Register%)
    IF LEN(Full$) < 4 THEN
	   WHILE LEN(Full$) < 4: Full$ = "0" + Full$: WEND
	   END IF
	   low% = VAL("&H" + RIGHT$(Full$, 2))
	   High% = VAL("&H" + LEFT$(Full$, 2))
END SUB

SUB Makecircle (X%, Y%, Rad, Colour%)
    FOR I = 0 TO 6.4 STEP .005
	   Pixel INT(Rad * COS(I)) + X%, INT(Rad * SIN(I)) + Y%, Colour%
    NEXT I
END SUB

DEFINT A-Z
SUB MakeLine (A, B, C, D, Colour%)
    U = C - A: v = D - B: Param = U: GOSUB Sign: D1X = Sign
    Param = v: GOSUB Sign: D1Y = Sign: Param = U: GOSUB Sign: D2X = Sign
    D2Y = 0: m = ABS(U): N = ABS(v)
    IF m <= N THEN
	   D2X = 0: Param = v: GOSUB Sign: D2Y = Sign: m = ABS(v): N = ABS(U)
    END IF
    S% = m / 2
    FOR I% = 0 TO m
	   Pixel A, B, Colour%: S% = S% + N
	   IF S% >= m THEN
		  S% = S% - m: A = A + D1X: B = B + D1Y
	   ELSE
		  A = A + D2X: B = B + D2Y
	   END IF
    NEXT I%
    EXIT SUB
Sign:
    SELECT CASE Param
	   CASE IS > 0: Sign = 1
	   CASE IS < 0: Sign = -1
	   CASE 0: Sign = 0
    END SELECT
    RETURN
END SUB

DEFSNG A-Z
SUB Pixel (X%, Y%, Colour%)
    DIM inreg AS RegType, outreg AS RegType
    C$ = HEX$(Colour%)
    LC% = LEN(C$)
    IF LC% < 2 THEN C$ = "0" + C$
    IF LC% > 2 THEN C$ = LEFT$(C$, 2)
    inreg.AX = VAL("&HC" + C$)
    inreg.BX = &H0
    inreg.DX = Y%
    inreg.CX = X%
    CALL INTERRUPT(&H10, inreg, outreg)
END SUB

DEFINT A-Z
FUNCTION Readpixel (Column, Row)
    Inregx.AX = &HD00
    Inregx.BX = 0
    Inregx.CX = Column
    Inregx.DX = Row
    CALL interruptx(&H10, Inregx, Outregx)
    LowHigh Outregx.AX, RP, Junk
    Readpixel = RP
END FUNCTION

SUB ScreenMode (MODE%)
    SHARED StartingMode
    Inregx.AX = &HF00
    CALL interruptx(&H10, Inregx, Outregx)
    LowHigh Outregx.AX, StartingMode, Columns
    Inregx.AX = &H4F03
    CALL interruptx(&H10, Inregx, Outregx)
    LowHigh Outregx.AX, Support, Status
    IF Status <> 0 OR Support <> &H4F THEN ERROR (5)
    StartingVesaMode = Outregx.BX
    Inregx.AX = &H4F02
    Inregx.BX = MODE%
    CALL interruptx(&H10, Inregx, Outregx)
    LowHigh Outregx.AX, Support, Status
    IF Support <> &H4F OR Status <> 0 THEN ERROR (5)
    Inregx.AX = &HF00
    CALL interruptx(&H10, Inregx, Outregx)
    LowHigh Outregx.AX, EndResult, Columns
    Inregx.AX = &H4F02
    Inregx.BX = StartingVesaMode
    CALL interruptx(&H10, Inregx, Outregx)
    IF Support <> &H4F OR Status <> 0 THEN ERROR (5)
    Inregx.AX = EndResult
    CALL interruptx(&H10, Inregx, Outregx)
    Tcolour 7, 0: Tlocate 1, 1
END SUB

SUB Tcolour (ForeGround, BackGround)
    SHARED Col%
    T$ = HEX$(ForeGround): T2$ = HEX$(BackGround)
    IF LEN(T$) > 1 OR LEN(T2$) > 1 THEN ERROR (5)
    Col% = VAL("&H" + T2$ + T$)
END SUB

SUB Tlocate (Y, X)
    Y = Y - 1: X = X - 1
    Y$ = HEX$(Y): X$ = HEX$(X)
    IF LEN(Y$) > 2 OR LEN(X$) > 2 THEN ERROR (5)
    IF LEN(Y$) < 2 THEN Y$ = "0" + Y$
    IF LEN(X$) < 2 THEN X$ = "0" + X$
    Inregx.AX = &H200
    CurLoc% = VAL("&H" + Y$ + X$)
    Inregx.DX = CurLoc%
    CALL interruptx(&H10, Inregx, Outregx)
    X = X + 1: Y = Y + 1
END SUB

FUNCTION Vesasupported
    DIM VInfoBuff AS SVGA
    Inregx.AX = &H4F00
    Inregx.ES = VARSEG(VInfoBuff)
    Inregx.di = VARPTR(VInfoBuff)
    CALL interruptx(&H10, Inregx, Outregx)
    LowHigh Outregx.AX, Support, Status
    IF UCASE$(VInfoBuff.Sig) <> "VESA" OR Support <> &H4F OR Status <> 0 THEN
	   Vesasupported = 0
    ELSE
	   Vesasupported = -1
    END IF
END FUNCTION

'Oh, that's it. And after all that commenting, I still neglected to say a few
'things. First of all, if you try to switch to a screen mode that isn't
'supported by your computer, most of the time it will give you an Illegal
'Function Call... Of course there are a few modes that won't be detected as
'invalid, they'll just freeze the machine or something not so nice.
'Also, In the VesaDetection function I'm using a TYPE instead of just a large
'set-length string... a large set length string would eliminate the TYPE stuff
'at the top of the file, but I put it the way i did incase someone wanted to
'use the info to add stuff. After all this time I've wasted talking abut this
'thing, I sure hope it works... <G> .. I still haven't tested it on any machine
'but my own.L8r,
'D. Tyler Barnes
<PAGEEND:"SVGA.Pages.File3">

<PAGESTART:"Win.Clipboard.File">
'---------------------------------------------------
'  MSWIND.BAS - Microsoft Windows Utils for QB 4.5
'---------------------------------------------------
'       (c) Carl Gorringe 1/15/96
'
' This program contains some routines to
'  report if Windows is running, and to
'   read and write to its Clipboard.
'
' Remember to have Windows loaded or else
' the Clipboard routines WILL NOT WORK!!
'
'    Released to the Public Domain.
'  You may use this any way you see fit,
'  just remember to give credit where
'  credit is due. This program is provided
'  "AS IS", therefore I am not responsible
'  for any consequences of using it.
'
' I can be contacted be sending a message to:
' CARL GORRINGE at FIDOnet's QUICK_BAS echo or
' Internet e-mail: <carl.gorringe@rhosoft.com>

'-------------------
' $INCLUDE: 'QB.BI'      <-- Remember to load QB with the /L switch!
'-------------------

CONST FALSE = 0
CONST TRUE = NOT FALSE

DECLARE FUNCTION Info.DOSver% ()
DECLARE FUNCTION Info.WinMode% ()
DECLARE FUNCTION Clipboard.Detect% ()
DECLARE FUNCTION Clipboard.Size& (Format%, ErrCode%)
DECLARE SUB Clipboard.Empty (ErrCode%)
DECLARE SUB Clipboard.Get (Format%, DataSeg%, DataOff%, ErrCode%)
DECLARE SUB Clipboard.Put (Format%, DataSeg%, DataOff%, DataSize&, ErrCode%)
DECLARE FUNCTION Clipboard.GetText$ (ErrCode%)
DECLARE SUB Clipboard.PutText (Text$, ErrCode%)

'---------------------------------------------------
CLS
PRINT "MSWIND.BAS - Programmed by Carl Gorringe <carl.gorringe@rhosoft.com>"
PRINT
PRINT "DOS Version:", (Info.DOSver% / 100)
PRINT "Windows Mode:", Info.WinMode%

ClipExist% = Clipboard.Detect%
IF ClipExist% THEN
        PRINT "Clipboard:", " Available"
ELSE
        PRINT "Clipboard:", " N/A"
END IF

IF ClipExist% THEN

        '--- Store Text on Clipboard ---
                PRINT
                INPUT "Enter some text to store on the Clipboard: ", ClipText$
	  
                CALL Clipboard.PutText(ClipText$, ErrCode%)
                PRINT
                PRINT "   ClipText:", ClipText$
                PRINT "    ErrCode:", ErrCode%
                IF ErrCode% <> 0 THEN END
	  
                ClipText$ = ""             '<-- Clear Variable
		
                PRINT
                PRINT "Now press [CTRL]+[ESC] to switch to Windows and check the Clipboard."
                PRINT "Press Any Key to Retrieve the Clipboard contents..."
                I$ = INPUT$(1)

        '--- Retrieve Text from Clipboard ---

                Format% = 7
                Size& = Clipboard.Size&(Format%, ErrCode%)
	  
                PRINT
                PRINT "     Format:", Format%
                PRINT "       Size:", Size&; "bytes"
                PRINT "    ErrCode:", ErrCode%
                IF ErrCode% <> 0 THEN END

                ClipText$ = Clipboard.GetText$(ErrCode%)
                PRINT "   ClipText:", ClipText$
                PRINT "    ErrCode:", ErrCode%

END IF

FUNCTION Clipboard.Detect%

'  (c) Carl Gorringe 1/15/96
'------------------------------------------
'  Returns TRUE (-1) if Windows Clipboard
'  is Detected, else returns FALSE (0).
'------------------------------------------
'<< Done - Tested OK >>

DIM InReg AS RegType, OutReg AS RegType

ClipMode% = FALSE
WinMode% = Info.WinMode%

IF WinMode% > 1 THEN
  InReg.ax = &H1700
  CALL INTERRUPT(&H2F, InReg, OutReg)
  IF OutReg.ax = &H1700 THEN
         ClipMode% = FALSE
  ELSE
         ClipMode% = TRUE
  END IF
END IF

Clipboard.Detect% = ClipMode%

END FUNCTION

SUB Clipboard.Empty (ErrCode%)

'  (c) Carl Gorringe 1/15/96
'---------------------------------------------
'  Empties the Clipboard
'  ErrCode% is the Error Code returned: 0=OK
'---------------------------------------------
'<< Done - Tested OK >>

DIM InReg AS RegType, OutReg AS RegType
DIM InRegX AS RegTypeX, OutRegX AS RegTypeX

'--- Open Clipboard ---
        InReg.ax = &H1701
        CALL INTERRUPT(&H2F, InReg, OutReg)
        IF OutReg.ax = 0 THEN
                ErrCode% = 1                  '<-- Clipboard is already open (error)
                EXIT SUB
        END IF

'--- Empty Clipboard ---
        InReg.ax = &H1702
        CALL INTERRUPT(&H2F, InReg, OutReg)
        IF OutReg.ax = 0 THEN
               ErrCode% = 3                  '<-- Failure (error)
        END IF

'--- Close Clipboard ---
        InReg.ax = &H1708
        CALL INTERRUPT(&H2F, InReg, OutReg)
        IF OutReg.ax = 0 THEN
                ErrCode% = 2                  '<-- Clipboard wont close (error)
                EXIT SUB
        END IF


END SUB

SUB Clipboard.Get (Format%, DataSeg%, DataOff%, ErrCode%)

'  (c) Carl Gorringe 1/15/96  << v1.0 >>
'---------------------------------------------
'  Gets Data from the Clipboard and stores
'  it at address DataSeg% : DataOff%
'  ErrCode% is the Error Code returned: 0=OK
'  Format% is the clipboard format number:
'         1 = Text (Windows Text)  <-- Contains garbage chars at end of text
'         2 = Bitmap Picture
'         3 = Metafile Picture
'         7 = OEM Text (DOS Text)  <-- Contains nulls at end of text
'---------------------------------------------
'<< Done - Tested OK >>

DIM InReg AS RegType, OutReg AS RegType
DIM InRegX AS RegTypeX, OutRegX AS RegTypeX

'--- Open Clipboard ---
        InReg.ax = &H1701
        CALL INTERRUPT(&H2F, InReg, OutReg)
        IF OutReg.ax = 0 THEN
                ErrCode% = 1                  '<-- Clipboard is already open (error)
                EXIT SUB
        END IF

'--- Get Clipboard Data ---
        InRegX.ax = &H1705
        InRegX.dx = Format%
        InRegX.es = DataSeg%
        InRegX.bx = DataOff%
        CALL INTERRUPTX(&H2F, InRegX, OutRegX)
        IF OutRegX.ax = 0 THEN
                ErrCode% = 3                  '<-- (error)
        END IF

'--- Close Clipboard ---
        InReg.ax = &H1708
        CALL INTERRUPT(&H2F, InReg, OutReg)
        IF OutReg.ax = 0 THEN
                ErrCode% = 2                  '<-- Clipboard wont close (error)
                EXIT SUB
        END IF

END SUB

FUNCTION Clipboard.GetText$ (ErrCode%)

'  (c) Carl Gorringe 1/15/96  << v1.0 >>
'-----------------------------------------------------
'  Gets and Returns Text Data from the Clipboard.
'  Clipboard Format used is "OEM Text" (Format% = 7)
'  ErrCode% is the Error Code returned: 0=OK
'-----------------------------------------------------
'<< Done - Tested OK >>

ErrCode% = 0
Format% = 1       '<-- 7=OEM Text, 1=Windows Text

'--- Get Size of Clipboard ---
        Size& = Clipboard.Size&(Format%, ErrCode%)
        IF ErrCode% > 0 THEN EXIT FUNCTION
  
        IF Size& = 0 THEN
                ErrCode% = 4         '<-- Clipboard Empty!
                EXIT FUNCTION
        END IF

        IF Size& > 32000 THEN
                ErrCode% = 5         '<-- Clipboard Too Large for String Variable!
                EXIT FUNCTION
        END IF

'--- Get Text from Clipboard and Store It ---
        Temp$ = SPACE$(Size&)
        CALL Clipboard.Get(Format%, VARSEG(Temp$), SADD(Temp$), ErrCode%)
  
        IF ErrCode% = 0 THEN
                '--- Trim Ending Garbage ---
                        Temp$ = LEFT$(Temp$, INSTR(Temp$, CHR$(0)) - 1)
  
                '--- Trim Ending CR/LF if Exists ---
                        IF RIGHT$(Temp$, 2) = CHR$(13) + CHR$(10) THEN
                                Temp$ = LEFT$(Temp$, LEN(Temp$) - 2)
                        END IF

                Clipboard.GetText$ = Temp$
        END IF

END FUNCTION

SUB Clipboard.Put (Format%, DataSeg%, DataOff%, DataSize&, ErrCode%)

'  (c) Carl Gorringe 1/15/96  << v1.0 >>
'---------------------------------------------
'  Stores Data on to the Clipboard starting
'  from address DataSeg% : DataOff%
'    and storing DataSize& bytes.
'  ErrCode% is the Error Code returned: 0=OK
'  Format% is the clipboard format number:
'         1 = Text (Windows Text)
'         2 = Bitmap Picture
'         3 = Metafile Picture
'         7 = OEM Text (DOS Text)
'---------------------------------------------
'<< Done - Tested OK >>

DIM InReg AS RegType, OutReg AS RegType
DIM InRegX AS RegTypeX, OutRegX AS RegTypeX

'--- Open Clipboard ---
        InReg.ax = &H1701
        CALL INTERRUPT(&H2F, InReg, OutReg)
        IF OutReg.ax = 0 THEN
                ErrCode% = 1                  '<-- Clipboard is already open (error)
                EXIT SUB
        END IF

'--- Store Clipboard Data ---
        InRegX.ax = &H1703
        InRegX.dx = Format%
        InRegX.es = DataSeg%
        InRegX.bx = DataOff%
        IF DataSize& < 32768 THEN
                InRegX.si = 0
                InRegX.cx = DataSize&
        ELSE
                InRegX.si = (DataSize& \ 32768) * 2048   '<-- This part NOT Tested!
                InRegX.cx = DataSize& MOD 32768          '<-- but don't worry about it.
        END IF
  
        CALL INTERRUPTX(&H2F, InRegX, OutRegX)
        IF OutRegX.ax = 0 THEN
                ErrCode% = 3                  '<-- (error)
        END IF

'--- Close Clipboard ---
        InReg.ax = &H1708
        CALL INTERRUPT(&H2F, InReg, OutReg)
        IF OutReg.ax = 0 THEN
                ErrCode% = 2                  '<-- Clipboard wont close (error)
                EXIT SUB
        END IF

END SUB

SUB Clipboard.PutText (Text$, ErrCode%)

'  (c) Carl Gorringe 1/15/96  << v1.0 >>
'---------------------------------------------
'  Stores Text on to the Clipboard in
'     BOTH Clipboard Text Formats.
'  ErrCode% is the Error Code returned: 0=OK
'---------------------------------------------
'<< Done - Tested OK >>

ErrCode% = 0

'--- Empty Clipboard ---
        CALL Clipboard.Empty(ErrCode%)
        IF ErrCode% <> 0 THEN
                ErrCode% = ErrCode% + 10
                EXIT SUB
        END IF

'--- Store Text on to Clipboard ---
        Temp$ = Text$ + CHR$(0)
        TempLen& = LEN(Temp$)
  
        CALL Clipboard.Put(1, VARSEG(Temp$), SADD(Temp$), TempLen&, ErrCode%)
        CALL Clipboard.Put(7, VARSEG(Temp$), SADD(Temp$), TempLen&, ErrCode%)


END SUB

FUNCTION Clipboard.Size& (Format%, ErrCode%)

'  (c) Carl Gorringe 1/15/96  << v1.0 >>
'---------------------------------------------
'  Returns the current size of the Clipboard
'  in bytes, using the specified Format%
'  ErrCode% is the Error Code returned: 0=OK
'  Format% is the clipboard format number:
'         1 = Text (Windows Text)
'         2 = Bitmap Picture
'         3 = Metafile Picture
'         7 = OEM Text (DOS Text)
'---------------------------------------------
'<< Done - Tested OK >>

DIM InReg AS RegType, OutReg AS RegType
DIM InRegX AS RegTypeX, OutRegX AS RegTypeX

ErrCode% = 0

'--- Open Clipboard ---
        InReg.ax = &H1701
        CALL INTERRUPT(&H2F, InReg, OutReg)
        IF OutReg.ax = 0 THEN
                ErrCode% = 1                  '<-- Clipboard is already open
                Clipboard.Size& = 0
                EXIT FUNCTION
        END IF

'--- Get Size of Clipboard in current Format ---
        InReg.ax = &H1704
        InReg.dx = Format%
        CALL INTERRUPT(&H2F, InReg, OutReg)
        ClipSize& = (OutReg.dx * 16) + OutReg.ax

'--- Close Clipboard ---
        InReg.ax = &H1708
        CALL INTERRUPT(&H2F, InReg, OutReg)
        IF OutReg.ax = 0 THEN
                ErrCode% = 2                  '<-- Clipboard wont close
                Clipboard.Size& = 0
                EXIT FUNCTION
        END IF

Clipboard.Size& = ClipSize&

END FUNCTION

FUNCTION Info.DOSver%

'  (c) Carl Gorringe 1/15/96
'--------------------------------------
'  Returns the DOS version times 100.
'  To get decimal representation,
'  devide the number returned by 100.
'--------------------------------------
'<< Done - Tested OK >>

DIM InReg AS RegType, OutReg AS RegType

InReg.ax = &H3306
CALL INTERRUPT(&H21, InReg, OutReg)
DOSver% = ((OutReg.bx AND 255) * 100) + (OutReg.bx \ 256)
IF DOSver% = 0 THEN
  InReg.ax = &H3000
  CALL INTERRUPT(&H21, InReg, OutReg)
  DOSver% = ((OutReg.ax AND 255) * 100) + (OutReg.ax \ 256)
END IF

Info.DOSver% = DOSver%

END FUNCTION

FUNCTION Info.WinMode%

'  (c) Carl Gorringe 1/15/96
'-------------------------------------------------------------
'  Returns the current Windows Mode:
'    0 = Windows not detected
'    1 = Real mode detected (Win 3.0 and earlier only)
'    2 = Standard mode detected. (Win 3.11 and earlier only)
'    3 = 386 enhanced mode detected.
'-------------------------------------------------------------
'<< Done - Tested OK >>

DIM InReg AS RegType, OutReg AS RegType

DOSver% = Info.DOSver%

IF DOSver% >= 300 THEN
  InReg.ax = &H160A
  CALL INTERRUPT(&H2F, InReg, OutReg)
  IF OutReg.ax <> 0 THEN
        WinMode% = 0
  ELSE
        WinMode% = OutReg.cx
  END IF
END IF

Info.WinMode% = WinMode%

END FUNCTION
<PAGEEND:"Win.Clipboard.File">

<PAGESTART:"Environment.Settings.File">
DECLARE FUNCTION Environment$ (SearchFor$)
'Retriving data from the environment settings by Jason Laviska.
'LaserArts' Library Function E-02-A
'--- Public Domain --- Use at your own risk ---

'     A simple program used to check the environment settings and
'retrieve only the data found after the equal sign.  So if your
'environment settings included:

'  PROMPT=$P$G

'If you ran this Function by typing:

'  PRINT Environment$ ("PROMPT")

'You would get the following output:

'  $P$G

CLS
'Two examples: Print the environment setting for PROMPT and
PRINT Environment$("PROMPT")

'for PATH
PRINT Environment$("PATH")

FUNCTION Environment$ (SearchFor$)

SearchFor$ = UCASE$(SearchFor$)
SearchSize% = LEN(SearchFor$)
Temp% = 1

DO WHILE ENVIRON$(Temp%) <> ""
  IF LEFT$(ENVIRON$(Temp%), SearchSize%) = SearchFor$ THEN
    Environment$ = RIGHT$(ENVIRON$(Temp%), LEN(ENVIRON$(Temp%)) - SearchSize% - 1)
    EXIT FUNCTION
  END IF
  Temp% = Temp% + 1
LOOP
Environment$ = ""

END FUNCTION
<PAGEEND:"Environment.Settings.File">

<PAGESTART:"Pause.Program.File1">
'Someone wrote:

'>   Does anybody have a routine to pause a program for a
'>   certain amount of time before continuing?  Thankyou.
'>......................................................

'Kurt Kuzba Replied:

'   Generally, SLEEP is sufficient, but sometimes you need a
'finer resolution or the ability to ignore keypresses.
'   You may use the DOS internal clock, which allows a minimum
'delay of 0.054931641 seconds. The DOS clock increments at a
'rate of 18.20444444 times per second.
'   You may also use the vertical retrace, though I have been told
'that it is not recommended. This allows a more precise control.
'This allows increments of 0.0014285714 seconds. The Video Retrace
'usually occurs at a rate of 70 times per second, but may change
'due to use of different hardware on various systems.
'   You may also use the Programmable Interrupt Timer at hardware
'port (&H40), or 64 decimal, allowing an adjustable delay, which
'depends on the speed of your processor. The PIT calibration
'FUNCTION attempts to read the PIT based on the DOS clock and set
'the delay interval accordingly. It has not been tested and may
'lose accuracy at greater speeds with better processors, so it
'should only be used in personal use software on known systems,
'or require configuration to individual setups. I haven't the range
'of hardware to test for other processors and conditions.

'_|_|_|   QBDELAY.BAS
'_|_|_|   This program utilizes three different delay timers.
'_|_|_|   Each uses the same method but employs a different
'_|_|_|   measure. DOSDelay uses the internal DOS clock.
'_|_|_|   VRTDelay uses the VIDEO hardware interrupt retrace.
'_|_|_|   PITDelay uses the hardware interrupt Programmable
'_|_|_|   Interrupt Timer. Each will generate a 10 second delay.
'_|_|_|   Released to the   Public Domain   by Kurt Kuzba
DECLARE FUNCTION PITcal& ()
DECLARE SUB PITDelay (seconds!)
DECLARE SUB DOSDelay (seconds!)
DECLARE SUB VRTDelay (seconds!)
COLOR 2, 0: CLS : DIM SHARED PIT(1) AS LONG
PRINT "DOSDelay : "; TIME$: DOSDelay 10
PRINT "           "; TIME$: COLOR 9
PRINT "VRTDelay : "; TIME$: VRTDelay 10
PRINT "           "; TIME$: COLOR 15
PIT(0) = PITcal: COLOR 12
PRINT "PIT calibrated at"; PIT(0); "increments per second."
COLOR 14
PRINT "PITDelay : "; TIME$: PITDelay 10
PRINT "           "; TIME$
SUB DOSDelay (seconds!)
   DEF SEG = 0
   d& = FIX(seconds! * 18.20444444#)
   FOR t& = t& TO d&
     d% = PEEK(&H46C) AND 255
     WHILE d% = (PEEK(&H46C) AND 255): WEND
   NEXT
END SUB
FUNCTION PITcal&
   p& = 0: DEF SEG = 0: x% = (PEEK(&H46C) + 1) AND 255
   WHILE x% <> (PEEK(&H46C) AND 255): WEND
   WHILE x% = (PEEK(&H46C) AND 255)
      p& = p& + 33
      FOR t% = 1 TO 19: WAIT (64), 128, 128: WAIT (64), 128: NEXT
   WEND
   PITcal& = p& * 11.02
END FUNCTION
SUB PITDelay (seconds!)
   d& = FIX(seconds! * PIT(0))
   FOR t& = 0 TO d&: WAIT 64, 128: WAIT 64, 128, 128: NEXT
END SUB
SUB VRTDelay (seconds!)
   d& = FIX(seconds! * 70)
   FOR t& = 0 TO d&: WAIT (&H3DA), 8: WAIT (&H3DA), 8, 8: NEXT
END SUB
'_|_|_|   end QBDELAY.BAS
<PAGEEND:"Pause.Program.File1">
